
:-use_module(library(pascal)).
:- if(current_predicate(use_rendering/1)).
:- use_rendering(c3).
:- use_rendering(pic).
:- endif.

greaterAct(_,A,B):-
    activity(_,A),
    activity(_,B),
    A>=B.

:-pascal.

:-set_pascal(examples,keys(active)).
:-set_pascal(default_parameters,[-2,-2]).
:-set_pascal(learning_algorithm,gradient_descent).
:-set_pascal(gd_iter,1000).
:-set_pascal(fixed_parameters,no).
:-set_pascal(verbosity,2).

:- begin_in.

rule(([]:-[six_ring(_)]), 0.5).

rule(([]:-[methyl(_)]), 0.5).

:- end_in.

:-begin_bg.
atm(ID):-
    atm_as(ID,_AT,_C).
  atm(ID):-
    atm_ba(ID,_AT,_C).
  atm(ID):-
    atm_br(ID,_AT,_C).
  atm(ID):-
    atm_c(ID,_AT,_C).
  atm(ID):-
    atm_ca(ID,_AT,_C).
  atm(ID):-
    atm_cl(ID,_AT,_C).
  atm(ID):-
    atm_cu(ID,_AT,_C).
  atm(ID):-
    atm_f(ID,_AT,_C).
  atm(ID):-
    atm_h(ID,_AT,_C).
  atm(ID):-
    atm_hg(ID,_AT,_C).
  atm(ID):-
    atm_i(ID,_AT,_C).
  atm(ID):-
    atm_k(ID,_AT,_C).
  atm(ID):-
    atm_mn(ID,_AT,_C).
  atm(ID):-
    atm_n(ID,_AT,_C).
  atm(ID):-
    atm_na(ID,_AT,_C).
  atm(ID):-
    atm_o(ID,_AT,_C).
  atm(ID):-
    atm_p(ID,_AT,_C).
  atm(ID):-
    atm_pb(ID,_AT,_C).
  atm(ID):-
    atm_s(ID,_AT,_C).
  atm(ID):-
    atm_se(ID,_AT,_C).
  atm(ID):-
    atm_sn(ID,_AT,_C).
  atm(ID):-
    atm_te(ID,_AT,_C).
  atm(ID):-
    atm_ti(ID,_AT,_C).
  atm(ID):-
    atm_zn(ID,_AT,_C).
  
  
  atm_charge(ID,C):-
    atm_as(ID,_AT,C).
  atm_charge(ID,C):-
    atm_ba(ID,_AT,C).
  atm_charge(ID,C):-
    atm_br(ID,_AT,C).
  atm_charge(ID,C):-
    atm_c(ID,_AT,C).
  atm_charge(ID,C):-
    atm_ca(ID,_AT,C).
  atm_charge(ID,C):-
    atm_cl(ID,_AT,C).
  atm_charge(ID,C):-
    atm_cu(ID,_AT,C).
  atm_charge(ID,C):-
    atm_f(ID,_AT,C).
  atm_charge(ID,C):-
    atm_h(ID,_AT,C).
  atm_charge(ID,C):-
    atm_hg(ID,_AT,C).
  atm_charge(ID,C):-
    atm_i(ID,_AT,C).
  atm_charge(ID,C):-
    atm_k(ID,_AT,C).
  atm_charge(ID,C):-
    atm_mn(ID,_AT,C).
  atm_charge(ID,C):-
    atm_n(ID,_AT,C).
  atm_charge(ID,C):-
    atm_na(ID,_AT,C).
  atm_charge(ID,C):-
    atm_o(ID,_AT,C).
  atm_charge(ID,C):-
    atm_p(ID,_AT,C).
  atm_charge(ID,C):-
    atm_pb(ID,_AT,C).
  atm_charge(ID,C):-
    atm_s(ID,_AT,C).
  atm_charge(ID,C):-
    atm_se(ID,_AT,C).
  atm_charge(ID,C):-
    atm_sn(ID,_AT,C).
  atm_charge(ID,C):-
    atm_te(ID,_AT,C).
  atm_charge(ID,C):-
    atm_ti(ID,_AT,C).
  atm_charge(ID,C):-
    atm_zn(ID,_AT,C).
  
  atm_type(ID,T):-
    atm_as(ID,T,_C).
  atm_type(ID,T):-
    atm_ba(ID,T,_C).
  atm_type(ID,T):-
    atm_br(ID,T,_C).
  atm_type(ID,T):-
    atm_c(ID,T,_C).
  atm_type(ID,T):-
    atm_ca(ID,T,_C).
  atm_type(ID,T):-
    atm_cl(ID,T,_C).
  atm_type(ID,T):-
    atm_cu(ID,T,_C).
  atm_type(ID,T):-
    atm_f(ID,T,_C).
  atm_type(ID,T):-
    atm_h(ID,T,_C).
  atm_type(ID,T):-
    atm_hg(ID,T,_C).
  atm_type(ID,T):-
    atm_i(ID,T,_C).
  atm_type(ID,T):-
    atm_k(ID,T,_C).
  atm_type(ID,T):-
    atm_mn(ID,T,_C).
  atm_type(ID,T):-
    atm_n(ID,T,_C).
  atm_type(ID,T):-
    atm_na(ID,T,_C).
  atm_type(ID,T):-
    atm_o(ID,T,_C).
  atm_type(ID,T):-
    atm_p(ID,T,_C).
  atm_type(ID,T):-
    atm_pb(ID,T,_C).
  atm_type(ID,T):-
    atm_s(ID,T,_C).
  atm_type(ID,T):-
    atm_se(ID,T,_C).
  atm_type(ID,T):-
    atm_sn(ID,T,_C).
  atm_type(ID,T):-
    atm_te(ID,T,_C).
  atm_type(ID,T):-
    atm_ti(ID,T,_C).
  atm_type(ID,T):-
    atm_zn(ID,T,_C).
  
:-end_bg.

:-set_pascal(examples,keys(canc_d)).
%:-set_pascal(default_parameters,[-2,-2,-2]).

fold(train,[d92,d308,d196,d330,d197,d306,d45,d145,d243,d244,d138,d275,d39,d5,d23_2,d14,d305,d85_1,d25,d47,d13,d38,
d17,d41,d29,d227,d96,d192,d198,d46,d9,d51,d316,d6,d254,d231,d103,d97,d273,d307,d240,d140,d58,d31,d331,d141,
d230,d253,d101,d56,d248,d274,d245,d249,d323,d2,d229,d336,d19,d193,d204,d143,d98,d35,d40,d1,d239,d10,d109,
d12,d191,d288,d85_2,d100,d142,d95,d290,d205,d90,d4,d281,d315,d272,d33,d144,d255,d235,d54,d314,d104,d34,d3,
d286,d146,d337,d53,d252,d107,d291,d30,d206,d236,d247,d203,d99,d48,d234,d148,d237,d139,d26,d102,d333,d279,
d277,d147,d7,d106,d238,d251,d246,d292,d11,d134,d89,d36,d8,d195,d49,d332,d32,d325,d296,d93,d202,d105,d27,
d20,d37,d44,d283,d108,d232,d86,d88,d43,d87,d200,d233,d18,d311,d136,d23_1,d50,d250,d15,d320,d57,d84,d135,
d228,d242,d199,d329,d208_2,d303,d183,d77,d300,d190,d304,d159,d75,d318,d67,d207,d267,d269,d149,d176,d150,
d258,d185,d68,d171,d164,d79,d65,d74,d113,d265,d122,d282,d268,d117,d163,d324,d287,d294,d173,d285,d128,d83,
d62,d132,d317,d271,d120,d71,d208_1,d126,d160,d261,d61,d124,d151,d221,d328,d127,d133,d155,d73,d256,d66,d223,
d174,d224,d59,d212,d175,d121,d313,d299,d180,d295,d298,d170,d280,d112,d309,d168,d78,d156,d218,d81,d116,d276,
d259,d219,d70,d131,d172,d129,d125,d118,d64,d179,d114,d181,d293,d214,d80,d209,d216,d210,d186,d162,d319,d152,
d161,d270,d169,d177,d264,d215,d335,d211,d297,d217,d184,d60,d263,d72,d111,d63,d166,d165,d213,d302,d123,d130,
d167,d76,d82,d189,d257,d153]
).

fold(test,
    [d94,d55,d284,d16,d201,d322,d22,d289,d52,d137,d91,d241,d226,d42,d21,d278,d24,d28,d69,d225,d220,d334,
 d260,d119,d110,d187,d266,d182,d188,d222,d157,d326,d154]
    ).

%usa il file .bg
%MODEH
modeh(1,atm_charge(+atomid1,-#charge3)).
modeh(1,atm_type(+atomid1,-#atomtype1)).

modeh(1,atm_as(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_ba(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_br(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_c(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_ca(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_cl(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_cu(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_f(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_h(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_hg(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_i(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_k(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_mn(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_n(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_na(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_o(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_p(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_pb(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_s(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_se(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_sn(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_te(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_ti(+atomid1,+atomtype2,+charge3)).
modeh(1,atm_zn(+atomid1,+atomtype2,+charge3)).
modeh(1,sbond_1(+atomid1,+atomid2)).
modeh(1,sbond_2(+atomid1,+atomid2)).
modeh(1,sbond_3(+atomid1,+atomid2)).
modeh(1,sbond_7(+atomid1,+atomid2)).


%MODEB
/*
modeb(1,atm(-atomid1)).
modeb(1,atm_charge(+atomid1,-#charge3)).
modeb(1,atm_type(+atomid1,-#atomtype1)).
*/
modeb(1,atm_as(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_ba(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_br(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_c(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_ca(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_cl(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_cu(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_f(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_h(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_hg(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_i(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_k(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_mn(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_n(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_na(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_o(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_p(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_pb(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_s(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_se(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_sn(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_te(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_ti(-atomid1,-atomtype2,-charge3)).
modeb(1,atm_zn(-atomid1,-atomtype2,-charge3)).
modeb(1,sbond_1(+atomid1,+atomid2)).
modeb(1,sbond_2(+atomid1,+atomid2)).
modeb(1,sbond_3(+atomid1,+atomid2)).
modeb(1,sbond_7(+atomid1,+atomid2)).



canc_d(d92,pos).
canc_d(d308,pos).
canc_d(d196,pos).
canc_d(d330,pos).
canc_d(d197,pos).
canc_d(d306,pos).
canc_d(d45,pos).
canc_d(d145,pos).
canc_d(d243,pos).
canc_d(d244,pos).
canc_d(d138,pos).
canc_d(d275,pos).
canc_d(d39,pos).
canc_d(d5,pos).
canc_d(d23_2,pos).
canc_d(d14,pos).
canc_d(d305,pos).
canc_d(d85_1,pos).
canc_d(d25,pos).
canc_d(d47,pos).
canc_d(d13,pos).
canc_d(d38,pos).
canc_d(d17,pos).
canc_d(d41,pos).
canc_d(d29,pos).
canc_d(d227,pos).
canc_d(d96,pos).
canc_d(d192,pos).
canc_d(d198,pos).
canc_d(d46,pos).
canc_d(d9,pos).
canc_d(d51,pos).
canc_d(d316,pos).
canc_d(d6,pos).
canc_d(d254,pos).
canc_d(d231,pos).
canc_d(d103,pos).
canc_d(d97,pos).
canc_d(d273,pos).
canc_d(d307,pos).
canc_d(d240,pos).
canc_d(d140,pos).
canc_d(d58,pos).
canc_d(d31,pos).
canc_d(d331,pos).
canc_d(d141,pos).
canc_d(d230,pos).
canc_d(d253,pos).
canc_d(d101,pos).
canc_d(d56,pos).
canc_d(d248,pos).
canc_d(d274,pos).
canc_d(d245,pos).
canc_d(d249,pos).
canc_d(d323,pos).
canc_d(d2,pos).
canc_d(d229,pos).
canc_d(d336,pos).
canc_d(d19,pos).
canc_d(d193,pos).
canc_d(d204,pos).
canc_d(d143,pos).
canc_d(d98,pos).
canc_d(d35,pos).
canc_d(d40,pos).
canc_d(d1,pos).
canc_d(d239,pos).
canc_d(d10,pos).
canc_d(d109,pos).
canc_d(d12,pos).
canc_d(d191,pos).
canc_d(d288,pos).
canc_d(d85_2,pos).
canc_d(d100,pos).
canc_d(d142,pos).
canc_d(d95,pos).
canc_d(d290,pos).
canc_d(d205,pos).
canc_d(d90,pos).
canc_d(d4,pos).
canc_d(d281,pos).
canc_d(d315,pos).
canc_d(d272,pos).
canc_d(d33,pos).
canc_d(d144,pos).
canc_d(d255,pos).
canc_d(d235,pos).
canc_d(d54,pos).
canc_d(d314,pos).
canc_d(d104,pos).
canc_d(d34,pos).
canc_d(d3,pos).
canc_d(d286,pos).
canc_d(d146,pos).
canc_d(d337,pos).
canc_d(d53,pos).
canc_d(d252,pos).
canc_d(d107,pos).
canc_d(d291,pos).
canc_d(d30,pos).
canc_d(d206,pos).
canc_d(d236,pos).
canc_d(d247,pos).
canc_d(d203,pos).
canc_d(d99,pos).
canc_d(d48,pos).
canc_d(d234,pos).
canc_d(d148,pos).
canc_d(d237,pos).
canc_d(d139,pos).
canc_d(d26,pos).
canc_d(d102,pos).
canc_d(d333,pos).
canc_d(d279,pos).
canc_d(d277,pos).
canc_d(d147,pos).
canc_d(d7,pos).
canc_d(d106,pos).
canc_d(d238,pos).
canc_d(d251,pos).
canc_d(d246,pos).
canc_d(d292,pos).
canc_d(d11,pos).
canc_d(d134,pos).
canc_d(d89,pos).
canc_d(d36,pos).
canc_d(d8,pos).
canc_d(d195,pos).
canc_d(d49,pos).
canc_d(d332,pos).
canc_d(d32,pos).
canc_d(d325,pos).
canc_d(d296,pos).
canc_d(d93,pos).
canc_d(d202,pos).
canc_d(d105,pos).
canc_d(d27,pos).
canc_d(d20,pos).
canc_d(d37,pos).
canc_d(d44,pos).
canc_d(d283,pos).
canc_d(d108,pos).
canc_d(d232,pos).
canc_d(d86,pos).
canc_d(d88,pos).
canc_d(d43,pos).
canc_d(d87,pos).
canc_d(d200,pos).
canc_d(d233,pos).
canc_d(d18,pos).
canc_d(d311,pos).
canc_d(d136,pos).
canc_d(d23_1,pos).
canc_d(d50,pos).
canc_d(d250,pos).
canc_d(d15,pos).
canc_d(d320,pos).
canc_d(d57,pos).
canc_d(d84,pos).
canc_d(d135,pos).
canc_d(d228,pos).
canc_d(d242,pos).
canc_d(d199,pos).
canc_d(d329,pos).
canc_d(d208_2,neg).
canc_d(d303,neg).
canc_d(d183,neg).
canc_d(d77,neg).
canc_d(d300,neg).
canc_d(d190,neg).
canc_d(d304,neg).
canc_d(d159,neg).
canc_d(d75,neg).
canc_d(d318,neg).
canc_d(d67,neg).
canc_d(d207,neg).
canc_d(d267,neg).
canc_d(d269,neg).
canc_d(d149,neg).
canc_d(d176,neg).
canc_d(d150,neg).
canc_d(d258,neg).
canc_d(d185,neg).
canc_d(d68,neg).
canc_d(d171,neg).
canc_d(d164,neg).
canc_d(d79,neg).
canc_d(d65,neg).
canc_d(d74,neg).
canc_d(d113,neg).
canc_d(d265,neg).
canc_d(d122,neg).
canc_d(d282,neg).
canc_d(d268,neg).
canc_d(d117,neg).
canc_d(d163,neg).
canc_d(d324,neg).
canc_d(d287,neg).
canc_d(d294,neg).
canc_d(d173,neg).
canc_d(d285,neg).
canc_d(d128,neg).
canc_d(d83,neg).
canc_d(d62,neg).
canc_d(d132,neg).
canc_d(d317,neg).
canc_d(d271,neg).
canc_d(d120,neg).
canc_d(d71,neg).
canc_d(d208_1,neg).
canc_d(d126,neg).
canc_d(d160,neg).
canc_d(d261,neg).
canc_d(d61,neg).
canc_d(d124,neg).
canc_d(d151,neg).
canc_d(d221,neg).
canc_d(d328,neg).
canc_d(d127,neg).
canc_d(d133,neg).
canc_d(d155,neg).
canc_d(d73,neg).
canc_d(d256,neg).
canc_d(d66,neg).
canc_d(d223,neg).
canc_d(d174,neg).
canc_d(d224,neg).
canc_d(d59,neg).
canc_d(d212,neg).
canc_d(d175,neg).
canc_d(d121,neg).
canc_d(d313,neg).
canc_d(d299,neg).
canc_d(d180,neg).
canc_d(d295,neg).
canc_d(d298,neg).
canc_d(d170,neg).
canc_d(d280,neg).
canc_d(d112,neg).
canc_d(d309,neg).
canc_d(d168,neg).
canc_d(d78,neg).
canc_d(d156,neg).
canc_d(d218,neg).
canc_d(d81,neg).
canc_d(d116,neg).
canc_d(d276,neg).
canc_d(d259,neg).
canc_d(d219,neg).
canc_d(d70,neg).
canc_d(d131,neg).
canc_d(d172,neg).
canc_d(d129,neg).
canc_d(d125,neg).
canc_d(d118,neg).
canc_d(d64,neg).
canc_d(d179,neg).
canc_d(d114,neg).
canc_d(d181,neg).
canc_d(d293,neg).
canc_d(d214,neg).
canc_d(d80,neg).
canc_d(d209,neg).
canc_d(d216,neg).
canc_d(d210,neg).
canc_d(d186,neg).
canc_d(d162,neg).
canc_d(d319,neg).
canc_d(d152,neg).
canc_d(d161,neg).
canc_d(d270,neg).
canc_d(d169,neg).
canc_d(d177,neg).
canc_d(d264,neg).
canc_d(d215,neg).
canc_d(d335,neg).
canc_d(d211,neg).
canc_d(d297,neg).
canc_d(d217,neg).
canc_d(d184,neg).
canc_d(d60,neg).
canc_d(d263,neg).
canc_d(d72,neg).
canc_d(d111,neg).
canc_d(d63,neg).
canc_d(d166,neg).
canc_d(d165,neg).
canc_d(d213,neg).
canc_d(d302,neg).
canc_d(d123,neg).
canc_d(d130,neg).
canc_d(d167,neg).
canc_d(d76,neg).
canc_d(d82,neg).
canc_d(d189,neg).
canc_d(d257,neg).
canc_d(d153,neg).

atm_as(d65,d65_12,101,'a0=0_1375<x<=+inf').

atm_ba(d36,d36b_1,115,'a0=_0_0175<x<=0_0615').

atm_br(d123,d123_10,94,'a0=_inf<x<=_0_1355').
atm_br(d227,d227_1,94,'a0=_0_1355<x<=_0_0175').
atm_br(d227,d227_10,94,'a0=_0_1355<x<=_0_0175').
atm_br(d228,d228_2,94,'a0=_0_1355<x<=_0_0175').
atm_br(d228,d228_6,94,'a0=_0_1355<x<=_0_0175').
atm_br(d235,d235_11,94,'a0=_0_1355<x<=_0_0175').
atm_br(d235,d235_22,94,'a0=_0_1355<x<=_0_0175').
atm_br(d235,d235_25,94,'a0=_0_1355<x<=_0_0175').
atm_br(d235,d235_31,94,'a0=_0_1355<x<=_0_0175').
atm_br(d235,d235_33,94,'a0=_0_1355<x<=_0_0175').
atm_br(d235,d235_8,94,'a0=_0_1355<x<=_0_0175').
atm_br(d239,d239_3,94,'a0=_inf<x<=_0_1355').
atm_br(d273,d273_2,94,'a0=_0_1355<x<=_0_0175').
atm_br(d274,d274_2,94,'a0=_0_1355<x<=_0_0175').
atm_br(d274,d274_3,94,'a0=_0_1355<x<=_0_0175').
atm_br(d274,d274_4,94,'a0=_0_1355<x<=_0_0175').
atm_br(d275,d275_3,94,'a0=_0_1355<x<=_0_0175').
atm_br(d275,d275_4,94,'a0=_0_1355<x<=_0_0175').
atm_br(d306,d306_15,94,'a0=_0_1355<x<=_0_0175').
atm_br(d306,d306_7,94,'a0=_0_1355<x<=_0_0175').
atm_br(d319,d319_2,94,'a0=_inf<x<=_0_1355').
atm_br(d332,d332_10,94,'a0=_0_1355<x<=_0_0175').
atm_br(d332,d332_7,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86a_16,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86a_17,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86a_18,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86a_19,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86a_20,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86a_21,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86a_22,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86b_15,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86b_16,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86b_18,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86b_19,94,'a0=_0_1355<x<=_0_0175').
atm_br(d86,d86b_22,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_14,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_15,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_16,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_17,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_18,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_19,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_20,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_21,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_22,94,'a0=_0_1355<x<=_0_0175').
atm_br(d99,d99_23,94,'a0=_0_1355<x<=_0_0175').

atm_c(d1,d1_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d1,d1_11,14,'a0=0_1375<x<=+inf').
atm_c(d1,d1_12,22,'a0=_0_0175<x<=0_0615').
atm_c(d1,d1_13,22,'a0=_0_0175<x<=0_0615').
atm_c(d1,d1_14,14,'a0=0_1375<x<=+inf').
atm_c(d1,d1_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d1,d1_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d1,d1_17,22,'a0=0_1375<x<=+inf').
atm_c(d1,d1_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d1,d1_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d1,d1_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d1,d1_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d1,d1_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d1,d1_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d10,d10_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d10,d10_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d10,d10_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d10,d10_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d10,d10_5,22,'a0=0_1375<x<=+inf').
atm_c(d10,d10_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_16,22,'a0=0_0615<x<=0_1375').
atm_c(d100,d100_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_21,16,'a0=_inf<x<=_0_1355').
atm_c(d100,d100_22,16,'a0=0_1375<x<=+inf').
atm_c(d100,d100_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_4,22,'a0=0_0615<x<=0_1375').
atm_c(d100,d100_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d100,d100_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d101,d101_1,10,'a0=0_1375<x<=+inf').
atm_c(d101,d101_14,10,'a0=0_1375<x<=+inf').
atm_c(d101,d101_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d101,d101_3,16,'a0=_0_1355<x<=_0_0175').
atm_c(d101,d101_4,16,'a0=_0_1355<x<=_0_0175').
atm_c(d101,d101_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d101,d101_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d101,d101_7,10,'a0=0_1375<x<=+inf').
atm_c(d101,d101_8,16,'a0=_0_1355<x<=_0_0175').
atm_c(d101,d101_9,16,'a0=_0_1355<x<=_0_0175').
atm_c(d102,d102_1,10,'a0=0_1375<x<=+inf').
atm_c(d102,d102_2,10,'a0=0_1375<x<=+inf').
atm_c(d103,d103_1,10,'a0=0_1375<x<=+inf').
atm_c(d103,d103_2,10,'a0=0_0615<x<=0_1375').
atm_c(d104,d104_1,10,'a0=0_1375<x<=+inf').
atm_c(d104,d104_2,10,'a0=0_1375<x<=+inf').
atm_c(d105,d105_1,16,'a0=0_1375<x<=+inf').
atm_c(d105,d105_2,16,'a0=_inf<x<=_0_1355').
atm_c(d106,d106_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d106,d106_10,10,'a0=0_1375<x<=+inf').
atm_c(d106,d106_15,10,'a0=0_1375<x<=+inf').
atm_c(d106,d106_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d106,d106_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d106,d106_3,16,'a0=_inf<x<=_0_1355').
atm_c(d106,d106_4,16,'a0=_inf<x<=_0_1355').
atm_c(d106,d106_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d106,d106_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d106,d106_7,10,'a0=0_1375<x<=+inf').
atm_c(d106,d106_8,16,'a0=_inf<x<=_0_1355').
atm_c(d106,d106_9,16,'a0=_inf<x<=_0_1355').
atm_c(d107,d107c_1,10,'a0=0_0615<x<=0_1375').
atm_c(d107,d107c_10,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_16,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107c_19,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107c_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_21,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107c_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_28,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107c_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_31,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_32,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107c_35,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_36,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_39,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107c_42,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107c_43,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_44,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107c_47,10,'a0=_inf<x<=_0_1355').
atm_c(d107,d107c_6,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107c_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_1,10,'a0=_inf<x<=_0_1355').
atm_c(d107,d107d_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_17,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107d_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_2,10,'a0=_inf<x<=_0_1355').
atm_c(d107,d107d_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_3,10,'a0=_inf<x<=_0_1355').
atm_c(d107,d107d_30,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_34,10,'a0=0_1375<x<=+inf').
atm_c(d107,d107d_35,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_39,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_4,10,'a0=_inf<x<=_0_1355').
atm_c(d107,d107d_43,10,'a0=0_0615<x<=0_1375').
atm_c(d107,d107d_44,10,'a0=0_0615<x<=0_1375').
atm_c(d107,d107d_45,10,'a0=0_0615<x<=0_1375').
atm_c(d107,d107d_46,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_5,10,'a0=_inf<x<=_0_1355').
atm_c(d107,d107d_51,10,'a0=0_0615<x<=0_1375').
atm_c(d107,d107d_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_7,10,'a0=_inf<x<=_0_1355').
atm_c(d107,d107d_8,10,'a0=_0_1355<x<=_0_0175').
atm_c(d107,d107d_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d108,d108_23,10,'a0=0_1375<x<=+inf').
atm_c(d108,d108_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d108,d108_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d109,d109_1,21,'a0=_0_0175<x<=0_0615').
atm_c(d109,d109_10,22,'a0=_0_0175<x<=0_0615').
atm_c(d109,d109_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d109,d109_12,14,'a0=0_1375<x<=+inf').
atm_c(d109,d109_2,21,'a0=_0_1355<x<=_0_0175').
atm_c(d109,d109_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d109,d109_3,21,'a0=_0_1355<x<=_0_0175').
atm_c(d109,d109_4,21,'a0=_0_1355<x<=_0_0175').
atm_c(d109,d109_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d109,d109_7,22,'a0=_0_1355<x<=_0_0175').
atm_c(d109,d109_8,22,'a0=_0_1355<x<=_0_0175').
atm_c(d109,d109_9,22,'a0=0_1375<x<=+inf').
atm_c(d11,d11_1,22,'a0=_inf<x<=_0_1355').
atm_c(d11,d11_13,10,'a0=0_0615<x<=0_1375').
atm_c(d11,d11_2,22,'a0=0_1375<x<=+inf').
atm_c(d11,d11_3,22,'a0=0_1375<x<=+inf').
atm_c(d11,d11_4,22,'a0=_inf<x<=_0_1355').
atm_c(d11,d11_5,22,'a0=0_1375<x<=+inf').
atm_c(d11,d11_6,22,'a0=_inf<x<=_0_1355').
atm_c(d110,d110_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d110,d110_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d110,d110_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d110,d110_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d110,d110_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d110,d110_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d111,d111_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d111,d111_10,22,'a0=0_1375<x<=+inf').
atm_c(d111,d111_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d111,d111_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d111,d111_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d111,d111_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d111,d111_15,22,'a0=0_1375<x<=+inf').
atm_c(d111,d111_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d111,d111_3,22,'a0=0_1375<x<=+inf').
atm_c(d111,d111_4,22,'a0=0_1375<x<=+inf').
atm_c(d111,d111_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d111,d111_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_1,191,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_10,10,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_19,10,'a0=0_1375<x<=+inf').
atm_c(d112,d112_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_6,191,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d112,d112_8,10,'a0=0_1375<x<=+inf').
atm_c(d112,d112_9,10,'a0=0_1375<x<=+inf').
atm_c(d113,d113_1,22,'a0=_0_0175<x<=0_0615').
atm_c(d113,d113_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_14,22,'a0=_0_0175<x<=0_0615').
atm_c(d113,d113_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d113,d113_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_23,10,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_29,10,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_30,10,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_36,10,'a0=0_1375<x<=+inf').
atm_c(d113,d113_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d113,d113_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d114,d114_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d114,d114_10,14,'a0=0_1375<x<=+inf').
atm_c(d114,d114_3,22,'a0=0_1375<x<=+inf').
atm_c(d114,d114_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d114,d114_5,22,'a0=0_1375<x<=+inf').
atm_c(d114,d114_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d116,d116_22,10,'a0=0_1375<x<=+inf').
atm_c(d116,d116_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d116,d116_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d117,d117_1,17,'a0=0_1375<x<=+inf').
atm_c(d117,d117_2,17,'a0=_inf<x<=_0_1355').
atm_c(d117,d117_3,10,'a0=0_0615<x<=0_1375').
atm_c(d117,d117_4,10,'a0=0_0615<x<=0_1375').
atm_c(d117,d117_5,16,'a0=_inf<x<=_0_1355').
atm_c(d117,d117_6,16,'a0=_0_0175<x<=0_0615').
atm_c(d117,d117_8,10,'a0=0_1375<x<=+inf').
atm_c(d118,d118_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d118,d118_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d118,d118_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d118,d118_12,22,'a0=0_1375<x<=+inf').
atm_c(d118,d118_3,22,'a0=0_1375<x<=+inf').
atm_c(d118,d118_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d118,d118_7,22,'a0=_0_1355<x<=_0_0175').
atm_c(d118,d118_8,22,'a0=_0_1355<x<=_0_0175').
atm_c(d118,d118_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d119,d119_10,10,'a0=0_0615<x<=0_1375').
atm_c(d119,d119_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d119,d119_15,10,'a0=0_0615<x<=0_1375').
atm_c(d119,d119_2,10,'a0=0_0615<x<=0_1375').
atm_c(d119,d119_6,10,'a0=0_0615<x<=0_1375').
atm_c(d12,d12_1,22,'a0=_inf<x<=_0_1355').
atm_c(d12,d12_16,10,'a0=_0_0175<x<=0_0615').
atm_c(d12,d12_2,22,'a0=_inf<x<=_0_1355').
atm_c(d12,d12_3,22,'a0=0_1375<x<=+inf').
atm_c(d12,d12_4,22,'a0=_inf<x<=_0_1355').
atm_c(d12,d12_5,22,'a0=0_1375<x<=+inf').
atm_c(d12,d12_6,22,'a0=_inf<x<=_0_1355').
atm_c(d120,d120_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d120,d120_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d120,d120_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d120,d120_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d120,d120_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d120,d120_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d121,d121_1,16,'a0=_0_1355<x<=_0_0175').
atm_c(d121,d121_10,10,'a0=_0_0175<x<=0_0615').
atm_c(d121,d121_2,10,'a0=_0_0175<x<=0_0615').
atm_c(d121,d121_20,10,'a0=_0_0175<x<=0_0615').
atm_c(d121,d121_25,10,'a0=0_1375<x<=+inf').
atm_c(d121,d121_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d121,d121_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d121,d121_5,10,'a0=_0_0175<x<=0_0615').
atm_c(d121,d121_6,16,'a0=_0_1355<x<=_0_0175').
atm_c(d121,d121_7,10,'a0=_0_0175<x<=0_0615').
atm_c(d121,d121_8,191,'a0=_0_0175<x<=0_0615').
atm_c(d121,d121_9,191,'a0=_0_0175<x<=0_0615').
atm_c(d122,d122_1,22,'a0=0_1375<x<=+inf').
atm_c(d122,d122_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d122,d122_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d122,d122_13,22,'a0=0_1375<x<=+inf').
atm_c(d122,d122_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d122,d122_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d122,d122_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d122,d122_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d122,d122_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d122,d122_22,10,'a0=0_1375<x<=+inf').
atm_c(d122,d122_28,10,'a0=0_0615<x<=0_1375').
atm_c(d122,d122_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d122,d122_33,10,'a0=0_0615<x<=0_1375').
atm_c(d122,d122_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d122,d122_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d122,d122_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d123,d123_1,10,'a0=_inf<x<=_0_1355').
atm_c(d123,d123_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d123,d123_12,10,'a0=_inf<x<=_0_1355').
atm_c(d123,d123_19,14,'a0=0_1375<x<=+inf').
atm_c(d123,d123_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d123,d123_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d123,d123_9,14,'a0=0_1375<x<=+inf').
atm_c(d124,d124_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d124,d124_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d124,d124_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d124,d124_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d124,d124_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d124,d124_2,14,'a0=0_1375<x<=+inf').
atm_c(d124,d124_20,10,'a0=_0_0175<x<=0_0615').
atm_c(d124,d124_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d124,d124_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d124,d124_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d125,d125_22,10,'a0=0_1375<x<=+inf').
atm_c(d125,d125_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d125,d125_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d126,d126_1,10,'a0=0_1375<x<=+inf').
atm_c(d126,d126_2,10,'a0=0_1375<x<=+inf').
atm_c(d126,d126_3,10,'a0=0_1375<x<=+inf').
atm_c(d126,d126_4,10,'a0=0_1375<x<=+inf').
atm_c(d126,d126_5,10,'a0=0_1375<x<=+inf').
atm_c(d126,d126_6,10,'a0=0_1375<x<=+inf').
atm_c(d127,d127_1,22,'a0=_0_0175<x<=0_0615').
atm_c(d127,d127_2,22,'a0=_0_0175<x<=0_0615').
atm_c(d127,d127_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d127,d127_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d127,d127_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d127,d127_6,22,'a0=_0_0175<x<=0_0615').
atm_c(d128,d128_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d128,d128_10,10,'a0=_0_1355<x<=_0_0175').
atm_c(d128,d128_11,191,'a0=_0_1355<x<=_0_0175').
atm_c(d128,d128_12,191,'a0=_0_1355<x<=_0_0175').
atm_c(d128,d128_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d128,d128_18,10,'a0=0_1375<x<=+inf').
atm_c(d128,d128_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d128,d128_23,10,'a0=_0_1355<x<=_0_0175').
atm_c(d128,d128_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d128,d128_4,10,'a0=0_1375<x<=+inf').
atm_c(d128,d128_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d128,d128_8,10,'a0=_0_1355<x<=_0_0175').
atm_c(d129,d129_2,16,'a0=0_1375<x<=+inf').
atm_c(d129,d129_4,16,'a0=_inf<x<=_0_1355').
atm_c(d129,d129_5,10,'a0=0_0615<x<=0_1375').
atm_c(d129,d129_9,10,'a0=0_0615<x<=0_1375').
atm_c(d13,d13_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d13,d13_13,10,'a0=_0_0175<x<=0_0615').
atm_c(d13,d13_2,22,'a0=0_1375<x<=+inf').
atm_c(d13,d13_20,10,'a0=_0_0175<x<=0_0615').
atm_c(d13,d13_21,10,'a0=0_1375<x<=+inf').
atm_c(d13,d13_27,10,'a0=_0_0175<x<=0_0615').
atm_c(d13,d13_28,10,'a0=0_1375<x<=+inf').
atm_c(d13,d13_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d13,d13_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d13,d13_5,22,'a0=0_1375<x<=+inf').
atm_c(d13,d13_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d130,d130_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d130,d130_11,16,'a0=_inf<x<=_0_1355').
atm_c(d130,d130_13,16,'a0=_inf<x<=_0_1355').
atm_c(d130,d130_15,19,'a0=0_1375<x<=+inf').
atm_c(d130,d130_16,19,'a0=0_1375<x<=+inf').
atm_c(d130,d130_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d130,d130_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d130,d130_4,22,'a0=0_0615<x<=0_1375').
atm_c(d130,d130_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d130,d130_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d131,d131_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d131,d131_10,10,'a0=0_1375<x<=+inf').
atm_c(d131,d131_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d131,d131_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d131,d131_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d131,d131_5,22,'a0=0_1375<x<=+inf').
atm_c(d131,d131_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_1,22,'a0=0_1375<x<=+inf').
atm_c(d132,d132_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d132,d132_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_24,10,'a0=_0_0175<x<=0_0615').
atm_c(d132,d132_3,22,'a0=0_1375<x<=+inf').
atm_c(d132,d132_30,10,'a0=_0_0175<x<=0_0615').
atm_c(d132,d132_34,10,'a0=_0_0175<x<=0_0615').
atm_c(d132,d132_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d132,d132_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d133,d133_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d133,d133_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d133,d133_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d133,d133_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d133,d133_5,22,'a0=0_1375<x<=+inf').
atm_c(d133,d133_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d134,d134_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d134,d134_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d134,d134_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d134,d134_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d134,d134_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d134,d134_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_11,14,'a0=0_1375<x<=+inf').
atm_c(d135,d135_12,10,'a0=_inf<x<=_0_1355').
atm_c(d135,d135_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_16,10,'a0=_inf<x<=_0_1355').
atm_c(d135,d135_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_28,10,'a0=_inf<x<=_0_1355').
atm_c(d135,d135_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d135,d135_35,10,'a0=0_1375<x<=+inf').
atm_c(d135,d135_39,14,'a0=0_1375<x<=+inf').
atm_c(d135,d135_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d135,d135_41,10,'a0=0_1375<x<=+inf').
atm_c(d135,d135_42,10,'a0=_inf<x<=_0_1355').
atm_c(d135,d135_45,10,'a0=_inf<x<=_0_1355').
atm_c(d135,d135_49,10,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_51,10,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_54,10,'a0=_0_1355<x<=_0_0175').
atm_c(d135,d135_57,10,'a0=_inf<x<=_0_1355').
atm_c(d135,d135_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d136,d136_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d136,d136_15,14,'a0=0_1375<x<=+inf').
atm_c(d136,d136_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d136,d136_3,14,'a0=0_1375<x<=+inf').
atm_c(d136,d136_8,10,'a0=_0_1355<x<=_0_0175').
atm_c(d136,d136_9,14,'a0=0_1375<x<=+inf').
atm_c(d137,d137_1,22,'a0=0_1375<x<=+inf').
atm_c(d137,d137_10,21,'a0=_0_0175<x<=0_0615').
atm_c(d137,d137_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d137,d137_13,10,'a0=_0_0175<x<=0_0615').
atm_c(d137,d137_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_15,21,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_22,10,'a0=0_0615<x<=0_1375').
atm_c(d137,d137_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_27,10,'a0=_inf<x<=_0_1355').
atm_c(d137,d137_28,10,'a0=_inf<x<=_0_1355').
atm_c(d137,d137_29,10,'a0=_0_0175<x<=0_0615').
atm_c(d137,d137_3,26,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_35,10,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_36,10,'a0=0_0615<x<=0_1375').
atm_c(d137,d137_37,10,'a0=0_1375<x<=+inf').
atm_c(d137,d137_38,10,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_4,26,'a0=0_0615<x<=0_1375').
atm_c(d137,d137_43,14,'a0=0_1375<x<=+inf').
atm_c(d137,d137_46,10,'a0=0_1375<x<=+inf').
atm_c(d137,d137_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_53,10,'a0=_0_0175<x<=0_0615').
atm_c(d137,d137_59,14,'a0=0_1375<x<=+inf').
atm_c(d137,d137_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_60,22,'a0=_0_0175<x<=0_0615').
atm_c(d137,d137_61,22,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_62,22,'a0=0_1375<x<=+inf').
atm_c(d137,d137_63,22,'a0=0_1375<x<=+inf').
atm_c(d137,d137_64,22,'a0=0_1375<x<=+inf').
atm_c(d137,d137_65,22,'a0=_0_1355<x<=_0_0175').
atm_c(d137,d137_70,10,'a0=0_0615<x<=0_1375').
atm_c(d137,d137_75,10,'a0=0_0615<x<=0_1375').
atm_c(d137,d137_80,10,'a0=0_0615<x<=0_1375').
atm_c(d138,d138_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d138,d138_2,22,'a0=0_1375<x<=+inf').
atm_c(d138,d138_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d138,d138_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d138,d138_5,22,'a0=0_1375<x<=+inf').
atm_c(d138,d138_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_21,10,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_27,14,'a0=0_1375<x<=+inf').
atm_c(d139,d139_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d139,d139_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d14,d14_1,22,'a0=_inf<x<=_0_1355').
atm_c(d14,d14_14,22,'a0=0_1375<x<=+inf').
atm_c(d14,d14_15,22,'a0=_inf<x<=_0_1355').
atm_c(d14,d14_16,22,'a0=_inf<x<=_0_1355').
atm_c(d14,d14_17,22,'a0=_inf<x<=_0_1355').
atm_c(d14,d14_18,22,'a0=_inf<x<=_0_1355').
atm_c(d14,d14_19,22,'a0=_inf<x<=_0_1355').
atm_c(d14,d14_2,22,'a0=_inf<x<=_0_1355').
atm_c(d14,d14_3,22,'a0=0_1375<x<=+inf').
atm_c(d14,d14_4,22,'a0=_inf<x<=_0_1355').
atm_c(d14,d14_5,22,'a0=_inf<x<=_0_1355').
atm_c(d14,d14_6,22,'a0=_inf<x<=_0_1355').
atm_c(d140,d140_1,22,'a0=0_1375<x<=+inf').
atm_c(d140,d140_10,16,'a0=_inf<x<=_0_1355').
atm_c(d140,d140_11,10,'a0=0_0615<x<=0_1375').
atm_c(d140,d140_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d140,d140_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d140,d140_18,14,'a0=0_1375<x<=+inf').
atm_c(d140,d140_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d140,d140_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d140,d140_23,10,'a0=_0_1355<x<=_0_0175').
atm_c(d140,d140_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d140,d140_29,10,'a0=0_1375<x<=+inf').
atm_c(d140,d140_3,22,'a0=0_0615<x<=0_1375').
atm_c(d140,d140_32,10,'a0=_inf<x<=_0_1355').
atm_c(d140,d140_38,14,'a0=0_1375<x<=+inf').
atm_c(d140,d140_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d140,d140_5,22,'a0=0_1375<x<=+inf').
atm_c(d140,d140_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d140,d140_9,16,'a0=_inf<x<=_0_1355').
atm_c(d141,d141_1,22,'a0=_inf<x<=_0_1355').
atm_c(d141,d141_12,10,'a0=0_1375<x<=+inf').
atm_c(d141,d141_16,14,'a0=0_1375<x<=+inf').
atm_c(d141,d141_17,10,'a0=_0_0175<x<=0_0615').
atm_c(d141,d141_2,22,'a0=_inf<x<=_0_1355').
atm_c(d141,d141_3,22,'a0=_inf<x<=_0_1355').
atm_c(d141,d141_4,22,'a0=_inf<x<=_0_1355').
atm_c(d141,d141_5,22,'a0=_inf<x<=_0_1355').
atm_c(d141,d141_6,22,'a0=_inf<x<=_0_1355').
atm_c(d142,d142_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d142,d142_12,21,'a0=_0_0175<x<=0_0615').
atm_c(d142,d142_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d142,d142_3,26,'a0=_0_1355<x<=_0_0175').
atm_c(d142,d142_4,26,'a0=0_1375<x<=+inf').
atm_c(d142,d142_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d142,d142_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d143,d143_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d143,d143_14,10,'a0=_0_0175<x<=0_0615').
atm_c(d143,d143_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d143,d143_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d143,d143_21,14,'a0=0_1375<x<=+inf').
atm_c(d143,d143_25,10,'a0=_0_0175<x<=0_0615').
atm_c(d143,d143_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d143,d143_4,22,'a0=0_1375<x<=+inf').
atm_c(d143,d143_6,22,'a0=0_1375<x<=+inf').
atm_c(d143,d143_7,14,'a0=0_1375<x<=+inf').
atm_c(d143,d143_8,16,'a0=_inf<x<=_0_1355').
atm_c(d143,d143_9,16,'a0=_inf<x<=_0_1355').
atm_c(d144,d144_1,14,'a0=0_1375<x<=+inf').
atm_c(d144,d144_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_19,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_22,10,'a0=_inf<x<=_0_1355').
atm_c(d144,d144_29,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_3,10,'a0=0_1375<x<=+inf').
atm_c(d144,d144_30,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_31,14,'a0=0_1375<x<=+inf').
atm_c(d144,d144_34,10,'a0=0_1375<x<=+inf').
atm_c(d144,d144_35,10,'a0=_inf<x<=_0_1355').
atm_c(d144,d144_38,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_39,10,'a0=_inf<x<=_0_1355').
atm_c(d144,d144_4,10,'a0=_inf<x<=_0_1355').
atm_c(d144,d144_45,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_47,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_50,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_53,10,'a0=_inf<x<=_0_1355').
atm_c(d144,d144_59,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_62,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d144,d144_8,10,'a0=_inf<x<=_0_1355').
atm_c(d145,d145_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_11,14,'a0=0_1375<x<=+inf').
atm_c(d145,d145_12,10,'a0=0_1375<x<=+inf').
atm_c(d145,d145_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_17,10,'a0=_inf<x<=_0_1355').
atm_c(d145,d145_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_24,14,'a0=0_1375<x<=+inf').
atm_c(d145,d145_26,10,'a0=0_1375<x<=+inf').
atm_c(d145,d145_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d145,d145_31,22,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_34,22,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_35,22,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_36,22,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_37,22,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_38,22,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d145,d145_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d145,d145_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_1,22,'a0=_0_0175<x<=0_0615').
atm_c(d146,d146_11,10,'a0=0_0615<x<=0_1375').
atm_c(d146,d146_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_19,10,'a0=_inf<x<=_0_1355').
atm_c(d146,d146_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_3,22,'a0=0_1375<x<=+inf').
atm_c(d146,d146_30,10,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_33,10,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_36,10,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_39,10,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_4,22,'a0=0_1375<x<=+inf').
atm_c(d146,d146_42,10,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_45,10,'a0=_inf<x<=_0_1355').
atm_c(d146,d146_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d146,d146_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_23,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_30,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_32,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_33,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_36,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_37,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_39,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_45,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_48,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_51,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_57,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_60,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_61,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_63,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_69,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_72,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_75,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_8,10,'a0=_0_1355<x<=_0_0175').
atm_c(d147,d147_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d148,d148_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d148,d148_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d148,d148_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d148,d148_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d148,d148_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d148,d148_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d148,d148_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d148,d148_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d149,d149_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_16,22,'a0=0_1375<x<=+inf').
atm_c(d149,d149_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_23,10,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d149,d149_6,22,'a0=0_1375<x<=+inf').
atm_c(d15,d15_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d15,d15_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_17,22,'a0=0_1375<x<=+inf').
atm_c(d15,d15_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_19,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d15,d15_6,22,'a0=0_1375<x<=+inf').
atm_c(d150,d150_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d150,d150_11,14,'a0=0_1375<x<=+inf').
atm_c(d150,d150_13,10,'a0=0_1375<x<=+inf').
atm_c(d150,d150_17,14,'a0=0_1375<x<=+inf').
atm_c(d150,d150_19,10,'a0=0_1375<x<=+inf').
atm_c(d150,d150_2,22,'a0=_0_0175<x<=0_0615').
atm_c(d150,d150_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d150,d150_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d150,d150_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d150,d150_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d151,d151_1,22,'a0=0_1375<x<=+inf').
atm_c(d151,d151_12,14,'a0=0_1375<x<=+inf').
atm_c(d151,d151_14,10,'a0=0_1375<x<=+inf').
atm_c(d151,d151_19,10,'a0=_0_1355<x<=_0_0175').
atm_c(d151,d151_2,22,'a0=0_1375<x<=+inf').
atm_c(d151,d151_22,10,'a0=_inf<x<=_0_1355').
atm_c(d151,d151_3,22,'a0=0_1375<x<=+inf').
atm_c(d151,d151_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d151,d151_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d151,d151_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d152,d152_14,14,'a0=0_1375<x<=+inf').
atm_c(d152,d152_18,193,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_19,192,'a0=0_1375<x<=+inf').
atm_c(d152,d152_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_21,193,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_27,10,'a0=0_0615<x<=0_1375').
atm_c(d152,d152_28,14,'a0=0_1375<x<=+inf').
atm_c(d152,d152_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_32,10,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_36,10,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d152,d152_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d153,d153_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d153,d153_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d153,d153_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d153,d153_17,10,'a0=_0_1355<x<=_0_0175').
atm_c(d153,d153_2,22,'a0=_0_0175<x<=0_0615').
atm_c(d153,d153_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d153,d153_23,10,'a0=_0_1355<x<=_0_0175').
atm_c(d153,d153_27,10,'a0=_inf<x<=_0_1355').
atm_c(d153,d153_3,22,'a0=0_1375<x<=+inf').
atm_c(d153,d153_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d153,d153_5,22,'a0=0_1375<x<=+inf').
atm_c(d153,d153_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d154,d154_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d154,d154_10,10,'a0=_0_1355<x<=_0_0175').
atm_c(d154,d154_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d154,d154_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d154,d154_2,22,'a0=_0_0175<x<=0_0615').
atm_c(d154,d154_25,14,'a0=0_1375<x<=+inf').
atm_c(d154,d154_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d154,d154_4,22,'a0=0_1375<x<=+inf').
atm_c(d154,d154_5,22,'a0=0_1375<x<=+inf').
atm_c(d154,d154_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_10,14,'a0=0_1375<x<=+inf').
atm_c(d155,d155_11,16,'a0=_inf<x<=_0_1355').
atm_c(d155,d155_12,10,'a0=0_0615<x<=0_1375').
atm_c(d155,d155_13,10,'a0=_0_0175<x<=0_0615').
atm_c(d155,d155_14,16,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_15,10,'a0=0_0615<x<=0_1375').
atm_c(d155,d155_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_17,10,'a0=0_1375<x<=+inf').
atm_c(d155,d155_19,14,'a0=0_1375<x<=+inf').
atm_c(d155,d155_2,22,'a0=0_1375<x<=+inf').
atm_c(d155,d155_20,16,'a0=_inf<x<=_0_1355').
atm_c(d155,d155_21,16,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_22,10,'a0=0_0615<x<=0_1375').
atm_c(d155,d155_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d155,d155_34,10,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_38,10,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_43,10,'a0=0_0615<x<=0_1375').
atm_c(d155,d155_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d155,d155_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d156,d156_1,22,'a0=_inf<x<=_0_1355').
atm_c(d156,d156_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d156,d156_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d156,d156_17,14,'a0=0_1375<x<=+inf').
atm_c(d156,d156_18,22,'a0=_0_0175<x<=0_0615').
atm_c(d156,d156_2,22,'a0=0_1375<x<=+inf').
atm_c(d156,d156_20,22,'a0=0_1375<x<=+inf').
atm_c(d156,d156_21,22,'a0=_0_0175<x<=0_0615').
atm_c(d156,d156_22,22,'a0=0_1375<x<=+inf').
atm_c(d156,d156_23,22,'a0=_inf<x<=_0_1355').
atm_c(d156,d156_24,22,'a0=_inf<x<=_0_1355').
atm_c(d156,d156_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d156,d156_28,10,'a0=0_0615<x<=0_1375').
atm_c(d156,d156_3,22,'a0=_inf<x<=_0_1355').
atm_c(d156,d156_32,16,'a0=_inf<x<=_0_1355').
atm_c(d156,d156_33,16,'a0=_inf<x<=_0_1355').
atm_c(d156,d156_36,10,'a0=0_0615<x<=0_1375').
atm_c(d156,d156_4,22,'a0=_inf<x<=_0_1355').
atm_c(d156,d156_41,10,'a0=0_0615<x<=0_1375').
atm_c(d156,d156_46,10,'a0=0_0615<x<=0_1375').
atm_c(d156,d156_5,22,'a0=0_1375<x<=+inf').
atm_c(d156,d156_6,22,'a0=0_1375<x<=+inf').
atm_c(d156,d156_9,10,'a0=_0_0175<x<=0_0615').
atm_c(d157,d157_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_23,10,'a0=_0_0175<x<=0_0615').
atm_c(d157,d157_26,10,'a0=_0_0175<x<=0_0615').
atm_c(d157,d157_27,10,'a0=_0_0175<x<=0_0615').
atm_c(d157,d157_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_33,10,'a0=_0_0175<x<=0_0615').
atm_c(d157,d157_37,10,'a0=_0_0175<x<=0_0615').
atm_c(d157,d157_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d157,d157_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_1,22,'a0=_0_0175<x<=0_0615').
atm_c(d159,d159_11,14,'a0=0_1375<x<=+inf').
atm_c(d159,d159_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d159,d159_18,14,'a0=0_1375<x<=+inf').
atm_c(d159,d159_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_21,10,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_23,10,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d159,d159_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d16,d16_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d16,d16_11,14,'a0=0_1375<x<=+inf').
atm_c(d16,d16_12,22,'a0=_0_0175<x<=0_0615').
atm_c(d16,d16_13,22,'a0=_0_0175<x<=0_0615').
atm_c(d16,d16_14,14,'a0=0_1375<x<=+inf').
atm_c(d16,d16_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d16,d16_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d16,d16_17,22,'a0=_inf<x<=_0_1355').
atm_c(d16,d16_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d16,d16_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d16,d16_24,10,'a0=_0_0175<x<=0_0615').
atm_c(d16,d16_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d16,d16_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d16,d16_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d16,d16_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d160,d160_1,10,'a0=0_1375<x<=+inf').
atm_c(d160,d160_11,10,'a0=0_1375<x<=+inf').
atm_c(d160,d160_2,16,'a0=_0_1355<x<=_0_0175').
atm_c(d160,d160_3,16,'a0=_inf<x<=_0_1355').
atm_c(d160,d160_4,14,'a0=0_1375<x<=+inf').
atm_c(d160,d160_8,10,'a0=0_1375<x<=+inf').
atm_c(d161,d161_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_2,22,'a0=0_1375<x<=+inf').
atm_c(d161,d161_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_28,10,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_32,10,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_36,10,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_5,22,'a0=_inf<x<=_0_1355').
atm_c(d161,d161_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d161,d161_9,10,'a0=_0_0175<x<=0_0615').
atm_c(d162,d162_1,22,'a0=_inf<x<=_0_1355').
atm_c(d162,d162_11,22,'a0=0_1375<x<=+inf').
atm_c(d162,d162_12,22,'a0=_inf<x<=_0_1355').
atm_c(d162,d162_13,22,'a0=_inf<x<=_0_1355').
atm_c(d162,d162_14,22,'a0=_inf<x<=_0_1355').
atm_c(d162,d162_15,22,'a0=_inf<x<=_0_1355').
atm_c(d162,d162_16,22,'a0=0_1375<x<=+inf').
atm_c(d162,d162_2,22,'a0=_inf<x<=_0_1355').
atm_c(d162,d162_3,22,'a0=0_1375<x<=+inf').
atm_c(d162,d162_4,22,'a0=0_1375<x<=+inf').
atm_c(d162,d162_5,22,'a0=_inf<x<=_0_1355').
atm_c(d162,d162_6,22,'a0=_inf<x<=_0_1355').
atm_c(d163,d163_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d163,d163_17,14,'a0=0_1375<x<=+inf').
atm_c(d163,d163_18,14,'a0=0_1375<x<=+inf').
atm_c(d163,d163_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d163,d163_6,14,'a0=0_1375<x<=+inf').
atm_c(d163,d163_7,14,'a0=0_1375<x<=+inf').
atm_c(d164,d164_1,10,'a0=0_1375<x<=+inf').
atm_c(d164,d164_10,10,'a0=0_1375<x<=+inf').
atm_c(d164,d164_11,10,'a0=0_1375<x<=+inf').
atm_c(d164,d164_13,10,'a0=0_1375<x<=+inf').
atm_c(d164,d164_19,10,'a0=_0_1355<x<=_0_0175').
atm_c(d164,d164_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d164,d164_26,10,'a0=0_1375<x<=+inf').
atm_c(d164,d164_3,10,'a0=0_1375<x<=+inf').
atm_c(d164,d164_33,10,'a0=_0_0175<x<=0_0615').
atm_c(d164,d164_4,10,'a0=_0_0175<x<=0_0615').
atm_c(d164,d164_6,10,'a0=0_0615<x<=0_1375').
atm_c(d164,d164_8,10,'a0=0_1375<x<=+inf').
atm_c(d164,d164_9,10,'a0=0_1375<x<=+inf').
atm_c(d165,d165_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d165,d165_13,14,'a0=0_1375<x<=+inf').
atm_c(d165,d165_14,22,'a0=_0_0175<x<=0_0615').
atm_c(d165,d165_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_19,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d165,d165_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d166,d166_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d166,d166_12,14,'a0=0_1375<x<=+inf').
atm_c(d166,d166_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d166,d166_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d166,d166_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d166,d166_6,10,'a0=_0_0175<x<=0_0615').
atm_c(d167,d167_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d167,d167_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d167,d167_14,10,'a0=_0_0175<x<=0_0615').
atm_c(d167,d167_16,10,'a0=_inf<x<=_0_1355').
atm_c(d167,d167_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d167,d167_22,10,'a0=_0_0175<x<=0_0615').
atm_c(d167,d167_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d167,d167_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d167,d167_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d167,d167_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d168,d168_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d168,d168_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d168,d168_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d168,d168_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d168,d168_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d168,d168_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d168,d168_3,10,'a0=0_1375<x<=+inf').
atm_c(d168,d168_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d168,d168_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d168,d168_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d169,d169_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d169,d169_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d169,d169_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d169,d169_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d169,d169_5,22,'a0=0_1375<x<=+inf').
atm_c(d169,d169_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d17,d17_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d17,d17_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d17,d17_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d17,d17_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d17,d17_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d17,d17_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d17,d17_3,27,'a0=_0_0175<x<=0_0615').
atm_c(d17,d17_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d17,d17_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d17,d17_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d170,d170_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d170,d170_11,14,'a0=0_1375<x<=+inf').
atm_c(d170,d170_13,14,'a0=0_1375<x<=+inf').
atm_c(d170,d170_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d170,d170_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d170,d170_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d170,d170_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d170,d170_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d171,d171_1,22,'a0=_inf<x<=_0_1355').
atm_c(d171,d171_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d171,d171_17,14,'a0=0_1375<x<=+inf').
atm_c(d171,d171_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d171,d171_23,10,'a0=_0_0175<x<=0_0615').
atm_c(d171,d171_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d171,d171_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d171,d171_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d171,d171_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d171,d171_28,10,'a0=_0_0175<x<=0_0615').
atm_c(d171,d171_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d171,d171_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d171,d171_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d171,d171_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d172,d172_10,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_16,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_17,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_18,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_19,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_20,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_26,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_27,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_28,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_29,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_3,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_30,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_4,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_5,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_6,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_7,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_8,22,'a0=_inf<x<=_0_1355').
atm_c(d172,d172_9,22,'a0=_inf<x<=_0_1355').
atm_c(d173,d173_1,10,'a0=0_1375<x<=+inf').
atm_c(d173,d173_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_23,10,'a0=_inf<x<=_0_1355').
atm_c(d173,d173_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_32,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_33,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_34,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_4,10,'a0=_inf<x<=_0_1355').
atm_c(d173,d173_42,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_46,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_50,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_52,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_56,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_58,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d173,d173_61,14,'a0=0_1375<x<=+inf').
atm_c(d174,d174_10,10,'a0=0_1375<x<=+inf').
atm_c(d174,d174_13,10,'a0=0_1375<x<=+inf').
atm_c(d174,d174_16,10,'a0=0_1375<x<=+inf').
atm_c(d174,d174_2,10,'a0=0_1375<x<=+inf').
atm_c(d174,d174_3,10,'a0=0_1375<x<=+inf').
atm_c(d174,d174_7,10,'a0=0_1375<x<=+inf').
atm_c(d175,d175_1,22,'a0=_inf<x<=_0_1355').
atm_c(d175,d175_12,10,'a0=_inf<x<=_0_1355').
atm_c(d175,d175_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d175,d175_19,14,'a0=0_1375<x<=+inf').
atm_c(d175,d175_2,22,'a0=_inf<x<=_0_1355').
atm_c(d175,d175_22,14,'a0=0_1375<x<=+inf').
atm_c(d175,d175_3,22,'a0=_inf<x<=_0_1355').
atm_c(d175,d175_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d175,d175_5,22,'a0=_inf<x<=_0_1355').
atm_c(d175,d175_6,22,'a0=_inf<x<=_0_1355').
atm_c(d176,d176_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d176,d176_11,14,'a0=0_1375<x<=+inf').
atm_c(d176,d176_14,14,'a0=0_1375<x<=+inf').
atm_c(d176,d176_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d176,d176_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d176,d176_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d176,d176_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d176,d176_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d177,d177_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d177,d177_10,10,'a0=0_0615<x<=0_1375').
atm_c(d177,d177_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d177,d177_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d177,d177_18,10,'a0=_inf<x<=_0_1355').
atm_c(d177,d177_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d177,d177_24,10,'a0=_0_0175<x<=0_0615').
atm_c(d177,d177_28,10,'a0=_0_0175<x<=0_0615').
atm_c(d177,d177_29,10,'a0=_0_0175<x<=0_0615').
atm_c(d177,d177_3,22,'a0=0_1375<x<=+inf').
atm_c(d177,d177_35,10,'a0=_0_0175<x<=0_0615').
atm_c(d177,d177_36,10,'a0=_0_0175<x<=0_0615').
atm_c(d177,d177_4,22,'a0=0_1375<x<=+inf').
atm_c(d177,d177_42,10,'a0=_0_0175<x<=0_0615').
atm_c(d177,d177_43,10,'a0=_0_1355<x<=_0_0175').
atm_c(d177,d177_46,10,'a0=_0_1355<x<=_0_0175').
atm_c(d177,d177_49,10,'a0=_inf<x<=_0_1355').
atm_c(d177,d177_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d177,d177_6,22,'a0=_0_0175<x<=0_0615').
atm_c(d179,d179_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d179,d179_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d179,d179_19,14,'a0=0_1375<x<=+inf').
atm_c(d179,d179_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d179,d179_22,10,'a0=_0_0175<x<=0_0615').
atm_c(d179,d179_23,10,'a0=_0_1355<x<=_0_0175').
atm_c(d179,d179_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d179,d179_29,10,'a0=_inf<x<=_0_1355').
atm_c(d179,d179_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d179,d179_4,22,'a0=_inf<x<=_0_1355').
atm_c(d179,d179_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d179,d179_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d18,d18_1,21,'a0=_0_0175<x<=0_0615').
atm_c(d18,d18_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d18,d18_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d18,d18_2,21,'a0=_0_0175<x<=0_0615').
atm_c(d18,d18_3,21,'a0=_0_0175<x<=0_0615').
atm_c(d18,d18_9,14,'a0=0_1375<x<=+inf').
atm_c(d180,d180_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d180,d180_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d180,d180_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d180,d180_18,14,'a0=0_1375<x<=+inf').
atm_c(d180,d180_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d180,d180_3,26,'a0=_0_1355<x<=_0_0175').
atm_c(d180,d180_4,26,'a0=0_0615<x<=0_1375').
atm_c(d180,d180_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d180,d180_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d180,d180_7,21,'a0=_0_1355<x<=_0_0175').
atm_c(d180,d180_8,21,'a0=_0_1355<x<=_0_0175').
atm_c(d181,d181_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d181,d181_12,10,'a0=0_0615<x<=0_1375').
atm_c(d181,d181_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d181,d181_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d181,d181_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d181,d181_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d181,d181_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d182,d182_1,22,'a0=_inf<x<=_0_1355').
atm_c(d182,d182_13,10,'a0=0_0615<x<=0_1375').
atm_c(d182,d182_14,14,'a0=0_1375<x<=+inf').
atm_c(d182,d182_19,193,'a0=_0_1355<x<=_0_0175').
atm_c(d182,d182_2,22,'a0=_inf<x<=_0_1355').
atm_c(d182,d182_21,192,'a0=0_1375<x<=+inf').
atm_c(d182,d182_22,193,'a0=_0_1355<x<=_0_0175').
atm_c(d182,d182_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d182,d182_28,10,'a0=0_0615<x<=0_1375').
atm_c(d182,d182_3,22,'a0=_inf<x<=_0_1355').
atm_c(d182,d182_30,14,'a0=0_1375<x<=+inf').
atm_c(d182,d182_35,10,'a0=_0_1355<x<=_0_0175').
atm_c(d182,d182_39,10,'a0=_0_1355<x<=_0_0175').
atm_c(d182,d182_4,22,'a0=0_1375<x<=+inf').
atm_c(d182,d182_5,22,'a0=_inf<x<=_0_1355').
atm_c(d182,d182_6,22,'a0=_inf<x<=_0_1355').
atm_c(d183,d183_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d183,d183_10,10,'a0=0_0615<x<=0_1375').
atm_c(d183,d183_11,16,'a0=_inf<x<=_0_1355').
atm_c(d183,d183_12,14,'a0=0_1375<x<=+inf').
atm_c(d183,d183_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d183,d183_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d183,d183_17,10,'a0=0_0615<x<=0_1375').
atm_c(d183,d183_18,16,'a0=_0_1355<x<=_0_0175').
atm_c(d183,d183_2,27,'a0=_0_0175<x<=0_0615').
atm_c(d183,d183_22,10,'a0=0_0615<x<=0_1375').
atm_c(d183,d183_23,16,'a0=_0_1355<x<=_0_0175').
atm_c(d183,d183_24,16,'a0=_inf<x<=_0_1355').
atm_c(d183,d183_25,14,'a0=0_1375<x<=+inf').
atm_c(d183,d183_26,10,'a0=0_0615<x<=0_1375').
atm_c(d183,d183_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d183,d183_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d183,d183_43,10,'a0=_0_1355<x<=_0_0175').
atm_c(d183,d183_47,10,'a0=_0_1355<x<=_0_0175').
atm_c(d183,d183_5,22,'a0=0_1375<x<=+inf').
atm_c(d183,d183_51,14,'a0=0_1375<x<=+inf').
atm_c(d183,d183_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d183,d183_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d184,d184_1,22,'a0=_inf<x<=_0_1355').
atm_c(d184,d184_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d184,d184_13,10,'a0=_0_0175<x<=0_0615').
atm_c(d184,d184_16,10,'a0=_inf<x<=_0_1355').
atm_c(d184,d184_2,22,'a0=_inf<x<=_0_1355').
atm_c(d184,d184_3,22,'a0=_inf<x<=_0_1355').
atm_c(d184,d184_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d184,d184_5,22,'a0=_inf<x<=_0_1355').
atm_c(d184,d184_6,22,'a0=_inf<x<=_0_1355').
atm_c(d185,d185_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d185,d185_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d185,d185_3,14,'a0=0_1375<x<=+inf').
atm_c(d185,d185_6,14,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_1,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_106,10,'a0=0_0615<x<=0_1375').
atm_c(d186,d186a_110,10,'a0=0_0615<x<=0_1375').
atm_c(d186,d186a_114,10,'a0=0_0615<x<=0_1375').
atm_c(d186,d186a_118,10,'a0=_inf<x<=_0_1355').
atm_c(d186,d186a_12,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_14,14,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_17,10,'a0=_inf<x<=_0_1355').
atm_c(d186,d186a_2,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_25,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_26,10,'a0=_inf<x<=_0_1355').
atm_c(d186,d186a_31,10,'a0=_inf<x<=_0_1355').
atm_c(d186,d186a_32,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_35,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_37,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_38,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_39,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_40,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_43,10,'a0=_inf<x<=_0_1355').
atm_c(d186,d186a_52,10,'a0=_0_0175<x<=0_0615').
atm_c(d186,d186a_56,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_61,10,'a0=_inf<x<=_0_1355').
atm_c(d186,d186a_66,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_67,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_68,14,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_70,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_71,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_74,10,'a0=_inf<x<=_0_1355').
atm_c(d186,d186a_79,10,'a0=_inf<x<=_0_1355').
atm_c(d186,d186a_84,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_92,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_94,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186a_95,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186a_96,10,'a0=_0_0175<x<=0_0615').
atm_c(d186,d186a_97,10,'a0=0_1375<x<=+inf').
atm_c(d186,d186b_1,10,'a0=_inf<x<=_0_1355').
atm_c(d186,d186b_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_21,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_30,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_33,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_36,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_39,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_42,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_45,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_48,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_51,14,'a0=0_1375<x<=+inf').
atm_c(d186,d186b_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d186,d186b_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d187,d187_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d187,d187_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d187,d187_14,10,'a0=_0_0175<x<=0_0615').
atm_c(d187,d187_19,10,'a0=_0_0175<x<=0_0615').
atm_c(d187,d187_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d187,d187_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d187,d187_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d187,d187_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d187,d187_6,22,'a0=0_1375<x<=+inf').
atm_c(d188,d188a_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188a_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d188,d188a_15,10,'a0=_0_0175<x<=0_0615').
atm_c(d188,d188a_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188a_3,22,'a0=_inf<x<=_0_1355').
atm_c(d188,d188a_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188a_5,22,'a0=_inf<x<=_0_1355').
atm_c(d188,d188a_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188b_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188b_10,10,'a0=_0_0175<x<=0_0615').
atm_c(d188,d188b_15,10,'a0=_0_0175<x<=0_0615').
atm_c(d188,d188b_2,22,'a0=_inf<x<=_0_1355').
atm_c(d188,d188b_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188b_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188b_5,22,'a0=_inf<x<=_0_1355').
atm_c(d188,d188b_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188c_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188c_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d188,d188c_15,10,'a0=_0_0175<x<=0_0615').
atm_c(d188,d188c_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188c_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188c_4,22,'a0=_inf<x<=_0_1355').
atm_c(d188,d188c_5,22,'a0=_inf<x<=_0_1355').
atm_c(d188,d188c_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188d_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188d_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188d_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188d_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188d_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188d_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d188,d188d_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d188,d188d_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d189,d189_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d189,d189_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d189,d189_13,10,'a0=_0_0175<x<=0_0615').
atm_c(d189,d189_17,10,'a0=_0_0175<x<=0_0615').
atm_c(d189,d189_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d189,d189_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d189,d189_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d189,d189_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d189,d189_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d19,d19_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d19,d19_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d19,d19_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d19,d19_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d19,d19_13,22,'a0=_0_0175<x<=0_0615').
atm_c(d19,d19_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d19,d19_17,10,'a0=_0_1355<x<=_0_0175').
atm_c(d19,d19_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d19,d19_3,27,'a0=_0_0175<x<=0_0615').
atm_c(d19,d19_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d19,d19_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d19,d19_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d190,d190_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d190,d190_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d190,d190_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d190,d190_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d190,d190_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d190,d190_5,22,'a0=_inf<x<=_0_1355').
atm_c(d190,d190_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d191,d191_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d191,d191_10,10,'a0=_0_1355<x<=_0_0175').
atm_c(d191,d191_12,14,'a0=0_1375<x<=+inf').
atm_c(d191,d191_17,10,'a0=0_0615<x<=0_1375').
atm_c(d191,d191_18,16,'a0=_inf<x<=_0_1355').
atm_c(d191,d191_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d191,d191_21,16,'a0=_inf<x<=_0_1355').
atm_c(d191,d191_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d192,d192_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d192,d192_12,14,'a0=0_1375<x<=+inf').
atm_c(d192,d192_14,10,'a0=0_0615<x<=0_1375').
atm_c(d192,d192_15,16,'a0=_inf<x<=_0_1355').
atm_c(d192,d192_18,16,'a0=_inf<x<=_0_1355').
atm_c(d192,d192_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d192,d192_23,22,'a0=0_0615<x<=0_1375').
atm_c(d192,d192_25,22,'a0=_0_1355<x<=_0_0175').
atm_c(d192,d192_26,22,'a0=_0_1355<x<=_0_0175').
atm_c(d192,d192_27,22,'a0=_0_1355<x<=_0_0175').
atm_c(d192,d192_28,22,'a0=_0_1355<x<=_0_0175').
atm_c(d192,d192_29,22,'a0=_0_1355<x<=_0_0175').
atm_c(d192,d192_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d192,d192_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d192,d192_5,22,'a0=0_1375<x<=+inf').
atm_c(d192,d192_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d193,d193_1,10,'a0=_0_0175<x<=0_0615').
atm_c(d193,d193_3,10,'a0=_0_0175<x<=0_0615').
atm_c(d193,d193_4,10,'a0=_0_0175<x<=0_0615').
atm_c(d193,d193_6,10,'a0=_0_0175<x<=0_0615').
atm_c(d195,d195_1,22,'a0=_inf<x<=_0_1355').
atm_c(d195,d195_2,22,'a0=_inf<x<=_0_1355').
atm_c(d195,d195_3,26,'a0=0_0615<x<=0_1375').
atm_c(d195,d195_4,26,'a0=0_0615<x<=0_1375').
atm_c(d195,d195_5,22,'a0=_inf<x<=_0_1355').
atm_c(d195,d195_6,22,'a0=_inf<x<=_0_1355').
atm_c(d195,d195_7,21,'a0=_0_1355<x<=_0_0175').
atm_c(d195,d195_8,21,'a0=_inf<x<=_0_1355').
atm_c(d196,d196_1,21,'a0=0_1375<x<=+inf').
atm_c(d196,d196_2,21,'a0=_inf<x<=_0_1355').
atm_c(d196,d196_3,21,'a0=_inf<x<=_0_1355').
atm_c(d196,d196_4,21,'a0=_inf<x<=_0_1355').
atm_c(d196,d196_6,14,'a0=0_1375<x<=+inf').
atm_c(d197,d197_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_15,22,'a0=0_1375<x<=+inf').
atm_c(d197,d197_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_2,22,'a0=0_1375<x<=+inf').
atm_c(d197,d197_25,14,'a0=0_1375<x<=+inf').
atm_c(d197,d197_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_27,14,'a0=0_1375<x<=+inf').
atm_c(d197,d197_28,10,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_30,10,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_33,10,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_36,10,'a0=_inf<x<=_0_1355').
atm_c(d197,d197_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d197,d197_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d198,d198_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d198,d198_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d198,d198_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d198,d198_2,10,'a0=_0_0175<x<=0_0615').
atm_c(d198,d198_9,14,'a0=0_1375<x<=+inf').
atm_c(d199,d199_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d199,d199_13,22,'a0=0_1375<x<=+inf').
atm_c(d199,d199_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d199,d199_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d199,d199_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d199,d199_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d199,d199_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d199,d199_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d199,d199_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d199,d199_4,22,'a0=0_1375<x<=+inf').
atm_c(d199,d199_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d199,d199_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d2,d2_1,22,'a0=_inf<x<=_0_1355').
atm_c(d2,d2_11,26,'a0=0_0615<x<=0_1375').
atm_c(d2,d2_12,26,'a0=0_1375<x<=+inf').
atm_c(d2,d2_14,22,'a0=_inf<x<=_0_1355').
atm_c(d2,d2_15,22,'a0=_inf<x<=_0_1355').
atm_c(d2,d2_16,22,'a0=0_1375<x<=+inf').
atm_c(d2,d2_17,22,'a0=_inf<x<=_0_1355').
atm_c(d2,d2_2,22,'a0=_inf<x<=_0_1355').
atm_c(d2,d2_21,10,'a0=_0_1355<x<=_0_0175').
atm_c(d2,d2_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d2,d2_3,26,'a0=0_0615<x<=0_1375').
atm_c(d2,d2_4,26,'a0=0_1375<x<=+inf').
atm_c(d2,d2_5,22,'a0=_inf<x<=_0_1355').
atm_c(d2,d2_6,22,'a0=_inf<x<=_0_1355').
atm_c(d20,d20_1,22,'a0=_inf<x<=_0_1355').
atm_c(d20,d20_13,10,'a0=0_0615<x<=0_1375').
atm_c(d20,d20_2,22,'a0=_inf<x<=_0_1355').
atm_c(d20,d20_3,22,'a0=_inf<x<=_0_1355').
atm_c(d20,d20_4,22,'a0=0_1375<x<=+inf').
atm_c(d20,d20_5,22,'a0=0_1375<x<=+inf').
atm_c(d20,d20_6,22,'a0=_inf<x<=_0_1355').
atm_c(d200,d200_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d200,d200_12,14,'a0=0_1375<x<=+inf').
atm_c(d200,d200_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d200,d200_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d200,d200_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d200,d200_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d200,d200_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d201,d201_1,29,'a0=_0_0175<x<=0_0615').
atm_c(d201,d201_10,14,'a0=0_1375<x<=+inf').
atm_c(d201,d201_11,22,'a0=0_0615<x<=0_1375').
atm_c(d201,d201_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d201,d201_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d201,d201_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d201,d201_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d201,d201_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d201,d201_17,22,'a0=_inf<x<=_0_1355').
atm_c(d201,d201_19,29,'a0=_0_0175<x<=0_0615').
atm_c(d201,d201_2,27,'a0=_0_1355<x<=_0_0175').
atm_c(d201,d201_20,22,'a0=0_0615<x<=0_1375').
atm_c(d201,d201_21,14,'a0=0_1375<x<=+inf').
atm_c(d201,d201_22,22,'a0=_0_1355<x<=_0_0175').
atm_c(d201,d201_23,22,'a0=_inf<x<=_0_1355').
atm_c(d201,d201_24,22,'a0=_inf<x<=_0_1355').
atm_c(d201,d201_25,22,'a0=_inf<x<=_0_1355').
atm_c(d201,d201_3,27,'a0=_0_1355<x<=_0_0175').
atm_c(d201,d201_4,22,'a0=0_0615<x<=0_1375').
atm_c(d201,d201_5,22,'a0=_inf<x<=_0_1355').
atm_c(d201,d201_6,22,'a0=_inf<x<=_0_1355').
atm_c(d201,d201_7,29,'a0=_0_0175<x<=0_0615').
atm_c(d201,d201_8,29,'a0=_0_0175<x<=0_0615').
atm_c(d201,d201_9,22,'a0=0_0615<x<=0_1375').
atm_c(d202,d202_1,10,'a0=_inf<x<=_0_1355').
atm_c(d202,d202_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d202,d202_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d202,d202_19,10,'a0=0_0615<x<=0_1375').
atm_c(d202,d202_2,10,'a0=0_0615<x<=0_1375').
atm_c(d202,d202_3,16,'a0=_inf<x<=_0_1355').
atm_c(d202,d202_4,16,'a0=_inf<x<=_0_1355').
atm_c(d202,d202_5,14,'a0=0_1375<x<=+inf').
atm_c(d202,d202_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d203,d203_1,22,'a0=0_1375<x<=+inf').
atm_c(d203,d203_3,22,'a0=0_1375<x<=+inf').
atm_c(d203,d203_5,22,'a0=0_1375<x<=+inf').
atm_c(d204,d204_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d204,d204_2,10,'a0=_0_0175<x<=0_0615').
atm_c(d204,d204_6,14,'a0=0_1375<x<=+inf').
atm_c(d204,d204_8,10,'a0=_0_1355<x<=_0_0175').
atm_c(d205,d205_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d205,d205_16,192,'a0=0_1375<x<=+inf').
atm_c(d205,d205_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d205,d205_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d205,d205_6,192,'a0=0_1375<x<=+inf').
atm_c(d205,d205_8,10,'a0=_0_1355<x<=_0_0175').
atm_c(d206,d206_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d206,d206_10,16,'a0=_inf<x<=_0_1355').
atm_c(d206,d206_2,10,'a0=0_0615<x<=0_1375').
atm_c(d206,d206_3,10,'a0=0_0615<x<=0_1375').
atm_c(d206,d206_4,16,'a0=_inf<x<=_0_1355').
atm_c(d206,d206_5,16,'a0=_inf<x<=_0_1355').
atm_c(d206,d206_6,10,'a0=0_0615<x<=0_1375').
atm_c(d206,d206_7,10,'a0=0_0615<x<=0_1375').
atm_c(d206,d206_8,16,'a0=_inf<x<=_0_1355').
atm_c(d206,d206_9,10,'a0=0_0615<x<=0_1375').
atm_c(d207,d207_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d207,d207_11,14,'a0=0_1375<x<=+inf').
atm_c(d207,d207_13,10,'a0=0_0615<x<=0_1375').
atm_c(d207,d207_14,16,'a0=_inf<x<=_0_1355').
atm_c(d207,d207_17,16,'a0=_inf<x<=_0_1355').
atm_c(d207,d207_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d207,d207_22,14,'a0=0_1375<x<=+inf').
atm_c(d207,d207_24,10,'a0=0_0615<x<=0_1375').
atm_c(d207,d207_25,16,'a0=_inf<x<=_0_1355').
atm_c(d207,d207_28,16,'a0=_inf<x<=_0_1355').
atm_c(d207,d207_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d207,d207_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d207,d207_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d207,d207_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d208_1,d208_1_2,14,'a0=0_1375<x<=+inf').
atm_c(d208_1,d208_1_6,14,'a0=0_1375<x<=+inf').
atm_c(d208_2,d208_2_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_23,14,'a0=0_1375<x<=+inf').
atm_c(d208_2,d208_2_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_32,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_33,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_39,14,'a0=0_1375<x<=+inf').
atm_c(d208_2,d208_2_41,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_42,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_48,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_49,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_55,14,'a0=0_1375<x<=+inf').
atm_c(d208_2,d208_2_57,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_58,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_6,14,'a0=0_1375<x<=+inf').
atm_c(d208_2,d208_2_64,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_65,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_8,10,'a0=_0_1355<x<=_0_0175').
atm_c(d208_2,d208_2_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d209,d209_1,22,'a0=_inf<x<=_0_1355').
atm_c(d209,d209_12,10,'a0=0_0615<x<=0_1375').
atm_c(d209,d209_17,10,'a0=0_0615<x<=0_1375').
atm_c(d209,d209_18,16,'a0=_inf<x<=_0_1355').
atm_c(d209,d209_19,16,'a0=_inf<x<=_0_1355').
atm_c(d209,d209_2,22,'a0=0_1375<x<=+inf').
atm_c(d209,d209_3,22,'a0=0_1375<x<=+inf').
atm_c(d209,d209_4,22,'a0=_inf<x<=_0_1355').
atm_c(d209,d209_5,22,'a0=_inf<x<=_0_1355').
atm_c(d209,d209_6,22,'a0=_inf<x<=_0_1355').
atm_c(d21,d21_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d21,d21_11,22,'a0=0_1375<x<=+inf').
atm_c(d21,d21_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d21,d21_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d21,d21_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d21,d21_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d21,d21_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d21,d21_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d21,d21_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d21,d21_4,22,'a0=0_1375<x<=+inf').
atm_c(d21,d21_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d21,d21_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d210,d210_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d210,d210_11,232,'a0=0_1375<x<=+inf').
atm_c(d210,d210_16,14,'a0=0_1375<x<=+inf').
atm_c(d210,d210_18,10,'a0=_0_0175<x<=0_0615').
atm_c(d210,d210_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d210,d210_22,10,'a0=_0_0175<x<=0_0615').
atm_c(d210,d210_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d210,d210_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d210,d210_5,22,'a0=0_1375<x<=+inf').
atm_c(d210,d210_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d211,d211_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d211,d211_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d211,d211_15,14,'a0=0_1375<x<=+inf').
atm_c(d211,d211_18,14,'a0=0_1375<x<=+inf').
atm_c(d211,d211_20,10,'a0=_0_0175<x<=0_0615').
atm_c(d211,d211_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d211,d211_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d212,d212_1,27,'a0=_0_1355<x<=_0_0175').
atm_c(d212,d212_10,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_11,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_12,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_2,27,'a0=_0_1355<x<=_0_0175').
atm_c(d212,d212_24,22,'a0=0_1375<x<=+inf').
atm_c(d212,d212_25,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_26,22,'a0=_0_1355<x<=_0_0175').
atm_c(d212,d212_27,27,'a0=_0_1355<x<=_0_0175').
atm_c(d212,d212_28,27,'a0=_0_1355<x<=_0_0175').
atm_c(d212,d212_29,22,'a0=0_1375<x<=+inf').
atm_c(d212,d212_3,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_31,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_32,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_33,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_34,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_4,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_5,22,'a0=_inf<x<=_0_1355').
atm_c(d212,d212_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d212,d212_9,22,'a0=_inf<x<=_0_1355').
atm_c(d213,d213_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d213,d213_12,14,'a0=0_1375<x<=+inf').
atm_c(d213,d213_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d213,d213_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d213,d213_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d213,d213_5,22,'a0=0_1375<x<=+inf').
atm_c(d213,d213_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_19,14,'a0=0_1375<x<=+inf').
atm_c(d214,d214_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d214,d214_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_28,10,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_29,10,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_3,10,'a0=_0_0175<x<=0_0615').
atm_c(d214,d214_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d214,d214_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d215,d215_1,22,'a0=0_1375<x<=+inf').
atm_c(d215,d215_10,10,'a0=_inf<x<=_0_1355').
atm_c(d215,d215_11,10,'a0=_inf<x<=_0_1355').
atm_c(d215,d215_17,14,'a0=0_1375<x<=+inf').
atm_c(d215,d215_3,22,'a0=0_1375<x<=+inf').
atm_c(d215,d215_4,22,'a0=_inf<x<=_0_1355').
atm_c(d215,d215_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d215,d215_6,22,'a0=_inf<x<=_0_1355').
atm_c(d216,d216_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d216,d216_16,192,'a0=0_1375<x<=+inf').
atm_c(d216,d216_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d216,d216_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d216,d216_6,192,'a0=0_1375<x<=+inf').
atm_c(d216,d216_8,10,'a0=_0_1355<x<=_0_0175').
atm_c(d217,d217_1,22,'a0=_inf<x<=_0_1355').
atm_c(d217,d217_13,14,'a0=0_1375<x<=+inf').
atm_c(d217,d217_14,10,'a0=0_0615<x<=0_1375').
atm_c(d217,d217_15,14,'a0=0_1375<x<=+inf').
atm_c(d217,d217_19,10,'a0=_0_0175<x<=0_0615').
atm_c(d217,d217_2,22,'a0=0_1375<x<=+inf').
atm_c(d217,d217_3,22,'a0=_inf<x<=_0_1355').
atm_c(d217,d217_4,22,'a0=_inf<x<=_0_1355').
atm_c(d217,d217_5,22,'a0=_inf<x<=_0_1355').
atm_c(d217,d217_6,22,'a0=_inf<x<=_0_1355').
atm_c(d218,d218_1,10,'a0=_inf<x<=_0_1355').
atm_c(d218,d218_10,10,'a0=_inf<x<=_0_1355').
atm_c(d218,d218_16,14,'a0=0_1375<x<=+inf').
atm_c(d218,d218_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d218,d218_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d219,d219_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d219,d219_10,10,'a0=_0_1355<x<=_0_0175').
atm_c(d219,d219_16,14,'a0=_0_1355<x<=_0_0175').
atm_c(d219,d219_19,14,'a0=_0_1355<x<=_0_0175').
atm_c(d219,d219_2,10,'a0=_0_0175<x<=0_0615').
atm_c(d219,d219_23,10,'a0=_0_0175<x<=0_0615').
atm_c(d219,d219_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d219,d219_30,10,'a0=_0_0175<x<=0_0615').
atm_c(d219,d219_31,10,'a0=_0_1355<x<=_0_0175').
atm_c(d219,d219_9,10,'a0=_0_0175<x<=0_0615').
atm_c(d22,d22_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d22,d22_12,22,'a0=0_1375<x<=+inf').
atm_c(d22,d22_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d22,d22_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d22,d22_15,22,'a0=0_1375<x<=+inf').
atm_c(d22,d22_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d22,d22_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d22,d22_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d22,d22_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d22,d22_4,22,'a0=0_1375<x<=+inf').
atm_c(d22,d22_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d22,d22_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d220,d220a_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d220,d220a_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d220,d220a_15,16,'a0=_inf<x<=_0_1355').
atm_c(d220,d220a_16,16,'a0=_inf<x<=_0_1355').
atm_c(d220,d220a_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d220,d220a_3,22,'a0=0_0615<x<=0_1375').
atm_c(d220,d220a_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d220,d220a_5,22,'a0=_inf<x<=_0_1355').
atm_c(d220,d220a_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d220,d220b_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d220,d220b_10,10,'a0=_0_0175<x<=0_0615').
atm_c(d220,d220b_14,16,'a0=_inf<x<=_0_1355').
atm_c(d220,d220b_15,16,'a0=_inf<x<=_0_1355').
atm_c(d220,d220b_2,22,'a0=0_0615<x<=0_1375').
atm_c(d220,d220b_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d220,d220b_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d220,d220b_5,22,'a0=_inf<x<=_0_1355').
atm_c(d220,d220b_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d221,d221_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d221,d221_10,22,'a0=_inf<x<=_0_1355').
atm_c(d221,d221_11,22,'a0=_inf<x<=_0_1355').
atm_c(d221,d221_12,22,'a0=0_1375<x<=+inf').
atm_c(d221,d221_13,22,'a0=_inf<x<=_0_1355').
atm_c(d221,d221_2,22,'a0=_inf<x<=_0_1355').
atm_c(d221,d221_23,22,'a0=0_1375<x<=+inf').
atm_c(d221,d221_24,22,'a0=_inf<x<=_0_1355').
atm_c(d221,d221_25,22,'a0=_inf<x<=_0_1355').
atm_c(d221,d221_26,22,'a0=_0_1355<x<=_0_0175').
atm_c(d221,d221_27,22,'a0=_inf<x<=_0_1355').
atm_c(d221,d221_28,22,'a0=_inf<x<=_0_1355').
atm_c(d221,d221_3,27,'a0=_0_1355<x<=_0_0175').
atm_c(d221,d221_4,27,'a0=_0_1355<x<=_0_0175').
atm_c(d221,d221_5,22,'a0=_inf<x<=_0_1355').
atm_c(d221,d221_6,22,'a0=_inf<x<=_0_1355').
atm_c(d222,d222_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d222,d222_10,10,'a0=_0_0175<x<=0_0615').
atm_c(d222,d222_14,10,'a0=_0_0175<x<=0_0615').
atm_c(d222,d222_18,10,'a0=_0_0175<x<=0_0615').
atm_c(d222,d222_2,22,'a0=0_1375<x<=+inf').
atm_c(d222,d222_22,10,'a0=_0_0175<x<=0_0615').
atm_c(d222,d222_27,14,'a0=0_1375<x<=+inf').
atm_c(d222,d222_29,10,'a0=_0_0175<x<=0_0615').
atm_c(d222,d222_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d222,d222_4,22,'a0=_inf<x<=_0_1355').
atm_c(d222,d222_5,22,'a0=0_1375<x<=+inf').
atm_c(d222,d222_6,22,'a0=_inf<x<=_0_1355').
atm_c(d223,d223_1,22,'a0=_inf<x<=_0_1355').
atm_c(d223,d223_13,14,'a0=0_1375<x<=+inf').
atm_c(d223,d223_2,22,'a0=_inf<x<=_0_1355').
atm_c(d223,d223_3,22,'a0=_inf<x<=_0_1355').
atm_c(d223,d223_4,22,'a0=_inf<x<=_0_1355').
atm_c(d223,d223_5,22,'a0=0_1375<x<=+inf').
atm_c(d223,d223_6,22,'a0=_inf<x<=_0_1355').
atm_c(d224,d224_1,10,'a0=0_0615<x<=0_1375').
atm_c(d224,d224_2,16,'a0=_inf<x<=_0_1355').
atm_c(d224,d224_3,16,'a0=_inf<x<=_0_1355').
atm_c(d224,d224_4,10,'a0=0_0615<x<=0_1375').
atm_c(d225,d225a_1,10,'a0=0_0615<x<=0_1375').
atm_c(d225,d225a_10,16,'a0=_inf<x<=_0_1355').
atm_c(d225,d225a_11,10,'a0=0_0615<x<=0_1375').
atm_c(d225,d225a_13,10,'a0=0_0615<x<=0_1375').
atm_c(d225,d225a_16,16,'a0=_inf<x<=_0_1355').
atm_c(d225,d225a_19,10,'a0=0_0615<x<=0_1375').
atm_c(d225,d225a_2,16,'a0=_inf<x<=_0_1355').
atm_c(d225,d225a_23,16,'a0=_inf<x<=_0_1355').
atm_c(d225,d225a_24,10,'a0=0_0615<x<=0_1375').
atm_c(d225,d225a_28,14,'a0=0_1375<x<=+inf').
atm_c(d225,d225a_30,10,'a0=_0_0175<x<=0_0615').
atm_c(d225,d225a_6,10,'a0=0_0615<x<=0_1375').
atm_c(d225,d225b_1,10,'a0=0_0615<x<=0_1375').
atm_c(d225,d225b_10,16,'a0=_inf<x<=_0_1355').
atm_c(d225,d225b_11,10,'a0=0_0615<x<=0_1375').
atm_c(d225,d225b_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d225,d225b_16,10,'a0=_inf<x<=_0_1355').
atm_c(d225,d225b_19,10,'a0=_inf<x<=_0_1355').
atm_c(d225,d225b_2,16,'a0=_inf<x<=_0_1355').
atm_c(d225,d225b_23,10,'a0=_0_1355<x<=_0_0175').
atm_c(d225,d225b_24,10,'a0=0_1375<x<=+inf').
atm_c(d225,d225b_28,14,'a0=0_1375<x<=+inf').
atm_c(d225,d225b_30,10,'a0=_0_0175<x<=0_0615').
atm_c(d225,d225b_6,10,'a0=0_0615<x<=0_1375').
atm_c(d226,d226_1,22,'a0=0_1375<x<=+inf').
atm_c(d226,d226_11,10,'a0=0_0615<x<=0_1375').
atm_c(d226,d226_3,22,'a0=0_1375<x<=+inf').
atm_c(d226,d226_4,22,'a0=_inf<x<=_0_1355').
atm_c(d226,d226_5,22,'a0=_inf<x<=_0_1355').
atm_c(d226,d226_6,22,'a0=_inf<x<=_0_1355').
atm_c(d227,d227_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d227,d227_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d227,d227_6,10,'a0=0_0615<x<=0_1375').
atm_c(d228,d228_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d228,d228_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d229,d229_1,10,'a0=0_0615<x<=0_1375').
atm_c(d229,d229_2,10,'a0=0_0615<x<=0_1375').
atm_c(d230,d230_2,16,'a0=_inf<x<=_0_1355').
atm_c(d230,d230_3,16,'a0=_inf<x<=_0_1355').
atm_c(d230,d230_5,10,'a0=0_0615<x<=0_1375').
atm_c(d231,d231_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_11,14,'a0=0_1375<x<=+inf').
atm_c(d231,d231_13,10,'a0=0_1375<x<=+inf').
atm_c(d231,d231_14,10,'a0=0_0615<x<=0_1375').
atm_c(d231,d231_15,16,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_16,10,'a0=0_0615<x<=0_1375').
atm_c(d231,d231_17,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_26,16,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_27,10,'a0=0_0615<x<=0_1375').
atm_c(d231,d231_28,10,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_29,10,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_3,22,'a0=0_1375<x<=+inf').
atm_c(d231,d231_33,10,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_34,10,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_35,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_36,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_43,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_44,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_45,10,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_53,10,'a0=_0_0175<x<=0_0615').
atm_c(d231,d231_54,10,'a0=0_0615<x<=0_1375').
atm_c(d231,d231_6,22,'a0=_0_0175<x<=0_0615').
atm_c(d231,d231_60,10,'a0=_0_0175<x<=0_0615').
atm_c(d231,d231_61,10,'a0=0_0615<x<=0_1375').
atm_c(d231,d231_68,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_72,10,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_74,10,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_78,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_80,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_83,10,'a0=_0_1355<x<=_0_0175').
atm_c(d231,d231_86,10,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_89,10,'a0=_inf<x<=_0_1355').
atm_c(d231,d231_93,10,'a0=_inf<x<=_0_1355').
atm_c(d232,d232_1,191,'a0=_0_1355<x<=_0_0175').
atm_c(d232,d232_2,191,'a0=_0_1355<x<=_0_0175').
atm_c(d232,d232_3,10,'a0=0_0615<x<=0_1375').
atm_c(d233,d233_1,22,'a0=_0_0175<x<=0_0615').
atm_c(d233,d233_12,14,'a0=0_1375<x<=+inf').
atm_c(d233,d233_19,10,'a0=0_1375<x<=+inf').
atm_c(d233,d233_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d233,d233_24,10,'a0=0_1375<x<=+inf').
atm_c(d233,d233_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d233,d233_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d233,d233_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d233,d233_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d234,d234_1,10,'a0=0_0615<x<=0_1375').
atm_c(d234,d234_13,10,'a0=0_0615<x<=0_1375').
atm_c(d234,d234_9,10,'a0=0_0615<x<=0_1375').
atm_c(d235,d235_15,10,'a0=_0_0175<x<=0_0615').
atm_c(d235,d235_17,10,'a0=_0_0175<x<=0_0615').
atm_c(d235,d235_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d235,d235_21,10,'a0=_0_1355<x<=_0_0175').
atm_c(d235,d235_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d235,d235_30,10,'a0=_0_1355<x<=_0_0175').
atm_c(d235,d235_4,10,'a0=_0_0175<x<=0_0615').
atm_c(d235,d235_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d235,d235_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d236,d236_1,16,'a0=_inf<x<=_0_1355').
atm_c(d236,d236_2,16,'a0=_inf<x<=_0_1355').
atm_c(d236,d236_5,10,'a0=0_0615<x<=0_1375').
atm_c(d236,d236_9,10,'a0=0_0615<x<=0_1375').
atm_c(d237,d237_14,16,'a0=_inf<x<=_0_1355').
atm_c(d237,d237_15,16,'a0=0_1375<x<=+inf').
atm_c(d237,d237_5,10,'a0=0_1375<x<=+inf').
atm_c(d237,d237_9,10,'a0=0_1375<x<=+inf').
atm_c(d238,d238_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d238,d238_11,10,'a0=0_0615<x<=0_1375').
atm_c(d238,d238_12,191,'a0=_0_1355<x<=_0_0175').
atm_c(d238,d238_13,191,'a0=_0_1355<x<=_0_0175').
atm_c(d238,d238_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d238,d238_22,10,'a0=0_0615<x<=0_1375').
atm_c(d238,d238_23,191,'a0=_0_1355<x<=_0_0175').
atm_c(d238,d238_26,191,'a0=_0_1355<x<=_0_0175').
atm_c(d238,d238_3,22,'a0=0_1375<x<=+inf').
atm_c(d238,d238_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d238,d238_5,22,'a0=0_1375<x<=+inf').
atm_c(d238,d238_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d239,d239_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d239,d239_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d23_1,d23_1_1,22,'a0=0_1375<x<=+inf').
atm_c(d23_1,d23_1_11,22,'a0=0_1375<x<=+inf').
atm_c(d23_1,d23_1_12,22,'a0=_inf<x<=_0_1355').
atm_c(d23_1,d23_1_13,22,'a0=_inf<x<=_0_1355').
atm_c(d23_1,d23_1_14,22,'a0=0_1375<x<=+inf').
atm_c(d23_1,d23_1_15,22,'a0=_inf<x<=_0_1355').
atm_c(d23_1,d23_1_16,22,'a0=_inf<x<=_0_1355').
atm_c(d23_1,d23_1_2,22,'a0=_inf<x<=_0_1355').
atm_c(d23_1,d23_1_3,22,'a0=_inf<x<=_0_1355').
atm_c(d23_1,d23_1_4,22,'a0=0_1375<x<=+inf').
atm_c(d23_1,d23_1_5,22,'a0=_inf<x<=_0_1355').
atm_c(d23_1,d23_1_6,22,'a0=_inf<x<=_0_1355').
atm_c(d23_2,d23_2_1,22,'a0=_inf<x<=_0_1355').
atm_c(d23_2,d23_2_12,22,'a0=0_1375<x<=+inf').
atm_c(d23_2,d23_2_13,22,'a0=_inf<x<=_0_1355').
atm_c(d23_2,d23_2_14,22,'a0=_inf<x<=_0_1355').
atm_c(d23_2,d23_2_15,22,'a0=0_1375<x<=+inf').
atm_c(d23_2,d23_2_17,22,'a0=0_1375<x<=+inf').
atm_c(d23_2,d23_2_2,22,'a0=_inf<x<=_0_1355').
atm_c(d23_2,d23_2_3,22,'a0=_inf<x<=_0_1355').
atm_c(d23_2,d23_2_4,22,'a0=0_1375<x<=+inf').
atm_c(d23_2,d23_2_5,22,'a0=_inf<x<=_0_1355').
atm_c(d23_2,d23_2_6,22,'a0=_inf<x<=_0_1355').
atm_c(d24,d24_1,22,'a0=0_1375<x<=+inf').
atm_c(d24,d24_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d24,d24_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d24,d24_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d24,d24_14,22,'a0=0_1375<x<=+inf').
atm_c(d24,d24_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d24,d24_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d24,d24_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d24,d24_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d24,d24_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d24,d24_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d24,d24_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d240,d240_1,191,'a0=_0_1355<x<=_0_0175').
atm_c(d240,d240_2,191,'a0=_0_1355<x<=_0_0175').
atm_c(d240,d240_6,10,'a0=0_0615<x<=0_1375').
atm_c(d241,d241_1,10,'a0=0_1375<x<=+inf').
atm_c(d241,d241_2,10,'a0=0_1375<x<=+inf').
atm_c(d241,d241_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d242,d242_1,191,'a0=_0_1355<x<=_0_0175').
atm_c(d242,d242_16,191,'a0=_0_1355<x<=_0_0175').
atm_c(d242,d242_18,191,'a0=_0_1355<x<=_0_0175').
atm_c(d242,d242_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d242,d242_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d242,d242_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d242,d242_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d242,d242_6,191,'a0=_0_1355<x<=_0_0175').
atm_c(d243,d243_1,10,'a0=0_0615<x<=0_1375').
atm_c(d243,d243_12,10,'a0=0_0615<x<=0_1375').
atm_c(d243,d243_13,10,'a0=_inf<x<=_0_1355').
atm_c(d243,d243_17,10,'a0=0_0615<x<=0_1375').
atm_c(d243,d243_3,10,'a0=0_0615<x<=0_1375').
atm_c(d243,d243_6,10,'a0=_inf<x<=_0_1355').
atm_c(d244,d244_10,10,'a0=0_0615<x<=0_1375').
atm_c(d244,d244_6,10,'a0=0_0615<x<=0_1375').
atm_c(d245,d245_1,191,'a0=_0_1355<x<=_0_0175').
atm_c(d245,d245_2,191,'a0=_0_1355<x<=_0_0175').
atm_c(d245,d245_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d245,d245_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d246,d246_13,10,'a0=0_0615<x<=0_1375').
atm_c(d246,d246_19,10,'a0=_0_0175<x<=0_0615').
atm_c(d246,d246_2,22,'a0=_0_0175<x<=0_0615').
atm_c(d246,d246_20,10,'a0=0_0615<x<=0_1375').
atm_c(d246,d246_26,14,'a0=0_1375<x<=+inf').
atm_c(d246,d246_28,22,'a0=0_1375<x<=+inf').
atm_c(d246,d246_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_30,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_31,22,'a0=_0_0175<x<=0_0615').
atm_c(d246,d246_32,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_33,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_34,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_38,10,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_39,10,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_40,10,'a0=_inf<x<=_0_1355').
atm_c(d246,d246_41,10,'a0=_0_0175<x<=0_0615').
atm_c(d246,d246_46,10,'a0=_inf<x<=_0_1355').
atm_c(d246,d246_47,10,'a0=_inf<x<=_0_1355').
atm_c(d246,d246_48,10,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_49,10,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_5,22,'a0=0_1375<x<=+inf').
atm_c(d246,d246_56,10,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_57,10,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_58,10,'a0=0_1375<x<=+inf').
atm_c(d246,d246_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_64,10,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_70,14,'a0=0_1375<x<=+inf').
atm_c(d246,d246_71,22,'a0=_0_0175<x<=0_0615').
atm_c(d246,d246_73,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_74,22,'a0=0_1375<x<=+inf').
atm_c(d246,d246_75,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_76,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_77,22,'a0=_0_1355<x<=_0_0175').
atm_c(d246,d246_83,10,'a0=_0_0175<x<=0_0615').
atm_c(d246,d246_84,10,'a0=0_0615<x<=0_1375').
atm_c(d246,d246_90,10,'a0=_0_0175<x<=0_0615').
atm_c(d246,d246_91,10,'a0=0_0615<x<=0_1375').
atm_c(d247,d247_1,10,'a0=_0_0175<x<=0_0615').
atm_c(d247,d247_18,10,'a0=0_0615<x<=0_1375').
atm_c(d247,d247_2,10,'a0=_0_0175<x<=0_0615').
atm_c(d247,d247_22,10,'a0=0_0615<x<=0_1375').
atm_c(d247,d247_4,10,'a0=_0_0175<x<=0_0615').
atm_c(d247,d247_5,10,'a0=_0_0175<x<=0_0615').
atm_c(d248,d248_11,10,'a0=0_0615<x<=0_1375').
atm_c(d248,d248_2,193,'a0=_0_1355<x<=_0_0175').
atm_c(d248,d248_3,192,'a0=0_1375<x<=+inf').
atm_c(d248,d248_4,193,'a0=_0_1355<x<=_0_0175').
atm_c(d248,d248_7,10,'a0=0_0615<x<=0_1375').
atm_c(d249,d249_1,10,'a0=_inf<x<=_0_1355').
atm_c(d249,d249_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d249,d249_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d249,d249_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d249,d249_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d249,d249_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d249,d249_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d249,d249_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d249,d249_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d249,d249_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d25,d25_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d25,d25_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d25,d25_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d25,d25_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d25,d25_4,22,'a0=_inf<x<=_0_1355').
atm_c(d25,d25_5,22,'a0=0_1375<x<=+inf').
atm_c(d25,d25_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d250,d250_2,10,'a0=0_0615<x<=0_1375').
atm_c(d250,d250_3,10,'a0=0_1375<x<=+inf').
atm_c(d250,d250_7,10,'a0=_inf<x<=_0_1355').
atm_c(d251,d251_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d251,d251_13,10,'a0=0_1375<x<=+inf').
atm_c(d251,d251_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d251,d251_21,10,'a0=0_1375<x<=+inf').
atm_c(d251,d251_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d251,d251_5,10,'a0=0_1375<x<=+inf').
atm_c(d252,d252_1,16,'a0=_inf<x<=_0_1355').
atm_c(d252,d252_10,15,'a0=0_0615<x<=0_1375').
atm_c(d252,d252_2,16,'a0=_inf<x<=_0_1355').
atm_c(d252,d252_5,10,'a0=0_0615<x<=0_1375').
atm_c(d253,d253_13,10,'a0=0_0615<x<=0_1375').
atm_c(d253,d253_3,10,'a0=0_0615<x<=0_1375').
atm_c(d253,d253_8,10,'a0=0_0615<x<=0_1375').
atm_c(d254,d254_1,191,'a0=_0_1355<x<=_0_0175').
atm_c(d254,d254_11,10,'a0=0_0615<x<=0_1375').
atm_c(d254,d254_12,16,'a0=_inf<x<=_0_1355').
atm_c(d254,d254_15,16,'a0=_inf<x<=_0_1355').
atm_c(d254,d254_2,191,'a0=_0_1355<x<=_0_0175').
atm_c(d254,d254_6,10,'a0=_0_0175<x<=0_0615').
atm_c(d255,d255_1,10,'a0=_inf<x<=_0_1355').
atm_c(d255,d255_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d255,d255_6,10,'a0=0_0615<x<=0_1375').
atm_c(d256,d256_1,22,'a0=0_0615<x<=0_1375').
atm_c(d256,d256_12,14,'a0=0_1375<x<=+inf').
atm_c(d256,d256_13,10,'a0=0_1375<x<=+inf').
atm_c(d256,d256_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d256,d256_20,10,'a0=0_1375<x<=+inf').
atm_c(d256,d256_25,10,'a0=0_1375<x<=+inf').
atm_c(d256,d256_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d256,d256_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d256,d256_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d256,d256_6,22,'a0=0_1375<x<=+inf').
atm_c(d257,d257_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d257,d257_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d257,d257_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d257,d257_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d257,d257_20,22,'a0=0_1375<x<=+inf').
atm_c(d257,d257_21,22,'a0=_0_1355<x<=_0_0175').
atm_c(d257,d257_22,22,'a0=_0_1355<x<=_0_0175').
atm_c(d257,d257_23,22,'a0=_inf<x<=_0_1355').
atm_c(d257,d257_24,22,'a0=_0_1355<x<=_0_0175').
atm_c(d257,d257_25,22,'a0=_0_1355<x<=_0_0175').
atm_c(d257,d257_30,10,'a0=0_0615<x<=0_1375').
atm_c(d257,d257_34,10,'a0=_0_0175<x<=0_0615').
atm_c(d258,d258_14,16,'a0=_0_1355<x<=_0_0175').
atm_c(d258,d258_15,10,'a0=0_0615<x<=0_1375').
atm_c(d258,d258_19,16,'a0=_inf<x<=_0_1355').
atm_c(d258,d258_21,14,'a0=0_1375<x<=+inf').
atm_c(d258,d258_24,10,'a0=_0_0175<x<=0_0615').
atm_c(d258,d258_25,10,'a0=_0_1355<x<=_0_0175').
atm_c(d258,d258_31,10,'a0=_0_0175<x<=0_0615').
atm_c(d258,d258_32,10,'a0=_0_1355<x<=_0_0175').
atm_c(d258,d258_4,10,'a0=0_0615<x<=0_1375').
atm_c(d258,d258_9,10,'a0=0_0615<x<=0_1375').
atm_c(d259,d259_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d259,d259_12,14,'a0=0_1375<x<=+inf').
atm_c(d259,d259_13,10,'a0=0_0615<x<=0_1375').
atm_c(d259,d259_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d259,d259_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d259,d259_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d259,d259_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d259,d259_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d26,d26_1,22,'a0=_inf<x<=_0_1355').
atm_c(d26,d26_10,10,'a0=_0_0175<x<=0_0615').
atm_c(d26,d26_14,10,'a0=_0_0175<x<=0_0615').
atm_c(d26,d26_18,10,'a0=_0_0175<x<=0_0615').
atm_c(d26,d26_2,22,'a0=_inf<x<=_0_1355').
atm_c(d26,d26_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d26,d26_4,22,'a0=_inf<x<=_0_1355').
atm_c(d26,d26_5,22,'a0=0_1375<x<=+inf').
atm_c(d26,d26_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d260,d260_1,10,'a0=_inf<x<=_0_1355').
atm_c(d260,d260_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d260,d260_21,10,'a0=_0_1355<x<=_0_0175').
atm_c(d260,d260_24,10,'a0=_0_1355<x<=_0_0175').
atm_c(d260,d260_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d261,d261_1,10,'a0=_inf<x<=_0_1355').
atm_c(d261,d261_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d261,d261_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d261,d261_6,10,'a0=0_0615<x<=0_1375').
atm_c(d262,d262_2,19,'a0=_inf<x<=_0_1355').
atm_c(d263,d263_2,10,'a0=0_0615<x<=0_1375').
atm_c(d263,d263_3,10,'a0=0_1375<x<=+inf').
atm_c(d264,d264_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d264,d264_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d264,d264_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d264,d264_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d264,d264_20,22,'a0=0_1375<x<=+inf').
atm_c(d264,d264_21,22,'a0=_0_1355<x<=_0_0175').
atm_c(d264,d264_22,22,'a0=_0_1355<x<=_0_0175').
atm_c(d264,d264_23,22,'a0=0_0615<x<=0_1375').
atm_c(d264,d264_24,22,'a0=0_1375<x<=+inf').
atm_c(d264,d264_25,22,'a0=_0_1355<x<=_0_0175').
atm_c(d264,d264_29,16,'a0=_inf<x<=_0_1355').
atm_c(d264,d264_30,16,'a0=_inf<x<=_0_1355').
atm_c(d264,d264_31,14,'a0=0_1375<x<=+inf').
atm_c(d264,d264_34,10,'a0=0_0615<x<=0_1375').
atm_c(d265,d265_1,10,'a0=0_1375<x<=+inf').
atm_c(d265,d265_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d265,d265_5,10,'a0=0_1375<x<=+inf').
atm_c(d265,d265_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d265,d265_8,14,'a0=0_1375<x<=+inf').
atm_c(d266,d266_1,10,'a0=0_0615<x<=0_1375').
atm_c(d266,d266_18,10,'a0=0_1375<x<=+inf').
atm_c(d266,d266_19,10,'a0=_0_1355<x<=_0_0175').
atm_c(d266,d266_25,14,'a0=0_1375<x<=+inf').
atm_c(d266,d266_27,10,'a0=0_1375<x<=+inf').
atm_c(d266,d266_28,10,'a0=_0_1355<x<=_0_0175').
atm_c(d266,d266_35,10,'a0=_0_1355<x<=_0_0175').
atm_c(d266,d266_5,10,'a0=0_0615<x<=0_1375').
atm_c(d266,d266_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d266,d266_8,14,'a0=0_1375<x<=+inf').
atm_c(d267,d267_10,10,'a0=0_0615<x<=0_1375').
atm_c(d267,d267_11,10,'a0=0_0615<x<=0_1375').
atm_c(d267,d267_2,10,'a0=0_0615<x<=0_1375').
atm_c(d267,d267_6,10,'a0=0_0615<x<=0_1375').
atm_c(d268,d268_1,22,'a0=0_1375<x<=+inf').
atm_c(d268,d268_11,10,'a0=0_0615<x<=0_1375').
atm_c(d268,d268_3,22,'a0=0_1375<x<=+inf').
atm_c(d268,d268_4,22,'a0=_inf<x<=_0_1355').
atm_c(d268,d268_5,22,'a0=_inf<x<=_0_1355').
atm_c(d268,d268_6,22,'a0=_inf<x<=_0_1355').
atm_c(d269,d269_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d269,d269_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d269,d269_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d269,d269_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d269,d269_20,22,'a0=0_1375<x<=+inf').
atm_c(d269,d269_21,22,'a0=_0_1355<x<=_0_0175').
atm_c(d269,d269_22,22,'a0=0_1375<x<=+inf').
atm_c(d269,d269_24,22,'a0=_0_1355<x<=_0_0175').
atm_c(d269,d269_27,10,'a0=_0_0175<x<=0_0615').
atm_c(d269,d269_31,10,'a0=_0_1355<x<=_0_0175').
atm_c(d269,d269_32,10,'a0=_0_1355<x<=_0_0175').
atm_c(d269,d269_36,10,'a0=_0_1355<x<=_0_0175').
atm_c(d27,d27_15,21,'a0=_0_0175<x<=0_0615').
atm_c(d27,d27_16,21,'a0=_0_1355<x<=_0_0175').
atm_c(d27,d27_17,21,'a0=_0_1355<x<=_0_0175').
atm_c(d27,d27_18,21,'a0=0_0615<x<=0_1375').
atm_c(d27,d27_2,10,'a0=_0_0175<x<=0_0615').
atm_c(d27,d27_20,14,'a0=0_1375<x<=+inf').
atm_c(d27,d27_3,14,'a0=0_1375<x<=+inf').
atm_c(d27,d27_5,14,'a0=0_1375<x<=+inf').
atm_c(d270,d270_1,10,'a0=0_0615<x<=0_1375').
atm_c(d270,d270_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_22,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_28,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_29,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_3,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_36,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_37,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_4,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_44,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_45,10,'a0=_0_0175<x<=0_0615').
atm_c(d270,d270_6,10,'a0=0_0615<x<=0_1375').
atm_c(d271,d271_1,10,'a0=0_0615<x<=0_1375').
atm_c(d271,d271_10,10,'a0=0_0615<x<=0_1375').
atm_c(d271,d271_14,14,'a0=0_1375<x<=+inf').
atm_c(d271,d271_15,14,'a0=0_1375<x<=+inf').
atm_c(d271,d271_19,10,'a0=0_1375<x<=+inf').
atm_c(d271,d271_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d271,d271_27,10,'a0=0_1375<x<=+inf').
atm_c(d271,d271_28,10,'a0=_0_1355<x<=_0_0175').
atm_c(d271,d271_34,10,'a0=_0_1355<x<=_0_0175').
atm_c(d271,d271_35,10,'a0=_0_1355<x<=_0_0175').
atm_c(d272,d272_1,10,'a0=0_0615<x<=0_1375').
atm_c(d273,d273_1,10,'a0=0_1375<x<=+inf').
atm_c(d274,d274_1,10,'a0=0_1375<x<=+inf').
atm_c(d275,d275_1,10,'a0=0_1375<x<=+inf').
atm_c(d276,d276_1,10,'a0=0_0615<x<=0_1375').
atm_c(d277,d277_1,10,'a0=_0_0175<x<=0_0615').
atm_c(d277,d277_14,10,'a0=_0_0175<x<=0_0615').
atm_c(d277,d277_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d277,d277_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d277,d277_19,22,'a0=_0_1355<x<=_0_0175').
atm_c(d277,d277_20,22,'a0=0_1375<x<=+inf').
atm_c(d277,d277_21,22,'a0=_0_1355<x<=_0_0175').
atm_c(d277,d277_22,22,'a0=_0_1355<x<=_0_0175').
atm_c(d277,d277_28,10,'a0=_0_0175<x<=0_0615').
atm_c(d277,d277_29,10,'a0=_0_0175<x<=0_0615').
atm_c(d277,d277_3,10,'a0=_0_0175<x<=0_0615').
atm_c(d277,d277_4,22,'a0=0_1375<x<=+inf').
atm_c(d277,d277_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d277,d277_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d277,d277_7,22,'a0=_0_1355<x<=_0_0175').
atm_c(d277,d277_8,22,'a0=_0_1355<x<=_0_0175').
atm_c(d277,d277_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d278,d278_1,10,'a0=_0_0175<x<=0_0615').
atm_c(d278,d278_14,14,'a0=0_1375<x<=+inf').
atm_c(d278,d278_15,22,'a0=_0_0175<x<=0_0615').
atm_c(d278,d278_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d278,d278_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d278,d278_18,22,'a0=0_1375<x<=+inf').
atm_c(d278,d278_19,22,'a0=_0_1355<x<=_0_0175').
atm_c(d278,d278_20,22,'a0=_0_1355<x<=_0_0175').
atm_c(d278,d278_26,10,'a0=_0_0175<x<=0_0615').
atm_c(d278,d278_27,10,'a0=_0_0175<x<=0_0615').
atm_c(d278,d278_3,10,'a0=_0_0175<x<=0_0615').
atm_c(d278,d278_4,22,'a0=0_1375<x<=+inf').
atm_c(d278,d278_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d278,d278_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d278,d278_7,22,'a0=_0_0175<x<=0_0615').
atm_c(d278,d278_8,22,'a0=_0_1355<x<=_0_0175').
atm_c(d278,d278_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d279,d279_1,10,'a0=_0_0175<x<=0_0615').
atm_c(d279,d279_3,10,'a0=_0_0175<x<=0_0615').
atm_c(d279,d279_4,22,'a0=0_1375<x<=+inf').
atm_c(d279,d279_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d279,d279_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d279,d279_7,22,'a0=_0_1355<x<=_0_0175').
atm_c(d279,d279_8,22,'a0=_0_1355<x<=_0_0175').
atm_c(d279,d279_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d28,d28_1,21,'a0=_0_0175<x<=0_0615').
atm_c(d28,d28_10,14,'a0=0_1375<x<=+inf').
atm_c(d28,d28_2,21,'a0=_inf<x<=_0_1355').
atm_c(d28,d28_3,21,'a0=_inf<x<=_0_1355').
atm_c(d28,d28_4,21,'a0=0_0615<x<=0_1375').
atm_c(d28,d28_7,14,'a0=0_1375<x<=+inf').
atm_c(d280,d280_1,10,'a0=_0_0175<x<=0_0615').
atm_c(d280,d280_3,10,'a0=_0_0175<x<=0_0615').
atm_c(d280,d280_4,22,'a0=0_1375<x<=+inf').
atm_c(d280,d280_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d280,d280_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d280,d280_7,22,'a0=0_1375<x<=+inf').
atm_c(d280,d280_8,22,'a0=_0_1355<x<=_0_0175').
atm_c(d280,d280_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d281,d281_2,10,'a0=0_0615<x<=0_1375').
atm_c(d282,d282_2,10,'a0=_0_0175<x<=0_0615').
atm_c(d282,d282_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d282,d282_6,14,'a0=0_1375<x<=+inf').
atm_c(d283,d283_1,16,'a0=_inf<x<=_0_1355').
atm_c(d283,d283_10,10,'a0=_0_1355<x<=_0_0175').
atm_c(d283,d283_2,16,'a0=_inf<x<=_0_1355').
atm_c(d283,d283_5,14,'a0=0_1375<x<=+inf').
atm_c(d283,d283_9,10,'a0=0_1375<x<=+inf').
atm_c(d284,d284_1,16,'a0=_inf<x<=_0_1355').
atm_c(d284,d284_2,16,'a0=_inf<x<=_0_1355').
atm_c(d284,d284_5,14,'a0=0_1375<x<=+inf').
atm_c(d284,d284_9,10,'a0=0_0615<x<=0_1375').
atm_c(d285,d285_1,16,'a0=_inf<x<=_0_1355').
atm_c(d285,d285_11,10,'a0=0_1375<x<=+inf').
atm_c(d285,d285_2,16,'a0=_inf<x<=_0_1355').
atm_c(d285,d285_5,10,'a0=0_0615<x<=0_1375').
atm_c(d285,d285_9,14,'a0=0_1375<x<=+inf').
atm_c(d286,d286_1,14,'a0=0_0615<x<=0_1375').
atm_c(d286,d286_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d286,d286_3,14,'a0=0_0615<x<=0_1375').
atm_c(d287,d287_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d287,d287_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d287,d287_2,10,'a0=0_1375<x<=+inf').
atm_c(d287,d287_21,14,'a0=0_1375<x<=+inf').
atm_c(d287,d287_22,10,'a0=_0_0175<x<=0_0615').
atm_c(d287,d287_4,10,'a0=0_1375<x<=+inf').
atm_c(d287,d287_6,10,'a0=0_1375<x<=+inf').
atm_c(d287,d287_9,10,'a0=_inf<x<=_0_1355').
atm_c(d288,d288_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d288,d288_10,14,'a0=0_1375<x<=+inf').
atm_c(d288,d288_12,10,'a0=0_0615<x<=0_1375').
atm_c(d288,d288_14,16,'a0=_inf<x<=_0_1355').
atm_c(d288,d288_18,16,'a0=_inf<x<=_0_1355').
atm_c(d288,d288_2,10,'a0=_0_0175<x<=0_0615').
atm_c(d288,d288_6,10,'a0=_0_0175<x<=0_0615').
atm_c(d288,d288_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d289,d289_1,10,'a0=0_0615<x<=0_1375').
atm_c(d289,d289_10,16,'a0=_inf<x<=_0_1355').
atm_c(d289,d289_2,16,'a0=_inf<x<=_0_1355').
atm_c(d289,d289_6,10,'a0=0_0615<x<=0_1375').
atm_c(d29,d29a_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29a_10,10,'a0=0_0615<x<=0_1375').
atm_c(d29,d29a_16,16,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29a_18,16,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29a_2,22,'a0=0_1375<x<=+inf').
atm_c(d29,d29a_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29a_4,22,'a0=0_1375<x<=+inf').
atm_c(d29,d29a_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29a_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29b_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29b_10,10,'a0=0_0615<x<=0_1375').
atm_c(d29,d29b_16,16,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29b_18,16,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29b_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29b_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29b_4,22,'a0=0_1375<x<=+inf').
atm_c(d29,d29b_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d29,d29b_6,22,'a0=0_1375<x<=+inf').
atm_c(d290,d290_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d290,d290_11,14,'a0=0_1375<x<=+inf').
atm_c(d290,d290_13,14,'a0=0_1375<x<=+inf').
atm_c(d290,d290_17,10,'a0=0_1375<x<=+inf').
atm_c(d290,d290_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d290,d290_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d290,d290_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d290,d290_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d290,d290_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d291,d291_2,14,'a0=0_1375<x<=+inf').
atm_c(d291,d291_4,10,'a0=0_1375<x<=+inf').
atm_c(d292,d292_16,10,'a0=_0_0175<x<=0_0615').
atm_c(d292,d292_2,14,'a0=0_1375<x<=+inf').
atm_c(d292,d292_20,10,'a0=_0_0175<x<=0_0615').
atm_c(d292,d292_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d292,d292_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d292,d292_9,14,'a0=0_1375<x<=+inf').
atm_c(d293,d293_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d293,d293_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d293,d293_3,26,'a0=_0_1355<x<=_0_0175').
atm_c(d293,d293_4,26,'a0=_0_1355<x<=_0_0175').
atm_c(d293,d293_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d293,d293_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d294,d294_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d294,d294_11,22,'a0=0_1375<x<=+inf').
atm_c(d294,d294_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d294,d294_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d294,d294_2,22,'a0=0_1375<x<=+inf').
atm_c(d294,d294_3,27,'a0=_0_1355<x<=_0_0175').
atm_c(d294,d294_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d294,d294_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d294,d294_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d295,d295_1,16,'a0=_inf<x<=_0_1355').
atm_c(d295,d295_2,16,'a0=_inf<x<=_0_1355').
atm_c(d295,d295_5,10,'a0=0_0615<x<=0_1375').
atm_c(d296,d296_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d296,d296_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d296,d296_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d296,d296_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d296,d296_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d296,d296_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d296,d296_3,27,'a0=_0_0175<x<=0_0615').
atm_c(d296,d296_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d296,d296_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d296,d296_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_1,10,'a0=0_0615<x<=0_1375').
atm_c(d297,d297_10,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_100,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_106,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_107,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_113,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_114,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_120,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_121,10,'a0=0_1375<x<=+inf').
atm_c(d297,d297_128,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_129,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_135,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_136,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_142,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_143,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_149,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_150,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_156,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_157,10,'a0=0_1375<x<=+inf').
atm_c(d297,d297_163,14,'a0=0_1375<x<=+inf').
atm_c(d297,d297_165,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_166,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_169,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_17,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_172,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_175,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_178,10,'a0=0_0615<x<=0_1375').
atm_c(d297,d297_18,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_181,16,'a0=_inf<x<=_0_1355').
atm_c(d297,d297_182,16,'a0=_inf<x<=_0_1355').
atm_c(d297,d297_183,10,'a0=0_0615<x<=0_1375').
atm_c(d297,d297_184,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_185,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_188,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_191,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_194,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_197,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_2,10,'a0=0_0615<x<=0_1375').
atm_c(d297,d297_200,10,'a0=_0_1355<x<=_0_0175').
atm_c(d297,d297_203,10,'a0=_inf<x<=_0_1355').
atm_c(d297,d297_24,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_25,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_3,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_31,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_32,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_38,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_39,10,'a0=0_1375<x<=+inf').
atm_c(d297,d297_48,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_49,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_55,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_56,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_62,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_63,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_69,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_7,10,'a0=0_0615<x<=0_1375').
atm_c(d297,d297_70,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_76,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_77,10,'a0=0_1375<x<=+inf').
atm_c(d297,d297_84,10,'a0=0_0615<x<=0_1375').
atm_c(d297,d297_86,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_92,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_93,10,'a0=_0_0175<x<=0_0615').
atm_c(d297,d297_99,10,'a0=_0_0175<x<=0_0615').
atm_c(d298,d298_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d298,d298_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d298,d298_13,22,'a0=0_1375<x<=+inf').
atm_c(d298,d298_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d298,d298_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d298,d298_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d298,d298_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d298,d298_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d298,d298_23,10,'a0=_0_0175<x<=0_0615').
atm_c(d298,d298_24,10,'a0=_0_0175<x<=0_0615').
atm_c(d298,d298_27,10,'a0=_inf<x<=_0_1355').
atm_c(d298,d298_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d298,d298_33,10,'a0=_0_0175<x<=0_0615').
atm_c(d298,d298_37,10,'a0=_0_0175<x<=0_0615').
atm_c(d298,d298_4,22,'a0=0_1375<x<=+inf').
atm_c(d298,d298_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d298,d298_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d299,d299_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d299,d299_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d299,d299_3,22,'a0=0_1375<x<=+inf').
atm_c(d299,d299_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d299,d299_5,22,'a0=0_1375<x<=+inf').
atm_c(d299,d299_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d3,d3_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d3,d3_11,14,'a0=0_1375<x<=+inf').
atm_c(d3,d3_12,22,'a0=_0_0175<x<=0_0615').
atm_c(d3,d3_13,22,'a0=_0_0175<x<=0_0615').
atm_c(d3,d3_14,14,'a0=0_1375<x<=+inf').
atm_c(d3,d3_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d3,d3_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d3,d3_17,22,'a0=_inf<x<=_0_1355').
atm_c(d3,d3_18,22,'a0=0_1375<x<=+inf').
atm_c(d3,d3_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d3,d3_23,10,'a0=_0_0175<x<=0_0615').
atm_c(d3,d3_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d3,d3_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d3,d3_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d3,d3_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d30,d30_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d30,d30_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d30,d30_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d30,d30_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d30,d30_5,22,'a0=0_1375<x<=+inf').
atm_c(d30,d30_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d300,d300_1,10,'a0=_0_1355<x<=_0_0175').
atm_c(d300,d300_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d300,d300_3,14,'a0=0_1375<x<=+inf').
atm_c(d300,d300_8,10,'a0=0_1375<x<=+inf').
atm_c(d302,d302_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d302,d302_3,14,'a0=0_1375<x<=+inf').
atm_c(d303,d303_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d303,d303_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d303,d303_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d303,d303_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d303,d303_5,22,'a0=0_1375<x<=+inf').
atm_c(d303,d303_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d304,d304a_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d304,d304a_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d304,d304a_16,10,'a0=_0_0175<x<=0_0615').
atm_c(d304,d304a_2,22,'a0=_inf<x<=_0_1355').
atm_c(d304,d304a_20,10,'a0=_0_0175<x<=0_0615').
atm_c(d304,d304a_3,22,'a0=0_1375<x<=+inf').
atm_c(d304,d304a_4,22,'a0=_inf<x<=_0_1355').
atm_c(d304,d304a_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d304,d304a_6,22,'a0=_inf<x<=_0_1355').
atm_c(d304,d304b_1,22,'a0=_inf<x<=_0_1355').
atm_c(d304,d304b_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d304,d304b_15,10,'a0=_0_0175<x<=0_0615').
atm_c(d304,d304b_2,22,'a0=_inf<x<=_0_1355').
atm_c(d304,d304b_23,10,'a0=_0_0175<x<=0_0615').
atm_c(d304,d304b_3,22,'a0=0_1375<x<=+inf').
atm_c(d304,d304b_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d304,d304b_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d304,d304b_6,22,'a0=_inf<x<=_0_1355').
atm_c(d305,d305_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_10,10,'a0=_0_0175<x<=0_0615').
atm_c(d305,d305_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d305,d305_5,22,'a0=0_1375<x<=+inf').
atm_c(d305,d305_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d306,d306_10,10,'a0=0_1375<x<=+inf').
atm_c(d306,d306_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d306,d306_2,10,'a0=0_1375<x<=+inf').
atm_c(d306,d306_3,10,'a0=_inf<x<=_0_1355').
atm_c(d306,d306_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d307,d307_1,10,'a0=0_1375<x<=+inf').
atm_c(d307,d307_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d307,d307_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d307,d307_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d308,d308_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d308,d308_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d308,d308_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d308,d308_13,14,'a0=0_1375<x<=+inf').
atm_c(d308,d308_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d308,d308_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d308,d308_4,22,'a0=0_1375<x<=+inf').
atm_c(d308,d308_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d308,d308_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d309,d309_1,10,'a0=0_1375<x<=+inf').
atm_c(d309,d309_2,10,'a0=0_1375<x<=+inf').
atm_c(d31,d31a_1,22,'a0=0_1375<x<=+inf').
atm_c(d31,d31a_10,29,'a0=_0_0175<x<=0_0615').
atm_c(d31,d31a_11,22,'a0=_inf<x<=_0_1355').
atm_c(d31,d31a_12,22,'a0=0_1375<x<=+inf').
atm_c(d31,d31a_13,22,'a0=0_1375<x<=+inf').
atm_c(d31,d31a_14,22,'a0=_inf<x<=_0_1355').
atm_c(d31,d31a_15,22,'a0=_inf<x<=_0_1355').
atm_c(d31,d31a_2,22,'a0=0_1375<x<=+inf').
atm_c(d31,d31a_21,10,'a0=0_0615<x<=0_1375').
atm_c(d31,d31a_26,10,'a0=0_0615<x<=0_1375').
atm_c(d31,d31a_3,22,'a0=_inf<x<=_0_1355').
atm_c(d31,d31a_4,29,'a0=_0_0175<x<=0_0615').
atm_c(d31,d31a_5,22,'a0=_inf<x<=_0_1355').
atm_c(d31,d31a_6,22,'a0=_inf<x<=_0_1355').
atm_c(d311,d311_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d311,d311_12,10,'a0=_0_0175<x<=0_0615').
atm_c(d311,d311_13,10,'a0=_0_1355<x<=_0_0175').
atm_c(d311,d311_14,10,'a0=_0_1355<x<=_0_0175').
atm_c(d311,d311_15,10,'a0=_0_1355<x<=_0_0175').
atm_c(d311,d311_16,10,'a0=_0_0175<x<=0_0615').
atm_c(d311,d311_18,10,'a0=_0_0175<x<=0_0615').
atm_c(d311,d311_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d311,d311_28,14,'a0=0_1375<x<=+inf').
atm_c(d311,d311_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d311,d311_31,10,'a0=0_1375<x<=+inf').
atm_c(d311,d311_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d311,d311_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d311,d311_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d312,d312_1,14,'a0=0_1375<x<=+inf').
atm_c(d312,d312_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d312,d312_17,10,'a0=_0_0175<x<=0_0615').
atm_c(d312,d312_3,21,'a0=_0_0175<x<=0_0615').
atm_c(d312,d312_4,21,'a0=0_0615<x<=0_1375').
atm_c(d312,d312_5,14,'a0=0_1375<x<=+inf').
atm_c(d312,d312_8,21,'a0=0_1375<x<=+inf').
atm_c(d313,d313_1,22,'a0=0_1375<x<=+inf').
atm_c(d313,d313_10,22,'a0=_inf<x<=_0_1355').
atm_c(d313,d313_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_12,22,'a0=0_1375<x<=+inf').
atm_c(d313,d313_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_19,10,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d313,d313_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_3,22,'a0=_inf<x<=_0_1355').
atm_c(d313,d313_30,10,'a0=_0_0175<x<=0_0615').
atm_c(d313,d313_34,10,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_38,10,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_42,10,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_46,10,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d313,d313_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d314,d314_1,22,'a0=0_1375<x<=+inf').
atm_c(d314,d314_11,29,'a0=_0_0175<x<=0_0615').
atm_c(d314,d314_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d314,d314_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d314,d314_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d314,d314_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d314,d314_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d314,d314_3,27,'a0=0_1375<x<=+inf').
atm_c(d314,d314_4,27,'a0=_0_1355<x<=_0_0175').
atm_c(d314,d314_5,22,'a0=0_1375<x<=+inf').
atm_c(d314,d314_8,22,'a0=0_1375<x<=+inf').
atm_c(d314,d314_9,29,'a0=_0_0175<x<=0_0615').
atm_c(d315,d315_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_23,10,'a0=_0_0175<x<=0_0615').
atm_c(d315,d315_25,14,'a0=0_1375<x<=+inf').
atm_c(d315,d315_27,14,'a0=0_1375<x<=+inf').
atm_c(d315,d315_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d315,d315_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d316,d316_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d316,d316_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d316,d316_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d316,d316_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d316,d316_5,22,'a0=0_1375<x<=+inf').
atm_c(d316,d316_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d316,d316_8,10,'a0=0_1375<x<=+inf').
atm_c(d318,d318_1,22,'a0=0_1375<x<=+inf').
atm_c(d318,d318_10,16,'a0=_inf<x<=_0_1355').
atm_c(d318,d318_11,16,'a0=_inf<x<=_0_1355').
atm_c(d318,d318_13,22,'a0=0_0615<x<=0_1375').
atm_c(d318,d318_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d318,d318_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d318,d318_17,22,'a0=0_1375<x<=+inf').
atm_c(d318,d318_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d318,d318_19,22,'a0=_0_1355<x<=_0_0175').
atm_c(d318,d318_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d318,d318_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d318,d318_4,22,'a0=0_0615<x<=0_1375').
atm_c(d318,d318_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d318,d318_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d319,d319_1,10,'a0=_0_0175<x<=0_0615').
atm_c(d32,d32a_1,22,'a0=0_1375<x<=+inf').
atm_c(d32,d32a_10,29,'a0=_0_0175<x<=0_0615').
atm_c(d32,d32a_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d32,d32a_12,22,'a0=_inf<x<=_0_1355').
atm_c(d32,d32a_13,22,'a0=0_1375<x<=+inf').
atm_c(d32,d32a_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d32,d32a_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d32,d32a_2,22,'a0=_inf<x<=_0_1355').
atm_c(d32,d32a_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d32,d32a_25,10,'a0=_0_0175<x<=0_0615').
atm_c(d32,d32a_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d32,d32a_4,29,'a0=_0_0175<x<=0_0615').
atm_c(d32,d32a_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d32,d32a_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d320,d320_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d320,d320_11,14,'a0=0_1375<x<=+inf').
atm_c(d320,d320_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d320,d320_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d320,d320_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d320,d320_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d320,d320_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_1,27,'a0=0_0615<x<=0_1375').
atm_c(d322,d322_10,22,'a0=0_1375<x<=+inf').
atm_c(d322,d322_11,22,'a0=0_1375<x<=+inf').
atm_c(d322,d322_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_17,22,'a0=0_1375<x<=+inf').
atm_c(d322,d322_18,22,'a0=0_1375<x<=+inf').
atm_c(d322,d322_19,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_2,27,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_20,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_21,27,'a0=_0_0175<x<=0_0615').
atm_c(d322,d322_22,27,'a0=_0_0175<x<=0_0615').
atm_c(d322,d322_24,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_25,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_26,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_27,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_4,29,'a0=_0_0175<x<=0_0615').
atm_c(d322,d322_41,27,'a0=_0_0175<x<=0_0615').
atm_c(d322,d322_42,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_43,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_44,29,'a0=_0_0175<x<=0_0615').
atm_c(d322,d322_45,22,'a0=0_1375<x<=+inf').
atm_c(d322,d322_46,27,'a0=_0_0175<x<=0_0615').
atm_c(d322,d322_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_50,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_51,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_52,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_53,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_7,29,'a0=_0_0175<x<=0_0615').
atm_c(d322,d322_8,22,'a0=_0_1355<x<=_0_0175').
atm_c(d322,d322_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_1,22,'a0=_inf<x<=_0_1355').
atm_c(d323,d323_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_13,27,'a0=_0_0175<x<=0_0615').
atm_c(d323,d323_14,27,'a0=_0_0175<x<=0_0615').
atm_c(d323,d323_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_17,22,'a0=0_1375<x<=+inf').
atm_c(d323,d323_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_20,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_21,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_22,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_23,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_28,10,'a0=_0_0175<x<=0_0615').
atm_c(d323,d323_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_4,22,'a0=0_1375<x<=+inf').
atm_c(d323,d323_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d323,d323_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_12,22,'a0=_0_0175<x<=0_0615').
atm_c(d324,d324_13,22,'a0=0_1375<x<=+inf').
atm_c(d324,d324_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_19,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_20,22,'a0=0_1375<x<=+inf').
atm_c(d324,d324_21,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_26,14,'a0=0_1375<x<=+inf').
atm_c(d324,d324_3,27,'a0=_0_0175<x<=0_0615').
atm_c(d324,d324_37,22,'a0=0_1375<x<=+inf').
atm_c(d324,d324_38,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_39,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d324,d324_40,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_41,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_42,22,'a0=0_1375<x<=+inf').
atm_c(d324,d324_47,10,'a0=0_0615<x<=0_1375').
atm_c(d324,d324_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d324,d324_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d325,d325_1,22,'a0=_inf<x<=_0_1355').
atm_c(d325,d325_2,22,'a0=0_1375<x<=+inf').
atm_c(d325,d325_3,22,'a0=_inf<x<=_0_1355').
atm_c(d325,d325_4,22,'a0=0_1375<x<=+inf').
atm_c(d325,d325_5,22,'a0=0_1375<x<=+inf').
atm_c(d325,d325_6,22,'a0=_inf<x<=_0_1355').
atm_c(d326,d326_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d326,d326_13,14,'a0=0_1375<x<=+inf').
atm_c(d326,d326_17,10,'a0=_inf<x<=_0_1355').
atm_c(d326,d326_2,22,'a0=0_1375<x<=+inf').
atm_c(d326,d326_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d326,d326_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d326,d326_5,22,'a0=0_1375<x<=+inf').
atm_c(d326,d326_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_1,22,'a0=0_1375<x<=+inf').
atm_c(d327,d327_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_16,22,'a0=0_1375<x<=+inf').
atm_c(d327,d327_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_25,22,'a0=0_1375<x<=+inf').
atm_c(d327,d327_26,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_27,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_28,22,'a0=0_1375<x<=+inf').
atm_c(d327,d327_29,22,'a0=_0_0175<x<=0_0615').
atm_c(d327,d327_3,22,'a0=0_1375<x<=+inf').
atm_c(d327,d327_30,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_34,14,'a0=0_1375<x<=+inf').
atm_c(d327,d327_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d327,d327_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d328,d328a_1,22,'a0=_inf<x<=_0_1355').
atm_c(d328,d328a_2,22,'a0=_inf<x<=_0_1355').
atm_c(d328,d328a_3,22,'a0=_inf<x<=_0_1355').
atm_c(d328,d328a_4,22,'a0=_inf<x<=_0_1355').
atm_c(d328,d328a_5,22,'a0=_inf<x<=_0_1355').
atm_c(d329,d329_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_29,22,'a0=0_1375<x<=+inf').
atm_c(d329,d329_3,27,'a0=_0_0175<x<=0_0615').
atm_c(d329,d329_30,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_31,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_32,29,'a0=_0_0175<x<=0_0615').
atm_c(d329,d329_33,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_34,22,'a0=_inf<x<=_0_1355').
atm_c(d329,d329_38,29,'a0=_0_0175<x<=0_0615').
atm_c(d329,d329_39,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d329,d329_40,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_41,22,'a0=0_1375<x<=+inf').
atm_c(d329,d329_42,22,'a0=_inf<x<=_0_1355').
atm_c(d329,d329_43,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_47,10,'a0=_0_0175<x<=0_0615').
atm_c(d329,d329_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_51,10,'a0=_0_0175<x<=0_0615').
atm_c(d329,d329_57,22,'a0=0_1375<x<=+inf').
atm_c(d329,d329_58,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_59,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_6,22,'a0=0_1375<x<=+inf').
atm_c(d329,d329_60,22,'a0=0_1375<x<=+inf').
atm_c(d329,d329_61,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_62,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_69,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_70,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_71,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_72,22,'a0=_inf<x<=_0_1355').
atm_c(d329,d329_73,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_74,22,'a0=_0_1355<x<=_0_0175').
atm_c(d329,d329_79,10,'a0=_0_0175<x<=0_0615').
atm_c(d329,d329_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d33,d33_1,22,'a0=_inf<x<=_0_1355').
atm_c(d33,d33_2,22,'a0=_inf<x<=_0_1355').
atm_c(d33,d33_3,22,'a0=_inf<x<=_0_1355').
atm_c(d33,d33_4,22,'a0=_inf<x<=_0_1355').
atm_c(d33,d33_5,22,'a0=0_1375<x<=+inf').
atm_c(d33,d33_6,22,'a0=_inf<x<=_0_1355').
atm_c(d330,d330_1,22,'a0=0_1375<x<=+inf').
atm_c(d330,d330_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_12,22,'a0=0_1375<x<=+inf').
atm_c(d330,d330_13,22,'a0=0_1375<x<=+inf').
atm_c(d330,d330_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_15,29,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_21,22,'a0=0_1375<x<=+inf').
atm_c(d330,d330_22,22,'a0=0_1375<x<=+inf').
atm_c(d330,d330_23,27,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_24,27,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_25,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_26,22,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_28,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_29,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_30,22,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_31,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_4,29,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_51,22,'a0=0_1375<x<=+inf').
atm_c(d330,d330_52,22,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_53,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_54,27,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_55,27,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_56,22,'a0=0_1375<x<=+inf').
atm_c(d330,d330_58,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_59,22,'a0=_0_0175<x<=0_0615').
atm_c(d330,d330_6,22,'a0=0_1375<x<=+inf').
atm_c(d330,d330_60,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_61,22,'a0=_0_1355<x<=_0_0175').
atm_c(d330,d330_80,10,'a0=0_0615<x<=0_1375').
atm_c(d330,d330_85,10,'a0=0_0615<x<=0_1375').
atm_c(d331,d331_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d331,d331_11,16,'a0=_inf<x<=_0_1355').
atm_c(d331,d331_12,16,'a0=_inf<x<=_0_1355').
atm_c(d331,d331_13,14,'a0=0_1375<x<=+inf').
atm_c(d331,d331_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d331,d331_3,22,'a0=0_0615<x<=0_1375').
atm_c(d331,d331_4,22,'a0=0_1375<x<=+inf').
atm_c(d331,d331_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d331,d331_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d332,d332_2,10,'a0=0_1375<x<=+inf').
atm_c(d332,d332_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d332,d332_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d333,d333_1,22,'a0=0_1375<x<=+inf').
atm_c(d333,d333_10,29,'a0=_0_0175<x<=0_0615').
atm_c(d333,d333_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d333,d333_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d333,d333_13,22,'a0=0_1375<x<=+inf').
atm_c(d333,d333_14,22,'a0=_inf<x<=_0_1355').
atm_c(d333,d333_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d333,d333_19,10,'a0=_0_0175<x<=0_0615').
atm_c(d333,d333_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d333,d333_24,10,'a0=_0_0175<x<=0_0615').
atm_c(d333,d333_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d333,d333_4,29,'a0=_0_0175<x<=0_0615').
atm_c(d333,d333_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d333,d333_6,22,'a0=_inf<x<=_0_1355').
atm_c(d334,d334_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d334,d334_13,10,'a0=_0_0175<x<=0_0615').
atm_c(d334,d334_14,10,'a0=0_1375<x<=+inf').
atm_c(d334,d334_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d334,d334_20,10,'a0=_0_0175<x<=0_0615').
atm_c(d334,d334_21,10,'a0=0_1375<x<=+inf').
atm_c(d334,d334_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d334,d334_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d334,d334_5,22,'a0=0_1375<x<=+inf').
atm_c(d334,d334_6,22,'a0=0_1375<x<=+inf').
atm_c(d335,d335_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d335,d335_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d335,d335_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d335,d335_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d335,d335_5,22,'a0=0_1375<x<=+inf').
atm_c(d335,d335_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d336,d336_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d336,d336_12,10,'a0=0_0615<x<=0_1375').
atm_c(d336,d336_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d336,d336_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d336,d336_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d336,d336_5,22,'a0=0_1375<x<=+inf').
atm_c(d336,d336_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d337,d337_1,10,'a0=0_0615<x<=0_1375').
atm_c(d337,d337_2,10,'a0=0_1375<x<=+inf').
atm_c(d337,d337_3,10,'a0=0_0615<x<=0_1375').
atm_c(d34,d34_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d34,d34_12,22,'a0=0_1375<x<=+inf').
atm_c(d34,d34_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d34,d34_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d34,d34_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d34,d34_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d34,d34_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d34,d34_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d34,d34_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d34,d34_4,22,'a0=0_1375<x<=+inf').
atm_c(d34,d34_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d34,d34_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d35,d35_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d35,d35_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d35,d35_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d35,d35_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d35,d35_4,22,'a0=_inf<x<=_0_1355').
atm_c(d35,d35_5,22,'a0=0_1375<x<=+inf').
atm_c(d35,d35_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_10,27,'a0=_0_0175<x<=0_0615').
atm_c(d36,d36a_11,27,'a0=_0_0175<x<=0_0615').
atm_c(d36,d36a_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_14,22,'a0=0_1375<x<=+inf').
atm_c(d36,d36a_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_19,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_20,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_29,10,'a0=_0_0175<x<=0_0615').
atm_c(d36,d36a_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d36,d36a_4,22,'a0=0_1375<x<=+inf').
atm_c(d36,d36a_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d36,d36a_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d37,d37_1,22,'a0=0_1375<x<=+inf').
atm_c(d37,d37_10,29,'a0=_0_0175<x<=0_0615').
atm_c(d37,d37_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d37,d37_12,22,'a0=0_1375<x<=+inf').
atm_c(d37,d37_13,22,'a0=0_1375<x<=+inf').
atm_c(d37,d37_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d37,d37_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d37,d37_2,22,'a0=0_1375<x<=+inf').
atm_c(d37,d37_20,10,'a0=0_0615<x<=0_1375').
atm_c(d37,d37_26,10,'a0=0_0615<x<=0_1375').
atm_c(d37,d37_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d37,d37_31,16,'a0=_inf<x<=_0_1355').
atm_c(d37,d37_33,16,'a0=_inf<x<=_0_1355').
atm_c(d37,d37_4,29,'a0=_0_0175<x<=0_0615').
atm_c(d37,d37_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d37,d37_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d38,d38_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d38,d38_10,10,'a0=_0_0175<x<=0_0615').
atm_c(d38,d38_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d38,d38_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d38,d38_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d38,d38_5,22,'a0=_inf<x<=_0_1355').
atm_c(d38,d38_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d39,d39_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d39,d39_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d39,d39_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d39,d39_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d39,d39_4,22,'a0=_inf<x<=_0_1355').
atm_c(d39,d39_5,22,'a0=0_1375<x<=+inf').
atm_c(d39,d39_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d4,d4_1,22,'a0=_inf<x<=_0_1355').
atm_c(d4,d4_15,10,'a0=0_0615<x<=0_1375').
atm_c(d4,d4_2,22,'a0=_inf<x<=_0_1355').
atm_c(d4,d4_3,22,'a0=_inf<x<=_0_1355').
atm_c(d4,d4_4,22,'a0=0_1375<x<=+inf').
atm_c(d4,d4_5,22,'a0=0_1375<x<=+inf').
atm_c(d4,d4_6,22,'a0=_inf<x<=_0_1355').
atm_c(d40,d40_1,22,'a0=0_1375<x<=+inf').
atm_c(d40,d40_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d40,d40_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d40,d40_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d40,d40_14,22,'a0=0_1375<x<=+inf').
atm_c(d40,d40_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d40,d40_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d40,d40_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d40,d40_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d40,d40_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d40,d40_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d40,d40_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d41,d41_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d41,d41_14,10,'a0=_0_0175<x<=0_0615').
atm_c(d41,d41_15,10,'a0=_0_0175<x<=0_0615').
atm_c(d41,d41_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d41,d41_22,10,'a0=_0_1355<x<=_0_0175').
atm_c(d41,d41_23,10,'a0=_inf<x<=_0_1355').
atm_c(d41,d41_29,10,'a0=_0_1355<x<=_0_0175').
atm_c(d41,d41_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d41,d41_30,10,'a0=_inf<x<=_0_1355').
atm_c(d41,d41_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d41,d41_5,22,'a0=0_1375<x<=+inf').
atm_c(d41,d41_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d41,d41_9,232,'a0=0_1375<x<=+inf').
atm_c(d42,d42_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d42,d42_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d42,d42_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d42,d42_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d42,d42_4,22,'a0=_inf<x<=_0_1355').
atm_c(d42,d42_5,22,'a0=0_1375<x<=+inf').
atm_c(d42,d42_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d43,d43_1,22,'a0=_inf<x<=_0_1355').
atm_c(d43,d43_10,22,'a0=_0_0175<x<=0_0615').
atm_c(d43,d43_11,22,'a0=_0_0175<x<=0_0615').
atm_c(d43,d43_12,14,'a0=0_1375<x<=+inf').
atm_c(d43,d43_13,22,'a0=0_1375<x<=+inf').
atm_c(d43,d43_14,22,'a0=_inf<x<=_0_1355').
atm_c(d43,d43_15,22,'a0=_inf<x<=_0_1355').
atm_c(d43,d43_16,22,'a0=0_1375<x<=+inf').
atm_c(d43,d43_2,22,'a0=0_1375<x<=+inf').
atm_c(d43,d43_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d43,d43_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d43,d43_5,22,'a0=0_1375<x<=+inf').
atm_c(d43,d43_6,22,'a0=_inf<x<=_0_1355').
atm_c(d43,d43_9,14,'a0=0_1375<x<=+inf').
atm_c(d44,d44_1,22,'a0=_inf<x<=_0_1355').
atm_c(d44,d44_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d44,d44_16,10,'a0=0_0615<x<=0_1375').
atm_c(d44,d44_2,22,'a0=0_1375<x<=+inf').
atm_c(d44,d44_3,22,'a0=_inf<x<=_0_1355').
atm_c(d44,d44_4,22,'a0=_inf<x<=_0_1355').
atm_c(d44,d44_5,22,'a0=0_1375<x<=+inf').
atm_c(d44,d44_6,22,'a0=_inf<x<=_0_1355').
atm_c(d45,d45_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d45,d45_2,22,'a0=0_1375<x<=+inf').
atm_c(d45,d45_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d45,d45_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d45,d45_5,22,'a0=0_1375<x<=+inf').
atm_c(d45,d45_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d46,d46_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d46,d46_15,21,'a0=0_1375<x<=+inf').
atm_c(d46,d46_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d46,d46_3,26,'a0=_0_1355<x<=_0_0175').
atm_c(d46,d46_4,26,'a0=_0_0175<x<=0_0615').
atm_c(d46,d46_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d46,d46_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_13,22,'a0=0_1375<x<=+inf').
atm_c(d47,d47_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_16,27,'a0=_0_0175<x<=0_0615').
atm_c(d47,d47_17,27,'a0=_0_0175<x<=0_0615').
atm_c(d47,d47_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_20,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_21,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_22,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_23,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_4,22,'a0=0_1375<x<=+inf').
atm_c(d47,d47_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d47,d47_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d48,d48_1,22,'a0=_inf<x<=_0_1355').
atm_c(d48,d48_11,14,'a0=0_1375<x<=+inf').
atm_c(d48,d48_12,10,'a0=_inf<x<=_0_1355').
atm_c(d48,d48_2,22,'a0=0_1375<x<=+inf').
atm_c(d48,d48_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d48,d48_21,10,'a0=_0_1355<x<=_0_0175').
atm_c(d48,d48_3,22,'a0=0_1375<x<=+inf').
atm_c(d48,d48_4,22,'a0=_inf<x<=_0_1355').
atm_c(d48,d48_5,22,'a0=0_1375<x<=+inf').
atm_c(d48,d48_6,22,'a0=_inf<x<=_0_1355').
atm_c(d49,d49_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d49,d49_2,22,'a0=0_1375<x<=+inf').
atm_c(d49,d49_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d49,d49_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d49,d49_5,22,'a0=0_1375<x<=+inf').
atm_c(d49,d49_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d5,d5_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d5,d5_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d5,d5_3,22,'a0=0_1375<x<=+inf').
atm_c(d5,d5_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d5,d5_5,22,'a0=0_1375<x<=+inf').
atm_c(d5,d5_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d50,d50_1,21,'a0=_0_0175<x<=0_0615').
atm_c(d50,d50_2,21,'a0=_0_0175<x<=0_0615').
atm_c(d50,d50_4,21,'a0=_0_0175<x<=0_0615').
atm_c(d51,d51_1,16,'a0=_inf<x<=_0_1355').
atm_c(d51,d51_2,14,'a0=0_1375<x<=+inf').
atm_c(d51,d51_3,16,'a0=_inf<x<=_0_1355').
atm_c(d51,d51_4,16,'a0=_inf<x<=_0_1355').
atm_c(d51,d51_5,14,'a0=0_1375<x<=+inf').
atm_c(d51,d51_6,16,'a0=_inf<x<=_0_1355').
atm_c(d52,d52_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d52,d52_12,29,'a0=_0_0175<x<=0_0615').
atm_c(d52,d52_13,22,'a0=0_1375<x<=+inf').
atm_c(d52,d52_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d52,d52_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d52,d52_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d52,d52_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d52,d52_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d52,d52_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d52,d52_4,29,'a0=_0_0175<x<=0_0615').
atm_c(d52,d52_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d52,d52_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d53,d53_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d53,d53_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d53,d53_3,22,'a0=0_1375<x<=+inf').
atm_c(d53,d53_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d53,d53_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d53,d53_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d53,d53_9,14,'a0=0_1375<x<=+inf').
atm_c(d54,d54_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d54,d54_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d54,d54_12,10,'a0=_0_1355<x<=_0_0175').
atm_c(d54,d54_2,22,'a0=0_1375<x<=+inf').
atm_c(d54,d54_20,14,'a0=0_1375<x<=+inf').
atm_c(d54,d54_21,10,'a0=_inf<x<=_0_1355').
atm_c(d54,d54_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d54,d54_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d54,d54_5,22,'a0=0_1375<x<=+inf').
atm_c(d54,d54_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d55,d55_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d55,d55_2,22,'a0=0_1375<x<=+inf').
atm_c(d55,d55_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d55,d55_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d55,d55_5,22,'a0=0_1375<x<=+inf').
atm_c(d55,d55_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d56,d56_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d56,d56_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d56,d56_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d56,d56_4,22,'a0=0_1375<x<=+inf').
atm_c(d56,d56_5,22,'a0=0_1375<x<=+inf').
atm_c(d56,d56_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d57,d57_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d57,d57_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d57,d57_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d57,d57_4,22,'a0=0_1375<x<=+inf').
atm_c(d57,d57_5,22,'a0=0_1375<x<=+inf').
atm_c(d57,d57_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d58,d58_1,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_10,22,'a0=0_1375<x<=+inf').
atm_c(d58,d58_11,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_12,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_13,22,'a0=0_1375<x<=+inf').
atm_c(d58,d58_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d58,d58_15,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_19,22,'a0=0_1375<x<=+inf').
atm_c(d58,d58_2,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_20,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_21,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_22,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_23,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_24,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_3,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_30,10,'a0=_0_1355<x<=_0_0175').
atm_c(d58,d58_4,22,'a0=0_1375<x<=+inf').
atm_c(d58,d58_5,22,'a0=_inf<x<=_0_1355').
atm_c(d58,d58_6,22,'a0=_inf<x<=_0_1355').
atm_c(d59,d59_1,22,'a0=_inf<x<=_0_1355').
atm_c(d59,d59_13,10,'a0=0_0615<x<=0_1375').
atm_c(d59,d59_2,22,'a0=0_1375<x<=+inf').
atm_c(d59,d59_3,22,'a0=_inf<x<=_0_1355').
atm_c(d59,d59_4,22,'a0=_inf<x<=_0_1355').
atm_c(d59,d59_5,22,'a0=0_1375<x<=+inf').
atm_c(d59,d59_6,22,'a0=_inf<x<=_0_1355').
atm_c(d6,d6_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d6,d6_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d6,d6_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d6,d6_4,22,'a0=0_1375<x<=+inf').
atm_c(d6,d6_5,22,'a0=0_1375<x<=+inf').
atm_c(d6,d6_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d60,d60_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d60,d60_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d60,d60_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d60,d60_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d60,d60_5,22,'a0=0_1375<x<=+inf').
atm_c(d60,d60_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d61,d61_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d61,d61_19,10,'a0=_0_1355<x<=_0_0175').
atm_c(d61,d61_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d61,d61_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d61,d61_26,10,'a0=_0_1355<x<=_0_0175').
atm_c(d61,d61_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d61,d61_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d61,d61_4,22,'a0=0_1375<x<=+inf').
atm_c(d61,d61_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d61,d61_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d62,d62_1,22,'a0=0_1375<x<=+inf').
atm_c(d62,d62_11,27,'a0=_0_1355<x<=_0_0175').
atm_c(d62,d62_12,27,'a0=_0_0175<x<=0_0615').
atm_c(d62,d62_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d62,d62_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d62,d62_16,22,'a0=0_1375<x<=+inf').
atm_c(d62,d62_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d62,d62_18,22,'a0=_0_1355<x<=_0_0175').
atm_c(d62,d62_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d62,d62_3,27,'a0=_0_1355<x<=_0_0175').
atm_c(d62,d62_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d62,d62_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d62,d62_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d63,d63_1,22,'a0=0_1375<x<=+inf').
atm_c(d63,d63_13,10,'a0=_0_0175<x<=0_0615').
atm_c(d63,d63_14,10,'a0=0_1375<x<=+inf').
atm_c(d63,d63_2,22,'a0=_inf<x<=_0_1355').
atm_c(d63,d63_3,22,'a0=_inf<x<=_0_1355').
atm_c(d63,d63_4,22,'a0=0_1375<x<=+inf').
atm_c(d63,d63_5,22,'a0=_inf<x<=_0_1355').
atm_c(d63,d63_6,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_1,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_11,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_12,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_13,22,'a0=0_1375<x<=+inf').
atm_c(d64,d64_14,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_18,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_19,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_2,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_20,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_21,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_22,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_23,22,'a0=0_1375<x<=+inf').
atm_c(d64,d64_3,27,'a0=_0_0175<x<=0_0615').
atm_c(d64,d64_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d64,d64_5,22,'a0=_inf<x<=_0_1355').
atm_c(d64,d64_6,22,'a0=_inf<x<=_0_1355').
atm_c(d65,d65_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d65,d65_2,22,'a0=0_1375<x<=+inf').
atm_c(d65,d65_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d65,d65_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d65,d65_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d65,d65_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_10,27,'a0=0_0615<x<=0_1375').
atm_c(d66,d66_11,27,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_12,29,'a0=_0_0175<x<=0_0615').
atm_c(d66,d66_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_14,14,'a0=0_1375<x<=+inf').
atm_c(d66,d66_15,22,'a0=_inf<x<=_0_1355').
atm_c(d66,d66_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_17,22,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_18,22,'a0=_inf<x<=_0_1355').
atm_c(d66,d66_19,22,'a0=0_1375<x<=+inf').
atm_c(d66,d66_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_20,22,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_21,14,'a0=0_1375<x<=+inf').
atm_c(d66,d66_24,10,'a0=_inf<x<=_0_1355').
atm_c(d66,d66_3,29,'a0=_0_0175<x<=0_0615').
atm_c(d66,d66_37,10,'a0=_0_0175<x<=0_0615').
atm_c(d66,d66_38,10,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_4,22,'a0=0_0615<x<=0_1375').
atm_c(d66,d66_44,10,'a0=0_1375<x<=+inf').
atm_c(d66,d66_45,10,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_52,10,'a0=_0_0175<x<=0_0615').
atm_c(d66,d66_56,10,'a0=_0_0175<x<=0_0615').
atm_c(d66,d66_57,10,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_7,27,'a0=_0_1355<x<=_0_0175').
atm_c(d66,d66_8,27,'a0=0_0615<x<=0_1375').
atm_c(d67,d67_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d67,d67_12,14,'a0=0_1375<x<=+inf').
atm_c(d67,d67_13,10,'a0=_inf<x<=_0_1355').
atm_c(d67,d67_18,14,'a0=0_1375<x<=+inf').
atm_c(d67,d67_19,10,'a0=0_0615<x<=0_1375').
atm_c(d67,d67_2,22,'a0=_0_0175<x<=0_0615').
atm_c(d67,d67_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d67,d67_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d67,d67_5,22,'a0=0_1375<x<=+inf').
atm_c(d67,d67_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d68,d68_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d68,d68_2,22,'a0=0_1375<x<=+inf').
atm_c(d68,d68_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d68,d68_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d68,d68_5,22,'a0=0_1375<x<=+inf').
atm_c(d68,d68_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d69,d69_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d69,d69_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d69,d69_2,22,'a0=_inf<x<=_0_1355').
atm_c(d69,d69_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d69,d69_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d69,d69_5,22,'a0=0_1375<x<=+inf').
atm_c(d69,d69_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d7,d7_1,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_10,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_11,22,'a0=0_1375<x<=+inf').
atm_c(d7,d7_12,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_13,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_14,22,'a0=0_0615<x<=0_1375').
atm_c(d7,d7_15,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_2,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_20,14,'a0=0_0615<x<=0_1375').
atm_c(d7,d7_21,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_22,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_23,14,'a0=0_1375<x<=+inf').
atm_c(d7,d7_24,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_25,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_3,22,'a0=0_0615<x<=0_1375').
atm_c(d7,d7_30,16,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_4,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_5,22,'a0=_inf<x<=_0_1355').
atm_c(d7,d7_6,22,'a0=0_1375<x<=+inf').
atm_c(d70,d70_1,22,'a0=_inf<x<=_0_1355').
atm_c(d70,d70_12,10,'a0=0_0615<x<=0_1375').
atm_c(d70,d70_17,10,'a0=0_0615<x<=0_1375').
atm_c(d70,d70_2,22,'a0=0_1375<x<=+inf').
atm_c(d70,d70_3,22,'a0=_inf<x<=_0_1355').
atm_c(d70,d70_4,22,'a0=0_1375<x<=+inf').
atm_c(d70,d70_5,22,'a0=0_1375<x<=+inf').
atm_c(d70,d70_6,22,'a0=_inf<x<=_0_1355').
atm_c(d71,d71_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d71,d71_16,10,'a0=0_0615<x<=0_1375').
atm_c(d71,d71_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d71,d71_23,10,'a0=0_0615<x<=0_1375').
atm_c(d71,d71_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d71,d71_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d71,d71_5,22,'a0=0_1375<x<=+inf').
atm_c(d71,d71_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d72,d72_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d72,d72_11,14,'a0=0_1375<x<=+inf').
atm_c(d72,d72_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d72,d72_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d72,d72_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d72,d72_5,22,'a0=0_1375<x<=+inf').
atm_c(d72,d72_6,22,'a0=_0_0175<x<=0_0615').
atm_c(d73,d73_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d73,d73_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d73,d73_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d73,d73_4,22,'a0=0_1375<x<=+inf').
atm_c(d73,d73_5,22,'a0=0_1375<x<=+inf').
atm_c(d73,d73_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d74,d74_1,22,'a0=_inf<x<=_0_1355').
atm_c(d74,d74_12,22,'a0=0_1375<x<=+inf').
atm_c(d74,d74_13,22,'a0=_inf<x<=_0_1355').
atm_c(d74,d74_14,22,'a0=_inf<x<=_0_1355').
atm_c(d74,d74_15,22,'a0=0_1375<x<=+inf').
atm_c(d74,d74_16,22,'a0=_inf<x<=_0_1355').
atm_c(d74,d74_17,22,'a0=_inf<x<=_0_1355').
atm_c(d74,d74_2,22,'a0=_inf<x<=_0_1355').
atm_c(d74,d74_3,22,'a0=_inf<x<=_0_1355').
atm_c(d74,d74_4,22,'a0=0_1375<x<=+inf').
atm_c(d74,d74_5,22,'a0=_inf<x<=_0_1355').
atm_c(d74,d74_6,22,'a0=_inf<x<=_0_1355').
atm_c(d75,d75_1,22,'a0=_inf<x<=_0_1355').
atm_c(d75,d75_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d75,d75_2,22,'a0=_inf<x<=_0_1355').
atm_c(d75,d75_3,22,'a0=_inf<x<=_0_1355').
atm_c(d75,d75_4,22,'a0=0_1375<x<=+inf').
atm_c(d75,d75_5,22,'a0=_inf<x<=_0_1355').
atm_c(d75,d75_6,22,'a0=0_1375<x<=+inf').
atm_c(d76,d76_1,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_12,27,'a0=_0_1355<x<=_0_0175').
atm_c(d76,d76_13,27,'a0=_0_1355<x<=_0_0175').
atm_c(d76,d76_14,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_15,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_16,22,'a0=0_1375<x<=+inf').
atm_c(d76,d76_17,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_2,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_20,22,'a0=_0_1355<x<=_0_0175').
atm_c(d76,d76_21,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_22,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_23,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_3,22,'a0=0_1375<x<=+inf').
atm_c(d76,d76_35,10,'a0=_0_1355<x<=_0_0175').
atm_c(d76,d76_4,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_5,22,'a0=_inf<x<=_0_1355').
atm_c(d76,d76_6,22,'a0=_inf<x<=_0_1355').
atm_c(d77,d77_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_11,22,'a0=0_1375<x<=+inf').
atm_c(d77,d77_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_14,29,'a0=_0_0175<x<=0_0615').
atm_c(d77,d77_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_2,29,'a0=_0_0175<x<=0_0615').
atm_c(d77,d77_23,10,'a0=0_0615<x<=0_1375').
atm_c(d77,d77_24,14,'a0=0_1375<x<=+inf').
atm_c(d77,d77_25,14,'a0=0_1375<x<=+inf').
atm_c(d77,d77_27,10,'a0=_0_0175<x<=0_0615').
atm_c(d77,d77_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_34,22,'a0=0_1375<x<=+inf').
atm_c(d77,d77_35,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_36,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_37,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_38,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_39,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_48,10,'a0=0_0615<x<=0_1375').
atm_c(d77,d77_49,14,'a0=0_1375<x<=+inf').
atm_c(d77,d77_5,22,'a0=0_1375<x<=+inf').
atm_c(d77,d77_51,10,'a0=_0_0175<x<=0_0615').
atm_c(d77,d77_55,14,'a0=0_1375<x<=+inf').
atm_c(d77,d77_59,22,'a0=0_1375<x<=+inf').
atm_c(d77,d77_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_60,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_61,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_62,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_63,22,'a0=_0_1355<x<=_0_0175').
atm_c(d77,d77_64,22,'a0=_0_1355<x<=_0_0175').
atm_c(d78,d78_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d78,d78_11,10,'a0=_0_0175<x<=0_0615').
atm_c(d78,d78_12,10,'a0=0_1375<x<=+inf').
atm_c(d78,d78_18,10,'a0=_0_0175<x<=0_0615').
atm_c(d78,d78_19,10,'a0=0_1375<x<=+inf').
atm_c(d78,d78_2,22,'a0=0_1375<x<=+inf').
atm_c(d78,d78_27,10,'a0=_0_0175<x<=0_0615').
atm_c(d78,d78_28,10,'a0=0_1375<x<=+inf').
atm_c(d78,d78_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d78,d78_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d78,d78_5,22,'a0=0_1375<x<=+inf').
atm_c(d78,d78_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d79,d79_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d79,d79_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d79,d79_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d79,d79_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d79,d79_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d79,d79_19,10,'a0=_0_0175<x<=0_0615').
atm_c(d79,d79_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d79,d79_20,10,'a0=_0_1355<x<=_0_0175').
atm_c(d79,d79_3,27,'a0=_0_0175<x<=0_0615').
atm_c(d79,d79_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d79,d79_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d79,d79_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d8,d8_1,22,'a0=_inf<x<=_0_1355').
atm_c(d8,d8_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d8,d8_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d8,d8_12,22,'a0=0_1375<x<=+inf').
atm_c(d8,d8_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d8,d8_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d8,d8_15,22,'a0=0_1375<x<=+inf').
atm_c(d8,d8_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d8,d8_22,10,'a0=_0_0175<x<=0_0615').
atm_c(d8,d8_29,14,'a0=0_1375<x<=+inf').
atm_c(d8,d8_3,22,'a0=0_1375<x<=+inf').
atm_c(d8,d8_32,10,'a0=_inf<x<=_0_1355').
atm_c(d8,d8_4,22,'a0=0_1375<x<=+inf').
atm_c(d8,d8_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d8,d8_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d80,d80_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d80,d80_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d80,d80_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d80,d80_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d80,d80_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d80,d80_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d80,d80_3,27,'a0=_0_0175<x<=0_0615').
atm_c(d80,d80_4,27,'a0=_0_0175<x<=0_0615').
atm_c(d80,d80_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d80,d80_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d81,d81_1,22,'a0=_inf<x<=_0_1355').
atm_c(d81,d81_2,22,'a0=0_1375<x<=+inf').
atm_c(d81,d81_3,22,'a0=_inf<x<=_0_1355').
atm_c(d81,d81_4,22,'a0=_inf<x<=_0_1355').
atm_c(d81,d81_5,22,'a0=0_1375<x<=+inf').
atm_c(d81,d81_6,22,'a0=_inf<x<=_0_1355').
atm_c(d82,d82_1,22,'a0=0_1375<x<=+inf').
atm_c(d82,d82_12,21,'a0=_0_0175<x<=0_0615').
atm_c(d82,d82_15,21,'a0=_0_0175<x<=0_0615').
atm_c(d82,d82_16,21,'a0=_0_0175<x<=0_0615').
atm_c(d82,d82_17,10,'a0=0_0615<x<=0_1375').
atm_c(d82,d82_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d82,d82_21,10,'a0=0_0615<x<=0_1375').
atm_c(d82,d82_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d82,d82_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d82,d82_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d82,d82_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d83,d83_1,22,'a0=0_1375<x<=+inf').
atm_c(d83,d83_2,22,'a0=_inf<x<=_0_1355').
atm_c(d83,d83_3,22,'a0=_inf<x<=_0_1355').
atm_c(d83,d83_4,22,'a0=0_1375<x<=+inf').
atm_c(d83,d83_5,22,'a0=_inf<x<=_0_1355').
atm_c(d83,d83_6,22,'a0=_inf<x<=_0_1355').
atm_c(d83,d83_9,10,'a0=_0_0175<x<=0_0615').
atm_c(d84,d84a_1,10,'a0=0_0615<x<=0_1375').
atm_c(d84,d84a_10,10,'a0=_0_1355<x<=_0_0175').
atm_c(d84,d84a_11,10,'a0=0_1375<x<=+inf').
atm_c(d84,d84a_14,10,'a0=0_1375<x<=+inf').
atm_c(d84,d84a_15,10,'a0=0_1375<x<=+inf').
atm_c(d84,d84a_16,10,'a0=_0_1355<x<=_0_0175').
atm_c(d84,d84a_17,10,'a0=_0_1355<x<=_0_0175').
atm_c(d84,d84a_2,10,'a0=_0_1355<x<=_0_0175').
atm_c(d84,d84a_20,10,'a0=_inf<x<=_0_1355').
atm_c(d84,d84a_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d84,d84a_6,10,'a0=0_1375<x<=+inf').
atm_c(d84,d84a_9,10,'a0=0_1375<x<=+inf').
atm_c(d84,d84b_1,10,'a0=_inf<x<=_0_1355').
atm_c(d84,d84b_11,10,'a0=_0_1355<x<=_0_0175').
atm_c(d84,d84b_15,10,'a0=0_0615<x<=0_1375').
atm_c(d84,d84b_16,10,'a0=0_1375<x<=+inf').
atm_c(d84,d84b_17,10,'a0=0_0615<x<=0_1375').
atm_c(d84,d84b_18,10,'a0=_0_1355<x<=_0_0175').
atm_c(d84,d84b_2,10,'a0=_inf<x<=_0_1355').
atm_c(d84,d84b_3,10,'a0=_inf<x<=_0_1355').
atm_c(d84,d84b_4,10,'a0=0_1375<x<=+inf').
atm_c(d84,d84b_5,10,'a0=0_0615<x<=0_1375').
atm_c(d84,d84b_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d84,d84b_7,10,'a0=_0_1355<x<=_0_0175').
atm_c(d85_1,d85_1_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_1,d85_1_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_1,d85_1_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_1,d85_1_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_1,d85_1_13,22,'a0=0_1375<x<=+inf').
atm_c(d85_1,d85_1_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_1,d85_1_3,22,'a0=0_1375<x<=+inf').
atm_c(d85_1,d85_1_4,22,'a0=0_1375<x<=+inf').
atm_c(d85_1,d85_1_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_1,d85_1_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_1,d85_1_8,22,'a0=0_1375<x<=+inf').
atm_c(d85_1,d85_1_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_2,d85_2_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_2,d85_2_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_2,d85_2_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_2,d85_2_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_2,d85_2_13,22,'a0=0_1375<x<=+inf').
atm_c(d85_2,d85_2_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_2,d85_2_3,22,'a0=0_1375<x<=+inf').
atm_c(d85_2,d85_2_4,22,'a0=0_1375<x<=+inf').
atm_c(d85_2,d85_2_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_2,d85_2_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d85_2,d85_2_8,22,'a0=0_1375<x<=+inf').
atm_c(d85_2,d85_2_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_4,29,'a0=0_0615<x<=0_1375').
atm_c(d86,d86a_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86a_9,29,'a0=0_0615<x<=0_1375').
atm_c(d86,d86b_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86b_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86b_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86b_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86b_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86b_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86b_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86b_4,29,'a0=0_0615<x<=0_1375').
atm_c(d86,d86b_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86b_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d86,d86b_8,29,'a0=0_0615<x<=0_1375').
atm_c(d86,d86b_9,22,'a0=_0_1355<x<=_0_0175').
atm_c(d87,d87_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d87,d87_10,22,'a0=_0_1355<x<=_0_0175').
atm_c(d87,d87_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d87,d87_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d87,d87_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d87,d87_14,22,'a0=0_1375<x<=+inf').
atm_c(d87,d87_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d87,d87_3,22,'a0=0_1375<x<=+inf').
atm_c(d87,d87_4,22,'a0=0_1375<x<=+inf').
atm_c(d87,d87_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d87,d87_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d87,d87_9,22,'a0=0_1375<x<=+inf').
atm_c(d88,d88_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d88,d88_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d88,d88_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d88,d88_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d88,d88_5,22,'a0=0_1375<x<=+inf').
atm_c(d88,d88_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d89,d89_1,16,'a0=_inf<x<=_0_1355').
atm_c(d89,d89_14,14,'a0=0_1375<x<=+inf').
atm_c(d89,d89_16,14,'a0=0_1375<x<=+inf').
atm_c(d89,d89_2,16,'a0=_inf<x<=_0_1355').
atm_c(d89,d89_3,10,'a0=0_1375<x<=+inf').
atm_c(d89,d89_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d89,d89_5,10,'a0=0_1375<x<=+inf').
atm_c(d89,d89_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d89,d89_7,10,'a0=0_1375<x<=+inf').
atm_c(d9,d9_1,22,'a0=_inf<x<=_0_1355').
atm_c(d9,d9_10,10,'a0=_0_0175<x<=0_0615').
atm_c(d9,d9_18,10,'a0=0_0615<x<=0_1375').
atm_c(d9,d9_2,22,'a0=_inf<x<=_0_1355').
atm_c(d9,d9_3,22,'a0=_inf<x<=_0_1355').
atm_c(d9,d9_4,22,'a0=0_1375<x<=+inf').
atm_c(d9,d9_5,22,'a0=0_1375<x<=+inf').
atm_c(d9,d9_6,22,'a0=_inf<x<=_0_1355').
atm_c(d90,d90_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d90,d90_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d90,d90_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d90,d90_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d90,d90_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d90,d90_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d91,d91_2,16,'a0=0_1375<x<=+inf').
atm_c(d91,d91_4,16,'a0=0_1375<x<=+inf').
atm_c(d92,d92_1,10,'a0=0_1375<x<=+inf').
atm_c(d92,d92_2,10,'a0=0_1375<x<=+inf').
atm_c(d93,d93_1,22,'a0=_0_0175<x<=0_0615').
atm_c(d93,d93_2,22,'a0=_0_0175<x<=0_0615').
atm_c(d93,d93_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d93,d93_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d93,d93_5,22,'a0=0_1375<x<=+inf').
atm_c(d93,d93_6,22,'a0=_0_0175<x<=0_0615').
atm_c(d94,d94_1,10,'a0=0_0615<x<=0_1375').
atm_c(d94,d94_2,10,'a0=0_1375<x<=+inf').
atm_c(d95,d95_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d95,d95_13,14,'a0=0_1375<x<=+inf').
atm_c(d95,d95_15,10,'a0=_0_0175<x<=0_0615').
atm_c(d95,d95_19,10,'a0=_0_0175<x<=0_0615').
atm_c(d95,d95_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d95,d95_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d95,d95_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d95,d95_5,22,'a0=0_1375<x<=+inf').
atm_c(d95,d95_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d96,d96_1,16,'a0=_0_1355<x<=_0_0175').
atm_c(d96,d96_14,10,'a0=0_1375<x<=+inf').
atm_c(d96,d96_2,16,'a0=_0_1355<x<=_0_0175').
atm_c(d96,d96_3,10,'a0=_0_1355<x<=_0_0175').
atm_c(d96,d96_4,10,'a0=_0_1355<x<=_0_0175').
atm_c(d96,d96_5,10,'a0=_0_1355<x<=_0_0175').
atm_c(d96,d96_6,10,'a0=_0_1355<x<=_0_0175').
atm_c(d96,d96_7,10,'a0=0_1375<x<=+inf').
atm_c(d96,d96_8,10,'a0=0_1375<x<=+inf').
atm_c(d96,d96_9,10,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_1,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_11,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_12,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_13,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_14,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_15,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_16,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_2,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_21,10,'a0=_0_0175<x<=0_0615').
atm_c(d97,d97_23,14,'a0=0_1375<x<=+inf').
atm_c(d97,d97_26,10,'a0=0_1375<x<=+inf').
atm_c(d97,d97_27,10,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_3,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_4,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_5,22,'a0=_0_1355<x<=_0_0175').
atm_c(d97,d97_6,22,'a0=_0_1355<x<=_0_0175').
atm_c(d98,d98_1,22,'a0=_0_0175<x<=0_0615').
atm_c(d98,d98_10,19,'a0=0_1375<x<=+inf').
atm_c(d98,d98_2,22,'a0=_0_0175<x<=0_0615').
atm_c(d98,d98_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d98,d98_4,22,'a0=_0_0175<x<=0_0615').
atm_c(d98,d98_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d98,d98_6,22,'a0=_0_0175<x<=0_0615').
atm_c(d98,d98_8,19,'a0=0_1375<x<=+inf').
atm_c(d99,d99_1,22,'a0=_0_0175<x<=0_0615').
atm_c(d99,d99_10,22,'a0=_0_0175<x<=0_0615').
atm_c(d99,d99_11,22,'a0=_0_0175<x<=0_0615').
atm_c(d99,d99_12,22,'a0=_0_0175<x<=0_0615').
atm_c(d99,d99_2,22,'a0=_0_0175<x<=0_0615').
atm_c(d99,d99_3,22,'a0=_0_0175<x<=0_0615').
atm_c(d99,d99_4,22,'a0=0_1375<x<=+inf').
atm_c(d99,d99_5,22,'a0=_0_0175<x<=0_0615').
atm_c(d99,d99_6,22,'a0=_0_0175<x<=0_0615').
atm_c(d99,d99_7,22,'a0=0_1375<x<=+inf').
atm_c(d99,d99_8,22,'a0=_0_0175<x<=0_0615').
atm_c(d99,d99_9,22,'a0=_0_0175<x<=0_0615').

atm_ca(d262,d262_4,84,'a0=0_1375<x<=+inf').

atm_cl(d100,d100_23,93,'a0=_inf<x<=_0_1355').
atm_cl(d100,d100_24,93,'a0=_inf<x<=_0_1355').
atm_cl(d100,d100_25,93,'a0=_inf<x<=_0_1355').
atm_cl(d100,d100_26,93,'a0=_inf<x<=_0_1355').
atm_cl(d101,d101_15,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d101,d101_16,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d101,d101_17,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d101,d101_19,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d101,d101_20,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d101,d101_21,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d101,d101_22,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d102,d102_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d102,d102_4,93,'a0=_inf<x<=_0_1355').
atm_cl(d102,d102_5,93,'a0=_inf<x<=_0_1355').
atm_cl(d102,d102_6,93,'a0=_inf<x<=_0_1355').
atm_cl(d102,d102_7,93,'a0=_inf<x<=_0_1355').
atm_cl(d103,d103_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d103,d103_6,93,'a0=_inf<x<=_0_1355').
atm_cl(d103,d103_7,93,'a0=_inf<x<=_0_1355').
atm_cl(d103,d103_8,93,'a0=_inf<x<=_0_1355').
atm_cl(d104,d104_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d104,d104_4,93,'a0=_inf<x<=_0_1355').
atm_cl(d104,d104_6,93,'a0=_inf<x<=_0_1355').
atm_cl(d104,d104_7,93,'a0=_inf<x<=_0_1355').
atm_cl(d105,d105_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d105,d105_4,93,'a0=_inf<x<=_0_1355').
atm_cl(d105,d105_5,93,'a0=_inf<x<=_0_1355').
atm_cl(d106,d106_19,93,'a0=_inf<x<=_0_1355').
atm_cl(d106,d106_20,93,'a0=_inf<x<=_0_1355').
atm_cl(d106,d106_21,93,'a0=_inf<x<=_0_1355').
atm_cl(d106,d106_22,93,'a0=_inf<x<=_0_1355').
atm_cl(d106,d106_23,93,'a0=_inf<x<=_0_1355').
atm_cl(d106,d106_24,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_53,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_56,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_57,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_58,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_60,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_62,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_64,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_66,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_68,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107c_70,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_54,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_55,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_56,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_57,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_58,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_59,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_60,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_63,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_66,93,'a0=_inf<x<=_0_1355').
atm_cl(d107,d107d_69,93,'a0=_inf<x<=_0_1355').
atm_cl(d108,d108_24,93,'a0=_inf<x<=_0_1355').
atm_cl(d108,d108_25,93,'a0=_inf<x<=_0_1355').
atm_cl(d108,d108_26,93,'a0=_inf<x<=_0_1355').
atm_cl(d108,d108_27,93,'a0=_inf<x<=_0_1355').
atm_cl(d108,d108_28,93,'a0=_inf<x<=_0_1355').
atm_cl(d109,d109_14,93,'a0=_inf<x<=_0_1355').
atm_cl(d110,d110_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d111,d111_21,93,'a0=_inf<x<=_0_1355').
atm_cl(d111,d111_22,93,'a0=_inf<x<=_0_1355').
atm_cl(d112,d112_20,93,'a0=_inf<x<=_0_1355').
atm_cl(d112,d112_21,93,'a0=_inf<x<=_0_1355').
atm_cl(d112,d112_22,93,'a0=_inf<x<=_0_1355').
atm_cl(d112,d112_23,93,'a0=_inf<x<=_0_1355').
atm_cl(d112,d112_25,93,'a0=_inf<x<=_0_1355').
atm_cl(d112,d112_27,93,'a0=_inf<x<=_0_1355').
atm_cl(d113,d113_38,93,'a0=_inf<x<=_0_1355').
atm_cl(d113,d113_39,93,'a0=_inf<x<=_0_1355').
atm_cl(d114,d114_12,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d114,d114_7,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d114,d114_9,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d115,d115_2,93,'a0=_inf<x<=_0_1355').
atm_cl(d115,d115_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d116,d116_24,93,'a0=_inf<x<=_0_1355').
atm_cl(d116,d116_25,93,'a0=_inf<x<=_0_1355').
atm_cl(d116,d116_27,93,'a0=_inf<x<=_0_1355').
atm_cl(d116,d116_28,93,'a0=_inf<x<=_0_1355').
atm_cl(d117,d117_18,93,'a0=_inf<x<=_0_1355').
atm_cl(d118,d118_18,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d118,d118_19,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d118,d118_20,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d119,d119_18,93,'a0=_inf<x<=_0_1355').
atm_cl(d120,d120_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d120,d120_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d121,d121_13,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d121,d121_14,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d121,d121_15,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d121,d121_16,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d121,d121_26,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d121,d121_27,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d122,d122_24,93,'a0=_inf<x<=_0_1355').
atm_cl(d122,d122_25,93,'a0=_inf<x<=_0_1355').
atm_cl(d122,d122_26,93,'a0=_inf<x<=_0_1355').
atm_cl(d124,d124_19,93,'a0=_inf<x<=_0_1355').
atm_cl(d125,d125_24,93,'a0=_inf<x<=_0_1355').
atm_cl(d125,d125_25,93,'a0=_inf<x<=_0_1355').
atm_cl(d125,d125_26,93,'a0=_inf<x<=_0_1355').
atm_cl(d125,d125_27,93,'a0=_inf<x<=_0_1355').
atm_cl(d125,d125_28,93,'a0=_inf<x<=_0_1355').
atm_cl(d126,d126_10,93,'a0=_inf<x<=_0_1355').
atm_cl(d126,d126_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d126,d126_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d126,d126_7,93,'a0=_inf<x<=_0_1355').
atm_cl(d126,d126_8,93,'a0=_inf<x<=_0_1355').
atm_cl(d126,d126_9,93,'a0=_inf<x<=_0_1355').
atm_cl(d127,d127_10,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d127,d127_11,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d127,d127_7,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d127,d127_8,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d127,d127_9,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d128,d128_19,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d128,d128_20,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d128,d128_21,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d128,d128_22,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d128,d128_27,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d128,d128_5,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d129,d129_1,93,'a0=_inf<x<=_0_1355').
atm_cl(d129,d129_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d130,d130_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d131,d131_14,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d131,d131_15,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d131,d131_7,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d131,d131_8,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d132,d132_38,93,'a0=_inf<x<=_0_1355').
atm_cl(d133,d133_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d133,d133_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d21,d21_21,93,'a0=_inf<x<=_0_1355').
atm_cl(d21,d21_22,93,'a0=_inf<x<=_0_1355').
atm_cl(d226,d226_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d227,d227_7,93,'a0=_inf<x<=_0_1355').
atm_cl(d229,d229_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d229,d229_6,93,'a0=_inf<x<=_0_1355').
atm_cl(d230,d230_1,93,'a0=_inf<x<=_0_1355').
atm_cl(d230,d230_7,93,'a0=_inf<x<=_0_1355').
atm_cl(d231,d231_57,93,'a0=_inf<x<=_0_1355').
atm_cl(d231,d231_64,93,'a0=_inf<x<=_0_1355').
atm_cl(d233,d233_10,93,'a0=_inf<x<=_0_1355').
atm_cl(d233,d233_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d233,d233_15,93,'a0=_inf<x<=_0_1355').
atm_cl(d233,d233_9,93,'a0=_inf<x<=_0_1355').
atm_cl(d236,d236_10,93,'a0=_inf<x<=_0_1355').
atm_cl(d237,d237_17,93,'a0=_inf<x<=_0_1355').
atm_cl(d237,d237_18,93,'a0=_inf<x<=_0_1355').
atm_cl(d243,d243_19,93,'a0=_inf<x<=_0_1355').
atm_cl(d243,d243_2,93,'a0=_inf<x<=_0_1355').
atm_cl(d246,d246_16,93,'a0=_inf<x<=_0_1355').
atm_cl(d246,d246_23,93,'a0=_inf<x<=_0_1355').
atm_cl(d246,d246_87,93,'a0=_inf<x<=_0_1355').
atm_cl(d246,d246_94,93,'a0=_inf<x<=_0_1355').
atm_cl(d249,d249_28,93,'a0=_inf<x<=_0_1355').
atm_cl(d250,d250_1,93,'a0=_inf<x<=_0_1355').
atm_cl(d250,d250_6,93,'a0=_inf<x<=_0_1355').
atm_cl(d251,d251_16,93,'a0=_inf<x<=_0_1355').
atm_cl(d251,d251_24,93,'a0=_inf<x<=_0_1355').
atm_cl(d251,d251_8,93,'a0=_inf<x<=_0_1355').
atm_cl(d255,d255_9,93,'a0=_inf<x<=_0_1355').
atm_cl(d258,d258_20,93,'a0=_inf<x<=_0_1355').
atm_cl(d259,d259_14,93,'a0=_inf<x<=_0_1355').
atm_cl(d261,d261_9,93,'a0=_inf<x<=_0_1355').
atm_cl(d263,d263_1,93,'a0=_inf<x<=_0_1355').
atm_cl(d264,d264_38,93,'a0=_inf<x<=_0_1355').
atm_cl(d268,d268_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d272,d272_2,93,'a0=_inf<x<=_0_1355').
atm_cl(d272,d272_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d273,d273_3,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d273,d273_4,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d275,d275_2,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d288,d288_17,93,'a0=_inf<x<=_0_1355').
atm_cl(d289,d289_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d290,d290_18,93,'a0=_inf<x<=_0_1355').
atm_cl(d290,d290_19,93,'a0=_inf<x<=_0_1355').
atm_cl(d290,d290_20,93,'a0=_inf<x<=_0_1355').
atm_cl(d30,d30_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d302,d302_1,93,'a0=_inf<x<=_0_1355').
atm_cl(d305,d305_25,93,'a0=_inf<x<=_0_1355').
atm_cl(d31,d31b_1,93,'a0=_inf<x<=_0_1355').
atm_cl(d310,d310_2,93,'a0=_inf<x<=_0_1355').
atm_cl(d310,d310_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d316,d316_12,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d316,d316_13,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d316,d316_14,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d316,d316_15,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d316,d316_16,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d317,d317_2,93,'a0=_inf<x<=_0_1355').
atm_cl(d32,d32b_1,93,'a0=_inf<x<=_0_1355').
atm_cl(d328,d328b_1,93,'a0=_inf<x<=_0_1355').
atm_cl(d328,d328b_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d337,d337_10,93,'a0=_inf<x<=_0_1355').
atm_cl(d337,d337_4,93,'a0=_inf<x<=_0_1355').
atm_cl(d337,d337_7,93,'a0=_inf<x<=_0_1355').
atm_cl(d35,d35_15,93,'a0=_inf<x<=_0_1355').
atm_cl(d36,d36a_28,93,'a0=_inf<x<=_0_1355').
atm_cl(d42,d42_15,93,'a0=_inf<x<=_0_1355').
atm_cl(d45,d45_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d45,d45_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d5,d5_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d53,d53_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d53,d53_13,93,'a0=_inf<x<=_0_1355').
atm_cl(d6,d6_10,93,'a0=_inf<x<=_0_1355').
atm_cl(d60,d60_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d67,d67_20,93,'a0=_inf<x<=_0_1355').
atm_cl(d68,d68_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d69,d69_15,93,'a0=_inf<x<=_0_1355').
atm_cl(d77,d77_19,93,'a0=_inf<x<=_0_1355').
atm_cl(d77,d77_20,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84a_23,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84a_26,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84a_28,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84a_30,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84a_31,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84a_32,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84a_33,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84a_34,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84b_24,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84b_25,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84b_27,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84b_30,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84b_31,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84b_32,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84b_33,93,'a0=_inf<x<=_0_1355').
atm_cl(d84,d84b_36,93,'a0=_inf<x<=_0_1355').
atm_cl(d85_1,d85_1_17,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_1,d85_1_18,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_1,d85_1_19,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_1,d85_1_20,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_1,d85_1_21,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_1,d85_1_22,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_2,d85_2_17,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_2,d85_2_18,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_2,d85_2_19,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_2,d85_2_20,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_2,d85_2_21,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d85_2,d85_2_22,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d87,d87_19,93,'a0=_inf<x<=_0_1355').
atm_cl(d87,d87_20,93,'a0=_inf<x<=_0_1355').
atm_cl(d87,d87_21,93,'a0=_inf<x<=_0_1355').
atm_cl(d87,d87_22,93,'a0=_inf<x<=_0_1355').
atm_cl(d88,d88_10,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d88,d88_11,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d88,d88_12,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d89,d89_10,93,'a0=_inf<x<=_0_1355').
atm_cl(d89,d89_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d89,d89_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d89,d89_13,93,'a0=_inf<x<=_0_1355').
atm_cl(d90,d90_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d90,d90_12,93,'a0=_inf<x<=_0_1355').
atm_cl(d91,d91_1,93,'a0=_inf<x<=_0_1355').
atm_cl(d91,d91_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d91,d91_5,93,'a0=_inf<x<=_0_1355').
atm_cl(d91,d91_6,93,'a0=_inf<x<=_0_1355').
atm_cl(d92,d92_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d92,d92_4,93,'a0=_inf<x<=_0_1355').
atm_cl(d92,d92_5,93,'a0=_inf<x<=_0_1355').
atm_cl(d92,d92_6,93,'a0=_inf<x<=_0_1355').
atm_cl(d92,d92_7,93,'a0=_inf<x<=_0_1355').
atm_cl(d92,d92_8,93,'a0=_inf<x<=_0_1355').
atm_cl(d93,d93_10,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d93,d93_11,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d93,d93_12,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d93,d93_8,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d93,d93_9,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d94,d94_3,93,'a0=_inf<x<=_0_1355').
atm_cl(d94,d94_4,93,'a0=_inf<x<=_0_1355').
atm_cl(d94,d94_6,93,'a0=_inf<x<=_0_1355').
atm_cl(d95,d95_11,93,'a0=_inf<x<=_0_1355').
atm_cl(d96,d96_15,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d96,d96_16,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d96,d96_17,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d96,d96_19,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d96,d96_21,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d96,d96_22,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d96,d96_23,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d96,d96_24,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d97,d97_34,93,'a0=_inf<x<=_0_1355').
atm_cl(d97,d97_35,93,'a0=_inf<x<=_0_1355').
atm_cl(d98,d98_11,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d98,d98_12,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d98,d98_7,93,'a0=_0_1355<x<=_0_0175').
atm_cl(d98,d98_9,93,'a0=_0_1355<x<=_0_0175').

atm_cu(d322,d322_14,96,'a0=0_1375<x<=+inf').
atm_cu(d322,d322_39,96,'a0=0_1375<x<=+inf').

atm_f(d158,d158_2,92,'a0=_inf<x<=_0_1355').
atm_f(d210,d210_12,92,'a0=_inf<x<=_0_1355').
atm_f(d210,d210_13,92,'a0=_inf<x<=_0_1355').
atm_f(d210,d210_14,92,'a0=_inf<x<=_0_1355').
atm_f(d41,d41_10,92,'a0=_inf<x<=_0_1355').
atm_f(d41,d41_11,92,'a0=_inf<x<=_0_1355').
atm_f(d41,d41_12,92,'a0=_inf<x<=_0_1355').

atm_h(d1,d1_10,3,'a0=0_0615<x<=0_1375').
atm_h(d1,d1_19,3,'a0=0_0615<x<=0_1375').
atm_h(d1,d1_20,3,'a0=0_0615<x<=0_1375').
atm_h(d1,d1_21,3,'a0=0_0615<x<=0_1375').
atm_h(d1,d1_25,1,'a0=0_1375<x<=+inf').
atm_h(d1,d1_26,1,'a0=0_1375<x<=+inf').
atm_h(d1,d1_7,3,'a0=0_0615<x<=0_1375').
atm_h(d1,d1_8,3,'a0=0_0615<x<=0_1375').
atm_h(d1,d1_9,3,'a0=0_0615<x<=0_1375').
atm_h(d10,d10_10,3,'a0=0_1375<x<=+inf').
atm_h(d10,d10_11,3,'a0=0_1375<x<=+inf').
atm_h(d10,d10_15,1,'a0=0_1375<x<=+inf').
atm_h(d10,d10_7,3,'a0=0_1375<x<=+inf').
atm_h(d10,d10_8,3,'a0=0_1375<x<=+inf').
atm_h(d10,d10_9,3,'a0=0_1375<x<=+inf').
atm_h(d100,d100_10,3,'a0=0_1375<x<=+inf').
atm_h(d100,d100_17,3,'a0=0_1375<x<=+inf').
atm_h(d100,d100_18,3,'a0=0_1375<x<=+inf').
atm_h(d100,d100_19,3,'a0=0_1375<x<=+inf').
atm_h(d100,d100_20,3,'a0=0_1375<x<=+inf').
atm_h(d100,d100_7,3,'a0=0_1375<x<=+inf').
atm_h(d100,d100_8,3,'a0=0_1375<x<=+inf').
atm_h(d100,d100_9,3,'a0=0_1375<x<=+inf').
atm_h(d101,d101_10,3,'a0=0_0615<x<=0_1375').
atm_h(d101,d101_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d101,d101_12,3,'a0=0_1375<x<=+inf').
atm_h(d101,d101_13,3,'a0=0_1375<x<=+inf').
atm_h(d101,d101_18,3,'a0=0_0615<x<=0_1375').
atm_h(d102,d102_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d103,d103_4,3,'a0=0_0615<x<=0_1375').
atm_h(d103,d103_5,3,'a0=0_0615<x<=0_1375').
atm_h(d104,d104_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d104,d104_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d105,d105_6,3,'a0=0_1375<x<=+inf').
atm_h(d106,d106_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d106,d106_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d106,d106_13,3,'a0=0_1375<x<=+inf').
atm_h(d106,d106_14,3,'a0=0_1375<x<=+inf').
atm_h(d106,d106_17,3,'a0=0_0615<x<=0_1375').
atm_h(d106,d106_18,3,'a0=0_0615<x<=0_1375').
atm_h(d106,d106_25,3,'a0=0_0615<x<=0_1375').
atm_h(d106,d106_26,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107c_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_45,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_46,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_48,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_49,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_50,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_51,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_52,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_54,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_55,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_59,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_61,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_63,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_65,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_67,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_69,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_71,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107c_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107d_10,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_11,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_12,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_14,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_15,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_16,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_19,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_20,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_21,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_23,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_24,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_25,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_27,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_28,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_29,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_31,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_32,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_33,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_36,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_37,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_38,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_40,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_41,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_42,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d107,d107d_48,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_49,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_50,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_52,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_53,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_61,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_62,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_64,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_65,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_67,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_68,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_70,3,'a0=0_0615<x<=0_1375').
atm_h(d107,d107d_71,3,'a0=0_0615<x<=0_1375').
atm_h(d108,d108_10,3,'a0=0_1375<x<=+inf').
atm_h(d108,d108_17,3,'a0=0_1375<x<=+inf').
atm_h(d108,d108_18,3,'a0=0_1375<x<=+inf').
atm_h(d108,d108_19,3,'a0=0_1375<x<=+inf').
atm_h(d108,d108_20,3,'a0=0_1375<x<=+inf').
atm_h(d108,d108_29,8,'a0=0_1375<x<=+inf').
atm_h(d108,d108_7,3,'a0=0_1375<x<=+inf').
atm_h(d108,d108_8,3,'a0=0_1375<x<=+inf').
atm_h(d108,d108_9,3,'a0=0_1375<x<=+inf').
atm_h(d109,d109_22,3,'a0=0_1375<x<=+inf').
atm_h(d109,d109_23,3,'a0=0_1375<x<=+inf').
atm_h(d109,d109_24,1,'a0=0_1375<x<=+inf').
atm_h(d109,d109_25,1,'a0=0_1375<x<=+inf').
atm_h(d109,d109_26,1,'a0=0_1375<x<=+inf').
atm_h(d109,d109_27,1,'a0=0_1375<x<=+inf').
atm_h(d109,d109_28,3,'a0=0_0615<x<=0_1375').
atm_h(d109,d109_29,3,'a0=0_0615<x<=0_1375').
atm_h(d109,d109_30,3,'a0=0_1375<x<=+inf').
atm_h(d109,d109_31,3,'a0=0_1375<x<=+inf').
atm_h(d109,d109_32,3,'a0=0_1375<x<=+inf').
atm_h(d11,d11_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d11,d11_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d11,d11_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d11,d11_17,1,'a0=0_1375<x<=+inf').
atm_h(d11,d11_18,1,'a0=0_1375<x<=+inf').
atm_h(d11,d11_19,1,'a0=0_1375<x<=+inf').
atm_h(d11,d11_20,1,'a0=0_1375<x<=+inf').
atm_h(d11,d11_7,3,'a0=0_0615<x<=0_1375').
atm_h(d11,d11_8,3,'a0=0_0615<x<=0_1375').
atm_h(d11,d11_9,3,'a0=0_0615<x<=0_1375').
atm_h(d110,d110_10,3,'a0=0_1375<x<=+inf').
atm_h(d110,d110_11,3,'a0=0_1375<x<=+inf').
atm_h(d110,d110_7,3,'a0=0_1375<x<=+inf').
atm_h(d110,d110_8,3,'a0=0_1375<x<=+inf').
atm_h(d110,d110_9,3,'a0=0_1375<x<=+inf').
atm_h(d111,d111_16,3,'a0=0_1375<x<=+inf').
atm_h(d111,d111_17,3,'a0=0_1375<x<=+inf').
atm_h(d111,d111_18,3,'a0=0_1375<x<=+inf').
atm_h(d111,d111_7,3,'a0=0_1375<x<=+inf').
atm_h(d111,d111_8,3,'a0=0_1375<x<=+inf').
atm_h(d111,d111_9,3,'a0=0_1375<x<=+inf').
atm_h(d112,d112_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d112,d112_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d112,d112_14,3,'a0=0_0615<x<=0_1375').
atm_h(d112,d112_15,3,'a0=0_0615<x<=0_1375').
atm_h(d112,d112_17,3,'a0=0_0615<x<=0_1375').
atm_h(d112,d112_18,3,'a0=0_0615<x<=0_1375').
atm_h(d112,d112_24,3,'a0=0_0615<x<=0_1375').
atm_h(d112,d112_26,3,'a0=0_0615<x<=0_1375').
atm_h(d112,d112_28,3,'a0=0_0615<x<=0_1375').
atm_h(d112,d112_29,3,'a0=0_0615<x<=0_1375').
atm_h(d113,d113_10,3,'a0=0_0615<x<=0_1375').
atm_h(d113,d113_17,3,'a0=0_0615<x<=0_1375').
atm_h(d113,d113_18,3,'a0=0_0615<x<=0_1375').
atm_h(d113,d113_19,3,'a0=0_0615<x<=0_1375').
atm_h(d113,d113_20,3,'a0=0_0615<x<=0_1375').
atm_h(d113,d113_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_37,3,'a0=0_0615<x<=0_1375').
atm_h(d113,d113_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d113,d113_7,3,'a0=0_0615<x<=0_1375').
atm_h(d113,d113_8,3,'a0=0_0615<x<=0_1375').
atm_h(d113,d113_9,3,'a0=0_0615<x<=0_1375').
atm_h(d114,d114_13,1,'a0=0_1375<x<=+inf').
atm_h(d114,d114_14,1,'a0=0_1375<x<=+inf').
atm_h(d114,d114_16,1,'a0=0_1375<x<=+inf').
atm_h(d116,d116_10,3,'a0=0_1375<x<=+inf').
atm_h(d116,d116_17,3,'a0=0_1375<x<=+inf').
atm_h(d116,d116_18,3,'a0=0_1375<x<=+inf').
atm_h(d116,d116_19,3,'a0=0_1375<x<=+inf').
atm_h(d116,d116_20,3,'a0=0_1375<x<=+inf').
atm_h(d116,d116_23,3,'a0=0_0615<x<=0_1375').
atm_h(d116,d116_26,3,'a0=0_0615<x<=0_1375').
atm_h(d116,d116_7,3,'a0=0_1375<x<=+inf').
atm_h(d116,d116_8,3,'a0=0_1375<x<=+inf').
atm_h(d116,d116_9,3,'a0=0_1375<x<=+inf').
atm_h(d117,d117_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d117,d117_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d117,d117_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d117,d117_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d117,d117_15,3,'a0=0_0615<x<=0_1375').
atm_h(d117,d117_16,3,'a0=0_0615<x<=0_1375').
atm_h(d117,d117_21,1,'a0=0_1375<x<=+inf').
atm_h(d117,d117_22,1,'a0=0_1375<x<=+inf').
atm_h(d117,d117_26,1,'a0=0_1375<x<=+inf').
atm_h(d117,d117_27,1,'a0=0_1375<x<=+inf').
atm_h(d118,d118_13,3,'a0=0_1375<x<=+inf').
atm_h(d118,d118_14,3,'a0=0_1375<x<=+inf').
atm_h(d118,d118_15,3,'a0=0_1375<x<=+inf').
atm_h(d118,d118_16,3,'a0=0_1375<x<=+inf').
atm_h(d118,d118_21,1,'a0=0_1375<x<=+inf').
atm_h(d119,d119_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d119,d119_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d12,d12_12,1,'a0=0_1375<x<=+inf').
atm_h(d12,d12_13,1,'a0=0_1375<x<=+inf').
atm_h(d12,d12_14,1,'a0=0_1375<x<=+inf').
atm_h(d12,d12_15,1,'a0=0_1375<x<=+inf').
atm_h(d12,d12_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d12,d12_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d12,d12_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d12,d12_7,3,'a0=0_0615<x<=0_1375').
atm_h(d12,d12_8,3,'a0=0_0615<x<=0_1375').
atm_h(d12,d12_9,3,'a0=0_0615<x<=0_1375').
atm_h(d120,d120_10,3,'a0=0_1375<x<=+inf').
atm_h(d120,d120_7,3,'a0=0_1375<x<=+inf').
atm_h(d120,d120_8,3,'a0=0_1375<x<=+inf').
atm_h(d120,d120_9,3,'a0=0_1375<x<=+inf').
atm_h(d121,d121_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d121,d121_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d121,d121_18,3,'a0=0_0615<x<=0_1375').
atm_h(d121,d121_19,3,'a0=0_0615<x<=0_1375').
atm_h(d121,d121_21,3,'a0=0_0615<x<=0_1375').
atm_h(d121,d121_22,3,'a0=0_0615<x<=0_1375').
atm_h(d121,d121_23,3,'a0=0_0615<x<=0_1375').
atm_h(d121,d121_24,3,'a0=0_0615<x<=0_1375').
atm_h(d122,d122_10,3,'a0=0_0615<x<=0_1375').
atm_h(d122,d122_17,3,'a0=0_0615<x<=0_1375').
atm_h(d122,d122_18,3,'a0=0_0615<x<=0_1375').
atm_h(d122,d122_19,3,'a0=0_0615<x<=0_1375').
atm_h(d122,d122_20,3,'a0=0_0615<x<=0_1375').
atm_h(d122,d122_23,3,'a0=0_0615<x<=0_1375').
atm_h(d122,d122_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d122,d122_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d122,d122_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d122,d122_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d122,d122_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d122,d122_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d122,d122_7,3,'a0=0_0615<x<=0_1375').
atm_h(d122,d122_8,3,'a0=0_0615<x<=0_1375').
atm_h(d122,d122_9,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_13,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_14,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_15,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_16,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_17,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_22,1,'a0=0_1375<x<=+inf').
atm_h(d123,d123_24,1,'a0=0_1375<x<=+inf').
atm_h(d123,d123_25,1,'a0=0_1375<x<=+inf').
atm_h(d123,d123_3,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_4,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_5,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_7,3,'a0=0_0615<x<=0_1375').
atm_h(d123,d123_8,3,'a0=0_0615<x<=0_1375').
atm_h(d124,d124_15,3,'a0=0_1375<x<=+inf').
atm_h(d124,d124_16,3,'a0=0_1375<x<=+inf').
atm_h(d124,d124_17,3,'a0=0_1375<x<=+inf').
atm_h(d124,d124_18,3,'a0=0_1375<x<=+inf').
atm_h(d124,d124_21,1,'a0=0_1375<x<=+inf').
atm_h(d124,d124_23,3,'a0=0_0615<x<=0_1375').
atm_h(d124,d124_24,3,'a0=0_0615<x<=0_1375').
atm_h(d124,d124_26,3,'a0=0_0615<x<=0_1375').
atm_h(d124,d124_27,3,'a0=0_0615<x<=0_1375').
atm_h(d124,d124_28,3,'a0=0_0615<x<=0_1375').
atm_h(d124,d124_29,3,'a0=0_0615<x<=0_1375').
atm_h(d124,d124_30,3,'a0=0_0615<x<=0_1375').
atm_h(d124,d124_6,1,'a0=0_1375<x<=+inf').
atm_h(d125,d125_10,3,'a0=0_1375<x<=+inf').
atm_h(d125,d125_17,3,'a0=0_1375<x<=+inf').
atm_h(d125,d125_18,3,'a0=0_1375<x<=+inf').
atm_h(d125,d125_19,3,'a0=0_1375<x<=+inf').
atm_h(d125,d125_20,3,'a0=0_1375<x<=+inf').
atm_h(d125,d125_23,3,'a0=0_0615<x<=0_1375').
atm_h(d125,d125_7,3,'a0=0_1375<x<=+inf').
atm_h(d125,d125_8,3,'a0=0_1375<x<=+inf').
atm_h(d125,d125_9,3,'a0=0_1375<x<=+inf').
atm_h(d126,d126_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d126,d126_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d126,d126_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d126,d126_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d126,d126_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d126,d126_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d128,d128_14,3,'a0=0_0615<x<=0_1375').
atm_h(d128,d128_15,3,'a0=0_0615<x<=0_1375').
atm_h(d128,d128_17,3,'a0=0_0615<x<=0_1375').
atm_h(d128,d128_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d128,d128_25,3,'a0=0_0615<x<=0_1375').
atm_h(d128,d128_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d128,d128_7,3,'a0=0_0615<x<=0_1375').
atm_h(d128,d128_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d129,d129_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d129,d129_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d129,d129_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d129,d129_6,3,'a0=_0_0175<x<=0_0615').
atm_h(d129,d129_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d129,d129_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_17,1,'a0=0_1375<x<=+inf').
atm_h(d13,d13_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d13,d13_34,8,'a0=0_1375<x<=+inf').
atm_h(d13,d13_35,8,'a0=0_1375<x<=+inf').
atm_h(d13,d13_7,3,'a0=0_0615<x<=0_1375').
atm_h(d13,d13_8,3,'a0=0_0615<x<=0_1375').
atm_h(d13,d13_9,3,'a0=0_0615<x<=0_1375').
atm_h(d130,d130_10,3,'a0=0_1375<x<=+inf').
atm_h(d130,d130_14,3,'a0=0_0615<x<=0_1375').
atm_h(d130,d130_7,3,'a0=0_1375<x<=+inf').
atm_h(d130,d130_8,3,'a0=0_1375<x<=+inf').
atm_h(d130,d130_9,3,'a0=0_1375<x<=+inf').
atm_h(d131,d131_11,3,'a0=0_0615<x<=0_1375').
atm_h(d131,d131_12,3,'a0=0_0615<x<=0_1375').
atm_h(d131,d131_13,3,'a0=0_0615<x<=0_1375').
atm_h(d132,d132_10,3,'a0=0_0615<x<=0_1375').
atm_h(d132,d132_17,3,'a0=0_0615<x<=0_1375').
atm_h(d132,d132_18,3,'a0=0_0615<x<=0_1375').
atm_h(d132,d132_19,3,'a0=0_0615<x<=0_1375').
atm_h(d132,d132_20,3,'a0=0_0615<x<=0_1375').
atm_h(d132,d132_23,3,'a0=0_0615<x<=0_1375').
atm_h(d132,d132_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d132,d132_7,3,'a0=0_0615<x<=0_1375').
atm_h(d132,d132_8,3,'a0=0_0615<x<=0_1375').
atm_h(d132,d132_9,3,'a0=0_0615<x<=0_1375').
atm_h(d133,d133_13,8,'a0=0_1375<x<=+inf').
atm_h(d133,d133_7,3,'a0=0_1375<x<=+inf').
atm_h(d133,d133_8,3,'a0=0_1375<x<=+inf').
atm_h(d133,d133_9,3,'a0=0_1375<x<=+inf').
atm_h(d134,d134_10,3,'a0=0_0615<x<=0_1375').
atm_h(d134,d134_11,3,'a0=0_0615<x<=0_1375').
atm_h(d134,d134_12,3,'a0=0_0615<x<=0_1375').
atm_h(d134,d134_7,3,'a0=0_0615<x<=0_1375').
atm_h(d134,d134_8,3,'a0=0_0615<x<=0_1375').
atm_h(d134,d134_9,3,'a0=0_0615<x<=0_1375').
atm_h(d135,d135_10,3,'a0=0_1375<x<=+inf').
atm_h(d135,d135_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_36,3,'a0=0_0615<x<=0_1375').
atm_h(d135,d135_37,3,'a0=0_0615<x<=0_1375').
atm_h(d135,d135_38,3,'a0=_0_1355<x<=_0_0175').
atm_h(d135,d135_43,3,'a0=0_0615<x<=0_1375').
atm_h(d135,d135_44,3,'a0=0_0615<x<=0_1375').
atm_h(d135,d135_46,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_48,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_50,3,'a0=_0_1355<x<=_0_0175').
atm_h(d135,d135_52,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_53,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_55,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_56,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_58,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_59,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_60,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_61,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_62,3,'a0=_0_0175<x<=0_0615').
atm_h(d135,d135_7,3,'a0=0_1375<x<=+inf').
atm_h(d135,d135_8,3,'a0=0_1375<x<=+inf').
atm_h(d135,d135_9,3,'a0=0_1375<x<=+inf').
atm_h(d136,d136_10,3,'a0=0_0615<x<=0_1375').
atm_h(d136,d136_11,3,'a0=0_0615<x<=0_1375').
atm_h(d136,d136_16,3,'a0=0_0615<x<=0_1375').
atm_h(d136,d136_17,3,'a0=0_0615<x<=0_1375').
atm_h(d136,d136_20,1,'a0=0_1375<x<=+inf').
atm_h(d136,d136_21,1,'a0=0_1375<x<=+inf').
atm_h(d136,d136_22,1,'a0=0_1375<x<=+inf').
atm_h(d136,d136_4,3,'a0=0_0615<x<=0_1375').
atm_h(d136,d136_5,3,'a0=0_0615<x<=0_1375').
atm_h(d137,d137_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_39,3,'a0=_0_1355<x<=_0_0175').
atm_h(d137,d137_40,3,'a0=_0_1355<x<=_0_0175').
atm_h(d137,d137_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_42,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_44,3,'a0=0_0615<x<=0_1375').
atm_h(d137,d137_47,3,'a0=0_0615<x<=0_1375').
atm_h(d137,d137_48,3,'a0=0_0615<x<=0_1375').
atm_h(d137,d137_49,3,'a0=0_0615<x<=0_1375').
atm_h(d137,d137_52,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_54,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_55,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_56,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_58,3,'a0=0_1375<x<=+inf').
atm_h(d137,d137_66,3,'a0=0_0615<x<=0_1375').
atm_h(d137,d137_67,3,'a0=0_0615<x<=0_1375').
atm_h(d137,d137_7,3,'a0=0_0615<x<=0_1375').
atm_h(d137,d137_71,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_72,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_73,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_76,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_77,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_78,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_8,3,'a0=0_0615<x<=0_1375').
atm_h(d137,d137_81,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_82,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_83,3,'a0=_0_0175<x<=0_0615').
atm_h(d137,d137_84,1,'a0=0_1375<x<=+inf').
atm_h(d137,d137_9,3,'a0=0_0615<x<=0_1375').
atm_h(d138,d138_10,3,'a0=0_0615<x<=0_1375').
atm_h(d138,d138_13,8,'a0=0_1375<x<=+inf').
atm_h(d138,d138_14,8,'a0=0_1375<x<=+inf').
atm_h(d138,d138_7,3,'a0=0_0615<x<=0_1375').
atm_h(d138,d138_8,3,'a0=0_0615<x<=0_1375').
atm_h(d138,d138_9,3,'a0=0_0615<x<=0_1375').
atm_h(d139,d139_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_32,1,'a0=0_1375<x<=+inf').
atm_h(d139,d139_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_36,1,'a0=0_1375<x<=+inf').
atm_h(d139,d139_37,1,'a0=0_1375<x<=+inf').
atm_h(d139,d139_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d139,d139_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d14,d14_10,3,'a0=0_0615<x<=0_1375').
atm_h(d14,d14_11,3,'a0=0_0615<x<=0_1375').
atm_h(d14,d14_20,3,'a0=0_0615<x<=0_1375').
atm_h(d14,d14_21,3,'a0=0_0615<x<=0_1375').
atm_h(d14,d14_22,3,'a0=0_0615<x<=0_1375').
atm_h(d14,d14_23,3,'a0=0_0615<x<=0_1375').
atm_h(d14,d14_24,3,'a0=0_0615<x<=0_1375').
atm_h(d14,d14_25,1,'a0=0_1375<x<=+inf').
atm_h(d14,d14_26,1,'a0=0_1375<x<=+inf').
atm_h(d14,d14_7,3,'a0=0_0615<x<=0_1375').
atm_h(d14,d14_8,3,'a0=0_0615<x<=0_1375').
atm_h(d14,d14_9,3,'a0=0_0615<x<=0_1375').
atm_h(d140,d140_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d140,d140_37,3,'a0=0_1375<x<=+inf').
atm_h(d140,d140_41,8,'a0=0_1375<x<=+inf').
atm_h(d140,d140_42,8,'a0=0_1375<x<=+inf').
atm_h(d140,d140_44,3,'a0=0_0615<x<=0_1375').
atm_h(d140,d140_45,3,'a0=0_0615<x<=0_1375').
atm_h(d140,d140_7,3,'a0=0_0615<x<=0_1375').
atm_h(d140,d140_8,3,'a0=0_0615<x<=0_1375').
atm_h(d141,d141_10,3,'a0=0_0615<x<=0_1375').
atm_h(d141,d141_11,3,'a0=0_0615<x<=0_1375').
atm_h(d141,d141_14,3,'a0=0_0615<x<=0_1375').
atm_h(d141,d141_15,3,'a0=0_0615<x<=0_1375').
atm_h(d141,d141_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d141,d141_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d141,d141_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d141,d141_7,3,'a0=0_0615<x<=0_1375').
atm_h(d141,d141_8,3,'a0=0_0615<x<=0_1375').
atm_h(d141,d141_9,3,'a0=0_0615<x<=0_1375').
atm_h(d142,d142_10,3,'a0=0_1375<x<=+inf').
atm_h(d142,d142_15,1,'a0=0_1375<x<=+inf').
atm_h(d142,d142_7,3,'a0=0_1375<x<=+inf').
atm_h(d142,d142_8,3,'a0=0_1375<x<=+inf').
atm_h(d142,d142_9,3,'a0=0_1375<x<=+inf').
atm_h(d143,d143_11,3,'a0=0_0615<x<=0_1375').
atm_h(d143,d143_12,3,'a0=0_0615<x<=0_1375').
atm_h(d143,d143_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d143,d143_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d143,d143_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d143,d143_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d143,d143_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d143,d143_24,1,'a0=0_1375<x<=+inf').
atm_h(d143,d143_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d143,d143_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d143,d143_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d143,d143_29,3,'a0=0_0615<x<=0_1375').
atm_h(d144,d144_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_15,3,'a0=_0_1355<x<=_0_0175').
atm_h(d144,d144_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_36,3,'a0=0_0615<x<=0_1375').
atm_h(d144,d144_37,3,'a0=0_0615<x<=0_1375').
atm_h(d144,d144_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_42,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_44,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_46,3,'a0=_0_1355<x<=_0_0175').
atm_h(d144,d144_48,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_49,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_5,3,'a0=0_0615<x<=0_1375').
atm_h(d144,d144_51,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_52,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_54,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_55,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_56,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_57,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_58,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_6,3,'a0=0_0615<x<=0_1375').
atm_h(d144,d144_60,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_61,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_63,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_64,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_65,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_66,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_67,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_68,3,'a0=_0_0175<x<=0_0615').
atm_h(d144,d144_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d145,d145_10,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d145,d145_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d145,d145_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d145,d145_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d145,d145_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d145,d145_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d145,d145_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d145,d145_29,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_30,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_32,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_33,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_39,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_40,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_41,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_42,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_43,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_7,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_8,3,'a0=0_0615<x<=0_1375').
atm_h(d145,d145_9,3,'a0=0_0615<x<=0_1375').
atm_h(d146,d146_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_44,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_46,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_48,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_49,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_50,3,'a0=_0_0175<x<=0_0615').
atm_h(d146,d146_7,3,'a0=0_0615<x<=0_1375').
atm_h(d146,d146_8,3,'a0=0_0615<x<=0_1375').
atm_h(d146,d146_9,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_10,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_11,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d147,d147_15,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_16,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_17,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_18,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_19,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_21,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_22,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_24,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_25,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_26,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_27,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_28,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_34,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_35,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d147,d147_40,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_41,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_42,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_43,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_44,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_46,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_47,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_49,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_50,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_52,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_53,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_54,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_55,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_56,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_58,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_59,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_6,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_62,3,'a0=_0_0175<x<=0_0615').
atm_h(d147,d147_64,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_65,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_66,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_67,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_68,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_7,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_70,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_71,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_73,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_74,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_76,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_77,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_78,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_79,3,'a0=0_0615<x<=0_1375').
atm_h(d147,d147_80,3,'a0=0_0615<x<=0_1375').
atm_h(d148,d148_10,3,'a0=0_1375<x<=+inf').
atm_h(d148,d148_11,3,'a0=0_1375<x<=+inf').
atm_h(d148,d148_14,3,'a0=0_0615<x<=0_1375').
atm_h(d148,d148_15,3,'a0=0_0615<x<=0_1375').
atm_h(d148,d148_16,3,'a0=0_0615<x<=0_1375').
atm_h(d148,d148_18,3,'a0=0_0615<x<=0_1375').
atm_h(d148,d148_19,8,'a0=0_1375<x<=+inf').
atm_h(d148,d148_7,3,'a0=0_1375<x<=+inf').
atm_h(d148,d148_8,3,'a0=0_1375<x<=+inf').
atm_h(d148,d148_9,3,'a0=0_1375<x<=+inf').
atm_h(d149,d149_10,3,'a0=0_0615<x<=0_1375').
atm_h(d149,d149_19,3,'a0=0_0615<x<=0_1375').
atm_h(d149,d149_20,3,'a0=0_0615<x<=0_1375').
atm_h(d149,d149_21,3,'a0=0_0615<x<=0_1375').
atm_h(d149,d149_22,3,'a0=0_0615<x<=0_1375').
atm_h(d149,d149_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d149,d149_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d149,d149_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d149,d149_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d149,d149_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d149,d149_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d149,d149_32,8,'a0=0_1375<x<=+inf').
atm_h(d149,d149_33,8,'a0=0_1375<x<=+inf').
atm_h(d149,d149_7,3,'a0=0_0615<x<=0_1375').
atm_h(d149,d149_8,3,'a0=0_0615<x<=0_1375').
atm_h(d149,d149_9,3,'a0=0_0615<x<=0_1375').
atm_h(d15,d15_10,3,'a0=0_0615<x<=0_1375').
atm_h(d15,d15_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d15,d15_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d15,d15_20,3,'a0=0_0615<x<=0_1375').
atm_h(d15,d15_21,3,'a0=0_0615<x<=0_1375').
atm_h(d15,d15_22,3,'a0=0_0615<x<=0_1375').
atm_h(d15,d15_23,3,'a0=0_0615<x<=0_1375').
atm_h(d15,d15_26,1,'a0=0_1375<x<=+inf').
atm_h(d15,d15_27,1,'a0=0_1375<x<=+inf').
atm_h(d15,d15_28,1,'a0=0_1375<x<=+inf').
atm_h(d15,d15_29,1,'a0=0_1375<x<=+inf').
atm_h(d15,d15_7,3,'a0=0_0615<x<=0_1375').
atm_h(d15,d15_8,3,'a0=0_0615<x<=0_1375').
atm_h(d15,d15_9,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_10,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_14,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_15,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_16,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_20,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_21,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_22,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_7,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_8,3,'a0=0_0615<x<=0_1375').
atm_h(d150,d150_9,3,'a0=0_0615<x<=0_1375').
atm_h(d151,d151_16,8,'a0=0_1375<x<=+inf').
atm_h(d151,d151_17,8,'a0=0_1375<x<=+inf').
atm_h(d151,d151_18,8,'a0=0_1375<x<=+inf').
atm_h(d151,d151_20,3,'a0=0_0615<x<=0_1375').
atm_h(d151,d151_21,3,'a0=0_0615<x<=0_1375').
atm_h(d151,d151_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d151,d151_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d151,d151_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d151,d151_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d151,d151_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d151,d151_7,3,'a0=0_0615<x<=0_1375').
atm_h(d151,d151_8,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_10,3,'a0=0_1375<x<=+inf').
atm_h(d152,d152_11,3,'a0=0_1375<x<=+inf').
atm_h(d152,d152_15,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_22,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_25,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_29,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_33,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_34,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_35,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_37,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_38,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_39,3,'a0=0_0615<x<=0_1375').
atm_h(d152,d152_40,1,'a0=0_1375<x<=+inf').
atm_h(d152,d152_41,1,'a0=0_1375<x<=+inf').
atm_h(d152,d152_42,1,'a0=0_1375<x<=+inf').
atm_h(d152,d152_43,1,'a0=0_1375<x<=+inf').
atm_h(d152,d152_7,3,'a0=0_1375<x<=+inf').
atm_h(d152,d152_8,3,'a0=0_1375<x<=+inf').
atm_h(d152,d152_9,3,'a0=0_1375<x<=+inf').
atm_h(d153,d153_11,8,'a0=0_1375<x<=+inf').
atm_h(d153,d153_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_26,8,'a0=0_1375<x<=+inf').
atm_h(d153,d153_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d153,d153_7,3,'a0=0_0615<x<=0_1375').
atm_h(d153,d153_8,3,'a0=0_0615<x<=0_1375').
atm_h(d153,d153_9,3,'a0=0_0615<x<=0_1375').
atm_h(d154,d154_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d154,d154_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d154,d154_14,8,'a0=0_1375<x<=+inf').
atm_h(d154,d154_15,3,'a0=0_1375<x<=+inf').
atm_h(d154,d154_17,8,'a0=0_1375<x<=+inf').
atm_h(d154,d154_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d154,d154_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d154,d154_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d154,d154_23,1,'a0=0_1375<x<=+inf').
atm_h(d154,d154_24,1,'a0=0_1375<x<=+inf').
atm_h(d154,d154_28,1,'a0=0_1375<x<=+inf').
atm_h(d154,d154_7,3,'a0=0_1375<x<=+inf').
atm_h(d154,d154_8,3,'a0=0_1375<x<=+inf').
atm_h(d155,d155_18,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_23,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d155,d155_27,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_28,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_29,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_31,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_33,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_35,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_36,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_37,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_39,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_40,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_41,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_45,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_46,3,'a0=0_0615<x<=0_1375').
atm_h(d155,d155_52,8,'a0=0_1375<x<=+inf').
atm_h(d155,d155_53,8,'a0=0_1375<x<=+inf').
atm_h(d155,d155_54,8,'a0=0_1375<x<=+inf').
atm_h(d155,d155_55,8,'a0=0_1375<x<=+inf').
atm_h(d155,d155_56,1,'a0=0_1375<x<=+inf').
atm_h(d155,d155_57,1,'a0=0_1375<x<=+inf').
atm_h(d155,d155_58,8,'a0=0_1375<x<=+inf').
atm_h(d155,d155_7,3,'a0=0_1375<x<=+inf').
atm_h(d155,d155_8,3,'a0=0_1375<x<=+inf').
atm_h(d155,d155_9,3,'a0=0_1375<x<=+inf').
atm_h(d156,d156_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_15,3,'a0=0_0615<x<=0_1375').
atm_h(d156,d156_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_25,3,'a0=0_0615<x<=0_1375').
atm_h(d156,d156_26,3,'a0=0_0615<x<=0_1375').
atm_h(d156,d156_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_34,3,'a0=0_0615<x<=0_1375').
atm_h(d156,d156_35,3,'a0=0_0615<x<=0_1375').
atm_h(d156,d156_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_42,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_44,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_48,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_49,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_51,3,'a0=_0_0175<x<=0_0615').
atm_h(d156,d156_7,3,'a0=0_0615<x<=0_1375').
atm_h(d156,d156_8,3,'a0=0_0615<x<=0_1375').
atm_h(d157,d157_10,3,'a0=0_1375<x<=+inf').
atm_h(d157,d157_11,3,'a0=0_1375<x<=+inf').
atm_h(d157,d157_18,3,'a0=0_1375<x<=+inf').
atm_h(d157,d157_19,3,'a0=0_1375<x<=+inf').
atm_h(d157,d157_20,3,'a0=0_1375<x<=+inf').
atm_h(d157,d157_21,3,'a0=0_1375<x<=+inf').
atm_h(d157,d157_22,3,'a0=0_1375<x<=+inf').
atm_h(d157,d157_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d157,d157_28,3,'a0=0_0615<x<=0_1375').
atm_h(d157,d157_29,3,'a0=0_0615<x<=0_1375').
atm_h(d157,d157_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d157,d157_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d157,d157_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d157,d157_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d157,d157_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d157,d157_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d157,d157_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d157,d157_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d157,d157_7,3,'a0=0_1375<x<=+inf').
atm_h(d157,d157_8,3,'a0=0_1375<x<=+inf').
atm_h(d157,d157_9,3,'a0=0_1375<x<=+inf').
atm_h(d159,d159_10,3,'a0=0_1375<x<=+inf').
atm_h(d159,d159_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_26,3,'a0=0_0615<x<=0_1375').
atm_h(d159,d159_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d159,d159_37,1,'a0=0_1375<x<=+inf').
atm_h(d159,d159_42,1,'a0=0_1375<x<=+inf').
atm_h(d159,d159_7,3,'a0=0_1375<x<=+inf').
atm_h(d159,d159_8,3,'a0=0_1375<x<=+inf').
atm_h(d159,d159_9,3,'a0=0_1375<x<=+inf').
atm_h(d16,d16_10,3,'a0=0_0615<x<=0_1375').
atm_h(d16,d16_19,3,'a0=0_0615<x<=0_1375').
atm_h(d16,d16_20,3,'a0=0_0615<x<=0_1375').
atm_h(d16,d16_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d16,d16_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d16,d16_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d16,d16_7,3,'a0=0_0615<x<=0_1375').
atm_h(d16,d16_8,3,'a0=0_0615<x<=0_1375').
atm_h(d16,d16_9,3,'a0=0_0615<x<=0_1375').
atm_h(d160,d160_12,3,'a0=0_0615<x<=0_1375').
atm_h(d160,d160_14,3,'a0=0_0615<x<=0_1375').
atm_h(d160,d160_15,3,'a0=0_0615<x<=0_1375').
atm_h(d160,d160_17,8,'a0=0_1375<x<=+inf').
atm_h(d160,d160_18,8,'a0=0_1375<x<=+inf').
atm_h(d160,d160_19,8,'a0=0_1375<x<=+inf').
atm_h(d160,d160_20,8,'a0=0_1375<x<=+inf').
atm_h(d160,d160_9,3,'a0=0_0615<x<=0_1375').
atm_h(d161,d161_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d161,d161_40,8,'a0=0_1375<x<=+inf').
atm_h(d161,d161_7,3,'a0=0_0615<x<=0_1375').
atm_h(d161,d161_8,3,'a0=0_0615<x<=0_1375').
atm_h(d162,d162_10,3,'a0=0_0615<x<=0_1375').
atm_h(d162,d162_17,3,'a0=0_0615<x<=0_1375').
atm_h(d162,d162_18,3,'a0=0_0615<x<=0_1375').
atm_h(d162,d162_19,3,'a0=0_0615<x<=0_1375').
atm_h(d162,d162_20,3,'a0=0_0615<x<=0_1375').
atm_h(d162,d162_7,3,'a0=0_0615<x<=0_1375').
atm_h(d162,d162_8,3,'a0=0_0615<x<=0_1375').
atm_h(d162,d162_9,3,'a0=0_0615<x<=0_1375').
atm_h(d163,d163_15,3,'a0=_0_1355<x<=_0_0175').
atm_h(d163,d163_16,3,'a0=_0_1355<x<=_0_0175').
atm_h(d163,d163_4,3,'a0=_0_1355<x<=_0_0175').
atm_h(d163,d163_5,3,'a0=_0_1355<x<=_0_0175').
atm_h(d164,d164_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d164,d164_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d164,d164_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d164,d164_17,3,'a0=0_0615<x<=0_1375').
atm_h(d164,d164_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d164,d164_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d164,d164_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d164,d164_23,3,'a0=0_0615<x<=0_1375').
atm_h(d164,d164_27,3,'a0=0_0615<x<=0_1375').
atm_h(d164,d164_30,3,'a0=0_0615<x<=0_1375').
atm_h(d164,d164_31,3,'a0=0_0615<x<=0_1375').
atm_h(d164,d164_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d164,d164_34,8,'a0=0_1375<x<=+inf').
atm_h(d164,d164_35,8,'a0=0_1375<x<=+inf').
atm_h(d164,d164_36,8,'a0=0_1375<x<=+inf').
atm_h(d164,d164_37,8,'a0=0_1375<x<=+inf').
atm_h(d164,d164_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d164,d164_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d164,d164_41,8,'a0=0_1375<x<=+inf').
atm_h(d164,d164_42,3,'a0=0_0615<x<=0_1375').
atm_h(d164,d164_43,3,'a0=0_0615<x<=0_1375').
atm_h(d164,d164_44,3,'a0=0_0615<x<=0_1375').
atm_h(d165,d165_10,3,'a0=0_1375<x<=+inf').
atm_h(d165,d165_11,3,'a0=0_1375<x<=+inf').
atm_h(d165,d165_20,3,'a0=0_1375<x<=+inf').
atm_h(d165,d165_21,3,'a0=0_1375<x<=+inf').
atm_h(d165,d165_22,3,'a0=0_1375<x<=+inf').
atm_h(d165,d165_23,3,'a0=0_1375<x<=+inf').
atm_h(d165,d165_24,3,'a0=0_1375<x<=+inf').
atm_h(d165,d165_26,3,'a0=0_0615<x<=0_1375').
atm_h(d165,d165_28,8,'a0=0_1375<x<=+inf').
atm_h(d165,d165_7,3,'a0=0_1375<x<=+inf').
atm_h(d165,d165_8,3,'a0=0_1375<x<=+inf').
atm_h(d165,d165_9,3,'a0=0_1375<x<=+inf').
atm_h(d166,d166_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d166,d166_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d166,d166_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d166,d166_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d166,d166_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d166,d166_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d166,d166_19,1,'a0=0_1375<x<=+inf').
atm_h(d166,d166_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d166,d166_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d166,d166_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d166,d166_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d167,d167_10,3,'a0=0_0615<x<=0_1375').
atm_h(d167,d167_11,3,'a0=0_0615<x<=0_1375').
atm_h(d167,d167_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d167,d167_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d167,d167_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d167,d167_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d167,d167_21,3,'a0=0_0615<x<=0_1375').
atm_h(d167,d167_23,8,'a0=0_1375<x<=+inf').
atm_h(d167,d167_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d167,d167_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d167,d167_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d167,d167_27,1,'a0=0_1375<x<=+inf').
atm_h(d167,d167_7,3,'a0=0_0615<x<=0_1375').
atm_h(d167,d167_8,3,'a0=0_0615<x<=0_1375').
atm_h(d167,d167_9,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_10,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_11,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_12,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d168,d168_15,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_16,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_17,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_19,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d168,d168_23,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_24,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_25,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d168,d168_28,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_29,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_30,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_31,8,'a0=0_1375<x<=+inf').
atm_h(d168,d168_7,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_8,3,'a0=0_0615<x<=0_1375').
atm_h(d168,d168_9,3,'a0=0_0615<x<=0_1375').
atm_h(d169,d169_10,3,'a0=0_0615<x<=0_1375').
atm_h(d169,d169_11,3,'a0=0_0615<x<=0_1375').
atm_h(d169,d169_13,8,'a0=0_1375<x<=+inf').
atm_h(d169,d169_7,3,'a0=0_0615<x<=0_1375').
atm_h(d169,d169_8,3,'a0=0_0615<x<=0_1375').
atm_h(d169,d169_9,3,'a0=0_0615<x<=0_1375').
atm_h(d17,d17_14,3,'a0=0_1375<x<=+inf').
atm_h(d17,d17_15,3,'a0=0_1375<x<=+inf').
atm_h(d17,d17_16,3,'a0=0_1375<x<=+inf').
atm_h(d17,d17_19,1,'a0=0_1375<x<=+inf').
atm_h(d17,d17_20,1,'a0=0_1375<x<=+inf').
atm_h(d17,d17_21,1,'a0=0_1375<x<=+inf').
atm_h(d17,d17_22,1,'a0=0_1375<x<=+inf').
atm_h(d17,d17_7,3,'a0=0_1375<x<=+inf').
atm_h(d17,d17_8,3,'a0=0_1375<x<=+inf').
atm_h(d17,d17_9,3,'a0=0_1375<x<=+inf').
atm_h(d170,d170_10,3,'a0=0_1375<x<=+inf').
atm_h(d170,d170_7,3,'a0=0_1375<x<=+inf').
atm_h(d170,d170_8,3,'a0=0_1375<x<=+inf').
atm_h(d170,d170_9,3,'a0=0_1375<x<=+inf').
atm_h(d171,d171_10,3,'a0=0_1375<x<=+inf').
atm_h(d171,d171_12,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_13,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_14,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_21,1,'a0=0_1375<x<=+inf').
atm_h(d171,d171_30,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_31,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_32,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_33,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_34,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_35,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_36,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_37,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_38,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_39,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_40,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_41,3,'a0=0_0615<x<=0_1375').
atm_h(d171,d171_42,1,'a0=0_1375<x<=+inf').
atm_h(d171,d171_7,3,'a0=0_1375<x<=+inf').
atm_h(d171,d171_8,3,'a0=0_1375<x<=+inf').
atm_h(d171,d171_9,3,'a0=0_1375<x<=+inf').
atm_h(d172,d172_11,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_12,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_13,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_14,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_15,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_21,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_22,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_23,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_24,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_25,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_31,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_32,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_33,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_34,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_35,3,'a0=0_0615<x<=0_1375').
atm_h(d172,d172_36,1,'a0=0_1375<x<=+inf').
atm_h(d173,d173_10,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_11,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_12,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d173,d173_18,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_19,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_20,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_21,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d173,d173_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d173,d173_28,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_29,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_30,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_31,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_35,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_36,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_37,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_38,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d173,d173_41,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_43,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_44,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_45,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_47,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_48,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_49,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_51,3,'a0=_0_0175<x<=0_0615').
atm_h(d173,d173_53,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_54,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_55,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_57,3,'a0=_0_0175<x<=0_0615').
atm_h(d173,d173_59,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_60,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_62,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_63,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_66,8,'a0=0_1375<x<=+inf').
atm_h(d173,d173_67,1,'a0=0_1375<x<=+inf').
atm_h(d173,d173_7,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_8,3,'a0=0_0615<x<=0_1375').
atm_h(d173,d173_9,3,'a0=0_0615<x<=0_1375').
atm_h(d174,d174_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d174,d174_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d174,d174_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d174,d174_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d174,d174_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d174,d174_21,8,'a0=0_1375<x<=+inf').
atm_h(d174,d174_22,8,'a0=0_1375<x<=+inf').
atm_h(d174,d174_23,8,'a0=0_1375<x<=+inf').
atm_h(d174,d174_24,8,'a0=0_1375<x<=+inf').
atm_h(d174,d174_25,8,'a0=0_1375<x<=+inf').
atm_h(d174,d174_26,8,'a0=0_1375<x<=+inf').
atm_h(d174,d174_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d174,d174_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d174,d174_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d175,d175_10,3,'a0=0_0615<x<=0_1375').
atm_h(d175,d175_11,3,'a0=0_0615<x<=0_1375').
atm_h(d175,d175_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d175,d175_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d175,d175_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d175,d175_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d175,d175_25,1,'a0=0_1375<x<=+inf').
atm_h(d175,d175_26,1,'a0=0_1375<x<=+inf').
atm_h(d175,d175_27,1,'a0=0_1375<x<=+inf').
atm_h(d175,d175_28,1,'a0=0_1375<x<=+inf').
atm_h(d175,d175_29,2,'a0=0_1375<x<=+inf').
atm_h(d175,d175_30,2,'a0=0_1375<x<=+inf').
atm_h(d175,d175_7,3,'a0=0_0615<x<=0_1375').
atm_h(d175,d175_8,3,'a0=0_0615<x<=0_1375').
atm_h(d175,d175_9,3,'a0=0_0615<x<=0_1375').
atm_h(d176,d176_10,3,'a0=0_0615<x<=0_1375').
atm_h(d176,d176_17,1,'a0=0_1375<x<=+inf').
atm_h(d176,d176_18,1,'a0=0_1375<x<=+inf').
atm_h(d176,d176_19,1,'a0=0_1375<x<=+inf').
atm_h(d176,d176_20,1,'a0=0_1375<x<=+inf').
atm_h(d176,d176_7,3,'a0=0_0615<x<=0_1375').
atm_h(d176,d176_8,3,'a0=0_0615<x<=0_1375').
atm_h(d176,d176_9,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_30,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_31,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_33,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_34,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_37,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_38,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_40,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_41,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_44,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_45,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_48,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_50,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_51,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_52,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_53,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_54,3,'a0=_0_0175<x<=0_0615').
atm_h(d177,d177_7,3,'a0=0_0615<x<=0_1375').
atm_h(d177,d177_8,3,'a0=0_0615<x<=0_1375').
atm_h(d179,d179_10,3,'a0=0_1375<x<=+inf').
atm_h(d179,d179_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d179,d179_35,1,'a0=0_1375<x<=+inf').
atm_h(d179,d179_36,1,'a0=0_1375<x<=+inf').
atm_h(d179,d179_7,3,'a0=0_1375<x<=+inf').
atm_h(d179,d179_8,3,'a0=0_1375<x<=+inf').
atm_h(d179,d179_9,3,'a0=0_1375<x<=+inf').
atm_h(d18,d18_14,1,'a0=0_1375<x<=+inf').
atm_h(d18,d18_15,1,'a0=0_1375<x<=+inf').
atm_h(d18,d18_16,3,'a0=0_0615<x<=0_1375').
atm_h(d18,d18_17,3,'a0=0_0615<x<=0_1375').
atm_h(d18,d18_18,3,'a0=0_0615<x<=0_1375').
atm_h(d18,d18_19,3,'a0=0_0615<x<=0_1375').
atm_h(d18,d18_20,3,'a0=0_0615<x<=0_1375').
atm_h(d18,d18_22,3,'a0=0_0615<x<=0_1375').
atm_h(d180,d180_10,3,'a0=0_1375<x<=+inf').
atm_h(d180,d180_11,3,'a0=0_1375<x<=+inf').
atm_h(d180,d180_12,3,'a0=0_0615<x<=0_1375').
atm_h(d180,d180_13,3,'a0=0_1375<x<=+inf').
atm_h(d180,d180_14,1,'a0=0_1375<x<=+inf').
atm_h(d180,d180_21,1,'a0=0_1375<x<=+inf').
atm_h(d180,d180_22,1,'a0=0_1375<x<=+inf').
atm_h(d180,d180_23,1,'a0=0_1375<x<=+inf').
atm_h(d180,d180_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d180,d180_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d180,d180_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d180,d180_27,3,'a0=0_0615<x<=0_1375').
atm_h(d181,d181_10,3,'a0=0_1375<x<=+inf').
atm_h(d181,d181_11,3,'a0=0_1375<x<=+inf').
atm_h(d181,d181_14,3,'a0=0_0615<x<=0_1375').
atm_h(d181,d181_15,3,'a0=0_0615<x<=0_1375').
atm_h(d181,d181_16,8,'a0=0_1375<x<=+inf').
atm_h(d181,d181_7,3,'a0=0_1375<x<=+inf').
atm_h(d181,d181_8,3,'a0=0_1375<x<=+inf').
atm_h(d181,d181_9,3,'a0=0_1375<x<=+inf').
atm_h(d182,d182_10,3,'a0=0_0615<x<=0_1375').
atm_h(d182,d182_11,3,'a0=0_0615<x<=0_1375').
atm_h(d182,d182_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_20,1,'a0=0_1375<x<=+inf').
atm_h(d182,d182_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_42,3,'a0=_0_0175<x<=0_0615').
atm_h(d182,d182_7,3,'a0=0_0615<x<=0_1375').
atm_h(d182,d182_8,3,'a0=0_0615<x<=0_1375').
atm_h(d182,d182_9,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_13,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_14,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_19,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_20,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_21,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_27,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_28,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_29,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_31,8,'a0=0_1375<x<=+inf').
atm_h(d183,d183_33,8,'a0=0_1375<x<=+inf').
atm_h(d183,d183_37,8,'a0=0_1375<x<=+inf').
atm_h(d183,d183_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d183,d183_40,8,'a0=0_1375<x<=+inf').
atm_h(d183,d183_42,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_44,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_45,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_46,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_48,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_49,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_50,3,'a0=0_0615<x<=0_1375').
atm_h(d183,d183_54,1,'a0=0_1375<x<=+inf').
atm_h(d183,d183_55,1,'a0=0_1375<x<=+inf').
atm_h(d183,d183_57,8,'a0=0_1375<x<=+inf').
atm_h(d183,d183_7,3,'a0=0_1375<x<=+inf').
atm_h(d183,d183_8,3,'a0=0_1375<x<=+inf').
atm_h(d184,d184_10,3,'a0=0_0615<x<=0_1375').
atm_h(d184,d184_11,3,'a0=0_0615<x<=0_1375').
atm_h(d184,d184_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d184,d184_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d184,d184_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d184,d184_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d184,d184_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d184,d184_21,3,'a0=0_0615<x<=0_1375').
atm_h(d184,d184_22,1,'a0=0_1375<x<=+inf').
atm_h(d184,d184_23,1,'a0=0_1375<x<=+inf').
atm_h(d184,d184_7,3,'a0=0_0615<x<=0_1375').
atm_h(d184,d184_8,3,'a0=0_0615<x<=0_1375').
atm_h(d184,d184_9,3,'a0=0_0615<x<=0_1375').
atm_h(d185,d185_4,3,'a0=0_0615<x<=0_1375').
atm_h(d185,d185_5,3,'a0=0_0615<x<=0_1375').
atm_h(d185,d185_7,3,'a0=0_0615<x<=0_1375').
atm_h(d185,d185_8,3,'a0=0_0615<x<=0_1375').
atm_h(d186,d186a_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_100,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_102,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_103,8,'a0=0_1375<x<=+inf').
atm_h(d186,d186a_105,3,'a0=0_0615<x<=0_1375').
atm_h(d186,d186a_107,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_108,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_109,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_11,8,'a0=0_1375<x<=+inf').
atm_h(d186,d186a_111,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_112,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_113,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_115,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_116,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_117,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_119,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_120,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_121,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_122,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_15,3,'a0=0_1375<x<=+inf').
atm_h(d186,d186a_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_30,3,'a0=0_0615<x<=0_1375').
atm_h(d186,d186a_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_42,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_44,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_45,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_46,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_49,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_5,8,'a0=0_1375<x<=+inf').
atm_h(d186,d186a_50,8,'a0=0_1375<x<=+inf').
atm_h(d186,d186a_53,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_54,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_55,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_57,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_58,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_59,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_60,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_62,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_63,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_64,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_65,3,'a0=_0_1355<x<=_0_0175').
atm_h(d186,d186a_72,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_73,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_75,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_76,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_77,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_78,3,'a0=0_0615<x<=0_1375').
atm_h(d186,d186a_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_80,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_81,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_82,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_83,3,'a0=0_0615<x<=0_1375').
atm_h(d186,d186a_85,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_86,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_87,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_89,8,'a0=0_1375<x<=+inf').
atm_h(d186,d186a_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_90,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_98,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186a_99,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_44,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_46,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_49,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_50,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_52,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_53,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_56,1,'a0=0_1375<x<=+inf').
atm_h(d186,d186b_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d186,d186b_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d187,d187_10,3,'a0=0_1375<x<=+inf').
atm_h(d187,d187_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d187,d187_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d187,d187_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d187,d187_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d187,d187_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d187,d187_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d187,d187_23,8,'a0=0_1375<x<=+inf').
atm_h(d187,d187_24,1,'a0=0_1375<x<=+inf').
atm_h(d187,d187_25,8,'a0=0_1375<x<=+inf').
atm_h(d187,d187_7,3,'a0=0_1375<x<=+inf').
atm_h(d187,d187_8,3,'a0=0_1375<x<=+inf').
atm_h(d187,d187_9,3,'a0=0_1375<x<=+inf').
atm_h(d188,d188a_10,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188a_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188a_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188a_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188a_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188a_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188a_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188a_7,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188a_8,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188a_9,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188b_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188b_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188b_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188b_14,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188b_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188b_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188b_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188b_7,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188b_8,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188b_9,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188c_10,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188c_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188c_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188c_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188c_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188c_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188c_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188c_7,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188c_8,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188c_9,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188d_10,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188d_11,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188d_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188d_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188d_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188d_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188d_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d188,d188d_7,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188d_8,3,'a0=0_0615<x<=0_1375').
atm_h(d188,d188d_9,3,'a0=0_0615<x<=0_1375').
atm_h(d189,d189_10,3,'a0=0_1375<x<=+inf').
atm_h(d189,d189_11,3,'a0=0_1375<x<=+inf').
atm_h(d189,d189_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d189,d189_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d189,d189_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d189,d189_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d189,d189_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d189,d189_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d189,d189_23,8,'a0=0_1375<x<=+inf').
atm_h(d189,d189_24,1,'a0=0_1375<x<=+inf').
atm_h(d189,d189_7,3,'a0=0_1375<x<=+inf').
atm_h(d189,d189_8,3,'a0=0_1375<x<=+inf').
atm_h(d189,d189_9,3,'a0=0_1375<x<=+inf').
atm_h(d19,d19_14,3,'a0=0_0615<x<=0_1375').
atm_h(d19,d19_15,3,'a0=0_0615<x<=0_1375').
atm_h(d19,d19_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d19,d19_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d19,d19_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d19,d19_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d19,d19_7,3,'a0=0_0615<x<=0_1375').
atm_h(d19,d19_8,3,'a0=0_0615<x<=0_1375').
atm_h(d19,d19_9,3,'a0=0_0615<x<=0_1375').
atm_h(d190,d190_10,3,'a0=0_0615<x<=0_1375').
atm_h(d190,d190_11,3,'a0=0_0615<x<=0_1375').
atm_h(d190,d190_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d190,d190_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d190,d190_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d190,d190_7,3,'a0=0_0615<x<=0_1375').
atm_h(d190,d190_8,3,'a0=0_0615<x<=0_1375').
atm_h(d190,d190_9,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d191,d191_13,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_14,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_19,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_20,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_22,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_23,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_24,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_3,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_4,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_5,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_7,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_8,3,'a0=0_0615<x<=0_1375').
atm_h(d191,d191_9,3,'a0=0_0615<x<=0_1375').
atm_h(d192,d192_10,3,'a0=0_1375<x<=+inf').
atm_h(d192,d192_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d192,d192_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d192,d192_19,1,'a0=0_1375<x<=+inf').
atm_h(d192,d192_20,1,'a0=0_1375<x<=+inf').
atm_h(d192,d192_22,3,'a0=0_0615<x<=0_1375').
atm_h(d192,d192_24,3,'a0=0_0615<x<=0_1375').
atm_h(d192,d192_30,3,'a0=0_1375<x<=+inf').
atm_h(d192,d192_31,3,'a0=0_1375<x<=+inf').
atm_h(d192,d192_32,3,'a0=0_1375<x<=+inf').
atm_h(d192,d192_33,3,'a0=0_1375<x<=+inf').
atm_h(d192,d192_34,3,'a0=0_1375<x<=+inf').
atm_h(d192,d192_7,3,'a0=0_1375<x<=+inf').
atm_h(d192,d192_8,3,'a0=0_1375<x<=+inf').
atm_h(d192,d192_9,3,'a0=0_1375<x<=+inf').
atm_h(d193,d193_10,3,'a0=0_0615<x<=0_1375').
atm_h(d193,d193_11,3,'a0=0_0615<x<=0_1375').
atm_h(d193,d193_12,3,'a0=0_0615<x<=0_1375').
atm_h(d193,d193_13,3,'a0=0_0615<x<=0_1375').
atm_h(d193,d193_14,3,'a0=0_0615<x<=0_1375').
atm_h(d193,d193_7,3,'a0=0_0615<x<=0_1375').
atm_h(d193,d193_8,3,'a0=0_0615<x<=0_1375').
atm_h(d193,d193_9,3,'a0=0_0615<x<=0_1375').
atm_h(d195,d195_10,3,'a0=0_0615<x<=0_1375').
atm_h(d195,d195_11,3,'a0=0_0615<x<=0_1375').
atm_h(d195,d195_12,3,'a0=0_0615<x<=0_1375').
atm_h(d195,d195_13,3,'a0=0_0615<x<=0_1375').
atm_h(d195,d195_14,3,'a0=0_0615<x<=0_1375').
atm_h(d195,d195_15,3,'a0=0_0615<x<=0_1375').
atm_h(d196,d196_10,3,'a0=0_0615<x<=0_1375').
atm_h(d196,d196_11,3,'a0=0_0615<x<=0_1375').
atm_h(d196,d196_8,3,'a0=0_1375<x<=+inf').
atm_h(d196,d196_9,3,'a0=0_0615<x<=0_1375').
atm_h(d197,d197_10,3,'a0=0_1375<x<=+inf').
atm_h(d197,d197_11,3,'a0=0_1375<x<=+inf').
atm_h(d197,d197_18,3,'a0=0_1375<x<=+inf').
atm_h(d197,d197_19,3,'a0=0_1375<x<=+inf').
atm_h(d197,d197_20,3,'a0=0_1375<x<=+inf').
atm_h(d197,d197_21,3,'a0=0_1375<x<=+inf').
atm_h(d197,d197_22,3,'a0=0_1375<x<=+inf').
atm_h(d197,d197_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_42,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d197,d197_7,3,'a0=0_1375<x<=+inf').
atm_h(d197,d197_8,3,'a0=0_1375<x<=+inf').
atm_h(d197,d197_9,3,'a0=0_1375<x<=+inf').
atm_h(d198,d198_11,1,'a0=0_1375<x<=+inf').
atm_h(d198,d198_13,1,'a0=0_1375<x<=+inf').
atm_h(d198,d198_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d198,d198_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d198,d198_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d198,d198_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d198,d198_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d198,d198_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d198,d198_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d198,d198_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d198,d198_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d198,d198_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d199,d199_10,3,'a0=0_1375<x<=+inf').
atm_h(d199,d199_11,3,'a0=0_1375<x<=+inf').
atm_h(d199,d199_19,3,'a0=0_1375<x<=+inf').
atm_h(d199,d199_20,3,'a0=0_1375<x<=+inf').
atm_h(d199,d199_21,3,'a0=0_1375<x<=+inf').
atm_h(d199,d199_22,3,'a0=0_1375<x<=+inf').
atm_h(d199,d199_23,3,'a0=0_1375<x<=+inf').
atm_h(d199,d199_7,3,'a0=0_1375<x<=+inf').
atm_h(d199,d199_8,3,'a0=0_1375<x<=+inf').
atm_h(d199,d199_9,3,'a0=0_1375<x<=+inf').
atm_h(d2,d2_10,3,'a0=0_0615<x<=0_1375').
atm_h(d2,d2_18,3,'a0=0_0615<x<=0_1375').
atm_h(d2,d2_19,3,'a0=0_0615<x<=0_1375').
atm_h(d2,d2_20,3,'a0=0_0615<x<=0_1375').
atm_h(d2,d2_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d2,d2_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d2,d2_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d2,d2_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d2,d2_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d2,d2_29,1,'a0=0_1375<x<=+inf').
atm_h(d2,d2_30,1,'a0=0_1375<x<=+inf').
atm_h(d2,d2_7,3,'a0=0_0615<x<=0_1375').
atm_h(d2,d2_8,3,'a0=0_0615<x<=0_1375').
atm_h(d2,d2_9,3,'a0=0_0615<x<=0_1375').
atm_h(d20,d20_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d20,d20_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d20,d20_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d20,d20_19,1,'a0=0_1375<x<=+inf').
atm_h(d20,d20_20,1,'a0=0_1375<x<=+inf').
atm_h(d20,d20_7,3,'a0=0_0615<x<=0_1375').
atm_h(d20,d20_8,3,'a0=0_0615<x<=0_1375').
atm_h(d20,d20_9,3,'a0=0_0615<x<=0_1375').
atm_h(d200,d200_10,3,'a0=0_0615<x<=0_1375').
atm_h(d200,d200_11,3,'a0=0_0615<x<=0_1375').
atm_h(d200,d200_14,3,'a0=0_1375<x<=+inf').
atm_h(d200,d200_7,3,'a0=0_0615<x<=0_1375').
atm_h(d200,d200_8,3,'a0=0_0615<x<=0_1375').
atm_h(d200,d200_9,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_26,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_27,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_28,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_29,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_30,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_31,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_32,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_33,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_34,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_35,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_36,3,'a0=0_0615<x<=0_1375').
atm_h(d201,d201_37,3,'a0=0_0615<x<=0_1375').
atm_h(d202,d202_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_24,3,'a0=0_0615<x<=0_1375').
atm_h(d202,d202_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d202,d202_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d203,d203_10,1,'a0=0_1375<x<=+inf').
atm_h(d203,d203_11,1,'a0=0_1375<x<=+inf').
atm_h(d203,d203_12,1,'a0=0_1375<x<=+inf').
atm_h(d203,d203_13,1,'a0=0_1375<x<=+inf').
atm_h(d203,d203_14,1,'a0=0_1375<x<=+inf').
atm_h(d203,d203_15,1,'a0=0_1375<x<=+inf').
atm_h(d204,d204_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d204,d204_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d204,d204_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d204,d204_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d204,d204_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d204,d204_17,1,'a0=0_1375<x<=+inf').
atm_h(d204,d204_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d204,d204_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d204,d204_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d204,d204_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d205,d205_10,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_11,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_13,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_14,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_15,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_19,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_20,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_21,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_23,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_24,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_25,3,'a0=_0_1355<x<=_0_0175').
atm_h(d205,d205_9,3,'a0=_0_1355<x<=_0_0175').
atm_h(d206,d206_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d206,d206_24,3,'a0=0_0615<x<=0_1375').
atm_h(d206,d206_25,3,'a0=0_0615<x<=0_1375').
atm_h(d206,d206_26,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_10,3,'a0=0_1375<x<=+inf').
atm_h(d207,d207_15,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_16,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_19,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_20,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_21,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_26,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_27,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_30,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_31,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_32,3,'a0=0_0615<x<=0_1375').
atm_h(d207,d207_7,3,'a0=0_1375<x<=+inf').
atm_h(d207,d207_8,3,'a0=0_1375<x<=+inf').
atm_h(d207,d207_9,3,'a0=0_1375<x<=+inf').
atm_h(d208_1,d208_1_10,1,'a0=0_0615<x<=0_1375').
atm_h(d208_1,d208_1_11,1,'a0=0_0615<x<=0_1375').
atm_h(d208_1,d208_1_12,1,'a0=0_0615<x<=0_1375').
atm_h(d208_1,d208_1_13,1,'a0=0_0615<x<=0_1375').
atm_h(d208_1,d208_1_14,1,'a0=0_0615<x<=0_1375').
atm_h(d208_1,d208_1_9,1,'a0=0_0615<x<=0_1375').
atm_h(d208_2,d208_2_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_44,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_45,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_46,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_50,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_51,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_52,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_53,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_54,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_59,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_60,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_61,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_62,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_63,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_66,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_67,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_68,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_69,3,'a0=_0_0175<x<=0_0615').
atm_h(d208_2,d208_2_70,3,'a0=_0_0175<x<=0_0615').
atm_h(d209,d209_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d209,d209_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d209,d209_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d209,d209_16,8,'a0=0_1375<x<=+inf').
atm_h(d209,d209_20,3,'a0=0_0615<x<=0_1375').
atm_h(d209,d209_21,3,'a0=0_0615<x<=0_1375').
atm_h(d209,d209_22,3,'a0=0_0615<x<=0_1375').
atm_h(d209,d209_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d209,d209_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d209,d209_7,3,'a0=0_0615<x<=0_1375').
atm_h(d209,d209_8,3,'a0=0_0615<x<=0_1375').
atm_h(d209,d209_9,3,'a0=0_0615<x<=0_1375').
atm_h(d21,d21_10,3,'a0=0_1375<x<=+inf').
atm_h(d21,d21_17,3,'a0=0_1375<x<=+inf').
atm_h(d21,d21_18,3,'a0=0_1375<x<=+inf').
atm_h(d21,d21_19,3,'a0=0_1375<x<=+inf').
atm_h(d21,d21_7,3,'a0=0_1375<x<=+inf').
atm_h(d21,d21_8,3,'a0=0_1375<x<=+inf').
atm_h(d21,d21_9,3,'a0=0_1375<x<=+inf').
atm_h(d210,d210_10,3,'a0=0_0615<x<=0_1375').
atm_h(d210,d210_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d210,d210_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d210,d210_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d210,d210_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d210,d210_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d210,d210_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d210,d210_27,1,'a0=0_1375<x<=+inf').
atm_h(d210,d210_7,3,'a0=0_0615<x<=0_1375').
atm_h(d210,d210_8,3,'a0=0_0615<x<=0_1375').
atm_h(d210,d210_9,3,'a0=0_0615<x<=0_1375').
atm_h(d211,d211_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_26,1,'a0=0_1375<x<=+inf').
atm_h(d211,d211_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d211,d211_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d212,d212_13,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_14,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_15,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_16,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_30,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_35,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_36,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_37,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_38,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_40,8,'a0=0_1375<x<=+inf').
atm_h(d212,d212_7,3,'a0=0_0615<x<=0_1375').
atm_h(d212,d212_8,3,'a0=0_0615<x<=0_1375').
atm_h(d213,d213_10,3,'a0=0_1375<x<=+inf').
atm_h(d213,d213_13,1,'a0=0_1375<x<=+inf').
atm_h(d213,d213_14,1,'a0=0_1375<x<=+inf').
atm_h(d213,d213_17,1,'a0=0_1375<x<=+inf').
atm_h(d213,d213_7,3,'a0=0_1375<x<=+inf').
atm_h(d213,d213_8,3,'a0=0_1375<x<=+inf').
atm_h(d213,d213_9,3,'a0=0_1375<x<=+inf').
atm_h(d214,d214_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_18,3,'a0=0_0615<x<=0_1375').
atm_h(d214,d214_22,1,'a0=0_1375<x<=+inf').
atm_h(d214,d214_23,1,'a0=0_1375<x<=+inf').
atm_h(d214,d214_30,3,'a0=0_0615<x<=0_1375').
atm_h(d214,d214_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d214,d214_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d215,d215_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d215,d215_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d215,d215_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d215,d215_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d215,d215_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d215,d215_20,1,'a0=0_0615<x<=0_1375').
atm_h(d215,d215_21,1,'a0=0_0615<x<=0_1375').
atm_h(d215,d215_7,3,'a0=0_0615<x<=0_1375').
atm_h(d215,d215_8,3,'a0=0_0615<x<=0_1375').
atm_h(d215,d215_9,3,'a0=0_0615<x<=0_1375').
atm_h(d216,d216_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d216,d216_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d217,d217_10,3,'a0=0_0615<x<=0_1375').
atm_h(d217,d217_11,3,'a0=0_0615<x<=0_1375').
atm_h(d217,d217_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d217,d217_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d217,d217_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d217,d217_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d217,d217_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d217,d217_7,3,'a0=0_0615<x<=0_1375').
atm_h(d217,d217_8,3,'a0=0_0615<x<=0_1375').
atm_h(d217,d217_9,3,'a0=0_0615<x<=0_1375').
atm_h(d218,d218_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d218,d218_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d218,d218_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d218,d218_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d218,d218_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d218,d218_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d218,d218_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d218,d218_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d218,d218_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d218,d218_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d219,d219_11,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_12,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_13,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_14,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_15,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_25,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_26,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_27,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_28,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_29,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_3,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_32,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_33,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_34,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_35,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_36,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_4,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_5,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_7,3,'a0=0_0615<x<=0_1375').
atm_h(d219,d219_8,3,'a0=0_0615<x<=0_1375').
atm_h(d22,d22_10,3,'a0=0_1375<x<=+inf').
atm_h(d22,d22_11,3,'a0=0_1375<x<=+inf').
atm_h(d22,d22_18,3,'a0=0_1375<x<=+inf').
atm_h(d22,d22_19,3,'a0=0_1375<x<=+inf').
atm_h(d22,d22_20,3,'a0=0_1375<x<=+inf').
atm_h(d22,d22_21,3,'a0=0_1375<x<=+inf').
atm_h(d22,d22_25,1,'a0=0_1375<x<=+inf').
atm_h(d22,d22_7,3,'a0=0_1375<x<=+inf').
atm_h(d22,d22_8,3,'a0=0_1375<x<=+inf').
atm_h(d22,d22_9,3,'a0=0_1375<x<=+inf').
atm_h(d220,d220a_10,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220a_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d220,d220a_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d220,d220a_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d220,d220a_17,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220a_18,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220a_19,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220a_7,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220a_8,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220a_9,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220b_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d220,d220b_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d220,d220b_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d220,d220b_16,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220b_17,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220b_18,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220b_19,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220b_7,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220b_8,3,'a0=0_0615<x<=0_1375').
atm_h(d220,d220b_9,3,'a0=0_0615<x<=0_1375').
atm_h(d221,d221_14,3,'a0=0_0615<x<=0_1375').
atm_h(d221,d221_15,3,'a0=0_0615<x<=0_1375').
atm_h(d221,d221_29,3,'a0=0_0615<x<=0_1375').
atm_h(d221,d221_30,3,'a0=0_0615<x<=0_1375').
atm_h(d221,d221_31,3,'a0=0_0615<x<=0_1375').
atm_h(d221,d221_32,3,'a0=0_0615<x<=0_1375').
atm_h(d221,d221_37,8,'a0=0_1375<x<=+inf').
atm_h(d221,d221_7,3,'a0=0_0615<x<=0_1375').
atm_h(d221,d221_8,3,'a0=0_0615<x<=0_1375').
atm_h(d221,d221_9,3,'a0=0_0615<x<=0_1375').
atm_h(d222,d222_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d222,d222_34,1,'a0=0_1375<x<=+inf').
atm_h(d222,d222_7,3,'a0=0_0615<x<=0_1375').
atm_h(d222,d222_8,3,'a0=0_0615<x<=0_1375').
atm_h(d223,d223_10,3,'a0=0_0615<x<=0_1375').
atm_h(d223,d223_11,3,'a0=0_0615<x<=0_1375').
atm_h(d223,d223_16,1,'a0=0_1375<x<=+inf').
atm_h(d223,d223_17,1,'a0=0_0615<x<=0_1375').
atm_h(d223,d223_18,1,'a0=0_0615<x<=0_1375').
atm_h(d223,d223_7,3,'a0=0_0615<x<=0_1375').
atm_h(d223,d223_8,3,'a0=0_0615<x<=0_1375').
atm_h(d223,d223_9,3,'a0=0_0615<x<=0_1375').
atm_h(d224,d224_10,3,'a0=0_0615<x<=0_1375').
atm_h(d224,d224_11,3,'a0=0_0615<x<=0_1375').
atm_h(d224,d224_6,3,'a0=_0_0175<x<=0_0615').
atm_h(d224,d224_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d224,d224_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d224,d224_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_12,3,'a0=0_0615<x<=0_1375').
atm_h(d225,d225a_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_34,3,'a0=0_0615<x<=0_1375').
atm_h(d225,d225a_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225a_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_12,3,'a0=0_0615<x<=0_1375').
atm_h(d225,d225b_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_26,3,'a0=0_0615<x<=0_1375').
atm_h(d225,d225b_27,3,'a0=0_0615<x<=0_1375').
atm_h(d225,d225b_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_34,3,'a0=_0_1355<x<=_0_0175').
atm_h(d225,d225b_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d225,d225b_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d226,d226_10,3,'a0=0_0615<x<=0_1375').
atm_h(d226,d226_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d226,d226_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d226,d226_7,3,'a0=0_0615<x<=0_1375').
atm_h(d226,d226_8,3,'a0=0_0615<x<=0_1375').
atm_h(d226,d226_9,3,'a0=0_0615<x<=0_1375').
atm_h(d227,d227_11,3,'a0=0_0615<x<=0_1375').
atm_h(d227,d227_4,3,'a0=0_0615<x<=0_1375').
atm_h(d227,d227_5,3,'a0=0_0615<x<=0_1375').
atm_h(d227,d227_8,3,'a0=0_0615<x<=0_1375').
atm_h(d227,d227_9,3,'a0=0_0615<x<=0_1375').
atm_h(d228,d228_4,3,'a0=0_0615<x<=0_1375').
atm_h(d228,d228_5,3,'a0=0_0615<x<=0_1375').
atm_h(d228,d228_7,3,'a0=0_0615<x<=0_1375').
atm_h(d228,d228_8,3,'a0=0_0615<x<=0_1375').
atm_h(d229,d229_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d229,d229_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d229,d229_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d229,d229_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d230,d230_4,3,'a0=0_1375<x<=+inf').
atm_h(d230,d230_6,3,'a0=0_1375<x<=+inf').
atm_h(d230,d230_8,3,'a0=0_0615<x<=0_1375').
atm_h(d230,d230_9,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_10,3,'a0=0_1375<x<=+inf').
atm_h(d231,d231_19,3,'a0=0_1375<x<=+inf').
atm_h(d231,d231_20,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_21,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_22,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_23,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_24,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_25,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_30,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_31,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_32,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_37,3,'a0=_0_1355<x<=_0_0175').
atm_h(d231,d231_38,3,'a0=_0_1355<x<=_0_0175').
atm_h(d231,d231_39,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_40,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_41,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_42,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_46,3,'a0=_0_1355<x<=_0_0175').
atm_h(d231,d231_47,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_48,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_49,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_50,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_55,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_56,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_58,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_59,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_62,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_63,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_65,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_66,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_67,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_69,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_7,3,'a0=0_1375<x<=+inf').
atm_h(d231,d231_70,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_71,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_73,3,'a0=_0_1355<x<=_0_0175').
atm_h(d231,d231_75,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_76,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_77,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_79,3,'a0=_0_1355<x<=_0_0175').
atm_h(d231,d231_8,3,'a0=0_1375<x<=+inf').
atm_h(d231,d231_81,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_82,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_84,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_85,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_87,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_88,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_9,3,'a0=0_1375<x<=+inf').
atm_h(d231,d231_90,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_91,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_92,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_94,3,'a0=_0_1355<x<=_0_0175').
atm_h(d231,d231_95,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_96,3,'a0=0_0615<x<=0_1375').
atm_h(d231,d231_97,3,'a0=0_0615<x<=0_1375').
atm_h(d232,d232_10,3,'a0=0_0615<x<=0_1375').
atm_h(d232,d232_4,3,'a0=0_0615<x<=0_1375').
atm_h(d232,d232_5,3,'a0=0_0615<x<=0_1375').
atm_h(d232,d232_6,3,'a0=0_0615<x<=0_1375').
atm_h(d232,d232_8,3,'a0=0_0615<x<=0_1375').
atm_h(d232,d232_9,3,'a0=0_0615<x<=0_1375').
atm_h(d233,d233_20,3,'a0=0_0615<x<=0_1375').
atm_h(d233,d233_21,3,'a0=0_0615<x<=0_1375').
atm_h(d233,d233_22,3,'a0=0_0615<x<=0_1375').
atm_h(d233,d233_25,3,'a0=0_0615<x<=0_1375').
atm_h(d233,d233_26,3,'a0=0_0615<x<=0_1375').
atm_h(d233,d233_27,3,'a0=0_0615<x<=0_1375').
atm_h(d233,d233_28,1,'a0=0_1375<x<=+inf').
atm_h(d233,d233_7,3,'a0=0_1375<x<=+inf').
atm_h(d233,d233_8,3,'a0=0_1375<x<=+inf').
atm_h(d234,d234_10,3,'a0=0_0615<x<=0_1375').
atm_h(d234,d234_11,3,'a0=0_0615<x<=0_1375').
atm_h(d234,d234_12,3,'a0=0_0615<x<=0_1375').
atm_h(d234,d234_14,3,'a0=0_0615<x<=0_1375').
atm_h(d234,d234_15,3,'a0=0_0615<x<=0_1375').
atm_h(d234,d234_16,3,'a0=0_0615<x<=0_1375').
atm_h(d234,d234_3,3,'a0=0_0615<x<=0_1375').
atm_h(d234,d234_4,3,'a0=0_0615<x<=0_1375').
atm_h(d234,d234_5,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_10,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_12,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_13,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_19,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_20,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_23,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_24,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_26,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_28,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_29,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_32,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_34,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_35,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_6,3,'a0=0_0615<x<=0_1375').
atm_h(d235,d235_7,3,'a0=0_0615<x<=0_1375').
atm_h(d236,d236_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d236,d236_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d236,d236_3,3,'a0=0_0615<x<=0_1375').
atm_h(d236,d236_4,3,'a0=0_0615<x<=0_1375').
atm_h(d236,d236_6,3,'a0=_0_0175<x<=0_0615').
atm_h(d236,d236_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d236,d236_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d237,d237_10,3,'a0=0_0615<x<=0_1375').
atm_h(d237,d237_11,3,'a0=0_0615<x<=0_1375').
atm_h(d237,d237_12,3,'a0=0_0615<x<=0_1375').
atm_h(d237,d237_16,3,'a0=0_1375<x<=+inf').
atm_h(d237,d237_6,3,'a0=0_0615<x<=0_1375').
atm_h(d237,d237_7,3,'a0=0_0615<x<=0_1375').
atm_h(d237,d237_8,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_10,3,'a0=0_1375<x<=+inf').
atm_h(d238,d238_15,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_16,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_17,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_19,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_20,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_24,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_25,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_28,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_29,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_30,3,'a0=0_0615<x<=0_1375').
atm_h(d238,d238_7,3,'a0=0_1375<x<=+inf').
atm_h(d238,d238_8,3,'a0=0_1375<x<=+inf').
atm_h(d238,d238_9,3,'a0=0_1375<x<=+inf').
atm_h(d239,d239_4,3,'a0=0_0615<x<=0_1375').
atm_h(d239,d239_5,3,'a0=0_0615<x<=0_1375').
atm_h(d239,d239_6,3,'a0=0_0615<x<=0_1375').
atm_h(d239,d239_7,3,'a0=0_0615<x<=0_1375').
atm_h(d239,d239_8,3,'a0=0_0615<x<=0_1375').
atm_h(d23_1,d23_1_10,3,'a0=0_0615<x<=0_1375').
atm_h(d23_1,d23_1_17,3,'a0=0_0615<x<=0_1375').
atm_h(d23_1,d23_1_18,3,'a0=0_0615<x<=0_1375').
atm_h(d23_1,d23_1_19,3,'a0=0_0615<x<=0_1375').
atm_h(d23_1,d23_1_20,3,'a0=0_0615<x<=0_1375').
atm_h(d23_1,d23_1_24,1,'a0=0_1375<x<=+inf').
atm_h(d23_1,d23_1_25,1,'a0=0_1375<x<=+inf').
atm_h(d23_1,d23_1_26,1,'a0=0_1375<x<=+inf').
atm_h(d23_1,d23_1_27,1,'a0=0_1375<x<=+inf').
atm_h(d23_1,d23_1_7,3,'a0=0_0615<x<=0_1375').
atm_h(d23_1,d23_1_8,3,'a0=0_0615<x<=0_1375').
atm_h(d23_1,d23_1_9,3,'a0=0_0615<x<=0_1375').
atm_h(d23_2,d23_2_10,3,'a0=0_0615<x<=0_1375').
atm_h(d23_2,d23_2_11,3,'a0=0_0615<x<=0_1375').
atm_h(d23_2,d23_2_18,3,'a0=0_0615<x<=0_1375').
atm_h(d23_2,d23_2_19,3,'a0=0_0615<x<=0_1375').
atm_h(d23_2,d23_2_24,1,'a0=0_1375<x<=+inf').
atm_h(d23_2,d23_2_25,1,'a0=0_1375<x<=+inf').
atm_h(d23_2,d23_2_26,1,'a0=0_1375<x<=+inf').
atm_h(d23_2,d23_2_27,1,'a0=0_1375<x<=+inf').
atm_h(d23_2,d23_2_7,3,'a0=0_0615<x<=0_1375').
atm_h(d23_2,d23_2_8,3,'a0=0_0615<x<=0_1375').
atm_h(d23_2,d23_2_9,3,'a0=0_0615<x<=0_1375').
atm_h(d24,d24_10,3,'a0=0_1375<x<=+inf').
atm_h(d24,d24_17,3,'a0=0_0615<x<=0_1375').
atm_h(d24,d24_18,3,'a0=0_0615<x<=0_1375').
atm_h(d24,d24_19,3,'a0=0_0615<x<=0_1375').
atm_h(d24,d24_20,3,'a0=0_0615<x<=0_1375').
atm_h(d24,d24_24,1,'a0=0_1375<x<=+inf').
atm_h(d24,d24_25,1,'a0=0_1375<x<=+inf').
atm_h(d24,d24_26,1,'a0=0_1375<x<=+inf').
atm_h(d24,d24_27,1,'a0=0_1375<x<=+inf').
atm_h(d24,d24_7,3,'a0=0_0615<x<=0_1375').
atm_h(d24,d24_8,3,'a0=0_1375<x<=+inf').
atm_h(d24,d24_9,3,'a0=0_1375<x<=+inf').
atm_h(d240,d240_10,3,'a0=0_0615<x<=0_1375').
atm_h(d240,d240_11,8,'a0=0_1375<x<=+inf').
atm_h(d240,d240_4,3,'a0=0_0615<x<=0_1375').
atm_h(d240,d240_5,3,'a0=0_0615<x<=0_1375').
atm_h(d240,d240_7,3,'a0=0_0615<x<=0_1375').
atm_h(d240,d240_9,3,'a0=0_0615<x<=0_1375').
atm_h(d241,d241_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d241,d241_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d241,d241_12,8,'a0=0_1375<x<=+inf').
atm_h(d241,d241_13,8,'a0=0_1375<x<=+inf').
atm_h(d241,d241_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d241,d241_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d241,d241_8,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_10,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_11,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_12,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_14,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_15,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_17,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_20,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_21,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_22,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_7,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_8,3,'a0=0_0615<x<=0_1375').
atm_h(d242,d242_9,3,'a0=0_0615<x<=0_1375').
atm_h(d243,d243_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d243,d243_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d244,d244_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d244,d244_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d244,d244_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d244,d244_4,1,'a0=0_1375<x<=+inf').
atm_h(d244,d244_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d244,d244_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d244,d244_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d245,d245_11,3,'a0=0_0615<x<=0_1375').
atm_h(d245,d245_12,3,'a0=0_0615<x<=0_1375').
atm_h(d245,d245_13,3,'a0=0_0615<x<=0_1375').
atm_h(d245,d245_5,3,'a0=0_0615<x<=0_1375').
atm_h(d245,d245_6,3,'a0=0_0615<x<=0_1375').
atm_h(d245,d245_7,3,'a0=0_0615<x<=0_1375').
atm_h(d245,d245_8,3,'a0=0_0615<x<=0_1375').
atm_h(d245,d245_9,3,'a0=0_0615<x<=0_1375').
atm_h(d246,d246_10,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_35,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_36,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_37,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_42,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_44,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_45,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_50,3,'a0=0_0615<x<=0_1375').
atm_h(d246,d246_51,3,'a0=_0_1355<x<=_0_0175').
atm_h(d246,d246_52,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_53,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_54,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_55,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_59,3,'a0=_0_1355<x<=_0_0175').
atm_h(d246,d246_60,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_61,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_62,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_63,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_65,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_66,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_67,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_69,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_7,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_78,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_79,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_8,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_80,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_81,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_85,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_86,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_88,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_89,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_9,3,'a0=0_1375<x<=+inf').
atm_h(d246,d246_92,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_93,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_95,3,'a0=_0_0175<x<=0_0615').
atm_h(d246,d246_96,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_10,3,'a0=0_0615<x<=0_1375').
atm_h(d247,d247_11,3,'a0=0_0615<x<=0_1375').
atm_h(d247,d247_12,3,'a0=0_0615<x<=0_1375').
atm_h(d247,d247_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d247,d247_9,3,'a0=0_0615<x<=0_1375').
atm_h(d248,d248_10,3,'a0=0_0615<x<=0_1375').
atm_h(d248,d248_12,3,'a0=0_0615<x<=0_1375').
atm_h(d248,d248_13,3,'a0=0_0615<x<=0_1375').
atm_h(d248,d248_14,3,'a0=0_0615<x<=0_1375').
atm_h(d248,d248_5,3,'a0=0_0615<x<=0_1375').
atm_h(d248,d248_6,3,'a0=0_0615<x<=0_1375').
atm_h(d248,d248_8,3,'a0=0_0615<x<=0_1375').
atm_h(d248,d248_9,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_10,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d249,d249_13,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_14,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d249,d249_17,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_18,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_19,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_21,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_22,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_23,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_25,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_26,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_27,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_7,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_8,3,'a0=0_0615<x<=0_1375').
atm_h(d249,d249_9,3,'a0=0_0615<x<=0_1375').
atm_h(d25,d25_10,3,'a0=0_0615<x<=0_1375').
atm_h(d25,d25_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d25,d25_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d25,d25_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d25,d25_16,1,'a0=0_1375<x<=+inf').
atm_h(d25,d25_17,1,'a0=0_1375<x<=+inf').
atm_h(d25,d25_7,3,'a0=0_0615<x<=0_1375').
atm_h(d25,d25_8,3,'a0=0_0615<x<=0_1375').
atm_h(d25,d25_9,3,'a0=0_0615<x<=0_1375').
atm_h(d250,d250_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d250,d250_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d250,d250_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d250,d250_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d250,d250_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d250,d250_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d251,d251_10,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_14,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_15,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_17,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_18,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_22,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_23,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_25,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_26,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_6,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_7,3,'a0=0_0615<x<=0_1375').
atm_h(d251,d251_9,3,'a0=0_0615<x<=0_1375').
atm_h(d252,d252_3,3,'a0=0_0615<x<=0_1375').
atm_h(d252,d252_4,3,'a0=0_0615<x<=0_1375').
atm_h(d252,d252_6,3,'a0=0_0615<x<=0_1375').
atm_h(d252,d252_8,3,'a0=0_0615<x<=0_1375').
atm_h(d252,d252_9,3,'a0=0_0615<x<=0_1375').
atm_h(d253,d253_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d253,d253_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d253,d253_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d253,d253_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d253,d253_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d253,d253_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d253,d253_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d253,d253_6,3,'a0=_0_0175<x<=0_0615').
atm_h(d253,d253_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d254,d254_10,3,'a0=0_0615<x<=0_1375').
atm_h(d254,d254_13,3,'a0=0_0615<x<=0_1375').
atm_h(d254,d254_14,3,'a0=0_0615<x<=0_1375').
atm_h(d254,d254_16,3,'a0=0_0615<x<=0_1375').
atm_h(d254,d254_17,3,'a0=0_0615<x<=0_1375').
atm_h(d254,d254_18,3,'a0=0_0615<x<=0_1375').
atm_h(d254,d254_4,3,'a0=0_0615<x<=0_1375').
atm_h(d254,d254_5,3,'a0=0_0615<x<=0_1375').
atm_h(d254,d254_7,3,'a0=0_0615<x<=0_1375').
atm_h(d254,d254_9,3,'a0=0_0615<x<=0_1375').
atm_h(d255,d255_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d255,d255_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d255,d255_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d255,d255_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d255,d255_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d255,d255_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d255,d255_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d256,d256_15,3,'a0=0_0615<x<=0_1375').
atm_h(d256,d256_16,3,'a0=0_0615<x<=0_1375').
atm_h(d256,d256_21,3,'a0=0_0615<x<=0_1375').
atm_h(d256,d256_22,3,'a0=0_0615<x<=0_1375').
atm_h(d256,d256_23,3,'a0=0_0615<x<=0_1375').
atm_h(d256,d256_26,3,'a0=0_0615<x<=0_1375').
atm_h(d256,d256_27,3,'a0=0_0615<x<=0_1375').
atm_h(d256,d256_28,3,'a0=0_0615<x<=0_1375').
atm_h(d256,d256_30,3,'a0=0_1375<x<=+inf').
atm_h(d256,d256_31,3,'a0=0_1375<x<=+inf').
atm_h(d256,d256_7,3,'a0=0_1375<x<=+inf').
atm_h(d256,d256_8,3,'a0=0_1375<x<=+inf').
atm_h(d257,d257_13,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_14,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_15,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_16,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_17,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_26,3,'a0=0_1375<x<=+inf').
atm_h(d257,d257_27,3,'a0=0_1375<x<=+inf').
atm_h(d257,d257_28,3,'a0=0_1375<x<=+inf').
atm_h(d257,d257_3,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_31,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_32,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_33,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_35,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_36,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_37,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_4,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_5,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_7,3,'a0=0_0615<x<=0_1375').
atm_h(d257,d257_8,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_10,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_11,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_12,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_16,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_17,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_18,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_26,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_27,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_28,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_29,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_30,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_33,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_34,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_35,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_36,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_37,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_5,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_6,3,'a0=0_0615<x<=0_1375').
atm_h(d258,d258_7,3,'a0=0_0615<x<=0_1375').
atm_h(d259,d259_10,3,'a0=0_0615<x<=0_1375').
atm_h(d259,d259_11,3,'a0=0_0615<x<=0_1375').
atm_h(d259,d259_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d259,d259_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d259,d259_7,3,'a0=0_0615<x<=0_1375').
atm_h(d259,d259_8,3,'a0=0_0615<x<=0_1375').
atm_h(d259,d259_9,3,'a0=0_0615<x<=0_1375').
atm_h(d26,d26_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d26,d26_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d26,d26_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d26,d26_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d26,d26_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d26,d26_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d26,d26_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d26,d26_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d26,d26_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d26,d26_22,1,'a0=0_1375<x<=+inf').
atm_h(d26,d26_23,1,'a0=0_1375<x<=+inf').
atm_h(d26,d26_7,3,'a0=0_0615<x<=0_1375').
atm_h(d26,d26_8,3,'a0=0_0615<x<=0_1375').
atm_h(d260,d260_19,3,'a0=0_0615<x<=0_1375').
atm_h(d260,d260_20,3,'a0=0_0615<x<=0_1375').
atm_h(d260,d260_22,3,'a0=0_0615<x<=0_1375').
atm_h(d260,d260_23,3,'a0=0_0615<x<=0_1375').
atm_h(d260,d260_25,3,'a0=0_0615<x<=0_1375').
atm_h(d260,d260_26,3,'a0=0_0615<x<=0_1375').
atm_h(d260,d260_28,3,'a0=0_0615<x<=0_1375').
atm_h(d260,d260_29,3,'a0=0_0615<x<=0_1375').
atm_h(d261,d261_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d261,d261_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d261,d261_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d261,d261_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d261,d261_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d261,d261_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d261,d261_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d261,d261_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d261,d261_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d263,d263_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d263,d263_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d263,d263_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d263,d263_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d263,d263_9,8,'a0=0_1375<x<=+inf').
atm_h(d264,d264_13,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_14,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_15,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_16,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_17,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_26,3,'a0=0_1375<x<=+inf').
atm_h(d264,d264_27,3,'a0=0_1375<x<=+inf').
atm_h(d264,d264_28,3,'a0=0_1375<x<=+inf').
atm_h(d264,d264_3,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_35,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_36,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_37,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_4,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_5,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_7,3,'a0=0_0615<x<=0_1375').
atm_h(d264,d264_8,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_10,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_13,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_14,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_15,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_18,1,'a0=0_1375<x<=+inf').
atm_h(d265,d265_19,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_20,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_21,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_22,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_23,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_24,3,'a0=0_0615<x<=0_1375').
atm_h(d265,d265_9,3,'a0=0_0615<x<=0_1375').
atm_h(d266,d266_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_20,3,'a0=0_0615<x<=0_1375').
atm_h(d266,d266_21,3,'a0=0_0615<x<=0_1375').
atm_h(d266,d266_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_29,3,'a0=0_0615<x<=0_1375').
atm_h(d266,d266_30,3,'a0=0_0615<x<=0_1375').
atm_h(d266,d266_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d266,d266_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d267,d267_12,8,'a0=0_1375<x<=+inf').
atm_h(d267,d267_13,8,'a0=0_1375<x<=+inf').
atm_h(d267,d267_15,3,'a0=0_0615<x<=0_1375').
atm_h(d267,d267_16,3,'a0=0_0615<x<=0_1375').
atm_h(d267,d267_17,8,'a0=0_1375<x<=+inf').
atm_h(d267,d267_19,3,'a0=0_0615<x<=0_1375').
atm_h(d267,d267_20,3,'a0=0_0615<x<=0_1375').
atm_h(d267,d267_21,8,'a0=0_1375<x<=+inf').
atm_h(d267,d267_4,3,'a0=0_0615<x<=0_1375').
atm_h(d267,d267_5,3,'a0=0_0615<x<=0_1375').
atm_h(d267,d267_8,3,'a0=0_0615<x<=0_1375').
atm_h(d267,d267_9,3,'a0=0_0615<x<=0_1375').
atm_h(d268,d268_10,3,'a0=0_0615<x<=0_1375').
atm_h(d268,d268_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d268,d268_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d268,d268_7,3,'a0=0_0615<x<=0_1375').
atm_h(d268,d268_8,3,'a0=0_0615<x<=0_1375').
atm_h(d268,d268_9,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_13,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_14,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_15,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_16,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_17,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_26,3,'a0=0_1375<x<=+inf').
atm_h(d269,d269_28,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_29,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_3,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_30,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_33,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_34,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_35,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_37,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_38,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_39,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_4,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_40,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_5,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_7,3,'a0=0_0615<x<=0_1375').
atm_h(d269,d269_8,3,'a0=0_0615<x<=0_1375').
atm_h(d27,d27_10,1,'a0=0_1375<x<=+inf').
atm_h(d27,d27_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d27,d27_22,3,'a0=0_0615<x<=0_1375').
atm_h(d27,d27_23,3,'a0=0_0615<x<=0_1375').
atm_h(d27,d27_6,3,'a0=_0_0175<x<=0_0615').
atm_h(d27,d27_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d270,d270_10,3,'a0=0_1375<x<=+inf').
atm_h(d270,d270_12,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_15,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_23,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_24,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_25,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_26,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_27,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_30,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_31,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_32,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_33,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_34,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_38,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_39,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_40,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_41,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_42,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_46,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_47,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_48,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_49,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_50,3,'a0=0_0615<x<=0_1375').
atm_h(d270,d270_7,3,'a0=0_1375<x<=+inf').
atm_h(d270,d270_8,3,'a0=0_1375<x<=+inf').
atm_h(d270,d270_9,3,'a0=0_1375<x<=+inf').
atm_h(d271,d271_11,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_12,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_13,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_21,3,'a0=0_1375<x<=+inf').
atm_h(d271,d271_22,3,'a0=0_1375<x<=+inf').
atm_h(d271,d271_23,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_24,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_25,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_29,3,'a0=0_1375<x<=+inf').
atm_h(d271,d271_3,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_30,3,'a0=0_1375<x<=+inf').
atm_h(d271,d271_31,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_32,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_33,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_36,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_37,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_38,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_4,3,'a0=0_0615<x<=0_1375').
atm_h(d271,d271_5,3,'a0=0_0615<x<=0_1375').
atm_h(d272,d272_4,3,'a0=0_0615<x<=0_1375').
atm_h(d272,d272_5,3,'a0=0_0615<x<=0_1375').
atm_h(d273,d273_5,3,'a0=0_0615<x<=0_1375').
atm_h(d274,d274_5,3,'a0=0_0615<x<=0_1375').
atm_h(d275,d275_5,3,'a0=0_0615<x<=0_1375').
atm_h(d276,d276_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_10,3,'a0=0_0615<x<=0_1375').
atm_h(d277,d277_11,3,'a0=0_0615<x<=0_1375').
atm_h(d277,d277_12,3,'a0=0_0615<x<=0_1375').
atm_h(d277,d277_13,3,'a0=0_0615<x<=0_1375').
atm_h(d277,d277_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_23,3,'a0=0_0615<x<=0_1375').
atm_h(d277,d277_24,3,'a0=0_0615<x<=0_1375').
atm_h(d277,d277_25,3,'a0=0_0615<x<=0_1375').
atm_h(d277,d277_26,3,'a0=0_0615<x<=0_1375').
atm_h(d277,d277_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d277,d277_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_10,3,'a0=0_0615<x<=0_1375').
atm_h(d278,d278_11,3,'a0=0_0615<x<=0_1375').
atm_h(d278,d278_12,3,'a0=0_0615<x<=0_1375').
atm_h(d278,d278_13,3,'a0=0_0615<x<=0_1375').
atm_h(d278,d278_21,3,'a0=0_0615<x<=0_1375').
atm_h(d278,d278_22,3,'a0=0_0615<x<=0_1375').
atm_h(d278,d278_23,3,'a0=0_0615<x<=0_1375').
atm_h(d278,d278_24,3,'a0=0_0615<x<=0_1375').
atm_h(d278,d278_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d278,d278_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d279,d279_10,3,'a0=0_0615<x<=0_1375').
atm_h(d279,d279_11,3,'a0=0_0615<x<=0_1375').
atm_h(d279,d279_12,3,'a0=0_0615<x<=0_1375').
atm_h(d279,d279_13,3,'a0=0_0615<x<=0_1375').
atm_h(d279,d279_14,3,'a0=0_0615<x<=0_1375').
atm_h(d279,d279_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d279,d279_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d279,d279_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d279,d279_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d279,d279_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d279,d279_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d28,d28_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d28,d28_15,1,'a0=0_1375<x<=+inf').
atm_h(d28,d28_16,1,'a0=0_1375<x<=+inf').
atm_h(d28,d28_17,1,'a0=0_1375<x<=+inf').
atm_h(d28,d28_19,3,'a0=0_0615<x<=0_1375').
atm_h(d28,d28_20,3,'a0=0_0615<x<=0_1375').
atm_h(d280,d280_10,3,'a0=0_0615<x<=0_1375').
atm_h(d280,d280_11,3,'a0=0_0615<x<=0_1375').
atm_h(d280,d280_12,3,'a0=0_0615<x<=0_1375').
atm_h(d280,d280_13,3,'a0=0_0615<x<=0_1375').
atm_h(d280,d280_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d280,d280_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d280,d280_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d280,d280_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d280,d280_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d280,d280_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d282,d282_11,1,'a0=0_1375<x<=+inf').
atm_h(d282,d282_12,3,'a0=0_0615<x<=0_1375').
atm_h(d282,d282_13,3,'a0=0_0615<x<=0_1375').
atm_h(d282,d282_4,3,'a0=0_0615<x<=0_1375').
atm_h(d282,d282_5,3,'a0=0_0615<x<=0_1375').
atm_h(d283,d283_11,3,'a0=0_0615<x<=0_1375').
atm_h(d283,d283_12,3,'a0=0_0615<x<=0_1375').
atm_h(d283,d283_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d283,d283_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d283,d283_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d283,d283_3,3,'a0=0_0615<x<=0_1375').
atm_h(d283,d283_4,3,'a0=0_0615<x<=0_1375').
atm_h(d283,d283_6,3,'a0=0_0615<x<=0_1375').
atm_h(d284,d284_11,3,'a0=0_0615<x<=0_1375').
atm_h(d284,d284_12,3,'a0=0_0615<x<=0_1375').
atm_h(d284,d284_13,1,'a0=0_1375<x<=+inf').
atm_h(d284,d284_14,8,'a0=0_1375<x<=+inf').
atm_h(d284,d284_3,3,'a0=0_0615<x<=0_1375').
atm_h(d284,d284_4,3,'a0=0_0615<x<=0_1375').
atm_h(d284,d284_6,3,'a0=0_0615<x<=0_1375').
atm_h(d285,d285_12,3,'a0=0_0615<x<=0_1375').
atm_h(d285,d285_13,3,'a0=0_0615<x<=0_1375').
atm_h(d285,d285_14,3,'a0=0_0615<x<=0_1375').
atm_h(d285,d285_3,3,'a0=0_0615<x<=0_1375').
atm_h(d285,d285_4,3,'a0=0_0615<x<=0_1375').
atm_h(d285,d285_6,3,'a0=_0_0175<x<=0_0615').
atm_h(d285,d285_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d285,d285_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d286,d286_5,3,'a0=0_0615<x<=0_1375').
atm_h(d286,d286_7,3,'a0=0_0615<x<=0_1375').
atm_h(d286,d286_9,3,'a0=_0_1355<x<=_0_0175').
atm_h(d287,d287_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d287,d287_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_19,3,'a0=0_0615<x<=0_1375').
atm_h(d288,d288_20,3,'a0=0_0615<x<=0_1375').
atm_h(d288,d288_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d288,d288_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d289,d289_12,3,'a0=0_0615<x<=0_1375').
atm_h(d289,d289_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d289,d289_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d289,d289_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d289,d289_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d289,d289_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d289,d289_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d29,d29a_11,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29a_12,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29a_13,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29a_7,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29a_8,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29a_9,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29b_11,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29b_12,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29b_13,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29b_7,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29b_8,3,'a0=0_1375<x<=+inf').
atm_h(d29,d29b_9,3,'a0=0_1375<x<=+inf').
atm_h(d290,d290_10,3,'a0=0_1375<x<=+inf').
atm_h(d290,d290_7,3,'a0=0_1375<x<=+inf').
atm_h(d290,d290_8,3,'a0=0_1375<x<=+inf').
atm_h(d290,d290_9,3,'a0=0_1375<x<=+inf').
atm_h(d291,d291_10,1,'a0=0_1375<x<=+inf').
atm_h(d291,d291_5,3,'a0=0_0615<x<=0_1375').
atm_h(d291,d291_6,3,'a0=0_0615<x<=0_1375').
atm_h(d291,d291_7,3,'a0=0_0615<x<=0_1375').
atm_h(d291,d291_9,1,'a0=0_1375<x<=+inf').
atm_h(d292,d292_10,3,'a0=0_0615<x<=0_1375').
atm_h(d292,d292_11,3,'a0=0_0615<x<=0_1375').
atm_h(d292,d292_15,1,'a0=0_1375<x<=+inf').
atm_h(d292,d292_17,3,'a0=0_0615<x<=0_1375').
atm_h(d292,d292_18,3,'a0=0_0615<x<=0_1375').
atm_h(d292,d292_19,3,'a0=0_0615<x<=0_1375').
atm_h(d292,d292_21,3,'a0=0_0615<x<=0_1375').
atm_h(d292,d292_22,3,'a0=0_0615<x<=0_1375').
atm_h(d292,d292_23,3,'a0=0_0615<x<=0_1375').
atm_h(d292,d292_3,1,'a0=0_1375<x<=+inf').
atm_h(d292,d292_7,3,'a0=0_0615<x<=0_1375').
atm_h(d292,d292_8,3,'a0=0_0615<x<=0_1375').
atm_h(d293,d293_10,3,'a0=0_1375<x<=+inf').
atm_h(d293,d293_14,1,'a0=0_1375<x<=+inf').
atm_h(d293,d293_7,3,'a0=0_1375<x<=+inf').
atm_h(d293,d293_8,3,'a0=0_1375<x<=+inf').
atm_h(d293,d293_9,3,'a0=0_1375<x<=+inf').
atm_h(d294,d294_14,3,'a0=0_1375<x<=+inf').
atm_h(d294,d294_15,3,'a0=0_1375<x<=+inf').
atm_h(d294,d294_16,3,'a0=0_1375<x<=+inf').
atm_h(d294,d294_18,8,'a0=0_1375<x<=+inf').
atm_h(d294,d294_7,3,'a0=0_1375<x<=+inf').
atm_h(d294,d294_8,3,'a0=0_1375<x<=+inf').
atm_h(d294,d294_9,3,'a0=0_1375<x<=+inf').
atm_h(d295,d295_3,3,'a0=0_0615<x<=0_1375').
atm_h(d295,d295_4,3,'a0=0_0615<x<=0_1375').
atm_h(d295,d295_6,3,'a0=0_0615<x<=0_1375').
atm_h(d295,d295_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d295,d295_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d295,d295_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d296,d296_10,3,'a0=0_0615<x<=0_1375').
atm_h(d296,d296_15,3,'a0=0_0615<x<=0_1375').
atm_h(d296,d296_16,3,'a0=0_0615<x<=0_1375').
atm_h(d296,d296_17,3,'a0=0_0615<x<=0_1375').
atm_h(d296,d296_18,3,'a0=0_0615<x<=0_1375').
atm_h(d296,d296_7,3,'a0=0_0615<x<=0_1375').
atm_h(d296,d296_8,3,'a0=0_0615<x<=0_1375').
atm_h(d296,d296_9,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_101,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_102,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_104,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_105,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_108,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_109,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_111,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_112,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_115,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_116,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_118,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_119,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_12,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_122,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_123,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_125,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_126,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_127,8,'a0=0_1375<x<=+inf').
atm_h(d297,d297_13,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_130,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_131,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_133,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_134,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_137,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_138,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_140,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_141,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_144,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_145,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_147,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_148,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_15,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_151,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_152,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_154,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_155,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_158,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_159,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_16,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_161,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_162,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_167,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_168,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_170,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_171,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_173,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_174,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_176,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_177,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_179,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_180,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_186,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_187,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_189,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_19,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_190,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_192,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_193,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_195,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_196,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_198,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_199,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_20,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_201,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_202,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_204,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_205,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_206,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_207,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_208,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_209,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_210,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_211,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_212,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_213,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_214,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_22,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_23,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_26,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_27,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_29,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_30,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_33,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_34,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_36,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_37,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_40,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_41,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_44,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_45,8,'a0=0_1375<x<=+inf').
atm_h(d297,d297_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_5,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_50,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_51,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_53,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_54,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_57,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_58,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_6,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_60,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_61,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_64,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_65,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_67,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_68,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_71,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_72,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_74,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_75,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_78,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_79,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_81,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_82,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_83,8,'a0=0_1375<x<=+inf').
atm_h(d297,d297_85,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_88,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d297,d297_90,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_91,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_94,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_95,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_97,3,'a0=0_0615<x<=0_1375').
atm_h(d297,d297_98,3,'a0=0_0615<x<=0_1375').
atm_h(d298,d298_10,3,'a0=0_0615<x<=0_1375').
atm_h(d298,d298_19,3,'a0=0_0615<x<=0_1375').
atm_h(d298,d298_20,3,'a0=0_0615<x<=0_1375').
atm_h(d298,d298_21,3,'a0=0_0615<x<=0_1375').
atm_h(d298,d298_22,3,'a0=0_0615<x<=0_1375').
atm_h(d298,d298_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_32,3,'a0=0_0615<x<=0_1375').
atm_h(d298,d298_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d298,d298_7,3,'a0=0_0615<x<=0_1375').
atm_h(d298,d298_8,3,'a0=0_0615<x<=0_1375').
atm_h(d298,d298_9,3,'a0=0_0615<x<=0_1375').
atm_h(d299,d299_10,3,'a0=0_0615<x<=0_1375').
atm_h(d299,d299_13,8,'a0=0_1375<x<=+inf').
atm_h(d299,d299_14,8,'a0=0_1375<x<=+inf').
atm_h(d299,d299_7,3,'a0=0_0615<x<=0_1375').
atm_h(d299,d299_8,3,'a0=0_0615<x<=0_1375').
atm_h(d299,d299_9,3,'a0=0_0615<x<=0_1375').
atm_h(d3,d3_10,3,'a0=0_0615<x<=0_1375').
atm_h(d3,d3_19,3,'a0=0_0615<x<=0_1375').
atm_h(d3,d3_20,3,'a0=0_0615<x<=0_1375').
atm_h(d3,d3_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d3,d3_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d3,d3_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d3,d3_28,1,'a0=0_1375<x<=+inf').
atm_h(d3,d3_29,1,'a0=0_1375<x<=+inf').
atm_h(d3,d3_7,3,'a0=0_0615<x<=0_1375').
atm_h(d3,d3_8,3,'a0=0_0615<x<=0_1375').
atm_h(d3,d3_9,3,'a0=0_0615<x<=0_1375').
atm_h(d30,d30_10,3,'a0=0_1375<x<=+inf').
atm_h(d30,d30_13,1,'a0=0_1375<x<=+inf').
atm_h(d30,d30_14,1,'a0=0_1375<x<=+inf').
atm_h(d30,d30_7,3,'a0=0_1375<x<=+inf').
atm_h(d30,d30_8,3,'a0=0_1375<x<=+inf').
atm_h(d30,d30_9,3,'a0=0_1375<x<=+inf').
atm_h(d300,d300_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d300,d300_11,3,'a0=0_0615<x<=0_1375').
atm_h(d300,d300_12,3,'a0=0_0615<x<=0_1375').
atm_h(d300,d300_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d300,d300_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d300,d300_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d301,d301_6,1,'a0=0_1375<x<=+inf').
atm_h(d302,d302_4,3,'a0=0_0615<x<=0_1375').
atm_h(d302,d302_5,3,'a0=0_0615<x<=0_1375').
atm_h(d302,d302_8,1,'a0=0_1375<x<=+inf').
atm_h(d303,d303_10,3,'a0=0_1375<x<=+inf').
atm_h(d303,d303_15,8,'a0=0_1375<x<=+inf').
atm_h(d303,d303_7,3,'a0=0_1375<x<=+inf').
atm_h(d303,d303_8,3,'a0=0_1375<x<=+inf').
atm_h(d303,d303_9,3,'a0=0_1375<x<=+inf').
atm_h(d304,d304a_13,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304a_14,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304a_15,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304a_17,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304a_18,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304a_19,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304a_21,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304a_22,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304a_23,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304a_26,1,'a0=0_1375<x<=+inf').
atm_h(d304,d304a_27,1,'a0=0_1375<x<=+inf').
atm_h(d304,d304a_7,3,'a0=0_1375<x<=+inf').
atm_h(d304,d304a_8,3,'a0=0_1375<x<=+inf').
atm_h(d304,d304b_12,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304b_13,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304b_14,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304b_16,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304b_17,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304b_18,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304b_21,1,'a0=0_1375<x<=+inf').
atm_h(d304,d304b_22,1,'a0=0_1375<x<=+inf').
atm_h(d304,d304b_24,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304b_25,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304b_26,3,'a0=0_0615<x<=0_1375').
atm_h(d304,d304b_27,3,'a0=0_1375<x<=+inf').
atm_h(d304,d304b_7,3,'a0=0_1375<x<=+inf').
atm_h(d305,d305_12,3,'a0=0_0615<x<=0_1375').
atm_h(d305,d305_13,3,'a0=0_0615<x<=0_1375').
atm_h(d305,d305_19,3,'a0=0_1375<x<=+inf').
atm_h(d305,d305_20,3,'a0=0_1375<x<=+inf').
atm_h(d305,d305_21,3,'a0=0_1375<x<=+inf').
atm_h(d305,d305_22,3,'a0=0_1375<x<=+inf').
atm_h(d305,d305_23,3,'a0=0_1375<x<=+inf').
atm_h(d305,d305_26,8,'a0=0_1375<x<=+inf').
atm_h(d305,d305_7,3,'a0=0_1375<x<=+inf').
atm_h(d305,d305_8,3,'a0=0_1375<x<=+inf').
atm_h(d305,d305_9,3,'a0=0_1375<x<=+inf').
atm_h(d306,d306_12,3,'a0=0_0615<x<=0_1375').
atm_h(d306,d306_13,3,'a0=0_0615<x<=0_1375').
atm_h(d306,d306_16,3,'a0=0_0615<x<=0_1375').
atm_h(d306,d306_17,3,'a0=0_0615<x<=0_1375').
atm_h(d306,d306_18,8,'a0=0_1375<x<=+inf').
atm_h(d306,d306_19,8,'a0=0_1375<x<=+inf').
atm_h(d306,d306_4,3,'a0=0_0615<x<=0_1375').
atm_h(d306,d306_5,3,'a0=0_0615<x<=0_1375').
atm_h(d306,d306_8,3,'a0=0_0615<x<=0_1375').
atm_h(d306,d306_9,3,'a0=0_0615<x<=0_1375').
atm_h(d307,d307_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d307,d307_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d307,d307_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d307,d307_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d307,d307_15,8,'a0=0_1375<x<=+inf').
atm_h(d307,d307_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d307,d307_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d307,d307_6,3,'a0=_0_0175<x<=0_0615').
atm_h(d307,d307_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d307,d307_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d308,d308_10,3,'a0=0_0615<x<=0_1375').
atm_h(d308,d308_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d308,d308_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d308,d308_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d308,d308_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d308,d308_7,3,'a0=0_0615<x<=0_1375').
atm_h(d308,d308_8,3,'a0=0_0615<x<=0_1375').
atm_h(d308,d308_9,3,'a0=0_0615<x<=0_1375').
atm_h(d309,d309_10,8,'a0=0_1375<x<=+inf').
atm_h(d309,d309_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d309,d309_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d309,d309_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d309,d309_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d309,d309_9,8,'a0=0_1375<x<=+inf').
atm_h(d31,d31a_16,3,'a0=0_0615<x<=0_1375').
atm_h(d31,d31a_17,3,'a0=0_0615<x<=0_1375').
atm_h(d31,d31a_18,3,'a0=0_0615<x<=0_1375').
atm_h(d31,d31a_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d31,d31a_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d31,d31a_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d31,d31a_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d31,d31a_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d31,d31a_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d31,d31a_31,1,'a0=0_1375<x<=+inf').
atm_h(d31,d31a_32,1,'a0=0_1375<x<=+inf').
atm_h(d31,d31a_33,1,'a0=0_1375<x<=+inf').
atm_h(d31,d31a_34,1,'a0=0_1375<x<=+inf').
atm_h(d31,d31a_7,3,'a0=0_0615<x<=0_1375').
atm_h(d31,d31a_8,3,'a0=0_0615<x<=0_1375').
atm_h(d31,d31a_9,3,'a0=0_0615<x<=0_1375').
atm_h(d31,d31b_2,1,'a0=0_1375<x<=+inf').
atm_h(d311,d311_10,3,'a0=0_0615<x<=0_1375').
atm_h(d311,d311_11,3,'a0=0_0615<x<=0_1375').
atm_h(d311,d311_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d311,d311_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d311,d311_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d311,d311_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d311,d311_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d311,d311_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d311,d311_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d311,d311_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d311,d311_27,3,'a0=0_0615<x<=0_1375').
atm_h(d311,d311_29,3,'a0=0_0615<x<=0_1375').
atm_h(d311,d311_32,3,'a0=0_0615<x<=0_1375').
atm_h(d311,d311_33,3,'a0=0_0615<x<=0_1375').
atm_h(d311,d311_34,3,'a0=0_0615<x<=0_1375').
atm_h(d311,d311_36,1,'a0=0_1375<x<=+inf').
atm_h(d311,d311_7,3,'a0=0_0615<x<=0_1375').
atm_h(d311,d311_8,3,'a0=0_0615<x<=0_1375').
atm_h(d311,d311_9,3,'a0=0_0615<x<=0_1375').
atm_h(d312,d312_10,3,'a0=0_0615<x<=0_1375').
atm_h(d312,d312_13,3,'a0=0_0615<x<=0_1375').
atm_h(d312,d312_14,3,'a0=0_0615<x<=0_1375').
atm_h(d312,d312_15,3,'a0=0_0615<x<=0_1375').
atm_h(d312,d312_18,3,'a0=0_0615<x<=0_1375').
atm_h(d312,d312_19,3,'a0=0_0615<x<=0_1375').
atm_h(d312,d312_20,3,'a0=0_0615<x<=0_1375').
atm_h(d312,d312_21,1,'a0=0_1375<x<=+inf').
atm_h(d313,d313_15,3,'a0=0_1375<x<=+inf').
atm_h(d313,d313_16,3,'a0=0_1375<x<=+inf').
atm_h(d313,d313_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_25,8,'a0=0_1375<x<=+inf').
atm_h(d313,d313_29,8,'a0=0_1375<x<=+inf').
atm_h(d313,d313_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_44,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_45,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_47,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_48,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_49,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_50,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_51,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_52,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_53,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_54,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_55,3,'a0=_0_0175<x<=0_0615').
atm_h(d313,d313_7,3,'a0=0_1375<x<=+inf').
atm_h(d313,d313_8,3,'a0=0_1375<x<=+inf').
atm_h(d314,d314_17,3,'a0=0_1375<x<=+inf').
atm_h(d314,d314_18,3,'a0=0_1375<x<=+inf').
atm_h(d314,d314_19,3,'a0=0_1375<x<=+inf').
atm_h(d314,d314_20,3,'a0=0_1375<x<=+inf').
atm_h(d314,d314_21,3,'a0=0_1375<x<=+inf').
atm_h(d314,d314_25,1,'a0=0_1375<x<=+inf').
atm_h(d314,d314_26,1,'a0=0_1375<x<=+inf').
atm_h(d314,d314_27,1,'a0=0_1375<x<=+inf').
atm_h(d314,d314_28,1,'a0=0_1375<x<=+inf').
atm_h(d314,d314_29,1,'a0=0_1375<x<=+inf').
atm_h(d314,d314_30,1,'a0=0_1375<x<=+inf').
atm_h(d315,d315_10,3,'a0=0_1375<x<=+inf').
atm_h(d315,d315_11,3,'a0=0_1375<x<=+inf').
atm_h(d315,d315_18,3,'a0=0_1375<x<=+inf').
atm_h(d315,d315_19,3,'a0=0_1375<x<=+inf').
atm_h(d315,d315_20,3,'a0=0_1375<x<=+inf').
atm_h(d315,d315_21,3,'a0=0_1375<x<=+inf').
atm_h(d315,d315_22,3,'a0=0_1375<x<=+inf').
atm_h(d315,d315_30,1,'a0=0_1375<x<=+inf').
atm_h(d315,d315_31,1,'a0=0_1375<x<=+inf').
atm_h(d315,d315_7,3,'a0=0_1375<x<=+inf').
atm_h(d315,d315_8,3,'a0=0_1375<x<=+inf').
atm_h(d315,d315_9,3,'a0=0_1375<x<=+inf').
atm_h(d316,d316_10,3,'a0=0_1375<x<=+inf').
atm_h(d316,d316_11,3,'a0=0_1375<x<=+inf').
atm_h(d316,d316_9,3,'a0=0_1375<x<=+inf').
atm_h(d317,d317_3,1,'a0=0_1375<x<=+inf').
atm_h(d317,d317_4,1,'a0=0_1375<x<=+inf').
atm_h(d318,d318_12,3,'a0=0_0615<x<=0_1375').
atm_h(d318,d318_14,3,'a0=0_0615<x<=0_1375').
atm_h(d318,d318_20,3,'a0=0_1375<x<=+inf').
atm_h(d318,d318_21,3,'a0=0_1375<x<=+inf').
atm_h(d318,d318_22,3,'a0=0_1375<x<=+inf').
atm_h(d318,d318_27,1,'a0=0_1375<x<=+inf').
atm_h(d318,d318_28,1,'a0=0_1375<x<=+inf').
atm_h(d318,d318_29,1,'a0=0_1375<x<=+inf').
atm_h(d318,d318_30,1,'a0=0_1375<x<=+inf').
atm_h(d318,d318_32,1,'a0=0_1375<x<=+inf').
atm_h(d318,d318_38,1,'a0=0_1375<x<=+inf').
atm_h(d318,d318_7,3,'a0=0_1375<x<=+inf').
atm_h(d318,d318_8,3,'a0=0_1375<x<=+inf').
atm_h(d318,d318_9,3,'a0=0_1375<x<=+inf').
atm_h(d319,d319_3,3,'a0=_0_0175<x<=0_0615').
atm_h(d319,d319_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d319,d319_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d32,d32a_16,3,'a0=0_0615<x<=0_1375').
atm_h(d32,d32a_17,3,'a0=0_0615<x<=0_1375').
atm_h(d32,d32a_18,3,'a0=0_0615<x<=0_1375').
atm_h(d32,d32a_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d32,d32a_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d32,d32a_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d32,d32a_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d32,d32a_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d32,d32a_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d32,d32a_29,1,'a0=0_1375<x<=+inf').
atm_h(d32,d32a_30,1,'a0=0_1375<x<=+inf').
atm_h(d32,d32a_31,1,'a0=0_1375<x<=+inf').
atm_h(d32,d32a_32,1,'a0=0_1375<x<=+inf').
atm_h(d32,d32a_7,3,'a0=0_0615<x<=0_1375').
atm_h(d32,d32a_8,3,'a0=0_0615<x<=0_1375').
atm_h(d32,d32a_9,3,'a0=0_0615<x<=0_1375').
atm_h(d32,d32b_2,1,'a0=0_1375<x<=+inf').
atm_h(d320,d320_10,3,'a0=0_1375<x<=+inf').
atm_h(d320,d320_17,1,'a0=0_1375<x<=+inf').
atm_h(d320,d320_7,3,'a0=0_1375<x<=+inf').
atm_h(d320,d320_8,3,'a0=0_1375<x<=+inf').
atm_h(d320,d320_9,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_61,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_62,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_63,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_64,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_65,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_66,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_67,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_68,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_69,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_70,1,'a0=0_1375<x<=+inf').
atm_h(d322,d322_71,1,'a0=0_1375<x<=+inf').
atm_h(d322,d322_72,1,'a0=0_1375<x<=+inf').
atm_h(d322,d322_73,1,'a0=0_1375<x<=+inf').
atm_h(d322,d322_74,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_75,1,'a0=0_1375<x<=+inf').
atm_h(d322,d322_76,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_77,3,'a0=0_1375<x<=+inf').
atm_h(d322,d322_78,1,'a0=0_1375<x<=+inf').
atm_h(d322,d322_79,1,'a0=0_1375<x<=+inf').
atm_h(d322,d322_80,1,'a0=0_1375<x<=+inf').
atm_h(d323,d323_18,3,'a0=0_1375<x<=+inf').
atm_h(d323,d323_19,3,'a0=0_1375<x<=+inf').
atm_h(d323,d323_24,3,'a0=0_1375<x<=+inf').
atm_h(d323,d323_25,3,'a0=0_1375<x<=+inf').
atm_h(d323,d323_26,3,'a0=0_1375<x<=+inf').
atm_h(d323,d323_27,3,'a0=0_1375<x<=+inf').
atm_h(d323,d323_29,3,'a0=0_0615<x<=0_1375').
atm_h(d323,d323_30,3,'a0=0_0615<x<=0_1375').
atm_h(d323,d323_31,3,'a0=0_0615<x<=0_1375').
atm_h(d323,d323_34,8,'a0=0_1375<x<=+inf').
atm_h(d323,d323_7,3,'a0=0_1375<x<=+inf').
atm_h(d323,d323_8,3,'a0=0_1375<x<=+inf').
atm_h(d323,d323_9,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_10,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_15,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_22,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_23,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_24,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_25,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_28,1,'a0=0_1375<x<=+inf').
atm_h(d324,d324_34,8,'a0=0_1375<x<=+inf').
atm_h(d324,d324_43,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_44,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_45,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_48,3,'a0=0_0615<x<=0_1375').
atm_h(d324,d324_49,3,'a0=0_0615<x<=0_1375').
atm_h(d324,d324_50,3,'a0=0_0615<x<=0_1375').
atm_h(d324,d324_7,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_8,3,'a0=0_1375<x<=+inf').
atm_h(d324,d324_9,3,'a0=0_1375<x<=+inf').
atm_h(d325,d325_13,1,'a0=0_1375<x<=+inf').
atm_h(d325,d325_14,1,'a0=0_1375<x<=+inf').
atm_h(d325,d325_15,1,'a0=0_1375<x<=+inf').
atm_h(d325,d325_16,1,'a0=0_1375<x<=+inf').
atm_h(d325,d325_17,8,'a0=0_1375<x<=+inf').
atm_h(d325,d325_7,3,'a0=0_0615<x<=0_1375').
atm_h(d325,d325_8,3,'a0=0_0615<x<=0_1375').
atm_h(d325,d325_9,3,'a0=0_0615<x<=0_1375').
atm_h(d326,d326_10,3,'a0=0_0615<x<=0_1375').
atm_h(d326,d326_14,8,'a0=0_1375<x<=+inf').
atm_h(d326,d326_15,1,'a0=0_1375<x<=+inf').
atm_h(d326,d326_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d326,d326_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d326,d326_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d326,d326_7,3,'a0=0_0615<x<=0_1375').
atm_h(d326,d326_8,3,'a0=0_0615<x<=0_1375').
atm_h(d326,d326_9,3,'a0=0_0615<x<=0_1375').
atm_h(d327,d327_10,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_19,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_20,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_21,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_22,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_31,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_32,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_33,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_38,1,'a0=0_1375<x<=+inf').
atm_h(d327,d327_41,1,'a0=0_1375<x<=+inf').
atm_h(d327,d327_42,8,'a0=0_1375<x<=+inf').
atm_h(d327,d327_7,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_8,3,'a0=0_1375<x<=+inf').
atm_h(d327,d327_9,3,'a0=0_1375<x<=+inf').
atm_h(d328,d328a_10,3,'a0=0_0615<x<=0_1375').
atm_h(d328,d328a_11,3,'a0=0_0615<x<=0_1375').
atm_h(d328,d328a_12,3,'a0=0_0615<x<=0_1375').
atm_h(d328,d328a_13,3,'a0=0_0615<x<=0_1375').
atm_h(d328,d328a_14,3,'a0=0_0615<x<=0_1375').
atm_h(d328,d328a_15,3,'a0=0_0615<x<=0_1375').
atm_h(d328,d328a_6,3,'a0=0_0615<x<=0_1375').
atm_h(d328,d328a_7,3,'a0=0_0615<x<=0_1375').
atm_h(d328,d328a_8,3,'a0=0_0615<x<=0_1375').
atm_h(d328,d328a_9,3,'a0=0_0615<x<=0_1375').
atm_h(d329,d329_13,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_14,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_16,8,'a0=0_1375<x<=+inf').
atm_h(d329,d329_25,1,'a0=0_1375<x<=+inf').
atm_h(d329,d329_26,1,'a0=0_1375<x<=+inf').
atm_h(d329,d329_35,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_36,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_37,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_44,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_45,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_46,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_48,3,'a0=0_0615<x<=0_1375').
atm_h(d329,d329_49,3,'a0=0_0615<x<=0_1375').
atm_h(d329,d329_50,3,'a0=0_0615<x<=0_1375').
atm_h(d329,d329_52,3,'a0=0_0615<x<=0_1375').
atm_h(d329,d329_53,3,'a0=0_0615<x<=0_1375').
atm_h(d329,d329_54,3,'a0=0_0615<x<=0_1375').
atm_h(d329,d329_63,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_64,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_65,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_66,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_7,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_75,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_76,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_77,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_78,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_8,3,'a0=0_1375<x<=+inf').
atm_h(d329,d329_80,3,'a0=0_0615<x<=0_1375').
atm_h(d329,d329_81,3,'a0=0_0615<x<=0_1375').
atm_h(d329,d329_82,3,'a0=0_0615<x<=0_1375').
atm_h(d33,d33_10,3,'a0=0_0615<x<=0_1375').
atm_h(d33,d33_11,3,'a0=0_0615<x<=0_1375').
atm_h(d33,d33_13,1,'a0=0_1375<x<=+inf').
atm_h(d33,d33_14,1,'a0=0_1375<x<=+inf').
atm_h(d33,d33_7,3,'a0=0_0615<x<=0_1375').
atm_h(d33,d33_8,3,'a0=0_0615<x<=0_1375').
atm_h(d33,d33_9,3,'a0=0_0615<x<=0_1375').
atm_h(d330,d330_16,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_17,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_18,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_27,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_32,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_33,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_38,1,'a0=0_1375<x<=+inf').
atm_h(d330,d330_40,8,'a0=0_1375<x<=+inf').
atm_h(d330,d330_42,1,'a0=0_1375<x<=+inf').
atm_h(d330,d330_43,1,'a0=0_1375<x<=+inf').
atm_h(d330,d330_48,1,'a0=0_1375<x<=+inf').
atm_h(d330,d330_57,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_62,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_63,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_7,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_74,1,'a0=0_1375<x<=+inf').
atm_h(d330,d330_75,1,'a0=0_1375<x<=+inf').
atm_h(d330,d330_76,8,'a0=0_1375<x<=+inf').
atm_h(d330,d330_77,1,'a0=0_1375<x<=+inf').
atm_h(d330,d330_78,1,'a0=0_1375<x<=+inf').
atm_h(d330,d330_8,3,'a0=0_1375<x<=+inf').
atm_h(d330,d330_81,3,'a0=0_0615<x<=0_1375').
atm_h(d330,d330_82,3,'a0=0_0615<x<=0_1375').
atm_h(d330,d330_83,3,'a0=0_0615<x<=0_1375').
atm_h(d330,d330_86,3,'a0=0_0615<x<=0_1375').
atm_h(d330,d330_87,3,'a0=0_0615<x<=0_1375').
atm_h(d330,d330_88,3,'a0=0_0615<x<=0_1375').
atm_h(d330,d330_9,3,'a0=0_1375<x<=+inf').
atm_h(d331,d331_10,3,'a0=0_1375<x<=+inf').
atm_h(d331,d331_16,3,'a0=0_0615<x<=0_1375').
atm_h(d331,d331_17,3,'a0=0_0615<x<=0_1375').
atm_h(d331,d331_7,3,'a0=0_1375<x<=+inf').
atm_h(d331,d331_8,3,'a0=0_1375<x<=+inf').
atm_h(d331,d331_9,3,'a0=0_1375<x<=+inf').
atm_h(d332,d332_11,3,'a0=0_0615<x<=0_1375').
atm_h(d332,d332_12,8,'a0=0_1375<x<=+inf').
atm_h(d332,d332_4,3,'a0=0_0615<x<=0_1375').
atm_h(d332,d332_5,3,'a0=0_0615<x<=0_1375').
atm_h(d332,d332_8,3,'a0=0_0615<x<=0_1375').
atm_h(d332,d332_9,3,'a0=0_0615<x<=0_1375').
atm_h(d333,d333_16,3,'a0=0_0615<x<=0_1375').
atm_h(d333,d333_17,3,'a0=0_0615<x<=0_1375').
atm_h(d333,d333_18,3,'a0=0_0615<x<=0_1375').
atm_h(d333,d333_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d333,d333_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d333,d333_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d333,d333_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d333,d333_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d333,d333_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d333,d333_29,1,'a0=0_1375<x<=+inf').
atm_h(d333,d333_30,1,'a0=0_1375<x<=+inf').
atm_h(d333,d333_31,1,'a0=0_1375<x<=+inf').
atm_h(d333,d333_32,1,'a0=0_1375<x<=+inf').
atm_h(d333,d333_7,3,'a0=0_0615<x<=0_1375').
atm_h(d333,d333_8,3,'a0=0_0615<x<=0_1375').
atm_h(d333,d333_9,3,'a0=0_0615<x<=0_1375').
atm_h(d334,d334_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d334,d334_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d334,d334_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d334,d334_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d334,d334_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d334,d334_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d334,d334_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d334,d334_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d334,d334_29,8,'a0=0_1375<x<=+inf').
atm_h(d334,d334_30,8,'a0=0_1375<x<=+inf').
atm_h(d334,d334_31,8,'a0=0_1375<x<=+inf').
atm_h(d334,d334_7,3,'a0=0_0615<x<=0_1375').
atm_h(d334,d334_8,3,'a0=0_0615<x<=0_1375').
atm_h(d334,d334_9,3,'a0=0_0615<x<=0_1375').
atm_h(d335,d335_10,3,'a0=0_0615<x<=0_1375').
atm_h(d335,d335_15,1,'a0=0_1375<x<=+inf').
atm_h(d335,d335_16,1,'a0=0_1375<x<=+inf').
atm_h(d335,d335_7,3,'a0=0_0615<x<=0_1375').
atm_h(d335,d335_8,3,'a0=0_0615<x<=0_1375').
atm_h(d335,d335_9,3,'a0=0_0615<x<=0_1375').
atm_h(d336,d336_10,3,'a0=0_0615<x<=0_1375').
atm_h(d336,d336_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d336,d336_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d336,d336_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d336,d336_7,3,'a0=0_0615<x<=0_1375').
atm_h(d336,d336_8,3,'a0=0_0615<x<=0_1375').
atm_h(d336,d336_9,3,'a0=0_0615<x<=0_1375').
atm_h(d337,d337_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d337,d337_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d337,d337_6,3,'a0=_0_0175<x<=0_0615').
atm_h(d337,d337_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d337,d337_9,3,'a0=_0_0175<x<=0_0615').
atm_h(d34,d34_10,3,'a0=0_1375<x<=+inf').
atm_h(d34,d34_11,3,'a0=0_1375<x<=+inf').
atm_h(d34,d34_18,3,'a0=0_1375<x<=+inf').
atm_h(d34,d34_19,3,'a0=0_1375<x<=+inf').
atm_h(d34,d34_20,3,'a0=0_1375<x<=+inf').
atm_h(d34,d34_21,3,'a0=0_1375<x<=+inf').
atm_h(d34,d34_22,3,'a0=0_1375<x<=+inf').
atm_h(d34,d34_7,3,'a0=0_1375<x<=+inf').
atm_h(d34,d34_8,3,'a0=0_1375<x<=+inf').
atm_h(d34,d34_9,3,'a0=0_1375<x<=+inf').
atm_h(d35,d35_12,3,'a0=0_0615<x<=0_1375').
atm_h(d35,d35_13,3,'a0=0_0615<x<=0_1375').
atm_h(d35,d35_14,3,'a0=0_0615<x<=0_1375').
atm_h(d35,d35_16,1,'a0=0_1375<x<=+inf').
atm_h(d35,d35_17,1,'a0=0_1375<x<=+inf').
atm_h(d35,d35_7,3,'a0=0_1375<x<=+inf').
atm_h(d35,d35_8,3,'a0=0_1375<x<=+inf').
atm_h(d35,d35_9,3,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_15,3,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_16,3,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_21,3,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_22,3,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_23,3,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_24,3,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_30,3,'a0=0_0615<x<=0_1375').
atm_h(d36,d36a_31,3,'a0=0_0615<x<=0_1375').
atm_h(d36,d36a_32,3,'a0=0_0615<x<=0_1375').
atm_h(d36,d36a_33,8,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_38,1,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_7,3,'a0=0_1375<x<=+inf').
atm_h(d36,d36a_8,3,'a0=0_1375<x<=+inf').
atm_h(d37,d37_16,3,'a0=0_1375<x<=+inf').
atm_h(d37,d37_17,3,'a0=0_1375<x<=+inf').
atm_h(d37,d37_18,3,'a0=0_1375<x<=+inf').
atm_h(d37,d37_21,3,'a0=0_0615<x<=0_1375').
atm_h(d37,d37_22,3,'a0=0_0615<x<=0_1375').
atm_h(d37,d37_23,3,'a0=0_0615<x<=0_1375').
atm_h(d37,d37_27,3,'a0=0_0615<x<=0_1375').
atm_h(d37,d37_28,3,'a0=0_0615<x<=0_1375').
atm_h(d37,d37_29,3,'a0=0_0615<x<=0_1375').
atm_h(d37,d37_7,3,'a0=0_1375<x<=+inf').
atm_h(d37,d37_8,3,'a0=0_1375<x<=+inf').
atm_h(d37,d37_9,3,'a0=0_1375<x<=+inf').
atm_h(d38,d38_11,3,'a0=0_0615<x<=0_1375').
atm_h(d38,d38_12,3,'a0=0_0615<x<=0_1375').
atm_h(d38,d38_13,3,'a0=0_0615<x<=0_1375').
atm_h(d38,d38_7,3,'a0=0_1375<x<=+inf').
atm_h(d38,d38_8,3,'a0=0_1375<x<=+inf').
atm_h(d38,d38_9,3,'a0=0_1375<x<=+inf').
atm_h(d39,d39_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d39,d39_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d39,d39_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d39,d39_18,1,'a0=0_1375<x<=+inf').
atm_h(d39,d39_19,1,'a0=0_1375<x<=+inf').
atm_h(d39,d39_7,3,'a0=0_0615<x<=0_1375').
atm_h(d39,d39_8,3,'a0=0_0615<x<=0_1375').
atm_h(d39,d39_9,3,'a0=0_0615<x<=0_1375').
atm_h(d4,d4_10,3,'a0=0_0615<x<=0_1375').
atm_h(d4,d4_12,1,'a0=0_1375<x<=+inf').
atm_h(d4,d4_13,1,'a0=0_1375<x<=+inf').
atm_h(d4,d4_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d4,d4_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d4,d4_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d4,d4_7,3,'a0=0_0615<x<=0_1375').
atm_h(d4,d4_8,3,'a0=0_0615<x<=0_1375').
atm_h(d4,d4_9,3,'a0=0_0615<x<=0_1375').
atm_h(d40,d40_10,3,'a0=0_1375<x<=+inf').
atm_h(d40,d40_17,3,'a0=0_1375<x<=+inf').
atm_h(d40,d40_18,3,'a0=0_1375<x<=+inf').
atm_h(d40,d40_19,3,'a0=0_1375<x<=+inf').
atm_h(d40,d40_20,3,'a0=0_1375<x<=+inf').
atm_h(d40,d40_26,1,'a0=0_1375<x<=+inf').
atm_h(d40,d40_27,1,'a0=0_1375<x<=+inf').
atm_h(d40,d40_28,1,'a0=0_1375<x<=+inf').
atm_h(d40,d40_29,1,'a0=0_1375<x<=+inf').
atm_h(d40,d40_7,3,'a0=0_1375<x<=+inf').
atm_h(d40,d40_8,3,'a0=0_1375<x<=+inf').
atm_h(d40,d40_9,3,'a0=0_1375<x<=+inf').
atm_h(d41,d41_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d41,d41_7,3,'a0=0_1375<x<=+inf').
atm_h(d41,d41_8,3,'a0=0_1375<x<=+inf').
atm_h(d42,d42_12,3,'a0=0_0615<x<=0_1375').
atm_h(d42,d42_13,3,'a0=0_0615<x<=0_1375').
atm_h(d42,d42_14,3,'a0=0_0615<x<=0_1375').
atm_h(d42,d42_16,1,'a0=0_1375<x<=+inf').
atm_h(d42,d42_17,1,'a0=0_1375<x<=+inf').
atm_h(d42,d42_7,3,'a0=0_1375<x<=+inf').
atm_h(d42,d42_8,3,'a0=0_1375<x<=+inf').
atm_h(d42,d42_9,3,'a0=0_1375<x<=+inf').
atm_h(d43,d43_17,3,'a0=0_0615<x<=0_1375').
atm_h(d43,d43_18,3,'a0=0_0615<x<=0_1375').
atm_h(d43,d43_23,1,'a0=0_1375<x<=+inf').
atm_h(d43,d43_24,1,'a0=0_1375<x<=+inf').
atm_h(d43,d43_25,1,'a0=0_1375<x<=+inf').
atm_h(d43,d43_26,1,'a0=0_1375<x<=+inf').
atm_h(d43,d43_29,1,'a0=0_1375<x<=+inf').
atm_h(d43,d43_30,1,'a0=0_1375<x<=+inf').
atm_h(d43,d43_31,1,'a0=0_1375<x<=+inf').
atm_h(d43,d43_32,1,'a0=0_1375<x<=+inf').
atm_h(d43,d43_7,3,'a0=0_0615<x<=0_1375').
atm_h(d43,d43_8,3,'a0=0_0615<x<=0_1375').
atm_h(d44,d44_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d44,d44_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d44,d44_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d44,d44_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d44,d44_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d44,d44_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d44,d44_20,1,'a0=0_1375<x<=+inf').
atm_h(d44,d44_21,1,'a0=0_1375<x<=+inf').
atm_h(d44,d44_7,3,'a0=0_0615<x<=0_1375').
atm_h(d44,d44_8,3,'a0=0_0615<x<=0_1375').
atm_h(d44,d44_9,3,'a0=0_0615<x<=0_1375').
atm_h(d45,d45_13,1,'a0=0_1375<x<=+inf').
atm_h(d45,d45_14,1,'a0=0_1375<x<=+inf').
atm_h(d45,d45_15,1,'a0=0_1375<x<=+inf').
atm_h(d45,d45_16,1,'a0=0_1375<x<=+inf').
atm_h(d45,d45_7,3,'a0=0_1375<x<=+inf').
atm_h(d45,d45_8,3,'a0=0_1375<x<=+inf').
atm_h(d46,d46_16,1,'a0=0_1375<x<=+inf').
atm_h(d46,d46_17,3,'a0=0_0615<x<=0_1375').
atm_h(d46,d46_7,3,'a0=0_1375<x<=+inf').
atm_h(d46,d46_8,3,'a0=0_1375<x<=+inf').
atm_h(d46,d46_9,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_10,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_11,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_18,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_19,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_24,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_25,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_26,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_27,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_31,8,'a0=0_1375<x<=+inf').
atm_h(d47,d47_7,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_8,3,'a0=0_1375<x<=+inf').
atm_h(d47,d47_9,3,'a0=0_1375<x<=+inf').
atm_h(d48,d48_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d48,d48_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d48,d48_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d48,d48_17,1,'a0=0_1375<x<=+inf').
atm_h(d48,d48_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d48,d48_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d48,d48_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d48,d48_25,1,'a0=0_1375<x<=+inf').
atm_h(d48,d48_26,1,'a0=0_1375<x<=+inf').
atm_h(d48,d48_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d48,d48_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d48,d48_7,3,'a0=0_0615<x<=0_1375').
atm_h(d48,d48_8,3,'a0=0_0615<x<=0_1375').
atm_h(d48,d48_9,3,'a0=0_0615<x<=0_1375').
atm_h(d49,d49_13,1,'a0=0_1375<x<=+inf').
atm_h(d49,d49_14,1,'a0=0_1375<x<=+inf').
atm_h(d49,d49_17,8,'a0=0_1375<x<=+inf').
atm_h(d49,d49_7,3,'a0=0_0615<x<=0_1375').
atm_h(d49,d49_8,3,'a0=0_0615<x<=0_1375').
atm_h(d49,d49_9,3,'a0=0_0615<x<=0_1375').
atm_h(d5,d5_13,1,'a0=0_1375<x<=+inf').
atm_h(d5,d5_14,1,'a0=0_1375<x<=+inf').
atm_h(d5,d5_15,1,'a0=0_1375<x<=+inf').
atm_h(d5,d5_16,1,'a0=0_1375<x<=+inf').
atm_h(d5,d5_7,3,'a0=0_1375<x<=+inf').
atm_h(d5,d5_8,3,'a0=0_1375<x<=+inf').
atm_h(d5,d5_9,3,'a0=0_1375<x<=+inf').
atm_h(d50,d50_10,1,'a0=0_1375<x<=+inf').
atm_h(d50,d50_11,1,'a0=0_1375<x<=+inf').
atm_h(d50,d50_12,3,'a0=0_0615<x<=0_1375').
atm_h(d51,d51_10,3,'a0=0_0615<x<=0_1375').
atm_h(d51,d51_15,1,'a0=0_1375<x<=+inf').
atm_h(d51,d51_16,1,'a0=0_1375<x<=+inf').
atm_h(d51,d51_7,3,'a0=0_0615<x<=0_1375').
atm_h(d51,d51_8,3,'a0=0_0615<x<=0_1375').
atm_h(d51,d51_9,3,'a0=0_0615<x<=0_1375').
atm_h(d52,d52_10,3,'a0=0_0615<x<=0_1375').
atm_h(d52,d52_11,3,'a0=0_0615<x<=0_1375').
atm_h(d52,d52_18,3,'a0=0_0615<x<=0_1375').
atm_h(d52,d52_19,3,'a0=0_0615<x<=0_1375').
atm_h(d52,d52_20,3,'a0=0_0615<x<=0_1375').
atm_h(d52,d52_21,3,'a0=0_0615<x<=0_1375').
atm_h(d52,d52_23,1,'a0=0_1375<x<=+inf').
atm_h(d52,d52_24,1,'a0=0_1375<x<=+inf').
atm_h(d52,d52_7,3,'a0=0_0615<x<=0_1375').
atm_h(d52,d52_8,3,'a0=0_0615<x<=0_1375').
atm_h(d52,d52_9,3,'a0=0_0615<x<=0_1375').
atm_h(d53,d53_15,1,'a0=0_1375<x<=+inf').
atm_h(d53,d53_16,1,'a0=0_1375<x<=+inf').
atm_h(d53,d53_17,1,'a0=0_1375<x<=+inf').
atm_h(d53,d53_7,3,'a0=0_1375<x<=+inf').
atm_h(d53,d53_8,3,'a0=0_1375<x<=+inf').
atm_h(d54,d54_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d54,d54_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d54,d54_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d54,d54_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d54,d54_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d54,d54_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d54,d54_26,1,'a0=0_1375<x<=+inf').
atm_h(d54,d54_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d54,d54_28,3,'a0=_0_0175<x<=0_0615').
atm_h(d54,d54_7,3,'a0=0_0615<x<=0_1375').
atm_h(d54,d54_8,3,'a0=0_0615<x<=0_1375').
atm_h(d54,d54_9,3,'a0=0_0615<x<=0_1375').
atm_h(d55,d55_15,1,'a0=0_1375<x<=+inf').
atm_h(d55,d55_16,1,'a0=0_1375<x<=+inf').
atm_h(d55,d55_17,1,'a0=0_1375<x<=+inf').
atm_h(d55,d55_18,1,'a0=0_1375<x<=+inf').
atm_h(d55,d55_7,3,'a0=0_0615<x<=0_1375').
atm_h(d55,d55_8,3,'a0=0_0615<x<=0_1375').
atm_h(d55,d55_9,3,'a0=0_0615<x<=0_1375').
atm_h(d56,d56_15,1,'a0=0_1375<x<=+inf').
atm_h(d56,d56_16,1,'a0=0_1375<x<=+inf').
atm_h(d56,d56_17,8,'a0=0_1375<x<=+inf').
atm_h(d56,d56_7,3,'a0=0_0615<x<=0_1375').
atm_h(d56,d56_8,3,'a0=0_0615<x<=0_1375').
atm_h(d56,d56_9,3,'a0=0_0615<x<=0_1375').
atm_h(d57,d57_15,1,'a0=0_1375<x<=+inf').
atm_h(d57,d57_16,1,'a0=0_1375<x<=+inf').
atm_h(d57,d57_17,8,'a0=0_1375<x<=+inf').
atm_h(d57,d57_7,3,'a0=0_0615<x<=0_1375').
atm_h(d57,d57_8,3,'a0=0_0615<x<=0_1375').
atm_h(d57,d57_9,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_16,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_17,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_18,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_25,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_26,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_27,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_28,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_29,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_31,3,'a0=_0_0175<x<=0_0615').
atm_h(d58,d58_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d58,d58_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d58,d58_38,1,'a0=0_1375<x<=+inf').
atm_h(d58,d58_39,1,'a0=0_1375<x<=+inf').
atm_h(d58,d58_7,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_8,3,'a0=0_0615<x<=0_1375').
atm_h(d58,d58_9,3,'a0=0_0615<x<=0_1375').
atm_h(d59,d59_10,3,'a0=0_0615<x<=0_1375').
atm_h(d59,d59_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d59,d59_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d59,d59_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d59,d59_17,1,'a0=0_1375<x<=+inf').
atm_h(d59,d59_18,1,'a0=0_1375<x<=+inf').
atm_h(d59,d59_7,3,'a0=0_0615<x<=0_1375').
atm_h(d59,d59_8,3,'a0=0_0615<x<=0_1375').
atm_h(d59,d59_9,3,'a0=0_0615<x<=0_1375').
atm_h(d6,d6_11,1,'a0=0_1375<x<=+inf').
atm_h(d6,d6_12,1,'a0=0_1375<x<=+inf').
atm_h(d6,d6_13,3,'a0=0_1375<x<=+inf').
atm_h(d6,d6_15,1,'a0=0_1375<x<=+inf').
atm_h(d6,d6_16,1,'a0=0_1375<x<=+inf').
atm_h(d6,d6_7,3,'a0=0_1375<x<=+inf').
atm_h(d6,d6_8,3,'a0=0_1375<x<=+inf').
atm_h(d60,d60_10,3,'a0=0_1375<x<=+inf').
atm_h(d60,d60_13,1,'a0=0_1375<x<=+inf').
atm_h(d60,d60_14,1,'a0=0_1375<x<=+inf').
atm_h(d60,d60_7,3,'a0=0_1375<x<=+inf').
atm_h(d60,d60_8,3,'a0=0_1375<x<=+inf').
atm_h(d60,d60_9,3,'a0=0_1375<x<=+inf').
atm_h(d61,d61_10,3,'a0=0_1375<x<=+inf').
atm_h(d61,d61_21,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_22,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_23,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_24,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_25,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_28,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_29,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_30,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_31,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_32,3,'a0=0_0615<x<=0_1375').
atm_h(d61,d61_7,3,'a0=0_1375<x<=+inf').
atm_h(d61,d61_8,3,'a0=0_1375<x<=+inf').
atm_h(d61,d61_9,3,'a0=0_1375<x<=+inf').
atm_h(d62,d62_14,3,'a0=0_1375<x<=+inf').
atm_h(d62,d62_19,3,'a0=0_1375<x<=+inf').
atm_h(d62,d62_20,3,'a0=0_1375<x<=+inf').
atm_h(d62,d62_21,3,'a0=0_1375<x<=+inf').
atm_h(d62,d62_24,1,'a0=0_1375<x<=+inf').
atm_h(d62,d62_25,1,'a0=0_1375<x<=+inf').
atm_h(d62,d62_26,1,'a0=0_1375<x<=+inf').
atm_h(d62,d62_27,1,'a0=0_1375<x<=+inf').
atm_h(d62,d62_7,3,'a0=0_1375<x<=+inf').
atm_h(d62,d62_8,3,'a0=0_1375<x<=+inf').
atm_h(d62,d62_9,3,'a0=0_1375<x<=+inf').
atm_h(d63,d63_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d63,d63_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d63,d63_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d63,d63_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d63,d63_22,1,'a0=0_1375<x<=+inf').
atm_h(d63,d63_23,1,'a0=0_1375<x<=+inf').
atm_h(d63,d63_24,1,'a0=0_1375<x<=+inf').
atm_h(d63,d63_25,8,'a0=0_1375<x<=+inf').
atm_h(d63,d63_7,3,'a0=0_0615<x<=0_1375').
atm_h(d63,d63_8,3,'a0=0_0615<x<=0_1375').
atm_h(d63,d63_9,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_10,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_15,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_16,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_17,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_24,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_25,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_26,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_27,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_28,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_30,1,'a0=0_1375<x<=+inf').
atm_h(d64,d64_7,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_8,3,'a0=0_0615<x<=0_1375').
atm_h(d64,d64_9,3,'a0=0_0615<x<=0_1375').
atm_h(d65,d65_17,8,'a0=0_1375<x<=+inf').
atm_h(d65,d65_18,1,'a0=0_1375<x<=+inf').
atm_h(d65,d65_19,1,'a0=0_1375<x<=+inf').
atm_h(d65,d65_7,3,'a0=0_1375<x<=+inf').
atm_h(d65,d65_8,3,'a0=0_1375<x<=+inf').
atm_h(d65,d65_9,3,'a0=0_1375<x<=+inf').
atm_h(d66,d66_25,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_26,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_27,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_28,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_29,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_30,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_31,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_32,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_33,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_34,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_35,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_39,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_40,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_41,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_42,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_43,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_46,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_47,3,'a0=0_0615<x<=0_1375').
atm_h(d66,d66_48,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_49,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_50,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_53,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_54,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_55,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_58,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_59,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_60,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_61,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_62,3,'a0=_0_0175<x<=0_0615').
atm_h(d66,d66_63,1,'a0=0_1375<x<=+inf').
atm_h(d67,d67_10,3,'a0=0_0615<x<=0_1375').
atm_h(d67,d67_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d67,d67_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d67,d67_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d67,d67_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d67,d67_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d67,d67_24,1,'a0=0_1375<x<=+inf').
atm_h(d67,d67_7,3,'a0=0_0615<x<=0_1375').
atm_h(d67,d67_8,3,'a0=0_0615<x<=0_1375').
atm_h(d67,d67_9,3,'a0=0_0615<x<=0_1375').
atm_h(d68,d68_13,1,'a0=0_1375<x<=+inf').
atm_h(d68,d68_14,1,'a0=0_1375<x<=+inf').
atm_h(d68,d68_15,1,'a0=0_1375<x<=+inf').
atm_h(d68,d68_16,1,'a0=0_1375<x<=+inf').
atm_h(d68,d68_7,3,'a0=0_1375<x<=+inf').
atm_h(d68,d68_8,3,'a0=0_1375<x<=+inf').
atm_h(d68,d68_9,3,'a0=0_1375<x<=+inf').
atm_h(d69,d69_12,3,'a0=0_0615<x<=0_1375').
atm_h(d69,d69_13,3,'a0=0_0615<x<=0_1375').
atm_h(d69,d69_14,3,'a0=0_0615<x<=0_1375').
atm_h(d69,d69_16,1,'a0=0_1375<x<=+inf').
atm_h(d69,d69_17,1,'a0=0_1375<x<=+inf').
atm_h(d69,d69_7,3,'a0=0_1375<x<=+inf').
atm_h(d69,d69_8,3,'a0=0_1375<x<=+inf').
atm_h(d69,d69_9,3,'a0=0_1375<x<=+inf').
atm_h(d7,d7_16,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_17,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_18,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_19,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_26,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_27,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_28,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_29,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_32,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_35,1,'a0=0_1375<x<=+inf').
atm_h(d7,d7_36,1,'a0=0_1375<x<=+inf').
atm_h(d7,d7_37,1,'a0=0_1375<x<=+inf').
atm_h(d7,d7_38,1,'a0=0_1375<x<=+inf').
atm_h(d7,d7_39,1,'a0=0_1375<x<=+inf').
atm_h(d7,d7_40,1,'a0=0_1375<x<=+inf').
atm_h(d7,d7_7,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_8,3,'a0=0_0615<x<=0_1375').
atm_h(d7,d7_9,3,'a0=0_0615<x<=0_1375').
atm_h(d70,d70_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d70,d70_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d70,d70_15,3,'a0=_0_0175<x<=0_0615').
atm_h(d70,d70_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d70,d70_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d70,d70_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d70,d70_21,1,'a0=0_1375<x<=+inf').
atm_h(d70,d70_22,1,'a0=0_1375<x<=+inf').
atm_h(d70,d70_7,3,'a0=0_0615<x<=0_1375').
atm_h(d70,d70_8,3,'a0=0_0615<x<=0_1375').
atm_h(d70,d70_9,3,'a0=0_0615<x<=0_1375').
atm_h(d71,d71_10,3,'a0=0_1375<x<=+inf').
atm_h(d71,d71_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d71,d71_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d71,d71_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d71,d71_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d71,d71_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d71,d71_26,3,'a0=_0_0175<x<=0_0615').
atm_h(d71,d71_7,3,'a0=0_1375<x<=+inf').
atm_h(d71,d71_8,3,'a0=0_1375<x<=+inf').
atm_h(d71,d71_9,3,'a0=0_1375<x<=+inf').
atm_h(d72,d72_16,1,'a0=0_1375<x<=+inf').
atm_h(d72,d72_17,1,'a0=0_1375<x<=+inf').
atm_h(d72,d72_19,1,'a0=0_1375<x<=+inf').
atm_h(d72,d72_7,3,'a0=0_1375<x<=+inf').
atm_h(d72,d72_8,3,'a0=0_1375<x<=+inf').
atm_h(d72,d72_9,3,'a0=0_1375<x<=+inf').
atm_h(d73,d73_13,1,'a0=0_1375<x<=+inf').
atm_h(d73,d73_14,1,'a0=0_1375<x<=+inf').
atm_h(d73,d73_15,1,'a0=0_1375<x<=+inf').
atm_h(d73,d73_16,1,'a0=0_1375<x<=+inf').
atm_h(d73,d73_7,3,'a0=0_0615<x<=0_1375').
atm_h(d73,d73_8,3,'a0=0_0615<x<=0_1375').
atm_h(d73,d73_9,3,'a0=0_0615<x<=0_1375').
atm_h(d74,d74_10,3,'a0=0_0615<x<=0_1375').
atm_h(d74,d74_11,3,'a0=0_0615<x<=0_1375').
atm_h(d74,d74_18,3,'a0=0_0615<x<=0_1375').
atm_h(d74,d74_19,3,'a0=0_0615<x<=0_1375').
atm_h(d74,d74_20,3,'a0=0_0615<x<=0_1375').
atm_h(d74,d74_21,3,'a0=0_0615<x<=0_1375').
atm_h(d74,d74_24,1,'a0=0_1375<x<=+inf').
atm_h(d74,d74_25,1,'a0=0_1375<x<=+inf').
atm_h(d74,d74_26,1,'a0=0_1375<x<=+inf').
atm_h(d74,d74_7,3,'a0=0_0615<x<=0_1375').
atm_h(d74,d74_8,3,'a0=0_0615<x<=0_1375').
atm_h(d74,d74_9,3,'a0=0_0615<x<=0_1375').
atm_h(d75,d75_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d75,d75_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d75,d75_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d75,d75_16,1,'a0=0_1375<x<=+inf').
atm_h(d75,d75_17,1,'a0=0_1375<x<=+inf').
atm_h(d75,d75_18,1,'a0=0_1375<x<=+inf').
atm_h(d75,d75_19,1,'a0=0_1375<x<=+inf').
atm_h(d75,d75_7,3,'a0=0_0615<x<=0_1375').
atm_h(d75,d75_8,3,'a0=0_0615<x<=0_1375').
atm_h(d75,d75_9,3,'a0=0_0615<x<=0_1375').
atm_h(d76,d76_10,3,'a0=0_0615<x<=0_1375').
atm_h(d76,d76_11,3,'a0=0_0615<x<=0_1375').
atm_h(d76,d76_18,3,'a0=0_0615<x<=0_1375').
atm_h(d76,d76_19,3,'a0=0_0615<x<=0_1375').
atm_h(d76,d76_24,3,'a0=0_0615<x<=0_1375').
atm_h(d76,d76_25,3,'a0=0_0615<x<=0_1375').
atm_h(d76,d76_34,8,'a0=0_1375<x<=+inf').
atm_h(d76,d76_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d76,d76_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d76,d76_7,3,'a0=0_0615<x<=0_1375').
atm_h(d76,d76_8,3,'a0=0_0615<x<=0_1375').
atm_h(d76,d76_9,3,'a0=0_0615<x<=0_1375').
atm_h(d77,d77_16,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_17,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_18,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_28,3,'a0=0_0615<x<=0_1375').
atm_h(d77,d77_29,3,'a0=0_0615<x<=0_1375').
atm_h(d77,d77_30,3,'a0=0_0615<x<=0_1375').
atm_h(d77,d77_33,3,'a0=0_0615<x<=0_1375').
atm_h(d77,d77_40,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_41,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_42,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_43,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_44,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_45,1,'a0=0_1375<x<=+inf').
atm_h(d77,d77_52,3,'a0=0_0615<x<=0_1375').
atm_h(d77,d77_53,3,'a0=0_0615<x<=0_1375').
atm_h(d77,d77_54,3,'a0=0_0615<x<=0_1375').
atm_h(d77,d77_56,3,'a0=0_0615<x<=0_1375').
atm_h(d77,d77_65,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_66,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_67,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_68,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_69,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_7,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_70,1,'a0=0_1375<x<=+inf').
atm_h(d77,d77_8,3,'a0=0_1375<x<=+inf').
atm_h(d77,d77_9,3,'a0=0_1375<x<=+inf').
atm_h(d78,d78_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_14,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_16,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_17,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_30,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_32,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d78,d78_36,1,'a0=0_1375<x<=+inf').
atm_h(d78,d78_37,8,'a0=0_1375<x<=+inf').
atm_h(d78,d78_38,8,'a0=0_1375<x<=+inf').
atm_h(d78,d78_39,8,'a0=0_1375<x<=+inf').
atm_h(d78,d78_7,3,'a0=0_0615<x<=0_1375').
atm_h(d78,d78_8,3,'a0=0_0615<x<=0_1375').
atm_h(d78,d78_9,3,'a0=0_0615<x<=0_1375').
atm_h(d79,d79_10,3,'a0=0_0615<x<=0_1375').
atm_h(d79,d79_15,3,'a0=0_0615<x<=0_1375').
atm_h(d79,d79_16,3,'a0=0_0615<x<=0_1375').
atm_h(d79,d79_17,3,'a0=0_0615<x<=0_1375').
atm_h(d79,d79_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d79,d79_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d79,d79_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d79,d79_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d79,d79_26,1,'a0=0_1375<x<=+inf').
atm_h(d79,d79_27,1,'a0=0_1375<x<=+inf').
atm_h(d79,d79_28,1,'a0=0_1375<x<=+inf').
atm_h(d79,d79_7,3,'a0=0_0615<x<=0_1375').
atm_h(d79,d79_8,3,'a0=0_0615<x<=0_1375').
atm_h(d79,d79_9,3,'a0=0_0615<x<=0_1375').
atm_h(d8,d8_16,3,'a0=0_1375<x<=+inf').
atm_h(d8,d8_17,3,'a0=0_1375<x<=+inf').
atm_h(d8,d8_18,3,'a0=0_1375<x<=+inf').
atm_h(d8,d8_19,3,'a0=0_1375<x<=+inf').
atm_h(d8,d8_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d8,d8_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d8,d8_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d8,d8_27,8,'a0=0_1375<x<=+inf').
atm_h(d8,d8_30,1,'a0=0_1375<x<=+inf').
atm_h(d8,d8_33,3,'a0=_0_0175<x<=0_0615').
atm_h(d8,d8_34,3,'a0=_0_0175<x<=0_0615').
atm_h(d8,d8_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d8,d8_7,3,'a0=0_1375<x<=+inf').
atm_h(d8,d8_8,3,'a0=0_1375<x<=+inf').
atm_h(d8,d8_9,3,'a0=0_1375<x<=+inf').
atm_h(d80,d80_10,3,'a0=0_0615<x<=0_1375').
atm_h(d80,d80_15,3,'a0=0_0615<x<=0_1375').
atm_h(d80,d80_16,3,'a0=0_0615<x<=0_1375').
atm_h(d80,d80_17,3,'a0=0_0615<x<=0_1375').
atm_h(d80,d80_7,3,'a0=0_0615<x<=0_1375').
atm_h(d80,d80_8,3,'a0=0_0615<x<=0_1375').
atm_h(d80,d80_9,3,'a0=0_0615<x<=0_1375').
atm_h(d81,d81_10,3,'a0=0_0615<x<=0_1375').
atm_h(d81,d81_13,1,'a0=0_1375<x<=+inf').
atm_h(d81,d81_14,1,'a0=0_1375<x<=+inf').
atm_h(d81,d81_15,1,'a0=0_1375<x<=+inf').
atm_h(d81,d81_16,1,'a0=0_1375<x<=+inf').
atm_h(d81,d81_7,3,'a0=0_0615<x<=0_1375').
atm_h(d81,d81_8,3,'a0=0_0615<x<=0_1375').
atm_h(d81,d81_9,3,'a0=0_0615<x<=0_1375').
atm_h(d82,d82_10,3,'a0=0_1375<x<=+inf').
atm_h(d82,d82_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d82,d82_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d82,d82_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d82,d82_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d82,d82_23,3,'a0=_0_0175<x<=0_0615').
atm_h(d82,d82_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d82,d82_25,1,'a0=0_1375<x<=+inf').
atm_h(d82,d82_26,1,'a0=0_1375<x<=+inf').
atm_h(d82,d82_31,1,'a0=0_1375<x<=+inf').
atm_h(d82,d82_7,3,'a0=0_1375<x<=+inf').
atm_h(d82,d82_8,3,'a0=0_1375<x<=+inf').
atm_h(d82,d82_9,3,'a0=0_1375<x<=+inf').
atm_h(d83,d83_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d83,d83_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d83,d83_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d83,d83_14,1,'a0=0_1375<x<=+inf').
atm_h(d83,d83_15,1,'a0=0_1375<x<=+inf').
atm_h(d83,d83_16,3,'a0=0_0615<x<=0_1375').
atm_h(d83,d83_18,1,'a0=0_1375<x<=+inf').
atm_h(d83,d83_19,1,'a0=0_1375<x<=+inf').
atm_h(d83,d83_7,3,'a0=0_0615<x<=0_1375').
atm_h(d83,d83_8,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84a_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_18,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_22,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_24,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_25,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_27,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_29,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_35,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_36,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_37,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_38,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_4,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84a_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d84,d84b_10,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_12,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_13,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_14,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_19,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_20,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_21,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_22,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_23,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_26,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_28,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_29,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_34,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_35,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_37,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_38,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_8,3,'a0=0_0615<x<=0_1375').
atm_h(d84,d84b_9,3,'a0=0_0615<x<=0_1375').
atm_h(d85_1,d85_1_14,3,'a0=0_1375<x<=+inf').
atm_h(d85_1,d85_1_7,3,'a0=0_1375<x<=+inf').
atm_h(d85_2,d85_2_14,3,'a0=0_1375<x<=+inf').
atm_h(d85_2,d85_2_7,3,'a0=0_1375<x<=+inf').
atm_h(d86,d86a_15,3,'a0=0_1375<x<=+inf').
atm_h(d86,d86a_7,3,'a0=0_1375<x<=+inf').
atm_h(d86,d86a_8,3,'a0=0_1375<x<=+inf').
atm_h(d86,d86b_14,3,'a0=0_1375<x<=+inf').
atm_h(d86,d86b_17,3,'a0=0_1375<x<=+inf').
atm_h(d86,d86b_20,3,'a0=0_1375<x<=+inf').
atm_h(d86,d86b_21,3,'a0=0_1375<x<=+inf').
atm_h(d86,d86b_7,3,'a0=0_1375<x<=+inf').
atm_h(d87,d87_15,3,'a0=0_1375<x<=+inf').
atm_h(d87,d87_16,3,'a0=0_1375<x<=+inf').
atm_h(d87,d87_7,3,'a0=0_1375<x<=+inf').
atm_h(d87,d87_8,3,'a0=0_1375<x<=+inf').
atm_h(d88,d88_13,8,'a0=0_1375<x<=+inf').
atm_h(d88,d88_7,3,'a0=0_1375<x<=+inf').
atm_h(d88,d88_8,3,'a0=0_1375<x<=+inf').
atm_h(d89,d89_15,3,'a0=0_0615<x<=0_1375').
atm_h(d89,d89_17,3,'a0=0_0615<x<=0_1375').
atm_h(d89,d89_21,1,'a0=0_1375<x<=+inf').
atm_h(d89,d89_23,1,'a0=0_1375<x<=+inf').
atm_h(d89,d89_8,3,'a0=0_0615<x<=0_1375').
atm_h(d89,d89_9,3,'a0=0_0615<x<=0_1375').
atm_h(d9,d9_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d9,d9_12,3,'a0=_0_0175<x<=0_0615').
atm_h(d9,d9_13,3,'a0=_0_0175<x<=0_0615').
atm_h(d9,d9_16,1,'a0=0_1375<x<=+inf').
atm_h(d9,d9_17,1,'a0=0_1375<x<=+inf').
atm_h(d9,d9_19,3,'a0=_0_0175<x<=0_0615').
atm_h(d9,d9_20,3,'a0=_0_0175<x<=0_0615').
atm_h(d9,d9_21,3,'a0=_0_0175<x<=0_0615').
atm_h(d9,d9_7,3,'a0=0_0615<x<=0_1375').
atm_h(d9,d9_8,3,'a0=0_0615<x<=0_1375').
atm_h(d9,d9_9,3,'a0=0_0615<x<=0_1375').
atm_h(d90,d90_10,3,'a0=0_1375<x<=+inf').
atm_h(d90,d90_7,3,'a0=0_1375<x<=+inf').
atm_h(d90,d90_8,3,'a0=0_1375<x<=+inf').
atm_h(d90,d90_9,3,'a0=0_1375<x<=+inf').
atm_h(d93,d93_13,8,'a0=0_1375<x<=+inf').
atm_h(d94,d94_5,3,'a0=_0_0175<x<=0_0615').
atm_h(d94,d94_7,3,'a0=_0_0175<x<=0_0615').
atm_h(d94,d94_8,3,'a0=_0_0175<x<=0_0615').
atm_h(d95,d95_10,3,'a0=0_1375<x<=+inf').
atm_h(d95,d95_16,3,'a0=0_0615<x<=0_1375').
atm_h(d95,d95_17,3,'a0=0_0615<x<=0_1375').
atm_h(d95,d95_18,3,'a0=0_0615<x<=0_1375').
atm_h(d95,d95_20,3,'a0=0_0615<x<=0_1375').
atm_h(d95,d95_21,3,'a0=0_0615<x<=0_1375').
atm_h(d95,d95_22,3,'a0=0_0615<x<=0_1375').
atm_h(d95,d95_24,1,'a0=0_1375<x<=+inf').
atm_h(d95,d95_7,3,'a0=0_1375<x<=+inf').
atm_h(d95,d95_8,3,'a0=0_1375<x<=+inf').
atm_h(d95,d95_9,3,'a0=0_1375<x<=+inf').
atm_h(d96,d96_10,3,'a0=_0_0175<x<=0_0615').
atm_h(d96,d96_11,3,'a0=_0_0175<x<=0_0615').
atm_h(d96,d96_12,3,'a0=0_0615<x<=0_1375').
atm_h(d96,d96_13,3,'a0=0_0615<x<=0_1375').
atm_h(d96,d96_18,3,'a0=0_0615<x<=0_1375').
atm_h(d96,d96_20,3,'a0=0_0615<x<=0_1375').
atm_h(d97,d97_10,3,'a0=0_1375<x<=+inf').
atm_h(d97,d97_17,3,'a0=0_1375<x<=+inf').
atm_h(d97,d97_18,3,'a0=0_1375<x<=+inf').
atm_h(d97,d97_19,3,'a0=0_1375<x<=+inf').
atm_h(d97,d97_20,3,'a0=0_1375<x<=+inf').
atm_h(d97,d97_28,3,'a0=0_0615<x<=0_1375').
atm_h(d97,d97_29,3,'a0=0_0615<x<=0_1375').
atm_h(d97,d97_30,3,'a0=0_0615<x<=0_1375').
atm_h(d97,d97_31,3,'a0=0_0615<x<=0_1375').
atm_h(d97,d97_32,3,'a0=0_0615<x<=0_1375').
atm_h(d97,d97_33,8,'a0=0_1375<x<=+inf').
atm_h(d97,d97_7,3,'a0=0_1375<x<=+inf').
atm_h(d97,d97_8,3,'a0=0_1375<x<=+inf').
atm_h(d97,d97_9,3,'a0=0_1375<x<=+inf').

atm_hg(d310,d310_1,120,'a0=0_1375<x<=+inf').

atm_i(d241,d241_9,95,'a0=_0_1355<x<=_0_0175').
atm_i(d276,d276_2,95,'a0=_0_1355<x<=_0_0175').
atm_i(d276,d276_3,95,'a0=_0_1355<x<=_0_0175').
atm_i(d276,d276_4,95,'a0=_0_1355<x<=_0_0175').

atm_k(d182,d182_34,83,'a0=0_1375<x<=+inf').

atm_mn(d301,d301_7,85,'a0=0_1375<x<=+inf').

atm_n(d1,d1_24,32,'a0=_inf<x<=_0_1355').
atm_n(d10,d10_12,32,'a0=_inf<x<=_0_1355').
atm_n(d10,d10_13,32,'a0=_inf<x<=_0_1355').
atm_n(d109,d109_16,36,'a0=_inf<x<=_0_1355').
atm_n(d109,d109_20,32,'a0=_inf<x<=_0_1355').
atm_n(d11,d11_10,32,'a0=_inf<x<=_0_1355').
atm_n(d11,d11_11,32,'a0=_inf<x<=_0_1355').
atm_n(d114,d114_2,35,'a0=_inf<x<=_0_1355').
atm_n(d114,d114_8,32,'a0=_inf<x<=_0_1355').
atm_n(d117,d117_23,36,'a0=_inf<x<=_0_1355').
atm_n(d117,d117_7,36,'a0=_inf<x<=_0_1355').
atm_n(d117,d117_9,36,'a0=_inf<x<=_0_1355').
atm_n(d118,d118_17,32,'a0=_inf<x<=_0_1355').
atm_n(d118,d118_2,35,'a0=_inf<x<=_0_1355').
atm_n(d118,d118_4,35,'a0=_inf<x<=_0_1355').
atm_n(d118,d118_6,35,'a0=_inf<x<=_0_1355').
atm_n(d119,d119_1,36,'a0=_inf<x<=_0_1355').
atm_n(d12,d12_10,32,'a0=_inf<x<=_0_1355').
atm_n(d12,d12_11,32,'a0=_inf<x<=_0_1355').
atm_n(d123,d123_18,32,'a0=_inf<x<=_0_1355').
atm_n(d123,d123_20,32,'a0=_inf<x<=_0_1355').
atm_n(d124,d124_1,32,'a0=_inf<x<=_0_1355').
atm_n(d124,d124_3,32,'a0=_inf<x<=_0_1355').
atm_n(d127,d127_12,38,'a0=0_1375<x<=+inf').
atm_n(d13,d13_10,32,'a0=_inf<x<=_0_1355').
atm_n(d13,d13_11,38,'a0=0_1375<x<=+inf').
atm_n(d13,d13_12,32,'a0=_inf<x<=_0_1355').
atm_n(d130,d130_17,31,'a0=_inf<x<=_0_1355').
atm_n(d130,d130_18,31,'a0=_inf<x<=_0_1355').
atm_n(d131,d131_16,38,'a0=0_1375<x<=+inf').
atm_n(d132,d132_2,35,'a0=_inf<x<=_0_1355').
atm_n(d132,d132_27,36,'a0=_inf<x<=_0_1355').
atm_n(d136,d136_1,36,'a0=_inf<x<=_0_1355').
atm_n(d137,d137_12,36,'a0=_inf<x<=_0_1355').
atm_n(d137,d137_20,34,'a0=_inf<x<=_0_1355').
atm_n(d139,d139_33,36,'a0=_inf<x<=_0_1355').
atm_n(d14,d14_12,32,'a0=_inf<x<=_0_1355').
atm_n(d14,d14_13,32,'a0=_inf<x<=_0_1355').
atm_n(d142,d142_11,34,'a0=_inf<x<=_0_1355').
atm_n(d143,d143_10,32,'a0=_inf<x<=_0_1355').
atm_n(d143,d143_5,35,'a0=_inf<x<=_0_1355').
atm_n(d15,d15_24,32,'a0=_inf<x<=_0_1355').
atm_n(d15,d15_25,32,'a0=_inf<x<=_0_1355').
atm_n(d152,d152_13,36,'a0=_inf<x<=_0_1355').
atm_n(d152,d152_17,32,'a0=_inf<x<=_0_1355').
atm_n(d152,d152_20,33,'a0=_inf<x<=_0_1355').
atm_n(d154,d154_22,36,'a0=_inf<x<=_0_1355').
atm_n(d155,d155_32,36,'a0=_inf<x<=_0_1355').
atm_n(d155,d155_47,36,'a0=_inf<x<=_0_1355').
atm_n(d157,d157_30,36,'a0=_inf<x<=_0_1355').
atm_n(d159,d159_19,32,'a0=_inf<x<=_0_1355').
atm_n(d159,d159_41,32,'a0=_inf<x<=_0_1355').
atm_n(d16,d16_23,38,'a0=0_1375<x<=+inf').
atm_n(d163,d163_14,32,'a0=_inf<x<=_0_1355').
atm_n(d163,d163_3,32,'a0=_inf<x<=_0_1355').
atm_n(d166,d166_9,32,'a0=_inf<x<=_0_1355').
atm_n(d167,d167_20,36,'a0=_inf<x<=_0_1355').
atm_n(d17,d17_17,32,'a0=_inf<x<=_0_1355').
atm_n(d17,d17_18,32,'a0=_inf<x<=_0_1355').
atm_n(d171,d171_16,32,'a0=_inf<x<=_0_1355').
atm_n(d171,d171_18,32,'a0=_inf<x<=_0_1355').
atm_n(d171,d171_29,36,'a0=_inf<x<=_0_1355').
atm_n(d175,d175_16,32,'a0=_inf<x<=_0_1355').
atm_n(d175,d175_20,37,'a0=_0_1355<x<=_0_0175').
atm_n(d175,d175_21,32,'a0=_inf<x<=_0_1355').
atm_n(d175,d175_23,37,'a0=_0_1355<x<=_0_0175').
atm_n(d175,d175_24,37,'a0=_inf<x<=_0_1355').
atm_n(d176,d176_13,32,'a0=_inf<x<=_0_1355').
atm_n(d176,d176_15,32,'a0=_inf<x<=_0_1355').
atm_n(d179,d179_18,32,'a0=_inf<x<=_0_1355').
atm_n(d179,d179_21,32,'a0=_inf<x<=_0_1355').
atm_n(d18,d18_10,32,'a0=_inf<x<=_0_1355').
atm_n(d18,d18_21,34,'a0=_inf<x<=_0_1355').
atm_n(d18,d18_5,38,'a0=0_1375<x<=+inf').
atm_n(d18,d18_8,32,'a0=_inf<x<=_0_1355').
atm_n(d180,d180_17,36,'a0=_inf<x<=_0_1355').
atm_n(d180,d180_9,34,'a0=_inf<x<=_0_1355').
atm_n(d182,d182_18,32,'a0=_inf<x<=_0_1355').
atm_n(d182,d182_24,33,'a0=_inf<x<=_0_1355').
atm_n(d183,d183_41,36,'a0=_inf<x<=_0_1355').
atm_n(d183,d183_52,32,'a0=_inf<x<=_0_1355').
atm_n(d184,d184_20,36,'a0=_inf<x<=_0_1355').
atm_n(d186,d186a_104,36,'a0=_inf<x<=_0_1355').
atm_n(d187,d187_16,36,'a0=_inf<x<=_0_1355').
atm_n(d189,d189_14,36,'a0=_inf<x<=_0_1355').
atm_n(d19,d19_22,38,'a0=0_1375<x<=+inf').
atm_n(d192,d192_11,32,'a0=_inf<x<=_0_1355').
atm_n(d197,d197_23,32,'a0=_inf<x<=_0_1355').
atm_n(d197,d197_24,32,'a0=_inf<x<=_0_1355').
atm_n(d198,d198_10,36,'a0=_inf<x<=_0_1355').
atm_n(d198,d198_6,36,'a0=_inf<x<=_0_1355').
atm_n(d199,d199_12,32,'a0=_inf<x<=_0_1355').
atm_n(d199,d199_24,32,'a0=_inf<x<=_0_1355').
atm_n(d2,d2_13,34,'a0=_inf<x<=_0_1355').
atm_n(d2,d2_28,32,'a0=_inf<x<=_0_1355').
atm_n(d20,d20_11,32,'a0=_inf<x<=_0_1355').
atm_n(d20,d20_12,38,'a0=0_1375<x<=+inf').
atm_n(d203,d203_2,35,'a0=_inf<x<=_0_1355').
atm_n(d203,d203_4,35,'a0=_inf<x<=_0_1355').
atm_n(d203,d203_6,35,'a0=_inf<x<=_0_1355').
atm_n(d203,d203_7,32,'a0=_inf<x<=_0_1355').
atm_n(d203,d203_8,32,'a0=_inf<x<=_0_1355').
atm_n(d203,d203_9,32,'a0=_inf<x<=_0_1355').
atm_n(d204,d204_1,36,'a0=_inf<x<=_0_1355').
atm_n(d204,d204_7,36,'a0=_inf<x<=_0_1355').
atm_n(d205,d205_17,36,'a0=_inf<x<=_0_1355').
atm_n(d205,d205_7,36,'a0=_inf<x<=_0_1355').
atm_n(d208_1,d208_1_1,36,'a0=_inf<x<=_0_1355').
atm_n(d208_1,d208_1_3,36,'a0=_inf<x<=_0_1355').
atm_n(d208_1,d208_1_5,36,'a0=_inf<x<=_0_1355').
atm_n(d208_1,d208_1_7,36,'a0=_inf<x<=_0_1355').
atm_n(d208_2,d208_2_24,36,'a0=_inf<x<=_0_1355').
atm_n(d208_2,d208_2_40,36,'a0=_inf<x<=_0_1355').
atm_n(d208_2,d208_2_56,36,'a0=_inf<x<=_0_1355').
atm_n(d208_2,d208_2_7,36,'a0=_inf<x<=_0_1355').
atm_n(d21,d21_23,38,'a0=0_1375<x<=+inf').
atm_n(d210,d210_15,32,'a0=_inf<x<=_0_1355').
atm_n(d210,d210_17,32,'a0=_inf<x<=_0_1355').
atm_n(d211,d211_16,32,'a0=_inf<x<=_0_1355').
atm_n(d211,d211_19,32,'a0=_inf<x<=_0_1355').
atm_n(d212,d212_22,32,'a0=_inf<x<=_0_1355').
atm_n(d212,d212_23,32,'a0=_inf<x<=_0_1355').
atm_n(d213,d213_11,32,'a0=_inf<x<=_0_1355').
atm_n(d214,d214_17,36,'a0=_inf<x<=_0_1355').
atm_n(d214,d214_20,36,'a0=_inf<x<=_0_1355').
atm_n(d215,d215_18,36,'a0=_inf<x<=_0_1355').
atm_n(d215,d215_2,35,'a0=_inf<x<=_0_1355').
atm_n(d216,d216_17,36,'a0=_inf<x<=_0_1355').
atm_n(d216,d216_7,36,'a0=_inf<x<=_0_1355').
atm_n(d217,d217_12,32,'a0=_inf<x<=_0_1355').
atm_n(d217,d217_16,32,'a0=_inf<x<=_0_1355').
atm_n(d218,d218_6,36,'a0=_inf<x<=_0_1355').
atm_n(d219,d219_20,36,'a0=_inf<x<=_0_1355').
atm_n(d219,d219_6,36,'a0=_inf<x<=_0_1355').
atm_n(d22,d22_22,32,'a0=_inf<x<=_0_1355').
atm_n(d22,d22_23,32,'a0=_inf<x<=_0_1355').
atm_n(d221,d221_21,32,'a0=_inf<x<=_0_1355').
atm_n(d221,d221_22,32,'a0=_inf<x<=_0_1355').
atm_n(d222,d222_28,32,'a0=_inf<x<=_0_1355').
atm_n(d222,d222_9,32,'a0=_inf<x<=_0_1355').
atm_n(d223,d223_12,32,'a0=_inf<x<=_0_1355').
atm_n(d223,d223_14,36,'a0=_inf<x<=_0_1355').
atm_n(d226,d226_2,35,'a0=_inf<x<=_0_1355').
atm_n(d231,d231_52,32,'a0=_inf<x<=_0_1355').
atm_n(d23_1,d23_1_22,32,'a0=_inf<x<=_0_1355').
atm_n(d23_1,d23_1_23,32,'a0=_inf<x<=_0_1355').
atm_n(d23_2,d23_2_16,35,'a0=_inf<x<=_0_1355').
atm_n(d23_2,d23_2_20,32,'a0=_inf<x<=_0_1355').
atm_n(d23_2,d23_2_21,32,'a0=_inf<x<=_0_1355').
atm_n(d23_2,d23_2_22,32,'a0=_inf<x<=_0_1355').
atm_n(d23_2,d23_2_23,32,'a0=_inf<x<=_0_1355').
atm_n(d24,d24_22,32,'a0=_inf<x<=_0_1355').
atm_n(d24,d24_23,32,'a0=_inf<x<=_0_1355').
atm_n(d246,d246_11,32,'a0=_inf<x<=_0_1355').
atm_n(d246,d246_82,32,'a0=_inf<x<=_0_1355').
atm_n(d247,d247_6,36,'a0=_inf<x<=_0_1355').
atm_n(d25,d25_11,32,'a0=_inf<x<=_0_1355').
atm_n(d252,d252_7,32,'a0=_inf<x<=_0_1355').
atm_n(d256,d256_10,32,'a0=_inf<x<=_0_1355').
atm_n(d256,d256_11,32,'a0=_inf<x<=_0_1355').
atm_n(d256,d256_9,32,'a0=_inf<x<=_0_1355').
atm_n(d258,d258_23,32,'a0=_inf<x<=_0_1355').
atm_n(d26,d26_9,32,'a0=_inf<x<=_0_1355').
atm_n(d260,d260_11,38,'a0=0_1375<x<=+inf').
atm_n(d260,d260_13,38,'a0=0_1375<x<=+inf').
atm_n(d260,d260_3,38,'a0=0_1375<x<=+inf').
atm_n(d260,d260_7,38,'a0=0_1375<x<=+inf').
atm_n(d262,d262_1,31,'a0=_inf<x<=_0_1355').
atm_n(d262,d262_3,31,'a0=_inf<x<=_0_1355').
atm_n(d265,d265_11,32,'a0=_inf<x<=_0_1355').
atm_n(d268,d268_2,35,'a0=_inf<x<=_0_1355').
atm_n(d269,d269_23,35,'a0=_inf<x<=_0_1355').
atm_n(d269,d269_25,35,'a0=_inf<x<=_0_1355').
atm_n(d27,d27_1,32,'a0=_inf<x<=_0_1355').
atm_n(d27,d27_12,38,'a0=0_1375<x<=+inf').
atm_n(d27,d27_4,32,'a0=_inf<x<=_0_1355').
atm_n(d27,d27_8,32,'a0=_inf<x<=_0_1355').
atm_n(d277,d277_2,32,'a0=_inf<x<=_0_1355').
atm_n(d277,d277_27,32,'a0=_inf<x<=_0_1355').
atm_n(d278,d278_2,32,'a0=_inf<x<=_0_1355').
atm_n(d278,d278_25,32,'a0=_inf<x<=_0_1355').
atm_n(d279,d279_2,32,'a0=_inf<x<=_0_1355').
atm_n(d28,d28_11,32,'a0=_inf<x<=_0_1355').
atm_n(d28,d28_6,38,'a0=0_1375<x<=+inf').
atm_n(d28,d28_8,32,'a0=_inf<x<=_0_1355').
atm_n(d28,d28_9,32,'a0=_inf<x<=_0_1355').
atm_n(d280,d280_14,32,'a0=_inf<x<=_0_1355').
atm_n(d280,d280_15,32,'a0=_inf<x<=_0_1355').
atm_n(d280,d280_2,32,'a0=_inf<x<=_0_1355').
atm_n(d281,d281_1,38,'a0=0_1375<x<=+inf').
atm_n(d281,d281_3,38,'a0=0_1375<x<=+inf').
atm_n(d281,d281_4,38,'a0=0_1375<x<=+inf').
atm_n(d281,d281_5,38,'a0=0_1375<x<=+inf').
atm_n(d282,d282_1,38,'a0=0_1375<x<=+inf').
atm_n(d284,d284_8,32,'a0=_inf<x<=_0_1355').
atm_n(d288,d288_3,36,'a0=_inf<x<=_0_1355').
atm_n(d29,d29a_14,32,'a0=_inf<x<=_0_1355').
atm_n(d29,d29a_15,32,'a0=_inf<x<=_0_1355').
atm_n(d29,d29b_14,32,'a0=_inf<x<=_0_1355').
atm_n(d29,d29b_15,32,'a0=_inf<x<=_0_1355').
atm_n(d290,d290_12,32,'a0=_inf<x<=_0_1355').
atm_n(d291,d291_1,32,'a0=_inf<x<=_0_1355').
atm_n(d292,d292_13,32,'a0=_inf<x<=_0_1355').
atm_n(d292,d292_14,36,'a0=_inf<x<=_0_1355').
atm_n(d293,d293_11,34,'a0=_inf<x<=_0_1355').
atm_n(d293,d293_12,34,'a0=_inf<x<=_0_1355').
atm_n(d293,d293_13,34,'a0=_inf<x<=_0_1355').
atm_n(d294,d294_10,35,'a0=_inf<x<=_0_1355').
atm_n(d298,d298_14,32,'a0=_inf<x<=_0_1355').
atm_n(d298,d298_31,36,'a0=_inf<x<=_0_1355').
atm_n(d3,d3_27,32,'a0=_inf<x<=_0_1355').
atm_n(d30,d30_11,32,'a0=_inf<x<=_0_1355').
atm_n(d303,d303_12,38,'a0=0_1375<x<=+inf').
atm_n(d31,d31a_19,32,'a0=_inf<x<=_0_1355').
atm_n(d31,d31a_30,32,'a0=_inf<x<=_0_1355').
atm_n(d311,d311_17,36,'a0=_inf<x<=_0_1355').
atm_n(d312,d312_2,32,'a0=_inf<x<=_0_1355').
atm_n(d312,d312_6,32,'a0=_inf<x<=_0_1355').
atm_n(d312,d312_7,34,'a0=_inf<x<=_0_1355').
atm_n(d312,d312_9,34,'a0=_inf<x<=_0_1355').
atm_n(d314,d314_10,35,'a0=_inf<x<=_0_1355').
atm_n(d314,d314_2,35,'a0=_inf<x<=_0_1355').
atm_n(d314,d314_22,32,'a0=_inf<x<=_0_1355').
atm_n(d314,d314_23,32,'a0=_inf<x<=_0_1355').
atm_n(d314,d314_24,32,'a0=_inf<x<=_0_1355').
atm_n(d314,d314_6,35,'a0=_inf<x<=_0_1355').
atm_n(d314,d314_7,35,'a0=_inf<x<=_0_1355').
atm_n(d315,d315_24,32,'a0=_inf<x<=_0_1355').
atm_n(d315,d315_26,32,'a0=_inf<x<=_0_1355').
atm_n(d317,d317_1,36,'a0=_inf<x<=_0_1355').
atm_n(d318,d318_23,32,'a0=_inf<x<=_0_1355').
atm_n(d318,d318_25,32,'a0=_inf<x<=_0_1355').
atm_n(d32,d32a_19,32,'a0=_inf<x<=_0_1355').
atm_n(d32,d32a_20,32,'a0=_inf<x<=_0_1355').
atm_n(d320,d320_13,38,'a0=0_1375<x<=+inf').
atm_n(d321,d321_2,32,'a0=_inf<x<=_0_1355').
atm_n(d321,d321_3,31,'a0=_inf<x<=_0_1355').
atm_n(d321,d321_4,31,'a0=_inf<x<=_0_1355').
atm_n(d322,d322_15,32,'a0=_inf<x<=_0_1355').
atm_n(d322,d322_16,32,'a0=_inf<x<=_0_1355').
atm_n(d322,d322_28,32,'a0=_inf<x<=_0_1355').
atm_n(d322,d322_38,35,'a0=_inf<x<=_0_1355').
atm_n(d322,d322_40,34,'a0=_inf<x<=_0_1355').
atm_n(d322,d322_54,32,'a0=_inf<x<=_0_1355').
atm_n(d323,d323_10,32,'a0=_inf<x<=_0_1355').
atm_n(d323,d323_11,32,'a0=_inf<x<=_0_1355').
atm_n(d323,d323_33,38,'a0=0_1375<x<=+inf').
atm_n(d324,d324_27,32,'a0=_inf<x<=_0_1355').
atm_n(d324,d324_30,38,'a0=0_1375<x<=+inf').
atm_n(d324,d324_35,32,'a0=_inf<x<=_0_1355').
atm_n(d324,d324_36,32,'a0=_inf<x<=_0_1355').
atm_n(d324,d324_51,38,'a0=0_1375<x<=+inf').
atm_n(d325,d325_11,32,'a0=_inf<x<=_0_1355').
atm_n(d325,d325_12,32,'a0=_inf<x<=_0_1355').
atm_n(d326,d326_12,32,'a0=_inf<x<=_0_1355').
atm_n(d327,d327_11,32,'a0=_inf<x<=_0_1355').
atm_n(d327,d327_2,35,'a0=_inf<x<=_0_1355').
atm_n(d327,d327_23,32,'a0=_inf<x<=_0_1355').
atm_n(d327,d327_24,32,'a0=_inf<x<=_0_1355').
atm_n(d329,d329_27,32,'a0=_inf<x<=_0_1355').
atm_n(d329,d329_28,32,'a0=_inf<x<=_0_1355').
atm_n(d329,d329_55,32,'a0=_inf<x<=_0_1355').
atm_n(d329,d329_56,32,'a0=_inf<x<=_0_1355').
atm_n(d33,d33_12,32,'a0=_inf<x<=_0_1355').
atm_n(d330,d330_19,32,'a0=_inf<x<=_0_1355').
atm_n(d330,d330_20,32,'a0=_inf<x<=_0_1355').
atm_n(d330,d330_41,32,'a0=_inf<x<=_0_1355').
atm_n(d330,d330_49,32,'a0=_inf<x<=_0_1355').
atm_n(d330,d330_50,32,'a0=_inf<x<=_0_1355').
atm_n(d330,d330_69,32,'a0=_inf<x<=_0_1355').
atm_n(d333,d333_23,32,'a0=_inf<x<=_0_1355').
atm_n(d333,d333_28,32,'a0=_inf<x<=_0_1355').
atm_n(d334,d334_10,38,'a0=0_1375<x<=+inf').
atm_n(d334,d334_12,32,'a0=_inf<x<=_0_1355').
atm_n(d335,d335_11,32,'a0=_inf<x<=_0_1355').
atm_n(d335,d335_12,38,'a0=0_1375<x<=+inf').
atm_n(d336,d336_16,38,'a0=0_1375<x<=+inf').
atm_n(d34,d34_23,32,'a0=_inf<x<=_0_1355').
atm_n(d34,d34_24,32,'a0=_inf<x<=_0_1355').
atm_n(d35,d35_10,32,'a0=_inf<x<=_0_1355').
atm_n(d36,d36a_25,32,'a0=_inf<x<=_0_1355').
atm_n(d36,d36a_26,32,'a0=_inf<x<=_0_1355').
atm_n(d37,d37_24,32,'a0=_inf<x<=_0_1355').
atm_n(d37,d37_30,32,'a0=_inf<x<=_0_1355').
atm_n(d38,d38_14,38,'a0=0_1375<x<=+inf').
atm_n(d38,d38_15,38,'a0=0_1375<x<=+inf').
atm_n(d39,d39_10,32,'a0=_inf<x<=_0_1355').
atm_n(d39,d39_15,38,'a0=0_1375<x<=+inf').
atm_n(d4,d4_11,32,'a0=_inf<x<=_0_1355').
atm_n(d40,d40_22,32,'a0=_inf<x<=_0_1355').
atm_n(d40,d40_23,32,'a0=_inf<x<=_0_1355').
atm_n(d41,d41_13,32,'a0=_inf<x<=_0_1355').
atm_n(d41,d41_16,38,'a0=0_1375<x<=+inf').
atm_n(d41,d41_17,38,'a0=0_1375<x<=+inf').
atm_n(d42,d42_10,32,'a0=_inf<x<=_0_1355').
atm_n(d43,d43_21,32,'a0=_inf<x<=_0_1355').
atm_n(d43,d43_22,32,'a0=_inf<x<=_0_1355').
atm_n(d43,d43_27,32,'a0=_inf<x<=_0_1355').
atm_n(d43,d43_28,32,'a0=_inf<x<=_0_1355').
atm_n(d44,d44_10,32,'a0=_inf<x<=_0_1355').
atm_n(d45,d45_10,32,'a0=_inf<x<=_0_1355').
atm_n(d45,d45_9,32,'a0=_inf<x<=_0_1355').
atm_n(d46,d46_10,38,'a0=0_1375<x<=+inf').
atm_n(d46,d46_13,34,'a0=_inf<x<=_0_1355').
atm_n(d46,d46_14,34,'a0=_inf<x<=_0_1355').
atm_n(d47,d47_28,32,'a0=_inf<x<=_0_1355').
atm_n(d47,d47_29,32,'a0=_inf<x<=_0_1355').
atm_n(d48,d48_10,32,'a0=_inf<x<=_0_1355').
atm_n(d48,d48_18,32,'a0=_inf<x<=_0_1355').
atm_n(d49,d49_10,32,'a0=_inf<x<=_0_1355').
atm_n(d49,d49_12,38,'a0=0_1375<x<=+inf').
atm_n(d5,d5_10,32,'a0=_inf<x<=_0_1355').
atm_n(d5,d5_11,32,'a0=_inf<x<=_0_1355').
atm_n(d50,d50_3,34,'a0=_inf<x<=_0_1355').
atm_n(d50,d50_6,32,'a0=_inf<x<=_0_1355').
atm_n(d50,d50_7,38,'a0=0_1375<x<=+inf').
atm_n(d51,d51_11,32,'a0=_inf<x<=_0_1355').
atm_n(d51,d51_12,32,'a0=_inf<x<=_0_1355').
atm_n(d52,d52_22,32,'a0=_inf<x<=_0_1355').
atm_n(d53,d53_12,32,'a0=_inf<x<=_0_1355').
atm_n(d54,d54_16,38,'a0=0_1375<x<=+inf').
atm_n(d54,d54_17,32,'a0=_inf<x<=_0_1355').
atm_n(d55,d55_10,32,'a0=_inf<x<=_0_1355').
atm_n(d55,d55_11,38,'a0=0_1375<x<=+inf').
atm_n(d55,d55_12,32,'a0=_inf<x<=_0_1355').
atm_n(d56,d56_11,32,'a0=_inf<x<=_0_1355').
atm_n(d56,d56_12,38,'a0=0_1375<x<=+inf').
atm_n(d57,d57_11,32,'a0=_inf<x<=_0_1355').
atm_n(d57,d57_12,38,'a0=0_1375<x<=+inf').
atm_n(d58,d58_34,38,'a0=0_1375<x<=+inf').
atm_n(d58,d58_35,32,'a0=_inf<x<=_0_1355').
atm_n(d58,d58_36,32,'a0=_inf<x<=_0_1355').
atm_n(d59,d59_11,32,'a0=_inf<x<=_0_1355').
atm_n(d6,d6_14,32,'a0=_inf<x<=_0_1355').
atm_n(d6,d6_9,32,'a0=_inf<x<=_0_1355').
atm_n(d60,d60_11,32,'a0=_inf<x<=_0_1355').
atm_n(d61,d61_11,38,'a0=0_1375<x<=+inf').
atm_n(d62,d62_10,35,'a0=_inf<x<=_0_1355').
atm_n(d62,d62_22,32,'a0=_inf<x<=_0_1355').
atm_n(d62,d62_23,32,'a0=_inf<x<=_0_1355').
atm_n(d63,d63_10,32,'a0=_inf<x<=_0_1355').
atm_n(d63,d63_11,38,'a0=0_1375<x<=+inf').
atm_n(d63,d63_12,32,'a0=_inf<x<=_0_1355').
atm_n(d64,d64_29,32,'a0=_inf<x<=_0_1355').
atm_n(d65,d65_11,38,'a0=0_1375<x<=+inf').
atm_n(d66,d66_36,32,'a0=_inf<x<=_0_1355').
atm_n(d66,d66_51,32,'a0=_inf<x<=_0_1355').
atm_n(d67,d67_11,32,'a0=_inf<x<=_0_1355').
atm_n(d68,d68_10,32,'a0=_inf<x<=_0_1355').
atm_n(d68,d68_11,32,'a0=_inf<x<=_0_1355').
atm_n(d69,d69_10,32,'a0=_inf<x<=_0_1355').
atm_n(d7,d7_31,499,'a0=_0_1355<x<=_0_0175').
atm_n(d7,d7_33,32,'a0=_inf<x<=_0_1355').
atm_n(d7,d7_34,32,'a0=_inf<x<=_0_1355').
atm_n(d70,d70_10,32,'a0=_inf<x<=_0_1355').
atm_n(d71,d71_11,38,'a0=0_1375<x<=+inf').
atm_n(d72,d72_10,32,'a0=_inf<x<=_0_1355').
atm_n(d72,d72_13,38,'a0=0_1375<x<=+inf').
atm_n(d73,d73_10,32,'a0=_inf<x<=_0_1355').
atm_n(d73,d73_11,32,'a0=_inf<x<=_0_1355').
atm_n(d73,d73_12,38,'a0=0_1375<x<=+inf').
atm_n(d74,d74_22,32,'a0=_inf<x<=_0_1355').
atm_n(d74,d74_23,32,'a0=_inf<x<=_0_1355').
atm_n(d75,d75_10,32,'a0=_inf<x<=_0_1355').
atm_n(d75,d75_15,32,'a0=_inf<x<=_0_1355').
atm_n(d76,d76_26,32,'a0=_inf<x<=_0_1355').
atm_n(d76,d76_27,32,'a0=_inf<x<=_0_1355').
atm_n(d77,d77_21,32,'a0=_inf<x<=_0_1355').
atm_n(d77,d77_22,32,'a0=_inf<x<=_0_1355').
atm_n(d77,d77_26,32,'a0=_inf<x<=_0_1355').
atm_n(d77,d77_46,32,'a0=_inf<x<=_0_1355').
atm_n(d77,d77_47,32,'a0=_inf<x<=_0_1355').
atm_n(d77,d77_58,32,'a0=_inf<x<=_0_1355').
atm_n(d78,d78_10,32,'a0=_inf<x<=_0_1355').
atm_n(d78,d78_25,38,'a0=0_1375<x<=+inf').
atm_n(d78,d78_26,32,'a0=_inf<x<=_0_1355').
atm_n(d79,d79_18,32,'a0=_inf<x<=_0_1355').
atm_n(d79,d79_23,36,'a0=_inf<x<=_0_1355').
atm_n(d8,d8_20,32,'a0=_inf<x<=_0_1355').
atm_n(d8,d8_21,32,'a0=_inf<x<=_0_1355').
atm_n(d8,d8_28,32,'a0=_inf<x<=_0_1355').
atm_n(d80,d80_18,38,'a0=0_1375<x<=+inf').
atm_n(d81,d81_11,32,'a0=_inf<x<=_0_1355').
atm_n(d81,d81_12,32,'a0=_inf<x<=_0_1355').
atm_n(d82,d82_11,32,'a0=_inf<x<=_0_1355').
atm_n(d82,d82_14,34,'a0=_inf<x<=_0_1355').
atm_n(d82,d82_29,32,'a0=_inf<x<=_0_1355').
atm_n(d83,d83_13,32,'a0=_inf<x<=_0_1355').
atm_n(d83,d83_17,32,'a0=_inf<x<=_0_1355').
atm_n(d9,d9_14,32,'a0=_inf<x<=_0_1355').
atm_n(d95,d95_12,32,'a0=_inf<x<=_0_1355').
atm_n(d95,d95_14,32,'a0=_inf<x<=_0_1355').
atm_n(d98,d98_13,31,'a0=_inf<x<=_0_1355').
atm_n(d98,d98_14,31,'a0=_inf<x<=_0_1355').

atm_na(d158,d158_1,81,'a0=0_1375<x<=+inf').
atm_na(d163,d163_10,81,'a0=0_1375<x<=+inf').
atm_na(d163,d163_13,81,'a0=0_1375<x<=+inf').
atm_na(d163,d163_21,81,'a0=0_1375<x<=+inf').
atm_na(d163,d163_24,81,'a0=0_1375<x<=+inf').
atm_na(d212,d212_19,81,'a0=0_1375<x<=+inf').
atm_na(d212,d212_43,81,'a0=0_1375<x<=+inf').
atm_na(d218,d218_18,81,'a0=0_1375<x<=+inf').
atm_na(d221,d221_18,81,'a0=0_1375<x<=+inf').
atm_na(d221,d221_35,81,'a0=0_1375<x<=+inf').
atm_na(d280,d280_18,81,'a0=0_1375<x<=+inf').
atm_na(d286,d286_8,81,'a0=0_1375<x<=+inf').
atm_na(d321,d321_1,81,'a0=0_1375<x<=+inf').
atm_na(d58,d58_45,81,'a0=0_1375<x<=+inf').
atm_na(d76,d76_33,81,'a0=0_1375<x<=+inf').
atm_na(d76,d76_42,81,'a0=0_1375<x<=+inf').

atm_o(d1,d1_22,40,'a0=_inf<x<=_0_1355').
atm_o(d1,d1_23,40,'a0=_inf<x<=_0_1355').
atm_o(d10,d10_14,45,'a0=_inf<x<=_0_1355').
atm_o(d10,d10_16,40,'a0=_inf<x<=_0_1355').
atm_o(d108,d108_22,45,'a0=_inf<x<=_0_1355').
atm_o(d109,d109_13,45,'a0=_inf<x<=_0_1355').
atm_o(d109,d109_17,51,'a0=_inf<x<=_0_1355').
atm_o(d109,d109_18,40,'a0=_inf<x<=_0_1355').
atm_o(d109,d109_19,40,'a0=_inf<x<=_0_1355').
atm_o(d109,d109_5,52,'a0=_0_0175<x<=0_0615').
atm_o(d11,d11_12,50,'a0=_inf<x<=_0_1355').
atm_o(d111,d111_19,50,'a0=_inf<x<=_0_1355').
atm_o(d111,d111_20,50,'a0=_inf<x<=_0_1355').
atm_o(d112,d112_13,50,'a0=_inf<x<=_0_1355').
atm_o(d114,d114_11,45,'a0=_inf<x<=_0_1355').
atm_o(d114,d114_15,51,'a0=_inf<x<=_0_1355').
atm_o(d117,d117_19,40,'a0=_inf<x<=_0_1355').
atm_o(d117,d117_20,40,'a0=_inf<x<=_0_1355').
atm_o(d117,d117_24,40,'a0=_inf<x<=_0_1355').
atm_o(d117,d117_25,40,'a0=_inf<x<=_0_1355').
atm_o(d121,d121_17,50,'a0=_inf<x<=_0_1355').
atm_o(d122,d122_27,50,'a0=_inf<x<=_0_1355').
atm_o(d122,d122_32,50,'a0=_inf<x<=_0_1355').
atm_o(d123,d123_21,40,'a0=_inf<x<=_0_1355').
atm_o(d123,d123_23,40,'a0=_inf<x<=_0_1355').
atm_o(d124,d124_4,40,'a0=_inf<x<=_0_1355').
atm_o(d124,d124_7,40,'a0=_inf<x<=_0_1355').
atm_o(d124,d124_8,40,'a0=_inf<x<=_0_1355').
atm_o(d127,d127_13,40,'a0=_inf<x<=_0_1355').
atm_o(d127,d127_14,40,'a0=_inf<x<=_0_1355').
atm_o(d128,d128_13,50,'a0=_inf<x<=_0_1355').
atm_o(d13,d13_18,40,'a0=_inf<x<=_0_1355').
atm_o(d13,d13_19,40,'a0=_inf<x<=_0_1355').
atm_o(d13,d13_24,45,'a0=_inf<x<=_0_1355').
atm_o(d13,d13_31,45,'a0=_inf<x<=_0_1355').
atm_o(d131,d131_17,40,'a0=_inf<x<=_0_1355').
atm_o(d131,d131_18,40,'a0=_inf<x<=_0_1355').
atm_o(d131,d131_9,50,'a0=_inf<x<=_0_1355').
atm_o(d133,d133_10,45,'a0=_inf<x<=_0_1355').
atm_o(d135,d135_13,51,'a0=_inf<x<=_0_1355').
atm_o(d135,d135_34,49,'a0=_inf<x<=_0_1355').
atm_o(d135,d135_40,49,'a0=_inf<x<=_0_1355').
atm_o(d135,d135_63,51,'a0=_inf<x<=_0_1355').
atm_o(d136,d136_12,51,'a0=_inf<x<=_0_1355').
atm_o(d136,d136_13,45,'a0=_inf<x<=_0_1355').
atm_o(d136,d136_18,45,'a0=_inf<x<=_0_1355').
atm_o(d136,d136_19,51,'a0=_inf<x<=_0_1355').
atm_o(d136,d136_6,51,'a0=_inf<x<=_0_1355').
atm_o(d136,d136_7,45,'a0=_inf<x<=_0_1355').
atm_o(d137,d137_21,50,'a0=_inf<x<=_0_1355').
atm_o(d137,d137_45,49,'a0=_inf<x<=_0_1355').
atm_o(d137,d137_50,51,'a0=_inf<x<=_0_1355').
atm_o(d137,d137_51,50,'a0=_inf<x<=_0_1355').
atm_o(d137,d137_57,49,'a0=_inf<x<=_0_1355').
atm_o(d137,d137_68,51,'a0=_inf<x<=_0_1355').
atm_o(d137,d137_69,50,'a0=_inf<x<=_0_1355').
atm_o(d137,d137_74,50,'a0=_inf<x<=_0_1355').
atm_o(d137,d137_79,50,'a0=_inf<x<=_0_1355').
atm_o(d138,d138_11,45,'a0=_inf<x<=_0_1355').
atm_o(d138,d138_12,45,'a0=_inf<x<=_0_1355').
atm_o(d139,d139_30,45,'a0=_inf<x<=_0_1355').
atm_o(d139,d139_31,51,'a0=_inf<x<=_0_1355').
atm_o(d140,d140_21,42,'a0=_inf<x<=_0_1355').
atm_o(d140,d140_36,49,'a0=_inf<x<=_0_1355').
atm_o(d140,d140_39,45,'a0=_inf<x<=_0_1355').
atm_o(d140,d140_40,45,'a0=_inf<x<=_0_1355').
atm_o(d140,d140_43,51,'a0=_inf<x<=_0_1355').
atm_o(d141,d141_13,49,'a0=_inf<x<=_0_1355').
atm_o(d141,d141_21,51,'a0=_inf<x<=_0_1355').
atm_o(d143,d143_13,40,'a0=_inf<x<=_0_1355').
atm_o(d143,d143_22,45,'a0=_inf<x<=_0_1355').
atm_o(d143,d143_23,51,'a0=_inf<x<=_0_1355').
atm_o(d144,d144_2,49,'a0=_inf<x<=_0_1355').
atm_o(d144,d144_28,51,'a0=_inf<x<=_0_1355').
atm_o(d144,d144_32,51,'a0=_inf<x<=_0_1355').
atm_o(d144,d144_33,49,'a0=_inf<x<=_0_1355').
atm_o(d145,d145_23,51,'a0=_inf<x<=_0_1355').
atm_o(d145,d145_25,49,'a0=_inf<x<=_0_1355').
atm_o(d145,d145_27,51,'a0=_inf<x<=_0_1355').
atm_o(d145,d145_28,49,'a0=_inf<x<=_0_1355').
atm_o(d146,d146_10,50,'a0=_inf<x<=_0_1355').
atm_o(d146,d146_12,50,'a0=_inf<x<=_0_1355').
atm_o(d146,d146_26,40,'a0=_inf<x<=_0_1355').
atm_o(d147,d147_2,40,'a0=_inf<x<=_0_1355').
atm_o(d147,d147_29,49,'a0=_inf<x<=_0_1355').
atm_o(d147,d147_3,49,'a0=_inf<x<=_0_1355').
atm_o(d147,d147_31,49,'a0=_inf<x<=_0_1355').
atm_o(d148,d148_17,45,'a0=_inf<x<=_0_1355').
atm_o(d149,d149_11,45,'a0=_inf<x<=_0_1355').
atm_o(d149,d149_31,45,'a0=_inf<x<=_0_1355').
atm_o(d150,d150_12,49,'a0=_inf<x<=_0_1355').
atm_o(d150,d150_18,49,'a0=_inf<x<=_0_1355').
atm_o(d150,d150_23,51,'a0=_inf<x<=_0_1355').
atm_o(d150,d150_24,51,'a0=_inf<x<=_0_1355').
atm_o(d151,d151_10,45,'a0=_inf<x<=_0_1355').
atm_o(d151,d151_11,45,'a0=_inf<x<=_0_1355').
atm_o(d151,d151_13,49,'a0=_inf<x<=_0_1355').
atm_o(d151,d151_15,51,'a0=_inf<x<=_0_1355').
atm_o(d151,d151_9,45,'a0=_inf<x<=_0_1355').
atm_o(d152,d152_16,40,'a0=_inf<x<=_0_1355').
atm_o(d152,d152_23,40,'a0=_inf<x<=_0_1355').
atm_o(d152,d152_30,45,'a0=_inf<x<=_0_1355').
atm_o(d152,d152_31,51,'a0=_inf<x<=_0_1355').
atm_o(d153,d153_10,45,'a0=_inf<x<=_0_1355').
atm_o(d153,d153_12,45,'a0=_inf<x<=_0_1355').
atm_o(d154,d154_16,45,'a0=_inf<x<=_0_1355').
atm_o(d154,d154_26,45,'a0=_inf<x<=_0_1355').
atm_o(d154,d154_27,51,'a0=_inf<x<=_0_1355').
atm_o(d154,d154_9,45,'a0=_inf<x<=_0_1355').
atm_o(d155,d155_25,45,'a0=_inf<x<=_0_1355').
atm_o(d155,d155_30,45,'a0=_inf<x<=_0_1355').
atm_o(d155,d155_42,45,'a0=_inf<x<=_0_1355').
atm_o(d155,d155_44,50,'a0=_inf<x<=_0_1355').
atm_o(d155,d155_48,45,'a0=_inf<x<=_0_1355').
atm_o(d155,d155_49,45,'a0=_inf<x<=_0_1355').
atm_o(d155,d155_50,40,'a0=_inf<x<=_0_1355').
atm_o(d155,d155_51,42,'a0=_inf<x<=_0_1355').
atm_o(d156,d156_10,50,'a0=_inf<x<=_0_1355').
atm_o(d156,d156_19,50,'a0=_inf<x<=_0_1355').
atm_o(d156,d156_29,50,'a0=_inf<x<=_0_1355').
atm_o(d156,d156_40,50,'a0=_inf<x<=_0_1355').
atm_o(d156,d156_45,50,'a0=_inf<x<=_0_1355').
atm_o(d156,d156_50,42,'a0=_inf<x<=_0_1355').
atm_o(d157,d157_24,50,'a0=_inf<x<=_0_1355').
atm_o(d159,d159_16,42,'a0=_inf<x<=_0_1355').
atm_o(d159,d159_38,40,'a0=_inf<x<=_0_1355').
atm_o(d159,d159_39,40,'a0=_inf<x<=_0_1355').
atm_o(d159,d159_40,40,'a0=_inf<x<=_0_1355').
atm_o(d16,d16_21,40,'a0=_inf<x<=_0_1355').
atm_o(d16,d16_22,40,'a0=_inf<x<=_0_1355').
atm_o(d16,d16_28,40,'a0=_inf<x<=_0_1355').
atm_o(d16,d16_29,40,'a0=_inf<x<=_0_1355').
atm_o(d160,d160_10,45,'a0=_inf<x<=_0_1355').
atm_o(d160,d160_13,45,'a0=_inf<x<=_0_1355').
atm_o(d160,d160_16,51,'a0=_inf<x<=_0_1355').
atm_o(d160,d160_5,49,'a0=_inf<x<=_0_1355').
atm_o(d160,d160_6,45,'a0=_inf<x<=_0_1355').
atm_o(d160,d160_7,45,'a0=_inf<x<=_0_1355').
atm_o(d161,d161_26,45,'a0=_inf<x<=_0_1355').
atm_o(d162,d162_21,50,'a0=_inf<x<=_0_1355').
atm_o(d162,d162_22,50,'a0=_inf<x<=_0_1355').
atm_o(d163,d163_11,51,'a0=_inf<x<=_0_1355').
atm_o(d163,d163_12,50,'a0=_inf<x<=_0_1355').
atm_o(d163,d163_19,51,'a0=_inf<x<=_0_1355').
atm_o(d163,d163_20,50,'a0=_inf<x<=_0_1355').
atm_o(d163,d163_22,51,'a0=_inf<x<=_0_1355').
atm_o(d163,d163_23,50,'a0=_inf<x<=_0_1355').
atm_o(d163,d163_8,50,'a0=_inf<x<=_0_1355').
atm_o(d163,d163_9,51,'a0=_inf<x<=_0_1355').
atm_o(d164,d164_12,50,'a0=_inf<x<=_0_1355').
atm_o(d164,d164_18,45,'a0=_inf<x<=_0_1355').
atm_o(d164,d164_24,45,'a0=_inf<x<=_0_1355').
atm_o(d164,d164_25,45,'a0=_inf<x<=_0_1355').
atm_o(d164,d164_28,50,'a0=_inf<x<=_0_1355').
atm_o(d164,d164_29,45,'a0=_inf<x<=_0_1355').
atm_o(d164,d164_38,45,'a0=_inf<x<=_0_1355').
atm_o(d164,d164_5,50,'a0=_inf<x<=_0_1355').
atm_o(d164,d164_7,50,'a0=_inf<x<=_0_1355').
atm_o(d165,d165_25,45,'a0=_inf<x<=_0_1355').
atm_o(d165,d165_27,42,'a0=_inf<x<=_0_1355').
atm_o(d166,d166_18,40,'a0=_inf<x<=_0_1355').
atm_o(d167,d167_13,45,'a0=_inf<x<=_0_1355').
atm_o(d168,d168_18,45,'a0=_inf<x<=_0_1355').
atm_o(d169,d169_12,45,'a0=_inf<x<=_0_1355').
atm_o(d170,d170_12,49,'a0=_inf<x<=_0_1355').
atm_o(d170,d170_14,51,'a0=_inf<x<=_0_1355').
atm_o(d170,d170_15,51,'a0=_inf<x<=_0_1355').
atm_o(d171,d171_19,40,'a0=_inf<x<=_0_1355').
atm_o(d171,d171_20,40,'a0=_inf<x<=_0_1355').
atm_o(d171,d171_22,40,'a0=_inf<x<=_0_1355').
atm_o(d172,d172_2,45,'a0=_inf<x<=_0_1355').
atm_o(d173,d173_40,45,'a0=_inf<x<=_0_1355').
atm_o(d173,d173_64,45,'a0=_inf<x<=_0_1355').
atm_o(d173,d173_65,51,'a0=_inf<x<=_0_1355').
atm_o(d174,d174_1,45,'a0=_inf<x<=_0_1355').
atm_o(d174,d174_12,45,'a0=_inf<x<=_0_1355').
atm_o(d174,d174_15,45,'a0=_inf<x<=_0_1355').
atm_o(d174,d174_18,45,'a0=_inf<x<=_0_1355').
atm_o(d174,d174_6,45,'a0=_inf<x<=_0_1355').
atm_o(d174,d174_9,45,'a0=_inf<x<=_0_1355').
atm_o(d176,d176_12,40,'a0=_inf<x<=_0_1355').
atm_o(d176,d176_16,40,'a0=_inf<x<=_0_1355').
atm_o(d177,d177_11,50,'a0=_inf<x<=_0_1355').
atm_o(d177,d177_25,50,'a0=_inf<x<=_0_1355').
atm_o(d177,d177_32,50,'a0=_inf<x<=_0_1355').
atm_o(d177,d177_39,50,'a0=_inf<x<=_0_1355').
atm_o(d177,d177_9,50,'a0=_inf<x<=_0_1355').
atm_o(d178,d178_2,40,'a0=_inf<x<=_0_1355').
atm_o(d178,d178_3,40,'a0=_inf<x<=_0_1355').
atm_o(d179,d179_16,40,'a0=_inf<x<=_0_1355').
atm_o(d179,d179_17,40,'a0=_inf<x<=_0_1355').
atm_o(d179,d179_20,40,'a0=_inf<x<=_0_1355').
atm_o(d18,d18_11,40,'a0=_inf<x<=_0_1355').
atm_o(d18,d18_6,40,'a0=_inf<x<=_0_1355').
atm_o(d18,d18_7,40,'a0=_inf<x<=_0_1355').
atm_o(d180,d180_19,45,'a0=_inf<x<=_0_1355').
atm_o(d180,d180_20,51,'a0=_inf<x<=_0_1355').
atm_o(d181,d181_13,45,'a0=_inf<x<=_0_1355').
atm_o(d182,d182_12,50,'a0=_inf<x<=_0_1355').
atm_o(d182,d182_17,40,'a0=_inf<x<=_0_1355').
atm_o(d182,d182_25,40,'a0=_inf<x<=_0_1355').
atm_o(d182,d182_32,50,'a0=_inf<x<=_0_1355').
atm_o(d182,d182_33,51,'a0=_inf<x<=_0_1355').
atm_o(d183,d183_30,45,'a0=_inf<x<=_0_1355').
atm_o(d183,d183_32,45,'a0=_inf<x<=_0_1355').
atm_o(d183,d183_34,40,'a0=_inf<x<=_0_1355').
atm_o(d183,d183_35,42,'a0=_inf<x<=_0_1355').
atm_o(d183,d183_36,45,'a0=_inf<x<=_0_1355').
atm_o(d183,d183_38,45,'a0=_inf<x<=_0_1355').
atm_o(d183,d183_53,40,'a0=_inf<x<=_0_1355').
atm_o(d183,d183_56,45,'a0=_inf<x<=_0_1355').
atm_o(d185,d185_10,51,'a0=_inf<x<=_0_1355').
atm_o(d185,d185_11,49,'a0=_inf<x<=_0_1355').
atm_o(d185,d185_9,51,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_101,45,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_13,49,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_23,51,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_34,50,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_36,50,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_4,45,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_48,45,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_51,50,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_6,45,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_69,42,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_88,45,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_91,50,'a0=_inf<x<=_0_1355').
atm_o(d186,d186a_93,50,'a0=_inf<x<=_0_1355').
atm_o(d186,d186b_54,45,'a0=_inf<x<=_0_1355').
atm_o(d186,d186b_55,51,'a0=_inf<x<=_0_1355').
atm_o(d187,d187_11,45,'a0=_inf<x<=_0_1355').
atm_o(d187,d187_13,45,'a0=_inf<x<=_0_1355').
atm_o(d189,d189_21,45,'a0=_inf<x<=_0_1355').
atm_o(d19,d19_23,40,'a0=_inf<x<=_0_1355').
atm_o(d19,d19_24,40,'a0=_inf<x<=_0_1355').
atm_o(d191,d191_15,51,'a0=_inf<x<=_0_1355').
atm_o(d191,d191_16,49,'a0=_inf<x<=_0_1355').
atm_o(d192,d192_13,49,'a0=_inf<x<=_0_1355').
atm_o(d192,d192_21,51,'a0=_inf<x<=_0_1355').
atm_o(d193,d193_2,50,'a0=_inf<x<=_0_1355').
atm_o(d193,d193_5,50,'a0=_inf<x<=_0_1355').
atm_o(d195,d195_9,52,'a0=_0_1355<x<=_0_0175').
atm_o(d196,d196_5,52,'a0=_0_1355<x<=_0_0175').
atm_o(d196,d196_7,41,'a0=_inf<x<=_0_1355').
atm_o(d197,d197_39,40,'a0=_inf<x<=_0_1355').
atm_o(d197,d197_40,40,'a0=_inf<x<=_0_1355').
atm_o(d199,d199_25,40,'a0=_inf<x<=_0_1355').
atm_o(d20,d20_10,50,'a0=_inf<x<=_0_1355').
atm_o(d20,d20_17,40,'a0=_inf<x<=_0_1355').
atm_o(d20,d20_18,40,'a0=_inf<x<=_0_1355').
atm_o(d200,d200_13,41,'a0=_inf<x<=_0_1355').
atm_o(d201,d201_18,40,'a0=_inf<x<=_0_1355').
atm_o(d201,d201_38,40,'a0=_inf<x<=_0_1355').
atm_o(d202,d202_23,42,'a0=_inf<x<=_0_1355').
atm_o(d207,d207_12,49,'a0=_inf<x<=_0_1355').
atm_o(d207,d207_18,51,'a0=_inf<x<=_0_1355').
atm_o(d207,d207_23,49,'a0=_inf<x<=_0_1355').
atm_o(d207,d207_29,51,'a0=_inf<x<=_0_1355').
atm_o(d209,d209_10,45,'a0=_inf<x<=_0_1355').
atm_o(d209,d209_11,50,'a0=_inf<x<=_0_1355').
atm_o(d21,d21_20,50,'a0=_inf<x<=_0_1355').
atm_o(d21,d21_24,40,'a0=_inf<x<=_0_1355').
atm_o(d21,d21_25,40,'a0=_inf<x<=_0_1355').
atm_o(d210,d210_26,40,'a0=_inf<x<=_0_1355').
atm_o(d211,d211_17,50,'a0=_inf<x<=_0_1355').
atm_o(d211,d211_22,51,'a0=_inf<x<=_0_1355').
atm_o(d212,d212_18,50,'a0=_inf<x<=_0_1355').
atm_o(d212,d212_20,40,'a0=_inf<x<=_0_1355').
atm_o(d212,d212_21,40,'a0=_inf<x<=_0_1355').
atm_o(d212,d212_39,45,'a0=_inf<x<=_0_1355').
atm_o(d212,d212_42,50,'a0=_inf<x<=_0_1355').
atm_o(d212,d212_44,40,'a0=_inf<x<=_0_1355').
atm_o(d212,d212_45,40,'a0=_inf<x<=_0_1355').
atm_o(d213,d213_15,45,'a0=_inf<x<=_0_1355').
atm_o(d213,d213_16,51,'a0=_inf<x<=_0_1355').
atm_o(d217,d217_23,40,'a0=_inf<x<=_0_1355').
atm_o(d22,d22_24,40,'a0=_inf<x<=_0_1355').
atm_o(d221,d221_17,50,'a0=_inf<x<=_0_1355').
atm_o(d221,d221_19,40,'a0=_inf<x<=_0_1355').
atm_o(d221,d221_20,40,'a0=_inf<x<=_0_1355').
atm_o(d221,d221_34,50,'a0=_inf<x<=_0_1355').
atm_o(d221,d221_36,45,'a0=_inf<x<=_0_1355').
atm_o(d221,d221_38,40,'a0=_inf<x<=_0_1355').
atm_o(d221,d221_39,40,'a0=_inf<x<=_0_1355').
atm_o(d222,d222_26,49,'a0=_inf<x<=_0_1355').
atm_o(d222,d222_33,51,'a0=_inf<x<=_0_1355').
atm_o(d224,d224_12,40,'a0=_inf<x<=_0_1355').
atm_o(d224,d224_13,40,'a0=_inf<x<=_0_1355').
atm_o(d225,d225a_25,49,'a0=_inf<x<=_0_1355').
atm_o(d225,d225a_29,51,'a0=_inf<x<=_0_1355').
atm_o(d225,d225b_25,49,'a0=_inf<x<=_0_1355').
atm_o(d225,d225b_29,51,'a0=_inf<x<=_0_1355').
atm_o(d231,d231_12,49,'a0=_inf<x<=_0_1355').
atm_o(d231,d231_51,51,'a0=_inf<x<=_0_1355').
atm_o(d232,d232_7,50,'a0=_inf<x<=_0_1355').
atm_o(d233,d233_13,49,'a0=_inf<x<=_0_1355').
atm_o(d233,d233_14,45,'a0=_inf<x<=_0_1355').
atm_o(d233,d233_17,40,'a0=_inf<x<=_0_1355').
atm_o(d233,d233_18,49,'a0=_inf<x<=_0_1355').
atm_o(d233,d233_23,49,'a0=_inf<x<=_0_1355').
atm_o(d234,d234_17,40,'a0=_inf<x<=_0_1355').
atm_o(d234,d234_2,49,'a0=_inf<x<=_0_1355').
atm_o(d234,d234_7,49,'a0=_inf<x<=_0_1355').
atm_o(d234,d234_8,49,'a0=_inf<x<=_0_1355').
atm_o(d235,d235_14,49,'a0=_inf<x<=_0_1355').
atm_o(d235,d235_16,49,'a0=_inf<x<=_0_1355').
atm_o(d235,d235_2,40,'a0=_inf<x<=_0_1355').
atm_o(d235,d235_3,49,'a0=_inf<x<=_0_1355').
atm_o(d237,d237_13,49,'a0=_inf<x<=_0_1355').
atm_o(d237,d237_2,40,'a0=_inf<x<=_0_1355').
atm_o(d237,d237_3,49,'a0=_inf<x<=_0_1355').
atm_o(d237,d237_4,49,'a0=_inf<x<=_0_1355').
atm_o(d238,d238_14,50,'a0=_inf<x<=_0_1355').
atm_o(d238,d238_18,50,'a0=_inf<x<=_0_1355').
atm_o(d238,d238_21,50,'a0=_inf<x<=_0_1355').
atm_o(d238,d238_27,50,'a0=_inf<x<=_0_1355').
atm_o(d23_1,d23_1_21,50,'a0=_inf<x<=_0_1355').
atm_o(d240,d240_3,50,'a0=_inf<x<=_0_1355').
atm_o(d240,d240_8,45,'a0=_inf<x<=_0_1355').
atm_o(d241,d241_3,45,'a0=_inf<x<=_0_1355').
atm_o(d241,d241_6,45,'a0=_inf<x<=_0_1355').
atm_o(d242,d242_13,50,'a0=_inf<x<=_0_1355').
atm_o(d242,d242_19,50,'a0=_inf<x<=_0_1355').
atm_o(d243,d243_10,50,'a0=_inf<x<=_0_1355').
atm_o(d244,d244_2,40,'a0=_inf<x<=_0_1355').
atm_o(d244,d244_3,49,'a0=_inf<x<=_0_1355').
atm_o(d244,d244_5,49,'a0=_inf<x<=_0_1355').
atm_o(d245,d245_10,50,'a0=_inf<x<=_0_1355').
atm_o(d246,d246_27,49,'a0=_inf<x<=_0_1355').
atm_o(d246,d246_29,51,'a0=_inf<x<=_0_1355').
atm_o(d246,d246_68,49,'a0=_inf<x<=_0_1355').
atm_o(d246,d246_72,51,'a0=_inf<x<=_0_1355').
atm_o(d247,d247_16,49,'a0=_inf<x<=_0_1355').
atm_o(d247,d247_17,49,'a0=_inf<x<=_0_1355').
atm_o(d247,d247_26,40,'a0=_inf<x<=_0_1355').
atm_o(d247,d247_3,50,'a0=_inf<x<=_0_1355').
atm_o(d248,d248_1,49,'a0=_inf<x<=_0_1355').
atm_o(d248,d248_15,51,'a0=_inf<x<=_0_1355').
atm_o(d251,d251_1,40,'a0=_inf<x<=_0_1355').
atm_o(d251,d251_11,49,'a0=_inf<x<=_0_1355').
atm_o(d251,d251_19,49,'a0=_inf<x<=_0_1355').
atm_o(d251,d251_3,49,'a0=_inf<x<=_0_1355').
atm_o(d253,d253_12,49,'a0=_inf<x<=_0_1355').
atm_o(d253,d253_2,40,'a0=_inf<x<=_0_1355').
atm_o(d253,d253_7,49,'a0=_inf<x<=_0_1355').
atm_o(d254,d254_3,50,'a0=_inf<x<=_0_1355').
atm_o(d254,d254_8,50,'a0=_inf<x<=_0_1355').
atm_o(d256,d256_18,49,'a0=_inf<x<=_0_1355').
atm_o(d256,d256_19,49,'a0=_inf<x<=_0_1355').
atm_o(d256,d256_29,40,'a0=_inf<x<=_0_1355').
atm_o(d257,d257_10,49,'a0=_inf<x<=_0_1355').
atm_o(d257,d257_19,49,'a0=_inf<x<=_0_1355').
atm_o(d257,d257_6,49,'a0=_inf<x<=_0_1355').
atm_o(d258,d258_13,49,'a0=_inf<x<=_0_1355').
atm_o(d258,d258_2,40,'a0=_inf<x<=_0_1355').
atm_o(d258,d258_22,40,'a0=_inf<x<=_0_1355').
atm_o(d258,d258_3,49,'a0=_inf<x<=_0_1355').
atm_o(d258,d258_8,49,'a0=_inf<x<=_0_1355').
atm_o(d259,d259_17,42,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_10,50,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_12,50,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_14,40,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_15,40,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_16,40,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_17,40,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_2,50,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_4,40,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_5,40,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_6,50,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_8,40,'a0=_inf<x<=_0_1355').
atm_o(d260,d260_9,40,'a0=_inf<x<=_0_1355').
atm_o(d263,d263_6,45,'a0=_inf<x<=_0_1355').
atm_o(d264,d264_10,49,'a0=_inf<x<=_0_1355').
atm_o(d264,d264_19,49,'a0=_inf<x<=_0_1355').
atm_o(d264,d264_32,49,'a0=_inf<x<=_0_1355').
atm_o(d264,d264_33,51,'a0=_inf<x<=_0_1355').
atm_o(d264,d264_6,49,'a0=_inf<x<=_0_1355').
atm_o(d265,d265_17,40,'a0=_inf<x<=_0_1355').
atm_o(d265,d265_2,49,'a0=_inf<x<=_0_1355').
atm_o(d265,d265_4,49,'a0=_inf<x<=_0_1355').
atm_o(d266,d266_10,51,'a0=_inf<x<=_0_1355').
atm_o(d266,d266_17,49,'a0=_inf<x<=_0_1355').
atm_o(d266,d266_2,49,'a0=_inf<x<=_0_1355').
atm_o(d266,d266_26,49,'a0=_inf<x<=_0_1355').
atm_o(d266,d266_34,51,'a0=_inf<x<=_0_1355').
atm_o(d266,d266_4,49,'a0=_inf<x<=_0_1355').
atm_o(d266,d266_9,40,'a0=_inf<x<=_0_1355').
atm_o(d267,d267_1,45,'a0=_inf<x<=_0_1355').
atm_o(d267,d267_14,45,'a0=_inf<x<=_0_1355').
atm_o(d267,d267_18,45,'a0=_inf<x<=_0_1355').
atm_o(d267,d267_7,45,'a0=_inf<x<=_0_1355').
atm_o(d269,d269_10,49,'a0=_inf<x<=_0_1355').
atm_o(d269,d269_19,49,'a0=_inf<x<=_0_1355').
atm_o(d269,d269_6,49,'a0=_inf<x<=_0_1355').
atm_o(d27,d27_11,40,'a0=_inf<x<=_0_1355').
atm_o(d27,d27_13,40,'a0=_inf<x<=_0_1355').
atm_o(d27,d27_14,40,'a0=_inf<x<=_0_1355').
atm_o(d27,d27_19,52,'a0=_0_1355<x<=_0_0175').
atm_o(d27,d27_9,40,'a0=_inf<x<=_0_1355').
atm_o(d270,d270_19,49,'a0=_inf<x<=_0_1355').
atm_o(d270,d270_2,50,'a0=_inf<x<=_0_1355').
atm_o(d270,d270_20,49,'a0=_inf<x<=_0_1355').
atm_o(d270,d270_35,49,'a0=_inf<x<=_0_1355').
atm_o(d270,d270_43,49,'a0=_inf<x<=_0_1355').
atm_o(d270,d270_5,50,'a0=_inf<x<=_0_1355').
atm_o(d271,d271_16,51,'a0=_inf<x<=_0_1355').
atm_o(d271,d271_17,51,'a0=_inf<x<=_0_1355').
atm_o(d271,d271_18,49,'a0=_inf<x<=_0_1355').
atm_o(d271,d271_2,49,'a0=_inf<x<=_0_1355').
atm_o(d271,d271_26,49,'a0=_inf<x<=_0_1355').
atm_o(d271,d271_9,49,'a0=_inf<x<=_0_1355').
atm_o(d278,d278_28,40,'a0=_inf<x<=_0_1355').
atm_o(d28,d28_12,40,'a0=_inf<x<=_0_1355').
atm_o(d28,d28_13,40,'a0=_inf<x<=_0_1355').
atm_o(d28,d28_18,40,'a0=_inf<x<=_0_1355').
atm_o(d28,d28_5,52,'a0=_0_1355<x<=_0_0175').
atm_o(d280,d280_17,50,'a0=_inf<x<=_0_1355').
atm_o(d280,d280_19,40,'a0=_inf<x<=_0_1355').
atm_o(d280,d280_20,40,'a0=_inf<x<=_0_1355').
atm_o(d281,d281_10,40,'a0=_inf<x<=_0_1355').
atm_o(d281,d281_11,40,'a0=_inf<x<=_0_1355').
atm_o(d281,d281_12,40,'a0=_inf<x<=_0_1355').
atm_o(d281,d281_13,40,'a0=_inf<x<=_0_1355').
atm_o(d281,d281_6,40,'a0=_inf<x<=_0_1355').
atm_o(d281,d281_7,40,'a0=_inf<x<=_0_1355').
atm_o(d281,d281_8,40,'a0=_inf<x<=_0_1355').
atm_o(d281,d281_9,40,'a0=_inf<x<=_0_1355').
atm_o(d282,d282_10,40,'a0=_inf<x<=_0_1355').
atm_o(d282,d282_7,45,'a0=_inf<x<=_0_1355').
atm_o(d282,d282_8,51,'a0=_inf<x<=_0_1355').
atm_o(d282,d282_9,40,'a0=_inf<x<=_0_1355').
atm_o(d283,d283_7,51,'a0=_inf<x<=_0_1355').
atm_o(d283,d283_8,49,'a0=_inf<x<=_0_1355').
atm_o(d284,d284_10,45,'a0=_inf<x<=_0_1355').
atm_o(d284,d284_7,40,'a0=_inf<x<=_0_1355').
atm_o(d285,d285_10,49,'a0=_inf<x<=_0_1355').
atm_o(d285,d285_15,51,'a0=_inf<x<=_0_1355').
atm_o(d286,d286_4,41,'a0=_inf<x<=_0_1355').
atm_o(d286,d286_6,41,'a0=_inf<x<=_0_1355').
atm_o(d287,d287_19,49,'a0=_inf<x<=_0_1355').
atm_o(d287,d287_26,51,'a0=_inf<x<=_0_1355').
atm_o(d287,d287_3,50,'a0=_inf<x<=_0_1355').
atm_o(d287,d287_5,50,'a0=_inf<x<=_0_1355').
atm_o(d29,d29a_17,40,'a0=_inf<x<=_0_1355').
atm_o(d29,d29a_19,40,'a0=_inf<x<=_0_1355').
atm_o(d29,d29b_17,40,'a0=_inf<x<=_0_1355').
atm_o(d29,d29b_19,40,'a0=_inf<x<=_0_1355').
atm_o(d290,d290_14,40,'a0=_inf<x<=_0_1355').
atm_o(d290,d290_15,40,'a0=_inf<x<=_0_1355').
atm_o(d291,d291_3,49,'a0=_inf<x<=_0_1355').
atm_o(d291,d291_8,51,'a0=_inf<x<=_0_1355').
atm_o(d292,d292_1,45,'a0=_inf<x<=_0_1355').
atm_o(d292,d292_12,40,'a0=_inf<x<=_0_1355').
atm_o(d292,d292_4,51,'a0=_inf<x<=_0_1355').
atm_o(d294,d294_17,45,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_103,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_110,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_117,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_124,45,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_132,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_139,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_14,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_146,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_153,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_160,49,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_164,51,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_21,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_28,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_35,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_4,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_42,45,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_46,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_52,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_59,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_66,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_73,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_8,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_80,45,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_87,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_89,50,'a0=_inf<x<=_0_1355').
atm_o(d297,d297_96,50,'a0=_inf<x<=_0_1355').
atm_o(d299,d299_11,45,'a0=_inf<x<=_0_1355').
atm_o(d299,d299_12,45,'a0=_inf<x<=_0_1355').
atm_o(d3,d3_21,40,'a0=_inf<x<=_0_1355').
atm_o(d3,d3_22,40,'a0=_inf<x<=_0_1355').
atm_o(d300,d300_6,49,'a0=_inf<x<=_0_1355').
atm_o(d300,d300_7,51,'a0=_inf<x<=_0_1355').
atm_o(d301,d301_2,45,'a0=_inf<x<=_0_1355').
atm_o(d301,d301_3,40,'a0=_inf<x<=_0_1355').
atm_o(d301,d301_4,50,'a0=_inf<x<=_0_1355').
atm_o(d301,d301_5,40,'a0=_inf<x<=_0_1355').
atm_o(d302,d302_6,45,'a0=_inf<x<=_0_1355').
atm_o(d302,d302_7,51,'a0=_inf<x<=_0_1355').
atm_o(d303,d303_11,45,'a0=_inf<x<=_0_1355').
atm_o(d303,d303_13,40,'a0=_inf<x<=_0_1355').
atm_o(d303,d303_14,40,'a0=_inf<x<=_0_1355').
atm_o(d304,d304a_11,40,'a0=_inf<x<=_0_1355').
atm_o(d304,d304a_24,45,'a0=_inf<x<=_0_1355').
atm_o(d304,d304a_25,45,'a0=_inf<x<=_0_1355').
atm_o(d304,d304a_9,49,'a0=_inf<x<=_0_1355').
atm_o(d304,d304b_10,40,'a0=_inf<x<=_0_1355').
atm_o(d304,d304b_19,45,'a0=_inf<x<=_0_1355').
atm_o(d304,d304b_20,45,'a0=_inf<x<=_0_1355').
atm_o(d304,d304b_8,49,'a0=_inf<x<=_0_1355').
atm_o(d305,d305_24,45,'a0=_inf<x<=_0_1355').
atm_o(d306,d306_1,45,'a0=_inf<x<=_0_1355').
atm_o(d306,d306_11,45,'a0=_inf<x<=_0_1355').
atm_o(d307,d307_2,45,'a0=_inf<x<=_0_1355').
atm_o(d308,d308_14,49,'a0=_inf<x<=_0_1355').
atm_o(d308,d308_19,51,'a0=_inf<x<=_0_1355').
atm_o(d309,d309_3,45,'a0=_inf<x<=_0_1355').
atm_o(d309,d309_6,45,'a0=_inf<x<=_0_1355').
atm_o(d31,d31a_20,50,'a0=_inf<x<=_0_1355').
atm_o(d31,d31a_25,50,'a0=_inf<x<=_0_1355').
atm_o(d311,d311_30,49,'a0=_inf<x<=_0_1355').
atm_o(d311,d311_35,51,'a0=_inf<x<=_0_1355').
atm_o(d312,d312_11,40,'a0=_inf<x<=_0_1355').
atm_o(d312,d312_16,40,'a0=_inf<x<=_0_1355').
atm_o(d313,d313_20,45,'a0=_inf<x<=_0_1355').
atm_o(d313,d313_28,45,'a0=_inf<x<=_0_1355').
atm_o(d315,d315_28,40,'a0=_inf<x<=_0_1355').
atm_o(d315,d315_29,40,'a0=_inf<x<=_0_1355').
atm_o(d316,d316_7,50,'a0=_inf<x<=_0_1355').
atm_o(d318,d318_31,45,'a0=_inf<x<=_0_1355').
atm_o(d318,d318_33,45,'a0=_inf<x<=_0_1355').
atm_o(d318,d318_34,40,'a0=_inf<x<=_0_1355').
atm_o(d318,d318_35,40,'a0=_inf<x<=_0_1355').
atm_o(d318,d318_36,40,'a0=_inf<x<=_0_1355').
atm_o(d318,d318_37,40,'a0=_inf<x<=_0_1355').
atm_o(d320,d320_12,45,'a0=_inf<x<=_0_1355').
atm_o(d320,d320_14,51,'a0=_inf<x<=_0_1355').
atm_o(d320,d320_15,40,'a0=_inf<x<=_0_1355').
atm_o(d320,d320_16,40,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_13,50,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_23,50,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_31,45,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_32,45,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_33,40,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_34,40,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_35,40,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_36,40,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_37,53,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_47,50,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_49,45,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_56,45,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_57,40,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_58,40,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_59,40,'a0=_inf<x<=_0_1355').
atm_o(d322,d322_60,40,'a0=_inf<x<=_0_1355').
atm_o(d323,d323_32,45,'a0=_inf<x<=_0_1355').
atm_o(d323,d323_35,40,'a0=_inf<x<=_0_1355').
atm_o(d323,d323_36,40,'a0=_inf<x<=_0_1355').
atm_o(d324,d324_29,40,'a0=_inf<x<=_0_1355').
atm_o(d324,d324_31,40,'a0=_inf<x<=_0_1355').
atm_o(d324,d324_32,40,'a0=_inf<x<=_0_1355').
atm_o(d324,d324_33,45,'a0=_inf<x<=_0_1355').
atm_o(d324,d324_46,50,'a0=_inf<x<=_0_1355').
atm_o(d324,d324_52,40,'a0=_inf<x<=_0_1355').
atm_o(d324,d324_53,40,'a0=_inf<x<=_0_1355').
atm_o(d325,d325_10,45,'a0=_inf<x<=_0_1355').
atm_o(d326,d326_11,45,'a0=_inf<x<=_0_1355').
atm_o(d326,d326_16,40,'a0=_inf<x<=_0_1355').
atm_o(d327,d327_35,45,'a0=_inf<x<=_0_1355').
atm_o(d327,d327_36,51,'a0=_inf<x<=_0_1355').
atm_o(d327,d327_37,45,'a0=_inf<x<=_0_1355').
atm_o(d327,d327_39,40,'a0=_inf<x<=_0_1355').
atm_o(d327,d327_40,40,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_15,45,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_18,45,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_20,45,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_21,40,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_22,40,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_23,40,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_24,40,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_67,50,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_83,40,'a0=_inf<x<=_0_1355').
atm_o(d329,d329_84,40,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_35,45,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_36,40,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_37,40,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_39,45,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_45,45,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_46,40,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_47,40,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_65,40,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_66,40,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_67,45,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_68,45,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_71,45,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_72,40,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_73,40,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_79,50,'a0=_inf<x<=_0_1355').
atm_o(d330,d330_84,50,'a0=_inf<x<=_0_1355').
atm_o(d331,d331_14,49,'a0=_inf<x<=_0_1355').
atm_o(d331,d331_15,51,'a0=_inf<x<=_0_1355').
atm_o(d332,d332_1,45,'a0=_inf<x<=_0_1355').
atm_o(d334,d334_11,45,'a0=_inf<x<=_0_1355').
atm_o(d334,d334_17,45,'a0=_inf<x<=_0_1355').
atm_o(d334,d334_24,45,'a0=_inf<x<=_0_1355').
atm_o(d334,d334_27,40,'a0=_inf<x<=_0_1355').
atm_o(d334,d334_28,40,'a0=_inf<x<=_0_1355').
atm_o(d335,d335_13,40,'a0=_inf<x<=_0_1355').
atm_o(d335,d335_14,40,'a0=_inf<x<=_0_1355').
atm_o(d336,d336_11,50,'a0=_inf<x<=_0_1355').
atm_o(d336,d336_17,40,'a0=_inf<x<=_0_1355').
atm_o(d336,d336_18,40,'a0=_inf<x<=_0_1355').
atm_o(d36,d36a_27,45,'a0=_inf<x<=_0_1355').
atm_o(d36,d36a_35,45,'a0=_inf<x<=_0_1355').
atm_o(d36,d36a_36,40,'a0=_inf<x<=_0_1355').
atm_o(d36,d36a_37,40,'a0=_inf<x<=_0_1355').
atm_o(d37,d37_19,50,'a0=_inf<x<=_0_1355').
atm_o(d37,d37_25,50,'a0=_inf<x<=_0_1355').
atm_o(d37,d37_32,40,'a0=_inf<x<=_0_1355').
atm_o(d37,d37_34,40,'a0=_inf<x<=_0_1355').
atm_o(d38,d38_16,40,'a0=_inf<x<=_0_1355').
atm_o(d38,d38_17,40,'a0=_inf<x<=_0_1355').
atm_o(d38,d38_18,40,'a0=_inf<x<=_0_1355').
atm_o(d38,d38_19,40,'a0=_inf<x<=_0_1355').
atm_o(d39,d39_16,40,'a0=_inf<x<=_0_1355').
atm_o(d39,d39_17,40,'a0=_inf<x<=_0_1355').
atm_o(d4,d4_14,50,'a0=_inf<x<=_0_1355').
atm_o(d40,d40_24,40,'a0=_inf<x<=_0_1355').
atm_o(d40,d40_25,40,'a0=_inf<x<=_0_1355').
atm_o(d41,d41_18,40,'a0=_inf<x<=_0_1355').
atm_o(d41,d41_19,40,'a0=_inf<x<=_0_1355').
atm_o(d41,d41_20,40,'a0=_inf<x<=_0_1355').
atm_o(d41,d41_21,40,'a0=_inf<x<=_0_1355').
atm_o(d43,d43_19,40,'a0=_inf<x<=_0_1355').
atm_o(d43,d43_20,40,'a0=_inf<x<=_0_1355').
atm_o(d44,d44_15,50,'a0=_inf<x<=_0_1355').
atm_o(d46,d46_11,40,'a0=_inf<x<=_0_1355').
atm_o(d46,d46_12,40,'a0=_inf<x<=_0_1355').
atm_o(d47,d47_30,45,'a0=_inf<x<=_0_1355').
atm_o(d48,d48_16,40,'a0=_inf<x<=_0_1355').
atm_o(d48,d48_19,50,'a0=_inf<x<=_0_1355').
atm_o(d49,d49_11,45,'a0=_inf<x<=_0_1355').
atm_o(d49,d49_15,40,'a0=_inf<x<=_0_1355').
atm_o(d49,d49_16,40,'a0=_inf<x<=_0_1355').
atm_o(d50,d50_8,40,'a0=_inf<x<=_0_1355').
atm_o(d50,d50_9,40,'a0=_inf<x<=_0_1355').
atm_o(d51,d51_13,45,'a0=_inf<x<=_0_1355').
atm_o(d51,d51_14,45,'a0=_inf<x<=_0_1355').
atm_o(d53,d53_10,45,'a0=_inf<x<=_0_1355').
atm_o(d53,d53_14,51,'a0=_inf<x<=_0_1355').
atm_o(d54,d54_10,50,'a0=_inf<x<=_0_1355').
atm_o(d54,d54_18,40,'a0=_inf<x<=_0_1355').
atm_o(d54,d54_19,40,'a0=_inf<x<=_0_1355').
atm_o(d54,d54_25,40,'a0=_inf<x<=_0_1355').
atm_o(d55,d55_13,40,'a0=_inf<x<=_0_1355').
atm_o(d55,d55_14,40,'a0=_inf<x<=_0_1355').
atm_o(d56,d56_10,45,'a0=_inf<x<=_0_1355').
atm_o(d56,d56_13,40,'a0=_inf<x<=_0_1355').
atm_o(d56,d56_14,40,'a0=_inf<x<=_0_1355').
atm_o(d57,d57_10,45,'a0=_inf<x<=_0_1355').
atm_o(d57,d57_13,40,'a0=_inf<x<=_0_1355').
atm_o(d57,d57_14,40,'a0=_inf<x<=_0_1355').
atm_o(d58,d58_40,40,'a0=_inf<x<=_0_1355').
atm_o(d58,d58_41,40,'a0=_inf<x<=_0_1355').
atm_o(d58,d58_42,40,'a0=_inf<x<=_0_1355').
atm_o(d58,d58_43,50,'a0=_inf<x<=_0_1355').
atm_o(d58,d58_44,40,'a0=_inf<x<=_0_1355').
atm_o(d59,d59_12,50,'a0=_inf<x<=_0_1355').
atm_o(d61,d61_12,49,'a0=_inf<x<=_0_1355').
atm_o(d61,d61_14,49,'a0=_inf<x<=_0_1355').
atm_o(d61,d61_15,40,'a0=_inf<x<=_0_1355').
atm_o(d61,d61_16,40,'a0=_inf<x<=_0_1355').
atm_o(d61,d61_18,49,'a0=_inf<x<=_0_1355').
atm_o(d63,d63_17,45,'a0=_inf<x<=_0_1355').
atm_o(d63,d63_20,40,'a0=_inf<x<=_0_1355').
atm_o(d63,d63_21,40,'a0=_inf<x<=_0_1355').
atm_o(d65,d65_10,45,'a0=_inf<x<=_0_1355').
atm_o(d65,d65_13,45,'a0=_inf<x<=_0_1355').
atm_o(d65,d65_14,45,'a0=_inf<x<=_0_1355').
atm_o(d65,d65_15,40,'a0=_inf<x<=_0_1355').
atm_o(d65,d65_16,40,'a0=_inf<x<=_0_1355').
atm_o(d65,d65_20,40,'a0=_inf<x<=_0_1355').
atm_o(d66,d66_22,49,'a0=_inf<x<=_0_1355').
atm_o(d66,d66_23,51,'a0=_inf<x<=_0_1355').
atm_o(d66,d66_9,53,'a0=_inf<x<=_0_1355').
atm_o(d67,d67_17,40,'a0=_inf<x<=_0_1355').
atm_o(d67,d67_23,42,'a0=_inf<x<=_0_1355').
atm_o(d70,d70_11,50,'a0=_inf<x<=_0_1355').
atm_o(d70,d70_16,50,'a0=_inf<x<=_0_1355').
atm_o(d71,d71_12,49,'a0=_inf<x<=_0_1355').
atm_o(d71,d71_14,49,'a0=_inf<x<=_0_1355').
atm_o(d71,d71_15,49,'a0=_inf<x<=_0_1355').
atm_o(d71,d71_21,40,'a0=_inf<x<=_0_1355').
atm_o(d71,d71_22,40,'a0=_inf<x<=_0_1355').
atm_o(d72,d72_12,45,'a0=_inf<x<=_0_1355').
atm_o(d72,d72_14,40,'a0=_inf<x<=_0_1355').
atm_o(d72,d72_15,40,'a0=_inf<x<=_0_1355').
atm_o(d72,d72_18,51,'a0=_inf<x<=_0_1355').
atm_o(d73,d73_17,40,'a0=_inf<x<=_0_1355').
atm_o(d73,d73_18,40,'a0=_inf<x<=_0_1355').
atm_o(d76,d76_28,45,'a0=_inf<x<=_0_1355').
atm_o(d76,d76_30,40,'a0=_inf<x<=_0_1355').
atm_o(d76,d76_31,40,'a0=_inf<x<=_0_1355').
atm_o(d76,d76_32,50,'a0=_inf<x<=_0_1355').
atm_o(d76,d76_39,50,'a0=_inf<x<=_0_1355').
atm_o(d76,d76_40,40,'a0=_inf<x<=_0_1355').
atm_o(d76,d76_41,40,'a0=_inf<x<=_0_1355').
atm_o(d77,d77_31,42,'a0=_inf<x<=_0_1355').
atm_o(d77,d77_32,40,'a0=_inf<x<=_0_1355').
atm_o(d77,d77_50,42,'a0=_inf<x<=_0_1355').
atm_o(d77,d77_57,40,'a0=_inf<x<=_0_1355').
atm_o(d78,d78_15,45,'a0=_inf<x<=_0_1355').
atm_o(d78,d78_22,45,'a0=_inf<x<=_0_1355').
atm_o(d78,d78_31,45,'a0=_inf<x<=_0_1355').
atm_o(d78,d78_34,40,'a0=_inf<x<=_0_1355').
atm_o(d78,d78_35,40,'a0=_inf<x<=_0_1355').
atm_o(d8,d8_26,45,'a0=_inf<x<=_0_1355').
atm_o(d8,d8_31,40,'a0=_inf<x<=_0_1355').
atm_o(d80,d80_19,40,'a0=_inf<x<=_0_1355').
atm_o(d80,d80_20,40,'a0=_inf<x<=_0_1355').
atm_o(d82,d82_13,52,'a0=_0_1355<x<=_0_0175').
atm_o(d82,d82_27,40,'a0=_inf<x<=_0_1355').
atm_o(d82,d82_28,40,'a0=_inf<x<=_0_1355').
atm_o(d85_1,d85_1_15,50,'a0=_inf<x<=_0_1355').
atm_o(d85_1,d85_1_16,50,'a0=_inf<x<=_0_1355').
atm_o(d85_2,d85_2_15,50,'a0=_inf<x<=_0_1355').
atm_o(d85_2,d85_2_16,50,'a0=_inf<x<=_0_1355').
atm_o(d87,d87_17,50,'a0=_inf<x<=_0_1355').
atm_o(d87,d87_18,50,'a0=_inf<x<=_0_1355').
atm_o(d88,d88_9,45,'a0=_inf<x<=_0_1355').
atm_o(d89,d89_18,45,'a0=_inf<x<=_0_1355').
atm_o(d89,d89_19,51,'a0=_inf<x<=_0_1355').
atm_o(d89,d89_20,51,'a0=_inf<x<=_0_1355').
atm_o(d89,d89_22,45,'a0=_inf<x<=_0_1355').
atm_o(d9,d9_15,50,'a0=_inf<x<=_0_1355').
atm_o(d93,d93_7,45,'a0=_inf<x<=_0_1355').
atm_o(d95,d95_23,40,'a0=_inf<x<=_0_1355').
atm_o(d97,d97_22,45,'a0=_inf<x<=_0_1355').
atm_o(d97,d97_24,49,'a0=_inf<x<=_0_1355').
atm_o(d97,d97_25,51,'a0=_inf<x<=_0_1355').
atm_o(d99,d99_13,50,'a0=_0_1355<x<=_0_0175').

atm_p(d147,d147_1,62,'a0=0_1375<x<=+inf').
atm_p(d233,d233_16,62,'a0=0_1375<x<=+inf').
atm_p(d234,d234_6,62,'a0=0_1375<x<=+inf').
atm_p(d235,d235_1,62,'a0=0_1375<x<=+inf').
atm_p(d237,d237_1,62,'a0=0_1375<x<=+inf').
atm_p(d244,d244_1,61,'a0=0_1375<x<=+inf').
atm_p(d247,d247_15,61,'a0=0_1375<x<=+inf').
atm_p(d251,d251_2,62,'a0=0_1375<x<=+inf').
atm_p(d253,d253_1,61,'a0=0_1375<x<=+inf').
atm_p(d256,d256_17,60,'a0=_inf<x<=_0_1355').
atm_p(d257,d257_9,61,'a0=0_1375<x<=+inf').
atm_p(d258,d258_1,62,'a0=0_1375<x<=+inf').
atm_p(d264,d264_9,61,'a0=0_1375<x<=+inf').
atm_p(d265,d265_3,60,'a0=_inf<x<=_0_1355').
atm_p(d266,d266_3,61,'a0=0_1375<x<=+inf').
atm_p(d267,d267_3,60,'a0=_inf<x<=_0_1355').
atm_p(d269,d269_9,61,'a0=0_1375<x<=+inf').
atm_p(d270,d270_13,60,'a0=_inf<x<=_0_1355').
atm_p(d270,d270_16,60,'a0=_inf<x<=_0_1355').
atm_p(d271,d271_6,60,'a0=_inf<x<=_0_1355').
atm_p(d304,d304a_10,62,'a0=0_1375<x<=+inf').
atm_p(d304,d304b_9,62,'a0=0_1375<x<=+inf').
atm_p(d61,d61_13,61,'a0=0_1375<x<=+inf').
atm_p(d71,d71_13,61,'a0=0_1375<x<=+inf').

atm_pb(d216,d216_2,121,'a0=0_1375<x<=+inf').

atm_s(d109,d109_15,77,'a0=0_1375<x<=+inf').
atm_s(d117,d117_10,77,'a0=0_1375<x<=+inf').
atm_s(d117,d117_17,77,'a0=0_1375<x<=+inf').
atm_s(d124,d124_5,77,'a0=0_1375<x<=+inf').
atm_s(d142,d142_13,72,'a0=_inf<x<=_0_1355').
atm_s(d142,d142_14,70,'a0=_inf<x<=_0_1355').
atm_s(d146,d146_23,76,'a0=_0_1355<x<=_0_0175').
atm_s(d152,d152_24,74,'a0=_0_1355<x<=_0_0175').
atm_s(d159,d159_17,77,'a0=0_1375<x<=+inf').
atm_s(d171,d171_15,77,'a0=0_1375<x<=+inf').
atm_s(d179,d179_15,77,'a0=0_1375<x<=+inf').
atm_s(d18,d18_4,72,'a0=_inf<x<=_0_1355').
atm_s(d182,d182_26,74,'a0=_0_1355<x<=_0_0175').
atm_s(d194,d194_1,70,'a0=_inf<x<=_0_1355').
atm_s(d198,d198_20,75,'a0=_inf<x<=_0_1355').
atm_s(d204,d204_16,75,'a0=_inf<x<=_0_1355').
atm_s(d205,d205_1,74,'a0=_inf<x<=_0_1355').
atm_s(d205,d205_3,70,'a0=_inf<x<=_0_1355').
atm_s(d205,d205_4,70,'a0=_inf<x<=_0_1355').
atm_s(d205,d205_5,74,'a0=_inf<x<=_0_1355').
atm_s(d208_1,d208_1_4,75,'a0=_inf<x<=_0_1355').
atm_s(d208_1,d208_1_8,75,'a0=_inf<x<=_0_1355').
atm_s(d208_2,d208_2_2,74,'a0=_inf<x<=_0_1355').
atm_s(d208_2,d208_2_22,75,'a0=_inf<x<=_0_1355').
atm_s(d208_2,d208_2_3,74,'a0=_inf<x<=_0_1355').
atm_s(d208_2,d208_2_4,74,'a0=_inf<x<=_0_1355').
atm_s(d208_2,d208_2_5,74,'a0=_inf<x<=_0_1355').
atm_s(d208_2,d208_2_71,75,'a0=_inf<x<=_0_1355').
atm_s(d208_2,d208_2_72,75,'a0=_inf<x<=_0_1355').
atm_s(d208_2,d208_2_73,75,'a0=_inf<x<=_0_1355').
atm_s(d211,d211_2,74,'a0=_0_1355<x<=_0_0175').
atm_s(d212,d212_17,78,'a0=0_1375<x<=+inf').
atm_s(d212,d212_41,78,'a0=0_1375<x<=+inf').
atm_s(d214,d214_24,75,'a0=_inf<x<=_0_1355').
atm_s(d215,d215_19,75,'a0=_inf<x<=_0_1355').
atm_s(d216,d216_1,74,'a0=_inf<x<=_0_1355').
atm_s(d216,d216_3,70,'a0=_inf<x<=_0_1355').
atm_s(d216,d216_4,70,'a0=_inf<x<=_0_1355').
atm_s(d216,d216_5,74,'a0=_inf<x<=_0_1355').
atm_s(d218,d218_17,74,'a0=_inf<x<=_0_1355').
atm_s(d218,d218_19,75,'a0=_inf<x<=_0_1355').
atm_s(d219,d219_17,70,'a0=_inf<x<=_0_1355').
atm_s(d219,d219_18,70,'a0=_inf<x<=_0_1355').
atm_s(d219,d219_21,75,'a0=_0_1355<x<=_0_0175').
atm_s(d219,d219_22,75,'a0=_0_1355<x<=_0_0175').
atm_s(d221,d221_16,78,'a0=0_1375<x<=+inf').
atm_s(d221,d221_33,78,'a0=0_1375<x<=+inf').
atm_s(d223,d223_15,75,'a0=_inf<x<=_0_1355').
atm_s(d224,d224_5,77,'a0=0_1375<x<=+inf').
atm_s(d24,d24_21,74,'a0=_0_1355<x<=_0_0175').
atm_s(d252,d252_11,75,'a0=_0_1355<x<=_0_0175').
atm_s(d256,d256_14,74,'a0=_0_1355<x<=_0_0175').
atm_s(d256,d256_24,70,'a0=_inf<x<=_0_1355').
atm_s(d257,d257_18,75,'a0=_inf<x<=_0_1355').
atm_s(d257,d257_29,74,'a0=_0_1355<x<=_0_0175').
atm_s(d264,d264_18,75,'a0=_0_1355<x<=_0_0175').
atm_s(d265,d265_16,75,'a0=_0_1355<x<=_0_0175').
atm_s(d265,d265_6,74,'a0=_0_1355<x<=_0_0175').
atm_s(d266,d266_6,74,'a0=_0_1355<x<=_0_0175').
atm_s(d269,d269_18,75,'a0=_0_1355<x<=_0_0175').
atm_s(d270,d270_11,74,'a0=_0_1355<x<=_0_0175').
atm_s(d270,d270_14,74,'a0=_0_1355<x<=_0_0175').
atm_s(d270,d270_17,75,'a0=_0_1355<x<=_0_0175').
atm_s(d270,d270_18,75,'a0=_0_1355<x<=_0_0175').
atm_s(d271,d271_7,74,'a0=_0_1355<x<=_0_0175').
atm_s(d271,d271_8,75,'a0=_0_1355<x<=_0_0175').
atm_s(d280,d280_16,78,'a0=0_1375<x<=+inf').
atm_s(d288,d288_11,74,'a0=_0_1355<x<=_0_0175').
atm_s(d288,d288_13,75,'a0=_inf<x<=_0_1355').
atm_s(d290,d290_16,74,'a0=_0_1355<x<=_0_0175').
atm_s(d298,d298_11,74,'a0=_0_1355<x<=_0_0175').
atm_s(d301,d301_1,79,'a0=0_1375<x<=+inf').
atm_s(d313,d313_17,74,'a0=_0_1355<x<=_0_0175').
atm_s(d318,d318_24,78,'a0=0_1375<x<=+inf').
atm_s(d318,d318_26,78,'a0=0_1375<x<=+inf').
atm_s(d322,d322_29,78,'a0=0_1375<x<=+inf').
atm_s(d322,d322_30,78,'a0=0_1375<x<=+inf').
atm_s(d322,d322_48,78,'a0=0_1375<x<=+inf').
atm_s(d322,d322_55,78,'a0=0_1375<x<=+inf').
atm_s(d327,d327_12,77,'a0=0_1375<x<=+inf').
atm_s(d329,d329_17,78,'a0=0_1375<x<=+inf').
atm_s(d329,d329_19,78,'a0=0_1375<x<=+inf').
atm_s(d329,d329_68,78,'a0=0_1375<x<=+inf').
atm_s(d330,d330_34,78,'a0=0_1375<x<=+inf').
atm_s(d330,d330_44,78,'a0=0_1375<x<=+inf').
atm_s(d330,d330_64,78,'a0=0_1375<x<=+inf').
atm_s(d330,d330_70,78,'a0=0_1375<x<=+inf').
atm_s(d36,d36a_34,78,'a0=0_1375<x<=+inf').
atm_s(d40,d40_21,77,'a0=0_1375<x<=+inf').
atm_s(d50,d50_5,72,'a0=_inf<x<=_0_1355').
atm_s(d58,d58_37,78,'a0=0_1375<x<=+inf').
atm_s(d61,d61_17,76,'a0=_0_1355<x<=_0_0175').
atm_s(d71,d71_20,75,'a0=_inf<x<=_0_1355').
atm_s(d76,d76_29,78,'a0=0_1375<x<=+inf').
atm_s(d76,d76_36,78,'a0=0_1375<x<=+inf').
atm_s(d82,d82_30,77,'a0=0_1375<x<=+inf').

atm_se(d194,d194_2,102,'a0=0_1375<x<=+inf').

atm_sn(d115,d115_1,113,'a0=0_1375<x<=+inf').
atm_sn(d172,d172_1,113,'a0=0_1375<x<=+inf').

atm_te(d208_2,d208_2_1,129,'a0=0_1375<x<=+inf').

atm_ti(d178,d178_1,134,'a0=0_1375<x<=+inf').
atm_ti(d328,d328b_2,134,'a0=0_1375<x<=+inf').

atm_zn(d205,d205_2,87,'a0=0_1375<x<=+inf').

sbond_1(d1,d1_1,d1_7).
sbond_1(d1,d1_10,d1_6).
sbond_1(d1,d1_11,d1_12).
sbond_1(d1,d1_11,d1_3).
sbond_1(d1,d1_12,d1_11).
sbond_1(d1,d1_13,d1_14).
sbond_1(d1,d1_14,d1_13).
sbond_1(d1,d1_14,d1_4).
sbond_1(d1,d1_15,d1_19).
sbond_1(d1,d1_16,d1_20).
sbond_1(d1,d1_17,d1_24).
sbond_1(d1,d1_18,d1_21).
sbond_1(d1,d1_19,d1_15).
sbond_1(d1,d1_2,d1_8).
sbond_1(d1,d1_20,d1_16).
sbond_1(d1,d1_21,d1_18).
sbond_1(d1,d1_24,d1_17).
sbond_1(d1,d1_24,d1_25).
sbond_1(d1,d1_24,d1_26).
sbond_1(d1,d1_25,d1_24).
sbond_1(d1,d1_26,d1_24).
sbond_1(d1,d1_3,d1_11).
sbond_1(d1,d1_4,d1_14).
sbond_1(d1,d1_5,d1_9).
sbond_1(d1,d1_6,d1_10).
sbond_1(d1,d1_7,d1_1).
sbond_1(d1,d1_8,d1_2).
sbond_1(d1,d1_9,d1_5).
sbond_1(d10,d10_1,d10_7).
sbond_1(d10,d10_10,d10_4).
sbond_1(d10,d10_11,d10_6).
sbond_1(d10,d10_12,d10_13).
sbond_1(d10,d10_12,d10_14).
sbond_1(d10,d10_12,d10_5).
sbond_1(d10,d10_13,d10_12).
sbond_1(d10,d10_14,d10_12).
sbond_1(d10,d10_14,d10_15).
sbond_1(d10,d10_15,d10_14).
sbond_1(d10,d10_2,d10_8).
sbond_1(d10,d10_3,d10_9).
sbond_1(d10,d10_4,d10_10).
sbond_1(d10,d10_5,d10_12).
sbond_1(d10,d10_6,d10_11).
sbond_1(d10,d10_7,d10_1).
sbond_1(d10,d10_8,d10_2).
sbond_1(d10,d10_9,d10_3).
sbond_1(d100,d100_1,d100_25).
sbond_1(d100,d100_10,d100_6).
sbond_1(d100,d100_11,d100_17).
sbond_1(d100,d100_12,d100_18).
sbond_1(d100,d100_13,d100_26).
sbond_1(d100,d100_14,d100_19).
sbond_1(d100,d100_15,d100_20).
sbond_1(d100,d100_16,d100_21).
sbond_1(d100,d100_17,d100_11).
sbond_1(d100,d100_18,d100_12).
sbond_1(d100,d100_19,d100_14).
sbond_1(d100,d100_2,d100_7).
sbond_1(d100,d100_20,d100_15).
sbond_1(d100,d100_21,d100_16).
sbond_1(d100,d100_21,d100_4).
sbond_1(d100,d100_22,d100_23).
sbond_1(d100,d100_22,d100_24).
sbond_1(d100,d100_23,d100_22).
sbond_1(d100,d100_24,d100_22).
sbond_1(d100,d100_25,d100_1).
sbond_1(d100,d100_26,d100_13).
sbond_1(d100,d100_3,d100_8).
sbond_1(d100,d100_4,d100_21).
sbond_1(d100,d100_5,d100_9).
sbond_1(d100,d100_6,d100_10).
sbond_1(d100,d100_7,d100_2).
sbond_1(d100,d100_8,d100_3).
sbond_1(d100,d100_9,d100_5).
sbond_1(d101,d101_1,d101_10).
sbond_1(d101,d101_1,d101_2).
sbond_1(d101,d101_1,d101_6).
sbond_1(d101,d101_1,d101_9).
sbond_1(d101,d101_10,d101_1).
sbond_1(d101,d101_11,d101_6).
sbond_1(d101,d101_12,d101_8).
sbond_1(d101,d101_13,d101_9).
sbond_1(d101,d101_14,d101_15).
sbond_1(d101,d101_14,d101_16).
sbond_1(d101,d101_14,d101_2).
sbond_1(d101,d101_14,d101_5).
sbond_1(d101,d101_15,d101_14).
sbond_1(d101,d101_16,d101_14).
sbond_1(d101,d101_17,d101_7).
sbond_1(d101,d101_18,d101_7).
sbond_1(d101,d101_19,d101_5).
sbond_1(d101,d101_2,d101_1).
sbond_1(d101,d101_2,d101_14).
sbond_1(d101,d101_2,d101_22).
sbond_1(d101,d101_2,d101_3).
sbond_1(d101,d101_20,d101_4).
sbond_1(d101,d101_21,d101_3).
sbond_1(d101,d101_22,d101_2).
sbond_1(d101,d101_3,d101_2).
sbond_1(d101,d101_3,d101_21).
sbond_1(d101,d101_4,d101_20).
sbond_1(d101,d101_4,d101_5).
sbond_1(d101,d101_5,d101_14).
sbond_1(d101,d101_5,d101_19).
sbond_1(d101,d101_5,d101_4).
sbond_1(d101,d101_5,d101_6).
sbond_1(d101,d101_6,d101_1).
sbond_1(d101,d101_6,d101_11).
sbond_1(d101,d101_6,d101_5).
sbond_1(d101,d101_6,d101_7).
sbond_1(d101,d101_7,d101_17).
sbond_1(d101,d101_7,d101_18).
sbond_1(d101,d101_7,d101_6).
sbond_1(d101,d101_7,d101_8).
sbond_1(d101,d101_8,d101_12).
sbond_1(d101,d101_8,d101_7).
sbond_1(d101,d101_9,d101_1).
sbond_1(d101,d101_9,d101_13).
sbond_1(d102,d102_1,d102_2).
sbond_1(d102,d102_1,d102_3).
sbond_1(d102,d102_1,d102_4).
sbond_1(d102,d102_1,d102_5).
sbond_1(d102,d102_2,d102_1).
sbond_1(d102,d102_2,d102_6).
sbond_1(d102,d102_2,d102_7).
sbond_1(d102,d102_2,d102_8).
sbond_1(d102,d102_3,d102_1).
sbond_1(d102,d102_4,d102_1).
sbond_1(d102,d102_5,d102_1).
sbond_1(d102,d102_6,d102_2).
sbond_1(d102,d102_7,d102_2).
sbond_1(d102,d102_8,d102_2).
sbond_1(d103,d103_1,d103_2).
sbond_1(d103,d103_1,d103_6).
sbond_1(d103,d103_1,d103_7).
sbond_1(d103,d103_1,d103_8).
sbond_1(d103,d103_2,d103_1).
sbond_1(d103,d103_2,d103_3).
sbond_1(d103,d103_2,d103_4).
sbond_1(d103,d103_2,d103_5).
sbond_1(d103,d103_3,d103_2).
sbond_1(d103,d103_4,d103_2).
sbond_1(d103,d103_5,d103_2).
sbond_1(d103,d103_6,d103_1).
sbond_1(d103,d103_7,d103_1).
sbond_1(d103,d103_8,d103_1).
sbond_1(d104,d104_1,d104_2).
sbond_1(d104,d104_1,d104_3).
sbond_1(d104,d104_1,d104_4).
sbond_1(d104,d104_1,d104_5).
sbond_1(d104,d104_2,d104_1).
sbond_1(d104,d104_2,d104_6).
sbond_1(d104,d104_2,d104_7).
sbond_1(d104,d104_2,d104_8).
sbond_1(d104,d104_3,d104_1).
sbond_1(d104,d104_4,d104_1).
sbond_1(d104,d104_5,d104_1).
sbond_1(d104,d104_6,d104_2).
sbond_1(d104,d104_7,d104_2).
sbond_1(d104,d104_8,d104_2).
sbond_1(d105,d105_1,d105_3).
sbond_1(d105,d105_1,d105_4).
sbond_1(d105,d105_2,d105_5).
sbond_1(d105,d105_2,d105_6).
sbond_1(d105,d105_3,d105_1).
sbond_1(d105,d105_4,d105_1).
sbond_1(d105,d105_5,d105_2).
sbond_1(d105,d105_6,d105_2).
sbond_1(d106,d106_1,d106_10).
sbond_1(d106,d106_1,d106_11).
sbond_1(d106,d106_1,d106_2).
sbond_1(d106,d106_1,d106_6).
sbond_1(d106,d106_10,d106_1).
sbond_1(d106,d106_10,d106_16).
sbond_1(d106,d106_10,d106_18).
sbond_1(d106,d106_10,d106_9).
sbond_1(d106,d106_11,d106_1).
sbond_1(d106,d106_12,d106_6).
sbond_1(d106,d106_13,d106_8).
sbond_1(d106,d106_14,d106_9).
sbond_1(d106,d106_15,d106_19).
sbond_1(d106,d106_15,d106_2).
sbond_1(d106,d106_15,d106_20).
sbond_1(d106,d106_15,d106_5).
sbond_1(d106,d106_16,d106_10).
sbond_1(d106,d106_16,d106_25).
sbond_1(d106,d106_16,d106_26).
sbond_1(d106,d106_16,d106_7).
sbond_1(d106,d106_17,d106_7).
sbond_1(d106,d106_18,d106_10).
sbond_1(d106,d106_19,d106_15).
sbond_1(d106,d106_2,d106_1).
sbond_1(d106,d106_2,d106_15).
sbond_1(d106,d106_2,d106_22).
sbond_1(d106,d106_2,d106_3).
sbond_1(d106,d106_20,d106_15).
sbond_1(d106,d106_21,d106_5).
sbond_1(d106,d106_22,d106_2).
sbond_1(d106,d106_23,d106_4).
sbond_1(d106,d106_24,d106_3).
sbond_1(d106,d106_25,d106_16).
sbond_1(d106,d106_26,d106_16).
sbond_1(d106,d106_3,d106_2).
sbond_1(d106,d106_3,d106_24).
sbond_1(d106,d106_4,d106_23).
sbond_1(d106,d106_4,d106_5).
sbond_1(d106,d106_5,d106_15).
sbond_1(d106,d106_5,d106_21).
sbond_1(d106,d106_5,d106_4).
sbond_1(d106,d106_5,d106_6).
sbond_1(d106,d106_6,d106_1).
sbond_1(d106,d106_6,d106_12).
sbond_1(d106,d106_6,d106_5).
sbond_1(d106,d106_6,d106_7).
sbond_1(d106,d106_7,d106_16).
sbond_1(d106,d106_7,d106_17).
sbond_1(d106,d106_7,d106_6).
sbond_1(d106,d106_7,d106_8).
sbond_1(d106,d106_8,d106_13).
sbond_1(d106,d106_8,d106_7).
sbond_1(d106,d106_9,d106_10).
sbond_1(d106,d106_9,d106_14).
sbond_1(d107,d107c_1,d107c_2).
sbond_1(d107,d107c_1,d107c_53).
sbond_1(d107,d107c_1,d107c_54).
sbond_1(d107,d107c_1,d107c_55).
sbond_1(d107,d107c_10,d107c_13).
sbond_1(d107,d107c_10,d107c_14).
sbond_1(d107,d107c_10,d107c_15).
sbond_1(d107,d107c_10,d107c_9).
sbond_1(d107,d107c_11,d107c_9).
sbond_1(d107,d107c_12,d107c_9).
sbond_1(d107,d107c_13,d107c_10).
sbond_1(d107,d107c_13,d107c_16).
sbond_1(d107,d107c_13,d107c_17).
sbond_1(d107,d107c_13,d107c_18).
sbond_1(d107,d107c_14,d107c_10).
sbond_1(d107,d107c_15,d107c_10).
sbond_1(d107,d107c_16,d107c_13).
sbond_1(d107,d107c_16,d107c_19).
sbond_1(d107,d107c_16,d107c_58).
sbond_1(d107,d107c_16,d107c_59).
sbond_1(d107,d107c_17,d107c_13).
sbond_1(d107,d107c_18,d107c_13).
sbond_1(d107,d107c_19,d107c_16).
sbond_1(d107,d107c_19,d107c_20).
sbond_1(d107,d107c_19,d107c_60).
sbond_1(d107,d107c_19,d107c_61).
sbond_1(d107,d107c_2,d107c_1).
sbond_1(d107,d107c_2,d107c_3).
sbond_1(d107,d107c_2,d107c_4).
sbond_1(d107,d107c_2,d107c_5).
sbond_1(d107,d107c_20,d107c_19).
sbond_1(d107,d107c_20,d107c_21).
sbond_1(d107,d107c_20,d107c_22).
sbond_1(d107,d107c_20,d107c_23).
sbond_1(d107,d107c_21,d107c_20).
sbond_1(d107,d107c_21,d107c_24).
sbond_1(d107,d107c_21,d107c_62).
sbond_1(d107,d107c_21,d107c_63).
sbond_1(d107,d107c_22,d107c_20).
sbond_1(d107,d107c_23,d107c_20).
sbond_1(d107,d107c_24,d107c_21).
sbond_1(d107,d107c_24,d107c_25).
sbond_1(d107,d107c_24,d107c_26).
sbond_1(d107,d107c_24,d107c_27).
sbond_1(d107,d107c_25,d107c_24).
sbond_1(d107,d107c_25,d107c_28).
sbond_1(d107,d107c_25,d107c_29).
sbond_1(d107,d107c_25,d107c_30).
sbond_1(d107,d107c_26,d107c_24).
sbond_1(d107,d107c_27,d107c_24).
sbond_1(d107,d107c_28,d107c_25).
sbond_1(d107,d107c_28,d107c_31).
sbond_1(d107,d107c_28,d107c_64).
sbond_1(d107,d107c_28,d107c_65).
sbond_1(d107,d107c_29,d107c_25).
sbond_1(d107,d107c_3,d107c_2).
sbond_1(d107,d107c_3,d107c_6).
sbond_1(d107,d107c_3,d107c_7).
sbond_1(d107,d107c_3,d107c_8).
sbond_1(d107,d107c_30,d107c_25).
sbond_1(d107,d107c_31,d107c_28).
sbond_1(d107,d107c_31,d107c_32).
sbond_1(d107,d107c_31,d107c_33).
sbond_1(d107,d107c_31,d107c_34).
sbond_1(d107,d107c_32,d107c_31).
sbond_1(d107,d107c_32,d107c_35).
sbond_1(d107,d107c_32,d107c_66).
sbond_1(d107,d107c_32,d107c_67).
sbond_1(d107,d107c_33,d107c_31).
sbond_1(d107,d107c_34,d107c_31).
sbond_1(d107,d107c_35,d107c_32).
sbond_1(d107,d107c_35,d107c_36).
sbond_1(d107,d107c_35,d107c_37).
sbond_1(d107,d107c_35,d107c_38).
sbond_1(d107,d107c_36,d107c_35).
sbond_1(d107,d107c_36,d107c_39).
sbond_1(d107,d107c_36,d107c_40).
sbond_1(d107,d107c_36,d107c_41).
sbond_1(d107,d107c_37,d107c_35).
sbond_1(d107,d107c_38,d107c_35).
sbond_1(d107,d107c_39,d107c_36).
sbond_1(d107,d107c_39,d107c_42).
sbond_1(d107,d107c_39,d107c_68).
sbond_1(d107,d107c_39,d107c_69).
sbond_1(d107,d107c_4,d107c_2).
sbond_1(d107,d107c_40,d107c_36).
sbond_1(d107,d107c_41,d107c_36).
sbond_1(d107,d107c_42,d107c_39).
sbond_1(d107,d107c_42,d107c_43).
sbond_1(d107,d107c_42,d107c_70).
sbond_1(d107,d107c_42,d107c_71).
sbond_1(d107,d107c_43,d107c_42).
sbond_1(d107,d107c_43,d107c_44).
sbond_1(d107,d107c_43,d107c_45).
sbond_1(d107,d107c_43,d107c_46).
sbond_1(d107,d107c_44,d107c_43).
sbond_1(d107,d107c_44,d107c_47).
sbond_1(d107,d107c_44,d107c_48).
sbond_1(d107,d107c_44,d107c_49).
sbond_1(d107,d107c_45,d107c_43).
sbond_1(d107,d107c_46,d107c_43).
sbond_1(d107,d107c_47,d107c_44).
sbond_1(d107,d107c_47,d107c_50).
sbond_1(d107,d107c_47,d107c_51).
sbond_1(d107,d107c_47,d107c_52).
sbond_1(d107,d107c_48,d107c_44).
sbond_1(d107,d107c_49,d107c_44).
sbond_1(d107,d107c_5,d107c_2).
sbond_1(d107,d107c_50,d107c_47).
sbond_1(d107,d107c_51,d107c_47).
sbond_1(d107,d107c_52,d107c_47).
sbond_1(d107,d107c_53,d107c_1).
sbond_1(d107,d107c_54,d107c_1).
sbond_1(d107,d107c_55,d107c_1).
sbond_1(d107,d107c_56,d107c_6).
sbond_1(d107,d107c_57,d107c_6).
sbond_1(d107,d107c_58,d107c_16).
sbond_1(d107,d107c_59,d107c_16).
sbond_1(d107,d107c_6,d107c_3).
sbond_1(d107,d107c_6,d107c_56).
sbond_1(d107,d107c_6,d107c_57).
sbond_1(d107,d107c_6,d107c_9).
sbond_1(d107,d107c_60,d107c_19).
sbond_1(d107,d107c_61,d107c_19).
sbond_1(d107,d107c_62,d107c_21).
sbond_1(d107,d107c_63,d107c_21).
sbond_1(d107,d107c_64,d107c_28).
sbond_1(d107,d107c_65,d107c_28).
sbond_1(d107,d107c_66,d107c_32).
sbond_1(d107,d107c_67,d107c_32).
sbond_1(d107,d107c_68,d107c_39).
sbond_1(d107,d107c_69,d107c_39).
sbond_1(d107,d107c_7,d107c_3).
sbond_1(d107,d107c_70,d107c_42).
sbond_1(d107,d107c_71,d107c_42).
sbond_1(d107,d107c_8,d107c_3).
sbond_1(d107,d107c_9,d107c_10).
sbond_1(d107,d107c_9,d107c_11).
sbond_1(d107,d107c_9,d107c_12).
sbond_1(d107,d107c_9,d107c_6).
sbond_1(d107,d107d_1,d107d_2).
sbond_1(d107,d107d_1,d107d_22).
sbond_1(d107,d107d_1,d107d_26).
sbond_1(d107,d107d_1,d107d_35).
sbond_1(d107,d107d_10,d107d_9).
sbond_1(d107,d107d_11,d107d_9).
sbond_1(d107,d107d_12,d107d_9).
sbond_1(d107,d107d_13,d107d_14).
sbond_1(d107,d107d_13,d107d_15).
sbond_1(d107,d107d_13,d107d_16).
sbond_1(d107,d107d_13,d107d_5).
sbond_1(d107,d107d_14,d107d_13).
sbond_1(d107,d107d_15,d107d_13).
sbond_1(d107,d107d_16,d107d_13).
sbond_1(d107,d107d_17,d107d_4).
sbond_1(d107,d107d_17,d107d_54).
sbond_1(d107,d107d_17,d107d_55).
sbond_1(d107,d107d_17,d107d_56).
sbond_1(d107,d107d_18,d107d_19).
sbond_1(d107,d107d_18,d107d_20).
sbond_1(d107,d107d_18,d107d_21).
sbond_1(d107,d107d_18,d107d_4).
sbond_1(d107,d107d_19,d107d_18).
sbond_1(d107,d107d_2,d107d_1).
sbond_1(d107,d107d_2,d107d_3).
sbond_1(d107,d107d_2,d107d_4).
sbond_1(d107,d107d_2,d107d_5).
sbond_1(d107,d107d_20,d107d_18).
sbond_1(d107,d107d_21,d107d_18).
sbond_1(d107,d107d_22,d107d_1).
sbond_1(d107,d107d_22,d107d_23).
sbond_1(d107,d107d_22,d107d_24).
sbond_1(d107,d107d_22,d107d_25).
sbond_1(d107,d107d_23,d107d_22).
sbond_1(d107,d107d_24,d107d_22).
sbond_1(d107,d107d_25,d107d_22).
sbond_1(d107,d107d_26,d107d_1).
sbond_1(d107,d107d_26,d107d_27).
sbond_1(d107,d107d_26,d107d_28).
sbond_1(d107,d107d_26,d107d_29).
sbond_1(d107,d107d_27,d107d_26).
sbond_1(d107,d107d_28,d107d_26).
sbond_1(d107,d107d_29,d107d_26).
sbond_1(d107,d107d_3,d107d_2).
sbond_1(d107,d107d_3,d107d_6).
sbond_1(d107,d107d_3,d107d_7).
sbond_1(d107,d107d_3,d107d_8).
sbond_1(d107,d107d_30,d107d_31).
sbond_1(d107,d107d_30,d107d_32).
sbond_1(d107,d107d_30,d107d_33).
sbond_1(d107,d107d_30,d107d_5).
sbond_1(d107,d107d_31,d107d_30).
sbond_1(d107,d107d_32,d107d_30).
sbond_1(d107,d107d_33,d107d_30).
sbond_1(d107,d107d_34,d107d_4).
sbond_1(d107,d107d_34,d107d_57).
sbond_1(d107,d107d_34,d107d_58).
sbond_1(d107,d107d_34,d107d_59).
sbond_1(d107,d107d_35,d107d_1).
sbond_1(d107,d107d_35,d107d_36).
sbond_1(d107,d107d_35,d107d_37).
sbond_1(d107,d107d_35,d107d_38).
sbond_1(d107,d107d_36,d107d_35).
sbond_1(d107,d107d_37,d107d_35).
sbond_1(d107,d107d_38,d107d_35).
sbond_1(d107,d107d_39,d107d_40).
sbond_1(d107,d107d_39,d107d_41).
sbond_1(d107,d107d_39,d107d_42).
sbond_1(d107,d107d_39,d107d_7).
sbond_1(d107,d107d_4,d107d_17).
sbond_1(d107,d107d_4,d107d_18).
sbond_1(d107,d107d_4,d107d_2).
sbond_1(d107,d107d_4,d107d_34).
sbond_1(d107,d107d_40,d107d_39).
sbond_1(d107,d107d_41,d107d_39).
sbond_1(d107,d107d_42,d107d_39).
sbond_1(d107,d107d_43,d107d_60).
sbond_1(d107,d107d_43,d107d_61).
sbond_1(d107,d107d_43,d107d_62).
sbond_1(d107,d107d_43,d107d_7).
sbond_1(d107,d107d_44,d107d_66).
sbond_1(d107,d107d_44,d107d_67).
sbond_1(d107,d107d_44,d107d_68).
sbond_1(d107,d107d_44,d107d_7).
sbond_1(d107,d107d_45,d107d_63).
sbond_1(d107,d107d_45,d107d_64).
sbond_1(d107,d107d_45,d107d_65).
sbond_1(d107,d107d_45,d107d_8).
sbond_1(d107,d107d_46,d107d_48).
sbond_1(d107,d107d_46,d107d_49).
sbond_1(d107,d107d_46,d107d_50).
sbond_1(d107,d107d_46,d107d_8).
sbond_1(d107,d107d_47,d107d_8).
sbond_1(d107,d107d_48,d107d_46).
sbond_1(d107,d107d_49,d107d_46).
sbond_1(d107,d107d_5,d107d_13).
sbond_1(d107,d107d_5,d107d_2).
sbond_1(d107,d107d_5,d107d_30).
sbond_1(d107,d107d_5,d107d_9).
sbond_1(d107,d107d_50,d107d_46).
sbond_1(d107,d107d_51,d107d_6).
sbond_1(d107,d107d_51,d107d_69).
sbond_1(d107,d107d_51,d107d_70).
sbond_1(d107,d107d_51,d107d_71).
sbond_1(d107,d107d_52,d107d_6).
sbond_1(d107,d107d_53,d107d_6).
sbond_1(d107,d107d_54,d107d_17).
sbond_1(d107,d107d_55,d107d_17).
sbond_1(d107,d107d_56,d107d_17).
sbond_1(d107,d107d_57,d107d_34).
sbond_1(d107,d107d_58,d107d_34).
sbond_1(d107,d107d_59,d107d_34).
sbond_1(d107,d107d_6,d107d_3).
sbond_1(d107,d107d_6,d107d_51).
sbond_1(d107,d107d_6,d107d_52).
sbond_1(d107,d107d_6,d107d_53).
sbond_1(d107,d107d_60,d107d_43).
sbond_1(d107,d107d_61,d107d_43).
sbond_1(d107,d107d_62,d107d_43).
sbond_1(d107,d107d_63,d107d_45).
sbond_1(d107,d107d_64,d107d_45).
sbond_1(d107,d107d_65,d107d_45).
sbond_1(d107,d107d_66,d107d_44).
sbond_1(d107,d107d_67,d107d_44).
sbond_1(d107,d107d_68,d107d_44).
sbond_1(d107,d107d_69,d107d_51).
sbond_1(d107,d107d_7,d107d_3).
sbond_1(d107,d107d_7,d107d_39).
sbond_1(d107,d107d_7,d107d_43).
sbond_1(d107,d107d_7,d107d_44).
sbond_1(d107,d107d_70,d107d_51).
sbond_1(d107,d107d_71,d107d_51).
sbond_1(d107,d107d_8,d107d_3).
sbond_1(d107,d107d_8,d107d_45).
sbond_1(d107,d107d_8,d107d_46).
sbond_1(d107,d107d_8,d107d_47).
sbond_1(d107,d107d_9,d107d_10).
sbond_1(d107,d107d_9,d107d_11).
sbond_1(d107,d107d_9,d107d_12).
sbond_1(d107,d107d_9,d107d_5).
sbond_1(d108,d108_1,d108_27).
sbond_1(d108,d108_10,d108_6).
sbond_1(d108,d108_11,d108_17).
sbond_1(d108,d108_12,d108_18).
sbond_1(d108,d108_13,d108_28).
sbond_1(d108,d108_14,d108_19).
sbond_1(d108,d108_15,d108_20).
sbond_1(d108,d108_16,d108_21).
sbond_1(d108,d108_17,d108_11).
sbond_1(d108,d108_18,d108_12).
sbond_1(d108,d108_19,d108_14).
sbond_1(d108,d108_2,d108_7).
sbond_1(d108,d108_20,d108_15).
sbond_1(d108,d108_21,d108_16).
sbond_1(d108,d108_21,d108_22).
sbond_1(d108,d108_21,d108_23).
sbond_1(d108,d108_21,d108_4).
sbond_1(d108,d108_22,d108_21).
sbond_1(d108,d108_22,d108_29).
sbond_1(d108,d108_23,d108_21).
sbond_1(d108,d108_23,d108_24).
sbond_1(d108,d108_23,d108_25).
sbond_1(d108,d108_23,d108_26).
sbond_1(d108,d108_24,d108_23).
sbond_1(d108,d108_25,d108_23).
sbond_1(d108,d108_26,d108_23).
sbond_1(d108,d108_27,d108_1).
sbond_1(d108,d108_28,d108_13).
sbond_1(d108,d108_29,d108_22).
sbond_1(d108,d108_3,d108_8).
sbond_1(d108,d108_4,d108_21).
sbond_1(d108,d108_5,d108_9).
sbond_1(d108,d108_6,d108_10).
sbond_1(d108,d108_7,d108_2).
sbond_1(d108,d108_8,d108_3).
sbond_1(d108,d108_9,d108_5).
sbond_1(d109,d109_1,d109_21).
sbond_1(d109,d109_10,d109_12).
sbond_1(d109,d109_11,d109_23).
sbond_1(d109,d109_12,d109_10).
sbond_1(d109,d109_12,d109_13).
sbond_1(d109,d109_13,d109_12).
sbond_1(d109,d109_13,d109_24).
sbond_1(d109,d109_14,d109_7).
sbond_1(d109,d109_15,d109_16).
sbond_1(d109,d109_15,d109_6).
sbond_1(d109,d109_16,d109_15).
sbond_1(d109,d109_16,d109_25).
sbond_1(d109,d109_16,d109_26).
sbond_1(d109,d109_2,d109_30).
sbond_1(d109,d109_20,d109_21).
sbond_1(d109,d109_20,d109_27).
sbond_1(d109,d109_20,d109_9).
sbond_1(d109,d109_21,d109_1).
sbond_1(d109,d109_21,d109_20).
sbond_1(d109,d109_21,d109_28).
sbond_1(d109,d109_21,d109_29).
sbond_1(d109,d109_22,d109_8).
sbond_1(d109,d109_23,d109_11).
sbond_1(d109,d109_24,d109_13).
sbond_1(d109,d109_25,d109_16).
sbond_1(d109,d109_26,d109_16).
sbond_1(d109,d109_27,d109_20).
sbond_1(d109,d109_28,d109_21).
sbond_1(d109,d109_29,d109_21).
sbond_1(d109,d109_3,d109_31).
sbond_1(d109,d109_30,d109_2).
sbond_1(d109,d109_31,d109_3).
sbond_1(d109,d109_32,d109_4).
sbond_1(d109,d109_4,d109_32).
sbond_1(d109,d109_6,d109_15).
sbond_1(d109,d109_7,d109_14).
sbond_1(d109,d109_8,d109_22).
sbond_1(d109,d109_9,d109_20).
sbond_1(d11,d11_1,d11_7).
sbond_1(d11,d11_10,d11_17).
sbond_1(d11,d11_10,d11_18).
sbond_1(d11,d11_10,d11_5).
sbond_1(d11,d11_11,d11_19).
sbond_1(d11,d11_11,d11_20).
sbond_1(d11,d11_11,d11_3).
sbond_1(d11,d11_12,d11_13).
sbond_1(d11,d11_12,d11_2).
sbond_1(d11,d11_13,d11_12).
sbond_1(d11,d11_13,d11_14).
sbond_1(d11,d11_13,d11_15).
sbond_1(d11,d11_13,d11_16).
sbond_1(d11,d11_14,d11_13).
sbond_1(d11,d11_15,d11_13).
sbond_1(d11,d11_16,d11_13).
sbond_1(d11,d11_17,d11_10).
sbond_1(d11,d11_18,d11_10).
sbond_1(d11,d11_19,d11_11).
sbond_1(d11,d11_2,d11_12).
sbond_1(d11,d11_20,d11_11).
sbond_1(d11,d11_3,d11_11).
sbond_1(d11,d11_4,d11_8).
sbond_1(d11,d11_5,d11_10).
sbond_1(d11,d11_6,d11_9).
sbond_1(d11,d11_7,d11_1).
sbond_1(d11,d11_8,d11_4).
sbond_1(d11,d11_9,d11_6).
sbond_1(d110,d110_1,d110_7).
sbond_1(d110,d110_10,d110_4).
sbond_1(d110,d110_11,d110_6).
sbond_1(d110,d110_12,d110_5).
sbond_1(d110,d110_2,d110_8).
sbond_1(d110,d110_3,d110_9).
sbond_1(d110,d110_4,d110_10).
sbond_1(d110,d110_5,d110_12).
sbond_1(d110,d110_6,d110_11).
sbond_1(d110,d110_7,d110_1).
sbond_1(d110,d110_8,d110_2).
sbond_1(d110,d110_9,d110_3).
sbond_1(d111,d111_1,d111_21).
sbond_1(d111,d111_10,d111_20).
sbond_1(d111,d111_11,d111_16).
sbond_1(d111,d111_12,d111_17).
sbond_1(d111,d111_13,d111_22).
sbond_1(d111,d111_14,d111_18).
sbond_1(d111,d111_15,d111_19).
sbond_1(d111,d111_16,d111_11).
sbond_1(d111,d111_17,d111_12).
sbond_1(d111,d111_18,d111_14).
sbond_1(d111,d111_19,d111_15).
sbond_1(d111,d111_19,d111_4).
sbond_1(d111,d111_2,d111_7).
sbond_1(d111,d111_20,d111_10).
sbond_1(d111,d111_20,d111_3).
sbond_1(d111,d111_21,d111_1).
sbond_1(d111,d111_22,d111_13).
sbond_1(d111,d111_3,d111_20).
sbond_1(d111,d111_4,d111_19).
sbond_1(d111,d111_5,d111_8).
sbond_1(d111,d111_6,d111_9).
sbond_1(d111,d111_7,d111_2).
sbond_1(d111,d111_8,d111_5).
sbond_1(d111,d111_9,d111_6).
sbond_1(d112,d112_1,d112_13).
sbond_1(d112,d112_1,d112_15).
sbond_1(d112,d112_1,d112_2).
sbond_1(d112,d112_1,d112_6).
sbond_1(d112,d112_10,d112_19).
sbond_1(d112,d112_10,d112_22).
sbond_1(d112,d112_10,d112_4).
sbond_1(d112,d112_10,d112_9).
sbond_1(d112,d112_11,d112_3).
sbond_1(d112,d112_12,d112_4).
sbond_1(d112,d112_13,d112_1).
sbond_1(d112,d112_13,d112_6).
sbond_1(d112,d112_14,d112_6).
sbond_1(d112,d112_15,d112_1).
sbond_1(d112,d112_16,d112_2).
sbond_1(d112,d112_16,d112_28).
sbond_1(d112,d112_16,d112_29).
sbond_1(d112,d112_16,d112_5).
sbond_1(d112,d112_17,d112_5).
sbond_1(d112,d112_18,d112_2).
sbond_1(d112,d112_19,d112_10).
sbond_1(d112,d112_19,d112_20).
sbond_1(d112,d112_19,d112_21).
sbond_1(d112,d112_19,d112_7).
sbond_1(d112,d112_2,d112_1).
sbond_1(d112,d112_2,d112_16).
sbond_1(d112,d112_2,d112_18).
sbond_1(d112,d112_2,d112_3).
sbond_1(d112,d112_20,d112_19).
sbond_1(d112,d112_21,d112_19).
sbond_1(d112,d112_22,d112_10).
sbond_1(d112,d112_23,d112_9).
sbond_1(d112,d112_24,d112_9).
sbond_1(d112,d112_25,d112_8).
sbond_1(d112,d112_26,d112_8).
sbond_1(d112,d112_27,d112_7).
sbond_1(d112,d112_28,d112_16).
sbond_1(d112,d112_29,d112_16).
sbond_1(d112,d112_3,d112_11).
sbond_1(d112,d112_3,d112_2).
sbond_1(d112,d112_3,d112_4).
sbond_1(d112,d112_3,d112_7).
sbond_1(d112,d112_4,d112_10).
sbond_1(d112,d112_4,d112_12).
sbond_1(d112,d112_4,d112_3).
sbond_1(d112,d112_4,d112_5).
sbond_1(d112,d112_5,d112_16).
sbond_1(d112,d112_5,d112_17).
sbond_1(d112,d112_5,d112_4).
sbond_1(d112,d112_5,d112_6).
sbond_1(d112,d112_6,d112_1).
sbond_1(d112,d112_6,d112_13).
sbond_1(d112,d112_6,d112_14).
sbond_1(d112,d112_6,d112_5).
sbond_1(d112,d112_7,d112_19).
sbond_1(d112,d112_7,d112_27).
sbond_1(d112,d112_7,d112_3).
sbond_1(d112,d112_7,d112_8).
sbond_1(d112,d112_8,d112_25).
sbond_1(d112,d112_8,d112_26).
sbond_1(d112,d112_8,d112_7).
sbond_1(d112,d112_8,d112_9).
sbond_1(d112,d112_9,d112_10).
sbond_1(d112,d112_9,d112_23).
sbond_1(d112,d112_9,d112_24).
sbond_1(d112,d112_9,d112_8).
sbond_1(d113,d113_1,d113_29).
sbond_1(d113,d113_10,d113_6).
sbond_1(d113,d113_11,d113_21).
sbond_1(d113,d113_12,d113_17).
sbond_1(d113,d113_13,d113_18).
sbond_1(d113,d113_14,d113_22).
sbond_1(d113,d113_15,d113_19).
sbond_1(d113,d113_16,d113_20).
sbond_1(d113,d113_17,d113_12).
sbond_1(d113,d113_18,d113_13).
sbond_1(d113,d113_19,d113_15).
sbond_1(d113,d113_2,d113_7).
sbond_1(d113,d113_20,d113_16).
sbond_1(d113,d113_21,d113_11).
sbond_1(d113,d113_21,d113_36).
sbond_1(d113,d113_21,d113_37).
sbond_1(d113,d113_21,d113_4).
sbond_1(d113,d113_22,d113_14).
sbond_1(d113,d113_22,d113_23).
sbond_1(d113,d113_22,d113_24).
sbond_1(d113,d113_22,d113_25).
sbond_1(d113,d113_23,d113_22).
sbond_1(d113,d113_23,d113_26).
sbond_1(d113,d113_23,d113_27).
sbond_1(d113,d113_23,d113_28).
sbond_1(d113,d113_24,d113_22).
sbond_1(d113,d113_25,d113_22).
sbond_1(d113,d113_26,d113_23).
sbond_1(d113,d113_27,d113_23).
sbond_1(d113,d113_28,d113_23).
sbond_1(d113,d113_29,d113_1).
sbond_1(d113,d113_29,d113_30).
sbond_1(d113,d113_29,d113_31).
sbond_1(d113,d113_29,d113_32).
sbond_1(d113,d113_3,d113_8).
sbond_1(d113,d113_30,d113_29).
sbond_1(d113,d113_30,d113_33).
sbond_1(d113,d113_30,d113_34).
sbond_1(d113,d113_30,d113_35).
sbond_1(d113,d113_31,d113_29).
sbond_1(d113,d113_32,d113_29).
sbond_1(d113,d113_33,d113_30).
sbond_1(d113,d113_34,d113_30).
sbond_1(d113,d113_35,d113_30).
sbond_1(d113,d113_36,d113_21).
sbond_1(d113,d113_36,d113_38).
sbond_1(d113,d113_36,d113_39).
sbond_1(d113,d113_36,d113_40).
sbond_1(d113,d113_37,d113_21).
sbond_1(d113,d113_38,d113_36).
sbond_1(d113,d113_39,d113_36).
sbond_1(d113,d113_4,d113_21).
sbond_1(d113,d113_40,d113_36).
sbond_1(d113,d113_5,d113_9).
sbond_1(d113,d113_6,d113_10).
sbond_1(d113,d113_7,d113_2).
sbond_1(d113,d113_8,d113_3).
sbond_1(d113,d113_9,d113_5).
sbond_1(d114,d114_1,d114_12).
sbond_1(d114,d114_10,d114_11).
sbond_1(d114,d114_10,d114_3).
sbond_1(d114,d114_11,d114_10).
sbond_1(d114,d114_11,d114_16).
sbond_1(d114,d114_12,d114_1).
sbond_1(d114,d114_13,d114_8).
sbond_1(d114,d114_14,d114_8).
sbond_1(d114,d114_16,d114_11).
sbond_1(d114,d114_3,d114_10).
sbond_1(d114,d114_4,d114_9).
sbond_1(d114,d114_5,d114_8).
sbond_1(d114,d114_6,d114_7).
sbond_1(d114,d114_7,d114_6).
sbond_1(d114,d114_8,d114_13).
sbond_1(d114,d114_8,d114_14).
sbond_1(d114,d114_8,d114_5).
sbond_1(d114,d114_9,d114_4).
sbond_1(d115,d115_1,d115_2).
sbond_1(d115,d115_1,d115_3).
sbond_1(d115,d115_2,d115_1).
sbond_1(d115,d115_3,d115_1).
sbond_1(d116,d116_1,d116_28).
sbond_1(d116,d116_10,d116_6).
sbond_1(d116,d116_11,d116_17).
sbond_1(d116,d116_12,d116_18).
sbond_1(d116,d116_13,d116_27).
sbond_1(d116,d116_14,d116_19).
sbond_1(d116,d116_15,d116_20).
sbond_1(d116,d116_16,d116_21).
sbond_1(d116,d116_17,d116_11).
sbond_1(d116,d116_18,d116_12).
sbond_1(d116,d116_19,d116_14).
sbond_1(d116,d116_2,d116_7).
sbond_1(d116,d116_20,d116_15).
sbond_1(d116,d116_21,d116_16).
sbond_1(d116,d116_21,d116_22).
sbond_1(d116,d116_21,d116_23).
sbond_1(d116,d116_21,d116_4).
sbond_1(d116,d116_22,d116_21).
sbond_1(d116,d116_22,d116_24).
sbond_1(d116,d116_22,d116_25).
sbond_1(d116,d116_22,d116_26).
sbond_1(d116,d116_23,d116_21).
sbond_1(d116,d116_24,d116_22).
sbond_1(d116,d116_25,d116_22).
sbond_1(d116,d116_26,d116_22).
sbond_1(d116,d116_27,d116_13).
sbond_1(d116,d116_28,d116_1).
sbond_1(d116,d116_3,d116_8).
sbond_1(d116,d116_4,d116_21).
sbond_1(d116,d116_5,d116_9).
sbond_1(d116,d116_6,d116_10).
sbond_1(d116,d116_7,d116_2).
sbond_1(d116,d116_8,d116_3).
sbond_1(d116,d116_9,d116_5).
sbond_1(d117,d117_1,d117_18).
sbond_1(d117,d117_1,d117_6).
sbond_1(d117,d117_10,d117_4).
sbond_1(d117,d117_10,d117_9).
sbond_1(d117,d117_11,d117_3).
sbond_1(d117,d117_12,d117_8).
sbond_1(d117,d117_13,d117_8).
sbond_1(d117,d117_14,d117_4).
sbond_1(d117,d117_15,d117_5).
sbond_1(d117,d117_16,d117_2).
sbond_1(d117,d117_17,d117_23).
sbond_1(d117,d117_17,d117_6).
sbond_1(d117,d117_18,d117_1).
sbond_1(d117,d117_2,d117_16).
sbond_1(d117,d117_2,d117_3).
sbond_1(d117,d117_21,d117_9).
sbond_1(d117,d117_22,d117_7).
sbond_1(d117,d117_23,d117_17).
sbond_1(d117,d117_23,d117_26).
sbond_1(d117,d117_23,d117_27).
sbond_1(d117,d117_26,d117_23).
sbond_1(d117,d117_27,d117_23).
sbond_1(d117,d117_3,d117_11).
sbond_1(d117,d117_3,d117_2).
sbond_1(d117,d117_3,d117_4).
sbond_1(d117,d117_3,d117_7).
sbond_1(d117,d117_4,d117_10).
sbond_1(d117,d117_4,d117_14).
sbond_1(d117,d117_4,d117_3).
sbond_1(d117,d117_4,d117_5).
sbond_1(d117,d117_5,d117_15).
sbond_1(d117,d117_5,d117_4).
sbond_1(d117,d117_6,d117_1).
sbond_1(d117,d117_6,d117_17).
sbond_1(d117,d117_7,d117_22).
sbond_1(d117,d117_7,d117_3).
sbond_1(d117,d117_7,d117_8).
sbond_1(d117,d117_8,d117_12).
sbond_1(d117,d117_8,d117_13).
sbond_1(d117,d117_8,d117_7).
sbond_1(d117,d117_8,d117_9).
sbond_1(d117,d117_9,d117_10).
sbond_1(d117,d117_9,d117_21).
sbond_1(d117,d117_9,d117_8).
sbond_1(d118,d118_1,d118_18).
sbond_1(d118,d118_10,d118_16).
sbond_1(d118,d118_11,d118_19).
sbond_1(d118,d118_12,d118_17).
sbond_1(d118,d118_13,d118_7).
sbond_1(d118,d118_14,d118_8).
sbond_1(d118,d118_15,d118_9).
sbond_1(d118,d118_16,d118_10).
sbond_1(d118,d118_17,d118_12).
sbond_1(d118,d118_17,d118_21).
sbond_1(d118,d118_17,d118_3).
sbond_1(d118,d118_18,d118_1).
sbond_1(d118,d118_19,d118_11).
sbond_1(d118,d118_20,d118_5).
sbond_1(d118,d118_21,d118_17).
sbond_1(d118,d118_3,d118_17).
sbond_1(d118,d118_5,d118_20).
sbond_1(d118,d118_7,d118_13).
sbond_1(d118,d118_8,d118_14).
sbond_1(d118,d118_9,d118_15).
sbond_1(d119,d119_1,d119_10).
sbond_1(d119,d119_1,d119_14).
sbond_1(d119,d119_1,d119_2).
sbond_1(d119,d119_1,d119_6).
sbond_1(d119,d119_10,d119_1).
sbond_1(d119,d119_10,d119_11).
sbond_1(d119,d119_10,d119_12).
sbond_1(d119,d119_10,d119_13).
sbond_1(d119,d119_11,d119_10).
sbond_1(d119,d119_12,d119_10).
sbond_1(d119,d119_13,d119_10).
sbond_1(d119,d119_14,d119_1).
sbond_1(d119,d119_14,d119_15).
sbond_1(d119,d119_14,d119_16).
sbond_1(d119,d119_14,d119_17).
sbond_1(d119,d119_15,d119_14).
sbond_1(d119,d119_15,d119_18).
sbond_1(d119,d119_15,d119_19).
sbond_1(d119,d119_15,d119_20).
sbond_1(d119,d119_16,d119_14).
sbond_1(d119,d119_17,d119_14).
sbond_1(d119,d119_18,d119_15).
sbond_1(d119,d119_19,d119_15).
sbond_1(d119,d119_2,d119_1).
sbond_1(d119,d119_2,d119_3).
sbond_1(d119,d119_2,d119_4).
sbond_1(d119,d119_2,d119_5).
sbond_1(d119,d119_20,d119_15).
sbond_1(d119,d119_3,d119_2).
sbond_1(d119,d119_4,d119_2).
sbond_1(d119,d119_5,d119_2).
sbond_1(d119,d119_6,d119_1).
sbond_1(d119,d119_6,d119_7).
sbond_1(d119,d119_6,d119_8).
sbond_1(d119,d119_6,d119_9).
sbond_1(d119,d119_7,d119_6).
sbond_1(d119,d119_8,d119_6).
sbond_1(d119,d119_9,d119_6).
sbond_1(d12,d12_1,d12_7).
sbond_1(d12,d12_10,d12_12).
sbond_1(d12,d12_10,d12_13).
sbond_1(d12,d12_10,d12_5).
sbond_1(d12,d12_11,d12_14).
sbond_1(d12,d12_11,d12_15).
sbond_1(d12,d12_11,d12_3).
sbond_1(d12,d12_12,d12_10).
sbond_1(d12,d12_13,d12_10).
sbond_1(d12,d12_14,d12_11).
sbond_1(d12,d12_15,d12_11).
sbond_1(d12,d12_16,d12_17).
sbond_1(d12,d12_16,d12_18).
sbond_1(d12,d12_16,d12_19).
sbond_1(d12,d12_16,d12_2).
sbond_1(d12,d12_17,d12_16).
sbond_1(d12,d12_18,d12_16).
sbond_1(d12,d12_19,d12_16).
sbond_1(d12,d12_2,d12_16).
sbond_1(d12,d12_3,d12_11).
sbond_1(d12,d12_4,d12_8).
sbond_1(d12,d12_5,d12_10).
sbond_1(d12,d12_6,d12_9).
sbond_1(d12,d12_7,d12_1).
sbond_1(d12,d12_8,d12_4).
sbond_1(d12,d12_9,d12_6).
sbond_1(d120,d120_1,d120_7).
sbond_1(d120,d120_10,d120_6).
sbond_1(d120,d120_11,d120_5).
sbond_1(d120,d120_12,d120_4).
sbond_1(d120,d120_2,d120_8).
sbond_1(d120,d120_3,d120_9).
sbond_1(d120,d120_4,d120_12).
sbond_1(d120,d120_5,d120_11).
sbond_1(d120,d120_6,d120_10).
sbond_1(d120,d120_7,d120_1).
sbond_1(d120,d120_8,d120_2).
sbond_1(d120,d120_9,d120_3).
sbond_1(d121,d121_1,d121_14).
sbond_1(d121,d121_1,d121_2).
sbond_1(d121,d121_10,d121_20).
sbond_1(d121,d121_10,d121_21).
sbond_1(d121,d121_10,d121_4).
sbond_1(d121,d121_10,d121_9).
sbond_1(d121,d121_11,d121_3).
sbond_1(d121,d121_12,d121_4).
sbond_1(d121,d121_13,d121_6).
sbond_1(d121,d121_14,d121_1).
sbond_1(d121,d121_15,d121_5).
sbond_1(d121,d121_16,d121_2).
sbond_1(d121,d121_17,d121_8).
sbond_1(d121,d121_17,d121_9).
sbond_1(d121,d121_18,d121_8).
sbond_1(d121,d121_19,d121_9).
sbond_1(d121,d121_2,d121_1).
sbond_1(d121,d121_2,d121_16).
sbond_1(d121,d121_2,d121_25).
sbond_1(d121,d121_2,d121_3).
sbond_1(d121,d121_20,d121_10).
sbond_1(d121,d121_20,d121_22).
sbond_1(d121,d121_20,d121_23).
sbond_1(d121,d121_20,d121_7).
sbond_1(d121,d121_21,d121_10).
sbond_1(d121,d121_22,d121_20).
sbond_1(d121,d121_23,d121_20).
sbond_1(d121,d121_24,d121_7).
sbond_1(d121,d121_25,d121_2).
sbond_1(d121,d121_25,d121_26).
sbond_1(d121,d121_25,d121_27).
sbond_1(d121,d121_25,d121_5).
sbond_1(d121,d121_26,d121_25).
sbond_1(d121,d121_27,d121_25).
sbond_1(d121,d121_3,d121_11).
sbond_1(d121,d121_3,d121_2).
sbond_1(d121,d121_3,d121_4).
sbond_1(d121,d121_3,d121_7).
sbond_1(d121,d121_4,d121_10).
sbond_1(d121,d121_4,d121_12).
sbond_1(d121,d121_4,d121_3).
sbond_1(d121,d121_4,d121_5).
sbond_1(d121,d121_5,d121_15).
sbond_1(d121,d121_5,d121_25).
sbond_1(d121,d121_5,d121_4).
sbond_1(d121,d121_5,d121_6).
sbond_1(d121,d121_6,d121_13).
sbond_1(d121,d121_6,d121_5).
sbond_1(d121,d121_7,d121_20).
sbond_1(d121,d121_7,d121_24).
sbond_1(d121,d121_7,d121_3).
sbond_1(d121,d121_7,d121_8).
sbond_1(d121,d121_8,d121_17).
sbond_1(d121,d121_8,d121_18).
sbond_1(d121,d121_8,d121_7).
sbond_1(d121,d121_8,d121_9).
sbond_1(d121,d121_9,d121_10).
sbond_1(d121,d121_9,d121_17).
sbond_1(d121,d121_9,d121_19).
sbond_1(d121,d121_9,d121_8).
sbond_1(d122,d122_1,d122_32).
sbond_1(d122,d122_10,d122_6).
sbond_1(d122,d122_11,d122_17).
sbond_1(d122,d122_12,d122_18).
sbond_1(d122,d122_13,d122_27).
sbond_1(d122,d122_14,d122_19).
sbond_1(d122,d122_15,d122_20).
sbond_1(d122,d122_16,d122_21).
sbond_1(d122,d122_17,d122_11).
sbond_1(d122,d122_18,d122_12).
sbond_1(d122,d122_19,d122_14).
sbond_1(d122,d122_2,d122_7).
sbond_1(d122,d122_20,d122_15).
sbond_1(d122,d122_21,d122_16).
sbond_1(d122,d122_21,d122_22).
sbond_1(d122,d122_21,d122_23).
sbond_1(d122,d122_21,d122_4).
sbond_1(d122,d122_22,d122_21).
sbond_1(d122,d122_22,d122_24).
sbond_1(d122,d122_22,d122_25).
sbond_1(d122,d122_22,d122_26).
sbond_1(d122,d122_23,d122_21).
sbond_1(d122,d122_24,d122_22).
sbond_1(d122,d122_25,d122_22).
sbond_1(d122,d122_26,d122_22).
sbond_1(d122,d122_27,d122_13).
sbond_1(d122,d122_27,d122_28).
sbond_1(d122,d122_28,d122_27).
sbond_1(d122,d122_28,d122_29).
sbond_1(d122,d122_28,d122_30).
sbond_1(d122,d122_28,d122_31).
sbond_1(d122,d122_29,d122_28).
sbond_1(d122,d122_3,d122_8).
sbond_1(d122,d122_30,d122_28).
sbond_1(d122,d122_31,d122_28).
sbond_1(d122,d122_32,d122_1).
sbond_1(d122,d122_32,d122_33).
sbond_1(d122,d122_33,d122_32).
sbond_1(d122,d122_33,d122_34).
sbond_1(d122,d122_33,d122_35).
sbond_1(d122,d122_33,d122_36).
sbond_1(d122,d122_34,d122_33).
sbond_1(d122,d122_35,d122_33).
sbond_1(d122,d122_36,d122_33).
sbond_1(d122,d122_4,d122_21).
sbond_1(d122,d122_5,d122_9).
sbond_1(d122,d122_6,d122_10).
sbond_1(d122,d122_7,d122_2).
sbond_1(d122,d122_8,d122_3).
sbond_1(d122,d122_9,d122_5).
sbond_1(d123,d123_1,d123_2).
sbond_1(d123,d123_1,d123_3).
sbond_1(d123,d123_1,d123_4).
sbond_1(d123,d123_1,d123_5).
sbond_1(d123,d123_10,d123_6).
sbond_1(d123,d123_11,d123_12).
sbond_1(d123,d123_11,d123_13).
sbond_1(d123,d123_11,d123_14).
sbond_1(d123,d123_11,d123_6).
sbond_1(d123,d123_12,d123_11).
sbond_1(d123,d123_12,d123_15).
sbond_1(d123,d123_12,d123_16).
sbond_1(d123,d123_12,d123_17).
sbond_1(d123,d123_13,d123_11).
sbond_1(d123,d123_14,d123_11).
sbond_1(d123,d123_15,d123_12).
sbond_1(d123,d123_16,d123_12).
sbond_1(d123,d123_17,d123_12).
sbond_1(d123,d123_18,d123_19).
sbond_1(d123,d123_18,d123_22).
sbond_1(d123,d123_18,d123_9).
sbond_1(d123,d123_19,d123_18).
sbond_1(d123,d123_19,d123_20).
sbond_1(d123,d123_2,d123_1).
sbond_1(d123,d123_2,d123_6).
sbond_1(d123,d123_2,d123_7).
sbond_1(d123,d123_2,d123_8).
sbond_1(d123,d123_20,d123_19).
sbond_1(d123,d123_20,d123_24).
sbond_1(d123,d123_20,d123_25).
sbond_1(d123,d123_22,d123_18).
sbond_1(d123,d123_24,d123_20).
sbond_1(d123,d123_25,d123_20).
sbond_1(d123,d123_3,d123_1).
sbond_1(d123,d123_4,d123_1).
sbond_1(d123,d123_5,d123_1).
sbond_1(d123,d123_6,d123_10).
sbond_1(d123,d123_6,d123_11).
sbond_1(d123,d123_6,d123_2).
sbond_1(d123,d123_6,d123_9).
sbond_1(d123,d123_7,d123_2).
sbond_1(d123,d123_8,d123_2).
sbond_1(d123,d123_9,d123_18).
sbond_1(d123,d123_9,d123_6).
sbond_1(d124,d124_1,d124_2).
sbond_1(d124,d124_1,d124_20).
sbond_1(d124,d124_1,d124_21).
sbond_1(d124,d124_10,d124_15).
sbond_1(d124,d124_11,d124_16).
sbond_1(d124,d124_12,d124_19).
sbond_1(d124,d124_13,d124_17).
sbond_1(d124,d124_14,d124_18).
sbond_1(d124,d124_15,d124_10).
sbond_1(d124,d124_16,d124_11).
sbond_1(d124,d124_17,d124_13).
sbond_1(d124,d124_18,d124_14).
sbond_1(d124,d124_19,d124_12).
sbond_1(d124,d124_2,d124_1).
sbond_1(d124,d124_2,d124_3).
sbond_1(d124,d124_20,d124_1).
sbond_1(d124,d124_20,d124_22).
sbond_1(d124,d124_20,d124_23).
sbond_1(d124,d124_20,d124_24).
sbond_1(d124,d124_21,d124_1).
sbond_1(d124,d124_22,d124_20).
sbond_1(d124,d124_22,d124_25).
sbond_1(d124,d124_22,d124_26).
sbond_1(d124,d124_22,d124_27).
sbond_1(d124,d124_23,d124_20).
sbond_1(d124,d124_24,d124_20).
sbond_1(d124,d124_25,d124_22).
sbond_1(d124,d124_25,d124_28).
sbond_1(d124,d124_25,d124_29).
sbond_1(d124,d124_25,d124_30).
sbond_1(d124,d124_26,d124_22).
sbond_1(d124,d124_27,d124_22).
sbond_1(d124,d124_28,d124_25).
sbond_1(d124,d124_29,d124_25).
sbond_1(d124,d124_3,d124_2).
sbond_1(d124,d124_3,d124_5).
sbond_1(d124,d124_3,d124_6).
sbond_1(d124,d124_30,d124_25).
sbond_1(d124,d124_5,d124_3).
sbond_1(d124,d124_5,d124_9).
sbond_1(d124,d124_6,d124_3).
sbond_1(d124,d124_9,d124_5).
sbond_1(d125,d125_1,d125_28).
sbond_1(d125,d125_10,d125_6).
sbond_1(d125,d125_11,d125_17).
sbond_1(d125,d125_12,d125_18).
sbond_1(d125,d125_13,d125_27).
sbond_1(d125,d125_14,d125_19).
sbond_1(d125,d125_15,d125_20).
sbond_1(d125,d125_16,d125_21).
sbond_1(d125,d125_17,d125_11).
sbond_1(d125,d125_18,d125_12).
sbond_1(d125,d125_19,d125_14).
sbond_1(d125,d125_2,d125_7).
sbond_1(d125,d125_20,d125_15).
sbond_1(d125,d125_21,d125_16).
sbond_1(d125,d125_21,d125_22).
sbond_1(d125,d125_21,d125_23).
sbond_1(d125,d125_21,d125_4).
sbond_1(d125,d125_22,d125_21).
sbond_1(d125,d125_22,d125_24).
sbond_1(d125,d125_22,d125_25).
sbond_1(d125,d125_22,d125_26).
sbond_1(d125,d125_23,d125_21).
sbond_1(d125,d125_24,d125_22).
sbond_1(d125,d125_25,d125_22).
sbond_1(d125,d125_26,d125_22).
sbond_1(d125,d125_27,d125_13).
sbond_1(d125,d125_28,d125_1).
sbond_1(d125,d125_3,d125_8).
sbond_1(d125,d125_4,d125_21).
sbond_1(d125,d125_5,d125_9).
sbond_1(d125,d125_6,d125_10).
sbond_1(d125,d125_7,d125_2).
sbond_1(d125,d125_8,d125_3).
sbond_1(d125,d125_9,d125_5).
sbond_1(d126,d126_1,d126_12).
sbond_1(d126,d126_1,d126_13).
sbond_1(d126,d126_1,d126_2).
sbond_1(d126,d126_1,d126_6).
sbond_1(d126,d126_10,d126_2).
sbond_1(d126,d126_11,d126_3).
sbond_1(d126,d126_12,d126_1).
sbond_1(d126,d126_13,d126_1).
sbond_1(d126,d126_14,d126_2).
sbond_1(d126,d126_15,d126_3).
sbond_1(d126,d126_16,d126_4).
sbond_1(d126,d126_17,d126_5).
sbond_1(d126,d126_18,d126_6).
sbond_1(d126,d126_2,d126_1).
sbond_1(d126,d126_2,d126_10).
sbond_1(d126,d126_2,d126_14).
sbond_1(d126,d126_2,d126_3).
sbond_1(d126,d126_3,d126_11).
sbond_1(d126,d126_3,d126_15).
sbond_1(d126,d126_3,d126_2).
sbond_1(d126,d126_3,d126_4).
sbond_1(d126,d126_4,d126_16).
sbond_1(d126,d126_4,d126_3).
sbond_1(d126,d126_4,d126_5).
sbond_1(d126,d126_4,d126_9).
sbond_1(d126,d126_5,d126_17).
sbond_1(d126,d126_5,d126_4).
sbond_1(d126,d126_5,d126_6).
sbond_1(d126,d126_5,d126_8).
sbond_1(d126,d126_6,d126_1).
sbond_1(d126,d126_6,d126_18).
sbond_1(d126,d126_6,d126_5).
sbond_1(d126,d126_6,d126_7).
sbond_1(d126,d126_7,d126_6).
sbond_1(d126,d126_8,d126_5).
sbond_1(d126,d126_9,d126_4).
sbond_1(d127,d127_1,d127_11).
sbond_1(d127,d127_10,d127_3).
sbond_1(d127,d127_11,d127_1).
sbond_1(d127,d127_12,d127_5).
sbond_1(d127,d127_2,d127_9).
sbond_1(d127,d127_3,d127_10).
sbond_1(d127,d127_4,d127_8).
sbond_1(d127,d127_5,d127_12).
sbond_1(d127,d127_6,d127_7).
sbond_1(d127,d127_7,d127_6).
sbond_1(d127,d127_8,d127_4).
sbond_1(d127,d127_9,d127_2).
sbond_1(d128,d128_1,d128_11).
sbond_1(d128,d128_1,d128_2).
sbond_1(d128,d128_1,d128_23).
sbond_1(d128,d128_1,d128_25).
sbond_1(d128,d128_10,d128_16).
sbond_1(d128,d128_10,d128_18).
sbond_1(d128,d128_10,d128_27).
sbond_1(d128,d128_10,d128_3).
sbond_1(d128,d128_11,d128_1).
sbond_1(d128,d128_11,d128_12).
sbond_1(d128,d128_11,d128_13).
sbond_1(d128,d128_11,d128_14).
sbond_1(d128,d128_12,d128_11).
sbond_1(d128,d128_12,d128_13).
sbond_1(d128,d128_12,d128_15).
sbond_1(d128,d128_12,d128_8).
sbond_1(d128,d128_13,d128_11).
sbond_1(d128,d128_13,d128_12).
sbond_1(d128,d128_14,d128_11).
sbond_1(d128,d128_15,d128_12).
sbond_1(d128,d128_16,d128_10).
sbond_1(d128,d128_16,d128_23).
sbond_1(d128,d128_16,d128_24).
sbond_1(d128,d128_16,d128_8).
sbond_1(d128,d128_17,d128_8).
sbond_1(d128,d128_18,d128_10).
sbond_1(d128,d128_18,d128_19).
sbond_1(d128,d128_18,d128_20).
sbond_1(d128,d128_18,d128_6).
sbond_1(d128,d128_19,d128_18).
sbond_1(d128,d128_2,d128_1).
sbond_1(d128,d128_2,d128_3).
sbond_1(d128,d128_2,d128_8).
sbond_1(d128,d128_2,d128_9).
sbond_1(d128,d128_20,d128_18).
sbond_1(d128,d128_21,d128_6).
sbond_1(d128,d128_22,d128_3).
sbond_1(d128,d128_23,d128_1).
sbond_1(d128,d128_23,d128_16).
sbond_1(d128,d128_23,d128_26).
sbond_1(d128,d128_23,d128_6).
sbond_1(d128,d128_24,d128_16).
sbond_1(d128,d128_25,d128_1).
sbond_1(d128,d128_26,d128_23).
sbond_1(d128,d128_27,d128_10).
sbond_1(d128,d128_3,d128_10).
sbond_1(d128,d128_3,d128_2).
sbond_1(d128,d128_3,d128_22).
sbond_1(d128,d128_3,d128_4).
sbond_1(d128,d128_4,d128_3).
sbond_1(d128,d128_4,d128_5).
sbond_1(d128,d128_4,d128_6).
sbond_1(d128,d128_4,d128_7).
sbond_1(d128,d128_5,d128_4).
sbond_1(d128,d128_6,d128_18).
sbond_1(d128,d128_6,d128_21).
sbond_1(d128,d128_6,d128_23).
sbond_1(d128,d128_6,d128_4).
sbond_1(d128,d128_7,d128_4).
sbond_1(d128,d128_8,d128_12).
sbond_1(d128,d128_8,d128_16).
sbond_1(d128,d128_8,d128_17).
sbond_1(d128,d128_8,d128_2).
sbond_1(d128,d128_9,d128_2).
sbond_1(d129,d129_1,d129_2).
sbond_1(d129,d129_10,d129_9).
sbond_1(d129,d129_11,d129_9).
sbond_1(d129,d129_12,d129_9).
sbond_1(d129,d129_2,d129_1).
sbond_1(d129,d129_2,d129_3).
sbond_1(d129,d129_3,d129_2).
sbond_1(d129,d129_4,d129_5).
sbond_1(d129,d129_4,d129_9).
sbond_1(d129,d129_5,d129_4).
sbond_1(d129,d129_5,d129_6).
sbond_1(d129,d129_5,d129_7).
sbond_1(d129,d129_5,d129_8).
sbond_1(d129,d129_6,d129_5).
sbond_1(d129,d129_7,d129_5).
sbond_1(d129,d129_8,d129_5).
sbond_1(d129,d129_9,d129_10).
sbond_1(d129,d129_9,d129_11).
sbond_1(d129,d129_9,d129_12).
sbond_1(d129,d129_9,d129_4).
sbond_1(d13,d13_1,d13_7).
sbond_1(d13,d13_10,d13_20).
sbond_1(d13,d13_10,d13_27).
sbond_1(d13,d13_10,d13_5).
sbond_1(d13,d13_11,d13_3).
sbond_1(d13,d13_12,d13_13).
sbond_1(d13,d13_12,d13_17).
sbond_1(d13,d13_12,d13_2).
sbond_1(d13,d13_13,d13_12).
sbond_1(d13,d13_13,d13_14).
sbond_1(d13,d13_13,d13_15).
sbond_1(d13,d13_13,d13_16).
sbond_1(d13,d13_14,d13_13).
sbond_1(d13,d13_15,d13_13).
sbond_1(d13,d13_16,d13_13).
sbond_1(d13,d13_17,d13_12).
sbond_1(d13,d13_2,d13_12).
sbond_1(d13,d13_20,d13_10).
sbond_1(d13,d13_20,d13_21).
sbond_1(d13,d13_20,d13_22).
sbond_1(d13,d13_20,d13_23).
sbond_1(d13,d13_21,d13_20).
sbond_1(d13,d13_21,d13_24).
sbond_1(d13,d13_21,d13_25).
sbond_1(d13,d13_21,d13_26).
sbond_1(d13,d13_22,d13_20).
sbond_1(d13,d13_23,d13_20).
sbond_1(d13,d13_24,d13_21).
sbond_1(d13,d13_24,d13_34).
sbond_1(d13,d13_25,d13_21).
sbond_1(d13,d13_26,d13_21).
sbond_1(d13,d13_27,d13_10).
sbond_1(d13,d13_27,d13_28).
sbond_1(d13,d13_27,d13_29).
sbond_1(d13,d13_27,d13_30).
sbond_1(d13,d13_28,d13_27).
sbond_1(d13,d13_28,d13_31).
sbond_1(d13,d13_28,d13_32).
sbond_1(d13,d13_28,d13_33).
sbond_1(d13,d13_29,d13_27).
sbond_1(d13,d13_3,d13_11).
sbond_1(d13,d13_30,d13_27).
sbond_1(d13,d13_31,d13_28).
sbond_1(d13,d13_31,d13_35).
sbond_1(d13,d13_32,d13_28).
sbond_1(d13,d13_33,d13_28).
sbond_1(d13,d13_34,d13_24).
sbond_1(d13,d13_35,d13_31).
sbond_1(d13,d13_4,d13_8).
sbond_1(d13,d13_5,d13_10).
sbond_1(d13,d13_6,d13_9).
sbond_1(d13,d13_7,d13_1).
sbond_1(d13,d13_8,d13_4).
sbond_1(d13,d13_9,d13_6).
sbond_1(d130,d130_1,d130_7).
sbond_1(d130,d130_10,d130_6).
sbond_1(d130,d130_11,d130_14).
sbond_1(d130,d130_11,d130_4).
sbond_1(d130,d130_12,d130_3).
sbond_1(d130,d130_13,d130_15).
sbond_1(d130,d130_13,d130_16).
sbond_1(d130,d130_14,d130_11).
sbond_1(d130,d130_15,d130_13).
sbond_1(d130,d130_16,d130_13).
sbond_1(d130,d130_2,d130_8).
sbond_1(d130,d130_3,d130_12).
sbond_1(d130,d130_4,d130_11).
sbond_1(d130,d130_5,d130_9).
sbond_1(d130,d130_6,d130_10).
sbond_1(d130,d130_7,d130_1).
sbond_1(d130,d130_8,d130_2).
sbond_1(d130,d130_9,d130_5).
sbond_1(d131,d131_1,d131_8).
sbond_1(d131,d131_10,d131_11).
sbond_1(d131,d131_10,d131_12).
sbond_1(d131,d131_10,d131_13).
sbond_1(d131,d131_10,d131_9).
sbond_1(d131,d131_11,d131_10).
sbond_1(d131,d131_12,d131_10).
sbond_1(d131,d131_13,d131_10).
sbond_1(d131,d131_14,d131_4).
sbond_1(d131,d131_15,d131_3).
sbond_1(d131,d131_16,d131_2).
sbond_1(d131,d131_2,d131_16).
sbond_1(d131,d131_3,d131_15).
sbond_1(d131,d131_4,d131_14).
sbond_1(d131,d131_5,d131_9).
sbond_1(d131,d131_6,d131_7).
sbond_1(d131,d131_7,d131_6).
sbond_1(d131,d131_8,d131_1).
sbond_1(d131,d131_9,d131_10).
sbond_1(d131,d131_9,d131_5).
sbond_1(d132,d132_1,d132_7).
sbond_1(d132,d132_10,d132_6).
sbond_1(d132,d132_11,d132_21).
sbond_1(d132,d132_12,d132_17).
sbond_1(d132,d132_13,d132_18).
sbond_1(d132,d132_14,d132_38).
sbond_1(d132,d132_15,d132_19).
sbond_1(d132,d132_16,d132_20).
sbond_1(d132,d132_17,d132_12).
sbond_1(d132,d132_18,d132_13).
sbond_1(d132,d132_19,d132_15).
sbond_1(d132,d132_20,d132_16).
sbond_1(d132,d132_21,d132_11).
sbond_1(d132,d132_21,d132_22).
sbond_1(d132,d132_21,d132_23).
sbond_1(d132,d132_21,d132_3).
sbond_1(d132,d132_22,d132_21).
sbond_1(d132,d132_22,d132_24).
sbond_1(d132,d132_22,d132_25).
sbond_1(d132,d132_22,d132_26).
sbond_1(d132,d132_23,d132_21).
sbond_1(d132,d132_24,d132_22).
sbond_1(d132,d132_24,d132_27).
sbond_1(d132,d132_24,d132_28).
sbond_1(d132,d132_24,d132_29).
sbond_1(d132,d132_25,d132_22).
sbond_1(d132,d132_26,d132_22).
sbond_1(d132,d132_27,d132_24).
sbond_1(d132,d132_27,d132_30).
sbond_1(d132,d132_27,d132_34).
sbond_1(d132,d132_28,d132_24).
sbond_1(d132,d132_29,d132_24).
sbond_1(d132,d132_3,d132_21).
sbond_1(d132,d132_30,d132_27).
sbond_1(d132,d132_30,d132_31).
sbond_1(d132,d132_30,d132_32).
sbond_1(d132,d132_30,d132_33).
sbond_1(d132,d132_31,d132_30).
sbond_1(d132,d132_32,d132_30).
sbond_1(d132,d132_33,d132_30).
sbond_1(d132,d132_34,d132_27).
sbond_1(d132,d132_34,d132_35).
sbond_1(d132,d132_34,d132_36).
sbond_1(d132,d132_34,d132_37).
sbond_1(d132,d132_35,d132_34).
sbond_1(d132,d132_36,d132_34).
sbond_1(d132,d132_37,d132_34).
sbond_1(d132,d132_38,d132_14).
sbond_1(d132,d132_4,d132_8).
sbond_1(d132,d132_5,d132_9).
sbond_1(d132,d132_6,d132_10).
sbond_1(d132,d132_7,d132_1).
sbond_1(d132,d132_8,d132_4).
sbond_1(d132,d132_9,d132_5).
sbond_1(d133,d133_1,d133_7).
sbond_1(d133,d133_10,d133_13).
sbond_1(d133,d133_10,d133_5).
sbond_1(d133,d133_11,d133_4).
sbond_1(d133,d133_12,d133_2).
sbond_1(d133,d133_13,d133_10).
sbond_1(d133,d133_2,d133_12).
sbond_1(d133,d133_3,d133_8).
sbond_1(d133,d133_4,d133_11).
sbond_1(d133,d133_5,d133_10).
sbond_1(d133,d133_6,d133_9).
sbond_1(d133,d133_7,d133_1).
sbond_1(d133,d133_8,d133_3).
sbond_1(d133,d133_9,d133_6).
sbond_1(d134,d134_1,d134_7).
sbond_1(d134,d134_10,d134_4).
sbond_1(d134,d134_11,d134_5).
sbond_1(d134,d134_12,d134_6).
sbond_1(d134,d134_2,d134_8).
sbond_1(d134,d134_3,d134_9).
sbond_1(d134,d134_4,d134_10).
sbond_1(d134,d134_5,d134_11).
sbond_1(d134,d134_6,d134_12).
sbond_1(d134,d134_7,d134_1).
sbond_1(d134,d134_8,d134_2).
sbond_1(d134,d134_9,d134_3).
sbond_1(d135,d135_1,d135_7).
sbond_1(d135,d135_10,d135_6).
sbond_1(d135,d135_11,d135_34).
sbond_1(d135,d135_11,d135_4).
sbond_1(d135,d135_12,d135_14).
sbond_1(d135,d135_12,d135_15).
sbond_1(d135,d135_12,d135_35).
sbond_1(d135,d135_12,d135_38).
sbond_1(d135,d135_14,d135_12).
sbond_1(d135,d135_14,d135_22).
sbond_1(d135,d135_14,d135_23).
sbond_1(d135,d135_14,d135_24).
sbond_1(d135,d135_15,d135_12).
sbond_1(d135,d135_15,d135_16).
sbond_1(d135,d135_15,d135_17).
sbond_1(d135,d135_15,d135_18).
sbond_1(d135,d135_16,d135_15).
sbond_1(d135,d135_16,d135_19).
sbond_1(d135,d135_16,d135_20).
sbond_1(d135,d135_16,d135_21).
sbond_1(d135,d135_17,d135_15).
sbond_1(d135,d135_18,d135_15).
sbond_1(d135,d135_19,d135_16).
sbond_1(d135,d135_2,d135_8).
sbond_1(d135,d135_20,d135_16).
sbond_1(d135,d135_21,d135_16).
sbond_1(d135,d135_22,d135_14).
sbond_1(d135,d135_22,d135_25).
sbond_1(d135,d135_22,d135_26).
sbond_1(d135,d135_22,d135_27).
sbond_1(d135,d135_23,d135_14).
sbond_1(d135,d135_24,d135_14).
sbond_1(d135,d135_25,d135_22).
sbond_1(d135,d135_25,d135_28).
sbond_1(d135,d135_25,d135_29).
sbond_1(d135,d135_25,d135_30).
sbond_1(d135,d135_26,d135_22).
sbond_1(d135,d135_27,d135_22).
sbond_1(d135,d135_28,d135_25).
sbond_1(d135,d135_28,d135_31).
sbond_1(d135,d135_28,d135_32).
sbond_1(d135,d135_28,d135_33).
sbond_1(d135,d135_29,d135_25).
sbond_1(d135,d135_3,d135_39).
sbond_1(d135,d135_30,d135_25).
sbond_1(d135,d135_31,d135_28).
sbond_1(d135,d135_32,d135_28).
sbond_1(d135,d135_33,d135_28).
sbond_1(d135,d135_34,d135_11).
sbond_1(d135,d135_34,d135_35).
sbond_1(d135,d135_35,d135_12).
sbond_1(d135,d135_35,d135_34).
sbond_1(d135,d135_35,d135_36).
sbond_1(d135,d135_35,d135_37).
sbond_1(d135,d135_36,d135_35).
sbond_1(d135,d135_37,d135_35).
sbond_1(d135,d135_38,d135_12).
sbond_1(d135,d135_39,d135_3).
sbond_1(d135,d135_39,d135_40).
sbond_1(d135,d135_4,d135_11).
sbond_1(d135,d135_40,d135_39).
sbond_1(d135,d135_40,d135_41).
sbond_1(d135,d135_41,d135_40).
sbond_1(d135,d135_41,d135_42).
sbond_1(d135,d135_41,d135_43).
sbond_1(d135,d135_41,d135_44).
sbond_1(d135,d135_42,d135_41).
sbond_1(d135,d135_42,d135_45).
sbond_1(d135,d135_42,d135_49).
sbond_1(d135,d135_42,d135_50).
sbond_1(d135,d135_43,d135_41).
sbond_1(d135,d135_44,d135_41).
sbond_1(d135,d135_45,d135_42).
sbond_1(d135,d135_45,d135_46).
sbond_1(d135,d135_45,d135_47).
sbond_1(d135,d135_45,d135_48).
sbond_1(d135,d135_46,d135_45).
sbond_1(d135,d135_47,d135_45).
sbond_1(d135,d135_48,d135_45).
sbond_1(d135,d135_49,d135_42).
sbond_1(d135,d135_49,d135_51).
sbond_1(d135,d135_49,d135_52).
sbond_1(d135,d135_49,d135_53).
sbond_1(d135,d135_5,d135_9).
sbond_1(d135,d135_50,d135_42).
sbond_1(d135,d135_51,d135_49).
sbond_1(d135,d135_51,d135_54).
sbond_1(d135,d135_51,d135_55).
sbond_1(d135,d135_51,d135_56).
sbond_1(d135,d135_52,d135_49).
sbond_1(d135,d135_53,d135_49).
sbond_1(d135,d135_54,d135_51).
sbond_1(d135,d135_54,d135_57).
sbond_1(d135,d135_54,d135_58).
sbond_1(d135,d135_54,d135_59).
sbond_1(d135,d135_55,d135_51).
sbond_1(d135,d135_56,d135_51).
sbond_1(d135,d135_57,d135_54).
sbond_1(d135,d135_57,d135_60).
sbond_1(d135,d135_57,d135_61).
sbond_1(d135,d135_57,d135_62).
sbond_1(d135,d135_58,d135_54).
sbond_1(d135,d135_59,d135_54).
sbond_1(d135,d135_6,d135_10).
sbond_1(d135,d135_60,d135_57).
sbond_1(d135,d135_61,d135_57).
sbond_1(d135,d135_62,d135_57).
sbond_1(d135,d135_7,d135_1).
sbond_1(d135,d135_8,d135_2).
sbond_1(d135,d135_9,d135_5).
sbond_1(d136,d136_1,d136_14).
sbond_1(d136,d136_1,d136_2).
sbond_1(d136,d136_1,d136_8).
sbond_1(d136,d136_10,d136_8).
sbond_1(d136,d136_11,d136_8).
sbond_1(d136,d136_13,d136_21).
sbond_1(d136,d136_13,d136_9).
sbond_1(d136,d136_14,d136_1).
sbond_1(d136,d136_14,d136_15).
sbond_1(d136,d136_14,d136_16).
sbond_1(d136,d136_14,d136_17).
sbond_1(d136,d136_15,d136_14).
sbond_1(d136,d136_15,d136_18).
sbond_1(d136,d136_16,d136_14).
sbond_1(d136,d136_17,d136_14).
sbond_1(d136,d136_18,d136_15).
sbond_1(d136,d136_18,d136_22).
sbond_1(d136,d136_2,d136_1).
sbond_1(d136,d136_2,d136_3).
sbond_1(d136,d136_2,d136_4).
sbond_1(d136,d136_2,d136_5).
sbond_1(d136,d136_20,d136_7).
sbond_1(d136,d136_21,d136_13).
sbond_1(d136,d136_22,d136_18).
sbond_1(d136,d136_3,d136_2).
sbond_1(d136,d136_3,d136_7).
sbond_1(d136,d136_4,d136_2).
sbond_1(d136,d136_5,d136_2).
sbond_1(d136,d136_7,d136_20).
sbond_1(d136,d136_7,d136_3).
sbond_1(d136,d136_8,d136_1).
sbond_1(d136,d136_8,d136_10).
sbond_1(d136,d136_8,d136_11).
sbond_1(d136,d136_8,d136_9).
sbond_1(d136,d136_9,d136_13).
sbond_1(d136,d136_9,d136_8).
sbond_1(d137,d137_1,d137_21).
sbond_1(d137,d137_10,d137_11).
sbond_1(d137,d137_11,d137_10).
sbond_1(d137,d137_11,d137_12).
sbond_1(d137,d137_11,d137_26).
sbond_1(d137,d137_11,d137_30).
sbond_1(d137,d137_12,d137_11).
sbond_1(d137,d137_12,d137_13).
sbond_1(d137,d137_12,d137_29).
sbond_1(d137,d137_13,d137_12).
sbond_1(d137,d137_13,d137_14).
sbond_1(d137,d137_13,d137_16).
sbond_1(d137,d137_13,d137_17).
sbond_1(d137,d137_14,d137_13).
sbond_1(d137,d137_14,d137_15).
sbond_1(d137,d137_14,d137_18).
sbond_1(d137,d137_14,d137_19).
sbond_1(d137,d137_15,d137_14).
sbond_1(d137,d137_16,d137_13).
sbond_1(d137,d137_17,d137_13).
sbond_1(d137,d137_18,d137_14).
sbond_1(d137,d137_19,d137_14).
sbond_1(d137,d137_2,d137_7).
sbond_1(d137,d137_20,d137_84).
sbond_1(d137,d137_21,d137_1).
sbond_1(d137,d137_21,d137_22).
sbond_1(d137,d137_22,d137_21).
sbond_1(d137,d137_22,d137_23).
sbond_1(d137,d137_22,d137_24).
sbond_1(d137,d137_22,d137_25).
sbond_1(d137,d137_23,d137_22).
sbond_1(d137,d137_24,d137_22).
sbond_1(d137,d137_25,d137_22).
sbond_1(d137,d137_26,d137_11).
sbond_1(d137,d137_26,d137_27).
sbond_1(d137,d137_26,d137_31).
sbond_1(d137,d137_26,d137_32).
sbond_1(d137,d137_27,d137_26).
sbond_1(d137,d137_27,d137_28).
sbond_1(d137,d137_27,d137_35).
sbond_1(d137,d137_27,d137_40).
sbond_1(d137,d137_28,d137_27).
sbond_1(d137,d137_28,d137_29).
sbond_1(d137,d137_28,d137_38).
sbond_1(d137,d137_28,d137_39).
sbond_1(d137,d137_29,d137_12).
sbond_1(d137,d137_29,d137_28).
sbond_1(d137,d137_29,d137_33).
sbond_1(d137,d137_29,d137_34).
sbond_1(d137,d137_30,d137_11).
sbond_1(d137,d137_31,d137_26).
sbond_1(d137,d137_32,d137_26).
sbond_1(d137,d137_33,d137_29).
sbond_1(d137,d137_34,d137_29).
sbond_1(d137,d137_35,d137_27).
sbond_1(d137,d137_35,d137_36).
sbond_1(d137,d137_35,d137_43).
sbond_1(d137,d137_35,d137_44).
sbond_1(d137,d137_36,d137_35).
sbond_1(d137,d137_36,d137_37).
sbond_1(d137,d137_36,d137_51).
sbond_1(d137,d137_36,d137_52).
sbond_1(d137,d137_37,d137_36).
sbond_1(d137,d137_37,d137_38).
sbond_1(d137,d137_37,d137_57).
sbond_1(d137,d137_37,d137_58).
sbond_1(d137,d137_38,d137_28).
sbond_1(d137,d137_38,d137_37).
sbond_1(d137,d137_38,d137_41).
sbond_1(d137,d137_38,d137_42).
sbond_1(d137,d137_39,d137_28).
sbond_1(d137,d137_40,d137_27).
sbond_1(d137,d137_41,d137_38).
sbond_1(d137,d137_42,d137_38).
sbond_1(d137,d137_43,d137_35).
sbond_1(d137,d137_43,d137_45).
sbond_1(d137,d137_44,d137_35).
sbond_1(d137,d137_45,d137_43).
sbond_1(d137,d137_45,d137_46).
sbond_1(d137,d137_46,d137_45).
sbond_1(d137,d137_46,d137_47).
sbond_1(d137,d137_46,d137_48).
sbond_1(d137,d137_46,d137_49).
sbond_1(d137,d137_47,d137_46).
sbond_1(d137,d137_48,d137_46).
sbond_1(d137,d137_49,d137_46).
sbond_1(d137,d137_5,d137_8).
sbond_1(d137,d137_51,d137_36).
sbond_1(d137,d137_51,d137_53).
sbond_1(d137,d137_52,d137_36).
sbond_1(d137,d137_53,d137_51).
sbond_1(d137,d137_53,d137_54).
sbond_1(d137,d137_53,d137_55).
sbond_1(d137,d137_53,d137_56).
sbond_1(d137,d137_54,d137_53).
sbond_1(d137,d137_55,d137_53).
sbond_1(d137,d137_56,d137_53).
sbond_1(d137,d137_57,d137_37).
sbond_1(d137,d137_57,d137_59).
sbond_1(d137,d137_58,d137_37).
sbond_1(d137,d137_59,d137_57).
sbond_1(d137,d137_59,d137_60).
sbond_1(d137,d137_6,d137_9).
sbond_1(d137,d137_60,d137_59).
sbond_1(d137,d137_61,d137_66).
sbond_1(d137,d137_62,d137_79).
sbond_1(d137,d137_63,d137_74).
sbond_1(d137,d137_64,d137_69).
sbond_1(d137,d137_65,d137_67).
sbond_1(d137,d137_66,d137_61).
sbond_1(d137,d137_67,d137_65).
sbond_1(d137,d137_69,d137_64).
sbond_1(d137,d137_69,d137_70).
sbond_1(d137,d137_7,d137_2).
sbond_1(d137,d137_70,d137_69).
sbond_1(d137,d137_70,d137_71).
sbond_1(d137,d137_70,d137_72).
sbond_1(d137,d137_70,d137_73).
sbond_1(d137,d137_71,d137_70).
sbond_1(d137,d137_72,d137_70).
sbond_1(d137,d137_73,d137_70).
sbond_1(d137,d137_74,d137_63).
sbond_1(d137,d137_74,d137_75).
sbond_1(d137,d137_75,d137_74).
sbond_1(d137,d137_75,d137_76).
sbond_1(d137,d137_75,d137_77).
sbond_1(d137,d137_75,d137_78).
sbond_1(d137,d137_76,d137_75).
sbond_1(d137,d137_77,d137_75).
sbond_1(d137,d137_78,d137_75).
sbond_1(d137,d137_79,d137_62).
sbond_1(d137,d137_79,d137_80).
sbond_1(d137,d137_8,d137_5).
sbond_1(d137,d137_80,d137_79).
sbond_1(d137,d137_80,d137_81).
sbond_1(d137,d137_80,d137_82).
sbond_1(d137,d137_80,d137_83).
sbond_1(d137,d137_81,d137_80).
sbond_1(d137,d137_82,d137_80).
sbond_1(d137,d137_83,d137_80).
sbond_1(d137,d137_84,d137_20).
sbond_1(d137,d137_9,d137_6).
sbond_1(d138,d138_1,d138_7).
sbond_1(d138,d138_10,d138_6).
sbond_1(d138,d138_11,d138_13).
sbond_1(d138,d138_11,d138_5).
sbond_1(d138,d138_12,d138_14).
sbond_1(d138,d138_12,d138_2).
sbond_1(d138,d138_13,d138_11).
sbond_1(d138,d138_14,d138_12).
sbond_1(d138,d138_2,d138_12).
sbond_1(d138,d138_3,d138_8).
sbond_1(d138,d138_4,d138_9).
sbond_1(d138,d138_5,d138_11).
sbond_1(d138,d138_6,d138_10).
sbond_1(d138,d138_7,d138_1).
sbond_1(d138,d138_8,d138_3).
sbond_1(d138,d138_9,d138_4).
sbond_1(d139,d139_1,d139_2).
sbond_1(d139,d139_1,d139_33).
sbond_1(d139,d139_1,d139_34).
sbond_1(d139,d139_1,d139_35).
sbond_1(d139,d139_10,d139_6).
sbond_1(d139,d139_11,d139_6).
sbond_1(d139,d139_12,d139_15).
sbond_1(d139,d139_12,d139_16).
sbond_1(d139,d139_12,d139_17).
sbond_1(d139,d139_12,d139_9).
sbond_1(d139,d139_13,d139_9).
sbond_1(d139,d139_14,d139_9).
sbond_1(d139,d139_15,d139_12).
sbond_1(d139,d139_15,d139_18).
sbond_1(d139,d139_15,d139_19).
sbond_1(d139,d139_15,d139_20).
sbond_1(d139,d139_16,d139_12).
sbond_1(d139,d139_17,d139_12).
sbond_1(d139,d139_18,d139_15).
sbond_1(d139,d139_18,d139_21).
sbond_1(d139,d139_18,d139_22).
sbond_1(d139,d139_18,d139_23).
sbond_1(d139,d139_19,d139_15).
sbond_1(d139,d139_2,d139_1).
sbond_1(d139,d139_2,d139_3).
sbond_1(d139,d139_2,d139_4).
sbond_1(d139,d139_2,d139_5).
sbond_1(d139,d139_20,d139_15).
sbond_1(d139,d139_21,d139_18).
sbond_1(d139,d139_21,d139_24).
sbond_1(d139,d139_21,d139_25).
sbond_1(d139,d139_21,d139_26).
sbond_1(d139,d139_22,d139_18).
sbond_1(d139,d139_23,d139_18).
sbond_1(d139,d139_24,d139_21).
sbond_1(d139,d139_24,d139_27).
sbond_1(d139,d139_24,d139_28).
sbond_1(d139,d139_24,d139_29).
sbond_1(d139,d139_25,d139_21).
sbond_1(d139,d139_26,d139_21).
sbond_1(d139,d139_27,d139_24).
sbond_1(d139,d139_27,d139_30).
sbond_1(d139,d139_28,d139_24).
sbond_1(d139,d139_29,d139_24).
sbond_1(d139,d139_3,d139_2).
sbond_1(d139,d139_3,d139_6).
sbond_1(d139,d139_3,d139_7).
sbond_1(d139,d139_3,d139_8).
sbond_1(d139,d139_30,d139_27).
sbond_1(d139,d139_30,d139_32).
sbond_1(d139,d139_32,d139_30).
sbond_1(d139,d139_33,d139_1).
sbond_1(d139,d139_33,d139_36).
sbond_1(d139,d139_33,d139_37).
sbond_1(d139,d139_34,d139_1).
sbond_1(d139,d139_35,d139_1).
sbond_1(d139,d139_36,d139_33).
sbond_1(d139,d139_37,d139_33).
sbond_1(d139,d139_4,d139_2).
sbond_1(d139,d139_5,d139_2).
sbond_1(d139,d139_6,d139_10).
sbond_1(d139,d139_6,d139_11).
sbond_1(d139,d139_6,d139_3).
sbond_1(d139,d139_6,d139_9).
sbond_1(d139,d139_7,d139_3).
sbond_1(d139,d139_8,d139_3).
sbond_1(d139,d139_9,d139_12).
sbond_1(d139,d139_9,d139_13).
sbond_1(d139,d139_9,d139_14).
sbond_1(d139,d139_9,d139_6).
sbond_1(d14,d14_1,d14_7).
sbond_1(d14,d14_10,d14_5).
sbond_1(d14,d14_11,d14_6).
sbond_1(d14,d14_12,d14_13).
sbond_1(d14,d14_12,d14_25).
sbond_1(d14,d14_12,d14_3).
sbond_1(d14,d14_13,d14_12).
sbond_1(d14,d14_13,d14_14).
sbond_1(d14,d14_13,d14_26).
sbond_1(d14,d14_14,d14_13).
sbond_1(d14,d14_15,d14_20).
sbond_1(d14,d14_16,d14_21).
sbond_1(d14,d14_17,d14_22).
sbond_1(d14,d14_18,d14_23).
sbond_1(d14,d14_19,d14_24).
sbond_1(d14,d14_2,d14_8).
sbond_1(d14,d14_20,d14_15).
sbond_1(d14,d14_21,d14_16).
sbond_1(d14,d14_22,d14_17).
sbond_1(d14,d14_23,d14_18).
sbond_1(d14,d14_24,d14_19).
sbond_1(d14,d14_25,d14_12).
sbond_1(d14,d14_26,d14_13).
sbond_1(d14,d14_3,d14_12).
sbond_1(d14,d14_4,d14_9).
sbond_1(d14,d14_5,d14_10).
sbond_1(d14,d14_6,d14_11).
sbond_1(d14,d14_7,d14_1).
sbond_1(d14,d14_8,d14_2).
sbond_1(d14,d14_9,d14_4).
sbond_1(d140,d140_1,d140_40).
sbond_1(d140,d140_10,d140_11).
sbond_1(d140,d140_10,d140_45).
sbond_1(d140,d140_11,d140_10).
sbond_1(d140,d140_11,d140_12).
sbond_1(d140,d140_11,d140_13).
sbond_1(d140,d140_11,d140_14).
sbond_1(d140,d140_12,d140_11).
sbond_1(d140,d140_12,d140_15).
sbond_1(d140,d140_12,d140_16).
sbond_1(d140,d140_12,d140_17).
sbond_1(d140,d140_13,d140_11).
sbond_1(d140,d140_14,d140_11).
sbond_1(d140,d140_15,d140_12).
sbond_1(d140,d140_15,d140_18).
sbond_1(d140,d140_15,d140_19).
sbond_1(d140,d140_15,d140_20).
sbond_1(d140,d140_16,d140_12).
sbond_1(d140,d140_17,d140_12).
sbond_1(d140,d140_18,d140_15).
sbond_1(d140,d140_18,d140_22).
sbond_1(d140,d140_19,d140_15).
sbond_1(d140,d140_2,d140_7).
sbond_1(d140,d140_20,d140_15).
sbond_1(d140,d140_22,d140_18).
sbond_1(d140,d140_22,d140_23).
sbond_1(d140,d140_22,d140_24).
sbond_1(d140,d140_22,d140_25).
sbond_1(d140,d140_23,d140_22).
sbond_1(d140,d140_23,d140_26).
sbond_1(d140,d140_23,d140_27).
sbond_1(d140,d140_23,d140_28).
sbond_1(d140,d140_24,d140_22).
sbond_1(d140,d140_25,d140_22).
sbond_1(d140,d140_26,d140_23).
sbond_1(d140,d140_26,d140_29).
sbond_1(d140,d140_26,d140_30).
sbond_1(d140,d140_26,d140_31).
sbond_1(d140,d140_27,d140_23).
sbond_1(d140,d140_28,d140_23).
sbond_1(d140,d140_29,d140_26).
sbond_1(d140,d140_29,d140_32).
sbond_1(d140,d140_29,d140_36).
sbond_1(d140,d140_29,d140_37).
sbond_1(d140,d140_3,d140_9).
sbond_1(d140,d140_30,d140_26).
sbond_1(d140,d140_31,d140_26).
sbond_1(d140,d140_32,d140_29).
sbond_1(d140,d140_32,d140_33).
sbond_1(d140,d140_32,d140_34).
sbond_1(d140,d140_32,d140_35).
sbond_1(d140,d140_33,d140_32).
sbond_1(d140,d140_34,d140_32).
sbond_1(d140,d140_35,d140_32).
sbond_1(d140,d140_36,d140_29).
sbond_1(d140,d140_36,d140_38).
sbond_1(d140,d140_37,d140_29).
sbond_1(d140,d140_38,d140_36).
sbond_1(d140,d140_38,d140_4).
sbond_1(d140,d140_39,d140_41).
sbond_1(d140,d140_39,d140_5).
sbond_1(d140,d140_4,d140_38).
sbond_1(d140,d140_40,d140_1).
sbond_1(d140,d140_40,d140_42).
sbond_1(d140,d140_41,d140_39).
sbond_1(d140,d140_42,d140_40).
sbond_1(d140,d140_44,d140_9).
sbond_1(d140,d140_45,d140_10).
sbond_1(d140,d140_5,d140_39).
sbond_1(d140,d140_6,d140_8).
sbond_1(d140,d140_7,d140_2).
sbond_1(d140,d140_8,d140_6).
sbond_1(d140,d140_9,d140_3).
sbond_1(d140,d140_9,d140_44).
sbond_1(d141,d141_1,d141_7).
sbond_1(d141,d141_10,d141_4).
sbond_1(d141,d141_11,d141_6).
sbond_1(d141,d141_12,d141_13).
sbond_1(d141,d141_12,d141_14).
sbond_1(d141,d141_12,d141_15).
sbond_1(d141,d141_12,d141_5).
sbond_1(d141,d141_13,d141_12).
sbond_1(d141,d141_13,d141_16).
sbond_1(d141,d141_14,d141_12).
sbond_1(d141,d141_15,d141_12).
sbond_1(d141,d141_16,d141_13).
sbond_1(d141,d141_16,d141_17).
sbond_1(d141,d141_17,d141_16).
sbond_1(d141,d141_17,d141_18).
sbond_1(d141,d141_17,d141_19).
sbond_1(d141,d141_17,d141_20).
sbond_1(d141,d141_18,d141_17).
sbond_1(d141,d141_19,d141_17).
sbond_1(d141,d141_2,d141_8).
sbond_1(d141,d141_20,d141_17).
sbond_1(d141,d141_3,d141_9).
sbond_1(d141,d141_4,d141_10).
sbond_1(d141,d141_5,d141_12).
sbond_1(d141,d141_6,d141_11).
sbond_1(d141,d141_7,d141_1).
sbond_1(d141,d141_8,d141_2).
sbond_1(d141,d141_9,d141_3).
sbond_1(d142,d142_1,d142_7).
sbond_1(d142,d142_10,d142_6).
sbond_1(d142,d142_12,d142_14).
sbond_1(d142,d142_14,d142_12).
sbond_1(d142,d142_14,d142_15).
sbond_1(d142,d142_15,d142_14).
sbond_1(d142,d142_2,d142_8).
sbond_1(d142,d142_5,d142_9).
sbond_1(d142,d142_6,d142_10).
sbond_1(d142,d142_7,d142_1).
sbond_1(d142,d142_8,d142_2).
sbond_1(d142,d142_9,d142_5).
sbond_1(d143,d143_1,d143_11).
sbond_1(d143,d143_10,d143_14).
sbond_1(d143,d143_10,d143_4).
sbond_1(d143,d143_10,d143_9).
sbond_1(d143,d143_11,d143_1).
sbond_1(d143,d143_12,d143_2).
sbond_1(d143,d143_14,d143_10).
sbond_1(d143,d143_14,d143_15).
sbond_1(d143,d143_14,d143_16).
sbond_1(d143,d143_14,d143_17).
sbond_1(d143,d143_15,d143_14).
sbond_1(d143,d143_15,d143_18).
sbond_1(d143,d143_15,d143_19).
sbond_1(d143,d143_15,d143_20).
sbond_1(d143,d143_16,d143_14).
sbond_1(d143,d143_17,d143_14).
sbond_1(d143,d143_18,d143_15).
sbond_1(d143,d143_19,d143_15).
sbond_1(d143,d143_2,d143_12).
sbond_1(d143,d143_20,d143_15).
sbond_1(d143,d143_21,d143_22).
sbond_1(d143,d143_21,d143_8).
sbond_1(d143,d143_22,d143_21).
sbond_1(d143,d143_22,d143_24).
sbond_1(d143,d143_24,d143_22).
sbond_1(d143,d143_25,d143_26).
sbond_1(d143,d143_25,d143_27).
sbond_1(d143,d143_25,d143_28).
sbond_1(d143,d143_25,d143_6).
sbond_1(d143,d143_26,d143_25).
sbond_1(d143,d143_27,d143_25).
sbond_1(d143,d143_28,d143_25).
sbond_1(d143,d143_29,d143_9).
sbond_1(d143,d143_3,d143_7).
sbond_1(d143,d143_4,d143_10).
sbond_1(d143,d143_6,d143_25).
sbond_1(d143,d143_7,d143_3).
sbond_1(d143,d143_7,d143_8).
sbond_1(d143,d143_8,d143_21).
sbond_1(d143,d143_8,d143_7).
sbond_1(d143,d143_9,d143_10).
sbond_1(d143,d143_9,d143_29).
sbond_1(d144,d144_1,d144_2).
sbond_1(d144,d144_1,d144_30).
sbond_1(d144,d144_10,d144_7).
sbond_1(d144,d144_11,d144_8).
sbond_1(d144,d144_12,d144_8).
sbond_1(d144,d144_13,d144_8).
sbond_1(d144,d144_14,d144_16).
sbond_1(d144,d144_14,d144_17).
sbond_1(d144,d144_14,d144_18).
sbond_1(d144,d144_14,d144_4).
sbond_1(d144,d144_15,d144_4).
sbond_1(d144,d144_16,d144_14).
sbond_1(d144,d144_16,d144_19).
sbond_1(d144,d144_16,d144_20).
sbond_1(d144,d144_16,d144_21).
sbond_1(d144,d144_17,d144_14).
sbond_1(d144,d144_18,d144_14).
sbond_1(d144,d144_19,d144_16).
sbond_1(d144,d144_19,d144_22).
sbond_1(d144,d144_19,d144_23).
sbond_1(d144,d144_19,d144_24).
sbond_1(d144,d144_2,d144_1).
sbond_1(d144,d144_2,d144_3).
sbond_1(d144,d144_20,d144_16).
sbond_1(d144,d144_21,d144_16).
sbond_1(d144,d144_22,d144_19).
sbond_1(d144,d144_22,d144_25).
sbond_1(d144,d144_22,d144_26).
sbond_1(d144,d144_22,d144_27).
sbond_1(d144,d144_23,d144_19).
sbond_1(d144,d144_24,d144_19).
sbond_1(d144,d144_25,d144_22).
sbond_1(d144,d144_26,d144_22).
sbond_1(d144,d144_27,d144_22).
sbond_1(d144,d144_29,d144_31).
sbond_1(d144,d144_29,d144_59).
sbond_1(d144,d144_29,d144_60).
sbond_1(d144,d144_29,d144_61).
sbond_1(d144,d144_3,d144_2).
sbond_1(d144,d144_3,d144_4).
sbond_1(d144,d144_3,d144_5).
sbond_1(d144,d144_3,d144_6).
sbond_1(d144,d144_30,d144_1).
sbond_1(d144,d144_30,d144_62).
sbond_1(d144,d144_30,d144_67).
sbond_1(d144,d144_30,d144_68).
sbond_1(d144,d144_31,d144_29).
sbond_1(d144,d144_31,d144_33).
sbond_1(d144,d144_33,d144_31).
sbond_1(d144,d144_33,d144_34).
sbond_1(d144,d144_34,d144_33).
sbond_1(d144,d144_34,d144_35).
sbond_1(d144,d144_34,d144_36).
sbond_1(d144,d144_34,d144_37).
sbond_1(d144,d144_35,d144_34).
sbond_1(d144,d144_35,d144_38).
sbond_1(d144,d144_35,d144_45).
sbond_1(d144,d144_35,d144_46).
sbond_1(d144,d144_36,d144_34).
sbond_1(d144,d144_37,d144_34).
sbond_1(d144,d144_38,d144_35).
sbond_1(d144,d144_38,d144_39).
sbond_1(d144,d144_38,d144_40).
sbond_1(d144,d144_38,d144_41).
sbond_1(d144,d144_39,d144_38).
sbond_1(d144,d144_39,d144_42).
sbond_1(d144,d144_39,d144_43).
sbond_1(d144,d144_39,d144_44).
sbond_1(d144,d144_4,d144_14).
sbond_1(d144,d144_4,d144_15).
sbond_1(d144,d144_4,d144_3).
sbond_1(d144,d144_4,d144_7).
sbond_1(d144,d144_40,d144_38).
sbond_1(d144,d144_41,d144_38).
sbond_1(d144,d144_42,d144_39).
sbond_1(d144,d144_43,d144_39).
sbond_1(d144,d144_44,d144_39).
sbond_1(d144,d144_45,d144_35).
sbond_1(d144,d144_45,d144_47).
sbond_1(d144,d144_45,d144_48).
sbond_1(d144,d144_45,d144_49).
sbond_1(d144,d144_46,d144_35).
sbond_1(d144,d144_47,d144_45).
sbond_1(d144,d144_47,d144_50).
sbond_1(d144,d144_47,d144_51).
sbond_1(d144,d144_47,d144_52).
sbond_1(d144,d144_48,d144_45).
sbond_1(d144,d144_49,d144_45).
sbond_1(d144,d144_5,d144_3).
sbond_1(d144,d144_50,d144_47).
sbond_1(d144,d144_50,d144_53).
sbond_1(d144,d144_50,d144_54).
sbond_1(d144,d144_50,d144_55).
sbond_1(d144,d144_51,d144_47).
sbond_1(d144,d144_52,d144_47).
sbond_1(d144,d144_53,d144_50).
sbond_1(d144,d144_53,d144_56).
sbond_1(d144,d144_53,d144_57).
sbond_1(d144,d144_53,d144_58).
sbond_1(d144,d144_54,d144_50).
sbond_1(d144,d144_55,d144_50).
sbond_1(d144,d144_56,d144_53).
sbond_1(d144,d144_57,d144_53).
sbond_1(d144,d144_58,d144_53).
sbond_1(d144,d144_59,d144_29).
sbond_1(d144,d144_59,d144_62).
sbond_1(d144,d144_59,d144_63).
sbond_1(d144,d144_59,d144_64).
sbond_1(d144,d144_6,d144_3).
sbond_1(d144,d144_60,d144_29).
sbond_1(d144,d144_61,d144_29).
sbond_1(d144,d144_62,d144_30).
sbond_1(d144,d144_62,d144_59).
sbond_1(d144,d144_62,d144_65).
sbond_1(d144,d144_62,d144_66).
sbond_1(d144,d144_63,d144_59).
sbond_1(d144,d144_64,d144_59).
sbond_1(d144,d144_65,d144_62).
sbond_1(d144,d144_66,d144_62).
sbond_1(d144,d144_67,d144_30).
sbond_1(d144,d144_68,d144_30).
sbond_1(d144,d144_7,d144_10).
sbond_1(d144,d144_7,d144_4).
sbond_1(d144,d144_7,d144_8).
sbond_1(d144,d144_7,d144_9).
sbond_1(d144,d144_8,d144_11).
sbond_1(d144,d144_8,d144_12).
sbond_1(d144,d144_8,d144_13).
sbond_1(d144,d144_8,d144_7).
sbond_1(d144,d144_9,d144_7).
sbond_1(d145,d145_1,d145_7).
sbond_1(d145,d145_10,d145_6).
sbond_1(d145,d145_11,d145_28).
sbond_1(d145,d145_11,d145_4).
sbond_1(d145,d145_12,d145_13).
sbond_1(d145,d145_12,d145_28).
sbond_1(d145,d145_12,d145_29).
sbond_1(d145,d145_12,d145_30).
sbond_1(d145,d145_13,d145_12).
sbond_1(d145,d145_13,d145_14).
sbond_1(d145,d145_13,d145_15).
sbond_1(d145,d145_13,d145_16).
sbond_1(d145,d145_14,d145_13).
sbond_1(d145,d145_14,d145_17).
sbond_1(d145,d145_14,d145_18).
sbond_1(d145,d145_14,d145_19).
sbond_1(d145,d145_15,d145_13).
sbond_1(d145,d145_16,d145_13).
sbond_1(d145,d145_17,d145_14).
sbond_1(d145,d145_17,d145_20).
sbond_1(d145,d145_17,d145_21).
sbond_1(d145,d145_17,d145_22).
sbond_1(d145,d145_18,d145_14).
sbond_1(d145,d145_19,d145_14).
sbond_1(d145,d145_2,d145_8).
sbond_1(d145,d145_20,d145_17).
sbond_1(d145,d145_21,d145_17).
sbond_1(d145,d145_22,d145_17).
sbond_1(d145,d145_24,d145_25).
sbond_1(d145,d145_24,d145_3).
sbond_1(d145,d145_25,d145_24).
sbond_1(d145,d145_25,d145_26).
sbond_1(d145,d145_26,d145_25).
sbond_1(d145,d145_26,d145_31).
sbond_1(d145,d145_26,d145_32).
sbond_1(d145,d145_26,d145_33).
sbond_1(d145,d145_28,d145_11).
sbond_1(d145,d145_28,d145_12).
sbond_1(d145,d145_29,d145_12).
sbond_1(d145,d145_3,d145_24).
sbond_1(d145,d145_30,d145_12).
sbond_1(d145,d145_31,d145_26).
sbond_1(d145,d145_32,d145_26).
sbond_1(d145,d145_33,d145_26).
sbond_1(d145,d145_34,d145_39).
sbond_1(d145,d145_35,d145_40).
sbond_1(d145,d145_36,d145_41).
sbond_1(d145,d145_37,d145_42).
sbond_1(d145,d145_38,d145_43).
sbond_1(d145,d145_39,d145_34).
sbond_1(d145,d145_4,d145_11).
sbond_1(d145,d145_40,d145_35).
sbond_1(d145,d145_41,d145_36).
sbond_1(d145,d145_42,d145_37).
sbond_1(d145,d145_43,d145_38).
sbond_1(d145,d145_5,d145_9).
sbond_1(d145,d145_6,d145_10).
sbond_1(d145,d145_7,d145_1).
sbond_1(d145,d145_8,d145_2).
sbond_1(d145,d145_9,d145_5).
sbond_1(d146,d146_1,d146_15).
sbond_1(d146,d146_10,d146_11).
sbond_1(d146,d146_10,d146_4).
sbond_1(d146,d146_11,d146_10).
sbond_1(d146,d146_11,d146_12).
sbond_1(d146,d146_11,d146_13).
sbond_1(d146,d146_11,d146_14).
sbond_1(d146,d146_12,d146_11).
sbond_1(d146,d146_12,d146_3).
sbond_1(d146,d146_13,d146_11).
sbond_1(d146,d146_14,d146_11).
sbond_1(d146,d146_15,d146_1).
sbond_1(d146,d146_15,d146_16).
sbond_1(d146,d146_15,d146_17).
sbond_1(d146,d146_15,d146_18).
sbond_1(d146,d146_16,d146_15).
sbond_1(d146,d146_16,d146_19).
sbond_1(d146,d146_16,d146_23).
sbond_1(d146,d146_16,d146_24).
sbond_1(d146,d146_17,d146_15).
sbond_1(d146,d146_18,d146_15).
sbond_1(d146,d146_19,d146_16).
sbond_1(d146,d146_19,d146_20).
sbond_1(d146,d146_19,d146_21).
sbond_1(d146,d146_19,d146_22).
sbond_1(d146,d146_2,d146_7).
sbond_1(d146,d146_20,d146_19).
sbond_1(d146,d146_21,d146_19).
sbond_1(d146,d146_22,d146_19).
sbond_1(d146,d146_23,d146_16).
sbond_1(d146,d146_23,d146_25).
sbond_1(d146,d146_24,d146_16).
sbond_1(d146,d146_25,d146_23).
sbond_1(d146,d146_25,d146_27).
sbond_1(d146,d146_25,d146_28).
sbond_1(d146,d146_25,d146_29).
sbond_1(d146,d146_27,d146_25).
sbond_1(d146,d146_27,d146_30).
sbond_1(d146,d146_27,d146_31).
sbond_1(d146,d146_27,d146_32).
sbond_1(d146,d146_28,d146_25).
sbond_1(d146,d146_29,d146_25).
sbond_1(d146,d146_3,d146_12).
sbond_1(d146,d146_30,d146_27).
sbond_1(d146,d146_30,d146_33).
sbond_1(d146,d146_30,d146_34).
sbond_1(d146,d146_30,d146_35).
sbond_1(d146,d146_31,d146_27).
sbond_1(d146,d146_32,d146_27).
sbond_1(d146,d146_33,d146_30).
sbond_1(d146,d146_33,d146_36).
sbond_1(d146,d146_33,d146_37).
sbond_1(d146,d146_33,d146_38).
sbond_1(d146,d146_34,d146_30).
sbond_1(d146,d146_35,d146_30).
sbond_1(d146,d146_36,d146_33).
sbond_1(d146,d146_36,d146_39).
sbond_1(d146,d146_36,d146_40).
sbond_1(d146,d146_36,d146_41).
sbond_1(d146,d146_37,d146_33).
sbond_1(d146,d146_38,d146_33).
sbond_1(d146,d146_39,d146_36).
sbond_1(d146,d146_39,d146_42).
sbond_1(d146,d146_39,d146_43).
sbond_1(d146,d146_39,d146_44).
sbond_1(d146,d146_4,d146_10).
sbond_1(d146,d146_40,d146_36).
sbond_1(d146,d146_41,d146_36).
sbond_1(d146,d146_42,d146_39).
sbond_1(d146,d146_42,d146_45).
sbond_1(d146,d146_42,d146_46).
sbond_1(d146,d146_42,d146_47).
sbond_1(d146,d146_43,d146_39).
sbond_1(d146,d146_44,d146_39).
sbond_1(d146,d146_45,d146_42).
sbond_1(d146,d146_45,d146_48).
sbond_1(d146,d146_45,d146_49).
sbond_1(d146,d146_45,d146_50).
sbond_1(d146,d146_46,d146_42).
sbond_1(d146,d146_47,d146_42).
sbond_1(d146,d146_48,d146_45).
sbond_1(d146,d146_49,d146_45).
sbond_1(d146,d146_5,d146_8).
sbond_1(d146,d146_50,d146_45).
sbond_1(d146,d146_6,d146_9).
sbond_1(d146,d146_7,d146_2).
sbond_1(d146,d146_8,d146_5).
sbond_1(d146,d146_9,d146_6).
sbond_1(d147,d147_1,d147_29).
sbond_1(d147,d147_1,d147_3).
sbond_1(d147,d147_1,d147_31).
sbond_1(d147,d147_10,d147_8).
sbond_1(d147,d147_11,d147_8).
sbond_1(d147,d147_12,d147_14).
sbond_1(d147,d147_12,d147_15).
sbond_1(d147,d147_12,d147_16).
sbond_1(d147,d147_12,d147_5).
sbond_1(d147,d147_13,d147_5).
sbond_1(d147,d147_14,d147_12).
sbond_1(d147,d147_14,d147_17).
sbond_1(d147,d147_14,d147_18).
sbond_1(d147,d147_14,d147_19).
sbond_1(d147,d147_15,d147_12).
sbond_1(d147,d147_16,d147_12).
sbond_1(d147,d147_17,d147_14).
sbond_1(d147,d147_18,d147_14).
sbond_1(d147,d147_19,d147_14).
sbond_1(d147,d147_20,d147_23).
sbond_1(d147,d147_20,d147_24).
sbond_1(d147,d147_20,d147_25).
sbond_1(d147,d147_20,d147_9).
sbond_1(d147,d147_21,d147_9).
sbond_1(d147,d147_22,d147_9).
sbond_1(d147,d147_23,d147_20).
sbond_1(d147,d147_23,d147_26).
sbond_1(d147,d147_23,d147_27).
sbond_1(d147,d147_23,d147_28).
sbond_1(d147,d147_24,d147_20).
sbond_1(d147,d147_25,d147_20).
sbond_1(d147,d147_26,d147_23).
sbond_1(d147,d147_27,d147_23).
sbond_1(d147,d147_28,d147_23).
sbond_1(d147,d147_29,d147_1).
sbond_1(d147,d147_29,d147_30).
sbond_1(d147,d147_3,d147_1).
sbond_1(d147,d147_3,d147_4).
sbond_1(d147,d147_30,d147_29).
sbond_1(d147,d147_30,d147_33).
sbond_1(d147,d147_30,d147_34).
sbond_1(d147,d147_30,d147_35).
sbond_1(d147,d147_31,d147_1).
sbond_1(d147,d147_31,d147_32).
sbond_1(d147,d147_32,d147_31).
sbond_1(d147,d147_32,d147_57).
sbond_1(d147,d147_32,d147_58).
sbond_1(d147,d147_32,d147_59).
sbond_1(d147,d147_33,d147_30).
sbond_1(d147,d147_33,d147_36).
sbond_1(d147,d147_33,d147_37).
sbond_1(d147,d147_33,d147_38).
sbond_1(d147,d147_34,d147_30).
sbond_1(d147,d147_35,d147_30).
sbond_1(d147,d147_36,d147_33).
sbond_1(d147,d147_36,d147_45).
sbond_1(d147,d147_36,d147_46).
sbond_1(d147,d147_36,d147_47).
sbond_1(d147,d147_37,d147_33).
sbond_1(d147,d147_37,d147_39).
sbond_1(d147,d147_37,d147_40).
sbond_1(d147,d147_37,d147_41).
sbond_1(d147,d147_38,d147_33).
sbond_1(d147,d147_39,d147_37).
sbond_1(d147,d147_39,d147_42).
sbond_1(d147,d147_39,d147_43).
sbond_1(d147,d147_39,d147_44).
sbond_1(d147,d147_4,d147_3).
sbond_1(d147,d147_4,d147_5).
sbond_1(d147,d147_4,d147_6).
sbond_1(d147,d147_4,d147_7).
sbond_1(d147,d147_40,d147_37).
sbond_1(d147,d147_41,d147_37).
sbond_1(d147,d147_42,d147_39).
sbond_1(d147,d147_43,d147_39).
sbond_1(d147,d147_44,d147_39).
sbond_1(d147,d147_45,d147_36).
sbond_1(d147,d147_45,d147_48).
sbond_1(d147,d147_45,d147_49).
sbond_1(d147,d147_45,d147_50).
sbond_1(d147,d147_46,d147_36).
sbond_1(d147,d147_47,d147_36).
sbond_1(d147,d147_48,d147_45).
sbond_1(d147,d147_48,d147_51).
sbond_1(d147,d147_48,d147_52).
sbond_1(d147,d147_48,d147_53).
sbond_1(d147,d147_49,d147_45).
sbond_1(d147,d147_5,d147_12).
sbond_1(d147,d147_5,d147_13).
sbond_1(d147,d147_5,d147_4).
sbond_1(d147,d147_5,d147_8).
sbond_1(d147,d147_50,d147_45).
sbond_1(d147,d147_51,d147_48).
sbond_1(d147,d147_51,d147_54).
sbond_1(d147,d147_51,d147_55).
sbond_1(d147,d147_51,d147_56).
sbond_1(d147,d147_52,d147_48).
sbond_1(d147,d147_53,d147_48).
sbond_1(d147,d147_54,d147_51).
sbond_1(d147,d147_55,d147_51).
sbond_1(d147,d147_56,d147_51).
sbond_1(d147,d147_57,d147_32).
sbond_1(d147,d147_57,d147_60).
sbond_1(d147,d147_57,d147_61).
sbond_1(d147,d147_57,d147_62).
sbond_1(d147,d147_58,d147_32).
sbond_1(d147,d147_59,d147_32).
sbond_1(d147,d147_6,d147_4).
sbond_1(d147,d147_60,d147_57).
sbond_1(d147,d147_60,d147_69).
sbond_1(d147,d147_60,d147_70).
sbond_1(d147,d147_60,d147_71).
sbond_1(d147,d147_61,d147_57).
sbond_1(d147,d147_61,d147_63).
sbond_1(d147,d147_61,d147_64).
sbond_1(d147,d147_61,d147_65).
sbond_1(d147,d147_62,d147_57).
sbond_1(d147,d147_63,d147_61).
sbond_1(d147,d147_63,d147_66).
sbond_1(d147,d147_63,d147_67).
sbond_1(d147,d147_63,d147_68).
sbond_1(d147,d147_64,d147_61).
sbond_1(d147,d147_65,d147_61).
sbond_1(d147,d147_66,d147_63).
sbond_1(d147,d147_67,d147_63).
sbond_1(d147,d147_68,d147_63).
sbond_1(d147,d147_69,d147_60).
sbond_1(d147,d147_69,d147_72).
sbond_1(d147,d147_69,d147_73).
sbond_1(d147,d147_69,d147_74).
sbond_1(d147,d147_7,d147_4).
sbond_1(d147,d147_70,d147_60).
sbond_1(d147,d147_71,d147_60).
sbond_1(d147,d147_72,d147_69).
sbond_1(d147,d147_72,d147_75).
sbond_1(d147,d147_72,d147_76).
sbond_1(d147,d147_72,d147_77).
sbond_1(d147,d147_73,d147_69).
sbond_1(d147,d147_74,d147_69).
sbond_1(d147,d147_75,d147_72).
sbond_1(d147,d147_75,d147_78).
sbond_1(d147,d147_75,d147_79).
sbond_1(d147,d147_75,d147_80).
sbond_1(d147,d147_76,d147_72).
sbond_1(d147,d147_77,d147_72).
sbond_1(d147,d147_78,d147_75).
sbond_1(d147,d147_79,d147_75).
sbond_1(d147,d147_8,d147_10).
sbond_1(d147,d147_8,d147_11).
sbond_1(d147,d147_8,d147_5).
sbond_1(d147,d147_8,d147_9).
sbond_1(d147,d147_80,d147_75).
sbond_1(d147,d147_9,d147_20).
sbond_1(d147,d147_9,d147_21).
sbond_1(d147,d147_9,d147_22).
sbond_1(d147,d147_9,d147_8).
sbond_1(d148,d148_1,d148_7).
sbond_1(d148,d148_10,d148_4).
sbond_1(d148,d148_11,d148_6).
sbond_1(d148,d148_12,d148_13).
sbond_1(d148,d148_12,d148_17).
sbond_1(d148,d148_12,d148_18).
sbond_1(d148,d148_12,d148_5).
sbond_1(d148,d148_13,d148_12).
sbond_1(d148,d148_13,d148_14).
sbond_1(d148,d148_13,d148_15).
sbond_1(d148,d148_13,d148_16).
sbond_1(d148,d148_14,d148_13).
sbond_1(d148,d148_15,d148_13).
sbond_1(d148,d148_16,d148_13).
sbond_1(d148,d148_17,d148_12).
sbond_1(d148,d148_17,d148_19).
sbond_1(d148,d148_18,d148_12).
sbond_1(d148,d148_19,d148_17).
sbond_1(d148,d148_2,d148_8).
sbond_1(d148,d148_3,d148_9).
sbond_1(d148,d148_4,d148_10).
sbond_1(d148,d148_5,d148_12).
sbond_1(d148,d148_6,d148_11).
sbond_1(d148,d148_7,d148_1).
sbond_1(d148,d148_8,d148_2).
sbond_1(d148,d148_9,d148_3).
sbond_1(d149,d149_1,d149_7).
sbond_1(d149,d149_10,d149_5).
sbond_1(d149,d149_11,d149_32).
sbond_1(d149,d149_11,d149_6).
sbond_1(d149,d149_12,d149_13).
sbond_1(d149,d149_12,d149_23).
sbond_1(d149,d149_12,d149_27).
sbond_1(d149,d149_12,d149_3).
sbond_1(d149,d149_13,d149_12).
sbond_1(d149,d149_14,d149_19).
sbond_1(d149,d149_15,d149_20).
sbond_1(d149,d149_16,d149_31).
sbond_1(d149,d149_17,d149_21).
sbond_1(d149,d149_18,d149_22).
sbond_1(d149,d149_19,d149_14).
sbond_1(d149,d149_2,d149_8).
sbond_1(d149,d149_20,d149_15).
sbond_1(d149,d149_21,d149_17).
sbond_1(d149,d149_22,d149_18).
sbond_1(d149,d149_23,d149_12).
sbond_1(d149,d149_23,d149_24).
sbond_1(d149,d149_23,d149_25).
sbond_1(d149,d149_23,d149_26).
sbond_1(d149,d149_24,d149_23).
sbond_1(d149,d149_25,d149_23).
sbond_1(d149,d149_26,d149_23).
sbond_1(d149,d149_27,d149_12).
sbond_1(d149,d149_27,d149_28).
sbond_1(d149,d149_27,d149_29).
sbond_1(d149,d149_27,d149_30).
sbond_1(d149,d149_28,d149_27).
sbond_1(d149,d149_29,d149_27).
sbond_1(d149,d149_3,d149_12).
sbond_1(d149,d149_30,d149_27).
sbond_1(d149,d149_31,d149_16).
sbond_1(d149,d149_31,d149_33).
sbond_1(d149,d149_32,d149_11).
sbond_1(d149,d149_33,d149_31).
sbond_1(d149,d149_4,d149_9).
sbond_1(d149,d149_5,d149_10).
sbond_1(d149,d149_6,d149_11).
sbond_1(d149,d149_7,d149_1).
sbond_1(d149,d149_8,d149_2).
sbond_1(d149,d149_9,d149_4).
sbond_1(d15,d15_1,d15_7).
sbond_1(d15,d15_10,d15_5).
sbond_1(d15,d15_11,d15_12).
sbond_1(d15,d15_11,d15_13).
sbond_1(d15,d15_11,d15_14).
sbond_1(d15,d15_11,d15_3).
sbond_1(d15,d15_12,d15_11).
sbond_1(d15,d15_13,d15_11).
sbond_1(d15,d15_14,d15_11).
sbond_1(d15,d15_15,d15_20).
sbond_1(d15,d15_16,d15_21).
sbond_1(d15,d15_17,d15_25).
sbond_1(d15,d15_18,d15_22).
sbond_1(d15,d15_19,d15_23).
sbond_1(d15,d15_2,d15_8).
sbond_1(d15,d15_20,d15_15).
sbond_1(d15,d15_21,d15_16).
sbond_1(d15,d15_22,d15_18).
sbond_1(d15,d15_23,d15_19).
sbond_1(d15,d15_24,d15_26).
sbond_1(d15,d15_24,d15_27).
sbond_1(d15,d15_24,d15_6).
sbond_1(d15,d15_25,d15_17).
sbond_1(d15,d15_25,d15_28).
sbond_1(d15,d15_25,d15_29).
sbond_1(d15,d15_26,d15_24).
sbond_1(d15,d15_27,d15_24).
sbond_1(d15,d15_28,d15_25).
sbond_1(d15,d15_29,d15_25).
sbond_1(d15,d15_3,d15_11).
sbond_1(d15,d15_4,d15_9).
sbond_1(d15,d15_5,d15_10).
sbond_1(d15,d15_6,d15_24).
sbond_1(d15,d15_7,d15_1).
sbond_1(d15,d15_8,d15_2).
sbond_1(d15,d15_9,d15_4).
sbond_1(d150,d150_1,d150_7).
sbond_1(d150,d150_10,d150_6).
sbond_1(d150,d150_11,d150_12).
sbond_1(d150,d150_11,d150_5).
sbond_1(d150,d150_12,d150_11).
sbond_1(d150,d150_12,d150_13).
sbond_1(d150,d150_13,d150_12).
sbond_1(d150,d150_13,d150_14).
sbond_1(d150,d150_13,d150_15).
sbond_1(d150,d150_13,d150_16).
sbond_1(d150,d150_14,d150_13).
sbond_1(d150,d150_15,d150_13).
sbond_1(d150,d150_16,d150_13).
sbond_1(d150,d150_17,d150_18).
sbond_1(d150,d150_17,d150_2).
sbond_1(d150,d150_18,d150_17).
sbond_1(d150,d150_18,d150_19).
sbond_1(d150,d150_19,d150_18).
sbond_1(d150,d150_19,d150_20).
sbond_1(d150,d150_19,d150_21).
sbond_1(d150,d150_19,d150_22).
sbond_1(d150,d150_2,d150_17).
sbond_1(d150,d150_20,d150_19).
sbond_1(d150,d150_21,d150_19).
sbond_1(d150,d150_22,d150_19).
sbond_1(d150,d150_3,d150_8).
sbond_1(d150,d150_4,d150_9).
sbond_1(d150,d150_5,d150_11).
sbond_1(d150,d150_6,d150_10).
sbond_1(d150,d150_7,d150_1).
sbond_1(d150,d150_8,d150_3).
sbond_1(d150,d150_9,d150_4).
sbond_1(d151,d151_1,d151_9).
sbond_1(d151,d151_10,d151_17).
sbond_1(d151,d151_10,d151_2).
sbond_1(d151,d151_11,d151_18).
sbond_1(d151,d151_11,d151_3).
sbond_1(d151,d151_12,d151_13).
sbond_1(d151,d151_12,d151_5).
sbond_1(d151,d151_13,d151_12).
sbond_1(d151,d151_13,d151_14).
sbond_1(d151,d151_14,d151_13).
sbond_1(d151,d151_14,d151_19).
sbond_1(d151,d151_14,d151_20).
sbond_1(d151,d151_14,d151_21).
sbond_1(d151,d151_16,d151_9).
sbond_1(d151,d151_17,d151_10).
sbond_1(d151,d151_18,d151_11).
sbond_1(d151,d151_19,d151_14).
sbond_1(d151,d151_19,d151_22).
sbond_1(d151,d151_19,d151_23).
sbond_1(d151,d151_19,d151_24).
sbond_1(d151,d151_2,d151_10).
sbond_1(d151,d151_20,d151_14).
sbond_1(d151,d151_21,d151_14).
sbond_1(d151,d151_22,d151_19).
sbond_1(d151,d151_22,d151_25).
sbond_1(d151,d151_22,d151_26).
sbond_1(d151,d151_22,d151_27).
sbond_1(d151,d151_23,d151_19).
sbond_1(d151,d151_24,d151_19).
sbond_1(d151,d151_25,d151_22).
sbond_1(d151,d151_26,d151_22).
sbond_1(d151,d151_27,d151_22).
sbond_1(d151,d151_3,d151_11).
sbond_1(d151,d151_4,d151_7).
sbond_1(d151,d151_5,d151_12).
sbond_1(d151,d151_6,d151_8).
sbond_1(d151,d151_7,d151_4).
sbond_1(d151,d151_8,d151_6).
sbond_1(d151,d151_9,d151_1).
sbond_1(d151,d151_9,d151_16).
sbond_1(d152,d152_1,d152_7).
sbond_1(d152,d152_10,d152_5).
sbond_1(d152,d152_11,d152_6).
sbond_1(d152,d152_12,d152_13).
sbond_1(d152,d152_12,d152_14).
sbond_1(d152,d152_12,d152_15).
sbond_1(d152,d152_12,d152_4).
sbond_1(d152,d152_13,d152_12).
sbond_1(d152,d152_13,d152_40).
sbond_1(d152,d152_13,d152_41).
sbond_1(d152,d152_14,d152_12).
sbond_1(d152,d152_14,d152_17).
sbond_1(d152,d152_15,d152_12).
sbond_1(d152,d152_17,d152_14).
sbond_1(d152,d152_17,d152_18).
sbond_1(d152,d152_17,d152_42).
sbond_1(d152,d152_18,d152_17).
sbond_1(d152,d152_18,d152_19).
sbond_1(d152,d152_18,d152_21).
sbond_1(d152,d152_18,d152_22).
sbond_1(d152,d152_19,d152_18).
sbond_1(d152,d152_19,d152_20).
sbond_1(d152,d152_2,d152_8).
sbond_1(d152,d152_20,d152_19).
sbond_1(d152,d152_20,d152_21).
sbond_1(d152,d152_20,d152_27).
sbond_1(d152,d152_21,d152_18).
sbond_1(d152,d152_21,d152_20).
sbond_1(d152,d152_21,d152_24).
sbond_1(d152,d152_21,d152_25).
sbond_1(d152,d152_22,d152_18).
sbond_1(d152,d152_24,d152_21).
sbond_1(d152,d152_24,d152_26).
sbond_1(d152,d152_25,d152_21).
sbond_1(d152,d152_26,d152_24).
sbond_1(d152,d152_26,d152_27).
sbond_1(d152,d152_26,d152_32).
sbond_1(d152,d152_26,d152_36).
sbond_1(d152,d152_27,d152_20).
sbond_1(d152,d152_27,d152_26).
sbond_1(d152,d152_27,d152_28).
sbond_1(d152,d152_27,d152_29).
sbond_1(d152,d152_28,d152_27).
sbond_1(d152,d152_28,d152_30).
sbond_1(d152,d152_29,d152_27).
sbond_1(d152,d152_3,d152_9).
sbond_1(d152,d152_30,d152_28).
sbond_1(d152,d152_30,d152_43).
sbond_1(d152,d152_32,d152_26).
sbond_1(d152,d152_32,d152_33).
sbond_1(d152,d152_32,d152_34).
sbond_1(d152,d152_32,d152_35).
sbond_1(d152,d152_33,d152_32).
sbond_1(d152,d152_34,d152_32).
sbond_1(d152,d152_35,d152_32).
sbond_1(d152,d152_36,d152_26).
sbond_1(d152,d152_36,d152_37).
sbond_1(d152,d152_36,d152_38).
sbond_1(d152,d152_36,d152_39).
sbond_1(d152,d152_37,d152_36).
sbond_1(d152,d152_38,d152_36).
sbond_1(d152,d152_39,d152_36).
sbond_1(d152,d152_4,d152_12).
sbond_1(d152,d152_40,d152_13).
sbond_1(d152,d152_41,d152_13).
sbond_1(d152,d152_42,d152_17).
sbond_1(d152,d152_43,d152_30).
sbond_1(d152,d152_5,d152_10).
sbond_1(d152,d152_6,d152_11).
sbond_1(d152,d152_7,d152_1).
sbond_1(d152,d152_8,d152_2).
sbond_1(d152,d152_9,d152_3).
sbond_1(d153,d153_1,d153_7).
sbond_1(d153,d153_10,d153_11).
sbond_1(d153,d153_10,d153_5).
sbond_1(d153,d153_11,d153_10).
sbond_1(d153,d153_12,d153_26).
sbond_1(d153,d153_12,d153_3).
sbond_1(d153,d153_13,d153_14).
sbond_1(d153,d153_13,d153_15).
sbond_1(d153,d153_13,d153_16).
sbond_1(d153,d153_13,d153_2).
sbond_1(d153,d153_14,d153_13).
sbond_1(d153,d153_14,d153_17).
sbond_1(d153,d153_14,d153_18).
sbond_1(d153,d153_14,d153_19).
sbond_1(d153,d153_15,d153_13).
sbond_1(d153,d153_16,d153_13).
sbond_1(d153,d153_17,d153_14).
sbond_1(d153,d153_17,d153_20).
sbond_1(d153,d153_17,d153_21).
sbond_1(d153,d153_17,d153_22).
sbond_1(d153,d153_18,d153_14).
sbond_1(d153,d153_19,d153_14).
sbond_1(d153,d153_2,d153_13).
sbond_1(d153,d153_20,d153_17).
sbond_1(d153,d153_20,d153_23).
sbond_1(d153,d153_20,d153_24).
sbond_1(d153,d153_20,d153_25).
sbond_1(d153,d153_21,d153_17).
sbond_1(d153,d153_22,d153_17).
sbond_1(d153,d153_23,d153_20).
sbond_1(d153,d153_23,d153_27).
sbond_1(d153,d153_23,d153_28).
sbond_1(d153,d153_23,d153_29).
sbond_1(d153,d153_24,d153_20).
sbond_1(d153,d153_25,d153_20).
sbond_1(d153,d153_26,d153_12).
sbond_1(d153,d153_27,d153_23).
sbond_1(d153,d153_27,d153_30).
sbond_1(d153,d153_27,d153_31).
sbond_1(d153,d153_27,d153_32).
sbond_1(d153,d153_28,d153_23).
sbond_1(d153,d153_29,d153_23).
sbond_1(d153,d153_3,d153_12).
sbond_1(d153,d153_30,d153_27).
sbond_1(d153,d153_31,d153_27).
sbond_1(d153,d153_32,d153_27).
sbond_1(d153,d153_4,d153_8).
sbond_1(d153,d153_5,d153_10).
sbond_1(d153,d153_6,d153_9).
sbond_1(d153,d153_7,d153_1).
sbond_1(d153,d153_8,d153_4).
sbond_1(d153,d153_9,d153_6).
sbond_1(d154,d154_1,d154_7).
sbond_1(d154,d154_10,d154_11).
sbond_1(d154,d154_10,d154_12).
sbond_1(d154,d154_10,d154_13).
sbond_1(d154,d154_10,d154_2).
sbond_1(d154,d154_11,d154_10).
sbond_1(d154,d154_11,d154_18).
sbond_1(d154,d154_11,d154_22).
sbond_1(d154,d154_11,d154_25).
sbond_1(d154,d154_12,d154_10).
sbond_1(d154,d154_13,d154_10).
sbond_1(d154,d154_14,d154_9).
sbond_1(d154,d154_15,d154_3).
sbond_1(d154,d154_16,d154_17).
sbond_1(d154,d154_16,d154_4).
sbond_1(d154,d154_17,d154_16).
sbond_1(d154,d154_18,d154_11).
sbond_1(d154,d154_18,d154_19).
sbond_1(d154,d154_18,d154_20).
sbond_1(d154,d154_18,d154_21).
sbond_1(d154,d154_19,d154_18).
sbond_1(d154,d154_2,d154_10).
sbond_1(d154,d154_20,d154_18).
sbond_1(d154,d154_21,d154_18).
sbond_1(d154,d154_22,d154_11).
sbond_1(d154,d154_22,d154_23).
sbond_1(d154,d154_22,d154_24).
sbond_1(d154,d154_23,d154_22).
sbond_1(d154,d154_24,d154_22).
sbond_1(d154,d154_25,d154_11).
sbond_1(d154,d154_25,d154_26).
sbond_1(d154,d154_26,d154_25).
sbond_1(d154,d154_26,d154_28).
sbond_1(d154,d154_28,d154_26).
sbond_1(d154,d154_3,d154_15).
sbond_1(d154,d154_4,d154_16).
sbond_1(d154,d154_5,d154_9).
sbond_1(d154,d154_6,d154_8).
sbond_1(d154,d154_7,d154_1).
sbond_1(d154,d154_8,d154_6).
sbond_1(d154,d154_9,d154_14).
sbond_1(d154,d154_9,d154_5).
sbond_1(d155,d155_1,d155_7).
sbond_1(d155,d155_10,d155_11).
sbond_1(d155,d155_10,d155_3).
sbond_1(d155,d155_11,d155_10).
sbond_1(d155,d155_11,d155_12).
sbond_1(d155,d155_12,d155_11).
sbond_1(d155,d155_12,d155_13).
sbond_1(d155,d155_12,d155_17).
sbond_1(d155,d155_12,d155_18).
sbond_1(d155,d155_13,d155_12).
sbond_1(d155,d155_13,d155_25).
sbond_1(d155,d155_13,d155_26).
sbond_1(d155,d155_13,d155_4).
sbond_1(d155,d155_14,d155_15).
sbond_1(d155,d155_14,d155_48).
sbond_1(d155,d155_15,d155_14).
sbond_1(d155,d155_15,d155_16).
sbond_1(d155,d155_15,d155_19).
sbond_1(d155,d155_15,d155_23).
sbond_1(d155,d155_16,d155_15).
sbond_1(d155,d155_16,d155_17).
sbond_1(d155,d155_16,d155_22).
sbond_1(d155,d155_16,d155_24).
sbond_1(d155,d155_17,d155_12).
sbond_1(d155,d155_17,d155_16).
sbond_1(d155,d155_17,d155_30).
sbond_1(d155,d155_17,d155_31).
sbond_1(d155,d155_18,d155_12).
sbond_1(d155,d155_19,d155_15).
sbond_1(d155,d155_19,d155_20).
sbond_1(d155,d155_2,d155_49).
sbond_1(d155,d155_20,d155_19).
sbond_1(d155,d155_20,d155_43).
sbond_1(d155,d155_21,d155_22).
sbond_1(d155,d155_21,d155_42).
sbond_1(d155,d155_22,d155_16).
sbond_1(d155,d155_22,d155_21).
sbond_1(d155,d155_22,d155_32).
sbond_1(d155,d155_22,d155_33).
sbond_1(d155,d155_23,d155_15).
sbond_1(d155,d155_24,d155_16).
sbond_1(d155,d155_25,d155_13).
sbond_1(d155,d155_25,d155_54).
sbond_1(d155,d155_26,d155_13).
sbond_1(d155,d155_26,d155_27).
sbond_1(d155,d155_26,d155_28).
sbond_1(d155,d155_26,d155_29).
sbond_1(d155,d155_27,d155_26).
sbond_1(d155,d155_28,d155_26).
sbond_1(d155,d155_29,d155_26).
sbond_1(d155,d155_3,d155_10).
sbond_1(d155,d155_30,d155_17).
sbond_1(d155,d155_30,d155_53).
sbond_1(d155,d155_31,d155_17).
sbond_1(d155,d155_32,d155_22).
sbond_1(d155,d155_32,d155_34).
sbond_1(d155,d155_32,d155_38).
sbond_1(d155,d155_33,d155_22).
sbond_1(d155,d155_34,d155_32).
sbond_1(d155,d155_34,d155_35).
sbond_1(d155,d155_34,d155_36).
sbond_1(d155,d155_34,d155_37).
sbond_1(d155,d155_35,d155_34).
sbond_1(d155,d155_36,d155_34).
sbond_1(d155,d155_37,d155_34).
sbond_1(d155,d155_38,d155_32).
sbond_1(d155,d155_38,d155_39).
sbond_1(d155,d155_38,d155_40).
sbond_1(d155,d155_38,d155_41).
sbond_1(d155,d155_39,d155_38).
sbond_1(d155,d155_4,d155_13).
sbond_1(d155,d155_40,d155_38).
sbond_1(d155,d155_41,d155_38).
sbond_1(d155,d155_42,d155_21).
sbond_1(d155,d155_42,d155_55).
sbond_1(d155,d155_43,d155_20).
sbond_1(d155,d155_43,d155_44).
sbond_1(d155,d155_43,d155_45).
sbond_1(d155,d155_43,d155_46).
sbond_1(d155,d155_44,d155_43).
sbond_1(d155,d155_44,d155_47).
sbond_1(d155,d155_45,d155_43).
sbond_1(d155,d155_46,d155_43).
sbond_1(d155,d155_47,d155_44).
sbond_1(d155,d155_47,d155_56).
sbond_1(d155,d155_47,d155_57).
sbond_1(d155,d155_48,d155_14).
sbond_1(d155,d155_48,d155_52).
sbond_1(d155,d155_49,d155_2).
sbond_1(d155,d155_49,d155_58).
sbond_1(d155,d155_5,d155_8).
sbond_1(d155,d155_52,d155_48).
sbond_1(d155,d155_53,d155_30).
sbond_1(d155,d155_54,d155_25).
sbond_1(d155,d155_55,d155_42).
sbond_1(d155,d155_56,d155_47).
sbond_1(d155,d155_57,d155_47).
sbond_1(d155,d155_58,d155_49).
sbond_1(d155,d155_6,d155_9).
sbond_1(d155,d155_7,d155_1).
sbond_1(d155,d155_8,d155_5).
sbond_1(d155,d155_9,d155_6).
sbond_1(d156,d156_1,d156_7).
sbond_1(d156,d156_10,d156_11).
sbond_1(d156,d156_10,d156_2).
sbond_1(d156,d156_11,d156_10).
sbond_1(d156,d156_11,d156_12).
sbond_1(d156,d156_11,d156_13).
sbond_1(d156,d156_11,d156_14).
sbond_1(d156,d156_12,d156_11).
sbond_1(d156,d156_12,d156_16).
sbond_1(d156,d156_12,d156_19).
sbond_1(d156,d156_12,d156_9).
sbond_1(d156,d156_13,d156_11).
sbond_1(d156,d156_14,d156_11).
sbond_1(d156,d156_15,d156_9).
sbond_1(d156,d156_16,d156_12).
sbond_1(d156,d156_17,d156_18).
sbond_1(d156,d156_17,d156_9).
sbond_1(d156,d156_18,d156_17).
sbond_1(d156,d156_19,d156_12).
sbond_1(d156,d156_19,d156_20).
sbond_1(d156,d156_2,d156_10).
sbond_1(d156,d156_20,d156_19).
sbond_1(d156,d156_21,d156_27).
sbond_1(d156,d156_22,d156_29).
sbond_1(d156,d156_23,d156_25).
sbond_1(d156,d156_24,d156_26).
sbond_1(d156,d156_25,d156_23).
sbond_1(d156,d156_26,d156_24).
sbond_1(d156,d156_27,d156_21).
sbond_1(d156,d156_27,d156_28).
sbond_1(d156,d156_27,d156_30).
sbond_1(d156,d156_27,d156_31).
sbond_1(d156,d156_28,d156_27).
sbond_1(d156,d156_28,d156_29).
sbond_1(d156,d156_28,d156_32).
sbond_1(d156,d156_28,d156_51).
sbond_1(d156,d156_29,d156_22).
sbond_1(d156,d156_29,d156_28).
sbond_1(d156,d156_3,d156_9).
sbond_1(d156,d156_30,d156_27).
sbond_1(d156,d156_31,d156_27).
sbond_1(d156,d156_32,d156_28).
sbond_1(d156,d156_32,d156_36).
sbond_1(d156,d156_33,d156_34).
sbond_1(d156,d156_33,d156_35).
sbond_1(d156,d156_34,d156_33).
sbond_1(d156,d156_35,d156_33).
sbond_1(d156,d156_36,d156_32).
sbond_1(d156,d156_36,d156_37).
sbond_1(d156,d156_36,d156_38).
sbond_1(d156,d156_36,d156_39).
sbond_1(d156,d156_37,d156_36).
sbond_1(d156,d156_38,d156_36).
sbond_1(d156,d156_39,d156_36).
sbond_1(d156,d156_4,d156_8).
sbond_1(d156,d156_40,d156_41).
sbond_1(d156,d156_40,d156_6).
sbond_1(d156,d156_41,d156_40).
sbond_1(d156,d156_41,d156_42).
sbond_1(d156,d156_41,d156_43).
sbond_1(d156,d156_41,d156_44).
sbond_1(d156,d156_42,d156_41).
sbond_1(d156,d156_43,d156_41).
sbond_1(d156,d156_44,d156_41).
sbond_1(d156,d156_45,d156_46).
sbond_1(d156,d156_45,d156_5).
sbond_1(d156,d156_46,d156_45).
sbond_1(d156,d156_46,d156_47).
sbond_1(d156,d156_46,d156_48).
sbond_1(d156,d156_46,d156_49).
sbond_1(d156,d156_47,d156_46).
sbond_1(d156,d156_48,d156_46).
sbond_1(d156,d156_49,d156_46).
sbond_1(d156,d156_5,d156_45).
sbond_1(d156,d156_51,d156_28).
sbond_1(d156,d156_6,d156_40).
sbond_1(d156,d156_7,d156_1).
sbond_1(d156,d156_8,d156_4).
sbond_1(d156,d156_9,d156_12).
sbond_1(d156,d156_9,d156_15).
sbond_1(d156,d156_9,d156_17).
sbond_1(d156,d156_9,d156_3).
sbond_1(d157,d157_1,d157_7).
sbond_1(d157,d157_10,d157_5).
sbond_1(d157,d157_11,d157_6).
sbond_1(d157,d157_12,d157_18).
sbond_1(d157,d157_13,d157_19).
sbond_1(d157,d157_14,d157_20).
sbond_1(d157,d157_15,d157_21).
sbond_1(d157,d157_16,d157_23).
sbond_1(d157,d157_17,d157_22).
sbond_1(d157,d157_18,d157_12).
sbond_1(d157,d157_19,d157_13).
sbond_1(d157,d157_2,d157_8).
sbond_1(d157,d157_20,d157_14).
sbond_1(d157,d157_21,d157_15).
sbond_1(d157,d157_22,d157_17).
sbond_1(d157,d157_23,d157_16).
sbond_1(d157,d157_23,d157_24).
sbond_1(d157,d157_23,d157_25).
sbond_1(d157,d157_23,d157_4).
sbond_1(d157,d157_24,d157_23).
sbond_1(d157,d157_24,d157_26).
sbond_1(d157,d157_25,d157_23).
sbond_1(d157,d157_26,d157_24).
sbond_1(d157,d157_26,d157_27).
sbond_1(d157,d157_26,d157_28).
sbond_1(d157,d157_26,d157_29).
sbond_1(d157,d157_27,d157_26).
sbond_1(d157,d157_27,d157_30).
sbond_1(d157,d157_27,d157_31).
sbond_1(d157,d157_27,d157_32).
sbond_1(d157,d157_28,d157_26).
sbond_1(d157,d157_29,d157_26).
sbond_1(d157,d157_3,d157_9).
sbond_1(d157,d157_30,d157_27).
sbond_1(d157,d157_30,d157_33).
sbond_1(d157,d157_30,d157_37).
sbond_1(d157,d157_31,d157_27).
sbond_1(d157,d157_32,d157_27).
sbond_1(d157,d157_33,d157_30).
sbond_1(d157,d157_33,d157_34).
sbond_1(d157,d157_33,d157_35).
sbond_1(d157,d157_33,d157_36).
sbond_1(d157,d157_34,d157_33).
sbond_1(d157,d157_35,d157_33).
sbond_1(d157,d157_36,d157_33).
sbond_1(d157,d157_37,d157_30).
sbond_1(d157,d157_37,d157_38).
sbond_1(d157,d157_37,d157_39).
sbond_1(d157,d157_37,d157_40).
sbond_1(d157,d157_38,d157_37).
sbond_1(d157,d157_39,d157_37).
sbond_1(d157,d157_4,d157_23).
sbond_1(d157,d157_40,d157_37).
sbond_1(d157,d157_5,d157_10).
sbond_1(d157,d157_6,d157_11).
sbond_1(d157,d157_7,d157_1).
sbond_1(d157,d157_8,d157_2).
sbond_1(d157,d157_9,d157_3).
sbond_1(d158,d158_1,d158_2).
sbond_1(d158,d158_2,d158_1).
sbond_1(d159,d159_1,d159_11).
sbond_1(d159,d159_10,d159_6).
sbond_1(d159,d159_11,d159_1).
sbond_1(d159,d159_11,d159_12).
sbond_1(d159,d159_12,d159_11).
sbond_1(d159,d159_12,d159_13).
sbond_1(d159,d159_12,d159_14).
sbond_1(d159,d159_12,d159_15).
sbond_1(d159,d159_13,d159_12).
sbond_1(d159,d159_14,d159_12).
sbond_1(d159,d159_15,d159_12).
sbond_1(d159,d159_17,d159_4).
sbond_1(d159,d159_17,d159_41).
sbond_1(d159,d159_18,d159_19).
sbond_1(d159,d159_18,d159_41).
sbond_1(d159,d159_19,d159_18).
sbond_1(d159,d159_19,d159_20).
sbond_1(d159,d159_19,d159_37).
sbond_1(d159,d159_2,d159_7).
sbond_1(d159,d159_20,d159_19).
sbond_1(d159,d159_20,d159_21).
sbond_1(d159,d159_20,d159_25).
sbond_1(d159,d159_20,d159_26).
sbond_1(d159,d159_21,d159_20).
sbond_1(d159,d159_21,d159_22).
sbond_1(d159,d159_21,d159_27).
sbond_1(d159,d159_21,d159_28).
sbond_1(d159,d159_22,d159_21).
sbond_1(d159,d159_22,d159_23).
sbond_1(d159,d159_22,d159_29).
sbond_1(d159,d159_22,d159_30).
sbond_1(d159,d159_23,d159_22).
sbond_1(d159,d159_23,d159_24).
sbond_1(d159,d159_23,d159_31).
sbond_1(d159,d159_23,d159_32).
sbond_1(d159,d159_24,d159_23).
sbond_1(d159,d159_24,d159_25).
sbond_1(d159,d159_24,d159_33).
sbond_1(d159,d159_24,d159_34).
sbond_1(d159,d159_25,d159_20).
sbond_1(d159,d159_25,d159_24).
sbond_1(d159,d159_25,d159_35).
sbond_1(d159,d159_25,d159_36).
sbond_1(d159,d159_26,d159_20).
sbond_1(d159,d159_27,d159_21).
sbond_1(d159,d159_28,d159_21).
sbond_1(d159,d159_29,d159_22).
sbond_1(d159,d159_3,d159_8).
sbond_1(d159,d159_30,d159_22).
sbond_1(d159,d159_31,d159_23).
sbond_1(d159,d159_32,d159_23).
sbond_1(d159,d159_33,d159_24).
sbond_1(d159,d159_34,d159_24).
sbond_1(d159,d159_35,d159_25).
sbond_1(d159,d159_36,d159_25).
sbond_1(d159,d159_37,d159_19).
sbond_1(d159,d159_4,d159_17).
sbond_1(d159,d159_41,d159_17).
sbond_1(d159,d159_41,d159_18).
sbond_1(d159,d159_41,d159_42).
sbond_1(d159,d159_42,d159_41).
sbond_1(d159,d159_5,d159_9).
sbond_1(d159,d159_6,d159_10).
sbond_1(d159,d159_7,d159_2).
sbond_1(d159,d159_8,d159_3).
sbond_1(d159,d159_9,d159_5).
sbond_1(d16,d16_1,d16_7).
sbond_1(d16,d16_10,d16_6).
sbond_1(d16,d16_11,d16_12).
sbond_1(d16,d16_11,d16_3).
sbond_1(d16,d16_12,d16_11).
sbond_1(d16,d16_13,d16_14).
sbond_1(d16,d16_14,d16_13).
sbond_1(d16,d16_14,d16_4).
sbond_1(d16,d16_15,d16_19).
sbond_1(d16,d16_16,d16_20).
sbond_1(d16,d16_17,d16_24).
sbond_1(d16,d16_18,d16_23).
sbond_1(d16,d16_19,d16_15).
sbond_1(d16,d16_2,d16_8).
sbond_1(d16,d16_20,d16_16).
sbond_1(d16,d16_23,d16_18).
sbond_1(d16,d16_24,d16_17).
sbond_1(d16,d16_24,d16_25).
sbond_1(d16,d16_24,d16_26).
sbond_1(d16,d16_24,d16_27).
sbond_1(d16,d16_25,d16_24).
sbond_1(d16,d16_26,d16_24).
sbond_1(d16,d16_27,d16_24).
sbond_1(d16,d16_3,d16_11).
sbond_1(d16,d16_4,d16_14).
sbond_1(d16,d16_5,d16_9).
sbond_1(d16,d16_6,d16_10).
sbond_1(d16,d16_7,d16_1).
sbond_1(d16,d16_8,d16_2).
sbond_1(d16,d16_9,d16_5).
sbond_1(d160,d160_1,d160_2).
sbond_1(d160,d160_1,d160_5).
sbond_1(d160,d160_1,d160_8).
sbond_1(d160,d160_1,d160_9).
sbond_1(d160,d160_10,d160_19).
sbond_1(d160,d160_10,d160_8).
sbond_1(d160,d160_11,d160_13).
sbond_1(d160,d160_11,d160_14).
sbond_1(d160,d160_11,d160_15).
sbond_1(d160,d160_11,d160_8).
sbond_1(d160,d160_12,d160_8).
sbond_1(d160,d160_13,d160_11).
sbond_1(d160,d160_13,d160_20).
sbond_1(d160,d160_14,d160_11).
sbond_1(d160,d160_15,d160_11).
sbond_1(d160,d160_17,d160_6).
sbond_1(d160,d160_18,d160_7).
sbond_1(d160,d160_19,d160_10).
sbond_1(d160,d160_2,d160_1).
sbond_1(d160,d160_2,d160_6).
sbond_1(d160,d160_20,d160_13).
sbond_1(d160,d160_3,d160_4).
sbond_1(d160,d160_3,d160_7).
sbond_1(d160,d160_4,d160_3).
sbond_1(d160,d160_4,d160_5).
sbond_1(d160,d160_5,d160_1).
sbond_1(d160,d160_5,d160_4).
sbond_1(d160,d160_6,d160_17).
sbond_1(d160,d160_6,d160_2).
sbond_1(d160,d160_7,d160_18).
sbond_1(d160,d160_7,d160_3).
sbond_1(d160,d160_8,d160_1).
sbond_1(d160,d160_8,d160_10).
sbond_1(d160,d160_8,d160_11).
sbond_1(d160,d160_8,d160_12).
sbond_1(d160,d160_9,d160_1).
sbond_1(d161,d161_1,d161_27).
sbond_1(d161,d161_10,d161_9).
sbond_1(d161,d161_11,d161_9).
sbond_1(d161,d161_12,d161_9).
sbond_1(d161,d161_13,d161_14).
sbond_1(d161,d161_13,d161_18).
sbond_1(d161,d161_13,d161_22).
sbond_1(d161,d161_13,d161_3).
sbond_1(d161,d161_14,d161_13).
sbond_1(d161,d161_14,d161_15).
sbond_1(d161,d161_14,d161_16).
sbond_1(d161,d161_14,d161_17).
sbond_1(d161,d161_15,d161_14).
sbond_1(d161,d161_16,d161_14).
sbond_1(d161,d161_17,d161_14).
sbond_1(d161,d161_18,d161_13).
sbond_1(d161,d161_18,d161_19).
sbond_1(d161,d161_18,d161_20).
sbond_1(d161,d161_18,d161_21).
sbond_1(d161,d161_19,d161_18).
sbond_1(d161,d161_2,d161_26).
sbond_1(d161,d161_20,d161_18).
sbond_1(d161,d161_21,d161_18).
sbond_1(d161,d161_22,d161_13).
sbond_1(d161,d161_22,d161_23).
sbond_1(d161,d161_22,d161_24).
sbond_1(d161,d161_22,d161_25).
sbond_1(d161,d161_23,d161_22).
sbond_1(d161,d161_24,d161_22).
sbond_1(d161,d161_25,d161_22).
sbond_1(d161,d161_26,d161_2).
sbond_1(d161,d161_26,d161_40).
sbond_1(d161,d161_27,d161_1).
sbond_1(d161,d161_27,d161_28).
sbond_1(d161,d161_27,d161_32).
sbond_1(d161,d161_27,d161_36).
sbond_1(d161,d161_28,d161_27).
sbond_1(d161,d161_28,d161_29).
sbond_1(d161,d161_28,d161_30).
sbond_1(d161,d161_28,d161_31).
sbond_1(d161,d161_29,d161_28).
sbond_1(d161,d161_3,d161_13).
sbond_1(d161,d161_30,d161_28).
sbond_1(d161,d161_31,d161_28).
sbond_1(d161,d161_32,d161_27).
sbond_1(d161,d161_32,d161_33).
sbond_1(d161,d161_32,d161_34).
sbond_1(d161,d161_32,d161_35).
sbond_1(d161,d161_33,d161_32).
sbond_1(d161,d161_34,d161_32).
sbond_1(d161,d161_35,d161_32).
sbond_1(d161,d161_36,d161_27).
sbond_1(d161,d161_36,d161_37).
sbond_1(d161,d161_36,d161_38).
sbond_1(d161,d161_36,d161_39).
sbond_1(d161,d161_37,d161_36).
sbond_1(d161,d161_38,d161_36).
sbond_1(d161,d161_39,d161_36).
sbond_1(d161,d161_4,d161_7).
sbond_1(d161,d161_40,d161_26).
sbond_1(d161,d161_5,d161_9).
sbond_1(d161,d161_6,d161_8).
sbond_1(d161,d161_7,d161_4).
sbond_1(d161,d161_8,d161_6).
sbond_1(d161,d161_9,d161_10).
sbond_1(d161,d161_9,d161_11).
sbond_1(d161,d161_9,d161_12).
sbond_1(d161,d161_9,d161_5).
sbond_1(d162,d162_1,d162_7).
sbond_1(d162,d162_10,d162_6).
sbond_1(d162,d162_11,d162_22).
sbond_1(d162,d162_12,d162_17).
sbond_1(d162,d162_13,d162_18).
sbond_1(d162,d162_14,d162_19).
sbond_1(d162,d162_15,d162_20).
sbond_1(d162,d162_16,d162_21).
sbond_1(d162,d162_17,d162_12).
sbond_1(d162,d162_18,d162_13).
sbond_1(d162,d162_19,d162_14).
sbond_1(d162,d162_2,d162_8).
sbond_1(d162,d162_20,d162_15).
sbond_1(d162,d162_21,d162_16).
sbond_1(d162,d162_21,d162_4).
sbond_1(d162,d162_22,d162_11).
sbond_1(d162,d162_22,d162_3).
sbond_1(d162,d162_3,d162_22).
sbond_1(d162,d162_4,d162_21).
sbond_1(d162,d162_5,d162_9).
sbond_1(d162,d162_6,d162_10).
sbond_1(d162,d162_7,d162_1).
sbond_1(d162,d162_8,d162_2).
sbond_1(d162,d162_9,d162_5).
sbond_1(d163,d163_1,d163_2).
sbond_1(d163,d163_1,d163_3).
sbond_1(d163,d163_1,d163_4).
sbond_1(d163,d163_1,d163_5).
sbond_1(d163,d163_10,d163_8).
sbond_1(d163,d163_12,d163_13).
sbond_1(d163,d163_12,d163_7).
sbond_1(d163,d163_13,d163_12).
sbond_1(d163,d163_14,d163_17).
sbond_1(d163,d163_14,d163_18).
sbond_1(d163,d163_14,d163_2).
sbond_1(d163,d163_15,d163_2).
sbond_1(d163,d163_16,d163_2).
sbond_1(d163,d163_17,d163_14).
sbond_1(d163,d163_17,d163_23).
sbond_1(d163,d163_18,d163_14).
sbond_1(d163,d163_18,d163_20).
sbond_1(d163,d163_2,d163_1).
sbond_1(d163,d163_2,d163_14).
sbond_1(d163,d163_2,d163_15).
sbond_1(d163,d163_2,d163_16).
sbond_1(d163,d163_20,d163_18).
sbond_1(d163,d163_20,d163_21).
sbond_1(d163,d163_21,d163_20).
sbond_1(d163,d163_23,d163_17).
sbond_1(d163,d163_23,d163_24).
sbond_1(d163,d163_24,d163_23).
sbond_1(d163,d163_3,d163_1).
sbond_1(d163,d163_3,d163_6).
sbond_1(d163,d163_3,d163_7).
sbond_1(d163,d163_4,d163_1).
sbond_1(d163,d163_5,d163_1).
sbond_1(d163,d163_6,d163_3).
sbond_1(d163,d163_6,d163_8).
sbond_1(d163,d163_7,d163_12).
sbond_1(d163,d163_7,d163_3).
sbond_1(d163,d163_8,d163_10).
sbond_1(d163,d163_8,d163_6).
sbond_1(d164,d164_1,d164_15).
sbond_1(d164,d164_1,d164_2).
sbond_1(d164,d164_1,d164_6).
sbond_1(d164,d164_1,d164_7).
sbond_1(d164,d164_10,d164_11).
sbond_1(d164,d164_10,d164_23).
sbond_1(d164,d164_10,d164_29).
sbond_1(d164,d164_10,d164_9).
sbond_1(d164,d164_11,d164_10).
sbond_1(d164,d164_11,d164_12).
sbond_1(d164,d164_11,d164_14).
sbond_1(d164,d164_11,d164_7).
sbond_1(d164,d164_12,d164_11).
sbond_1(d164,d164_12,d164_13).
sbond_1(d164,d164_13,d164_12).
sbond_1(d164,d164_13,d164_26).
sbond_1(d164,d164_13,d164_32).
sbond_1(d164,d164_13,d164_8).
sbond_1(d164,d164_14,d164_11).
sbond_1(d164,d164_15,d164_1).
sbond_1(d164,d164_16,d164_6).
sbond_1(d164,d164_17,d164_4).
sbond_1(d164,d164_18,d164_3).
sbond_1(d164,d164_18,d164_34).
sbond_1(d164,d164_19,d164_2).
sbond_1(d164,d164_19,d164_20).
sbond_1(d164,d164_19,d164_21).
sbond_1(d164,d164_19,d164_22).
sbond_1(d164,d164_2,d164_1).
sbond_1(d164,d164_2,d164_19).
sbond_1(d164,d164_2,d164_28).
sbond_1(d164,d164_2,d164_3).
sbond_1(d164,d164_20,d164_19).
sbond_1(d164,d164_21,d164_19).
sbond_1(d164,d164_22,d164_19).
sbond_1(d164,d164_23,d164_10).
sbond_1(d164,d164_24,d164_36).
sbond_1(d164,d164_24,d164_9).
sbond_1(d164,d164_25,d164_37).
sbond_1(d164,d164_25,d164_8).
sbond_1(d164,d164_26,d164_13).
sbond_1(d164,d164_26,d164_38).
sbond_1(d164,d164_26,d164_39).
sbond_1(d164,d164_26,d164_40).
sbond_1(d164,d164_27,d164_3).
sbond_1(d164,d164_28,d164_2).
sbond_1(d164,d164_28,d164_33).
sbond_1(d164,d164_29,d164_10).
sbond_1(d164,d164_29,d164_35).
sbond_1(d164,d164_3,d164_18).
sbond_1(d164,d164_3,d164_2).
sbond_1(d164,d164_3,d164_27).
sbond_1(d164,d164_3,d164_4).
sbond_1(d164,d164_30,d164_9).
sbond_1(d164,d164_31,d164_8).
sbond_1(d164,d164_32,d164_13).
sbond_1(d164,d164_33,d164_28).
sbond_1(d164,d164_33,d164_42).
sbond_1(d164,d164_33,d164_43).
sbond_1(d164,d164_33,d164_6).
sbond_1(d164,d164_34,d164_18).
sbond_1(d164,d164_35,d164_29).
sbond_1(d164,d164_36,d164_24).
sbond_1(d164,d164_37,d164_25).
sbond_1(d164,d164_38,d164_26).
sbond_1(d164,d164_38,d164_41).
sbond_1(d164,d164_39,d164_26).
sbond_1(d164,d164_4,d164_17).
sbond_1(d164,d164_4,d164_3).
sbond_1(d164,d164_4,d164_44).
sbond_1(d164,d164_4,d164_5).
sbond_1(d164,d164_40,d164_26).
sbond_1(d164,d164_41,d164_38).
sbond_1(d164,d164_42,d164_33).
sbond_1(d164,d164_43,d164_33).
sbond_1(d164,d164_44,d164_4).
sbond_1(d164,d164_5,d164_4).
sbond_1(d164,d164_5,d164_6).
sbond_1(d164,d164_6,d164_1).
sbond_1(d164,d164_6,d164_16).
sbond_1(d164,d164_6,d164_33).
sbond_1(d164,d164_6,d164_5).
sbond_1(d164,d164_7,d164_1).
sbond_1(d164,d164_7,d164_11).
sbond_1(d164,d164_8,d164_13).
sbond_1(d164,d164_8,d164_25).
sbond_1(d164,d164_8,d164_31).
sbond_1(d164,d164_8,d164_9).
sbond_1(d164,d164_9,d164_10).
sbond_1(d164,d164_9,d164_24).
sbond_1(d164,d164_9,d164_30).
sbond_1(d164,d164_9,d164_8).
sbond_1(d165,d165_1,d165_7).
sbond_1(d165,d165_10,d165_5).
sbond_1(d165,d165_11,d165_6).
sbond_1(d165,d165_12,d165_13).
sbond_1(d165,d165_12,d165_25).
sbond_1(d165,d165_12,d165_26).
sbond_1(d165,d165_12,d165_4).
sbond_1(d165,d165_13,d165_12).
sbond_1(d165,d165_13,d165_14).
sbond_1(d165,d165_14,d165_13).
sbond_1(d165,d165_15,d165_20).
sbond_1(d165,d165_16,d165_21).
sbond_1(d165,d165_17,d165_22).
sbond_1(d165,d165_18,d165_23).
sbond_1(d165,d165_19,d165_24).
sbond_1(d165,d165_2,d165_8).
sbond_1(d165,d165_20,d165_15).
sbond_1(d165,d165_21,d165_16).
sbond_1(d165,d165_22,d165_17).
sbond_1(d165,d165_23,d165_18).
sbond_1(d165,d165_24,d165_19).
sbond_1(d165,d165_25,d165_12).
sbond_1(d165,d165_25,d165_28).
sbond_1(d165,d165_26,d165_12).
sbond_1(d165,d165_28,d165_25).
sbond_1(d165,d165_3,d165_9).
sbond_1(d165,d165_4,d165_12).
sbond_1(d165,d165_5,d165_10).
sbond_1(d165,d165_6,d165_11).
sbond_1(d165,d165_7,d165_1).
sbond_1(d165,d165_8,d165_2).
sbond_1(d165,d165_9,d165_3).
sbond_1(d166,d166_1,d166_2).
sbond_1(d166,d166_1,d166_3).
sbond_1(d166,d166_1,d166_4).
sbond_1(d166,d166_1,d166_5).
sbond_1(d166,d166_10,d166_6).
sbond_1(d166,d166_11,d166_6).
sbond_1(d166,d166_12,d166_13).
sbond_1(d166,d166_12,d166_9).
sbond_1(d166,d166_13,d166_12).
sbond_1(d166,d166_13,d166_14).
sbond_1(d166,d166_13,d166_15).
sbond_1(d166,d166_13,d166_2).
sbond_1(d166,d166_14,d166_13).
sbond_1(d166,d166_15,d166_13).
sbond_1(d166,d166_16,d166_2).
sbond_1(d166,d166_17,d166_2).
sbond_1(d166,d166_19,d166_9).
sbond_1(d166,d166_2,d166_1).
sbond_1(d166,d166_2,d166_13).
sbond_1(d166,d166_2,d166_16).
sbond_1(d166,d166_2,d166_17).
sbond_1(d166,d166_3,d166_1).
sbond_1(d166,d166_3,d166_6).
sbond_1(d166,d166_3,d166_7).
sbond_1(d166,d166_3,d166_8).
sbond_1(d166,d166_4,d166_1).
sbond_1(d166,d166_5,d166_1).
sbond_1(d166,d166_6,d166_10).
sbond_1(d166,d166_6,d166_11).
sbond_1(d166,d166_6,d166_3).
sbond_1(d166,d166_6,d166_9).
sbond_1(d166,d166_7,d166_3).
sbond_1(d166,d166_8,d166_3).
sbond_1(d166,d166_9,d166_12).
sbond_1(d166,d166_9,d166_19).
sbond_1(d166,d166_9,d166_6).
sbond_1(d167,d167_1,d167_7).
sbond_1(d167,d167_10,d167_5).
sbond_1(d167,d167_11,d167_6).
sbond_1(d167,d167_12,d167_13).
sbond_1(d167,d167_12,d167_14).
sbond_1(d167,d167_12,d167_15).
sbond_1(d167,d167_12,d167_4).
sbond_1(d167,d167_13,d167_12).
sbond_1(d167,d167_13,d167_23).
sbond_1(d167,d167_14,d167_12).
sbond_1(d167,d167_14,d167_16).
sbond_1(d167,d167_14,d167_20).
sbond_1(d167,d167_14,d167_21).
sbond_1(d167,d167_15,d167_12).
sbond_1(d167,d167_16,d167_14).
sbond_1(d167,d167_16,d167_17).
sbond_1(d167,d167_16,d167_18).
sbond_1(d167,d167_16,d167_19).
sbond_1(d167,d167_17,d167_16).
sbond_1(d167,d167_18,d167_16).
sbond_1(d167,d167_19,d167_16).
sbond_1(d167,d167_2,d167_8).
sbond_1(d167,d167_20,d167_14).
sbond_1(d167,d167_20,d167_22).
sbond_1(d167,d167_20,d167_27).
sbond_1(d167,d167_21,d167_14).
sbond_1(d167,d167_22,d167_20).
sbond_1(d167,d167_22,d167_24).
sbond_1(d167,d167_22,d167_25).
sbond_1(d167,d167_22,d167_26).
sbond_1(d167,d167_23,d167_13).
sbond_1(d167,d167_24,d167_22).
sbond_1(d167,d167_25,d167_22).
sbond_1(d167,d167_26,d167_22).
sbond_1(d167,d167_27,d167_20).
sbond_1(d167,d167_3,d167_9).
sbond_1(d167,d167_4,d167_12).
sbond_1(d167,d167_5,d167_10).
sbond_1(d167,d167_6,d167_11).
sbond_1(d167,d167_7,d167_1).
sbond_1(d167,d167_8,d167_2).
sbond_1(d167,d167_9,d167_3).
sbond_1(d168,d168_1,d168_2).
sbond_1(d168,d168_1,d168_6).
sbond_1(d168,d168_1,d168_7).
sbond_1(d168,d168_1,d168_8).
sbond_1(d168,d168_10,d168_4).
sbond_1(d168,d168_11,d168_6).
sbond_1(d168,d168_12,d168_6).
sbond_1(d168,d168_13,d168_15).
sbond_1(d168,d168_13,d168_16).
sbond_1(d168,d168_13,d168_17).
sbond_1(d168,d168_13,d168_5).
sbond_1(d168,d168_14,d168_5).
sbond_1(d168,d168_15,d168_13).
sbond_1(d168,d168_16,d168_13).
sbond_1(d168,d168_17,d168_13).
sbond_1(d168,d168_18,d168_3).
sbond_1(d168,d168_18,d168_31).
sbond_1(d168,d168_19,d168_3).
sbond_1(d168,d168_2,d168_1).
sbond_1(d168,d168_2,d168_20).
sbond_1(d168,d168_2,d168_21).
sbond_1(d168,d168_2,d168_3).
sbond_1(d168,d168_20,d168_2).
sbond_1(d168,d168_20,d168_22).
sbond_1(d168,d168_20,d168_26).
sbond_1(d168,d168_20,d168_27).
sbond_1(d168,d168_21,d168_2).
sbond_1(d168,d168_22,d168_20).
sbond_1(d168,d168_22,d168_23).
sbond_1(d168,d168_22,d168_24).
sbond_1(d168,d168_22,d168_25).
sbond_1(d168,d168_23,d168_22).
sbond_1(d168,d168_24,d168_22).
sbond_1(d168,d168_25,d168_22).
sbond_1(d168,d168_26,d168_20).
sbond_1(d168,d168_26,d168_28).
sbond_1(d168,d168_26,d168_29).
sbond_1(d168,d168_26,d168_30).
sbond_1(d168,d168_27,d168_20).
sbond_1(d168,d168_28,d168_26).
sbond_1(d168,d168_29,d168_26).
sbond_1(d168,d168_3,d168_18).
sbond_1(d168,d168_3,d168_19).
sbond_1(d168,d168_3,d168_2).
sbond_1(d168,d168_3,d168_4).
sbond_1(d168,d168_30,d168_26).
sbond_1(d168,d168_31,d168_18).
sbond_1(d168,d168_4,d168_10).
sbond_1(d168,d168_4,d168_3).
sbond_1(d168,d168_4,d168_5).
sbond_1(d168,d168_4,d168_9).
sbond_1(d168,d168_5,d168_13).
sbond_1(d168,d168_5,d168_14).
sbond_1(d168,d168_5,d168_4).
sbond_1(d168,d168_5,d168_6).
sbond_1(d168,d168_6,d168_1).
sbond_1(d168,d168_6,d168_11).
sbond_1(d168,d168_6,d168_12).
sbond_1(d168,d168_6,d168_5).
sbond_1(d168,d168_7,d168_1).
sbond_1(d168,d168_8,d168_1).
sbond_1(d168,d168_9,d168_4).
sbond_1(d169,d169_1,d169_7).
sbond_1(d169,d169_10,d169_4).
sbond_1(d169,d169_11,d169_6).
sbond_1(d169,d169_12,d169_13).
sbond_1(d169,d169_12,d169_5).
sbond_1(d169,d169_13,d169_12).
sbond_1(d169,d169_2,d169_8).
sbond_1(d169,d169_3,d169_9).
sbond_1(d169,d169_4,d169_10).
sbond_1(d169,d169_5,d169_12).
sbond_1(d169,d169_6,d169_11).
sbond_1(d169,d169_7,d169_1).
sbond_1(d169,d169_8,d169_2).
sbond_1(d169,d169_9,d169_3).
sbond_1(d17,d17_1,d17_7).
sbond_1(d17,d17_10,d17_14).
sbond_1(d17,d17_11,d17_15).
sbond_1(d17,d17_12,d17_16).
sbond_1(d17,d17_13,d17_18).
sbond_1(d17,d17_14,d17_10).
sbond_1(d17,d17_15,d17_11).
sbond_1(d17,d17_16,d17_12).
sbond_1(d17,d17_17,d17_2).
sbond_1(d17,d17_17,d17_21).
sbond_1(d17,d17_17,d17_22).
sbond_1(d17,d17_18,d17_13).
sbond_1(d17,d17_18,d17_19).
sbond_1(d17,d17_18,d17_20).
sbond_1(d17,d17_19,d17_18).
sbond_1(d17,d17_2,d17_17).
sbond_1(d17,d17_20,d17_18).
sbond_1(d17,d17_21,d17_17).
sbond_1(d17,d17_22,d17_17).
sbond_1(d17,d17_5,d17_8).
sbond_1(d17,d17_6,d17_9).
sbond_1(d17,d17_7,d17_1).
sbond_1(d17,d17_8,d17_5).
sbond_1(d17,d17_9,d17_6).
sbond_1(d170,d170_1,d170_7).
sbond_1(d170,d170_10,d170_6).
sbond_1(d170,d170_11,d170_12).
sbond_1(d170,d170_11,d170_3).
sbond_1(d170,d170_12,d170_11).
sbond_1(d170,d170_12,d170_13).
sbond_1(d170,d170_13,d170_12).
sbond_1(d170,d170_13,d170_4).
sbond_1(d170,d170_2,d170_8).
sbond_1(d170,d170_3,d170_11).
sbond_1(d170,d170_4,d170_13).
sbond_1(d170,d170_5,d170_9).
sbond_1(d170,d170_6,d170_10).
sbond_1(d170,d170_7,d170_1).
sbond_1(d170,d170_8,d170_2).
sbond_1(d170,d170_9,d170_5).
sbond_1(d171,d171_1,d171_11).
sbond_1(d171,d171_10,d171_6).
sbond_1(d171,d171_11,d171_1).
sbond_1(d171,d171_11,d171_12).
sbond_1(d171,d171_11,d171_13).
sbond_1(d171,d171_11,d171_14).
sbond_1(d171,d171_12,d171_11).
sbond_1(d171,d171_13,d171_11).
sbond_1(d171,d171_14,d171_11).
sbond_1(d171,d171_15,d171_16).
sbond_1(d171,d171_15,d171_4).
sbond_1(d171,d171_16,d171_15).
sbond_1(d171,d171_16,d171_17).
sbond_1(d171,d171_16,d171_21).
sbond_1(d171,d171_17,d171_16).
sbond_1(d171,d171_17,d171_18).
sbond_1(d171,d171_18,d171_17).
sbond_1(d171,d171_18,d171_29).
sbond_1(d171,d171_18,d171_42).
sbond_1(d171,d171_2,d171_7).
sbond_1(d171,d171_21,d171_16).
sbond_1(d171,d171_23,d171_24).
sbond_1(d171,d171_23,d171_29).
sbond_1(d171,d171_23,d171_30).
sbond_1(d171,d171_23,d171_31).
sbond_1(d171,d171_24,d171_23).
sbond_1(d171,d171_24,d171_25).
sbond_1(d171,d171_24,d171_32).
sbond_1(d171,d171_24,d171_33).
sbond_1(d171,d171_25,d171_24).
sbond_1(d171,d171_25,d171_26).
sbond_1(d171,d171_25,d171_34).
sbond_1(d171,d171_25,d171_35).
sbond_1(d171,d171_26,d171_25).
sbond_1(d171,d171_26,d171_27).
sbond_1(d171,d171_26,d171_36).
sbond_1(d171,d171_26,d171_37).
sbond_1(d171,d171_27,d171_26).
sbond_1(d171,d171_27,d171_28).
sbond_1(d171,d171_27,d171_38).
sbond_1(d171,d171_27,d171_39).
sbond_1(d171,d171_28,d171_27).
sbond_1(d171,d171_28,d171_29).
sbond_1(d171,d171_28,d171_40).
sbond_1(d171,d171_28,d171_41).
sbond_1(d171,d171_29,d171_18).
sbond_1(d171,d171_29,d171_23).
sbond_1(d171,d171_29,d171_28).
sbond_1(d171,d171_3,d171_8).
sbond_1(d171,d171_30,d171_23).
sbond_1(d171,d171_31,d171_23).
sbond_1(d171,d171_32,d171_24).
sbond_1(d171,d171_33,d171_24).
sbond_1(d171,d171_34,d171_25).
sbond_1(d171,d171_35,d171_25).
sbond_1(d171,d171_36,d171_26).
sbond_1(d171,d171_37,d171_26).
sbond_1(d171,d171_38,d171_27).
sbond_1(d171,d171_39,d171_27).
sbond_1(d171,d171_4,d171_15).
sbond_1(d171,d171_40,d171_28).
sbond_1(d171,d171_41,d171_28).
sbond_1(d171,d171_42,d171_18).
sbond_1(d171,d171_5,d171_9).
sbond_1(d171,d171_6,d171_10).
sbond_1(d171,d171_7,d171_2).
sbond_1(d171,d171_8,d171_3).
sbond_1(d171,d171_9,d171_5).
sbond_1(d172,d172_1,d172_2).
sbond_1(d172,d172_1,d172_3).
sbond_1(d172,d172_1,d172_4).
sbond_1(d172,d172_1,d172_5).
sbond_1(d172,d172_10,d172_15).
sbond_1(d172,d172_11,d172_6).
sbond_1(d172,d172_12,d172_7).
sbond_1(d172,d172_13,d172_8).
sbond_1(d172,d172_14,d172_9).
sbond_1(d172,d172_15,d172_10).
sbond_1(d172,d172_16,d172_21).
sbond_1(d172,d172_17,d172_22).
sbond_1(d172,d172_18,d172_23).
sbond_1(d172,d172_19,d172_24).
sbond_1(d172,d172_2,d172_1).
sbond_1(d172,d172_2,d172_36).
sbond_1(d172,d172_20,d172_25).
sbond_1(d172,d172_21,d172_16).
sbond_1(d172,d172_22,d172_17).
sbond_1(d172,d172_23,d172_18).
sbond_1(d172,d172_24,d172_19).
sbond_1(d172,d172_25,d172_20).
sbond_1(d172,d172_26,d172_31).
sbond_1(d172,d172_27,d172_32).
sbond_1(d172,d172_28,d172_33).
sbond_1(d172,d172_29,d172_34).
sbond_1(d172,d172_3,d172_1).
sbond_1(d172,d172_30,d172_35).
sbond_1(d172,d172_31,d172_26).
sbond_1(d172,d172_32,d172_27).
sbond_1(d172,d172_33,d172_28).
sbond_1(d172,d172_34,d172_29).
sbond_1(d172,d172_35,d172_30).
sbond_1(d172,d172_36,d172_2).
sbond_1(d172,d172_4,d172_1).
sbond_1(d172,d172_5,d172_1).
sbond_1(d172,d172_6,d172_11).
sbond_1(d172,d172_7,d172_12).
sbond_1(d172,d172_8,d172_13).
sbond_1(d172,d172_9,d172_14).
sbond_1(d173,d173_1,d173_2).
sbond_1(d173,d173_1,d173_40).
sbond_1(d173,d173_1,d173_41).
sbond_1(d173,d173_1,d173_6).
sbond_1(d173,d173_10,d173_5).
sbond_1(d173,d173_11,d173_6).
sbond_1(d173,d173_12,d173_6).
sbond_1(d173,d173_13,d173_14).
sbond_1(d173,d173_13,d173_18).
sbond_1(d173,d173_13,d173_19).
sbond_1(d173,d173_13,d173_3).
sbond_1(d173,d173_14,d173_13).
sbond_1(d173,d173_14,d173_15).
sbond_1(d173,d173_14,d173_20).
sbond_1(d173,d173_14,d173_21).
sbond_1(d173,d173_15,d173_14).
sbond_1(d173,d173_15,d173_16).
sbond_1(d173,d173_15,d173_22).
sbond_1(d173,d173_15,d173_27).
sbond_1(d173,d173_16,d173_15).
sbond_1(d173,d173_16,d173_25).
sbond_1(d173,d173_16,d173_26).
sbond_1(d173,d173_16,d173_4).
sbond_1(d173,d173_17,d173_3).
sbond_1(d173,d173_18,d173_13).
sbond_1(d173,d173_19,d173_13).
sbond_1(d173,d173_2,d173_1).
sbond_1(d173,d173_2,d173_3).
sbond_1(d173,d173_2,d173_7).
sbond_1(d173,d173_2,d173_8).
sbond_1(d173,d173_20,d173_14).
sbond_1(d173,d173_21,d173_14).
sbond_1(d173,d173_22,d173_15).
sbond_1(d173,d173_22,d173_23).
sbond_1(d173,d173_22,d173_34).
sbond_1(d173,d173_22,d173_39).
sbond_1(d173,d173_23,d173_22).
sbond_1(d173,d173_23,d173_24).
sbond_1(d173,d173_23,d173_32).
sbond_1(d173,d173_23,d173_46).
sbond_1(d173,d173_24,d173_23).
sbond_1(d173,d173_24,d173_25).
sbond_1(d173,d173_24,d173_28).
sbond_1(d173,d173_24,d173_29).
sbond_1(d173,d173_25,d173_16).
sbond_1(d173,d173_25,d173_24).
sbond_1(d173,d173_25,d173_30).
sbond_1(d173,d173_25,d173_31).
sbond_1(d173,d173_26,d173_16).
sbond_1(d173,d173_27,d173_15).
sbond_1(d173,d173_28,d173_24).
sbond_1(d173,d173_29,d173_24).
sbond_1(d173,d173_3,d173_13).
sbond_1(d173,d173_3,d173_17).
sbond_1(d173,d173_3,d173_2).
sbond_1(d173,d173_3,d173_4).
sbond_1(d173,d173_30,d173_25).
sbond_1(d173,d173_31,d173_25).
sbond_1(d173,d173_32,d173_23).
sbond_1(d173,d173_32,d173_33).
sbond_1(d173,d173_32,d173_50).
sbond_1(d173,d173_32,d173_51).
sbond_1(d173,d173_33,d173_32).
sbond_1(d173,d173_33,d173_34).
sbond_1(d173,d173_33,d173_35).
sbond_1(d173,d173_33,d173_36).
sbond_1(d173,d173_34,d173_22).
sbond_1(d173,d173_34,d173_33).
sbond_1(d173,d173_34,d173_37).
sbond_1(d173,d173_34,d173_38).
sbond_1(d173,d173_35,d173_33).
sbond_1(d173,d173_36,d173_33).
sbond_1(d173,d173_37,d173_34).
sbond_1(d173,d173_38,d173_34).
sbond_1(d173,d173_39,d173_22).
sbond_1(d173,d173_4,d173_16).
sbond_1(d173,d173_4,d173_3).
sbond_1(d173,d173_4,d173_42).
sbond_1(d173,d173_4,d173_5).
sbond_1(d173,d173_40,d173_1).
sbond_1(d173,d173_40,d173_66).
sbond_1(d173,d173_41,d173_1).
sbond_1(d173,d173_42,d173_4).
sbond_1(d173,d173_42,d173_43).
sbond_1(d173,d173_42,d173_44).
sbond_1(d173,d173_42,d173_45).
sbond_1(d173,d173_43,d173_42).
sbond_1(d173,d173_44,d173_42).
sbond_1(d173,d173_45,d173_42).
sbond_1(d173,d173_46,d173_23).
sbond_1(d173,d173_46,d173_47).
sbond_1(d173,d173_46,d173_48).
sbond_1(d173,d173_46,d173_49).
sbond_1(d173,d173_47,d173_46).
sbond_1(d173,d173_48,d173_46).
sbond_1(d173,d173_49,d173_46).
sbond_1(d173,d173_5,d173_10).
sbond_1(d173,d173_5,d173_4).
sbond_1(d173,d173_5,d173_6).
sbond_1(d173,d173_5,d173_9).
sbond_1(d173,d173_50,d173_32).
sbond_1(d173,d173_50,d173_52).
sbond_1(d173,d173_50,d173_56).
sbond_1(d173,d173_50,d173_57).
sbond_1(d173,d173_51,d173_32).
sbond_1(d173,d173_52,d173_50).
sbond_1(d173,d173_52,d173_53).
sbond_1(d173,d173_52,d173_54).
sbond_1(d173,d173_52,d173_55).
sbond_1(d173,d173_53,d173_52).
sbond_1(d173,d173_54,d173_52).
sbond_1(d173,d173_55,d173_52).
sbond_1(d173,d173_56,d173_50).
sbond_1(d173,d173_56,d173_58).
sbond_1(d173,d173_56,d173_59).
sbond_1(d173,d173_56,d173_60).
sbond_1(d173,d173_57,d173_50).
sbond_1(d173,d173_58,d173_56).
sbond_1(d173,d173_58,d173_61).
sbond_1(d173,d173_58,d173_62).
sbond_1(d173,d173_58,d173_63).
sbond_1(d173,d173_59,d173_56).
sbond_1(d173,d173_6,d173_1).
sbond_1(d173,d173_6,d173_11).
sbond_1(d173,d173_6,d173_12).
sbond_1(d173,d173_6,d173_5).
sbond_1(d173,d173_60,d173_56).
sbond_1(d173,d173_61,d173_58).
sbond_1(d173,d173_61,d173_64).
sbond_1(d173,d173_62,d173_58).
sbond_1(d173,d173_63,d173_58).
sbond_1(d173,d173_64,d173_61).
sbond_1(d173,d173_64,d173_67).
sbond_1(d173,d173_66,d173_40).
sbond_1(d173,d173_67,d173_64).
sbond_1(d173,d173_7,d173_2).
sbond_1(d173,d173_8,d173_2).
sbond_1(d173,d173_9,d173_5).
sbond_1(d174,d174_1,d174_2).
sbond_1(d174,d174_1,d174_21).
sbond_1(d174,d174_10,d174_12).
sbond_1(d174,d174_10,d174_13).
sbond_1(d174,d174_10,d174_14).
sbond_1(d174,d174_10,d174_7).
sbond_1(d174,d174_11,d174_7).
sbond_1(d174,d174_12,d174_10).
sbond_1(d174,d174_12,d174_24).
sbond_1(d174,d174_13,d174_10).
sbond_1(d174,d174_13,d174_15).
sbond_1(d174,d174_13,d174_16).
sbond_1(d174,d174_13,d174_17).
sbond_1(d174,d174_14,d174_10).
sbond_1(d174,d174_15,d174_13).
sbond_1(d174,d174_15,d174_25).
sbond_1(d174,d174_16,d174_13).
sbond_1(d174,d174_16,d174_18).
sbond_1(d174,d174_16,d174_19).
sbond_1(d174,d174_16,d174_20).
sbond_1(d174,d174_17,d174_13).
sbond_1(d174,d174_18,d174_16).
sbond_1(d174,d174_18,d174_26).
sbond_1(d174,d174_19,d174_16).
sbond_1(d174,d174_2,d174_1).
sbond_1(d174,d174_2,d174_3).
sbond_1(d174,d174_2,d174_4).
sbond_1(d174,d174_2,d174_5).
sbond_1(d174,d174_20,d174_16).
sbond_1(d174,d174_21,d174_1).
sbond_1(d174,d174_22,d174_6).
sbond_1(d174,d174_23,d174_9).
sbond_1(d174,d174_24,d174_12).
sbond_1(d174,d174_25,d174_15).
sbond_1(d174,d174_26,d174_18).
sbond_1(d174,d174_3,d174_2).
sbond_1(d174,d174_3,d174_6).
sbond_1(d174,d174_3,d174_7).
sbond_1(d174,d174_3,d174_8).
sbond_1(d174,d174_4,d174_2).
sbond_1(d174,d174_5,d174_2).
sbond_1(d174,d174_6,d174_22).
sbond_1(d174,d174_6,d174_3).
sbond_1(d174,d174_7,d174_10).
sbond_1(d174,d174_7,d174_11).
sbond_1(d174,d174_7,d174_3).
sbond_1(d174,d174_7,d174_9).
sbond_1(d174,d174_8,d174_3).
sbond_1(d174,d174_9,d174_23).
sbond_1(d174,d174_9,d174_7).
sbond_1(d175,d175_1,d175_7).
sbond_1(d175,d175_10,d175_5).
sbond_1(d175,d175_11,d175_6).
sbond_1(d175,d175_12,d175_13).
sbond_1(d175,d175_12,d175_14).
sbond_1(d175,d175_12,d175_15).
sbond_1(d175,d175_12,d175_4).
sbond_1(d175,d175_13,d175_12).
sbond_1(d175,d175_13,d175_16).
sbond_1(d175,d175_13,d175_17).
sbond_1(d175,d175_13,d175_18).
sbond_1(d175,d175_14,d175_12).
sbond_1(d175,d175_15,d175_12).
sbond_1(d175,d175_16,d175_13).
sbond_1(d175,d175_16,d175_19).
sbond_1(d175,d175_16,d175_25).
sbond_1(d175,d175_17,d175_13).
sbond_1(d175,d175_18,d175_13).
sbond_1(d175,d175_19,d175_16).
sbond_1(d175,d175_19,d175_21).
sbond_1(d175,d175_2,d175_8).
sbond_1(d175,d175_20,d175_27).
sbond_1(d175,d175_21,d175_19).
sbond_1(d175,d175_21,d175_22).
sbond_1(d175,d175_21,d175_26).
sbond_1(d175,d175_22,d175_21).
sbond_1(d175,d175_22,d175_24).
sbond_1(d175,d175_23,d175_28).
sbond_1(d175,d175_24,d175_22).
sbond_1(d175,d175_24,d175_29).
sbond_1(d175,d175_24,d175_30).
sbond_1(d175,d175_25,d175_16).
sbond_1(d175,d175_26,d175_21).
sbond_1(d175,d175_27,d175_20).
sbond_1(d175,d175_28,d175_23).
sbond_1(d175,d175_29,d175_24).
sbond_1(d175,d175_3,d175_9).
sbond_1(d175,d175_30,d175_24).
sbond_1(d175,d175_4,d175_12).
sbond_1(d175,d175_5,d175_10).
sbond_1(d175,d175_6,d175_11).
sbond_1(d175,d175_7,d175_1).
sbond_1(d175,d175_8,d175_2).
sbond_1(d175,d175_9,d175_3).
sbond_1(d176,d176_1,d176_7).
sbond_1(d176,d176_10,d176_6).
sbond_1(d176,d176_11,d176_13).
sbond_1(d176,d176_11,d176_4).
sbond_1(d176,d176_13,d176_11).
sbond_1(d176,d176_13,d176_17).
sbond_1(d176,d176_13,d176_18).
sbond_1(d176,d176_14,d176_15).
sbond_1(d176,d176_14,d176_3).
sbond_1(d176,d176_15,d176_14).
sbond_1(d176,d176_15,d176_19).
sbond_1(d176,d176_15,d176_20).
sbond_1(d176,d176_17,d176_13).
sbond_1(d176,d176_18,d176_13).
sbond_1(d176,d176_19,d176_15).
sbond_1(d176,d176_2,d176_8).
sbond_1(d176,d176_20,d176_15).
sbond_1(d176,d176_3,d176_14).
sbond_1(d176,d176_4,d176_11).
sbond_1(d176,d176_5,d176_9).
sbond_1(d176,d176_6,d176_10).
sbond_1(d176,d176_7,d176_1).
sbond_1(d176,d176_8,d176_2).
sbond_1(d176,d176_9,d176_5).
sbond_1(d177,d177_1,d177_24).
sbond_1(d177,d177_10,d177_11).
sbond_1(d177,d177_10,d177_12).
sbond_1(d177,d177_10,d177_13).
sbond_1(d177,d177_10,d177_9).
sbond_1(d177,d177_11,d177_10).
sbond_1(d177,d177_11,d177_4).
sbond_1(d177,d177_12,d177_10).
sbond_1(d177,d177_13,d177_10).
sbond_1(d177,d177_14,d177_15).
sbond_1(d177,d177_14,d177_16).
sbond_1(d177,d177_14,d177_17).
sbond_1(d177,d177_14,d177_6).
sbond_1(d177,d177_15,d177_14).
sbond_1(d177,d177_15,d177_18).
sbond_1(d177,d177_15,d177_19).
sbond_1(d177,d177_15,d177_20).
sbond_1(d177,d177_16,d177_14).
sbond_1(d177,d177_17,d177_14).
sbond_1(d177,d177_18,d177_15).
sbond_1(d177,d177_18,d177_21).
sbond_1(d177,d177_18,d177_22).
sbond_1(d177,d177_18,d177_23).
sbond_1(d177,d177_19,d177_15).
sbond_1(d177,d177_2,d177_7).
sbond_1(d177,d177_20,d177_15).
sbond_1(d177,d177_21,d177_18).
sbond_1(d177,d177_22,d177_18).
sbond_1(d177,d177_23,d177_18).
sbond_1(d177,d177_24,d177_1).
sbond_1(d177,d177_24,d177_25).
sbond_1(d177,d177_24,d177_26).
sbond_1(d177,d177_24,d177_27).
sbond_1(d177,d177_25,d177_24).
sbond_1(d177,d177_25,d177_28).
sbond_1(d177,d177_26,d177_24).
sbond_1(d177,d177_27,d177_24).
sbond_1(d177,d177_28,d177_25).
sbond_1(d177,d177_28,d177_29).
sbond_1(d177,d177_28,d177_30).
sbond_1(d177,d177_28,d177_31).
sbond_1(d177,d177_29,d177_28).
sbond_1(d177,d177_29,d177_32).
sbond_1(d177,d177_29,d177_33).
sbond_1(d177,d177_29,d177_34).
sbond_1(d177,d177_3,d177_9).
sbond_1(d177,d177_30,d177_28).
sbond_1(d177,d177_31,d177_28).
sbond_1(d177,d177_32,d177_29).
sbond_1(d177,d177_32,d177_35).
sbond_1(d177,d177_33,d177_29).
sbond_1(d177,d177_34,d177_29).
sbond_1(d177,d177_35,d177_32).
sbond_1(d177,d177_35,d177_36).
sbond_1(d177,d177_35,d177_37).
sbond_1(d177,d177_35,d177_38).
sbond_1(d177,d177_36,d177_35).
sbond_1(d177,d177_36,d177_39).
sbond_1(d177,d177_36,d177_40).
sbond_1(d177,d177_36,d177_41).
sbond_1(d177,d177_37,d177_35).
sbond_1(d177,d177_38,d177_35).
sbond_1(d177,d177_39,d177_36).
sbond_1(d177,d177_39,d177_42).
sbond_1(d177,d177_4,d177_11).
sbond_1(d177,d177_40,d177_36).
sbond_1(d177,d177_41,d177_36).
sbond_1(d177,d177_42,d177_39).
sbond_1(d177,d177_42,d177_43).
sbond_1(d177,d177_42,d177_44).
sbond_1(d177,d177_42,d177_45).
sbond_1(d177,d177_43,d177_42).
sbond_1(d177,d177_43,d177_46).
sbond_1(d177,d177_43,d177_47).
sbond_1(d177,d177_43,d177_48).
sbond_1(d177,d177_44,d177_42).
sbond_1(d177,d177_45,d177_42).
sbond_1(d177,d177_46,d177_43).
sbond_1(d177,d177_46,d177_49).
sbond_1(d177,d177_46,d177_50).
sbond_1(d177,d177_46,d177_51).
sbond_1(d177,d177_47,d177_43).
sbond_1(d177,d177_48,d177_43).
sbond_1(d177,d177_49,d177_46).
sbond_1(d177,d177_49,d177_52).
sbond_1(d177,d177_49,d177_53).
sbond_1(d177,d177_49,d177_54).
sbond_1(d177,d177_5,d177_8).
sbond_1(d177,d177_50,d177_46).
sbond_1(d177,d177_51,d177_46).
sbond_1(d177,d177_52,d177_49).
sbond_1(d177,d177_53,d177_49).
sbond_1(d177,d177_54,d177_49).
sbond_1(d177,d177_6,d177_14).
sbond_1(d177,d177_7,d177_2).
sbond_1(d177,d177_8,d177_5).
sbond_1(d177,d177_9,d177_10).
sbond_1(d177,d177_9,d177_3).
sbond_1(d179,d179_1,d179_15).
sbond_1(d179,d179_10,d179_6).
sbond_1(d179,d179_11,d179_12).
sbond_1(d179,d179_11,d179_13).
sbond_1(d179,d179_11,d179_14).
sbond_1(d179,d179_11,d179_4).
sbond_1(d179,d179_12,d179_11).
sbond_1(d179,d179_13,d179_11).
sbond_1(d179,d179_14,d179_11).
sbond_1(d179,d179_15,d179_1).
sbond_1(d179,d179_15,d179_18).
sbond_1(d179,d179_18,d179_15).
sbond_1(d179,d179_18,d179_19).
sbond_1(d179,d179_18,d179_35).
sbond_1(d179,d179_19,d179_18).
sbond_1(d179,d179_19,d179_21).
sbond_1(d179,d179_2,d179_7).
sbond_1(d179,d179_21,d179_19).
sbond_1(d179,d179_21,d179_22).
sbond_1(d179,d179_21,d179_36).
sbond_1(d179,d179_22,d179_21).
sbond_1(d179,d179_22,d179_23).
sbond_1(d179,d179_22,d179_24).
sbond_1(d179,d179_22,d179_25).
sbond_1(d179,d179_23,d179_22).
sbond_1(d179,d179_23,d179_26).
sbond_1(d179,d179_23,d179_27).
sbond_1(d179,d179_23,d179_28).
sbond_1(d179,d179_24,d179_22).
sbond_1(d179,d179_25,d179_22).
sbond_1(d179,d179_26,d179_23).
sbond_1(d179,d179_26,d179_29).
sbond_1(d179,d179_26,d179_30).
sbond_1(d179,d179_26,d179_31).
sbond_1(d179,d179_27,d179_23).
sbond_1(d179,d179_28,d179_23).
sbond_1(d179,d179_29,d179_26).
sbond_1(d179,d179_29,d179_32).
sbond_1(d179,d179_29,d179_33).
sbond_1(d179,d179_29,d179_34).
sbond_1(d179,d179_3,d179_8).
sbond_1(d179,d179_30,d179_26).
sbond_1(d179,d179_31,d179_26).
sbond_1(d179,d179_32,d179_29).
sbond_1(d179,d179_33,d179_29).
sbond_1(d179,d179_34,d179_29).
sbond_1(d179,d179_35,d179_18).
sbond_1(d179,d179_36,d179_21).
sbond_1(d179,d179_4,d179_11).
sbond_1(d179,d179_5,d179_9).
sbond_1(d179,d179_6,d179_10).
sbond_1(d179,d179_7,d179_2).
sbond_1(d179,d179_8,d179_3).
sbond_1(d179,d179_9,d179_5).
sbond_1(d18,d18_1,d18_8).
sbond_1(d18,d18_10,d18_12).
sbond_1(d18,d18_10,d18_15).
sbond_1(d18,d18_10,d18_9).
sbond_1(d18,d18_12,d18_10).
sbond_1(d18,d18_12,d18_13).
sbond_1(d18,d18_12,d18_16).
sbond_1(d18,d18_12,d18_17).
sbond_1(d18,d18_13,d18_12).
sbond_1(d18,d18_13,d18_18).
sbond_1(d18,d18_13,d18_19).
sbond_1(d18,d18_13,d18_20).
sbond_1(d18,d18_14,d18_8).
sbond_1(d18,d18_15,d18_10).
sbond_1(d18,d18_16,d18_12).
sbond_1(d18,d18_17,d18_12).
sbond_1(d18,d18_18,d18_13).
sbond_1(d18,d18_19,d18_13).
sbond_1(d18,d18_2,d18_22).
sbond_1(d18,d18_20,d18_13).
sbond_1(d18,d18_22,d18_2).
sbond_1(d18,d18_3,d18_5).
sbond_1(d18,d18_5,d18_3).
sbond_1(d18,d18_8,d18_1).
sbond_1(d18,d18_8,d18_14).
sbond_1(d18,d18_8,d18_9).
sbond_1(d18,d18_9,d18_10).
sbond_1(d18,d18_9,d18_8).
sbond_1(d180,d180_1,d180_10).
sbond_1(d180,d180_10,d180_1).
sbond_1(d180,d180_11,d180_2).
sbond_1(d180,d180_12,d180_5).
sbond_1(d180,d180_13,d180_6).
sbond_1(d180,d180_14,d180_9).
sbond_1(d180,d180_15,d180_16).
sbond_1(d180,d180_15,d180_25).
sbond_1(d180,d180_15,d180_26).
sbond_1(d180,d180_15,d180_7).
sbond_1(d180,d180_16,d180_15).
sbond_1(d180,d180_16,d180_17).
sbond_1(d180,d180_16,d180_18).
sbond_1(d180,d180_16,d180_24).
sbond_1(d180,d180_17,d180_16).
sbond_1(d180,d180_17,d180_22).
sbond_1(d180,d180_17,d180_23).
sbond_1(d180,d180_18,d180_16).
sbond_1(d180,d180_18,d180_19).
sbond_1(d180,d180_19,d180_18).
sbond_1(d180,d180_19,d180_21).
sbond_1(d180,d180_2,d180_11).
sbond_1(d180,d180_21,d180_19).
sbond_1(d180,d180_22,d180_17).
sbond_1(d180,d180_23,d180_17).
sbond_1(d180,d180_24,d180_16).
sbond_1(d180,d180_25,d180_15).
sbond_1(d180,d180_26,d180_15).
sbond_1(d180,d180_27,d180_8).
sbond_1(d180,d180_5,d180_12).
sbond_1(d180,d180_6,d180_13).
sbond_1(d180,d180_7,d180_15).
sbond_1(d180,d180_8,d180_27).
sbond_1(d180,d180_9,d180_14).
sbond_1(d181,d181_1,d181_7).
sbond_1(d181,d181_10,d181_4).
sbond_1(d181,d181_11,d181_6).
sbond_1(d181,d181_12,d181_13).
sbond_1(d181,d181_12,d181_14).
sbond_1(d181,d181_12,d181_15).
sbond_1(d181,d181_12,d181_5).
sbond_1(d181,d181_13,d181_12).
sbond_1(d181,d181_13,d181_16).
sbond_1(d181,d181_14,d181_12).
sbond_1(d181,d181_15,d181_12).
sbond_1(d181,d181_16,d181_13).
sbond_1(d181,d181_2,d181_8).
sbond_1(d181,d181_3,d181_9).
sbond_1(d181,d181_4,d181_10).
sbond_1(d181,d181_5,d181_12).
sbond_1(d181,d181_6,d181_11).
sbond_1(d181,d181_7,d181_1).
sbond_1(d181,d181_8,d181_2).
sbond_1(d181,d181_9,d181_3).
sbond_1(d182,d182_1,d182_7).
sbond_1(d182,d182_10,d182_5).
sbond_1(d182,d182_11,d182_6).
sbond_1(d182,d182_12,d182_13).
sbond_1(d182,d182_12,d182_4).
sbond_1(d182,d182_13,d182_12).
sbond_1(d182,d182_13,d182_14).
sbond_1(d182,d182_13,d182_15).
sbond_1(d182,d182_13,d182_16).
sbond_1(d182,d182_14,d182_13).
sbond_1(d182,d182_14,d182_18).
sbond_1(d182,d182_15,d182_13).
sbond_1(d182,d182_16,d182_13).
sbond_1(d182,d182_18,d182_14).
sbond_1(d182,d182_18,d182_19).
sbond_1(d182,d182_18,d182_20).
sbond_1(d182,d182_19,d182_18).
sbond_1(d182,d182_19,d182_21).
sbond_1(d182,d182_19,d182_22).
sbond_1(d182,d182_19,d182_23).
sbond_1(d182,d182_2,d182_8).
sbond_1(d182,d182_20,d182_18).
sbond_1(d182,d182_21,d182_19).
sbond_1(d182,d182_21,d182_24).
sbond_1(d182,d182_22,d182_19).
sbond_1(d182,d182_22,d182_24).
sbond_1(d182,d182_22,d182_26).
sbond_1(d182,d182_22,d182_29).
sbond_1(d182,d182_23,d182_19).
sbond_1(d182,d182_24,d182_21).
sbond_1(d182,d182_24,d182_22).
sbond_1(d182,d182_24,d182_28).
sbond_1(d182,d182_26,d182_22).
sbond_1(d182,d182_26,d182_27).
sbond_1(d182,d182_27,d182_26).
sbond_1(d182,d182_27,d182_28).
sbond_1(d182,d182_27,d182_35).
sbond_1(d182,d182_27,d182_39).
sbond_1(d182,d182_28,d182_24).
sbond_1(d182,d182_28,d182_27).
sbond_1(d182,d182_28,d182_30).
sbond_1(d182,d182_28,d182_31).
sbond_1(d182,d182_29,d182_22).
sbond_1(d182,d182_3,d182_9).
sbond_1(d182,d182_30,d182_28).
sbond_1(d182,d182_30,d182_32).
sbond_1(d182,d182_31,d182_28).
sbond_1(d182,d182_32,d182_30).
sbond_1(d182,d182_32,d182_34).
sbond_1(d182,d182_34,d182_32).
sbond_1(d182,d182_35,d182_27).
sbond_1(d182,d182_35,d182_36).
sbond_1(d182,d182_35,d182_37).
sbond_1(d182,d182_35,d182_38).
sbond_1(d182,d182_36,d182_35).
sbond_1(d182,d182_37,d182_35).
sbond_1(d182,d182_38,d182_35).
sbond_1(d182,d182_39,d182_27).
sbond_1(d182,d182_39,d182_40).
sbond_1(d182,d182_39,d182_41).
sbond_1(d182,d182_39,d182_42).
sbond_1(d182,d182_4,d182_12).
sbond_1(d182,d182_40,d182_39).
sbond_1(d182,d182_41,d182_39).
sbond_1(d182,d182_42,d182_39).
sbond_1(d182,d182_5,d182_10).
sbond_1(d182,d182_6,d182_11).
sbond_1(d182,d182_7,d182_1).
sbond_1(d182,d182_8,d182_2).
sbond_1(d182,d182_9,d182_3).
sbond_1(d183,d183_1,d183_7).
sbond_1(d183,d183_10,d183_11).
sbond_1(d183,d183_10,d183_15).
sbond_1(d183,d183_10,d183_19).
sbond_1(d183,d183_10,d183_9).
sbond_1(d183,d183_11,d183_10).
sbond_1(d183,d183_11,d183_12).
sbond_1(d183,d183_12,d183_11).
sbond_1(d183,d183_12,d183_4).
sbond_1(d183,d183_13,d183_9).
sbond_1(d183,d183_14,d183_9).
sbond_1(d183,d183_15,d183_10).
sbond_1(d183,d183_15,d183_16).
sbond_1(d183,d183_15,d183_20).
sbond_1(d183,d183_15,d183_21).
sbond_1(d183,d183_16,d183_15).
sbond_1(d183,d183_16,d183_17).
sbond_1(d183,d183_16,d183_22).
sbond_1(d183,d183_16,d183_39).
sbond_1(d183,d183_17,d183_16).
sbond_1(d183,d183_17,d183_18).
sbond_1(d183,d183_17,d183_25).
sbond_1(d183,d183_17,d183_38).
sbond_1(d183,d183_18,d183_17).
sbond_1(d183,d183_18,d183_36).
sbond_1(d183,d183_19,d183_10).
sbond_1(d183,d183_2,d183_26).
sbond_1(d183,d183_2,d183_30).
sbond_1(d183,d183_20,d183_15).
sbond_1(d183,d183_21,d183_15).
sbond_1(d183,d183_22,d183_16).
sbond_1(d183,d183_22,d183_23).
sbond_1(d183,d183_22,d183_41).
sbond_1(d183,d183_22,d183_42).
sbond_1(d183,d183_23,d183_22).
sbond_1(d183,d183_23,d183_56).
sbond_1(d183,d183_24,d183_25).
sbond_1(d183,d183_24,d183_51).
sbond_1(d183,d183_25,d183_17).
sbond_1(d183,d183_25,d183_24).
sbond_1(d183,d183_26,d183_2).
sbond_1(d183,d183_26,d183_27).
sbond_1(d183,d183_26,d183_28).
sbond_1(d183,d183_26,d183_29).
sbond_1(d183,d183_27,d183_26).
sbond_1(d183,d183_28,d183_26).
sbond_1(d183,d183_29,d183_26).
sbond_1(d183,d183_3,d183_9).
sbond_1(d183,d183_30,d183_2).
sbond_1(d183,d183_30,d183_31).
sbond_1(d183,d183_31,d183_30).
sbond_1(d183,d183_32,d183_33).
sbond_1(d183,d183_32,d183_5).
sbond_1(d183,d183_33,d183_32).
sbond_1(d183,d183_36,d183_18).
sbond_1(d183,d183_36,d183_37).
sbond_1(d183,d183_37,d183_36).
sbond_1(d183,d183_38,d183_17).
sbond_1(d183,d183_38,d183_40).
sbond_1(d183,d183_39,d183_16).
sbond_1(d183,d183_4,d183_12).
sbond_1(d183,d183_40,d183_38).
sbond_1(d183,d183_41,d183_22).
sbond_1(d183,d183_41,d183_43).
sbond_1(d183,d183_41,d183_47).
sbond_1(d183,d183_42,d183_22).
sbond_1(d183,d183_43,d183_41).
sbond_1(d183,d183_43,d183_44).
sbond_1(d183,d183_43,d183_45).
sbond_1(d183,d183_43,d183_46).
sbond_1(d183,d183_44,d183_43).
sbond_1(d183,d183_45,d183_43).
sbond_1(d183,d183_46,d183_43).
sbond_1(d183,d183_47,d183_41).
sbond_1(d183,d183_47,d183_48).
sbond_1(d183,d183_47,d183_49).
sbond_1(d183,d183_47,d183_50).
sbond_1(d183,d183_48,d183_47).
sbond_1(d183,d183_49,d183_47).
sbond_1(d183,d183_5,d183_32).
sbond_1(d183,d183_50,d183_47).
sbond_1(d183,d183_51,d183_24).
sbond_1(d183,d183_51,d183_52).
sbond_1(d183,d183_52,d183_51).
sbond_1(d183,d183_52,d183_54).
sbond_1(d183,d183_52,d183_55).
sbond_1(d183,d183_54,d183_52).
sbond_1(d183,d183_55,d183_52).
sbond_1(d183,d183_56,d183_23).
sbond_1(d183,d183_56,d183_57).
sbond_1(d183,d183_57,d183_56).
sbond_1(d183,d183_6,d183_8).
sbond_1(d183,d183_7,d183_1).
sbond_1(d183,d183_8,d183_6).
sbond_1(d183,d183_9,d183_10).
sbond_1(d183,d183_9,d183_13).
sbond_1(d183,d183_9,d183_14).
sbond_1(d183,d183_9,d183_3).
sbond_1(d184,d184_1,d184_7).
sbond_1(d184,d184_10,d184_5).
sbond_1(d184,d184_11,d184_6).
sbond_1(d184,d184_12,d184_13).
sbond_1(d184,d184_12,d184_14).
sbond_1(d184,d184_12,d184_15).
sbond_1(d184,d184_12,d184_4).
sbond_1(d184,d184_13,d184_12).
sbond_1(d184,d184_13,d184_16).
sbond_1(d184,d184_13,d184_20).
sbond_1(d184,d184_13,d184_21).
sbond_1(d184,d184_14,d184_12).
sbond_1(d184,d184_15,d184_12).
sbond_1(d184,d184_16,d184_13).
sbond_1(d184,d184_16,d184_17).
sbond_1(d184,d184_16,d184_18).
sbond_1(d184,d184_16,d184_19).
sbond_1(d184,d184_17,d184_16).
sbond_1(d184,d184_18,d184_16).
sbond_1(d184,d184_19,d184_16).
sbond_1(d184,d184_2,d184_8).
sbond_1(d184,d184_20,d184_13).
sbond_1(d184,d184_20,d184_22).
sbond_1(d184,d184_20,d184_23).
sbond_1(d184,d184_21,d184_13).
sbond_1(d184,d184_22,d184_20).
sbond_1(d184,d184_23,d184_20).
sbond_1(d184,d184_3,d184_9).
sbond_1(d184,d184_4,d184_12).
sbond_1(d184,d184_5,d184_10).
sbond_1(d184,d184_6,d184_11).
sbond_1(d184,d184_7,d184_1).
sbond_1(d184,d184_8,d184_2).
sbond_1(d184,d184_9,d184_3).
sbond_1(d185,d185_1,d185_2).
sbond_1(d185,d185_1,d185_3).
sbond_1(d185,d185_1,d185_4).
sbond_1(d185,d185_1,d185_5).
sbond_1(d185,d185_11,d185_3).
sbond_1(d185,d185_11,d185_6).
sbond_1(d185,d185_2,d185_1).
sbond_1(d185,d185_2,d185_6).
sbond_1(d185,d185_2,d185_7).
sbond_1(d185,d185_2,d185_8).
sbond_1(d185,d185_3,d185_1).
sbond_1(d185,d185_3,d185_11).
sbond_1(d185,d185_4,d185_1).
sbond_1(d185,d185_5,d185_1).
sbond_1(d185,d185_6,d185_11).
sbond_1(d185,d185_6,d185_2).
sbond_1(d185,d185_7,d185_2).
sbond_1(d185,d185_8,d185_2).
sbond_1(d186,d186a_1,d186a_2).
sbond_1(d186,d186a_1,d186a_3).
sbond_1(d186,d186a_1,d186a_4).
sbond_1(d186,d186a_1,d186a_67).
sbond_1(d186,d186a_10,d186a_7).
sbond_1(d186,d186a_100,d186a_92).
sbond_1(d186,d186a_101,d186a_103).
sbond_1(d186,d186a_101,d186a_97).
sbond_1(d186,d186a_102,d186a_97).
sbond_1(d186,d186a_103,d186a_101).
sbond_1(d186,d186a_104,d186a_106).
sbond_1(d186,d186a_104,d186a_110).
sbond_1(d186,d186a_104,d186a_114).
sbond_1(d186,d186a_104,d186a_96).
sbond_1(d186,d186a_105,d186a_96).
sbond_1(d186,d186a_106,d186a_104).
sbond_1(d186,d186a_106,d186a_107).
sbond_1(d186,d186a_106,d186a_108).
sbond_1(d186,d186a_106,d186a_109).
sbond_1(d186,d186a_107,d186a_106).
sbond_1(d186,d186a_108,d186a_106).
sbond_1(d186,d186a_109,d186a_106).
sbond_1(d186,d186a_11,d186a_6).
sbond_1(d186,d186a_110,d186a_104).
sbond_1(d186,d186a_110,d186a_111).
sbond_1(d186,d186a_110,d186a_112).
sbond_1(d186,d186a_110,d186a_113).
sbond_1(d186,d186a_111,d186a_110).
sbond_1(d186,d186a_112,d186a_110).
sbond_1(d186,d186a_113,d186a_110).
sbond_1(d186,d186a_114,d186a_104).
sbond_1(d186,d186a_114,d186a_115).
sbond_1(d186,d186a_114,d186a_116).
sbond_1(d186,d186a_114,d186a_117).
sbond_1(d186,d186a_115,d186a_114).
sbond_1(d186,d186a_116,d186a_114).
sbond_1(d186,d186a_117,d186a_114).
sbond_1(d186,d186a_118,d186a_120).
sbond_1(d186,d186a_118,d186a_121).
sbond_1(d186,d186a_118,d186a_122).
sbond_1(d186,d186a_118,d186a_94).
sbond_1(d186,d186a_119,d186a_94).
sbond_1(d186,d186a_12,d186a_13).
sbond_1(d186,d186a_12,d186a_15).
sbond_1(d186,d186a_12,d186a_16).
sbond_1(d186,d186a_12,d186a_2).
sbond_1(d186,d186a_120,d186a_118).
sbond_1(d186,d186a_121,d186a_118).
sbond_1(d186,d186a_122,d186a_118).
sbond_1(d186,d186a_13,d186a_12).
sbond_1(d186,d186a_13,d186a_14).
sbond_1(d186,d186a_14,d186a_13).
sbond_1(d186,d186a_14,d186a_24).
sbond_1(d186,d186a_15,d186a_12).
sbond_1(d186,d186a_16,d186a_12).
sbond_1(d186,d186a_16,d186a_17).
sbond_1(d186,d186a_16,d186a_18).
sbond_1(d186,d186a_16,d186a_19).
sbond_1(d186,d186a_17,d186a_16).
sbond_1(d186,d186a_17,d186a_20).
sbond_1(d186,d186a_17,d186a_21).
sbond_1(d186,d186a_17,d186a_22).
sbond_1(d186,d186a_18,d186a_16).
sbond_1(d186,d186a_19,d186a_16).
sbond_1(d186,d186a_2,d186a_1).
sbond_1(d186,d186a_2,d186a_12).
sbond_1(d186,d186a_2,d186a_6).
sbond_1(d186,d186a_2,d186a_7).
sbond_1(d186,d186a_20,d186a_17).
sbond_1(d186,d186a_21,d186a_17).
sbond_1(d186,d186a_22,d186a_17).
sbond_1(d186,d186a_24,d186a_14).
sbond_1(d186,d186a_24,d186a_25).
sbond_1(d186,d186a_24,d186a_26).
sbond_1(d186,d186a_24,d186a_30).
sbond_1(d186,d186a_25,d186a_24).
sbond_1(d186,d186a_25,d186a_31).
sbond_1(d186,d186a_25,d186a_33).
sbond_1(d186,d186a_25,d186a_34).
sbond_1(d186,d186a_26,d186a_24).
sbond_1(d186,d186a_26,d186a_27).
sbond_1(d186,d186a_26,d186a_28).
sbond_1(d186,d186a_26,d186a_29).
sbond_1(d186,d186a_27,d186a_26).
sbond_1(d186,d186a_28,d186a_26).
sbond_1(d186,d186a_29,d186a_26).
sbond_1(d186,d186a_3,d186a_1).
sbond_1(d186,d186a_30,d186a_24).
sbond_1(d186,d186a_31,d186a_25).
sbond_1(d186,d186a_31,d186a_32).
sbond_1(d186,d186a_31,d186a_61).
sbond_1(d186,d186a_31,d186a_65).
sbond_1(d186,d186a_32,d186a_31).
sbond_1(d186,d186a_32,d186a_66).
sbond_1(d186,d186a_32,d186a_90).
sbond_1(d186,d186a_32,d186a_91).
sbond_1(d186,d186a_33,d186a_25).
sbond_1(d186,d186a_34,d186a_25).
sbond_1(d186,d186a_34,d186a_35).
sbond_1(d186,d186a_35,d186a_34).
sbond_1(d186,d186a_35,d186a_36).
sbond_1(d186,d186a_35,d186a_40).
sbond_1(d186,d186a_35,d186a_60).
sbond_1(d186,d186a_36,d186a_35).
sbond_1(d186,d186a_36,d186a_37).
sbond_1(d186,d186a_37,d186a_36).
sbond_1(d186,d186a_37,d186a_38).
sbond_1(d186,d186a_37,d186a_43).
sbond_1(d186,d186a_37,d186a_44).
sbond_1(d186,d186a_38,d186a_37).
sbond_1(d186,d186a_38,d186a_39).
sbond_1(d186,d186a_38,d186a_48).
sbond_1(d186,d186a_38,d186a_49).
sbond_1(d186,d186a_39,d186a_38).
sbond_1(d186,d186a_39,d186a_40).
sbond_1(d186,d186a_39,d186a_51).
sbond_1(d186,d186a_39,d186a_56).
sbond_1(d186,d186a_4,d186a_1).
sbond_1(d186,d186a_4,d186a_5).
sbond_1(d186,d186a_40,d186a_35).
sbond_1(d186,d186a_40,d186a_39).
sbond_1(d186,d186a_40,d186a_41).
sbond_1(d186,d186a_40,d186a_42).
sbond_1(d186,d186a_41,d186a_40).
sbond_1(d186,d186a_42,d186a_40).
sbond_1(d186,d186a_43,d186a_37).
sbond_1(d186,d186a_43,d186a_45).
sbond_1(d186,d186a_43,d186a_46).
sbond_1(d186,d186a_43,d186a_47).
sbond_1(d186,d186a_44,d186a_37).
sbond_1(d186,d186a_45,d186a_43).
sbond_1(d186,d186a_46,d186a_43).
sbond_1(d186,d186a_47,d186a_43).
sbond_1(d186,d186a_48,d186a_38).
sbond_1(d186,d186a_48,d186a_50).
sbond_1(d186,d186a_49,d186a_38).
sbond_1(d186,d186a_5,d186a_4).
sbond_1(d186,d186a_50,d186a_48).
sbond_1(d186,d186a_51,d186a_39).
sbond_1(d186,d186a_51,d186a_52).
sbond_1(d186,d186a_52,d186a_51).
sbond_1(d186,d186a_52,d186a_53).
sbond_1(d186,d186a_52,d186a_54).
sbond_1(d186,d186a_52,d186a_55).
sbond_1(d186,d186a_53,d186a_52).
sbond_1(d186,d186a_54,d186a_52).
sbond_1(d186,d186a_55,d186a_52).
sbond_1(d186,d186a_56,d186a_39).
sbond_1(d186,d186a_56,d186a_57).
sbond_1(d186,d186a_56,d186a_58).
sbond_1(d186,d186a_56,d186a_59).
sbond_1(d186,d186a_57,d186a_56).
sbond_1(d186,d186a_58,d186a_56).
sbond_1(d186,d186a_59,d186a_56).
sbond_1(d186,d186a_6,d186a_11).
sbond_1(d186,d186a_6,d186a_2).
sbond_1(d186,d186a_60,d186a_35).
sbond_1(d186,d186a_61,d186a_31).
sbond_1(d186,d186a_61,d186a_62).
sbond_1(d186,d186a_61,d186a_63).
sbond_1(d186,d186a_61,d186a_64).
sbond_1(d186,d186a_62,d186a_61).
sbond_1(d186,d186a_63,d186a_61).
sbond_1(d186,d186a_64,d186a_61).
sbond_1(d186,d186a_65,d186a_31).
sbond_1(d186,d186a_66,d186a_32).
sbond_1(d186,d186a_66,d186a_71).
sbond_1(d186,d186a_66,d186a_84).
sbond_1(d186,d186a_66,d186a_88).
sbond_1(d186,d186a_67,d186a_1).
sbond_1(d186,d186a_67,d186a_68).
sbond_1(d186,d186a_67,d186a_74).
sbond_1(d186,d186a_67,d186a_78).
sbond_1(d186,d186a_68,d186a_67).
sbond_1(d186,d186a_68,d186a_70).
sbond_1(d186,d186a_7,d186a_10).
sbond_1(d186,d186a_7,d186a_2).
sbond_1(d186,d186a_7,d186a_8).
sbond_1(d186,d186a_7,d186a_9).
sbond_1(d186,d186a_70,d186a_68).
sbond_1(d186,d186a_70,d186a_71).
sbond_1(d186,d186a_70,d186a_79).
sbond_1(d186,d186a_70,d186a_83).
sbond_1(d186,d186a_71,d186a_66).
sbond_1(d186,d186a_71,d186a_70).
sbond_1(d186,d186a_71,d186a_72).
sbond_1(d186,d186a_71,d186a_73).
sbond_1(d186,d186a_72,d186a_71).
sbond_1(d186,d186a_73,d186a_71).
sbond_1(d186,d186a_74,d186a_67).
sbond_1(d186,d186a_74,d186a_75).
sbond_1(d186,d186a_74,d186a_76).
sbond_1(d186,d186a_74,d186a_77).
sbond_1(d186,d186a_75,d186a_74).
sbond_1(d186,d186a_76,d186a_74).
sbond_1(d186,d186a_77,d186a_74).
sbond_1(d186,d186a_78,d186a_67).
sbond_1(d186,d186a_79,d186a_70).
sbond_1(d186,d186a_79,d186a_80).
sbond_1(d186,d186a_79,d186a_81).
sbond_1(d186,d186a_79,d186a_82).
sbond_1(d186,d186a_8,d186a_7).
sbond_1(d186,d186a_80,d186a_79).
sbond_1(d186,d186a_81,d186a_79).
sbond_1(d186,d186a_82,d186a_79).
sbond_1(d186,d186a_83,d186a_70).
sbond_1(d186,d186a_84,d186a_66).
sbond_1(d186,d186a_84,d186a_85).
sbond_1(d186,d186a_84,d186a_86).
sbond_1(d186,d186a_84,d186a_87).
sbond_1(d186,d186a_85,d186a_84).
sbond_1(d186,d186a_86,d186a_84).
sbond_1(d186,d186a_87,d186a_84).
sbond_1(d186,d186a_88,d186a_66).
sbond_1(d186,d186a_88,d186a_89).
sbond_1(d186,d186a_89,d186a_88).
sbond_1(d186,d186a_9,d186a_7).
sbond_1(d186,d186a_90,d186a_32).
sbond_1(d186,d186a_91,d186a_32).
sbond_1(d186,d186a_91,d186a_92).
sbond_1(d186,d186a_92,d186a_100).
sbond_1(d186,d186a_92,d186a_91).
sbond_1(d186,d186a_92,d186a_93).
sbond_1(d186,d186a_92,d186a_97).
sbond_1(d186,d186a_93,d186a_92).
sbond_1(d186,d186a_93,d186a_94).
sbond_1(d186,d186a_94,d186a_118).
sbond_1(d186,d186a_94,d186a_119).
sbond_1(d186,d186a_94,d186a_93).
sbond_1(d186,d186a_94,d186a_95).
sbond_1(d186,d186a_95,d186a_94).
sbond_1(d186,d186a_95,d186a_96).
sbond_1(d186,d186a_95,d186a_98).
sbond_1(d186,d186a_95,d186a_99).
sbond_1(d186,d186a_96,d186a_104).
sbond_1(d186,d186a_96,d186a_105).
sbond_1(d186,d186a_96,d186a_95).
sbond_1(d186,d186a_96,d186a_97).
sbond_1(d186,d186a_97,d186a_101).
sbond_1(d186,d186a_97,d186a_102).
sbond_1(d186,d186a_97,d186a_92).
sbond_1(d186,d186a_97,d186a_96).
sbond_1(d186,d186a_98,d186a_95).
sbond_1(d186,d186a_99,d186a_95).
sbond_1(d186,d186b_1,d186b_2).
sbond_1(d186,d186b_1,d186b_3).
sbond_1(d186,d186b_1,d186b_4).
sbond_1(d186,d186b_1,d186b_5).
sbond_1(d186,d186b_10,d186b_6).
sbond_1(d186,d186b_11,d186b_6).
sbond_1(d186,d186b_12,d186b_15).
sbond_1(d186,d186b_12,d186b_16).
sbond_1(d186,d186b_12,d186b_17).
sbond_1(d186,d186b_12,d186b_9).
sbond_1(d186,d186b_13,d186b_9).
sbond_1(d186,d186b_14,d186b_9).
sbond_1(d186,d186b_15,d186b_12).
sbond_1(d186,d186b_15,d186b_18).
sbond_1(d186,d186b_15,d186b_19).
sbond_1(d186,d186b_15,d186b_20).
sbond_1(d186,d186b_16,d186b_12).
sbond_1(d186,d186b_17,d186b_12).
sbond_1(d186,d186b_18,d186b_15).
sbond_1(d186,d186b_18,d186b_21).
sbond_1(d186,d186b_18,d186b_22).
sbond_1(d186,d186b_18,d186b_23).
sbond_1(d186,d186b_19,d186b_15).
sbond_1(d186,d186b_2,d186b_1).
sbond_1(d186,d186b_2,d186b_6).
sbond_1(d186,d186b_2,d186b_7).
sbond_1(d186,d186b_2,d186b_8).
sbond_1(d186,d186b_20,d186b_15).
sbond_1(d186,d186b_21,d186b_18).
sbond_1(d186,d186b_21,d186b_24).
sbond_1(d186,d186b_21,d186b_25).
sbond_1(d186,d186b_21,d186b_26).
sbond_1(d186,d186b_22,d186b_18).
sbond_1(d186,d186b_23,d186b_18).
sbond_1(d186,d186b_24,d186b_21).
sbond_1(d186,d186b_24,d186b_27).
sbond_1(d186,d186b_24,d186b_28).
sbond_1(d186,d186b_24,d186b_29).
sbond_1(d186,d186b_25,d186b_21).
sbond_1(d186,d186b_26,d186b_21).
sbond_1(d186,d186b_27,d186b_24).
sbond_1(d186,d186b_27,d186b_30).
sbond_1(d186,d186b_27,d186b_31).
sbond_1(d186,d186b_27,d186b_32).
sbond_1(d186,d186b_28,d186b_24).
sbond_1(d186,d186b_29,d186b_24).
sbond_1(d186,d186b_3,d186b_1).
sbond_1(d186,d186b_30,d186b_27).
sbond_1(d186,d186b_30,d186b_33).
sbond_1(d186,d186b_30,d186b_34).
sbond_1(d186,d186b_30,d186b_35).
sbond_1(d186,d186b_31,d186b_27).
sbond_1(d186,d186b_32,d186b_27).
sbond_1(d186,d186b_33,d186b_30).
sbond_1(d186,d186b_33,d186b_36).
sbond_1(d186,d186b_33,d186b_37).
sbond_1(d186,d186b_33,d186b_38).
sbond_1(d186,d186b_34,d186b_30).
sbond_1(d186,d186b_35,d186b_30).
sbond_1(d186,d186b_36,d186b_33).
sbond_1(d186,d186b_36,d186b_39).
sbond_1(d186,d186b_36,d186b_40).
sbond_1(d186,d186b_36,d186b_41).
sbond_1(d186,d186b_37,d186b_33).
sbond_1(d186,d186b_38,d186b_33).
sbond_1(d186,d186b_39,d186b_36).
sbond_1(d186,d186b_39,d186b_42).
sbond_1(d186,d186b_39,d186b_43).
sbond_1(d186,d186b_39,d186b_44).
sbond_1(d186,d186b_4,d186b_1).
sbond_1(d186,d186b_40,d186b_36).
sbond_1(d186,d186b_41,d186b_36).
sbond_1(d186,d186b_42,d186b_39).
sbond_1(d186,d186b_42,d186b_45).
sbond_1(d186,d186b_42,d186b_46).
sbond_1(d186,d186b_42,d186b_47).
sbond_1(d186,d186b_43,d186b_39).
sbond_1(d186,d186b_44,d186b_39).
sbond_1(d186,d186b_45,d186b_42).
sbond_1(d186,d186b_45,d186b_48).
sbond_1(d186,d186b_45,d186b_49).
sbond_1(d186,d186b_45,d186b_50).
sbond_1(d186,d186b_46,d186b_42).
sbond_1(d186,d186b_47,d186b_42).
sbond_1(d186,d186b_48,d186b_45).
sbond_1(d186,d186b_48,d186b_51).
sbond_1(d186,d186b_48,d186b_52).
sbond_1(d186,d186b_48,d186b_53).
sbond_1(d186,d186b_49,d186b_45).
sbond_1(d186,d186b_5,d186b_1).
sbond_1(d186,d186b_50,d186b_45).
sbond_1(d186,d186b_51,d186b_48).
sbond_1(d186,d186b_51,d186b_54).
sbond_1(d186,d186b_52,d186b_48).
sbond_1(d186,d186b_53,d186b_48).
sbond_1(d186,d186b_54,d186b_51).
sbond_1(d186,d186b_54,d186b_56).
sbond_1(d186,d186b_56,d186b_54).
sbond_1(d186,d186b_6,d186b_10).
sbond_1(d186,d186b_6,d186b_11).
sbond_1(d186,d186b_6,d186b_2).
sbond_1(d186,d186b_6,d186b_9).
sbond_1(d186,d186b_7,d186b_2).
sbond_1(d186,d186b_8,d186b_2).
sbond_1(d186,d186b_9,d186b_12).
sbond_1(d186,d186b_9,d186b_13).
sbond_1(d186,d186b_9,d186b_14).
sbond_1(d186,d186b_9,d186b_6).
sbond_1(d187,d187_1,d187_7).
sbond_1(d187,d187_10,d187_5).
sbond_1(d187,d187_11,d187_25).
sbond_1(d187,d187_11,d187_6).
sbond_1(d187,d187_12,d187_13).
sbond_1(d187,d187_12,d187_14).
sbond_1(d187,d187_12,d187_15).
sbond_1(d187,d187_12,d187_4).
sbond_1(d187,d187_13,d187_12).
sbond_1(d187,d187_13,d187_23).
sbond_1(d187,d187_14,d187_12).
sbond_1(d187,d187_14,d187_16).
sbond_1(d187,d187_14,d187_17).
sbond_1(d187,d187_14,d187_18).
sbond_1(d187,d187_15,d187_12).
sbond_1(d187,d187_16,d187_14).
sbond_1(d187,d187_16,d187_19).
sbond_1(d187,d187_16,d187_24).
sbond_1(d187,d187_17,d187_14).
sbond_1(d187,d187_18,d187_14).
sbond_1(d187,d187_19,d187_16).
sbond_1(d187,d187_19,d187_20).
sbond_1(d187,d187_19,d187_21).
sbond_1(d187,d187_19,d187_22).
sbond_1(d187,d187_2,d187_8).
sbond_1(d187,d187_20,d187_19).
sbond_1(d187,d187_21,d187_19).
sbond_1(d187,d187_22,d187_19).
sbond_1(d187,d187_23,d187_13).
sbond_1(d187,d187_24,d187_16).
sbond_1(d187,d187_25,d187_11).
sbond_1(d187,d187_3,d187_9).
sbond_1(d187,d187_4,d187_12).
sbond_1(d187,d187_5,d187_10).
sbond_1(d187,d187_6,d187_11).
sbond_1(d187,d187_7,d187_1).
sbond_1(d187,d187_8,d187_2).
sbond_1(d187,d187_9,d187_3).
sbond_1(d188,d188a_1,d188a_7).
sbond_1(d188,d188a_10,d188a_6).
sbond_1(d188,d188a_11,d188a_12).
sbond_1(d188,d188a_11,d188a_13).
sbond_1(d188,d188a_11,d188a_14).
sbond_1(d188,d188a_11,d188a_5).
sbond_1(d188,d188a_12,d188a_11).
sbond_1(d188,d188a_13,d188a_11).
sbond_1(d188,d188a_14,d188a_11).
sbond_1(d188,d188a_15,d188a_16).
sbond_1(d188,d188a_15,d188a_17).
sbond_1(d188,d188a_15,d188a_18).
sbond_1(d188,d188a_15,d188a_3).
sbond_1(d188,d188a_16,d188a_15).
sbond_1(d188,d188a_17,d188a_15).
sbond_1(d188,d188a_18,d188a_15).
sbond_1(d188,d188a_2,d188a_8).
sbond_1(d188,d188a_3,d188a_15).
sbond_1(d188,d188a_4,d188a_9).
sbond_1(d188,d188a_5,d188a_11).
sbond_1(d188,d188a_6,d188a_10).
sbond_1(d188,d188a_7,d188a_1).
sbond_1(d188,d188a_8,d188a_2).
sbond_1(d188,d188a_9,d188a_4).
sbond_1(d188,d188b_1,d188b_7).
sbond_1(d188,d188b_10,d188b_11).
sbond_1(d188,d188b_10,d188b_12).
sbond_1(d188,d188b_10,d188b_13).
sbond_1(d188,d188b_10,d188b_5).
sbond_1(d188,d188b_11,d188b_10).
sbond_1(d188,d188b_12,d188b_10).
sbond_1(d188,d188b_13,d188b_10).
sbond_1(d188,d188b_14,d188b_3).
sbond_1(d188,d188b_15,d188b_16).
sbond_1(d188,d188b_15,d188b_17).
sbond_1(d188,d188b_15,d188b_18).
sbond_1(d188,d188b_15,d188b_2).
sbond_1(d188,d188b_16,d188b_15).
sbond_1(d188,d188b_17,d188b_15).
sbond_1(d188,d188b_18,d188b_15).
sbond_1(d188,d188b_2,d188b_15).
sbond_1(d188,d188b_3,d188b_14).
sbond_1(d188,d188b_4,d188b_8).
sbond_1(d188,d188b_5,d188b_10).
sbond_1(d188,d188b_6,d188b_9).
sbond_1(d188,d188b_7,d188b_1).
sbond_1(d188,d188b_8,d188b_4).
sbond_1(d188,d188b_9,d188b_6).
sbond_1(d188,d188c_1,d188c_7).
sbond_1(d188,d188c_10,d188c_6).
sbond_1(d188,d188c_11,d188c_12).
sbond_1(d188,d188c_11,d188c_13).
sbond_1(d188,d188c_11,d188c_14).
sbond_1(d188,d188c_11,d188c_5).
sbond_1(d188,d188c_12,d188c_11).
sbond_1(d188,d188c_13,d188c_11).
sbond_1(d188,d188c_14,d188c_11).
sbond_1(d188,d188c_15,d188c_16).
sbond_1(d188,d188c_15,d188c_17).
sbond_1(d188,d188c_15,d188c_18).
sbond_1(d188,d188c_15,d188c_4).
sbond_1(d188,d188c_16,d188c_15).
sbond_1(d188,d188c_17,d188c_15).
sbond_1(d188,d188c_18,d188c_15).
sbond_1(d188,d188c_2,d188c_8).
sbond_1(d188,d188c_3,d188c_9).
sbond_1(d188,d188c_4,d188c_15).
sbond_1(d188,d188c_5,d188c_11).
sbond_1(d188,d188c_6,d188c_10).
sbond_1(d188,d188c_7,d188c_1).
sbond_1(d188,d188c_8,d188c_2).
sbond_1(d188,d188c_9,d188c_3).
sbond_1(d188,d188d_1,d188d_7).
sbond_1(d188,d188d_10,d188d_4).
sbond_1(d188,d188d_11,d188d_6).
sbond_1(d188,d188d_12,d188d_13).
sbond_1(d188,d188d_12,d188d_14).
sbond_1(d188,d188d_12,d188d_15).
sbond_1(d188,d188d_12,d188d_5).
sbond_1(d188,d188d_13,d188d_12).
sbond_1(d188,d188d_13,d188d_16).
sbond_1(d188,d188d_13,d188d_17).
sbond_1(d188,d188d_13,d188d_18).
sbond_1(d188,d188d_14,d188d_12).
sbond_1(d188,d188d_15,d188d_12).
sbond_1(d188,d188d_16,d188d_13).
sbond_1(d188,d188d_17,d188d_13).
sbond_1(d188,d188d_18,d188d_13).
sbond_1(d188,d188d_2,d188d_8).
sbond_1(d188,d188d_3,d188d_9).
sbond_1(d188,d188d_4,d188d_10).
sbond_1(d188,d188d_5,d188d_12).
sbond_1(d188,d188d_6,d188d_11).
sbond_1(d188,d188d_7,d188d_1).
sbond_1(d188,d188d_8,d188d_2).
sbond_1(d188,d188d_9,d188d_3).
sbond_1(d189,d189_1,d189_7).
sbond_1(d189,d189_10,d189_4).
sbond_1(d189,d189_11,d189_6).
sbond_1(d189,d189_12,d189_13).
sbond_1(d189,d189_12,d189_21).
sbond_1(d189,d189_12,d189_22).
sbond_1(d189,d189_12,d189_5).
sbond_1(d189,d189_13,d189_12).
sbond_1(d189,d189_13,d189_14).
sbond_1(d189,d189_13,d189_15).
sbond_1(d189,d189_13,d189_16).
sbond_1(d189,d189_14,d189_13).
sbond_1(d189,d189_14,d189_17).
sbond_1(d189,d189_14,d189_24).
sbond_1(d189,d189_15,d189_13).
sbond_1(d189,d189_16,d189_13).
sbond_1(d189,d189_17,d189_14).
sbond_1(d189,d189_17,d189_18).
sbond_1(d189,d189_17,d189_19).
sbond_1(d189,d189_17,d189_20).
sbond_1(d189,d189_18,d189_17).
sbond_1(d189,d189_19,d189_17).
sbond_1(d189,d189_2,d189_8).
sbond_1(d189,d189_20,d189_17).
sbond_1(d189,d189_21,d189_12).
sbond_1(d189,d189_21,d189_23).
sbond_1(d189,d189_22,d189_12).
sbond_1(d189,d189_23,d189_21).
sbond_1(d189,d189_24,d189_14).
sbond_1(d189,d189_3,d189_9).
sbond_1(d189,d189_4,d189_10).
sbond_1(d189,d189_5,d189_12).
sbond_1(d189,d189_6,d189_11).
sbond_1(d189,d189_7,d189_1).
sbond_1(d189,d189_8,d189_2).
sbond_1(d189,d189_9,d189_3).
sbond_1(d19,d19_1,d19_7).
sbond_1(d19,d19_10,d19_22).
sbond_1(d19,d19_11,d19_14).
sbond_1(d19,d19_12,d19_15).
sbond_1(d19,d19_13,d19_17).
sbond_1(d19,d19_14,d19_11).
sbond_1(d19,d19_15,d19_12).
sbond_1(d19,d19_16,d19_17).
sbond_1(d19,d19_16,d19_20).
sbond_1(d19,d19_16,d19_21).
sbond_1(d19,d19_16,d19_5).
sbond_1(d19,d19_17,d19_13).
sbond_1(d19,d19_17,d19_16).
sbond_1(d19,d19_17,d19_18).
sbond_1(d19,d19_17,d19_19).
sbond_1(d19,d19_18,d19_17).
sbond_1(d19,d19_19,d19_17).
sbond_1(d19,d19_2,d19_8).
sbond_1(d19,d19_20,d19_16).
sbond_1(d19,d19_21,d19_16).
sbond_1(d19,d19_22,d19_10).
sbond_1(d19,d19_5,d19_16).
sbond_1(d19,d19_6,d19_9).
sbond_1(d19,d19_7,d19_1).
sbond_1(d19,d19_8,d19_2).
sbond_1(d19,d19_9,d19_6).
sbond_1(d190,d190_1,d190_7).
sbond_1(d190,d190_10,d190_4).
sbond_1(d190,d190_11,d190_6).
sbond_1(d190,d190_12,d190_13).
sbond_1(d190,d190_12,d190_14).
sbond_1(d190,d190_12,d190_15).
sbond_1(d190,d190_12,d190_5).
sbond_1(d190,d190_13,d190_12).
sbond_1(d190,d190_14,d190_12).
sbond_1(d190,d190_15,d190_12).
sbond_1(d190,d190_2,d190_8).
sbond_1(d190,d190_3,d190_9).
sbond_1(d190,d190_4,d190_10).
sbond_1(d190,d190_5,d190_12).
sbond_1(d190,d190_6,d190_11).
sbond_1(d190,d190_7,d190_1).
sbond_1(d190,d190_8,d190_2).
sbond_1(d190,d190_9,d190_3).
sbond_1(d191,d191_1,d191_2).
sbond_1(d191,d191_1,d191_3).
sbond_1(d191,d191_1,d191_4).
sbond_1(d191,d191_1,d191_5).
sbond_1(d191,d191_10,d191_12).
sbond_1(d191,d191_10,d191_13).
sbond_1(d191,d191_10,d191_14).
sbond_1(d191,d191_10,d191_2).
sbond_1(d191,d191_11,d191_2).
sbond_1(d191,d191_12,d191_10).
sbond_1(d191,d191_12,d191_16).
sbond_1(d191,d191_13,d191_10).
sbond_1(d191,d191_14,d191_10).
sbond_1(d191,d191_16,d191_12).
sbond_1(d191,d191_16,d191_17).
sbond_1(d191,d191_17,d191_16).
sbond_1(d191,d191_17,d191_18).
sbond_1(d191,d191_17,d191_19).
sbond_1(d191,d191_17,d191_20).
sbond_1(d191,d191_18,d191_17).
sbond_1(d191,d191_18,d191_22).
sbond_1(d191,d191_19,d191_17).
sbond_1(d191,d191_2,d191_1).
sbond_1(d191,d191_2,d191_10).
sbond_1(d191,d191_2,d191_11).
sbond_1(d191,d191_2,d191_6).
sbond_1(d191,d191_20,d191_17).
sbond_1(d191,d191_21,d191_23).
sbond_1(d191,d191_21,d191_24).
sbond_1(d191,d191_22,d191_18).
sbond_1(d191,d191_23,d191_21).
sbond_1(d191,d191_24,d191_21).
sbond_1(d191,d191_3,d191_1).
sbond_1(d191,d191_4,d191_1).
sbond_1(d191,d191_5,d191_1).
sbond_1(d191,d191_6,d191_2).
sbond_1(d191,d191_6,d191_7).
sbond_1(d191,d191_6,d191_8).
sbond_1(d191,d191_6,d191_9).
sbond_1(d191,d191_7,d191_6).
sbond_1(d191,d191_8,d191_6).
sbond_1(d191,d191_9,d191_6).
sbond_1(d192,d192_1,d192_7).
sbond_1(d192,d192_10,d192_6).
sbond_1(d192,d192_11,d192_19).
sbond_1(d192,d192_11,d192_20).
sbond_1(d192,d192_11,d192_5).
sbond_1(d192,d192_12,d192_13).
sbond_1(d192,d192_12,d192_4).
sbond_1(d192,d192_13,d192_12).
sbond_1(d192,d192_13,d192_14).
sbond_1(d192,d192_14,d192_13).
sbond_1(d192,d192_14,d192_15).
sbond_1(d192,d192_14,d192_16).
sbond_1(d192,d192_14,d192_17).
sbond_1(d192,d192_15,d192_14).
sbond_1(d192,d192_15,d192_22).
sbond_1(d192,d192_16,d192_14).
sbond_1(d192,d192_17,d192_14).
sbond_1(d192,d192_18,d192_23).
sbond_1(d192,d192_18,d192_24).
sbond_1(d192,d192_19,d192_11).
sbond_1(d192,d192_2,d192_8).
sbond_1(d192,d192_20,d192_11).
sbond_1(d192,d192_22,d192_15).
sbond_1(d192,d192_23,d192_18).
sbond_1(d192,d192_24,d192_18).
sbond_1(d192,d192_25,d192_30).
sbond_1(d192,d192_26,d192_31).
sbond_1(d192,d192_27,d192_32).
sbond_1(d192,d192_28,d192_33).
sbond_1(d192,d192_29,d192_34).
sbond_1(d192,d192_3,d192_9).
sbond_1(d192,d192_30,d192_25).
sbond_1(d192,d192_31,d192_26).
sbond_1(d192,d192_32,d192_27).
sbond_1(d192,d192_33,d192_28).
sbond_1(d192,d192_34,d192_29).
sbond_1(d192,d192_4,d192_12).
sbond_1(d192,d192_5,d192_11).
sbond_1(d192,d192_6,d192_10).
sbond_1(d192,d192_7,d192_1).
sbond_1(d192,d192_8,d192_2).
sbond_1(d192,d192_9,d192_3).
sbond_1(d193,d193_1,d193_2).
sbond_1(d193,d193_1,d193_6).
sbond_1(d193,d193_1,d193_7).
sbond_1(d193,d193_1,d193_8).
sbond_1(d193,d193_10,d193_3).
sbond_1(d193,d193_11,d193_4).
sbond_1(d193,d193_12,d193_4).
sbond_1(d193,d193_13,d193_6).
sbond_1(d193,d193_14,d193_6).
sbond_1(d193,d193_2,d193_1).
sbond_1(d193,d193_2,d193_3).
sbond_1(d193,d193_3,d193_10).
sbond_1(d193,d193_3,d193_2).
sbond_1(d193,d193_3,d193_4).
sbond_1(d193,d193_3,d193_9).
sbond_1(d193,d193_4,d193_11).
sbond_1(d193,d193_4,d193_12).
sbond_1(d193,d193_4,d193_3).
sbond_1(d193,d193_4,d193_5).
sbond_1(d193,d193_5,d193_4).
sbond_1(d193,d193_5,d193_6).
sbond_1(d193,d193_6,d193_1).
sbond_1(d193,d193_6,d193_13).
sbond_1(d193,d193_6,d193_14).
sbond_1(d193,d193_6,d193_5).
sbond_1(d193,d193_7,d193_1).
sbond_1(d193,d193_8,d193_1).
sbond_1(d193,d193_9,d193_3).
sbond_1(d195,d195_1,d195_10).
sbond_1(d195,d195_10,d195_1).
sbond_1(d195,d195_11,d195_2).
sbond_1(d195,d195_12,d195_5).
sbond_1(d195,d195_13,d195_6).
sbond_1(d195,d195_14,d195_7).
sbond_1(d195,d195_15,d195_8).
sbond_1(d195,d195_2,d195_11).
sbond_1(d195,d195_5,d195_12).
sbond_1(d195,d195_6,d195_13).
sbond_1(d195,d195_7,d195_14).
sbond_1(d195,d195_8,d195_15).
sbond_1(d196,d196_1,d196_6).
sbond_1(d196,d196_10,d196_3).
sbond_1(d196,d196_11,d196_2).
sbond_1(d196,d196_2,d196_11).
sbond_1(d196,d196_3,d196_10).
sbond_1(d196,d196_4,d196_9).
sbond_1(d196,d196_6,d196_1).
sbond_1(d196,d196_6,d196_8).
sbond_1(d196,d196_8,d196_6).
sbond_1(d196,d196_9,d196_4).
sbond_1(d197,d197_1,d197_7).
sbond_1(d197,d197_10,d197_5).
sbond_1(d197,d197_11,d197_6).
sbond_1(d197,d197_12,d197_18).
sbond_1(d197,d197_13,d197_19).
sbond_1(d197,d197_14,d197_20).
sbond_1(d197,d197_15,d197_23).
sbond_1(d197,d197_16,d197_21).
sbond_1(d197,d197_17,d197_22).
sbond_1(d197,d197_18,d197_12).
sbond_1(d197,d197_19,d197_13).
sbond_1(d197,d197_2,d197_24).
sbond_1(d197,d197_20,d197_14).
sbond_1(d197,d197_21,d197_16).
sbond_1(d197,d197_22,d197_17).
sbond_1(d197,d197_23,d197_15).
sbond_1(d197,d197_23,d197_24).
sbond_1(d197,d197_23,d197_25).
sbond_1(d197,d197_24,d197_2).
sbond_1(d197,d197_24,d197_23).
sbond_1(d197,d197_24,d197_27).
sbond_1(d197,d197_25,d197_23).
sbond_1(d197,d197_25,d197_26).
sbond_1(d197,d197_26,d197_25).
sbond_1(d197,d197_26,d197_27).
sbond_1(d197,d197_26,d197_28).
sbond_1(d197,d197_26,d197_29).
sbond_1(d197,d197_27,d197_24).
sbond_1(d197,d197_27,d197_26).
sbond_1(d197,d197_28,d197_26).
sbond_1(d197,d197_28,d197_30).
sbond_1(d197,d197_28,d197_31).
sbond_1(d197,d197_28,d197_32).
sbond_1(d197,d197_29,d197_26).
sbond_1(d197,d197_3,d197_8).
sbond_1(d197,d197_30,d197_28).
sbond_1(d197,d197_30,d197_33).
sbond_1(d197,d197_30,d197_34).
sbond_1(d197,d197_30,d197_35).
sbond_1(d197,d197_31,d197_28).
sbond_1(d197,d197_32,d197_28).
sbond_1(d197,d197_33,d197_30).
sbond_1(d197,d197_33,d197_36).
sbond_1(d197,d197_33,d197_37).
sbond_1(d197,d197_33,d197_38).
sbond_1(d197,d197_34,d197_30).
sbond_1(d197,d197_35,d197_30).
sbond_1(d197,d197_36,d197_33).
sbond_1(d197,d197_36,d197_41).
sbond_1(d197,d197_36,d197_42).
sbond_1(d197,d197_36,d197_43).
sbond_1(d197,d197_37,d197_33).
sbond_1(d197,d197_38,d197_33).
sbond_1(d197,d197_4,d197_9).
sbond_1(d197,d197_41,d197_36).
sbond_1(d197,d197_42,d197_36).
sbond_1(d197,d197_43,d197_36).
sbond_1(d197,d197_5,d197_10).
sbond_1(d197,d197_6,d197_11).
sbond_1(d197,d197_7,d197_1).
sbond_1(d197,d197_8,d197_3).
sbond_1(d197,d197_9,d197_4).
sbond_1(d198,d198_1,d198_2).
sbond_1(d198,d198_1,d198_3).
sbond_1(d198,d198_1,d198_4).
sbond_1(d198,d198_1,d198_5).
sbond_1(d198,d198_10,d198_12).
sbond_1(d198,d198_10,d198_13).
sbond_1(d198,d198_10,d198_9).
sbond_1(d198,d198_11,d198_6).
sbond_1(d198,d198_12,d198_10).
sbond_1(d198,d198_12,d198_14).
sbond_1(d198,d198_12,d198_15).
sbond_1(d198,d198_12,d198_16).
sbond_1(d198,d198_13,d198_10).
sbond_1(d198,d198_14,d198_12).
sbond_1(d198,d198_14,d198_17).
sbond_1(d198,d198_14,d198_18).
sbond_1(d198,d198_14,d198_19).
sbond_1(d198,d198_15,d198_12).
sbond_1(d198,d198_16,d198_12).
sbond_1(d198,d198_17,d198_14).
sbond_1(d198,d198_18,d198_14).
sbond_1(d198,d198_19,d198_14).
sbond_1(d198,d198_2,d198_1).
sbond_1(d198,d198_2,d198_6).
sbond_1(d198,d198_2,d198_7).
sbond_1(d198,d198_2,d198_8).
sbond_1(d198,d198_3,d198_1).
sbond_1(d198,d198_4,d198_1).
sbond_1(d198,d198_5,d198_1).
sbond_1(d198,d198_6,d198_11).
sbond_1(d198,d198_6,d198_2).
sbond_1(d198,d198_6,d198_9).
sbond_1(d198,d198_7,d198_2).
sbond_1(d198,d198_8,d198_2).
sbond_1(d198,d198_9,d198_10).
sbond_1(d198,d198_9,d198_6).
sbond_1(d199,d199_1,d199_7).
sbond_1(d199,d199_10,d199_5).
sbond_1(d199,d199_11,d199_6).
sbond_1(d199,d199_12,d199_13).
sbond_1(d199,d199_12,d199_24).
sbond_1(d199,d199_12,d199_4).
sbond_1(d199,d199_13,d199_12).
sbond_1(d199,d199_14,d199_19).
sbond_1(d199,d199_15,d199_20).
sbond_1(d199,d199_16,d199_21).
sbond_1(d199,d199_17,d199_22).
sbond_1(d199,d199_18,d199_23).
sbond_1(d199,d199_19,d199_14).
sbond_1(d199,d199_2,d199_8).
sbond_1(d199,d199_20,d199_15).
sbond_1(d199,d199_21,d199_16).
sbond_1(d199,d199_22,d199_17).
sbond_1(d199,d199_23,d199_18).
sbond_1(d199,d199_24,d199_12).
sbond_1(d199,d199_3,d199_9).
sbond_1(d199,d199_4,d199_12).
sbond_1(d199,d199_5,d199_10).
sbond_1(d199,d199_6,d199_11).
sbond_1(d199,d199_7,d199_1).
sbond_1(d199,d199_8,d199_2).
sbond_1(d199,d199_9,d199_3).
sbond_1(d2,d2_1,d2_7).
sbond_1(d2,d2_10,d2_6).
sbond_1(d2,d2_13,d2_21).
sbond_1(d2,d2_14,d2_18).
sbond_1(d2,d2_15,d2_19).
sbond_1(d2,d2_16,d2_28).
sbond_1(d2,d2_17,d2_20).
sbond_1(d2,d2_18,d2_14).
sbond_1(d2,d2_19,d2_15).
sbond_1(d2,d2_2,d2_8).
sbond_1(d2,d2_20,d2_17).
sbond_1(d2,d2_21,d2_13).
sbond_1(d2,d2_21,d2_22).
sbond_1(d2,d2_21,d2_23).
sbond_1(d2,d2_21,d2_24).
sbond_1(d2,d2_22,d2_21).
sbond_1(d2,d2_22,d2_25).
sbond_1(d2,d2_22,d2_26).
sbond_1(d2,d2_22,d2_27).
sbond_1(d2,d2_23,d2_21).
sbond_1(d2,d2_24,d2_21).
sbond_1(d2,d2_25,d2_22).
sbond_1(d2,d2_26,d2_22).
sbond_1(d2,d2_27,d2_22).
sbond_1(d2,d2_28,d2_16).
sbond_1(d2,d2_28,d2_29).
sbond_1(d2,d2_28,d2_30).
sbond_1(d2,d2_29,d2_28).
sbond_1(d2,d2_30,d2_28).
sbond_1(d2,d2_5,d2_9).
sbond_1(d2,d2_6,d2_10).
sbond_1(d2,d2_7,d2_1).
sbond_1(d2,d2_8,d2_2).
sbond_1(d2,d2_9,d2_5).
sbond_1(d20,d20_1,d20_12).
sbond_1(d20,d20_10,d20_13).
sbond_1(d20,d20_10,d20_4).
sbond_1(d20,d20_11,d20_19).
sbond_1(d20,d20_11,d20_20).
sbond_1(d20,d20_11,d20_5).
sbond_1(d20,d20_12,d20_1).
sbond_1(d20,d20_13,d20_10).
sbond_1(d20,d20_13,d20_14).
sbond_1(d20,d20_13,d20_15).
sbond_1(d20,d20_13,d20_16).
sbond_1(d20,d20_14,d20_13).
sbond_1(d20,d20_15,d20_13).
sbond_1(d20,d20_16,d20_13).
sbond_1(d20,d20_19,d20_11).
sbond_1(d20,d20_2,d20_7).
sbond_1(d20,d20_20,d20_11).
sbond_1(d20,d20_3,d20_8).
sbond_1(d20,d20_4,d20_10).
sbond_1(d20,d20_5,d20_11).
sbond_1(d20,d20_6,d20_9).
sbond_1(d20,d20_7,d20_2).
sbond_1(d20,d20_8,d20_3).
sbond_1(d20,d20_9,d20_6).
sbond_1(d200,d200_1,d200_7).
sbond_1(d200,d200_10,d200_4).
sbond_1(d200,d200_11,d200_6).
sbond_1(d200,d200_12,d200_14).
sbond_1(d200,d200_12,d200_5).
sbond_1(d200,d200_14,d200_12).
sbond_1(d200,d200_2,d200_8).
sbond_1(d200,d200_3,d200_9).
sbond_1(d200,d200_4,d200_10).
sbond_1(d200,d200_5,d200_12).
sbond_1(d200,d200_6,d200_11).
sbond_1(d200,d200_7,d200_1).
sbond_1(d200,d200_8,d200_2).
sbond_1(d200,d200_9,d200_3).
sbond_1(d201,d201_1,d201_19).
sbond_1(d201,d201_10,d201_4).
sbond_1(d201,d201_10,d201_9).
sbond_1(d201,d201_11,d201_21).
sbond_1(d201,d201_12,d201_28).
sbond_1(d201,d201_13,d201_29).
sbond_1(d201,d201_14,d201_30).
sbond_1(d201,d201_15,d201_31).
sbond_1(d201,d201_16,d201_32).
sbond_1(d201,d201_17,d201_33).
sbond_1(d201,d201_19,d201_1).
sbond_1(d201,d201_20,d201_21).
sbond_1(d201,d201_21,d201_11).
sbond_1(d201,d201_21,d201_20).
sbond_1(d201,d201_22,d201_34).
sbond_1(d201,d201_23,d201_35).
sbond_1(d201,d201_24,d201_36).
sbond_1(d201,d201_25,d201_37).
sbond_1(d201,d201_26,d201_5).
sbond_1(d201,d201_27,d201_6).
sbond_1(d201,d201_28,d201_12).
sbond_1(d201,d201_29,d201_13).
sbond_1(d201,d201_30,d201_14).
sbond_1(d201,d201_31,d201_15).
sbond_1(d201,d201_32,d201_16).
sbond_1(d201,d201_33,d201_17).
sbond_1(d201,d201_34,d201_22).
sbond_1(d201,d201_35,d201_23).
sbond_1(d201,d201_36,d201_24).
sbond_1(d201,d201_37,d201_25).
sbond_1(d201,d201_4,d201_10).
sbond_1(d201,d201_5,d201_26).
sbond_1(d201,d201_6,d201_27).
sbond_1(d201,d201_7,d201_8).
sbond_1(d201,d201_8,d201_7).
sbond_1(d201,d201_9,d201_10).
sbond_1(d202,d202_1,d202_11).
sbond_1(d202,d202_1,d202_15).
sbond_1(d202,d202_1,d202_2).
sbond_1(d202,d202_1,d202_6).
sbond_1(d202,d202_10,d202_6).
sbond_1(d202,d202_11,d202_1).
sbond_1(d202,d202_11,d202_12).
sbond_1(d202,d202_11,d202_13).
sbond_1(d202,d202_11,d202_14).
sbond_1(d202,d202_12,d202_11).
sbond_1(d202,d202_13,d202_11).
sbond_1(d202,d202_14,d202_11).
sbond_1(d202,d202_15,d202_1).
sbond_1(d202,d202_15,d202_16).
sbond_1(d202,d202_15,d202_17).
sbond_1(d202,d202_15,d202_18).
sbond_1(d202,d202_16,d202_15).
sbond_1(d202,d202_17,d202_15).
sbond_1(d202,d202_18,d202_15).
sbond_1(d202,d202_19,d202_20).
sbond_1(d202,d202_19,d202_21).
sbond_1(d202,d202_19,d202_22).
sbond_1(d202,d202_19,d202_3).
sbond_1(d202,d202_2,d202_1).
sbond_1(d202,d202_2,d202_3).
sbond_1(d202,d202_2,d202_7).
sbond_1(d202,d202_2,d202_8).
sbond_1(d202,d202_20,d202_19).
sbond_1(d202,d202_21,d202_19).
sbond_1(d202,d202_22,d202_19).
sbond_1(d202,d202_24,d202_4).
sbond_1(d202,d202_3,d202_19).
sbond_1(d202,d202_3,d202_2).
sbond_1(d202,d202_4,d202_24).
sbond_1(d202,d202_4,d202_5).
sbond_1(d202,d202_5,d202_4).
sbond_1(d202,d202_5,d202_6).
sbond_1(d202,d202_6,d202_1).
sbond_1(d202,d202_6,d202_10).
sbond_1(d202,d202_6,d202_5).
sbond_1(d202,d202_6,d202_9).
sbond_1(d202,d202_7,d202_2).
sbond_1(d202,d202_8,d202_2).
sbond_1(d202,d202_9,d202_6).
sbond_1(d203,d203_1,d203_9).
sbond_1(d203,d203_10,d203_7).
sbond_1(d203,d203_11,d203_7).
sbond_1(d203,d203_12,d203_9).
sbond_1(d203,d203_13,d203_9).
sbond_1(d203,d203_14,d203_8).
sbond_1(d203,d203_15,d203_8).
sbond_1(d203,d203_3,d203_8).
sbond_1(d203,d203_5,d203_7).
sbond_1(d203,d203_7,d203_10).
sbond_1(d203,d203_7,d203_11).
sbond_1(d203,d203_7,d203_5).
sbond_1(d203,d203_8,d203_14).
sbond_1(d203,d203_8,d203_15).
sbond_1(d203,d203_8,d203_3).
sbond_1(d203,d203_9,d203_1).
sbond_1(d203,d203_9,d203_12).
sbond_1(d203,d203_9,d203_13).
sbond_1(d204,d204_1,d204_17).
sbond_1(d204,d204_1,d204_2).
sbond_1(d204,d204_1,d204_6).
sbond_1(d204,d204_10,d204_8).
sbond_1(d204,d204_11,d204_8).
sbond_1(d204,d204_12,d204_13).
sbond_1(d204,d204_12,d204_14).
sbond_1(d204,d204_12,d204_15).
sbond_1(d204,d204_12,d204_7).
sbond_1(d204,d204_13,d204_12).
sbond_1(d204,d204_14,d204_12).
sbond_1(d204,d204_15,d204_12).
sbond_1(d204,d204_17,d204_1).
sbond_1(d204,d204_2,d204_1).
sbond_1(d204,d204_2,d204_3).
sbond_1(d204,d204_2,d204_4).
sbond_1(d204,d204_2,d204_5).
sbond_1(d204,d204_3,d204_2).
sbond_1(d204,d204_4,d204_2).
sbond_1(d204,d204_5,d204_2).
sbond_1(d204,d204_6,d204_1).
sbond_1(d204,d204_6,d204_7).
sbond_1(d204,d204_7,d204_12).
sbond_1(d204,d204_7,d204_6).
sbond_1(d204,d204_7,d204_8).
sbond_1(d204,d204_8,d204_10).
sbond_1(d204,d204_8,d204_11).
sbond_1(d204,d204_8,d204_7).
sbond_1(d204,d204_8,d204_9).
sbond_1(d204,d204_9,d204_8).
sbond_1(d205,d205_1,d205_2).
sbond_1(d205,d205_1,d205_6).
sbond_1(d205,d205_10,d205_8).
sbond_1(d205,d205_11,d205_8).
sbond_1(d205,d205_12,d205_13).
sbond_1(d205,d205_12,d205_14).
sbond_1(d205,d205_12,d205_15).
sbond_1(d205,d205_12,d205_7).
sbond_1(d205,d205_13,d205_12).
sbond_1(d205,d205_14,d205_12).
sbond_1(d205,d205_15,d205_12).
sbond_1(d205,d205_16,d205_17).
sbond_1(d205,d205_16,d205_5).
sbond_1(d205,d205_17,d205_16).
sbond_1(d205,d205_17,d205_18).
sbond_1(d205,d205_17,d205_22).
sbond_1(d205,d205_18,d205_17).
sbond_1(d205,d205_18,d205_19).
sbond_1(d205,d205_18,d205_20).
sbond_1(d205,d205_18,d205_21).
sbond_1(d205,d205_19,d205_18).
sbond_1(d205,d205_2,d205_1).
sbond_1(d205,d205_2,d205_3).
sbond_1(d205,d205_2,d205_4).
sbond_1(d205,d205_2,d205_5).
sbond_1(d205,d205_20,d205_18).
sbond_1(d205,d205_21,d205_18).
sbond_1(d205,d205_22,d205_17).
sbond_1(d205,d205_22,d205_23).
sbond_1(d205,d205_22,d205_24).
sbond_1(d205,d205_22,d205_25).
sbond_1(d205,d205_23,d205_22).
sbond_1(d205,d205_24,d205_22).
sbond_1(d205,d205_25,d205_22).
sbond_1(d205,d205_3,d205_2).
sbond_1(d205,d205_4,d205_2).
sbond_1(d205,d205_5,d205_16).
sbond_1(d205,d205_5,d205_2).
sbond_1(d205,d205_6,d205_1).
sbond_1(d205,d205_6,d205_7).
sbond_1(d205,d205_7,d205_12).
sbond_1(d205,d205_7,d205_6).
sbond_1(d205,d205_7,d205_8).
sbond_1(d205,d205_8,d205_10).
sbond_1(d205,d205_8,d205_11).
sbond_1(d205,d205_8,d205_7).
sbond_1(d205,d205_8,d205_9).
sbond_1(d205,d205_9,d205_8).
sbond_1(d206,d206_1,d206_11).
sbond_1(d206,d206_1,d206_12).
sbond_1(d206,d206_1,d206_2).
sbond_1(d206,d206_1,d206_6).
sbond_1(d206,d206_10,d206_24).
sbond_1(d206,d206_10,d206_25).
sbond_1(d206,d206_11,d206_1).
sbond_1(d206,d206_12,d206_1).
sbond_1(d206,d206_13,d206_2).
sbond_1(d206,d206_14,d206_3).
sbond_1(d206,d206_15,d206_3).
sbond_1(d206,d206_16,d206_6).
sbond_1(d206,d206_17,d206_6).
sbond_1(d206,d206_18,d206_7).
sbond_1(d206,d206_19,d206_7).
sbond_1(d206,d206_2,d206_1).
sbond_1(d206,d206_2,d206_13).
sbond_1(d206,d206_2,d206_3).
sbond_1(d206,d206_2,d206_8).
sbond_1(d206,d206_20,d206_7).
sbond_1(d206,d206_21,d206_9).
sbond_1(d206,d206_22,d206_9).
sbond_1(d206,d206_23,d206_9).
sbond_1(d206,d206_24,d206_10).
sbond_1(d206,d206_25,d206_10).
sbond_1(d206,d206_26,d206_4).
sbond_1(d206,d206_3,d206_14).
sbond_1(d206,d206_3,d206_15).
sbond_1(d206,d206_3,d206_2).
sbond_1(d206,d206_3,d206_4).
sbond_1(d206,d206_4,d206_26).
sbond_1(d206,d206_4,d206_3).
sbond_1(d206,d206_5,d206_6).
sbond_1(d206,d206_5,d206_7).
sbond_1(d206,d206_6,d206_1).
sbond_1(d206,d206_6,d206_16).
sbond_1(d206,d206_6,d206_17).
sbond_1(d206,d206_6,d206_5).
sbond_1(d206,d206_7,d206_18).
sbond_1(d206,d206_7,d206_19).
sbond_1(d206,d206_7,d206_20).
sbond_1(d206,d206_7,d206_5).
sbond_1(d206,d206_8,d206_2).
sbond_1(d206,d206_8,d206_9).
sbond_1(d206,d206_9,d206_21).
sbond_1(d206,d206_9,d206_22).
sbond_1(d206,d206_9,d206_23).
sbond_1(d206,d206_9,d206_8).
sbond_1(d207,d207_1,d207_7).
sbond_1(d207,d207_10,d207_6).
sbond_1(d207,d207_11,d207_12).
sbond_1(d207,d207_11,d207_4).
sbond_1(d207,d207_12,d207_11).
sbond_1(d207,d207_12,d207_13).
sbond_1(d207,d207_13,d207_12).
sbond_1(d207,d207_13,d207_14).
sbond_1(d207,d207_13,d207_15).
sbond_1(d207,d207_13,d207_16).
sbond_1(d207,d207_14,d207_13).
sbond_1(d207,d207_14,d207_19).
sbond_1(d207,d207_15,d207_13).
sbond_1(d207,d207_16,d207_13).
sbond_1(d207,d207_17,d207_20).
sbond_1(d207,d207_17,d207_21).
sbond_1(d207,d207_19,d207_14).
sbond_1(d207,d207_2,d207_8).
sbond_1(d207,d207_20,d207_17).
sbond_1(d207,d207_21,d207_17).
sbond_1(d207,d207_22,d207_23).
sbond_1(d207,d207_22,d207_3).
sbond_1(d207,d207_23,d207_22).
sbond_1(d207,d207_23,d207_24).
sbond_1(d207,d207_24,d207_23).
sbond_1(d207,d207_24,d207_25).
sbond_1(d207,d207_24,d207_26).
sbond_1(d207,d207_24,d207_27).
sbond_1(d207,d207_25,d207_24).
sbond_1(d207,d207_25,d207_30).
sbond_1(d207,d207_26,d207_24).
sbond_1(d207,d207_27,d207_24).
sbond_1(d207,d207_28,d207_31).
sbond_1(d207,d207_28,d207_32).
sbond_1(d207,d207_3,d207_22).
sbond_1(d207,d207_30,d207_25).
sbond_1(d207,d207_31,d207_28).
sbond_1(d207,d207_32,d207_28).
sbond_1(d207,d207_4,d207_11).
sbond_1(d207,d207_5,d207_9).
sbond_1(d207,d207_6,d207_10).
sbond_1(d207,d207_7,d207_1).
sbond_1(d207,d207_8,d207_2).
sbond_1(d207,d207_9,d207_5).
sbond_1(d208_1,d208_1_1,d208_1_10).
sbond_1(d208_1,d208_1_1,d208_1_2).
sbond_1(d208_1,d208_1_1,d208_1_9).
sbond_1(d208_1,d208_1_10,d208_1_1).
sbond_1(d208_1,d208_1_11,d208_1_3).
sbond_1(d208_1,d208_1_12,d208_1_5).
sbond_1(d208_1,d208_1_13,d208_1_7).
sbond_1(d208_1,d208_1_14,d208_1_7).
sbond_1(d208_1,d208_1_2,d208_1_1).
sbond_1(d208_1,d208_1_2,d208_1_3).
sbond_1(d208_1,d208_1_3,d208_1_11).
sbond_1(d208_1,d208_1_3,d208_1_2).
sbond_1(d208_1,d208_1_3,d208_1_5).
sbond_1(d208_1,d208_1_5,d208_1_12).
sbond_1(d208_1,d208_1_5,d208_1_3).
sbond_1(d208_1,d208_1_5,d208_1_6).
sbond_1(d208_1,d208_1_6,d208_1_5).
sbond_1(d208_1,d208_1_6,d208_1_7).
sbond_1(d208_1,d208_1_7,d208_1_13).
sbond_1(d208_1,d208_1_7,d208_1_14).
sbond_1(d208_1,d208_1_7,d208_1_6).
sbond_1(d208_1,d208_1_9,d208_1_1).
sbond_1(d208_2,d208_2_1,d208_2_2).
sbond_1(d208_2,d208_2_1,d208_2_3).
sbond_1(d208_2,d208_2_1,d208_2_4).
sbond_1(d208_2,d208_2_1,d208_2_5).
sbond_1(d208_2,d208_2_10,d208_2_8).
sbond_1(d208_2,d208_2_11,d208_2_8).
sbond_1(d208_2,d208_2_12,d208_2_9).
sbond_1(d208_2,d208_2_13,d208_2_9).
sbond_1(d208_2,d208_2_14,d208_2_9).
sbond_1(d208_2,d208_2_15,d208_2_16).
sbond_1(d208_2,d208_2_15,d208_2_17).
sbond_1(d208_2,d208_2_15,d208_2_18).
sbond_1(d208_2,d208_2_15,d208_2_7).
sbond_1(d208_2,d208_2_16,d208_2_15).
sbond_1(d208_2,d208_2_16,d208_2_19).
sbond_1(d208_2,d208_2_16,d208_2_20).
sbond_1(d208_2,d208_2_16,d208_2_21).
sbond_1(d208_2,d208_2_17,d208_2_15).
sbond_1(d208_2,d208_2_18,d208_2_15).
sbond_1(d208_2,d208_2_19,d208_2_16).
sbond_1(d208_2,d208_2_2,d208_2_1).
sbond_1(d208_2,d208_2_2,d208_2_6).
sbond_1(d208_2,d208_2_20,d208_2_16).
sbond_1(d208_2,d208_2_21,d208_2_16).
sbond_1(d208_2,d208_2_23,d208_2_24).
sbond_1(d208_2,d208_2_23,d208_2_4).
sbond_1(d208_2,d208_2_24,d208_2_23).
sbond_1(d208_2,d208_2_24,d208_2_25).
sbond_1(d208_2,d208_2_24,d208_2_32).
sbond_1(d208_2,d208_2_25,d208_2_24).
sbond_1(d208_2,d208_2_25,d208_2_26).
sbond_1(d208_2,d208_2_25,d208_2_27).
sbond_1(d208_2,d208_2_25,d208_2_28).
sbond_1(d208_2,d208_2_26,d208_2_25).
sbond_1(d208_2,d208_2_26,d208_2_29).
sbond_1(d208_2,d208_2_26,d208_2_30).
sbond_1(d208_2,d208_2_26,d208_2_31).
sbond_1(d208_2,d208_2_27,d208_2_25).
sbond_1(d208_2,d208_2_28,d208_2_25).
sbond_1(d208_2,d208_2_29,d208_2_26).
sbond_1(d208_2,d208_2_3,d208_2_1).
sbond_1(d208_2,d208_2_3,d208_2_39).
sbond_1(d208_2,d208_2_30,d208_2_26).
sbond_1(d208_2,d208_2_31,d208_2_26).
sbond_1(d208_2,d208_2_32,d208_2_24).
sbond_1(d208_2,d208_2_32,d208_2_33).
sbond_1(d208_2,d208_2_32,d208_2_34).
sbond_1(d208_2,d208_2_32,d208_2_35).
sbond_1(d208_2,d208_2_33,d208_2_32).
sbond_1(d208_2,d208_2_33,d208_2_36).
sbond_1(d208_2,d208_2_33,d208_2_37).
sbond_1(d208_2,d208_2_33,d208_2_38).
sbond_1(d208_2,d208_2_34,d208_2_32).
sbond_1(d208_2,d208_2_35,d208_2_32).
sbond_1(d208_2,d208_2_36,d208_2_33).
sbond_1(d208_2,d208_2_37,d208_2_33).
sbond_1(d208_2,d208_2_38,d208_2_33).
sbond_1(d208_2,d208_2_39,d208_2_3).
sbond_1(d208_2,d208_2_39,d208_2_40).
sbond_1(d208_2,d208_2_4,d208_2_1).
sbond_1(d208_2,d208_2_4,d208_2_23).
sbond_1(d208_2,d208_2_40,d208_2_39).
sbond_1(d208_2,d208_2_40,d208_2_41).
sbond_1(d208_2,d208_2_40,d208_2_48).
sbond_1(d208_2,d208_2_41,d208_2_40).
sbond_1(d208_2,d208_2_41,d208_2_42).
sbond_1(d208_2,d208_2_41,d208_2_43).
sbond_1(d208_2,d208_2_41,d208_2_44).
sbond_1(d208_2,d208_2_42,d208_2_41).
sbond_1(d208_2,d208_2_42,d208_2_45).
sbond_1(d208_2,d208_2_42,d208_2_46).
sbond_1(d208_2,d208_2_42,d208_2_47).
sbond_1(d208_2,d208_2_43,d208_2_41).
sbond_1(d208_2,d208_2_44,d208_2_41).
sbond_1(d208_2,d208_2_45,d208_2_42).
sbond_1(d208_2,d208_2_46,d208_2_42).
sbond_1(d208_2,d208_2_47,d208_2_42).
sbond_1(d208_2,d208_2_48,d208_2_40).
sbond_1(d208_2,d208_2_48,d208_2_49).
sbond_1(d208_2,d208_2_48,d208_2_50).
sbond_1(d208_2,d208_2_48,d208_2_51).
sbond_1(d208_2,d208_2_49,d208_2_48).
sbond_1(d208_2,d208_2_49,d208_2_52).
sbond_1(d208_2,d208_2_49,d208_2_53).
sbond_1(d208_2,d208_2_49,d208_2_54).
sbond_1(d208_2,d208_2_5,d208_2_1).
sbond_1(d208_2,d208_2_5,d208_2_55).
sbond_1(d208_2,d208_2_50,d208_2_48).
sbond_1(d208_2,d208_2_51,d208_2_48).
sbond_1(d208_2,d208_2_52,d208_2_49).
sbond_1(d208_2,d208_2_53,d208_2_49).
sbond_1(d208_2,d208_2_54,d208_2_49).
sbond_1(d208_2,d208_2_55,d208_2_5).
sbond_1(d208_2,d208_2_55,d208_2_56).
sbond_1(d208_2,d208_2_56,d208_2_55).
sbond_1(d208_2,d208_2_56,d208_2_57).
sbond_1(d208_2,d208_2_56,d208_2_64).
sbond_1(d208_2,d208_2_57,d208_2_56).
sbond_1(d208_2,d208_2_57,d208_2_58).
sbond_1(d208_2,d208_2_57,d208_2_59).
sbond_1(d208_2,d208_2_57,d208_2_60).
sbond_1(d208_2,d208_2_58,d208_2_57).
sbond_1(d208_2,d208_2_58,d208_2_61).
sbond_1(d208_2,d208_2_58,d208_2_62).
sbond_1(d208_2,d208_2_58,d208_2_63).
sbond_1(d208_2,d208_2_59,d208_2_57).
sbond_1(d208_2,d208_2_6,d208_2_2).
sbond_1(d208_2,d208_2_6,d208_2_7).
sbond_1(d208_2,d208_2_60,d208_2_57).
sbond_1(d208_2,d208_2_61,d208_2_58).
sbond_1(d208_2,d208_2_62,d208_2_58).
sbond_1(d208_2,d208_2_63,d208_2_58).
sbond_1(d208_2,d208_2_64,d208_2_56).
sbond_1(d208_2,d208_2_64,d208_2_65).
sbond_1(d208_2,d208_2_64,d208_2_66).
sbond_1(d208_2,d208_2_64,d208_2_67).
sbond_1(d208_2,d208_2_65,d208_2_64).
sbond_1(d208_2,d208_2_65,d208_2_68).
sbond_1(d208_2,d208_2_65,d208_2_69).
sbond_1(d208_2,d208_2_65,d208_2_70).
sbond_1(d208_2,d208_2_66,d208_2_64).
sbond_1(d208_2,d208_2_67,d208_2_64).
sbond_1(d208_2,d208_2_68,d208_2_65).
sbond_1(d208_2,d208_2_69,d208_2_65).
sbond_1(d208_2,d208_2_7,d208_2_15).
sbond_1(d208_2,d208_2_7,d208_2_6).
sbond_1(d208_2,d208_2_7,d208_2_8).
sbond_1(d208_2,d208_2_70,d208_2_65).
sbond_1(d208_2,d208_2_8,d208_2_10).
sbond_1(d208_2,d208_2_8,d208_2_11).
sbond_1(d208_2,d208_2_8,d208_2_7).
sbond_1(d208_2,d208_2_8,d208_2_9).
sbond_1(d208_2,d208_2_9,d208_2_12).
sbond_1(d208_2,d208_2_9,d208_2_13).
sbond_1(d208_2,d208_2_9,d208_2_14).
sbond_1(d208_2,d208_2_9,d208_2_8).
sbond_1(d209,d209_1,d209_7).
sbond_1(d209,d209_10,d209_16).
sbond_1(d209,d209_10,d209_2).
sbond_1(d209,d209_11,d209_12).
sbond_1(d209,d209_11,d209_3).
sbond_1(d209,d209_12,d209_11).
sbond_1(d209,d209_12,d209_13).
sbond_1(d209,d209_12,d209_14).
sbond_1(d209,d209_12,d209_15).
sbond_1(d209,d209_13,d209_12).
sbond_1(d209,d209_14,d209_12).
sbond_1(d209,d209_15,d209_12).
sbond_1(d209,d209_16,d209_10).
sbond_1(d209,d209_17,d209_18).
sbond_1(d209,d209_17,d209_23).
sbond_1(d209,d209_17,d209_24).
sbond_1(d209,d209_17,d209_5).
sbond_1(d209,d209_18,d209_17).
sbond_1(d209,d209_18,d209_20).
sbond_1(d209,d209_19,d209_21).
sbond_1(d209,d209_19,d209_22).
sbond_1(d209,d209_2,d209_10).
sbond_1(d209,d209_20,d209_18).
sbond_1(d209,d209_21,d209_19).
sbond_1(d209,d209_22,d209_19).
sbond_1(d209,d209_23,d209_17).
sbond_1(d209,d209_24,d209_17).
sbond_1(d209,d209_3,d209_11).
sbond_1(d209,d209_4,d209_8).
sbond_1(d209,d209_5,d209_17).
sbond_1(d209,d209_6,d209_9).
sbond_1(d209,d209_7,d209_1).
sbond_1(d209,d209_8,d209_4).
sbond_1(d209,d209_9,d209_6).
sbond_1(d21,d21_1,d21_23).
sbond_1(d21,d21_10,d21_6).
sbond_1(d21,d21_11,d21_20).
sbond_1(d21,d21_12,d21_17).
sbond_1(d21,d21_13,d21_18).
sbond_1(d21,d21_14,d21_22).
sbond_1(d21,d21_15,d21_19).
sbond_1(d21,d21_16,d21_21).
sbond_1(d21,d21_17,d21_12).
sbond_1(d21,d21_18,d21_13).
sbond_1(d21,d21_19,d21_15).
sbond_1(d21,d21_2,d21_7).
sbond_1(d21,d21_20,d21_11).
sbond_1(d21,d21_20,d21_4).
sbond_1(d21,d21_21,d21_16).
sbond_1(d21,d21_22,d21_14).
sbond_1(d21,d21_23,d21_1).
sbond_1(d21,d21_3,d21_8).
sbond_1(d21,d21_4,d21_20).
sbond_1(d21,d21_5,d21_9).
sbond_1(d21,d21_6,d21_10).
sbond_1(d21,d21_7,d21_2).
sbond_1(d21,d21_8,d21_3).
sbond_1(d21,d21_9,d21_5).
sbond_1(d210,d210_1,d210_7).
sbond_1(d210,d210_10,d210_6).
sbond_1(d210,d210_11,d210_12).
sbond_1(d210,d210_11,d210_13).
sbond_1(d210,d210_11,d210_14).
sbond_1(d210,d210_11,d210_3).
sbond_1(d210,d210_12,d210_11).
sbond_1(d210,d210_13,d210_11).
sbond_1(d210,d210_14,d210_11).
sbond_1(d210,d210_15,d210_16).
sbond_1(d210,d210_15,d210_27).
sbond_1(d210,d210_15,d210_5).
sbond_1(d210,d210_16,d210_15).
sbond_1(d210,d210_16,d210_17).
sbond_1(d210,d210_17,d210_16).
sbond_1(d210,d210_17,d210_18).
sbond_1(d210,d210_17,d210_22).
sbond_1(d210,d210_18,d210_17).
sbond_1(d210,d210_18,d210_19).
sbond_1(d210,d210_18,d210_20).
sbond_1(d210,d210_18,d210_21).
sbond_1(d210,d210_19,d210_18).
sbond_1(d210,d210_2,d210_8).
sbond_1(d210,d210_20,d210_18).
sbond_1(d210,d210_21,d210_18).
sbond_1(d210,d210_22,d210_17).
sbond_1(d210,d210_22,d210_23).
sbond_1(d210,d210_22,d210_24).
sbond_1(d210,d210_22,d210_25).
sbond_1(d210,d210_23,d210_22).
sbond_1(d210,d210_24,d210_22).
sbond_1(d210,d210_25,d210_22).
sbond_1(d210,d210_27,d210_15).
sbond_1(d210,d210_3,d210_11).
sbond_1(d210,d210_4,d210_9).
sbond_1(d210,d210_5,d210_15).
sbond_1(d210,d210_6,d210_10).
sbond_1(d210,d210_7,d210_1).
sbond_1(d210,d210_8,d210_2).
sbond_1(d210,d210_9,d210_4).
sbond_1(d211,d211_1,d211_2).
sbond_1(d211,d211_1,d211_3).
sbond_1(d211,d211_1,d211_4).
sbond_1(d211,d211_1,d211_5).
sbond_1(d211,d211_10,d211_7).
sbond_1(d211,d211_11,d211_12).
sbond_1(d211,d211_11,d211_13).
sbond_1(d211,d211_11,d211_14).
sbond_1(d211,d211_11,d211_6).
sbond_1(d211,d211_12,d211_11).
sbond_1(d211,d211_13,d211_11).
sbond_1(d211,d211_14,d211_11).
sbond_1(d211,d211_15,d211_21).
sbond_1(d211,d211_15,d211_6).
sbond_1(d211,d211_16,d211_17).
sbond_1(d211,d211_17,d211_16).
sbond_1(d211,d211_17,d211_18).
sbond_1(d211,d211_18,d211_17).
sbond_1(d211,d211_18,d211_19).
sbond_1(d211,d211_19,d211_18).
sbond_1(d211,d211_19,d211_20).
sbond_1(d211,d211_19,d211_26).
sbond_1(d211,d211_2,d211_1).
sbond_1(d211,d211_2,d211_6).
sbond_1(d211,d211_20,d211_19).
sbond_1(d211,d211_20,d211_23).
sbond_1(d211,d211_20,d211_24).
sbond_1(d211,d211_20,d211_25).
sbond_1(d211,d211_21,d211_15).
sbond_1(d211,d211_23,d211_20).
sbond_1(d211,d211_24,d211_20).
sbond_1(d211,d211_25,d211_20).
sbond_1(d211,d211_26,d211_19).
sbond_1(d211,d211_3,d211_1).
sbond_1(d211,d211_4,d211_1).
sbond_1(d211,d211_5,d211_1).
sbond_1(d211,d211_6,d211_11).
sbond_1(d211,d211_6,d211_15).
sbond_1(d211,d211_6,d211_2).
sbond_1(d211,d211_6,d211_7).
sbond_1(d211,d211_7,d211_10).
sbond_1(d211,d211_7,d211_6).
sbond_1(d211,d211_7,d211_8).
sbond_1(d211,d211_7,d211_9).
sbond_1(d211,d211_8,d211_7).
sbond_1(d211,d211_9,d211_7).
sbond_1(d212,d212_10,d212_14).
sbond_1(d212,d212_11,d212_15).
sbond_1(d212,d212_12,d212_16).
sbond_1(d212,d212_13,d212_9).
sbond_1(d212,d212_14,d212_10).
sbond_1(d212,d212_15,d212_11).
sbond_1(d212,d212_16,d212_12).
sbond_1(d212,d212_17,d212_18).
sbond_1(d212,d212_17,d212_6).
sbond_1(d212,d212_18,d212_17).
sbond_1(d212,d212_18,d212_19).
sbond_1(d212,d212_19,d212_18).
sbond_1(d212,d212_22,d212_3).
sbond_1(d212,d212_23,d212_24).
sbond_1(d212,d212_24,d212_23).
sbond_1(d212,d212_25,d212_30).
sbond_1(d212,d212_26,d212_41).
sbond_1(d212,d212_29,d212_39).
sbond_1(d212,d212_3,d212_22).
sbond_1(d212,d212_30,d212_25).
sbond_1(d212,d212_31,d212_35).
sbond_1(d212,d212_32,d212_36).
sbond_1(d212,d212_33,d212_37).
sbond_1(d212,d212_34,d212_38).
sbond_1(d212,d212_35,d212_31).
sbond_1(d212,d212_36,d212_32).
sbond_1(d212,d212_37,d212_33).
sbond_1(d212,d212_38,d212_34).
sbond_1(d212,d212_39,d212_29).
sbond_1(d212,d212_39,d212_40).
sbond_1(d212,d212_4,d212_7).
sbond_1(d212,d212_40,d212_39).
sbond_1(d212,d212_41,d212_26).
sbond_1(d212,d212_41,d212_42).
sbond_1(d212,d212_42,d212_41).
sbond_1(d212,d212_42,d212_43).
sbond_1(d212,d212_43,d212_42).
sbond_1(d212,d212_5,d212_8).
sbond_1(d212,d212_6,d212_17).
sbond_1(d212,d212_7,d212_4).
sbond_1(d212,d212_8,d212_5).
sbond_1(d212,d212_9,d212_13).
sbond_1(d213,d213_1,d213_7).
sbond_1(d213,d213_10,d213_6).
sbond_1(d213,d213_11,d213_13).
sbond_1(d213,d213_11,d213_14).
sbond_1(d213,d213_11,d213_5).
sbond_1(d213,d213_12,d213_15).
sbond_1(d213,d213_12,d213_4).
sbond_1(d213,d213_13,d213_11).
sbond_1(d213,d213_14,d213_11).
sbond_1(d213,d213_15,d213_12).
sbond_1(d213,d213_15,d213_17).
sbond_1(d213,d213_17,d213_15).
sbond_1(d213,d213_2,d213_8).
sbond_1(d213,d213_3,d213_9).
sbond_1(d213,d213_4,d213_12).
sbond_1(d213,d213_5,d213_11).
sbond_1(d213,d213_6,d213_10).
sbond_1(d213,d213_7,d213_1).
sbond_1(d213,d213_8,d213_2).
sbond_1(d213,d213_9,d213_3).
sbond_1(d214,d214_1,d214_2).
sbond_1(d214,d214_1,d214_6).
sbond_1(d214,d214_1,d214_7).
sbond_1(d214,d214_1,d214_8).
sbond_1(d214,d214_10,d214_2).
sbond_1(d214,d214_11,d214_4).
sbond_1(d214,d214_12,d214_4).
sbond_1(d214,d214_13,d214_5).
sbond_1(d214,d214_14,d214_5).
sbond_1(d214,d214_15,d214_6).
sbond_1(d214,d214_16,d214_6).
sbond_1(d214,d214_17,d214_19).
sbond_1(d214,d214_17,d214_22).
sbond_1(d214,d214_17,d214_3).
sbond_1(d214,d214_18,d214_3).
sbond_1(d214,d214_19,d214_17).
sbond_1(d214,d214_19,d214_20).
sbond_1(d214,d214_2,d214_1).
sbond_1(d214,d214_2,d214_10).
sbond_1(d214,d214_2,d214_3).
sbond_1(d214,d214_2,d214_9).
sbond_1(d214,d214_20,d214_19).
sbond_1(d214,d214_20,d214_21).
sbond_1(d214,d214_20,d214_23).
sbond_1(d214,d214_21,d214_20).
sbond_1(d214,d214_21,d214_25).
sbond_1(d214,d214_21,d214_29).
sbond_1(d214,d214_21,d214_30).
sbond_1(d214,d214_22,d214_17).
sbond_1(d214,d214_23,d214_20).
sbond_1(d214,d214_25,d214_21).
sbond_1(d214,d214_25,d214_26).
sbond_1(d214,d214_25,d214_31).
sbond_1(d214,d214_25,d214_32).
sbond_1(d214,d214_26,d214_25).
sbond_1(d214,d214_26,d214_27).
sbond_1(d214,d214_26,d214_33).
sbond_1(d214,d214_26,d214_34).
sbond_1(d214,d214_27,d214_26).
sbond_1(d214,d214_27,d214_28).
sbond_1(d214,d214_27,d214_35).
sbond_1(d214,d214_27,d214_36).
sbond_1(d214,d214_28,d214_27).
sbond_1(d214,d214_28,d214_29).
sbond_1(d214,d214_28,d214_37).
sbond_1(d214,d214_28,d214_38).
sbond_1(d214,d214_29,d214_21).
sbond_1(d214,d214_29,d214_28).
sbond_1(d214,d214_29,d214_39).
sbond_1(d214,d214_29,d214_40).
sbond_1(d214,d214_3,d214_17).
sbond_1(d214,d214_3,d214_18).
sbond_1(d214,d214_3,d214_2).
sbond_1(d214,d214_3,d214_4).
sbond_1(d214,d214_30,d214_21).
sbond_1(d214,d214_31,d214_25).
sbond_1(d214,d214_32,d214_25).
sbond_1(d214,d214_33,d214_26).
sbond_1(d214,d214_34,d214_26).
sbond_1(d214,d214_35,d214_27).
sbond_1(d214,d214_36,d214_27).
sbond_1(d214,d214_37,d214_28).
sbond_1(d214,d214_38,d214_28).
sbond_1(d214,d214_39,d214_29).
sbond_1(d214,d214_4,d214_11).
sbond_1(d214,d214_4,d214_12).
sbond_1(d214,d214_4,d214_3).
sbond_1(d214,d214_4,d214_5).
sbond_1(d214,d214_40,d214_29).
sbond_1(d214,d214_5,d214_13).
sbond_1(d214,d214_5,d214_14).
sbond_1(d214,d214_5,d214_4).
sbond_1(d214,d214_5,d214_6).
sbond_1(d214,d214_6,d214_1).
sbond_1(d214,d214_6,d214_15).
sbond_1(d214,d214_6,d214_16).
sbond_1(d214,d214_6,d214_5).
sbond_1(d214,d214_7,d214_1).
sbond_1(d214,d214_8,d214_1).
sbond_1(d214,d214_9,d214_2).
sbond_1(d215,d215_1,d215_7).
sbond_1(d215,d215_10,d215_11).
sbond_1(d215,d215_10,d215_12).
sbond_1(d215,d215_10,d215_13).
sbond_1(d215,d215_10,d215_3).
sbond_1(d215,d215_11,d215_10).
sbond_1(d215,d215_11,d215_14).
sbond_1(d215,d215_11,d215_15).
sbond_1(d215,d215_11,d215_16).
sbond_1(d215,d215_12,d215_10).
sbond_1(d215,d215_13,d215_10).
sbond_1(d215,d215_14,d215_11).
sbond_1(d215,d215_15,d215_11).
sbond_1(d215,d215_16,d215_11).
sbond_1(d215,d215_17,d215_18).
sbond_1(d215,d215_17,d215_5).
sbond_1(d215,d215_18,d215_17).
sbond_1(d215,d215_18,d215_20).
sbond_1(d215,d215_18,d215_21).
sbond_1(d215,d215_20,d215_18).
sbond_1(d215,d215_21,d215_18).
sbond_1(d215,d215_3,d215_10).
sbond_1(d215,d215_4,d215_8).
sbond_1(d215,d215_5,d215_17).
sbond_1(d215,d215_6,d215_9).
sbond_1(d215,d215_7,d215_1).
sbond_1(d215,d215_8,d215_4).
sbond_1(d215,d215_9,d215_6).
sbond_1(d216,d216_1,d216_2).
sbond_1(d216,d216_1,d216_6).
sbond_1(d216,d216_10,d216_8).
sbond_1(d216,d216_11,d216_8).
sbond_1(d216,d216_12,d216_13).
sbond_1(d216,d216_12,d216_14).
sbond_1(d216,d216_12,d216_15).
sbond_1(d216,d216_12,d216_7).
sbond_1(d216,d216_13,d216_12).
sbond_1(d216,d216_14,d216_12).
sbond_1(d216,d216_15,d216_12).
sbond_1(d216,d216_16,d216_17).
sbond_1(d216,d216_16,d216_5).
sbond_1(d216,d216_17,d216_16).
sbond_1(d216,d216_17,d216_18).
sbond_1(d216,d216_17,d216_22).
sbond_1(d216,d216_18,d216_17).
sbond_1(d216,d216_18,d216_19).
sbond_1(d216,d216_18,d216_20).
sbond_1(d216,d216_18,d216_21).
sbond_1(d216,d216_19,d216_18).
sbond_1(d216,d216_2,d216_1).
sbond_1(d216,d216_2,d216_3).
sbond_1(d216,d216_2,d216_4).
sbond_1(d216,d216_2,d216_5).
sbond_1(d216,d216_20,d216_18).
sbond_1(d216,d216_21,d216_18).
sbond_1(d216,d216_22,d216_17).
sbond_1(d216,d216_22,d216_23).
sbond_1(d216,d216_22,d216_24).
sbond_1(d216,d216_22,d216_25).
sbond_1(d216,d216_23,d216_22).
sbond_1(d216,d216_24,d216_22).
sbond_1(d216,d216_25,d216_22).
sbond_1(d216,d216_3,d216_2).
sbond_1(d216,d216_4,d216_2).
sbond_1(d216,d216_5,d216_16).
sbond_1(d216,d216_5,d216_2).
sbond_1(d216,d216_6,d216_1).
sbond_1(d216,d216_6,d216_7).
sbond_1(d216,d216_7,d216_12).
sbond_1(d216,d216_7,d216_6).
sbond_1(d216,d216_7,d216_8).
sbond_1(d216,d216_8,d216_10).
sbond_1(d216,d216_8,d216_11).
sbond_1(d216,d216_8,d216_7).
sbond_1(d216,d216_8,d216_9).
sbond_1(d216,d216_9,d216_8).
sbond_1(d217,d217_1,d217_7).
sbond_1(d217,d217_10,d217_5).
sbond_1(d217,d217_11,d217_6).
sbond_1(d217,d217_12,d217_16).
sbond_1(d217,d217_13,d217_14).
sbond_1(d217,d217_13,d217_19).
sbond_1(d217,d217_14,d217_13).
sbond_1(d217,d217_14,d217_15).
sbond_1(d217,d217_14,d217_17).
sbond_1(d217,d217_14,d217_18).
sbond_1(d217,d217_15,d217_14).
sbond_1(d217,d217_15,d217_16).
sbond_1(d217,d217_16,d217_12).
sbond_1(d217,d217_16,d217_15).
sbond_1(d217,d217_16,d217_2).
sbond_1(d217,d217_17,d217_14).
sbond_1(d217,d217_18,d217_14).
sbond_1(d217,d217_19,d217_13).
sbond_1(d217,d217_19,d217_20).
sbond_1(d217,d217_19,d217_21).
sbond_1(d217,d217_19,d217_22).
sbond_1(d217,d217_2,d217_16).
sbond_1(d217,d217_20,d217_19).
sbond_1(d217,d217_21,d217_19).
sbond_1(d217,d217_22,d217_19).
sbond_1(d217,d217_3,d217_8).
sbond_1(d217,d217_4,d217_9).
sbond_1(d217,d217_5,d217_10).
sbond_1(d217,d217_6,d217_11).
sbond_1(d217,d217_7,d217_1).
sbond_1(d217,d217_8,d217_3).
sbond_1(d217,d217_9,d217_4).
sbond_1(d218,d218_1,d218_2).
sbond_1(d218,d218_1,d218_3).
sbond_1(d218,d218_1,d218_4).
sbond_1(d218,d218_1,d218_5).
sbond_1(d218,d218_10,d218_13).
sbond_1(d218,d218_10,d218_14).
sbond_1(d218,d218_10,d218_15).
sbond_1(d218,d218_10,d218_9).
sbond_1(d218,d218_11,d218_9).
sbond_1(d218,d218_12,d218_9).
sbond_1(d218,d218_13,d218_10).
sbond_1(d218,d218_14,d218_10).
sbond_1(d218,d218_15,d218_10).
sbond_1(d218,d218_16,d218_17).
sbond_1(d218,d218_16,d218_6).
sbond_1(d218,d218_17,d218_16).
sbond_1(d218,d218_17,d218_18).
sbond_1(d218,d218_18,d218_17).
sbond_1(d218,d218_2,d218_1).
sbond_1(d218,d218_2,d218_6).
sbond_1(d218,d218_2,d218_7).
sbond_1(d218,d218_2,d218_8).
sbond_1(d218,d218_3,d218_1).
sbond_1(d218,d218_4,d218_1).
sbond_1(d218,d218_5,d218_1).
sbond_1(d218,d218_6,d218_16).
sbond_1(d218,d218_6,d218_2).
sbond_1(d218,d218_6,d218_9).
sbond_1(d218,d218_7,d218_2).
sbond_1(d218,d218_8,d218_2).
sbond_1(d218,d218_9,d218_10).
sbond_1(d218,d218_9,d218_11).
sbond_1(d218,d218_9,d218_12).
sbond_1(d218,d218_9,d218_6).
sbond_1(d219,d219_1,d219_2).
sbond_1(d219,d219_1,d219_3).
sbond_1(d219,d219_1,d219_4).
sbond_1(d219,d219_1,d219_5).
sbond_1(d219,d219_10,d219_13).
sbond_1(d219,d219_10,d219_14).
sbond_1(d219,d219_10,d219_15).
sbond_1(d219,d219_10,d219_9).
sbond_1(d219,d219_11,d219_9).
sbond_1(d219,d219_12,d219_9).
sbond_1(d219,d219_13,d219_10).
sbond_1(d219,d219_14,d219_10).
sbond_1(d219,d219_15,d219_10).
sbond_1(d219,d219_16,d219_17).
sbond_1(d219,d219_16,d219_6).
sbond_1(d219,d219_17,d219_16).
sbond_1(d219,d219_17,d219_18).
sbond_1(d219,d219_18,d219_17).
sbond_1(d219,d219_18,d219_19).
sbond_1(d219,d219_19,d219_18).
sbond_1(d219,d219_19,d219_20).
sbond_1(d219,d219_2,d219_1).
sbond_1(d219,d219_2,d219_6).
sbond_1(d219,d219_2,d219_7).
sbond_1(d219,d219_2,d219_8).
sbond_1(d219,d219_20,d219_19).
sbond_1(d219,d219_20,d219_23).
sbond_1(d219,d219_20,d219_30).
sbond_1(d219,d219_23,d219_20).
sbond_1(d219,d219_23,d219_24).
sbond_1(d219,d219_23,d219_25).
sbond_1(d219,d219_23,d219_26).
sbond_1(d219,d219_24,d219_23).
sbond_1(d219,d219_24,d219_27).
sbond_1(d219,d219_24,d219_28).
sbond_1(d219,d219_24,d219_29).
sbond_1(d219,d219_25,d219_23).
sbond_1(d219,d219_26,d219_23).
sbond_1(d219,d219_27,d219_24).
sbond_1(d219,d219_28,d219_24).
sbond_1(d219,d219_29,d219_24).
sbond_1(d219,d219_3,d219_1).
sbond_1(d219,d219_30,d219_20).
sbond_1(d219,d219_30,d219_31).
sbond_1(d219,d219_30,d219_32).
sbond_1(d219,d219_30,d219_33).
sbond_1(d219,d219_31,d219_30).
sbond_1(d219,d219_31,d219_34).
sbond_1(d219,d219_31,d219_35).
sbond_1(d219,d219_31,d219_36).
sbond_1(d219,d219_32,d219_30).
sbond_1(d219,d219_33,d219_30).
sbond_1(d219,d219_34,d219_31).
sbond_1(d219,d219_35,d219_31).
sbond_1(d219,d219_36,d219_31).
sbond_1(d219,d219_4,d219_1).
sbond_1(d219,d219_5,d219_1).
sbond_1(d219,d219_6,d219_16).
sbond_1(d219,d219_6,d219_2).
sbond_1(d219,d219_6,d219_9).
sbond_1(d219,d219_7,d219_2).
sbond_1(d219,d219_8,d219_2).
sbond_1(d219,d219_9,d219_10).
sbond_1(d219,d219_9,d219_11).
sbond_1(d219,d219_9,d219_12).
sbond_1(d219,d219_9,d219_6).
sbond_1(d22,d22_1,d22_7).
sbond_1(d22,d22_10,d22_5).
sbond_1(d22,d22_11,d22_6).
sbond_1(d22,d22_12,d22_22).
sbond_1(d22,d22_13,d22_18).
sbond_1(d22,d22_14,d22_19).
sbond_1(d22,d22_15,d22_23).
sbond_1(d22,d22_16,d22_20).
sbond_1(d22,d22_17,d22_21).
sbond_1(d22,d22_18,d22_13).
sbond_1(d22,d22_19,d22_14).
sbond_1(d22,d22_2,d22_8).
sbond_1(d22,d22_20,d22_16).
sbond_1(d22,d22_21,d22_17).
sbond_1(d22,d22_22,d22_12).
sbond_1(d22,d22_22,d22_25).
sbond_1(d22,d22_22,d22_4).
sbond_1(d22,d22_23,d22_15).
sbond_1(d22,d22_25,d22_22).
sbond_1(d22,d22_3,d22_9).
sbond_1(d22,d22_4,d22_22).
sbond_1(d22,d22_5,d22_10).
sbond_1(d22,d22_6,d22_11).
sbond_1(d22,d22_7,d22_1).
sbond_1(d22,d22_8,d22_2).
sbond_1(d22,d22_9,d22_3).
sbond_1(d220,d220a_1,d220a_7).
sbond_1(d220,d220a_10,d220a_6).
sbond_1(d220,d220a_11,d220a_12).
sbond_1(d220,d220a_11,d220a_13).
sbond_1(d220,d220a_11,d220a_14).
sbond_1(d220,d220a_11,d220a_5).
sbond_1(d220,d220a_12,d220a_11).
sbond_1(d220,d220a_13,d220a_11).
sbond_1(d220,d220a_14,d220a_11).
sbond_1(d220,d220a_15,d220a_17).
sbond_1(d220,d220a_15,d220a_3).
sbond_1(d220,d220a_16,d220a_18).
sbond_1(d220,d220a_16,d220a_19).
sbond_1(d220,d220a_17,d220a_15).
sbond_1(d220,d220a_18,d220a_16).
sbond_1(d220,d220a_19,d220a_16).
sbond_1(d220,d220a_2,d220a_8).
sbond_1(d220,d220a_3,d220a_15).
sbond_1(d220,d220a_4,d220a_9).
sbond_1(d220,d220a_5,d220a_11).
sbond_1(d220,d220a_6,d220a_10).
sbond_1(d220,d220a_7,d220a_1).
sbond_1(d220,d220a_8,d220a_2).
sbond_1(d220,d220a_9,d220a_4).
sbond_1(d220,d220b_1,d220b_7).
sbond_1(d220,d220b_10,d220b_11).
sbond_1(d220,d220b_10,d220b_12).
sbond_1(d220,d220b_10,d220b_13).
sbond_1(d220,d220b_10,d220b_5).
sbond_1(d220,d220b_11,d220b_10).
sbond_1(d220,d220b_12,d220b_10).
sbond_1(d220,d220b_13,d220b_10).
sbond_1(d220,d220b_14,d220b_16).
sbond_1(d220,d220b_14,d220b_2).
sbond_1(d220,d220b_15,d220b_17).
sbond_1(d220,d220b_15,d220b_18).
sbond_1(d220,d220b_16,d220b_14).
sbond_1(d220,d220b_17,d220b_15).
sbond_1(d220,d220b_18,d220b_15).
sbond_1(d220,d220b_19,d220b_3).
sbond_1(d220,d220b_2,d220b_14).
sbond_1(d220,d220b_3,d220b_19).
sbond_1(d220,d220b_4,d220b_8).
sbond_1(d220,d220b_5,d220b_10).
sbond_1(d220,d220b_6,d220b_9).
sbond_1(d220,d220b_7,d220b_1).
sbond_1(d220,d220b_8,d220b_4).
sbond_1(d220,d220b_9,d220b_6).
sbond_1(d221,d221_1,d221_16).
sbond_1(d221,d221_10,d221_14).
sbond_1(d221,d221_11,d221_15).
sbond_1(d221,d221_12,d221_36).
sbond_1(d221,d221_13,d221_21).
sbond_1(d221,d221_14,d221_10).
sbond_1(d221,d221_15,d221_11).
sbond_1(d221,d221_16,d221_1).
sbond_1(d221,d221_16,d221_17).
sbond_1(d221,d221_17,d221_16).
sbond_1(d221,d221_17,d221_18).
sbond_1(d221,d221_18,d221_17).
sbond_1(d221,d221_2,d221_7).
sbond_1(d221,d221_21,d221_13).
sbond_1(d221,d221_22,d221_23).
sbond_1(d221,d221_23,d221_22).
sbond_1(d221,d221_24,d221_29).
sbond_1(d221,d221_25,d221_30).
sbond_1(d221,d221_26,d221_33).
sbond_1(d221,d221_27,d221_31).
sbond_1(d221,d221_28,d221_32).
sbond_1(d221,d221_29,d221_24).
sbond_1(d221,d221_30,d221_25).
sbond_1(d221,d221_31,d221_27).
sbond_1(d221,d221_32,d221_28).
sbond_1(d221,d221_33,d221_26).
sbond_1(d221,d221_33,d221_34).
sbond_1(d221,d221_34,d221_33).
sbond_1(d221,d221_34,d221_35).
sbond_1(d221,d221_35,d221_34).
sbond_1(d221,d221_36,d221_12).
sbond_1(d221,d221_36,d221_37).
sbond_1(d221,d221_37,d221_36).
sbond_1(d221,d221_5,d221_8).
sbond_1(d221,d221_6,d221_9).
sbond_1(d221,d221_7,d221_2).
sbond_1(d221,d221_8,d221_5).
sbond_1(d221,d221_9,d221_6).
sbond_1(d222,d222_1,d222_7).
sbond_1(d222,d222_10,d222_11).
sbond_1(d222,d222_10,d222_12).
sbond_1(d222,d222_10,d222_13).
sbond_1(d222,d222_10,d222_9).
sbond_1(d222,d222_11,d222_10).
sbond_1(d222,d222_12,d222_10).
sbond_1(d222,d222_13,d222_10).
sbond_1(d222,d222_14,d222_15).
sbond_1(d222,d222_14,d222_16).
sbond_1(d222,d222_14,d222_17).
sbond_1(d222,d222_14,d222_9).
sbond_1(d222,d222_15,d222_14).
sbond_1(d222,d222_16,d222_14).
sbond_1(d222,d222_17,d222_14).
sbond_1(d222,d222_18,d222_19).
sbond_1(d222,d222_18,d222_20).
sbond_1(d222,d222_18,d222_21).
sbond_1(d222,d222_18,d222_4).
sbond_1(d222,d222_19,d222_18).
sbond_1(d222,d222_2,d222_26).
sbond_1(d222,d222_20,d222_18).
sbond_1(d222,d222_21,d222_18).
sbond_1(d222,d222_22,d222_23).
sbond_1(d222,d222_22,d222_24).
sbond_1(d222,d222_22,d222_25).
sbond_1(d222,d222_22,d222_6).
sbond_1(d222,d222_23,d222_22).
sbond_1(d222,d222_24,d222_22).
sbond_1(d222,d222_25,d222_22).
sbond_1(d222,d222_26,d222_2).
sbond_1(d222,d222_26,d222_27).
sbond_1(d222,d222_27,d222_26).
sbond_1(d222,d222_27,d222_28).
sbond_1(d222,d222_28,d222_27).
sbond_1(d222,d222_28,d222_29).
sbond_1(d222,d222_28,d222_34).
sbond_1(d222,d222_29,d222_28).
sbond_1(d222,d222_29,d222_30).
sbond_1(d222,d222_29,d222_31).
sbond_1(d222,d222_29,d222_32).
sbond_1(d222,d222_3,d222_8).
sbond_1(d222,d222_30,d222_29).
sbond_1(d222,d222_31,d222_29).
sbond_1(d222,d222_32,d222_29).
sbond_1(d222,d222_34,d222_28).
sbond_1(d222,d222_4,d222_18).
sbond_1(d222,d222_5,d222_9).
sbond_1(d222,d222_6,d222_22).
sbond_1(d222,d222_7,d222_1).
sbond_1(d222,d222_8,d222_3).
sbond_1(d222,d222_9,d222_10).
sbond_1(d222,d222_9,d222_14).
sbond_1(d222,d222_9,d222_5).
sbond_1(d223,d223_1,d223_7).
sbond_1(d223,d223_10,d223_4).
sbond_1(d223,d223_11,d223_6).
sbond_1(d223,d223_12,d223_13).
sbond_1(d223,d223_12,d223_16).
sbond_1(d223,d223_12,d223_5).
sbond_1(d223,d223_13,d223_12).
sbond_1(d223,d223_13,d223_14).
sbond_1(d223,d223_14,d223_13).
sbond_1(d223,d223_14,d223_17).
sbond_1(d223,d223_14,d223_18).
sbond_1(d223,d223_16,d223_12).
sbond_1(d223,d223_17,d223_14).
sbond_1(d223,d223_18,d223_14).
sbond_1(d223,d223_2,d223_8).
sbond_1(d223,d223_3,d223_9).
sbond_1(d223,d223_4,d223_10).
sbond_1(d223,d223_5,d223_12).
sbond_1(d223,d223_6,d223_11).
sbond_1(d223,d223_7,d223_1).
sbond_1(d223,d223_8,d223_2).
sbond_1(d223,d223_9,d223_3).
sbond_1(d224,d224_1,d224_2).
sbond_1(d224,d224_1,d224_5).
sbond_1(d224,d224_1,d224_6).
sbond_1(d224,d224_1,d224_7).
sbond_1(d224,d224_10,d224_2).
sbond_1(d224,d224_11,d224_3).
sbond_1(d224,d224_2,d224_1).
sbond_1(d224,d224_2,d224_10).
sbond_1(d224,d224_3,d224_11).
sbond_1(d224,d224_3,d224_4).
sbond_1(d224,d224_4,d224_3).
sbond_1(d224,d224_4,d224_5).
sbond_1(d224,d224_4,d224_8).
sbond_1(d224,d224_4,d224_9).
sbond_1(d224,d224_5,d224_1).
sbond_1(d224,d224_5,d224_4).
sbond_1(d224,d224_6,d224_1).
sbond_1(d224,d224_7,d224_1).
sbond_1(d224,d224_8,d224_4).
sbond_1(d224,d224_9,d224_4).
sbond_1(d225,d225a_1,d225a_2).
sbond_1(d225,d225a_1,d225a_3).
sbond_1(d225,d225a_1,d225a_4).
sbond_1(d225,d225a_1,d225a_5).
sbond_1(d225,d225a_10,d225a_11).
sbond_1(d225,d225a_10,d225a_12).
sbond_1(d225,d225a_11,d225a_10).
sbond_1(d225,d225a_11,d225a_13).
sbond_1(d225,d225a_11,d225a_14).
sbond_1(d225,d225a_11,d225a_15).
sbond_1(d225,d225a_12,d225a_10).
sbond_1(d225,d225a_13,d225a_11).
sbond_1(d225,d225a_13,d225a_16).
sbond_1(d225,d225a_13,d225a_17).
sbond_1(d225,d225a_13,d225a_18).
sbond_1(d225,d225a_14,d225a_11).
sbond_1(d225,d225a_15,d225a_11).
sbond_1(d225,d225a_16,d225a_13).
sbond_1(d225,d225a_16,d225a_19).
sbond_1(d225,d225a_17,d225a_13).
sbond_1(d225,d225a_18,d225a_13).
sbond_1(d225,d225a_19,d225a_16).
sbond_1(d225,d225a_19,d225a_20).
sbond_1(d225,d225a_19,d225a_21).
sbond_1(d225,d225a_19,d225a_22).
sbond_1(d225,d225a_2,d225a_1).
sbond_1(d225,d225a_2,d225a_6).
sbond_1(d225,d225a_20,d225a_19).
sbond_1(d225,d225a_21,d225a_19).
sbond_1(d225,d225a_22,d225a_19).
sbond_1(d225,d225a_23,d225a_24).
sbond_1(d225,d225a_23,d225a_34).
sbond_1(d225,d225a_24,d225a_23).
sbond_1(d225,d225a_24,d225a_25).
sbond_1(d225,d225a_24,d225a_26).
sbond_1(d225,d225a_24,d225a_27).
sbond_1(d225,d225a_25,d225a_24).
sbond_1(d225,d225a_25,d225a_28).
sbond_1(d225,d225a_26,d225a_24).
sbond_1(d225,d225a_27,d225a_24).
sbond_1(d225,d225a_28,d225a_25).
sbond_1(d225,d225a_28,d225a_30).
sbond_1(d225,d225a_3,d225a_1).
sbond_1(d225,d225a_30,d225a_28).
sbond_1(d225,d225a_30,d225a_31).
sbond_1(d225,d225a_30,d225a_32).
sbond_1(d225,d225a_30,d225a_33).
sbond_1(d225,d225a_31,d225a_30).
sbond_1(d225,d225a_32,d225a_30).
sbond_1(d225,d225a_33,d225a_30).
sbond_1(d225,d225a_34,d225a_23).
sbond_1(d225,d225a_4,d225a_1).
sbond_1(d225,d225a_5,d225a_1).
sbond_1(d225,d225a_6,d225a_2).
sbond_1(d225,d225a_6,d225a_7).
sbond_1(d225,d225a_6,d225a_8).
sbond_1(d225,d225a_6,d225a_9).
sbond_1(d225,d225a_7,d225a_6).
sbond_1(d225,d225a_8,d225a_6).
sbond_1(d225,d225a_9,d225a_6).
sbond_1(d225,d225b_1,d225b_2).
sbond_1(d225,d225b_1,d225b_3).
sbond_1(d225,d225b_1,d225b_4).
sbond_1(d225,d225b_1,d225b_5).
sbond_1(d225,d225b_10,d225b_11).
sbond_1(d225,d225b_10,d225b_12).
sbond_1(d225,d225b_11,d225b_10).
sbond_1(d225,d225b_11,d225b_13).
sbond_1(d225,d225b_11,d225b_14).
sbond_1(d225,d225b_11,d225b_15).
sbond_1(d225,d225b_12,d225b_10).
sbond_1(d225,d225b_13,d225b_11).
sbond_1(d225,d225b_13,d225b_16).
sbond_1(d225,d225b_13,d225b_17).
sbond_1(d225,d225b_13,d225b_18).
sbond_1(d225,d225b_14,d225b_11).
sbond_1(d225,d225b_15,d225b_11).
sbond_1(d225,d225b_16,d225b_13).
sbond_1(d225,d225b_16,d225b_19).
sbond_1(d225,d225b_16,d225b_23).
sbond_1(d225,d225b_16,d225b_34).
sbond_1(d225,d225b_17,d225b_13).
sbond_1(d225,d225b_18,d225b_13).
sbond_1(d225,d225b_19,d225b_16).
sbond_1(d225,d225b_19,d225b_20).
sbond_1(d225,d225b_19,d225b_21).
sbond_1(d225,d225b_19,d225b_22).
sbond_1(d225,d225b_2,d225b_1).
sbond_1(d225,d225b_2,d225b_6).
sbond_1(d225,d225b_20,d225b_19).
sbond_1(d225,d225b_21,d225b_19).
sbond_1(d225,d225b_22,d225b_19).
sbond_1(d225,d225b_23,d225b_16).
sbond_1(d225,d225b_23,d225b_24).
sbond_1(d225,d225b_23,d225b_35).
sbond_1(d225,d225b_23,d225b_36).
sbond_1(d225,d225b_24,d225b_23).
sbond_1(d225,d225b_24,d225b_25).
sbond_1(d225,d225b_24,d225b_26).
sbond_1(d225,d225b_24,d225b_27).
sbond_1(d225,d225b_25,d225b_24).
sbond_1(d225,d225b_25,d225b_28).
sbond_1(d225,d225b_26,d225b_24).
sbond_1(d225,d225b_27,d225b_24).
sbond_1(d225,d225b_28,d225b_25).
sbond_1(d225,d225b_28,d225b_30).
sbond_1(d225,d225b_3,d225b_1).
sbond_1(d225,d225b_30,d225b_28).
sbond_1(d225,d225b_30,d225b_31).
sbond_1(d225,d225b_30,d225b_32).
sbond_1(d225,d225b_30,d225b_33).
sbond_1(d225,d225b_31,d225b_30).
sbond_1(d225,d225b_32,d225b_30).
sbond_1(d225,d225b_33,d225b_30).
sbond_1(d225,d225b_34,d225b_16).
sbond_1(d225,d225b_35,d225b_23).
sbond_1(d225,d225b_36,d225b_23).
sbond_1(d225,d225b_4,d225b_1).
sbond_1(d225,d225b_5,d225b_1).
sbond_1(d225,d225b_6,d225b_2).
sbond_1(d225,d225b_6,d225b_7).
sbond_1(d225,d225b_6,d225b_8).
sbond_1(d225,d225b_6,d225b_9).
sbond_1(d225,d225b_7,d225b_6).
sbond_1(d225,d225b_8,d225b_6).
sbond_1(d225,d225b_9,d225b_6).
sbond_1(d226,d226_1,d226_7).
sbond_1(d226,d226_10,d226_6).
sbond_1(d226,d226_11,d226_12).
sbond_1(d226,d226_11,d226_13).
sbond_1(d226,d226_11,d226_14).
sbond_1(d226,d226_11,d226_4).
sbond_1(d226,d226_12,d226_11).
sbond_1(d226,d226_13,d226_11).
sbond_1(d226,d226_14,d226_11).
sbond_1(d226,d226_3,d226_8).
sbond_1(d226,d226_4,d226_11).
sbond_1(d226,d226_5,d226_9).
sbond_1(d226,d226_6,d226_10).
sbond_1(d226,d226_7,d226_1).
sbond_1(d226,d226_8,d226_3).
sbond_1(d226,d226_9,d226_5).
sbond_1(d227,d227_1,d227_2).
sbond_1(d227,d227_10,d227_3).
sbond_1(d227,d227_11,d227_3).
sbond_1(d227,d227_2,d227_1).
sbond_1(d227,d227_2,d227_3).
sbond_1(d227,d227_2,d227_4).
sbond_1(d227,d227_2,d227_5).
sbond_1(d227,d227_3,d227_10).
sbond_1(d227,d227_3,d227_11).
sbond_1(d227,d227_3,d227_2).
sbond_1(d227,d227_3,d227_6).
sbond_1(d227,d227_4,d227_2).
sbond_1(d227,d227_5,d227_2).
sbond_1(d227,d227_6,d227_3).
sbond_1(d227,d227_6,d227_7).
sbond_1(d227,d227_6,d227_8).
sbond_1(d227,d227_6,d227_9).
sbond_1(d227,d227_7,d227_6).
sbond_1(d227,d227_8,d227_6).
sbond_1(d227,d227_9,d227_6).
sbond_1(d228,d228_1,d228_2).
sbond_1(d228,d228_1,d228_3).
sbond_1(d228,d228_1,d228_4).
sbond_1(d228,d228_1,d228_5).
sbond_1(d228,d228_2,d228_1).
sbond_1(d228,d228_3,d228_1).
sbond_1(d228,d228_3,d228_6).
sbond_1(d228,d228_3,d228_7).
sbond_1(d228,d228_3,d228_8).
sbond_1(d228,d228_4,d228_1).
sbond_1(d228,d228_5,d228_1).
sbond_1(d228,d228_6,d228_3).
sbond_1(d228,d228_7,d228_3).
sbond_1(d228,d228_8,d228_3).
sbond_1(d229,d229_1,d229_2).
sbond_1(d229,d229_1,d229_3).
sbond_1(d229,d229_1,d229_4).
sbond_1(d229,d229_1,d229_5).
sbond_1(d229,d229_2,d229_1).
sbond_1(d229,d229_2,d229_6).
sbond_1(d229,d229_2,d229_7).
sbond_1(d229,d229_2,d229_8).
sbond_1(d229,d229_3,d229_1).
sbond_1(d229,d229_4,d229_1).
sbond_1(d229,d229_5,d229_1).
sbond_1(d229,d229_6,d229_2).
sbond_1(d229,d229_7,d229_2).
sbond_1(d229,d229_8,d229_2).
sbond_1(d230,d230_1,d230_2).
sbond_1(d230,d230_2,d230_1).
sbond_1(d230,d230_2,d230_4).
sbond_1(d230,d230_3,d230_5).
sbond_1(d230,d230_3,d230_6).
sbond_1(d230,d230_4,d230_2).
sbond_1(d230,d230_5,d230_3).
sbond_1(d230,d230_5,d230_7).
sbond_1(d230,d230_5,d230_8).
sbond_1(d230,d230_5,d230_9).
sbond_1(d230,d230_6,d230_3).
sbond_1(d230,d230_7,d230_5).
sbond_1(d230,d230_8,d230_5).
sbond_1(d230,d230_9,d230_5).
sbond_1(d231,d231_1,d231_7).
sbond_1(d231,d231_10,d231_5).
sbond_1(d231,d231_11,d231_12).
sbond_1(d231,d231_11,d231_6).
sbond_1(d231,d231_12,d231_11).
sbond_1(d231,d231_12,d231_13).
sbond_1(d231,d231_13,d231_12).
sbond_1(d231,d231_13,d231_14).
sbond_1(d231,d231_13,d231_18).
sbond_1(d231,d231_13,d231_19).
sbond_1(d231,d231_14,d231_13).
sbond_1(d231,d231_14,d231_15).
sbond_1(d231,d231_14,d231_20).
sbond_1(d231,d231_14,d231_21).
sbond_1(d231,d231_15,d231_14).
sbond_1(d231,d231_15,d231_16).
sbond_1(d231,d231_16,d231_15).
sbond_1(d231,d231_16,d231_17).
sbond_1(d231,d231_16,d231_29).
sbond_1(d231,d231_16,d231_32).
sbond_1(d231,d231_17,d231_16).
sbond_1(d231,d231_17,d231_18).
sbond_1(d231,d231_17,d231_22).
sbond_1(d231,d231_17,d231_23).
sbond_1(d231,d231_18,d231_13).
sbond_1(d231,d231_18,d231_17).
sbond_1(d231,d231_18,d231_24).
sbond_1(d231,d231_18,d231_25).
sbond_1(d231,d231_19,d231_13).
sbond_1(d231,d231_2,d231_8).
sbond_1(d231,d231_20,d231_14).
sbond_1(d231,d231_21,d231_14).
sbond_1(d231,d231_22,d231_17).
sbond_1(d231,d231_23,d231_17).
sbond_1(d231,d231_24,d231_18).
sbond_1(d231,d231_25,d231_18).
sbond_1(d231,d231_26,d231_27).
sbond_1(d231,d231_26,d231_67).
sbond_1(d231,d231_27,d231_26).
sbond_1(d231,d231_27,d231_28).
sbond_1(d231,d231_27,d231_30).
sbond_1(d231,d231_27,d231_31).
sbond_1(d231,d231_28,d231_27).
sbond_1(d231,d231_28,d231_29).
sbond_1(d231,d231_28,d231_33).
sbond_1(d231,d231_28,d231_38).
sbond_1(d231,d231_29,d231_16).
sbond_1(d231,d231_29,d231_28).
sbond_1(d231,d231_29,d231_36).
sbond_1(d231,d231_29,d231_37).
sbond_1(d231,d231_3,d231_52).
sbond_1(d231,d231_30,d231_27).
sbond_1(d231,d231_31,d231_27).
sbond_1(d231,d231_32,d231_16).
sbond_1(d231,d231_33,d231_28).
sbond_1(d231,d231_33,d231_34).
sbond_1(d231,d231_33,d231_43).
sbond_1(d231,d231_33,d231_46).
sbond_1(d231,d231_34,d231_33).
sbond_1(d231,d231_34,d231_35).
sbond_1(d231,d231_34,d231_45).
sbond_1(d231,d231_34,d231_68).
sbond_1(d231,d231_35,d231_34).
sbond_1(d231,d231_35,d231_36).
sbond_1(d231,d231_35,d231_39).
sbond_1(d231,d231_35,d231_40).
sbond_1(d231,d231_36,d231_29).
sbond_1(d231,d231_36,d231_35).
sbond_1(d231,d231_36,d231_41).
sbond_1(d231,d231_36,d231_42).
sbond_1(d231,d231_37,d231_29).
sbond_1(d231,d231_38,d231_28).
sbond_1(d231,d231_39,d231_35).
sbond_1(d231,d231_4,d231_9).
sbond_1(d231,d231_40,d231_35).
sbond_1(d231,d231_41,d231_36).
sbond_1(d231,d231_42,d231_36).
sbond_1(d231,d231_43,d231_33).
sbond_1(d231,d231_43,d231_44).
sbond_1(d231,d231_43,d231_47).
sbond_1(d231,d231_43,d231_48).
sbond_1(d231,d231_44,d231_43).
sbond_1(d231,d231_44,d231_45).
sbond_1(d231,d231_44,d231_49).
sbond_1(d231,d231_44,d231_50).
sbond_1(d231,d231_45,d231_34).
sbond_1(d231,d231_45,d231_44).
sbond_1(d231,d231_45,d231_72).
sbond_1(d231,d231_45,d231_73).
sbond_1(d231,d231_46,d231_33).
sbond_1(d231,d231_47,d231_43).
sbond_1(d231,d231_48,d231_43).
sbond_1(d231,d231_49,d231_44).
sbond_1(d231,d231_5,d231_10).
sbond_1(d231,d231_50,d231_44).
sbond_1(d231,d231_52,d231_3).
sbond_1(d231,d231_52,d231_53).
sbond_1(d231,d231_52,d231_60).
sbond_1(d231,d231_53,d231_52).
sbond_1(d231,d231_53,d231_54).
sbond_1(d231,d231_53,d231_55).
sbond_1(d231,d231_53,d231_56).
sbond_1(d231,d231_54,d231_53).
sbond_1(d231,d231_54,d231_57).
sbond_1(d231,d231_54,d231_58).
sbond_1(d231,d231_54,d231_59).
sbond_1(d231,d231_55,d231_53).
sbond_1(d231,d231_56,d231_53).
sbond_1(d231,d231_57,d231_54).
sbond_1(d231,d231_58,d231_54).
sbond_1(d231,d231_59,d231_54).
sbond_1(d231,d231_6,d231_11).
sbond_1(d231,d231_60,d231_52).
sbond_1(d231,d231_60,d231_61).
sbond_1(d231,d231_60,d231_62).
sbond_1(d231,d231_60,d231_63).
sbond_1(d231,d231_61,d231_60).
sbond_1(d231,d231_61,d231_64).
sbond_1(d231,d231_61,d231_65).
sbond_1(d231,d231_61,d231_66).
sbond_1(d231,d231_62,d231_60).
sbond_1(d231,d231_63,d231_60).
sbond_1(d231,d231_64,d231_61).
sbond_1(d231,d231_65,d231_61).
sbond_1(d231,d231_66,d231_61).
sbond_1(d231,d231_67,d231_26).
sbond_1(d231,d231_68,d231_34).
sbond_1(d231,d231_68,d231_69).
sbond_1(d231,d231_68,d231_70).
sbond_1(d231,d231_68,d231_71).
sbond_1(d231,d231_69,d231_68).
sbond_1(d231,d231_7,d231_1).
sbond_1(d231,d231_70,d231_68).
sbond_1(d231,d231_71,d231_68).
sbond_1(d231,d231_72,d231_45).
sbond_1(d231,d231_72,d231_74).
sbond_1(d231,d231_72,d231_78).
sbond_1(d231,d231_72,d231_79).
sbond_1(d231,d231_73,d231_45).
sbond_1(d231,d231_74,d231_72).
sbond_1(d231,d231_74,d231_75).
sbond_1(d231,d231_74,d231_76).
sbond_1(d231,d231_74,d231_77).
sbond_1(d231,d231_75,d231_74).
sbond_1(d231,d231_76,d231_74).
sbond_1(d231,d231_77,d231_74).
sbond_1(d231,d231_78,d231_72).
sbond_1(d231,d231_78,d231_80).
sbond_1(d231,d231_78,d231_81).
sbond_1(d231,d231_78,d231_82).
sbond_1(d231,d231_79,d231_72).
sbond_1(d231,d231_8,d231_2).
sbond_1(d231,d231_80,d231_78).
sbond_1(d231,d231_80,d231_83).
sbond_1(d231,d231_80,d231_84).
sbond_1(d231,d231_80,d231_85).
sbond_1(d231,d231_81,d231_78).
sbond_1(d231,d231_82,d231_78).
sbond_1(d231,d231_83,d231_80).
sbond_1(d231,d231_83,d231_86).
sbond_1(d231,d231_83,d231_87).
sbond_1(d231,d231_83,d231_88).
sbond_1(d231,d231_84,d231_80).
sbond_1(d231,d231_85,d231_80).
sbond_1(d231,d231_86,d231_83).
sbond_1(d231,d231_86,d231_89).
sbond_1(d231,d231_86,d231_93).
sbond_1(d231,d231_86,d231_94).
sbond_1(d231,d231_87,d231_83).
sbond_1(d231,d231_88,d231_83).
sbond_1(d231,d231_89,d231_86).
sbond_1(d231,d231_89,d231_90).
sbond_1(d231,d231_89,d231_91).
sbond_1(d231,d231_89,d231_92).
sbond_1(d231,d231_9,d231_4).
sbond_1(d231,d231_90,d231_89).
sbond_1(d231,d231_91,d231_89).
sbond_1(d231,d231_92,d231_89).
sbond_1(d231,d231_93,d231_86).
sbond_1(d231,d231_93,d231_95).
sbond_1(d231,d231_93,d231_96).
sbond_1(d231,d231_93,d231_97).
sbond_1(d231,d231_94,d231_86).
sbond_1(d231,d231_95,d231_93).
sbond_1(d231,d231_96,d231_93).
sbond_1(d231,d231_97,d231_93).
sbond_1(d232,d232_1,d232_2).
sbond_1(d232,d232_1,d232_7).
sbond_1(d232,d232_1,d232_8).
sbond_1(d232,d232_1,d232_9).
sbond_1(d232,d232_10,d232_2).
sbond_1(d232,d232_2,d232_1).
sbond_1(d232,d232_2,d232_10).
sbond_1(d232,d232_2,d232_3).
sbond_1(d232,d232_2,d232_7).
sbond_1(d232,d232_3,d232_2).
sbond_1(d232,d232_3,d232_4).
sbond_1(d232,d232_3,d232_5).
sbond_1(d232,d232_3,d232_6).
sbond_1(d232,d232_4,d232_3).
sbond_1(d232,d232_5,d232_3).
sbond_1(d232,d232_6,d232_3).
sbond_1(d232,d232_7,d232_1).
sbond_1(d232,d232_7,d232_2).
sbond_1(d232,d232_8,d232_1).
sbond_1(d232,d232_9,d232_1).
sbond_1(d233,d233_1,d233_12).
sbond_1(d233,d233_10,d233_4).
sbond_1(d233,d233_11,d233_2).
sbond_1(d233,d233_12,d233_1).
sbond_1(d233,d233_12,d233_13).
sbond_1(d233,d233_13,d233_12).
sbond_1(d233,d233_13,d233_16).
sbond_1(d233,d233_14,d233_15).
sbond_1(d233,d233_14,d233_28).
sbond_1(d233,d233_15,d233_14).
sbond_1(d233,d233_16,d233_13).
sbond_1(d233,d233_16,d233_18).
sbond_1(d233,d233_16,d233_23).
sbond_1(d233,d233_18,d233_16).
sbond_1(d233,d233_18,d233_19).
sbond_1(d233,d233_19,d233_18).
sbond_1(d233,d233_19,d233_20).
sbond_1(d233,d233_19,d233_21).
sbond_1(d233,d233_19,d233_22).
sbond_1(d233,d233_2,d233_11).
sbond_1(d233,d233_20,d233_19).
sbond_1(d233,d233_21,d233_19).
sbond_1(d233,d233_22,d233_19).
sbond_1(d233,d233_23,d233_16).
sbond_1(d233,d233_23,d233_24).
sbond_1(d233,d233_24,d233_23).
sbond_1(d233,d233_24,d233_25).
sbond_1(d233,d233_24,d233_26).
sbond_1(d233,d233_24,d233_27).
sbond_1(d233,d233_25,d233_24).
sbond_1(d233,d233_26,d233_24).
sbond_1(d233,d233_27,d233_24).
sbond_1(d233,d233_28,d233_14).
sbond_1(d233,d233_3,d233_7).
sbond_1(d233,d233_4,d233_10).
sbond_1(d233,d233_5,d233_9).
sbond_1(d233,d233_6,d233_8).
sbond_1(d233,d233_7,d233_3).
sbond_1(d233,d233_8,d233_6).
sbond_1(d233,d233_9,d233_5).
sbond_1(d234,d234_1,d234_2).
sbond_1(d234,d234_1,d234_3).
sbond_1(d234,d234_1,d234_4).
sbond_1(d234,d234_1,d234_5).
sbond_1(d234,d234_10,d234_9).
sbond_1(d234,d234_11,d234_9).
sbond_1(d234,d234_12,d234_9).
sbond_1(d234,d234_13,d234_14).
sbond_1(d234,d234_13,d234_15).
sbond_1(d234,d234_13,d234_16).
sbond_1(d234,d234_13,d234_7).
sbond_1(d234,d234_14,d234_13).
sbond_1(d234,d234_15,d234_13).
sbond_1(d234,d234_16,d234_13).
sbond_1(d234,d234_2,d234_1).
sbond_1(d234,d234_2,d234_6).
sbond_1(d234,d234_3,d234_1).
sbond_1(d234,d234_4,d234_1).
sbond_1(d234,d234_5,d234_1).
sbond_1(d234,d234_6,d234_2).
sbond_1(d234,d234_6,d234_7).
sbond_1(d234,d234_6,d234_8).
sbond_1(d234,d234_7,d234_13).
sbond_1(d234,d234_7,d234_6).
sbond_1(d234,d234_8,d234_6).
sbond_1(d234,d234_8,d234_9).
sbond_1(d234,d234_9,d234_10).
sbond_1(d234,d234_9,d234_11).
sbond_1(d234,d234_9,d234_12).
sbond_1(d234,d234_9,d234_8).
sbond_1(d235,d235_1,d235_14).
sbond_1(d235,d235_1,d235_16).
sbond_1(d235,d235_1,d235_3).
sbond_1(d235,d235_10,d235_5).
sbond_1(d235,d235_11,d235_9).
sbond_1(d235,d235_12,d235_9).
sbond_1(d235,d235_13,d235_9).
sbond_1(d235,d235_14,d235_1).
sbond_1(d235,d235_14,d235_15).
sbond_1(d235,d235_15,d235_14).
sbond_1(d235,d235_15,d235_18).
sbond_1(d235,d235_15,d235_19).
sbond_1(d235,d235_15,d235_20).
sbond_1(d235,d235_16,d235_1).
sbond_1(d235,d235_16,d235_17).
sbond_1(d235,d235_17,d235_16).
sbond_1(d235,d235_17,d235_27).
sbond_1(d235,d235_17,d235_28).
sbond_1(d235,d235_17,d235_29).
sbond_1(d235,d235_18,d235_15).
sbond_1(d235,d235_18,d235_21).
sbond_1(d235,d235_18,d235_25).
sbond_1(d235,d235_18,d235_26).
sbond_1(d235,d235_19,d235_15).
sbond_1(d235,d235_20,d235_15).
sbond_1(d235,d235_21,d235_18).
sbond_1(d235,d235_21,d235_22).
sbond_1(d235,d235_21,d235_23).
sbond_1(d235,d235_21,d235_24).
sbond_1(d235,d235_22,d235_21).
sbond_1(d235,d235_23,d235_21).
sbond_1(d235,d235_24,d235_21).
sbond_1(d235,d235_25,d235_18).
sbond_1(d235,d235_26,d235_18).
sbond_1(d235,d235_27,d235_17).
sbond_1(d235,d235_27,d235_30).
sbond_1(d235,d235_27,d235_31).
sbond_1(d235,d235_27,d235_32).
sbond_1(d235,d235_28,d235_17).
sbond_1(d235,d235_29,d235_17).
sbond_1(d235,d235_3,d235_1).
sbond_1(d235,d235_3,d235_4).
sbond_1(d235,d235_30,d235_27).
sbond_1(d235,d235_30,d235_33).
sbond_1(d235,d235_30,d235_34).
sbond_1(d235,d235_30,d235_35).
sbond_1(d235,d235_31,d235_27).
sbond_1(d235,d235_32,d235_27).
sbond_1(d235,d235_33,d235_30).
sbond_1(d235,d235_34,d235_30).
sbond_1(d235,d235_35,d235_30).
sbond_1(d235,d235_4,d235_3).
sbond_1(d235,d235_4,d235_5).
sbond_1(d235,d235_4,d235_6).
sbond_1(d235,d235_4,d235_7).
sbond_1(d235,d235_5,d235_10).
sbond_1(d235,d235_5,d235_4).
sbond_1(d235,d235_5,d235_8).
sbond_1(d235,d235_5,d235_9).
sbond_1(d235,d235_6,d235_4).
sbond_1(d235,d235_7,d235_4).
sbond_1(d235,d235_8,d235_5).
sbond_1(d235,d235_9,d235_11).
sbond_1(d235,d235_9,d235_12).
sbond_1(d235,d235_9,d235_13).
sbond_1(d235,d235_9,d235_5).
sbond_1(d236,d236_1,d236_5).
sbond_1(d236,d236_1,d236_9).
sbond_1(d236,d236_10,d236_9).
sbond_1(d236,d236_11,d236_9).
sbond_1(d236,d236_12,d236_9).
sbond_1(d236,d236_2,d236_3).
sbond_1(d236,d236_2,d236_4).
sbond_1(d236,d236_3,d236_2).
sbond_1(d236,d236_4,d236_2).
sbond_1(d236,d236_5,d236_1).
sbond_1(d236,d236_5,d236_6).
sbond_1(d236,d236_5,d236_7).
sbond_1(d236,d236_5,d236_8).
sbond_1(d236,d236_6,d236_5).
sbond_1(d236,d236_7,d236_5).
sbond_1(d236,d236_8,d236_5).
sbond_1(d236,d236_9,d236_1).
sbond_1(d236,d236_9,d236_10).
sbond_1(d236,d236_9,d236_11).
sbond_1(d236,d236_9,d236_12).
sbond_1(d237,d237_1,d237_13).
sbond_1(d237,d237_1,d237_3).
sbond_1(d237,d237_1,d237_4).
sbond_1(d237,d237_10,d237_9).
sbond_1(d237,d237_11,d237_9).
sbond_1(d237,d237_12,d237_9).
sbond_1(d237,d237_13,d237_1).
sbond_1(d237,d237_13,d237_14).
sbond_1(d237,d237_14,d237_13).
sbond_1(d237,d237_14,d237_16).
sbond_1(d237,d237_15,d237_17).
sbond_1(d237,d237_15,d237_18).
sbond_1(d237,d237_16,d237_14).
sbond_1(d237,d237_17,d237_15).
sbond_1(d237,d237_18,d237_15).
sbond_1(d237,d237_3,d237_1).
sbond_1(d237,d237_3,d237_9).
sbond_1(d237,d237_4,d237_1).
sbond_1(d237,d237_4,d237_5).
sbond_1(d237,d237_5,d237_4).
sbond_1(d237,d237_5,d237_6).
sbond_1(d237,d237_5,d237_7).
sbond_1(d237,d237_5,d237_8).
sbond_1(d237,d237_6,d237_5).
sbond_1(d237,d237_7,d237_5).
sbond_1(d237,d237_8,d237_5).
sbond_1(d237,d237_9,d237_10).
sbond_1(d237,d237_9,d237_11).
sbond_1(d237,d237_9,d237_12).
sbond_1(d237,d237_9,d237_3).
sbond_1(d238,d238_1,d238_7).
sbond_1(d238,d238_10,d238_6).
sbond_1(d238,d238_11,d238_12).
sbond_1(d238,d238_11,d238_18).
sbond_1(d238,d238_11,d238_19).
sbond_1(d238,d238_11,d238_20).
sbond_1(d238,d238_12,d238_11).
sbond_1(d238,d238_12,d238_13).
sbond_1(d238,d238_12,d238_14).
sbond_1(d238,d238_12,d238_15).
sbond_1(d238,d238_13,d238_12).
sbond_1(d238,d238_13,d238_14).
sbond_1(d238,d238_13,d238_16).
sbond_1(d238,d238_13,d238_17).
sbond_1(d238,d238_14,d238_12).
sbond_1(d238,d238_14,d238_13).
sbond_1(d238,d238_15,d238_12).
sbond_1(d238,d238_16,d238_13).
sbond_1(d238,d238_17,d238_13).
sbond_1(d238,d238_18,d238_11).
sbond_1(d238,d238_18,d238_5).
sbond_1(d238,d238_19,d238_11).
sbond_1(d238,d238_2,d238_8).
sbond_1(d238,d238_20,d238_11).
sbond_1(d238,d238_21,d238_22).
sbond_1(d238,d238_21,d238_3).
sbond_1(d238,d238_22,d238_21).
sbond_1(d238,d238_22,d238_23).
sbond_1(d238,d238_22,d238_24).
sbond_1(d238,d238_22,d238_25).
sbond_1(d238,d238_23,d238_22).
sbond_1(d238,d238_23,d238_26).
sbond_1(d238,d238_23,d238_27).
sbond_1(d238,d238_23,d238_28).
sbond_1(d238,d238_24,d238_22).
sbond_1(d238,d238_25,d238_22).
sbond_1(d238,d238_26,d238_23).
sbond_1(d238,d238_26,d238_27).
sbond_1(d238,d238_26,d238_29).
sbond_1(d238,d238_26,d238_30).
sbond_1(d238,d238_27,d238_23).
sbond_1(d238,d238_27,d238_26).
sbond_1(d238,d238_28,d238_23).
sbond_1(d238,d238_29,d238_26).
sbond_1(d238,d238_3,d238_21).
sbond_1(d238,d238_30,d238_26).
sbond_1(d238,d238_4,d238_9).
sbond_1(d238,d238_5,d238_18).
sbond_1(d238,d238_6,d238_10).
sbond_1(d238,d238_7,d238_1).
sbond_1(d238,d238_8,d238_2).
sbond_1(d238,d238_9,d238_4).
sbond_1(d239,d239_1,d239_2).
sbond_1(d239,d239_1,d239_6).
sbond_1(d239,d239_1,d239_7).
sbond_1(d239,d239_1,d239_8).
sbond_1(d239,d239_2,d239_1).
sbond_1(d239,d239_2,d239_3).
sbond_1(d239,d239_2,d239_4).
sbond_1(d239,d239_2,d239_5).
sbond_1(d239,d239_3,d239_2).
sbond_1(d239,d239_4,d239_2).
sbond_1(d239,d239_5,d239_2).
sbond_1(d239,d239_6,d239_1).
sbond_1(d239,d239_7,d239_1).
sbond_1(d239,d239_8,d239_1).
sbond_1(d23_1,d23_1_1,d23_1_23).
sbond_1(d23_1,d23_1_10,d23_1_6).
sbond_1(d23_1,d23_1_11,d23_1_21).
sbond_1(d23_1,d23_1_12,d23_1_17).
sbond_1(d23_1,d23_1_13,d23_1_18).
sbond_1(d23_1,d23_1_14,d23_1_22).
sbond_1(d23_1,d23_1_15,d23_1_19).
sbond_1(d23_1,d23_1_16,d23_1_20).
sbond_1(d23_1,d23_1_17,d23_1_12).
sbond_1(d23_1,d23_1_18,d23_1_13).
sbond_1(d23_1,d23_1_19,d23_1_15).
sbond_1(d23_1,d23_1_2,d23_1_7).
sbond_1(d23_1,d23_1_20,d23_1_16).
sbond_1(d23_1,d23_1_21,d23_1_11).
sbond_1(d23_1,d23_1_21,d23_1_4).
sbond_1(d23_1,d23_1_22,d23_1_14).
sbond_1(d23_1,d23_1_22,d23_1_26).
sbond_1(d23_1,d23_1_22,d23_1_27).
sbond_1(d23_1,d23_1_23,d23_1_1).
sbond_1(d23_1,d23_1_23,d23_1_24).
sbond_1(d23_1,d23_1_23,d23_1_25).
sbond_1(d23_1,d23_1_24,d23_1_23).
sbond_1(d23_1,d23_1_25,d23_1_23).
sbond_1(d23_1,d23_1_26,d23_1_22).
sbond_1(d23_1,d23_1_27,d23_1_22).
sbond_1(d23_1,d23_1_3,d23_1_8).
sbond_1(d23_1,d23_1_4,d23_1_21).
sbond_1(d23_1,d23_1_5,d23_1_9).
sbond_1(d23_1,d23_1_6,d23_1_10).
sbond_1(d23_1,d23_1_7,d23_1_2).
sbond_1(d23_1,d23_1_8,d23_1_3).
sbond_1(d23_1,d23_1_9,d23_1_5).
sbond_1(d23_2,d23_2_1,d23_2_7).
sbond_1(d23_2,d23_2_10,d23_2_5).
sbond_1(d23_2,d23_2_11,d23_2_6).
sbond_1(d23_2,d23_2_12,d23_2_21).
sbond_1(d23_2,d23_2_13,d23_2_18).
sbond_1(d23_2,d23_2_14,d23_2_19).
sbond_1(d23_2,d23_2_15,d23_2_23).
sbond_1(d23_2,d23_2_17,d23_2_22).
sbond_1(d23_2,d23_2_18,d23_2_13).
sbond_1(d23_2,d23_2_19,d23_2_14).
sbond_1(d23_2,d23_2_2,d23_2_8).
sbond_1(d23_2,d23_2_20,d23_2_4).
sbond_1(d23_2,d23_2_21,d23_2_12).
sbond_1(d23_2,d23_2_22,d23_2_17).
sbond_1(d23_2,d23_2_22,d23_2_24).
sbond_1(d23_2,d23_2_22,d23_2_25).
sbond_1(d23_2,d23_2_23,d23_2_15).
sbond_1(d23_2,d23_2_23,d23_2_26).
sbond_1(d23_2,d23_2_23,d23_2_27).
sbond_1(d23_2,d23_2_24,d23_2_22).
sbond_1(d23_2,d23_2_25,d23_2_22).
sbond_1(d23_2,d23_2_26,d23_2_23).
sbond_1(d23_2,d23_2_27,d23_2_23).
sbond_1(d23_2,d23_2_3,d23_2_9).
sbond_1(d23_2,d23_2_4,d23_2_20).
sbond_1(d23_2,d23_2_5,d23_2_10).
sbond_1(d23_2,d23_2_6,d23_2_11).
sbond_1(d23_2,d23_2_7,d23_2_1).
sbond_1(d23_2,d23_2_8,d23_2_2).
sbond_1(d23_2,d23_2_9,d23_2_3).
sbond_1(d24,d24_1,d24_23).
sbond_1(d24,d24_10,d24_6).
sbond_1(d24,d24_11,d24_21).
sbond_1(d24,d24_12,d24_17).
sbond_1(d24,d24_13,d24_18).
sbond_1(d24,d24_14,d24_22).
sbond_1(d24,d24_15,d24_19).
sbond_1(d24,d24_16,d24_20).
sbond_1(d24,d24_17,d24_12).
sbond_1(d24,d24_18,d24_13).
sbond_1(d24,d24_19,d24_15).
sbond_1(d24,d24_2,d24_7).
sbond_1(d24,d24_20,d24_16).
sbond_1(d24,d24_21,d24_11).
sbond_1(d24,d24_21,d24_4).
sbond_1(d24,d24_22,d24_14).
sbond_1(d24,d24_22,d24_26).
sbond_1(d24,d24_22,d24_27).
sbond_1(d24,d24_23,d24_1).
sbond_1(d24,d24_23,d24_24).
sbond_1(d24,d24_23,d24_25).
sbond_1(d24,d24_24,d24_23).
sbond_1(d24,d24_25,d24_23).
sbond_1(d24,d24_26,d24_22).
sbond_1(d24,d24_27,d24_22).
sbond_1(d24,d24_3,d24_8).
sbond_1(d24,d24_4,d24_21).
sbond_1(d24,d24_5,d24_9).
sbond_1(d24,d24_6,d24_10).
sbond_1(d24,d24_7,d24_2).
sbond_1(d24,d24_8,d24_3).
sbond_1(d24,d24_9,d24_5).
sbond_1(d240,d240_1,d240_2).
sbond_1(d240,d240_1,d240_3).
sbond_1(d240,d240_1,d240_4).
sbond_1(d240,d240_1,d240_5).
sbond_1(d240,d240_10,d240_6).
sbond_1(d240,d240_11,d240_8).
sbond_1(d240,d240_2,d240_1).
sbond_1(d240,d240_2,d240_3).
sbond_1(d240,d240_2,d240_6).
sbond_1(d240,d240_2,d240_7).
sbond_1(d240,d240_3,d240_1).
sbond_1(d240,d240_3,d240_2).
sbond_1(d240,d240_4,d240_1).
sbond_1(d240,d240_5,d240_1).
sbond_1(d240,d240_6,d240_10).
sbond_1(d240,d240_6,d240_2).
sbond_1(d240,d240_6,d240_8).
sbond_1(d240,d240_6,d240_9).
sbond_1(d240,d240_7,d240_2).
sbond_1(d240,d240_8,d240_11).
sbond_1(d240,d240_8,d240_6).
sbond_1(d240,d240_9,d240_6).
sbond_1(d241,d241_1,d241_2).
sbond_1(d241,d241_1,d241_3).
sbond_1(d241,d241_1,d241_4).
sbond_1(d241,d241_1,d241_5).
sbond_1(d241,d241_10,d241_7).
sbond_1(d241,d241_11,d241_7).
sbond_1(d241,d241_12,d241_3).
sbond_1(d241,d241_13,d241_6).
sbond_1(d241,d241_2,d241_1).
sbond_1(d241,d241_2,d241_6).
sbond_1(d241,d241_2,d241_7).
sbond_1(d241,d241_2,d241_8).
sbond_1(d241,d241_3,d241_1).
sbond_1(d241,d241_3,d241_12).
sbond_1(d241,d241_4,d241_1).
sbond_1(d241,d241_5,d241_1).
sbond_1(d241,d241_6,d241_13).
sbond_1(d241,d241_6,d241_2).
sbond_1(d241,d241_7,d241_10).
sbond_1(d241,d241_7,d241_11).
sbond_1(d241,d241_7,d241_2).
sbond_1(d241,d241_7,d241_9).
sbond_1(d241,d241_8,d241_2).
sbond_1(d241,d241_9,d241_7).
sbond_1(d242,d242_1,d242_13).
sbond_1(d242,d242_1,d242_15).
sbond_1(d242,d242_1,d242_2).
sbond_1(d242,d242_1,d242_6).
sbond_1(d242,d242_10,d242_3).
sbond_1(d242,d242_11,d242_5).
sbond_1(d242,d242_12,d242_5).
sbond_1(d242,d242_13,d242_1).
sbond_1(d242,d242_13,d242_6).
sbond_1(d242,d242_14,d242_6).
sbond_1(d242,d242_15,d242_1).
sbond_1(d242,d242_16,d242_18).
sbond_1(d242,d242_16,d242_19).
sbond_1(d242,d242_16,d242_20).
sbond_1(d242,d242_16,d242_4).
sbond_1(d242,d242_17,d242_4).
sbond_1(d242,d242_18,d242_16).
sbond_1(d242,d242_18,d242_19).
sbond_1(d242,d242_18,d242_21).
sbond_1(d242,d242_18,d242_22).
sbond_1(d242,d242_19,d242_16).
sbond_1(d242,d242_19,d242_18).
sbond_1(d242,d242_2,d242_1).
sbond_1(d242,d242_2,d242_3).
sbond_1(d242,d242_2,d242_7).
sbond_1(d242,d242_2,d242_8).
sbond_1(d242,d242_20,d242_16).
sbond_1(d242,d242_21,d242_18).
sbond_1(d242,d242_22,d242_18).
sbond_1(d242,d242_3,d242_10).
sbond_1(d242,d242_3,d242_2).
sbond_1(d242,d242_3,d242_4).
sbond_1(d242,d242_3,d242_9).
sbond_1(d242,d242_4,d242_16).
sbond_1(d242,d242_4,d242_17).
sbond_1(d242,d242_4,d242_3).
sbond_1(d242,d242_4,d242_5).
sbond_1(d242,d242_5,d242_11).
sbond_1(d242,d242_5,d242_12).
sbond_1(d242,d242_5,d242_4).
sbond_1(d242,d242_5,d242_6).
sbond_1(d242,d242_6,d242_1).
sbond_1(d242,d242_6,d242_13).
sbond_1(d242,d242_6,d242_14).
sbond_1(d242,d242_6,d242_5).
sbond_1(d242,d242_7,d242_2).
sbond_1(d242,d242_8,d242_2).
sbond_1(d242,d242_9,d242_3).
sbond_1(d243,d243_1,d243_2).
sbond_1(d243,d243_1,d243_3).
sbond_1(d243,d243_1,d243_4).
sbond_1(d243,d243_1,d243_5).
sbond_1(d243,d243_10,d243_12).
sbond_1(d243,d243_10,d243_3).
sbond_1(d243,d243_11,d243_3).
sbond_1(d243,d243_12,d243_10).
sbond_1(d243,d243_12,d243_13).
sbond_1(d243,d243_12,d243_17).
sbond_1(d243,d243_12,d243_18).
sbond_1(d243,d243_13,d243_12).
sbond_1(d243,d243_13,d243_14).
sbond_1(d243,d243_13,d243_15).
sbond_1(d243,d243_13,d243_16).
sbond_1(d243,d243_14,d243_13).
sbond_1(d243,d243_15,d243_13).
sbond_1(d243,d243_16,d243_13).
sbond_1(d243,d243_17,d243_12).
sbond_1(d243,d243_17,d243_19).
sbond_1(d243,d243_17,d243_20).
sbond_1(d243,d243_17,d243_21).
sbond_1(d243,d243_18,d243_12).
sbond_1(d243,d243_19,d243_17).
sbond_1(d243,d243_2,d243_1).
sbond_1(d243,d243_20,d243_17).
sbond_1(d243,d243_21,d243_17).
sbond_1(d243,d243_3,d243_1).
sbond_1(d243,d243_3,d243_10).
sbond_1(d243,d243_3,d243_11).
sbond_1(d243,d243_3,d243_6).
sbond_1(d243,d243_4,d243_1).
sbond_1(d243,d243_5,d243_1).
sbond_1(d243,d243_6,d243_3).
sbond_1(d243,d243_6,d243_7).
sbond_1(d243,d243_6,d243_8).
sbond_1(d243,d243_6,d243_9).
sbond_1(d243,d243_7,d243_6).
sbond_1(d243,d243_8,d243_6).
sbond_1(d243,d243_9,d243_6).
sbond_1(d244,d244_1,d244_3).
sbond_1(d244,d244_1,d244_4).
sbond_1(d244,d244_1,d244_5).
sbond_1(d244,d244_10,d244_11).
sbond_1(d244,d244_10,d244_12).
sbond_1(d244,d244_10,d244_13).
sbond_1(d244,d244_10,d244_5).
sbond_1(d244,d244_11,d244_10).
sbond_1(d244,d244_12,d244_10).
sbond_1(d244,d244_13,d244_10).
sbond_1(d244,d244_3,d244_1).
sbond_1(d244,d244_3,d244_6).
sbond_1(d244,d244_4,d244_1).
sbond_1(d244,d244_5,d244_1).
sbond_1(d244,d244_5,d244_10).
sbond_1(d244,d244_6,d244_3).
sbond_1(d244,d244_6,d244_7).
sbond_1(d244,d244_6,d244_8).
sbond_1(d244,d244_6,d244_9).
sbond_1(d244,d244_7,d244_6).
sbond_1(d244,d244_8,d244_6).
sbond_1(d244,d244_9,d244_6).
sbond_1(d245,d245_1,d245_10).
sbond_1(d245,d245_1,d245_11).
sbond_1(d245,d245_1,d245_12).
sbond_1(d245,d245_1,d245_2).
sbond_1(d245,d245_10,d245_1).
sbond_1(d245,d245_10,d245_2).
sbond_1(d245,d245_11,d245_1).
sbond_1(d245,d245_12,d245_1).
sbond_1(d245,d245_13,d245_2).
sbond_1(d245,d245_2,d245_1).
sbond_1(d245,d245_2,d245_10).
sbond_1(d245,d245_2,d245_13).
sbond_1(d245,d245_2,d245_3).
sbond_1(d245,d245_3,d245_2).
sbond_1(d245,d245_3,d245_4).
sbond_1(d245,d245_3,d245_5).
sbond_1(d245,d245_3,d245_6).
sbond_1(d245,d245_4,d245_3).
sbond_1(d245,d245_4,d245_7).
sbond_1(d245,d245_4,d245_8).
sbond_1(d245,d245_4,d245_9).
sbond_1(d245,d245_5,d245_3).
sbond_1(d245,d245_6,d245_3).
sbond_1(d245,d245_7,d245_4).
sbond_1(d245,d245_8,d245_4).
sbond_1(d245,d245_9,d245_4).
sbond_1(d246,d246_1,d246_7).
sbond_1(d246,d246_10,d246_6).
sbond_1(d246,d246_11,d246_12).
sbond_1(d246,d246_11,d246_19).
sbond_1(d246,d246_11,d246_5).
sbond_1(d246,d246_12,d246_11).
sbond_1(d246,d246_12,d246_13).
sbond_1(d246,d246_12,d246_14).
sbond_1(d246,d246_12,d246_15).
sbond_1(d246,d246_13,d246_12).
sbond_1(d246,d246_13,d246_16).
sbond_1(d246,d246_13,d246_17).
sbond_1(d246,d246_13,d246_18).
sbond_1(d246,d246_14,d246_12).
sbond_1(d246,d246_15,d246_12).
sbond_1(d246,d246_16,d246_13).
sbond_1(d246,d246_17,d246_13).
sbond_1(d246,d246_18,d246_13).
sbond_1(d246,d246_19,d246_11).
sbond_1(d246,d246_19,d246_20).
sbond_1(d246,d246_19,d246_21).
sbond_1(d246,d246_19,d246_22).
sbond_1(d246,d246_2,d246_26).
sbond_1(d246,d246_20,d246_19).
sbond_1(d246,d246_20,d246_23).
sbond_1(d246,d246_20,d246_24).
sbond_1(d246,d246_20,d246_25).
sbond_1(d246,d246_21,d246_19).
sbond_1(d246,d246_22,d246_19).
sbond_1(d246,d246_23,d246_20).
sbond_1(d246,d246_24,d246_20).
sbond_1(d246,d246_25,d246_20).
sbond_1(d246,d246_26,d246_2).
sbond_1(d246,d246_26,d246_27).
sbond_1(d246,d246_27,d246_26).
sbond_1(d246,d246_27,d246_28).
sbond_1(d246,d246_28,d246_27).
sbond_1(d246,d246_3,d246_8).
sbond_1(d246,d246_30,d246_35).
sbond_1(d246,d246_31,d246_38).
sbond_1(d246,d246_32,d246_41).
sbond_1(d246,d246_33,d246_36).
sbond_1(d246,d246_34,d246_37).
sbond_1(d246,d246_35,d246_30).
sbond_1(d246,d246_36,d246_33).
sbond_1(d246,d246_37,d246_34).
sbond_1(d246,d246_38,d246_31).
sbond_1(d246,d246_38,d246_39).
sbond_1(d246,d246_38,d246_42).
sbond_1(d246,d246_38,d246_43).
sbond_1(d246,d246_39,d246_38).
sbond_1(d246,d246_39,d246_40).
sbond_1(d246,d246_39,d246_44).
sbond_1(d246,d246_39,d246_45).
sbond_1(d246,d246_4,d246_9).
sbond_1(d246,d246_40,d246_39).
sbond_1(d246,d246_40,d246_41).
sbond_1(d246,d246_40,d246_46).
sbond_1(d246,d246_40,d246_51).
sbond_1(d246,d246_41,d246_32).
sbond_1(d246,d246_41,d246_40).
sbond_1(d246,d246_41,d246_49).
sbond_1(d246,d246_41,d246_50).
sbond_1(d246,d246_42,d246_38).
sbond_1(d246,d246_43,d246_38).
sbond_1(d246,d246_44,d246_39).
sbond_1(d246,d246_45,d246_39).
sbond_1(d246,d246_46,d246_40).
sbond_1(d246,d246_46,d246_47).
sbond_1(d246,d246_46,d246_56).
sbond_1(d246,d246_46,d246_59).
sbond_1(d246,d246_47,d246_46).
sbond_1(d246,d246_47,d246_48).
sbond_1(d246,d246_47,d246_58).
sbond_1(d246,d246_47,d246_64).
sbond_1(d246,d246_48,d246_47).
sbond_1(d246,d246_48,d246_49).
sbond_1(d246,d246_48,d246_52).
sbond_1(d246,d246_48,d246_53).
sbond_1(d246,d246_49,d246_41).
sbond_1(d246,d246_49,d246_48).
sbond_1(d246,d246_49,d246_54).
sbond_1(d246,d246_49,d246_55).
sbond_1(d246,d246_5,d246_11).
sbond_1(d246,d246_50,d246_41).
sbond_1(d246,d246_51,d246_40).
sbond_1(d246,d246_52,d246_48).
sbond_1(d246,d246_53,d246_48).
sbond_1(d246,d246_54,d246_49).
sbond_1(d246,d246_55,d246_49).
sbond_1(d246,d246_56,d246_46).
sbond_1(d246,d246_56,d246_57).
sbond_1(d246,d246_56,d246_60).
sbond_1(d246,d246_56,d246_61).
sbond_1(d246,d246_57,d246_56).
sbond_1(d246,d246_57,d246_58).
sbond_1(d246,d246_57,d246_62).
sbond_1(d246,d246_57,d246_63).
sbond_1(d246,d246_58,d246_47).
sbond_1(d246,d246_58,d246_57).
sbond_1(d246,d246_58,d246_68).
sbond_1(d246,d246_58,d246_69).
sbond_1(d246,d246_59,d246_46).
sbond_1(d246,d246_6,d246_10).
sbond_1(d246,d246_60,d246_56).
sbond_1(d246,d246_61,d246_56).
sbond_1(d246,d246_62,d246_57).
sbond_1(d246,d246_63,d246_57).
sbond_1(d246,d246_64,d246_47).
sbond_1(d246,d246_64,d246_65).
sbond_1(d246,d246_64,d246_66).
sbond_1(d246,d246_64,d246_67).
sbond_1(d246,d246_65,d246_64).
sbond_1(d246,d246_66,d246_64).
sbond_1(d246,d246_67,d246_64).
sbond_1(d246,d246_68,d246_58).
sbond_1(d246,d246_68,d246_70).
sbond_1(d246,d246_69,d246_58).
sbond_1(d246,d246_7,d246_1).
sbond_1(d246,d246_70,d246_68).
sbond_1(d246,d246_70,d246_71).
sbond_1(d246,d246_71,d246_70).
sbond_1(d246,d246_73,d246_78).
sbond_1(d246,d246_74,d246_82).
sbond_1(d246,d246_75,d246_79).
sbond_1(d246,d246_76,d246_80).
sbond_1(d246,d246_77,d246_81).
sbond_1(d246,d246_78,d246_73).
sbond_1(d246,d246_79,d246_75).
sbond_1(d246,d246_8,d246_3).
sbond_1(d246,d246_80,d246_76).
sbond_1(d246,d246_81,d246_77).
sbond_1(d246,d246_82,d246_74).
sbond_1(d246,d246_82,d246_83).
sbond_1(d246,d246_82,d246_90).
sbond_1(d246,d246_83,d246_82).
sbond_1(d246,d246_83,d246_84).
sbond_1(d246,d246_83,d246_85).
sbond_1(d246,d246_83,d246_86).
sbond_1(d246,d246_84,d246_83).
sbond_1(d246,d246_84,d246_87).
sbond_1(d246,d246_84,d246_88).
sbond_1(d246,d246_84,d246_89).
sbond_1(d246,d246_85,d246_83).
sbond_1(d246,d246_86,d246_83).
sbond_1(d246,d246_87,d246_84).
sbond_1(d246,d246_88,d246_84).
sbond_1(d246,d246_89,d246_84).
sbond_1(d246,d246_9,d246_4).
sbond_1(d246,d246_90,d246_82).
sbond_1(d246,d246_90,d246_91).
sbond_1(d246,d246_90,d246_92).
sbond_1(d246,d246_90,d246_93).
sbond_1(d246,d246_91,d246_90).
sbond_1(d246,d246_91,d246_94).
sbond_1(d246,d246_91,d246_95).
sbond_1(d246,d246_91,d246_96).
sbond_1(d246,d246_92,d246_90).
sbond_1(d246,d246_93,d246_90).
sbond_1(d246,d246_94,d246_91).
sbond_1(d246,d246_95,d246_91).
sbond_1(d246,d246_96,d246_91).
sbond_1(d247,d247_1,d247_2).
sbond_1(d247,d247_1,d247_6).
sbond_1(d247,d247_1,d247_7).
sbond_1(d247,d247_1,d247_8).
sbond_1(d247,d247_10,d247_2).
sbond_1(d247,d247_11,d247_4).
sbond_1(d247,d247_12,d247_4).
sbond_1(d247,d247_13,d247_5).
sbond_1(d247,d247_14,d247_5).
sbond_1(d247,d247_15,d247_16).
sbond_1(d247,d247_15,d247_17).
sbond_1(d247,d247_15,d247_6).
sbond_1(d247,d247_16,d247_15).
sbond_1(d247,d247_16,d247_22).
sbond_1(d247,d247_17,d247_15).
sbond_1(d247,d247_17,d247_18).
sbond_1(d247,d247_18,d247_17).
sbond_1(d247,d247_18,d247_19).
sbond_1(d247,d247_18,d247_20).
sbond_1(d247,d247_18,d247_21).
sbond_1(d247,d247_19,d247_18).
sbond_1(d247,d247_2,d247_1).
sbond_1(d247,d247_2,d247_10).
sbond_1(d247,d247_2,d247_3).
sbond_1(d247,d247_2,d247_9).
sbond_1(d247,d247_20,d247_18).
sbond_1(d247,d247_21,d247_18).
sbond_1(d247,d247_22,d247_16).
sbond_1(d247,d247_22,d247_23).
sbond_1(d247,d247_22,d247_24).
sbond_1(d247,d247_22,d247_25).
sbond_1(d247,d247_23,d247_22).
sbond_1(d247,d247_24,d247_22).
sbond_1(d247,d247_25,d247_22).
sbond_1(d247,d247_3,d247_2).
sbond_1(d247,d247_3,d247_4).
sbond_1(d247,d247_4,d247_11).
sbond_1(d247,d247_4,d247_12).
sbond_1(d247,d247_4,d247_3).
sbond_1(d247,d247_4,d247_5).
sbond_1(d247,d247_5,d247_13).
sbond_1(d247,d247_5,d247_14).
sbond_1(d247,d247_5,d247_4).
sbond_1(d247,d247_5,d247_6).
sbond_1(d247,d247_6,d247_1).
sbond_1(d247,d247_6,d247_15).
sbond_1(d247,d247_6,d247_5).
sbond_1(d247,d247_7,d247_1).
sbond_1(d247,d247_8,d247_1).
sbond_1(d247,d247_9,d247_2).
sbond_1(d248,d248_1,d248_2).
sbond_1(d248,d248_1,d248_3).
sbond_1(d248,d248_10,d248_7).
sbond_1(d248,d248_11,d248_12).
sbond_1(d248,d248_11,d248_13).
sbond_1(d248,d248_11,d248_14).
sbond_1(d248,d248_11,d248_4).
sbond_1(d248,d248_12,d248_11).
sbond_1(d248,d248_13,d248_11).
sbond_1(d248,d248_14,d248_11).
sbond_1(d248,d248_2,d248_1).
sbond_1(d248,d248_2,d248_4).
sbond_1(d248,d248_2,d248_5).
sbond_1(d248,d248_2,d248_6).
sbond_1(d248,d248_3,d248_1).
sbond_1(d248,d248_3,d248_4).
sbond_1(d248,d248_4,d248_11).
sbond_1(d248,d248_4,d248_2).
sbond_1(d248,d248_4,d248_3).
sbond_1(d248,d248_4,d248_7).
sbond_1(d248,d248_5,d248_2).
sbond_1(d248,d248_6,d248_2).
sbond_1(d248,d248_7,d248_10).
sbond_1(d248,d248_7,d248_4).
sbond_1(d248,d248_7,d248_8).
sbond_1(d248,d248_7,d248_9).
sbond_1(d248,d248_8,d248_7).
sbond_1(d248,d248_9,d248_7).
sbond_1(d249,d249_1,d249_16).
sbond_1(d249,d249_1,d249_2).
sbond_1(d249,d249_1,d249_20).
sbond_1(d249,d249_1,d249_6).
sbond_1(d249,d249_10,d249_4).
sbond_1(d249,d249_11,d249_13).
sbond_1(d249,d249_11,d249_14).
sbond_1(d249,d249_11,d249_2).
sbond_1(d249,d249_11,d249_5).
sbond_1(d249,d249_12,d249_5).
sbond_1(d249,d249_13,d249_11).
sbond_1(d249,d249_14,d249_11).
sbond_1(d249,d249_15,d249_2).
sbond_1(d249,d249_16,d249_1).
sbond_1(d249,d249_16,d249_17).
sbond_1(d249,d249_16,d249_18).
sbond_1(d249,d249_16,d249_19).
sbond_1(d249,d249_17,d249_16).
sbond_1(d249,d249_18,d249_16).
sbond_1(d249,d249_19,d249_16).
sbond_1(d249,d249_2,d249_1).
sbond_1(d249,d249_2,d249_11).
sbond_1(d249,d249_2,d249_15).
sbond_1(d249,d249_2,d249_3).
sbond_1(d249,d249_20,d249_1).
sbond_1(d249,d249_20,d249_21).
sbond_1(d249,d249_20,d249_22).
sbond_1(d249,d249_20,d249_23).
sbond_1(d249,d249_21,d249_20).
sbond_1(d249,d249_22,d249_20).
sbond_1(d249,d249_23,d249_20).
sbond_1(d249,d249_24,d249_25).
sbond_1(d249,d249_24,d249_26).
sbond_1(d249,d249_24,d249_27).
sbond_1(d249,d249_24,d249_6).
sbond_1(d249,d249_25,d249_24).
sbond_1(d249,d249_26,d249_24).
sbond_1(d249,d249_27,d249_24).
sbond_1(d249,d249_28,d249_6).
sbond_1(d249,d249_3,d249_2).
sbond_1(d249,d249_3,d249_4).
sbond_1(d249,d249_3,d249_7).
sbond_1(d249,d249_3,d249_8).
sbond_1(d249,d249_4,d249_10).
sbond_1(d249,d249_4,d249_3).
sbond_1(d249,d249_4,d249_5).
sbond_1(d249,d249_4,d249_9).
sbond_1(d249,d249_5,d249_11).
sbond_1(d249,d249_5,d249_12).
sbond_1(d249,d249_5,d249_4).
sbond_1(d249,d249_5,d249_6).
sbond_1(d249,d249_6,d249_1).
sbond_1(d249,d249_6,d249_24).
sbond_1(d249,d249_6,d249_28).
sbond_1(d249,d249_6,d249_5).
sbond_1(d249,d249_7,d249_3).
sbond_1(d249,d249_8,d249_3).
sbond_1(d249,d249_9,d249_4).
sbond_1(d25,d25_1,d25_7).
sbond_1(d25,d25_10,d25_6).
sbond_1(d25,d25_11,d25_16).
sbond_1(d25,d25_11,d25_17).
sbond_1(d25,d25_11,d25_5).
sbond_1(d25,d25_12,d25_13).
sbond_1(d25,d25_12,d25_14).
sbond_1(d25,d25_12,d25_15).
sbond_1(d25,d25_12,d25_4).
sbond_1(d25,d25_13,d25_12).
sbond_1(d25,d25_14,d25_12).
sbond_1(d25,d25_15,d25_12).
sbond_1(d25,d25_16,d25_11).
sbond_1(d25,d25_17,d25_11).
sbond_1(d25,d25_2,d25_8).
sbond_1(d25,d25_3,d25_9).
sbond_1(d25,d25_4,d25_12).
sbond_1(d25,d25_5,d25_11).
sbond_1(d25,d25_6,d25_10).
sbond_1(d25,d25_7,d25_1).
sbond_1(d25,d25_8,d25_2).
sbond_1(d25,d25_9,d25_3).
sbond_1(d250,d250_1,d250_2).
sbond_1(d250,d250_10,d250_7).
sbond_1(d250,d250_11,d250_7).
sbond_1(d250,d250_2,d250_1).
sbond_1(d250,d250_2,d250_3).
sbond_1(d250,d250_2,d250_4).
sbond_1(d250,d250_2,d250_5).
sbond_1(d250,d250_3,d250_2).
sbond_1(d250,d250_3,d250_6).
sbond_1(d250,d250_3,d250_7).
sbond_1(d250,d250_3,d250_8).
sbond_1(d250,d250_4,d250_2).
sbond_1(d250,d250_5,d250_2).
sbond_1(d250,d250_6,d250_3).
sbond_1(d250,d250_7,d250_10).
sbond_1(d250,d250_7,d250_11).
sbond_1(d250,d250_7,d250_3).
sbond_1(d250,d250_7,d250_9).
sbond_1(d250,d250_8,d250_3).
sbond_1(d250,d250_9,d250_7).
sbond_1(d251,d251_10,d251_5).
sbond_1(d251,d251_11,d251_12).
sbond_1(d251,d251_11,d251_2).
sbond_1(d251,d251_12,d251_11).
sbond_1(d251,d251_12,d251_13).
sbond_1(d251,d251_12,d251_14).
sbond_1(d251,d251_12,d251_15).
sbond_1(d251,d251_13,d251_12).
sbond_1(d251,d251_13,d251_16).
sbond_1(d251,d251_13,d251_17).
sbond_1(d251,d251_13,d251_18).
sbond_1(d251,d251_14,d251_12).
sbond_1(d251,d251_15,d251_12).
sbond_1(d251,d251_16,d251_13).
sbond_1(d251,d251_17,d251_13).
sbond_1(d251,d251_18,d251_13).
sbond_1(d251,d251_19,d251_2).
sbond_1(d251,d251_19,d251_20).
sbond_1(d251,d251_2,d251_11).
sbond_1(d251,d251_2,d251_19).
sbond_1(d251,d251_2,d251_3).
sbond_1(d251,d251_20,d251_19).
sbond_1(d251,d251_20,d251_21).
sbond_1(d251,d251_20,d251_22).
sbond_1(d251,d251_20,d251_23).
sbond_1(d251,d251_21,d251_20).
sbond_1(d251,d251_21,d251_24).
sbond_1(d251,d251_21,d251_25).
sbond_1(d251,d251_21,d251_26).
sbond_1(d251,d251_22,d251_20).
sbond_1(d251,d251_23,d251_20).
sbond_1(d251,d251_24,d251_21).
sbond_1(d251,d251_25,d251_21).
sbond_1(d251,d251_26,d251_21).
sbond_1(d251,d251_3,d251_2).
sbond_1(d251,d251_3,d251_4).
sbond_1(d251,d251_4,d251_3).
sbond_1(d251,d251_4,d251_5).
sbond_1(d251,d251_4,d251_6).
sbond_1(d251,d251_4,d251_7).
sbond_1(d251,d251_5,d251_10).
sbond_1(d251,d251_5,d251_4).
sbond_1(d251,d251_5,d251_8).
sbond_1(d251,d251_5,d251_9).
sbond_1(d251,d251_6,d251_4).
sbond_1(d251,d251_7,d251_4).
sbond_1(d251,d251_8,d251_5).
sbond_1(d251,d251_9,d251_5).
sbond_1(d252,d252_1,d252_3).
sbond_1(d252,d252_1,d252_4).
sbond_1(d252,d252_2,d252_5).
sbond_1(d252,d252_2,d252_6).
sbond_1(d252,d252_3,d252_1).
sbond_1(d252,d252_4,d252_1).
sbond_1(d252,d252_5,d252_2).
sbond_1(d252,d252_5,d252_7).
sbond_1(d252,d252_5,d252_8).
sbond_1(d252,d252_5,d252_9).
sbond_1(d252,d252_6,d252_2).
sbond_1(d252,d252_7,d252_5).
sbond_1(d252,d252_8,d252_5).
sbond_1(d252,d252_9,d252_5).
sbond_1(d253,d253_1,d253_12).
sbond_1(d253,d253_1,d253_3).
sbond_1(d253,d253_1,d253_7).
sbond_1(d253,d253_10,d253_8).
sbond_1(d253,d253_11,d253_8).
sbond_1(d253,d253_12,d253_1).
sbond_1(d253,d253_12,d253_13).
sbond_1(d253,d253_13,d253_12).
sbond_1(d253,d253_13,d253_14).
sbond_1(d253,d253_13,d253_15).
sbond_1(d253,d253_13,d253_16).
sbond_1(d253,d253_14,d253_13).
sbond_1(d253,d253_15,d253_13).
sbond_1(d253,d253_16,d253_13).
sbond_1(d253,d253_3,d253_1).
sbond_1(d253,d253_3,d253_4).
sbond_1(d253,d253_3,d253_5).
sbond_1(d253,d253_3,d253_6).
sbond_1(d253,d253_4,d253_3).
sbond_1(d253,d253_5,d253_3).
sbond_1(d253,d253_6,d253_3).
sbond_1(d253,d253_7,d253_1).
sbond_1(d253,d253_7,d253_8).
sbond_1(d253,d253_8,d253_10).
sbond_1(d253,d253_8,d253_11).
sbond_1(d253,d253_8,d253_7).
sbond_1(d253,d253_8,d253_9).
sbond_1(d253,d253_9,d253_8).
sbond_1(d254,d254_1,d254_2).
sbond_1(d254,d254_1,d254_3).
sbond_1(d254,d254_1,d254_4).
sbond_1(d254,d254_1,d254_5).
sbond_1(d254,d254_10,d254_6).
sbond_1(d254,d254_11,d254_12).
sbond_1(d254,d254_11,d254_13).
sbond_1(d254,d254_11,d254_14).
sbond_1(d254,d254_11,d254_8).
sbond_1(d254,d254_12,d254_11).
sbond_1(d254,d254_12,d254_16).
sbond_1(d254,d254_13,d254_11).
sbond_1(d254,d254_14,d254_11).
sbond_1(d254,d254_15,d254_17).
sbond_1(d254,d254_15,d254_18).
sbond_1(d254,d254_16,d254_12).
sbond_1(d254,d254_17,d254_15).
sbond_1(d254,d254_18,d254_15).
sbond_1(d254,d254_2,d254_1).
sbond_1(d254,d254_2,d254_3).
sbond_1(d254,d254_2,d254_6).
sbond_1(d254,d254_2,d254_7).
sbond_1(d254,d254_3,d254_1).
sbond_1(d254,d254_3,d254_2).
sbond_1(d254,d254_4,d254_1).
sbond_1(d254,d254_5,d254_1).
sbond_1(d254,d254_6,d254_10).
sbond_1(d254,d254_6,d254_2).
sbond_1(d254,d254_6,d254_8).
sbond_1(d254,d254_6,d254_9).
sbond_1(d254,d254_7,d254_2).
sbond_1(d254,d254_8,d254_11).
sbond_1(d254,d254_8,d254_6).
sbond_1(d254,d254_9,d254_6).
sbond_1(d255,d255_1,d255_2).
sbond_1(d255,d255_1,d255_3).
sbond_1(d255,d255_1,d255_4).
sbond_1(d255,d255_1,d255_5).
sbond_1(d255,d255_10,d255_6).
sbond_1(d255,d255_11,d255_6).
sbond_1(d255,d255_2,d255_1).
sbond_1(d255,d255_2,d255_6).
sbond_1(d255,d255_2,d255_7).
sbond_1(d255,d255_2,d255_8).
sbond_1(d255,d255_3,d255_1).
sbond_1(d255,d255_4,d255_1).
sbond_1(d255,d255_5,d255_1).
sbond_1(d255,d255_6,d255_10).
sbond_1(d255,d255_6,d255_11).
sbond_1(d255,d255_6,d255_2).
sbond_1(d255,d255_6,d255_9).
sbond_1(d255,d255_7,d255_2).
sbond_1(d255,d255_8,d255_2).
sbond_1(d255,d255_9,d255_6).
sbond_1(d256,d256_1,d256_12).
sbond_1(d256,d256_10,d256_11).
sbond_1(d256,d256_11,d256_10).
sbond_1(d256,d256_11,d256_12).
sbond_1(d256,d256_11,d256_13).
sbond_1(d256,d256_12,d256_1).
sbond_1(d256,d256_12,d256_11).
sbond_1(d256,d256_13,d256_11).
sbond_1(d256,d256_13,d256_14).
sbond_1(d256,d256_13,d256_15).
sbond_1(d256,d256_13,d256_16).
sbond_1(d256,d256_14,d256_13).
sbond_1(d256,d256_14,d256_17).
sbond_1(d256,d256_15,d256_13).
sbond_1(d256,d256_16,d256_13).
sbond_1(d256,d256_17,d256_14).
sbond_1(d256,d256_17,d256_18).
sbond_1(d256,d256_17,d256_19).
sbond_1(d256,d256_18,d256_17).
sbond_1(d256,d256_18,d256_25).
sbond_1(d256,d256_19,d256_17).
sbond_1(d256,d256_19,d256_20).
sbond_1(d256,d256_2,d256_7).
sbond_1(d256,d256_20,d256_19).
sbond_1(d256,d256_20,d256_21).
sbond_1(d256,d256_20,d256_22).
sbond_1(d256,d256_20,d256_23).
sbond_1(d256,d256_21,d256_20).
sbond_1(d256,d256_22,d256_20).
sbond_1(d256,d256_23,d256_20).
sbond_1(d256,d256_25,d256_18).
sbond_1(d256,d256_25,d256_26).
sbond_1(d256,d256_25,d256_27).
sbond_1(d256,d256_25,d256_28).
sbond_1(d256,d256_26,d256_25).
sbond_1(d256,d256_27,d256_25).
sbond_1(d256,d256_28,d256_25).
sbond_1(d256,d256_3,d256_30).
sbond_1(d256,d256_30,d256_3).
sbond_1(d256,d256_31,d256_4).
sbond_1(d256,d256_4,d256_31).
sbond_1(d256,d256_5,d256_8).
sbond_1(d256,d256_6,d256_9).
sbond_1(d256,d256_7,d256_2).
sbond_1(d256,d256_8,d256_5).
sbond_1(d256,d256_9,d256_6).
sbond_1(d257,d257_1,d257_2).
sbond_1(d257,d257_1,d257_3).
sbond_1(d257,d257_1,d257_4).
sbond_1(d257,d257_1,d257_5).
sbond_1(d257,d257_10,d257_11).
sbond_1(d257,d257_10,d257_9).
sbond_1(d257,d257_11,d257_10).
sbond_1(d257,d257_11,d257_12).
sbond_1(d257,d257_11,d257_13).
sbond_1(d257,d257_11,d257_14).
sbond_1(d257,d257_12,d257_11).
sbond_1(d257,d257_12,d257_15).
sbond_1(d257,d257_12,d257_16).
sbond_1(d257,d257_12,d257_17).
sbond_1(d257,d257_13,d257_11).
sbond_1(d257,d257_14,d257_11).
sbond_1(d257,d257_15,d257_12).
sbond_1(d257,d257_16,d257_12).
sbond_1(d257,d257_17,d257_12).
sbond_1(d257,d257_19,d257_20).
sbond_1(d257,d257_19,d257_9).
sbond_1(d257,d257_2,d257_1).
sbond_1(d257,d257_2,d257_6).
sbond_1(d257,d257_2,d257_7).
sbond_1(d257,d257_2,d257_8).
sbond_1(d257,d257_20,d257_19).
sbond_1(d257,d257_21,d257_26).
sbond_1(d257,d257_22,d257_27).
sbond_1(d257,d257_23,d257_34).
sbond_1(d257,d257_24,d257_29).
sbond_1(d257,d257_25,d257_28).
sbond_1(d257,d257_26,d257_21).
sbond_1(d257,d257_27,d257_22).
sbond_1(d257,d257_28,d257_25).
sbond_1(d257,d257_29,d257_24).
sbond_1(d257,d257_29,d257_30).
sbond_1(d257,d257_3,d257_1).
sbond_1(d257,d257_30,d257_29).
sbond_1(d257,d257_30,d257_31).
sbond_1(d257,d257_30,d257_32).
sbond_1(d257,d257_30,d257_33).
sbond_1(d257,d257_31,d257_30).
sbond_1(d257,d257_32,d257_30).
sbond_1(d257,d257_33,d257_30).
sbond_1(d257,d257_34,d257_23).
sbond_1(d257,d257_34,d257_35).
sbond_1(d257,d257_34,d257_36).
sbond_1(d257,d257_34,d257_37).
sbond_1(d257,d257_35,d257_34).
sbond_1(d257,d257_36,d257_34).
sbond_1(d257,d257_37,d257_34).
sbond_1(d257,d257_4,d257_1).
sbond_1(d257,d257_5,d257_1).
sbond_1(d257,d257_6,d257_2).
sbond_1(d257,d257_6,d257_9).
sbond_1(d257,d257_7,d257_2).
sbond_1(d257,d257_8,d257_2).
sbond_1(d257,d257_9,d257_10).
sbond_1(d257,d257_9,d257_19).
sbond_1(d257,d257_9,d257_6).
sbond_1(d258,d258_1,d258_13).
sbond_1(d258,d258_1,d258_3).
sbond_1(d258,d258_1,d258_8).
sbond_1(d258,d258_10,d258_9).
sbond_1(d258,d258_11,d258_9).
sbond_1(d258,d258_12,d258_9).
sbond_1(d258,d258_13,d258_1).
sbond_1(d258,d258_13,d258_14).
sbond_1(d258,d258_14,d258_13).
sbond_1(d258,d258_14,d258_15).
sbond_1(d258,d258_15,d258_14).
sbond_1(d258,d258_15,d258_16).
sbond_1(d258,d258_15,d258_17).
sbond_1(d258,d258_15,d258_18).
sbond_1(d258,d258_16,d258_15).
sbond_1(d258,d258_17,d258_15).
sbond_1(d258,d258_18,d258_15).
sbond_1(d258,d258_19,d258_20).
sbond_1(d258,d258_19,d258_21).
sbond_1(d258,d258_20,d258_19).
sbond_1(d258,d258_21,d258_19).
sbond_1(d258,d258_21,d258_23).
sbond_1(d258,d258_23,d258_21).
sbond_1(d258,d258_23,d258_24).
sbond_1(d258,d258_23,d258_31).
sbond_1(d258,d258_24,d258_23).
sbond_1(d258,d258_24,d258_25).
sbond_1(d258,d258_24,d258_26).
sbond_1(d258,d258_24,d258_27).
sbond_1(d258,d258_25,d258_24).
sbond_1(d258,d258_25,d258_28).
sbond_1(d258,d258_25,d258_29).
sbond_1(d258,d258_25,d258_30).
sbond_1(d258,d258_26,d258_24).
sbond_1(d258,d258_27,d258_24).
sbond_1(d258,d258_28,d258_25).
sbond_1(d258,d258_29,d258_25).
sbond_1(d258,d258_3,d258_1).
sbond_1(d258,d258_3,d258_4).
sbond_1(d258,d258_30,d258_25).
sbond_1(d258,d258_31,d258_23).
sbond_1(d258,d258_31,d258_32).
sbond_1(d258,d258_31,d258_33).
sbond_1(d258,d258_31,d258_34).
sbond_1(d258,d258_32,d258_31).
sbond_1(d258,d258_32,d258_35).
sbond_1(d258,d258_32,d258_36).
sbond_1(d258,d258_32,d258_37).
sbond_1(d258,d258_33,d258_31).
sbond_1(d258,d258_34,d258_31).
sbond_1(d258,d258_35,d258_32).
sbond_1(d258,d258_36,d258_32).
sbond_1(d258,d258_37,d258_32).
sbond_1(d258,d258_4,d258_3).
sbond_1(d258,d258_4,d258_5).
sbond_1(d258,d258_4,d258_6).
sbond_1(d258,d258_4,d258_7).
sbond_1(d258,d258_5,d258_4).
sbond_1(d258,d258_6,d258_4).
sbond_1(d258,d258_7,d258_4).
sbond_1(d258,d258_8,d258_1).
sbond_1(d258,d258_8,d258_9).
sbond_1(d258,d258_9,d258_10).
sbond_1(d258,d258_9,d258_11).
sbond_1(d258,d258_9,d258_12).
sbond_1(d258,d258_9,d258_8).
sbond_1(d259,d259_1,d259_7).
sbond_1(d259,d259_10,d259_4).
sbond_1(d259,d259_11,d259_6).
sbond_1(d259,d259_12,d259_13).
sbond_1(d259,d259_12,d259_5).
sbond_1(d259,d259_13,d259_12).
sbond_1(d259,d259_13,d259_14).
sbond_1(d259,d259_13,d259_15).
sbond_1(d259,d259_13,d259_16).
sbond_1(d259,d259_14,d259_13).
sbond_1(d259,d259_15,d259_13).
sbond_1(d259,d259_16,d259_13).
sbond_1(d259,d259_2,d259_8).
sbond_1(d259,d259_3,d259_9).
sbond_1(d259,d259_4,d259_10).
sbond_1(d259,d259_5,d259_12).
sbond_1(d259,d259_6,d259_11).
sbond_1(d259,d259_7,d259_1).
sbond_1(d259,d259_8,d259_2).
sbond_1(d259,d259_9,d259_3).
sbond_1(d26,d26_1,d26_18).
sbond_1(d26,d26_10,d26_11).
sbond_1(d26,d26_10,d26_12).
sbond_1(d26,d26_10,d26_13).
sbond_1(d26,d26_10,d26_4).
sbond_1(d26,d26_11,d26_10).
sbond_1(d26,d26_12,d26_10).
sbond_1(d26,d26_13,d26_10).
sbond_1(d26,d26_14,d26_15).
sbond_1(d26,d26_14,d26_16).
sbond_1(d26,d26_14,d26_17).
sbond_1(d26,d26_14,d26_2).
sbond_1(d26,d26_15,d26_14).
sbond_1(d26,d26_16,d26_14).
sbond_1(d26,d26_17,d26_14).
sbond_1(d26,d26_18,d26_1).
sbond_1(d26,d26_18,d26_19).
sbond_1(d26,d26_18,d26_20).
sbond_1(d26,d26_18,d26_21).
sbond_1(d26,d26_19,d26_18).
sbond_1(d26,d26_2,d26_14).
sbond_1(d26,d26_20,d26_18).
sbond_1(d26,d26_21,d26_18).
sbond_1(d26,d26_22,d26_9).
sbond_1(d26,d26_23,d26_9).
sbond_1(d26,d26_3,d26_7).
sbond_1(d26,d26_4,d26_10).
sbond_1(d26,d26_5,d26_9).
sbond_1(d26,d26_6,d26_8).
sbond_1(d26,d26_7,d26_3).
sbond_1(d26,d26_8,d26_6).
sbond_1(d26,d26_9,d26_22).
sbond_1(d26,d26_9,d26_23).
sbond_1(d26,d26_9,d26_5).
sbond_1(d260,d260_1,d260_18).
sbond_1(d260,d260_1,d260_21).
sbond_1(d260,d260_1,d260_24).
sbond_1(d260,d260_1,d260_27).
sbond_1(d260,d260_10,d260_11).
sbond_1(d260,d260_10,d260_24).
sbond_1(d260,d260_11,d260_10).
sbond_1(d260,d260_12,d260_13).
sbond_1(d260,d260_12,d260_27).
sbond_1(d260,d260_13,d260_12).
sbond_1(d260,d260_18,d260_1).
sbond_1(d260,d260_18,d260_19).
sbond_1(d260,d260_18,d260_2).
sbond_1(d260,d260_18,d260_20).
sbond_1(d260,d260_19,d260_18).
sbond_1(d260,d260_2,d260_18).
sbond_1(d260,d260_2,d260_3).
sbond_1(d260,d260_20,d260_18).
sbond_1(d260,d260_21,d260_1).
sbond_1(d260,d260_21,d260_22).
sbond_1(d260,d260_21,d260_23).
sbond_1(d260,d260_21,d260_6).
sbond_1(d260,d260_22,d260_21).
sbond_1(d260,d260_23,d260_21).
sbond_1(d260,d260_24,d260_1).
sbond_1(d260,d260_24,d260_10).
sbond_1(d260,d260_24,d260_25).
sbond_1(d260,d260_24,d260_26).
sbond_1(d260,d260_25,d260_24).
sbond_1(d260,d260_26,d260_24).
sbond_1(d260,d260_27,d260_1).
sbond_1(d260,d260_27,d260_12).
sbond_1(d260,d260_27,d260_28).
sbond_1(d260,d260_27,d260_29).
sbond_1(d260,d260_28,d260_27).
sbond_1(d260,d260_29,d260_27).
sbond_1(d260,d260_3,d260_2).
sbond_1(d260,d260_6,d260_21).
sbond_1(d260,d260_6,d260_7).
sbond_1(d260,d260_7,d260_6).
sbond_1(d261,d261_1,d261_12).
sbond_1(d261,d261_1,d261_13).
sbond_1(d261,d261_1,d261_14).
sbond_1(d261,d261_1,d261_2).
sbond_1(d261,d261_10,d261_6).
sbond_1(d261,d261_11,d261_6).
sbond_1(d261,d261_12,d261_1).
sbond_1(d261,d261_13,d261_1).
sbond_1(d261,d261_14,d261_1).
sbond_1(d261,d261_2,d261_1).
sbond_1(d261,d261_2,d261_3).
sbond_1(d261,d261_2,d261_4).
sbond_1(d261,d261_2,d261_5).
sbond_1(d261,d261_3,d261_2).
sbond_1(d261,d261_3,d261_6).
sbond_1(d261,d261_3,d261_7).
sbond_1(d261,d261_3,d261_8).
sbond_1(d261,d261_4,d261_2).
sbond_1(d261,d261_5,d261_2).
sbond_1(d261,d261_6,d261_10).
sbond_1(d261,d261_6,d261_11).
sbond_1(d261,d261_6,d261_3).
sbond_1(d261,d261_6,d261_9).
sbond_1(d261,d261_7,d261_3).
sbond_1(d261,d261_8,d261_3).
sbond_1(d261,d261_9,d261_6).
sbond_1(d262,d262_1,d262_2).
sbond_1(d262,d262_2,d262_1).
sbond_1(d263,d263_1,d263_2).
sbond_1(d263,d263_2,d263_1).
sbond_1(d263,d263_2,d263_3).
sbond_1(d263,d263_2,d263_4).
sbond_1(d263,d263_2,d263_5).
sbond_1(d263,d263_3,d263_2).
sbond_1(d263,d263_3,d263_6).
sbond_1(d263,d263_3,d263_7).
sbond_1(d263,d263_3,d263_8).
sbond_1(d263,d263_4,d263_2).
sbond_1(d263,d263_5,d263_2).
sbond_1(d263,d263_6,d263_3).
sbond_1(d263,d263_6,d263_9).
sbond_1(d263,d263_7,d263_3).
sbond_1(d263,d263_8,d263_3).
sbond_1(d263,d263_9,d263_6).
sbond_1(d264,d264_1,d264_2).
sbond_1(d264,d264_1,d264_3).
sbond_1(d264,d264_1,d264_4).
sbond_1(d264,d264_1,d264_5).
sbond_1(d264,d264_10,d264_11).
sbond_1(d264,d264_10,d264_9).
sbond_1(d264,d264_11,d264_10).
sbond_1(d264,d264_11,d264_12).
sbond_1(d264,d264_11,d264_13).
sbond_1(d264,d264_11,d264_14).
sbond_1(d264,d264_12,d264_11).
sbond_1(d264,d264_12,d264_15).
sbond_1(d264,d264_12,d264_16).
sbond_1(d264,d264_12,d264_17).
sbond_1(d264,d264_13,d264_11).
sbond_1(d264,d264_14,d264_11).
sbond_1(d264,d264_15,d264_12).
sbond_1(d264,d264_16,d264_12).
sbond_1(d264,d264_17,d264_12).
sbond_1(d264,d264_19,d264_20).
sbond_1(d264,d264_19,d264_9).
sbond_1(d264,d264_2,d264_1).
sbond_1(d264,d264_2,d264_6).
sbond_1(d264,d264_2,d264_7).
sbond_1(d264,d264_2,d264_8).
sbond_1(d264,d264_20,d264_19).
sbond_1(d264,d264_21,d264_26).
sbond_1(d264,d264_22,d264_27).
sbond_1(d264,d264_23,d264_29).
sbond_1(d264,d264_24,d264_32).
sbond_1(d264,d264_25,d264_28).
sbond_1(d264,d264_26,d264_21).
sbond_1(d264,d264_27,d264_22).
sbond_1(d264,d264_28,d264_25).
sbond_1(d264,d264_29,d264_23).
sbond_1(d264,d264_29,d264_34).
sbond_1(d264,d264_3,d264_1).
sbond_1(d264,d264_30,d264_31).
sbond_1(d264,d264_30,d264_38).
sbond_1(d264,d264_31,d264_30).
sbond_1(d264,d264_31,d264_32).
sbond_1(d264,d264_32,d264_24).
sbond_1(d264,d264_32,d264_31).
sbond_1(d264,d264_34,d264_29).
sbond_1(d264,d264_34,d264_35).
sbond_1(d264,d264_34,d264_36).
sbond_1(d264,d264_34,d264_37).
sbond_1(d264,d264_35,d264_34).
sbond_1(d264,d264_36,d264_34).
sbond_1(d264,d264_37,d264_34).
sbond_1(d264,d264_38,d264_30).
sbond_1(d264,d264_4,d264_1).
sbond_1(d264,d264_5,d264_1).
sbond_1(d264,d264_6,d264_2).
sbond_1(d264,d264_6,d264_9).
sbond_1(d264,d264_7,d264_2).
sbond_1(d264,d264_8,d264_2).
sbond_1(d264,d264_9,d264_10).
sbond_1(d264,d264_9,d264_19).
sbond_1(d264,d264_9,d264_6).
sbond_1(d265,d265_1,d265_19).
sbond_1(d265,d265_1,d265_2).
sbond_1(d265,d265_1,d265_20).
sbond_1(d265,d265_1,d265_21).
sbond_1(d265,d265_10,d265_7).
sbond_1(d265,d265_11,d265_12).
sbond_1(d265,d265_11,d265_18).
sbond_1(d265,d265_11,d265_8).
sbond_1(d265,d265_12,d265_11).
sbond_1(d265,d265_12,d265_13).
sbond_1(d265,d265_12,d265_14).
sbond_1(d265,d265_12,d265_15).
sbond_1(d265,d265_13,d265_12).
sbond_1(d265,d265_14,d265_12).
sbond_1(d265,d265_15,d265_12).
sbond_1(d265,d265_18,d265_11).
sbond_1(d265,d265_19,d265_1).
sbond_1(d265,d265_2,d265_1).
sbond_1(d265,d265_2,d265_3).
sbond_1(d265,d265_20,d265_1).
sbond_1(d265,d265_21,d265_1).
sbond_1(d265,d265_22,d265_5).
sbond_1(d265,d265_23,d265_5).
sbond_1(d265,d265_24,d265_5).
sbond_1(d265,d265_3,d265_2).
sbond_1(d265,d265_3,d265_4).
sbond_1(d265,d265_3,d265_6).
sbond_1(d265,d265_4,d265_3).
sbond_1(d265,d265_4,d265_5).
sbond_1(d265,d265_5,d265_22).
sbond_1(d265,d265_5,d265_23).
sbond_1(d265,d265_5,d265_24).
sbond_1(d265,d265_5,d265_4).
sbond_1(d265,d265_6,d265_3).
sbond_1(d265,d265_6,d265_7).
sbond_1(d265,d265_7,d265_10).
sbond_1(d265,d265_7,d265_6).
sbond_1(d265,d265_7,d265_8).
sbond_1(d265,d265_7,d265_9).
sbond_1(d265,d265_8,d265_11).
sbond_1(d265,d265_8,d265_7).
sbond_1(d265,d265_9,d265_7).
sbond_1(d266,d266_1,d266_11).
sbond_1(d266,d266_1,d266_12).
sbond_1(d266,d266_1,d266_13).
sbond_1(d266,d266_1,d266_2).
sbond_1(d266,d266_11,d266_1).
sbond_1(d266,d266_12,d266_1).
sbond_1(d266,d266_13,d266_1).
sbond_1(d266,d266_14,d266_5).
sbond_1(d266,d266_15,d266_5).
sbond_1(d266,d266_16,d266_5).
sbond_1(d266,d266_17,d266_18).
sbond_1(d266,d266_17,d266_8).
sbond_1(d266,d266_18,d266_17).
sbond_1(d266,d266_18,d266_19).
sbond_1(d266,d266_18,d266_20).
sbond_1(d266,d266_18,d266_21).
sbond_1(d266,d266_19,d266_18).
sbond_1(d266,d266_19,d266_22).
sbond_1(d266,d266_19,d266_23).
sbond_1(d266,d266_19,d266_24).
sbond_1(d266,d266_2,d266_1).
sbond_1(d266,d266_2,d266_3).
sbond_1(d266,d266_20,d266_18).
sbond_1(d266,d266_21,d266_18).
sbond_1(d266,d266_22,d266_19).
sbond_1(d266,d266_23,d266_19).
sbond_1(d266,d266_24,d266_19).
sbond_1(d266,d266_25,d266_26).
sbond_1(d266,d266_25,d266_7).
sbond_1(d266,d266_26,d266_25).
sbond_1(d266,d266_26,d266_27).
sbond_1(d266,d266_27,d266_26).
sbond_1(d266,d266_27,d266_28).
sbond_1(d266,d266_27,d266_29).
sbond_1(d266,d266_27,d266_30).
sbond_1(d266,d266_28,d266_27).
sbond_1(d266,d266_28,d266_31).
sbond_1(d266,d266_28,d266_32).
sbond_1(d266,d266_28,d266_33).
sbond_1(d266,d266_29,d266_27).
sbond_1(d266,d266_3,d266_2).
sbond_1(d266,d266_3,d266_4).
sbond_1(d266,d266_3,d266_6).
sbond_1(d266,d266_30,d266_27).
sbond_1(d266,d266_31,d266_28).
sbond_1(d266,d266_32,d266_28).
sbond_1(d266,d266_33,d266_28).
sbond_1(d266,d266_35,d266_36).
sbond_1(d266,d266_35,d266_37).
sbond_1(d266,d266_35,d266_7).
sbond_1(d266,d266_35,d266_8).
sbond_1(d266,d266_36,d266_35).
sbond_1(d266,d266_37,d266_35).
sbond_1(d266,d266_38,d266_7).
sbond_1(d266,d266_4,d266_3).
sbond_1(d266,d266_4,d266_5).
sbond_1(d266,d266_5,d266_14).
sbond_1(d266,d266_5,d266_15).
sbond_1(d266,d266_5,d266_16).
sbond_1(d266,d266_5,d266_4).
sbond_1(d266,d266_6,d266_3).
sbond_1(d266,d266_6,d266_7).
sbond_1(d266,d266_7,d266_25).
sbond_1(d266,d266_7,d266_35).
sbond_1(d266,d266_7,d266_38).
sbond_1(d266,d266_7,d266_6).
sbond_1(d266,d266_8,d266_17).
sbond_1(d266,d266_8,d266_35).
sbond_1(d267,d267_1,d267_12).
sbond_1(d267,d267_1,d267_2).
sbond_1(d267,d267_10,d267_14).
sbond_1(d267,d267_10,d267_15).
sbond_1(d267,d267_10,d267_16).
sbond_1(d267,d267_10,d267_3).
sbond_1(d267,d267_11,d267_18).
sbond_1(d267,d267_11,d267_19).
sbond_1(d267,d267_11,d267_20).
sbond_1(d267,d267_11,d267_3).
sbond_1(d267,d267_12,d267_1).
sbond_1(d267,d267_13,d267_7).
sbond_1(d267,d267_14,d267_10).
sbond_1(d267,d267_14,d267_17).
sbond_1(d267,d267_15,d267_10).
sbond_1(d267,d267_16,d267_10).
sbond_1(d267,d267_17,d267_14).
sbond_1(d267,d267_18,d267_11).
sbond_1(d267,d267_18,d267_21).
sbond_1(d267,d267_19,d267_11).
sbond_1(d267,d267_2,d267_1).
sbond_1(d267,d267_2,d267_3).
sbond_1(d267,d267_2,d267_4).
sbond_1(d267,d267_2,d267_5).
sbond_1(d267,d267_20,d267_11).
sbond_1(d267,d267_21,d267_18).
sbond_1(d267,d267_3,d267_10).
sbond_1(d267,d267_3,d267_11).
sbond_1(d267,d267_3,d267_2).
sbond_1(d267,d267_3,d267_6).
sbond_1(d267,d267_4,d267_2).
sbond_1(d267,d267_5,d267_2).
sbond_1(d267,d267_6,d267_3).
sbond_1(d267,d267_6,d267_7).
sbond_1(d267,d267_6,d267_8).
sbond_1(d267,d267_6,d267_9).
sbond_1(d267,d267_7,d267_13).
sbond_1(d267,d267_7,d267_6).
sbond_1(d267,d267_8,d267_6).
sbond_1(d267,d267_9,d267_6).
sbond_1(d268,d268_1,d268_7).
sbond_1(d268,d268_10,d268_6).
sbond_1(d268,d268_11,d268_12).
sbond_1(d268,d268_11,d268_13).
sbond_1(d268,d268_11,d268_14).
sbond_1(d268,d268_11,d268_3).
sbond_1(d268,d268_12,d268_11).
sbond_1(d268,d268_13,d268_11).
sbond_1(d268,d268_14,d268_11).
sbond_1(d268,d268_3,d268_11).
sbond_1(d268,d268_4,d268_8).
sbond_1(d268,d268_5,d268_9).
sbond_1(d268,d268_6,d268_10).
sbond_1(d268,d268_7,d268_1).
sbond_1(d268,d268_8,d268_4).
sbond_1(d268,d268_9,d268_5).
sbond_1(d269,d269_1,d269_2).
sbond_1(d269,d269_1,d269_3).
sbond_1(d269,d269_1,d269_4).
sbond_1(d269,d269_1,d269_5).
sbond_1(d269,d269_10,d269_11).
sbond_1(d269,d269_10,d269_9).
sbond_1(d269,d269_11,d269_10).
sbond_1(d269,d269_11,d269_12).
sbond_1(d269,d269_11,d269_13).
sbond_1(d269,d269_11,d269_14).
sbond_1(d269,d269_12,d269_11).
sbond_1(d269,d269_12,d269_15).
sbond_1(d269,d269_12,d269_16).
sbond_1(d269,d269_12,d269_17).
sbond_1(d269,d269_13,d269_11).
sbond_1(d269,d269_14,d269_11).
sbond_1(d269,d269_15,d269_12).
sbond_1(d269,d269_16,d269_12).
sbond_1(d269,d269_17,d269_12).
sbond_1(d269,d269_19,d269_20).
sbond_1(d269,d269_19,d269_9).
sbond_1(d269,d269_2,d269_1).
sbond_1(d269,d269_2,d269_6).
sbond_1(d269,d269_2,d269_7).
sbond_1(d269,d269_2,d269_8).
sbond_1(d269,d269_20,d269_19).
sbond_1(d269,d269_21,d269_26).
sbond_1(d269,d269_22,d269_27).
sbond_1(d269,d269_24,d269_31).
sbond_1(d269,d269_26,d269_21).
sbond_1(d269,d269_27,d269_22).
sbond_1(d269,d269_27,d269_28).
sbond_1(d269,d269_27,d269_29).
sbond_1(d269,d269_27,d269_30).
sbond_1(d269,d269_28,d269_27).
sbond_1(d269,d269_29,d269_27).
sbond_1(d269,d269_3,d269_1).
sbond_1(d269,d269_30,d269_27).
sbond_1(d269,d269_31,d269_24).
sbond_1(d269,d269_31,d269_32).
sbond_1(d269,d269_31,d269_36).
sbond_1(d269,d269_31,d269_37).
sbond_1(d269,d269_32,d269_31).
sbond_1(d269,d269_32,d269_33).
sbond_1(d269,d269_32,d269_34).
sbond_1(d269,d269_32,d269_35).
sbond_1(d269,d269_33,d269_32).
sbond_1(d269,d269_34,d269_32).
sbond_1(d269,d269_35,d269_32).
sbond_1(d269,d269_36,d269_31).
sbond_1(d269,d269_36,d269_38).
sbond_1(d269,d269_36,d269_39).
sbond_1(d269,d269_36,d269_40).
sbond_1(d269,d269_37,d269_31).
sbond_1(d269,d269_38,d269_36).
sbond_1(d269,d269_39,d269_36).
sbond_1(d269,d269_4,d269_1).
sbond_1(d269,d269_40,d269_36).
sbond_1(d269,d269_5,d269_1).
sbond_1(d269,d269_6,d269_2).
sbond_1(d269,d269_6,d269_9).
sbond_1(d269,d269_7,d269_2).
sbond_1(d269,d269_8,d269_2).
sbond_1(d269,d269_9,d269_10).
sbond_1(d269,d269_9,d269_19).
sbond_1(d269,d269_9,d269_6).
sbond_1(d27,d27_1,d27_2).
sbond_1(d27,d27_1,d27_5).
sbond_1(d27,d27_1,d27_8).
sbond_1(d27,d27_10,d27_4).
sbond_1(d27,d27_12,d27_15).
sbond_1(d27,d27_15,d27_12).
sbond_1(d27,d27_16,d27_22).
sbond_1(d27,d27_17,d27_23).
sbond_1(d27,d27_18,d27_20).
sbond_1(d27,d27_2,d27_1).
sbond_1(d27,d27_2,d27_3).
sbond_1(d27,d27_2,d27_6).
sbond_1(d27,d27_2,d27_7).
sbond_1(d27,d27_20,d27_18).
sbond_1(d27,d27_20,d27_21).
sbond_1(d27,d27_21,d27_20).
sbond_1(d27,d27_22,d27_16).
sbond_1(d27,d27_23,d27_17).
sbond_1(d27,d27_3,d27_2).
sbond_1(d27,d27_3,d27_4).
sbond_1(d27,d27_4,d27_10).
sbond_1(d27,d27_4,d27_3).
sbond_1(d27,d27_4,d27_5).
sbond_1(d27,d27_5,d27_1).
sbond_1(d27,d27_5,d27_4).
sbond_1(d27,d27_6,d27_2).
sbond_1(d27,d27_7,d27_2).
sbond_1(d27,d27_8,d27_1).
sbond_1(d270,d270_1,d270_2).
sbond_1(d270,d270_1,d270_6).
sbond_1(d270,d270_1,d270_7).
sbond_1(d270,d270_1,d270_8).
sbond_1(d270,d270_10,d270_6).
sbond_1(d270,d270_11,d270_13).
sbond_1(d270,d270_11,d270_4).
sbond_1(d270,d270_12,d270_4).
sbond_1(d270,d270_13,d270_11).
sbond_1(d270,d270_13,d270_19).
sbond_1(d270,d270_13,d270_20).
sbond_1(d270,d270_14,d270_16).
sbond_1(d270,d270_14,d270_3).
sbond_1(d270,d270_15,d270_3).
sbond_1(d270,d270_16,d270_14).
sbond_1(d270,d270_16,d270_35).
sbond_1(d270,d270_16,d270_43).
sbond_1(d270,d270_19,d270_13).
sbond_1(d270,d270_19,d270_21).
sbond_1(d270,d270_2,d270_1).
sbond_1(d270,d270_2,d270_3).
sbond_1(d270,d270_20,d270_13).
sbond_1(d270,d270_20,d270_28).
sbond_1(d270,d270_21,d270_19).
sbond_1(d270,d270_21,d270_22).
sbond_1(d270,d270_21,d270_23).
sbond_1(d270,d270_21,d270_24).
sbond_1(d270,d270_22,d270_21).
sbond_1(d270,d270_22,d270_25).
sbond_1(d270,d270_22,d270_26).
sbond_1(d270,d270_22,d270_27).
sbond_1(d270,d270_23,d270_21).
sbond_1(d270,d270_24,d270_21).
sbond_1(d270,d270_25,d270_22).
sbond_1(d270,d270_26,d270_22).
sbond_1(d270,d270_27,d270_22).
sbond_1(d270,d270_28,d270_20).
sbond_1(d270,d270_28,d270_29).
sbond_1(d270,d270_28,d270_30).
sbond_1(d270,d270_28,d270_31).
sbond_1(d270,d270_29,d270_28).
sbond_1(d270,d270_29,d270_32).
sbond_1(d270,d270_29,d270_33).
sbond_1(d270,d270_29,d270_34).
sbond_1(d270,d270_3,d270_14).
sbond_1(d270,d270_3,d270_15).
sbond_1(d270,d270_3,d270_2).
sbond_1(d270,d270_3,d270_4).
sbond_1(d270,d270_30,d270_28).
sbond_1(d270,d270_31,d270_28).
sbond_1(d270,d270_32,d270_29).
sbond_1(d270,d270_33,d270_29).
sbond_1(d270,d270_34,d270_29).
sbond_1(d270,d270_35,d270_16).
sbond_1(d270,d270_35,d270_36).
sbond_1(d270,d270_36,d270_35).
sbond_1(d270,d270_36,d270_37).
sbond_1(d270,d270_36,d270_38).
sbond_1(d270,d270_36,d270_39).
sbond_1(d270,d270_37,d270_36).
sbond_1(d270,d270_37,d270_40).
sbond_1(d270,d270_37,d270_41).
sbond_1(d270,d270_37,d270_42).
sbond_1(d270,d270_38,d270_36).
sbond_1(d270,d270_39,d270_36).
sbond_1(d270,d270_4,d270_11).
sbond_1(d270,d270_4,d270_12).
sbond_1(d270,d270_4,d270_3).
sbond_1(d270,d270_4,d270_5).
sbond_1(d270,d270_40,d270_37).
sbond_1(d270,d270_41,d270_37).
sbond_1(d270,d270_42,d270_37).
sbond_1(d270,d270_43,d270_16).
sbond_1(d270,d270_43,d270_44).
sbond_1(d270,d270_44,d270_43).
sbond_1(d270,d270_44,d270_45).
sbond_1(d270,d270_44,d270_46).
sbond_1(d270,d270_44,d270_47).
sbond_1(d270,d270_45,d270_44).
sbond_1(d270,d270_45,d270_48).
sbond_1(d270,d270_45,d270_49).
sbond_1(d270,d270_45,d270_50).
sbond_1(d270,d270_46,d270_44).
sbond_1(d270,d270_47,d270_44).
sbond_1(d270,d270_48,d270_45).
sbond_1(d270,d270_49,d270_45).
sbond_1(d270,d270_5,d270_4).
sbond_1(d270,d270_5,d270_6).
sbond_1(d270,d270_50,d270_45).
sbond_1(d270,d270_6,d270_1).
sbond_1(d270,d270_6,d270_10).
sbond_1(d270,d270_6,d270_5).
sbond_1(d270,d270_6,d270_9).
sbond_1(d270,d270_7,d270_1).
sbond_1(d270,d270_8,d270_1).
sbond_1(d270,d270_9,d270_6).
sbond_1(d271,d271_1,d271_2).
sbond_1(d271,d271_1,d271_3).
sbond_1(d271,d271_1,d271_4).
sbond_1(d271,d271_1,d271_5).
sbond_1(d271,d271_10,d271_11).
sbond_1(d271,d271_10,d271_12).
sbond_1(d271,d271_10,d271_13).
sbond_1(d271,d271_10,d271_9).
sbond_1(d271,d271_11,d271_10).
sbond_1(d271,d271_12,d271_10).
sbond_1(d271,d271_13,d271_10).
sbond_1(d271,d271_14,d271_26).
sbond_1(d271,d271_14,d271_35).
sbond_1(d271,d271_15,d271_18).
sbond_1(d271,d271_15,d271_34).
sbond_1(d271,d271_18,d271_15).
sbond_1(d271,d271_18,d271_19).
sbond_1(d271,d271_19,d271_18).
sbond_1(d271,d271_19,d271_20).
sbond_1(d271,d271_19,d271_21).
sbond_1(d271,d271_19,d271_22).
sbond_1(d271,d271_2,d271_1).
sbond_1(d271,d271_2,d271_6).
sbond_1(d271,d271_20,d271_19).
sbond_1(d271,d271_20,d271_23).
sbond_1(d271,d271_20,d271_24).
sbond_1(d271,d271_20,d271_25).
sbond_1(d271,d271_21,d271_19).
sbond_1(d271,d271_22,d271_19).
sbond_1(d271,d271_23,d271_20).
sbond_1(d271,d271_24,d271_20).
sbond_1(d271,d271_25,d271_20).
sbond_1(d271,d271_26,d271_14).
sbond_1(d271,d271_26,d271_27).
sbond_1(d271,d271_27,d271_26).
sbond_1(d271,d271_27,d271_28).
sbond_1(d271,d271_27,d271_29).
sbond_1(d271,d271_27,d271_30).
sbond_1(d271,d271_28,d271_27).
sbond_1(d271,d271_28,d271_31).
sbond_1(d271,d271_28,d271_32).
sbond_1(d271,d271_28,d271_33).
sbond_1(d271,d271_29,d271_27).
sbond_1(d271,d271_3,d271_1).
sbond_1(d271,d271_30,d271_27).
sbond_1(d271,d271_31,d271_28).
sbond_1(d271,d271_32,d271_28).
sbond_1(d271,d271_33,d271_28).
sbond_1(d271,d271_34,d271_15).
sbond_1(d271,d271_34,d271_35).
sbond_1(d271,d271_34,d271_36).
sbond_1(d271,d271_34,d271_7).
sbond_1(d271,d271_35,d271_14).
sbond_1(d271,d271_35,d271_34).
sbond_1(d271,d271_35,d271_37).
sbond_1(d271,d271_35,d271_38).
sbond_1(d271,d271_36,d271_34).
sbond_1(d271,d271_37,d271_35).
sbond_1(d271,d271_38,d271_35).
sbond_1(d271,d271_4,d271_1).
sbond_1(d271,d271_5,d271_1).
sbond_1(d271,d271_6,d271_2).
sbond_1(d271,d271_6,d271_7).
sbond_1(d271,d271_6,d271_9).
sbond_1(d271,d271_7,d271_34).
sbond_1(d271,d271_7,d271_6).
sbond_1(d271,d271_9,d271_10).
sbond_1(d271,d271_9,d271_6).
sbond_1(d272,d272_1,d272_2).
sbond_1(d272,d272_1,d272_3).
sbond_1(d272,d272_1,d272_4).
sbond_1(d272,d272_1,d272_5).
sbond_1(d272,d272_2,d272_1).
sbond_1(d272,d272_3,d272_1).
sbond_1(d272,d272_4,d272_1).
sbond_1(d272,d272_5,d272_1).
sbond_1(d273,d273_1,d273_2).
sbond_1(d273,d273_1,d273_3).
sbond_1(d273,d273_1,d273_4).
sbond_1(d273,d273_1,d273_5).
sbond_1(d273,d273_2,d273_1).
sbond_1(d273,d273_3,d273_1).
sbond_1(d273,d273_4,d273_1).
sbond_1(d273,d273_5,d273_1).
sbond_1(d274,d274_1,d274_2).
sbond_1(d274,d274_1,d274_3).
sbond_1(d274,d274_1,d274_4).
sbond_1(d274,d274_1,d274_5).
sbond_1(d274,d274_2,d274_1).
sbond_1(d274,d274_3,d274_1).
sbond_1(d274,d274_4,d274_1).
sbond_1(d274,d274_5,d274_1).
sbond_1(d275,d275_1,d275_2).
sbond_1(d275,d275_1,d275_3).
sbond_1(d275,d275_1,d275_4).
sbond_1(d275,d275_1,d275_5).
sbond_1(d275,d275_2,d275_1).
sbond_1(d275,d275_3,d275_1).
sbond_1(d275,d275_4,d275_1).
sbond_1(d275,d275_5,d275_1).
sbond_1(d276,d276_1,d276_2).
sbond_1(d276,d276_1,d276_3).
sbond_1(d276,d276_1,d276_4).
sbond_1(d276,d276_1,d276_5).
sbond_1(d276,d276_2,d276_1).
sbond_1(d276,d276_3,d276_1).
sbond_1(d276,d276_4,d276_1).
sbond_1(d276,d276_5,d276_1).
sbond_1(d277,d277_1,d277_2).
sbond_1(d277,d277_1,d277_39).
sbond_1(d277,d277_1,d277_40).
sbond_1(d277,d277_1,d277_41).
sbond_1(d277,d277_10,d277_5).
sbond_1(d277,d277_11,d277_6).
sbond_1(d277,d277_12,d277_8).
sbond_1(d277,d277_13,d277_9).
sbond_1(d277,d277_14,d277_15).
sbond_1(d277,d277_14,d277_16).
sbond_1(d277,d277_14,d277_17).
sbond_1(d277,d277_14,d277_7).
sbond_1(d277,d277_15,d277_14).
sbond_1(d277,d277_16,d277_14).
sbond_1(d277,d277_17,d277_14).
sbond_1(d277,d277_18,d277_23).
sbond_1(d277,d277_19,d277_24).
sbond_1(d277,d277_2,d277_1).
sbond_1(d277,d277_2,d277_3).
sbond_1(d277,d277_2,d277_4).
sbond_1(d277,d277_20,d277_27).
sbond_1(d277,d277_21,d277_25).
sbond_1(d277,d277_22,d277_26).
sbond_1(d277,d277_23,d277_18).
sbond_1(d277,d277_24,d277_19).
sbond_1(d277,d277_25,d277_21).
sbond_1(d277,d277_26,d277_22).
sbond_1(d277,d277_27,d277_20).
sbond_1(d277,d277_27,d277_28).
sbond_1(d277,d277_27,d277_29).
sbond_1(d277,d277_28,d277_27).
sbond_1(d277,d277_28,d277_30).
sbond_1(d277,d277_28,d277_31).
sbond_1(d277,d277_28,d277_32).
sbond_1(d277,d277_29,d277_27).
sbond_1(d277,d277_29,d277_33).
sbond_1(d277,d277_29,d277_34).
sbond_1(d277,d277_29,d277_35).
sbond_1(d277,d277_3,d277_2).
sbond_1(d277,d277_3,d277_36).
sbond_1(d277,d277_3,d277_37).
sbond_1(d277,d277_3,d277_38).
sbond_1(d277,d277_30,d277_28).
sbond_1(d277,d277_31,d277_28).
sbond_1(d277,d277_32,d277_28).
sbond_1(d277,d277_33,d277_29).
sbond_1(d277,d277_34,d277_29).
sbond_1(d277,d277_35,d277_29).
sbond_1(d277,d277_36,d277_3).
sbond_1(d277,d277_37,d277_3).
sbond_1(d277,d277_38,d277_3).
sbond_1(d277,d277_39,d277_1).
sbond_1(d277,d277_4,d277_2).
sbond_1(d277,d277_40,d277_1).
sbond_1(d277,d277_41,d277_1).
sbond_1(d277,d277_5,d277_10).
sbond_1(d277,d277_6,d277_11).
sbond_1(d277,d277_7,d277_14).
sbond_1(d277,d277_8,d277_12).
sbond_1(d277,d277_9,d277_13).
sbond_1(d278,d278_1,d278_2).
sbond_1(d278,d278_1,d278_38).
sbond_1(d278,d278_1,d278_39).
sbond_1(d278,d278_1,d278_40).
sbond_1(d278,d278_10,d278_5).
sbond_1(d278,d278_11,d278_6).
sbond_1(d278,d278_12,d278_8).
sbond_1(d278,d278_13,d278_9).
sbond_1(d278,d278_14,d278_15).
sbond_1(d278,d278_14,d278_7).
sbond_1(d278,d278_15,d278_14).
sbond_1(d278,d278_16,d278_21).
sbond_1(d278,d278_17,d278_22).
sbond_1(d278,d278_18,d278_25).
sbond_1(d278,d278_19,d278_23).
sbond_1(d278,d278_2,d278_1).
sbond_1(d278,d278_2,d278_3).
sbond_1(d278,d278_2,d278_4).
sbond_1(d278,d278_20,d278_24).
sbond_1(d278,d278_21,d278_16).
sbond_1(d278,d278_22,d278_17).
sbond_1(d278,d278_23,d278_19).
sbond_1(d278,d278_24,d278_20).
sbond_1(d278,d278_25,d278_18).
sbond_1(d278,d278_25,d278_26).
sbond_1(d278,d278_25,d278_27).
sbond_1(d278,d278_26,d278_25).
sbond_1(d278,d278_26,d278_29).
sbond_1(d278,d278_26,d278_30).
sbond_1(d278,d278_26,d278_31).
sbond_1(d278,d278_27,d278_25).
sbond_1(d278,d278_27,d278_32).
sbond_1(d278,d278_27,d278_33).
sbond_1(d278,d278_27,d278_34).
sbond_1(d278,d278_29,d278_26).
sbond_1(d278,d278_3,d278_2).
sbond_1(d278,d278_3,d278_35).
sbond_1(d278,d278_3,d278_36).
sbond_1(d278,d278_3,d278_37).
sbond_1(d278,d278_30,d278_26).
sbond_1(d278,d278_31,d278_26).
sbond_1(d278,d278_32,d278_27).
sbond_1(d278,d278_33,d278_27).
sbond_1(d278,d278_34,d278_27).
sbond_1(d278,d278_35,d278_3).
sbond_1(d278,d278_36,d278_3).
sbond_1(d278,d278_37,d278_3).
sbond_1(d278,d278_38,d278_1).
sbond_1(d278,d278_39,d278_1).
sbond_1(d278,d278_4,d278_2).
sbond_1(d278,d278_40,d278_1).
sbond_1(d278,d278_5,d278_10).
sbond_1(d278,d278_6,d278_11).
sbond_1(d278,d278_7,d278_14).
sbond_1(d278,d278_8,d278_12).
sbond_1(d278,d278_9,d278_13).
sbond_1(d279,d279_1,d279_18).
sbond_1(d279,d279_1,d279_19).
sbond_1(d279,d279_1,d279_2).
sbond_1(d279,d279_1,d279_20).
sbond_1(d279,d279_10,d279_5).
sbond_1(d279,d279_11,d279_6).
sbond_1(d279,d279_12,d279_8).
sbond_1(d279,d279_13,d279_9).
sbond_1(d279,d279_14,d279_7).
sbond_1(d279,d279_15,d279_3).
sbond_1(d279,d279_16,d279_3).
sbond_1(d279,d279_17,d279_3).
sbond_1(d279,d279_18,d279_1).
sbond_1(d279,d279_19,d279_1).
sbond_1(d279,d279_2,d279_1).
sbond_1(d279,d279_2,d279_3).
sbond_1(d279,d279_2,d279_4).
sbond_1(d279,d279_20,d279_1).
sbond_1(d279,d279_3,d279_15).
sbond_1(d279,d279_3,d279_16).
sbond_1(d279,d279_3,d279_17).
sbond_1(d279,d279_3,d279_2).
sbond_1(d279,d279_4,d279_2).
sbond_1(d279,d279_5,d279_10).
sbond_1(d279,d279_6,d279_11).
sbond_1(d279,d279_7,d279_14).
sbond_1(d279,d279_8,d279_12).
sbond_1(d279,d279_9,d279_13).
sbond_1(d28,d28_1,d28_6).
sbond_1(d28,d28_10,d28_11).
sbond_1(d28,d28_10,d28_9).
sbond_1(d28,d28_11,d28_10).
sbond_1(d28,d28_11,d28_16).
sbond_1(d28,d28_11,d28_17).
sbond_1(d28,d28_14,d28_7).
sbond_1(d28,d28_15,d28_9).
sbond_1(d28,d28_16,d28_11).
sbond_1(d28,d28_17,d28_11).
sbond_1(d28,d28_19,d28_2).
sbond_1(d28,d28_2,d28_19).
sbond_1(d28,d28_20,d28_3).
sbond_1(d28,d28_3,d28_20).
sbond_1(d28,d28_4,d28_7).
sbond_1(d28,d28_6,d28_1).
sbond_1(d28,d28_7,d28_14).
sbond_1(d28,d28_7,d28_4).
sbond_1(d28,d28_8,d28_9).
sbond_1(d28,d28_9,d28_10).
sbond_1(d28,d28_9,d28_15).
sbond_1(d28,d28_9,d28_8).
sbond_1(d280,d280_1,d280_2).
sbond_1(d280,d280_1,d280_24).
sbond_1(d280,d280_1,d280_25).
sbond_1(d280,d280_1,d280_26).
sbond_1(d280,d280_10,d280_5).
sbond_1(d280,d280_11,d280_6).
sbond_1(d280,d280_12,d280_8).
sbond_1(d280,d280_13,d280_9).
sbond_1(d280,d280_14,d280_7).
sbond_1(d280,d280_15,d280_16).
sbond_1(d280,d280_16,d280_15).
sbond_1(d280,d280_16,d280_17).
sbond_1(d280,d280_17,d280_16).
sbond_1(d280,d280_17,d280_18).
sbond_1(d280,d280_18,d280_17).
sbond_1(d280,d280_2,d280_1).
sbond_1(d280,d280_2,d280_3).
sbond_1(d280,d280_2,d280_4).
sbond_1(d280,d280_21,d280_3).
sbond_1(d280,d280_22,d280_3).
sbond_1(d280,d280_23,d280_3).
sbond_1(d280,d280_24,d280_1).
sbond_1(d280,d280_25,d280_1).
sbond_1(d280,d280_26,d280_1).
sbond_1(d280,d280_3,d280_2).
sbond_1(d280,d280_3,d280_21).
sbond_1(d280,d280_3,d280_22).
sbond_1(d280,d280_3,d280_23).
sbond_1(d280,d280_4,d280_2).
sbond_1(d280,d280_5,d280_10).
sbond_1(d280,d280_6,d280_11).
sbond_1(d280,d280_7,d280_14).
sbond_1(d280,d280_8,d280_12).
sbond_1(d280,d280_9,d280_13).
sbond_1(d281,d281_1,d281_2).
sbond_1(d281,d281_2,d281_1).
sbond_1(d281,d281_2,d281_3).
sbond_1(d281,d281_2,d281_4).
sbond_1(d281,d281_2,d281_5).
sbond_1(d281,d281_3,d281_2).
sbond_1(d281,d281_4,d281_2).
sbond_1(d281,d281_5,d281_2).
sbond_1(d282,d282_1,d282_2).
sbond_1(d282,d282_11,d282_7).
sbond_1(d282,d282_12,d282_3).
sbond_1(d282,d282_13,d282_3).
sbond_1(d282,d282_2,d282_1).
sbond_1(d282,d282_2,d282_3).
sbond_1(d282,d282_2,d282_4).
sbond_1(d282,d282_2,d282_5).
sbond_1(d282,d282_3,d282_12).
sbond_1(d282,d282_3,d282_13).
sbond_1(d282,d282_3,d282_2).
sbond_1(d282,d282_3,d282_6).
sbond_1(d282,d282_4,d282_2).
sbond_1(d282,d282_5,d282_2).
sbond_1(d282,d282_6,d282_3).
sbond_1(d282,d282_6,d282_7).
sbond_1(d282,d282_7,d282_11).
sbond_1(d282,d282_7,d282_6).
sbond_1(d283,d283_1,d283_3).
sbond_1(d283,d283_1,d283_4).
sbond_1(d283,d283_10,d283_13).
sbond_1(d283,d283_10,d283_14).
sbond_1(d283,d283_10,d283_15).
sbond_1(d283,d283_10,d283_9).
sbond_1(d283,d283_11,d283_9).
sbond_1(d283,d283_12,d283_9).
sbond_1(d283,d283_13,d283_10).
sbond_1(d283,d283_14,d283_10).
sbond_1(d283,d283_15,d283_10).
sbond_1(d283,d283_2,d283_5).
sbond_1(d283,d283_2,d283_6).
sbond_1(d283,d283_3,d283_1).
sbond_1(d283,d283_4,d283_1).
sbond_1(d283,d283_5,d283_2).
sbond_1(d283,d283_5,d283_8).
sbond_1(d283,d283_6,d283_2).
sbond_1(d283,d283_8,d283_5).
sbond_1(d283,d283_8,d283_9).
sbond_1(d283,d283_9,d283_10).
sbond_1(d283,d283_9,d283_11).
sbond_1(d283,d283_9,d283_12).
sbond_1(d283,d283_9,d283_8).
sbond_1(d284,d284_1,d284_3).
sbond_1(d284,d284_1,d284_4).
sbond_1(d284,d284_10,d284_14).
sbond_1(d284,d284_10,d284_9).
sbond_1(d284,d284_11,d284_9).
sbond_1(d284,d284_12,d284_9).
sbond_1(d284,d284_13,d284_8).
sbond_1(d284,d284_14,d284_10).
sbond_1(d284,d284_2,d284_5).
sbond_1(d284,d284_2,d284_6).
sbond_1(d284,d284_3,d284_1).
sbond_1(d284,d284_4,d284_1).
sbond_1(d284,d284_5,d284_2).
sbond_1(d284,d284_5,d284_8).
sbond_1(d284,d284_6,d284_2).
sbond_1(d284,d284_8,d284_13).
sbond_1(d284,d284_8,d284_5).
sbond_1(d284,d284_8,d284_9).
sbond_1(d284,d284_9,d284_10).
sbond_1(d284,d284_9,d284_11).
sbond_1(d284,d284_9,d284_12).
sbond_1(d284,d284_9,d284_8).
sbond_1(d285,d285_1,d285_3).
sbond_1(d285,d285_1,d285_4).
sbond_1(d285,d285_10,d285_11).
sbond_1(d285,d285_10,d285_9).
sbond_1(d285,d285_11,d285_10).
sbond_1(d285,d285_11,d285_12).
sbond_1(d285,d285_11,d285_13).
sbond_1(d285,d285_11,d285_14).
sbond_1(d285,d285_12,d285_11).
sbond_1(d285,d285_13,d285_11).
sbond_1(d285,d285_14,d285_11).
sbond_1(d285,d285_2,d285_5).
sbond_1(d285,d285_2,d285_9).
sbond_1(d285,d285_3,d285_1).
sbond_1(d285,d285_4,d285_1).
sbond_1(d285,d285_5,d285_2).
sbond_1(d285,d285_5,d285_6).
sbond_1(d285,d285_5,d285_7).
sbond_1(d285,d285_5,d285_8).
sbond_1(d285,d285_6,d285_5).
sbond_1(d285,d285_7,d285_5).
sbond_1(d285,d285_8,d285_5).
sbond_1(d285,d285_9,d285_10).
sbond_1(d285,d285_9,d285_2).
sbond_1(d286,d286_1,d286_2).
sbond_1(d286,d286_1,d286_5).
sbond_1(d286,d286_2,d286_1).
sbond_1(d286,d286_2,d286_3).
sbond_1(d286,d286_2,d286_8).
sbond_1(d286,d286_2,d286_9).
sbond_1(d286,d286_3,d286_2).
sbond_1(d286,d286_3,d286_7).
sbond_1(d286,d286_5,d286_1).
sbond_1(d286,d286_7,d286_3).
sbond_1(d286,d286_8,d286_2).
sbond_1(d286,d286_9,d286_2).
sbond_1(d287,d287_1,d287_2).
sbond_1(d287,d287_1,d287_6).
sbond_1(d287,d287_1,d287_7).
sbond_1(d287,d287_1,d287_8).
sbond_1(d287,d287_10,d287_6).
sbond_1(d287,d287_11,d287_9).
sbond_1(d287,d287_12,d287_9).
sbond_1(d287,d287_13,d287_9).
sbond_1(d287,d287_14,d287_16).
sbond_1(d287,d287_14,d287_17).
sbond_1(d287,d287_14,d287_18).
sbond_1(d287,d287_14,d287_4).
sbond_1(d287,d287_15,d287_4).
sbond_1(d287,d287_16,d287_14).
sbond_1(d287,d287_17,d287_14).
sbond_1(d287,d287_18,d287_14).
sbond_1(d287,d287_19,d287_2).
sbond_1(d287,d287_19,d287_21).
sbond_1(d287,d287_2,d287_1).
sbond_1(d287,d287_2,d287_19).
sbond_1(d287,d287_2,d287_20).
sbond_1(d287,d287_2,d287_3).
sbond_1(d287,d287_20,d287_2).
sbond_1(d287,d287_21,d287_19).
sbond_1(d287,d287_21,d287_22).
sbond_1(d287,d287_22,d287_21).
sbond_1(d287,d287_22,d287_23).
sbond_1(d287,d287_22,d287_24).
sbond_1(d287,d287_22,d287_25).
sbond_1(d287,d287_23,d287_22).
sbond_1(d287,d287_24,d287_22).
sbond_1(d287,d287_25,d287_22).
sbond_1(d287,d287_3,d287_2).
sbond_1(d287,d287_3,d287_4).
sbond_1(d287,d287_4,d287_14).
sbond_1(d287,d287_4,d287_15).
sbond_1(d287,d287_4,d287_3).
sbond_1(d287,d287_4,d287_5).
sbond_1(d287,d287_5,d287_4).
sbond_1(d287,d287_5,d287_6).
sbond_1(d287,d287_6,d287_1).
sbond_1(d287,d287_6,d287_10).
sbond_1(d287,d287_6,d287_5).
sbond_1(d287,d287_6,d287_9).
sbond_1(d287,d287_7,d287_1).
sbond_1(d287,d287_8,d287_1).
sbond_1(d287,d287_9,d287_11).
sbond_1(d287,d287_9,d287_12).
sbond_1(d287,d287_9,d287_13).
sbond_1(d287,d287_9,d287_6).
sbond_1(d288,d288_1,d288_2).
sbond_1(d288,d288_1,d288_24).
sbond_1(d288,d288_1,d288_25).
sbond_1(d288,d288_1,d288_26).
sbond_1(d288,d288_10,d288_11).
sbond_1(d288,d288_10,d288_3).
sbond_1(d288,d288_11,d288_10).
sbond_1(d288,d288_11,d288_12).
sbond_1(d288,d288_12,d288_11).
sbond_1(d288,d288_12,d288_14).
sbond_1(d288,d288_12,d288_15).
sbond_1(d288,d288_12,d288_16).
sbond_1(d288,d288_14,d288_12).
sbond_1(d288,d288_14,d288_17).
sbond_1(d288,d288_15,d288_12).
sbond_1(d288,d288_16,d288_12).
sbond_1(d288,d288_17,d288_14).
sbond_1(d288,d288_18,d288_19).
sbond_1(d288,d288_18,d288_20).
sbond_1(d288,d288_19,d288_18).
sbond_1(d288,d288_2,d288_1).
sbond_1(d288,d288_2,d288_3).
sbond_1(d288,d288_2,d288_4).
sbond_1(d288,d288_2,d288_5).
sbond_1(d288,d288_20,d288_18).
sbond_1(d288,d288_21,d288_7).
sbond_1(d288,d288_22,d288_7).
sbond_1(d288,d288_23,d288_7).
sbond_1(d288,d288_24,d288_1).
sbond_1(d288,d288_25,d288_1).
sbond_1(d288,d288_26,d288_1).
sbond_1(d288,d288_3,d288_10).
sbond_1(d288,d288_3,d288_2).
sbond_1(d288,d288_3,d288_6).
sbond_1(d288,d288_4,d288_2).
sbond_1(d288,d288_5,d288_2).
sbond_1(d288,d288_6,d288_3).
sbond_1(d288,d288_6,d288_7).
sbond_1(d288,d288_6,d288_8).
sbond_1(d288,d288_6,d288_9).
sbond_1(d288,d288_7,d288_21).
sbond_1(d288,d288_7,d288_22).
sbond_1(d288,d288_7,d288_23).
sbond_1(d288,d288_7,d288_6).
sbond_1(d288,d288_8,d288_6).
sbond_1(d288,d288_9,d288_6).
sbond_1(d289,d289_1,d289_2).
sbond_1(d289,d289_1,d289_3).
sbond_1(d289,d289_1,d289_4).
sbond_1(d289,d289_1,d289_5).
sbond_1(d289,d289_10,d289_11).
sbond_1(d289,d289_10,d289_12).
sbond_1(d289,d289_11,d289_10).
sbond_1(d289,d289_12,d289_10).
sbond_1(d289,d289_2,d289_1).
sbond_1(d289,d289_2,d289_6).
sbond_1(d289,d289_3,d289_1).
sbond_1(d289,d289_4,d289_1).
sbond_1(d289,d289_5,d289_1).
sbond_1(d289,d289_6,d289_2).
sbond_1(d289,d289_6,d289_7).
sbond_1(d289,d289_6,d289_8).
sbond_1(d289,d289_6,d289_9).
sbond_1(d289,d289_7,d289_6).
sbond_1(d289,d289_8,d289_6).
sbond_1(d289,d289_9,d289_6).
sbond_1(d29,d29a_1,d29a_7).
sbond_1(d29,d29a_10,d29a_11).
sbond_1(d29,d29a_10,d29a_12).
sbond_1(d29,d29a_10,d29a_13).
sbond_1(d29,d29a_10,d29a_5).
sbond_1(d29,d29a_11,d29a_10).
sbond_1(d29,d29a_12,d29a_10).
sbond_1(d29,d29a_13,d29a_10).
sbond_1(d29,d29a_14,d29a_4).
sbond_1(d29,d29a_15,d29a_2).
sbond_1(d29,d29a_2,d29a_15).
sbond_1(d29,d29a_3,d29a_8).
sbond_1(d29,d29a_4,d29a_14).
sbond_1(d29,d29a_5,d29a_10).
sbond_1(d29,d29a_6,d29a_9).
sbond_1(d29,d29a_7,d29a_1).
sbond_1(d29,d29a_8,d29a_3).
sbond_1(d29,d29a_9,d29a_6).
sbond_1(d29,d29b_1,d29b_7).
sbond_1(d29,d29b_10,d29b_11).
sbond_1(d29,d29b_10,d29b_12).
sbond_1(d29,d29b_10,d29b_13).
sbond_1(d29,d29b_10,d29b_5).
sbond_1(d29,d29b_11,d29b_10).
sbond_1(d29,d29b_12,d29b_10).
sbond_1(d29,d29b_13,d29b_10).
sbond_1(d29,d29b_14,d29b_6).
sbond_1(d29,d29b_15,d29b_4).
sbond_1(d29,d29b_2,d29b_8).
sbond_1(d29,d29b_3,d29b_9).
sbond_1(d29,d29b_4,d29b_15).
sbond_1(d29,d29b_5,d29b_10).
sbond_1(d29,d29b_6,d29b_14).
sbond_1(d29,d29b_7,d29b_1).
sbond_1(d29,d29b_8,d29b_2).
sbond_1(d29,d29b_9,d29b_3).
sbond_1(d290,d290_1,d290_7).
sbond_1(d290,d290_10,d290_6).
sbond_1(d290,d290_11,d290_12).
sbond_1(d290,d290_11,d290_3).
sbond_1(d290,d290_12,d290_11).
sbond_1(d290,d290_12,d290_13).
sbond_1(d290,d290_12,d290_16).
sbond_1(d290,d290_13,d290_12).
sbond_1(d290,d290_13,d290_4).
sbond_1(d290,d290_16,d290_12).
sbond_1(d290,d290_16,d290_17).
sbond_1(d290,d290_17,d290_16).
sbond_1(d290,d290_17,d290_18).
sbond_1(d290,d290_17,d290_19).
sbond_1(d290,d290_17,d290_20).
sbond_1(d290,d290_18,d290_17).
sbond_1(d290,d290_19,d290_17).
sbond_1(d290,d290_2,d290_8).
sbond_1(d290,d290_20,d290_17).
sbond_1(d290,d290_3,d290_11).
sbond_1(d290,d290_4,d290_13).
sbond_1(d290,d290_5,d290_9).
sbond_1(d290,d290_6,d290_10).
sbond_1(d290,d290_7,d290_1).
sbond_1(d290,d290_8,d290_2).
sbond_1(d290,d290_9,d290_5).
sbond_1(d291,d291_1,d291_10).
sbond_1(d291,d291_1,d291_2).
sbond_1(d291,d291_1,d291_9).
sbond_1(d291,d291_10,d291_1).
sbond_1(d291,d291_2,d291_1).
sbond_1(d291,d291_2,d291_3).
sbond_1(d291,d291_3,d291_2).
sbond_1(d291,d291_3,d291_4).
sbond_1(d291,d291_4,d291_3).
sbond_1(d291,d291_4,d291_5).
sbond_1(d291,d291_4,d291_6).
sbond_1(d291,d291_4,d291_7).
sbond_1(d291,d291_5,d291_4).
sbond_1(d291,d291_6,d291_4).
sbond_1(d291,d291_7,d291_4).
sbond_1(d291,d291_9,d291_1).
sbond_1(d292,d292_1,d292_2).
sbond_1(d292,d292_1,d292_3).
sbond_1(d292,d292_10,d292_6).
sbond_1(d292,d292_11,d292_6).
sbond_1(d292,d292_13,d292_14).
sbond_1(d292,d292_13,d292_15).
sbond_1(d292,d292_13,d292_9).
sbond_1(d292,d292_14,d292_13).
sbond_1(d292,d292_14,d292_16).
sbond_1(d292,d292_14,d292_20).
sbond_1(d292,d292_15,d292_13).
sbond_1(d292,d292_16,d292_14).
sbond_1(d292,d292_16,d292_17).
sbond_1(d292,d292_16,d292_18).
sbond_1(d292,d292_16,d292_19).
sbond_1(d292,d292_17,d292_16).
sbond_1(d292,d292_18,d292_16).
sbond_1(d292,d292_19,d292_16).
sbond_1(d292,d292_2,d292_1).
sbond_1(d292,d292_2,d292_5).
sbond_1(d292,d292_20,d292_14).
sbond_1(d292,d292_20,d292_21).
sbond_1(d292,d292_20,d292_22).
sbond_1(d292,d292_20,d292_23).
sbond_1(d292,d292_21,d292_20).
sbond_1(d292,d292_22,d292_20).
sbond_1(d292,d292_23,d292_20).
sbond_1(d292,d292_3,d292_1).
sbond_1(d292,d292_5,d292_2).
sbond_1(d292,d292_5,d292_6).
sbond_1(d292,d292_5,d292_7).
sbond_1(d292,d292_5,d292_8).
sbond_1(d292,d292_6,d292_10).
sbond_1(d292,d292_6,d292_11).
sbond_1(d292,d292_6,d292_5).
sbond_1(d292,d292_6,d292_9).
sbond_1(d292,d292_7,d292_5).
sbond_1(d292,d292_8,d292_5).
sbond_1(d292,d292_9,d292_13).
sbond_1(d292,d292_9,d292_6).
sbond_1(d293,d293_1,d293_7).
sbond_1(d293,d293_10,d293_6).
sbond_1(d293,d293_12,d293_14).
sbond_1(d293,d293_14,d293_12).
sbond_1(d293,d293_2,d293_8).
sbond_1(d293,d293_5,d293_9).
sbond_1(d293,d293_6,d293_10).
sbond_1(d293,d293_7,d293_1).
sbond_1(d293,d293_8,d293_2).
sbond_1(d293,d293_9,d293_5).
sbond_1(d294,d294_1,d294_7).
sbond_1(d294,d294_11,d294_14).
sbond_1(d294,d294_12,d294_15).
sbond_1(d294,d294_13,d294_16).
sbond_1(d294,d294_14,d294_11).
sbond_1(d294,d294_15,d294_12).
sbond_1(d294,d294_16,d294_13).
sbond_1(d294,d294_17,d294_18).
sbond_1(d294,d294_17,d294_2).
sbond_1(d294,d294_18,d294_17).
sbond_1(d294,d294_2,d294_17).
sbond_1(d294,d294_5,d294_8).
sbond_1(d294,d294_6,d294_9).
sbond_1(d294,d294_7,d294_1).
sbond_1(d294,d294_8,d294_5).
sbond_1(d294,d294_9,d294_6).
sbond_1(d295,d295_1,d295_3).
sbond_1(d295,d295_1,d295_4).
sbond_1(d295,d295_2,d295_5).
sbond_1(d295,d295_2,d295_6).
sbond_1(d295,d295_3,d295_1).
sbond_1(d295,d295_4,d295_1).
sbond_1(d295,d295_5,d295_2).
sbond_1(d295,d295_5,d295_7).
sbond_1(d295,d295_5,d295_8).
sbond_1(d295,d295_5,d295_9).
sbond_1(d295,d295_6,d295_2).
sbond_1(d295,d295_7,d295_5).
sbond_1(d295,d295_8,d295_5).
sbond_1(d295,d295_9,d295_5).
sbond_1(d296,d296_1,d296_7).
sbond_1(d296,d296_10,d296_6).
sbond_1(d296,d296_11,d296_15).
sbond_1(d296,d296_12,d296_16).
sbond_1(d296,d296_13,d296_17).
sbond_1(d296,d296_14,d296_18).
sbond_1(d296,d296_15,d296_11).
sbond_1(d296,d296_16,d296_12).
sbond_1(d296,d296_17,d296_13).
sbond_1(d296,d296_18,d296_14).
sbond_1(d296,d296_2,d296_8).
sbond_1(d296,d296_5,d296_9).
sbond_1(d296,d296_6,d296_10).
sbond_1(d296,d296_7,d296_1).
sbond_1(d296,d296_8,d296_2).
sbond_1(d296,d296_9,d296_5).
sbond_1(d297,d297_1,d297_2).
sbond_1(d297,d297_1,d297_3).
sbond_1(d297,d297_1,d297_8).
sbond_1(d297,d297_1,d297_9).
sbond_1(d297,d297_10,d297_11).
sbond_1(d297,d297_10,d297_14).
sbond_1(d297,d297_10,d297_15).
sbond_1(d297,d297_10,d297_16).
sbond_1(d297,d297_100,d297_103).
sbond_1(d297,d297_100,d297_104).
sbond_1(d297,d297_100,d297_105).
sbond_1(d297,d297_100,d297_99).
sbond_1(d297,d297_101,d297_99).
sbond_1(d297,d297_102,d297_99).
sbond_1(d297,d297_103,d297_100).
sbond_1(d297,d297_103,d297_106).
sbond_1(d297,d297_104,d297_100).
sbond_1(d297,d297_105,d297_100).
sbond_1(d297,d297_106,d297_103).
sbond_1(d297,d297_106,d297_107).
sbond_1(d297,d297_106,d297_108).
sbond_1(d297,d297_106,d297_109).
sbond_1(d297,d297_107,d297_106).
sbond_1(d297,d297_107,d297_110).
sbond_1(d297,d297_107,d297_111).
sbond_1(d297,d297_107,d297_112).
sbond_1(d297,d297_108,d297_106).
sbond_1(d297,d297_109,d297_106).
sbond_1(d297,d297_11,d297_10).
sbond_1(d297,d297_11,d297_12).
sbond_1(d297,d297_11,d297_13).
sbond_1(d297,d297_11,d297_8).
sbond_1(d297,d297_110,d297_107).
sbond_1(d297,d297_110,d297_113).
sbond_1(d297,d297_111,d297_107).
sbond_1(d297,d297_112,d297_107).
sbond_1(d297,d297_113,d297_110).
sbond_1(d297,d297_113,d297_114).
sbond_1(d297,d297_113,d297_115).
sbond_1(d297,d297_113,d297_116).
sbond_1(d297,d297_114,d297_113).
sbond_1(d297,d297_114,d297_117).
sbond_1(d297,d297_114,d297_118).
sbond_1(d297,d297_114,d297_119).
sbond_1(d297,d297_115,d297_113).
sbond_1(d297,d297_116,d297_113).
sbond_1(d297,d297_117,d297_114).
sbond_1(d297,d297_117,d297_120).
sbond_1(d297,d297_118,d297_114).
sbond_1(d297,d297_119,d297_114).
sbond_1(d297,d297_12,d297_11).
sbond_1(d297,d297_120,d297_117).
sbond_1(d297,d297_120,d297_121).
sbond_1(d297,d297_120,d297_122).
sbond_1(d297,d297_120,d297_123).
sbond_1(d297,d297_121,d297_120).
sbond_1(d297,d297_121,d297_124).
sbond_1(d297,d297_121,d297_125).
sbond_1(d297,d297_121,d297_126).
sbond_1(d297,d297_122,d297_120).
sbond_1(d297,d297_123,d297_120).
sbond_1(d297,d297_124,d297_121).
sbond_1(d297,d297_124,d297_127).
sbond_1(d297,d297_125,d297_121).
sbond_1(d297,d297_126,d297_121).
sbond_1(d297,d297_127,d297_124).
sbond_1(d297,d297_128,d297_129).
sbond_1(d297,d297_128,d297_132).
sbond_1(d297,d297_128,d297_133).
sbond_1(d297,d297_128,d297_134).
sbond_1(d297,d297_129,d297_128).
sbond_1(d297,d297_129,d297_130).
sbond_1(d297,d297_129,d297_131).
sbond_1(d297,d297_129,d297_89).
sbond_1(d297,d297_13,d297_11).
sbond_1(d297,d297_130,d297_129).
sbond_1(d297,d297_131,d297_129).
sbond_1(d297,d297_132,d297_128).
sbond_1(d297,d297_132,d297_135).
sbond_1(d297,d297_133,d297_128).
sbond_1(d297,d297_134,d297_128).
sbond_1(d297,d297_135,d297_132).
sbond_1(d297,d297_135,d297_136).
sbond_1(d297,d297_135,d297_137).
sbond_1(d297,d297_135,d297_138).
sbond_1(d297,d297_136,d297_135).
sbond_1(d297,d297_136,d297_139).
sbond_1(d297,d297_136,d297_140).
sbond_1(d297,d297_136,d297_141).
sbond_1(d297,d297_137,d297_135).
sbond_1(d297,d297_138,d297_135).
sbond_1(d297,d297_139,d297_136).
sbond_1(d297,d297_139,d297_142).
sbond_1(d297,d297_14,d297_10).
sbond_1(d297,d297_14,d297_17).
sbond_1(d297,d297_140,d297_136).
sbond_1(d297,d297_141,d297_136).
sbond_1(d297,d297_142,d297_139).
sbond_1(d297,d297_142,d297_143).
sbond_1(d297,d297_142,d297_144).
sbond_1(d297,d297_142,d297_145).
sbond_1(d297,d297_143,d297_142).
sbond_1(d297,d297_143,d297_146).
sbond_1(d297,d297_143,d297_147).
sbond_1(d297,d297_143,d297_148).
sbond_1(d297,d297_144,d297_142).
sbond_1(d297,d297_145,d297_142).
sbond_1(d297,d297_146,d297_143).
sbond_1(d297,d297_146,d297_149).
sbond_1(d297,d297_147,d297_143).
sbond_1(d297,d297_148,d297_143).
sbond_1(d297,d297_149,d297_146).
sbond_1(d297,d297_149,d297_150).
sbond_1(d297,d297_149,d297_151).
sbond_1(d297,d297_149,d297_152).
sbond_1(d297,d297_15,d297_10).
sbond_1(d297,d297_150,d297_149).
sbond_1(d297,d297_150,d297_153).
sbond_1(d297,d297_150,d297_154).
sbond_1(d297,d297_150,d297_155).
sbond_1(d297,d297_151,d297_149).
sbond_1(d297,d297_152,d297_149).
sbond_1(d297,d297_153,d297_150).
sbond_1(d297,d297_153,d297_156).
sbond_1(d297,d297_154,d297_150).
sbond_1(d297,d297_155,d297_150).
sbond_1(d297,d297_156,d297_153).
sbond_1(d297,d297_156,d297_157).
sbond_1(d297,d297_156,d297_158).
sbond_1(d297,d297_156,d297_159).
sbond_1(d297,d297_157,d297_156).
sbond_1(d297,d297_157,d297_160).
sbond_1(d297,d297_157,d297_161).
sbond_1(d297,d297_157,d297_162).
sbond_1(d297,d297_158,d297_156).
sbond_1(d297,d297_159,d297_156).
sbond_1(d297,d297_16,d297_10).
sbond_1(d297,d297_160,d297_157).
sbond_1(d297,d297_160,d297_163).
sbond_1(d297,d297_161,d297_157).
sbond_1(d297,d297_162,d297_157).
sbond_1(d297,d297_163,d297_160).
sbond_1(d297,d297_163,d297_165).
sbond_1(d297,d297_165,d297_163).
sbond_1(d297,d297_165,d297_166).
sbond_1(d297,d297_165,d297_167).
sbond_1(d297,d297_165,d297_168).
sbond_1(d297,d297_166,d297_165).
sbond_1(d297,d297_166,d297_169).
sbond_1(d297,d297_166,d297_170).
sbond_1(d297,d297_166,d297_171).
sbond_1(d297,d297_167,d297_165).
sbond_1(d297,d297_168,d297_165).
sbond_1(d297,d297_169,d297_166).
sbond_1(d297,d297_169,d297_172).
sbond_1(d297,d297_169,d297_173).
sbond_1(d297,d297_169,d297_174).
sbond_1(d297,d297_17,d297_14).
sbond_1(d297,d297_17,d297_18).
sbond_1(d297,d297_17,d297_19).
sbond_1(d297,d297_17,d297_20).
sbond_1(d297,d297_170,d297_166).
sbond_1(d297,d297_171,d297_166).
sbond_1(d297,d297_172,d297_169).
sbond_1(d297,d297_172,d297_175).
sbond_1(d297,d297_172,d297_176).
sbond_1(d297,d297_172,d297_177).
sbond_1(d297,d297_173,d297_169).
sbond_1(d297,d297_174,d297_169).
sbond_1(d297,d297_175,d297_172).
sbond_1(d297,d297_175,d297_178).
sbond_1(d297,d297_175,d297_179).
sbond_1(d297,d297_175,d297_180).
sbond_1(d297,d297_176,d297_172).
sbond_1(d297,d297_177,d297_172).
sbond_1(d297,d297_178,d297_175).
sbond_1(d297,d297_178,d297_181).
sbond_1(d297,d297_178,d297_211).
sbond_1(d297,d297_178,d297_212).
sbond_1(d297,d297_179,d297_175).
sbond_1(d297,d297_18,d297_17).
sbond_1(d297,d297_18,d297_21).
sbond_1(d297,d297_18,d297_22).
sbond_1(d297,d297_18,d297_23).
sbond_1(d297,d297_180,d297_175).
sbond_1(d297,d297_181,d297_178).
sbond_1(d297,d297_181,d297_213).
sbond_1(d297,d297_182,d297_183).
sbond_1(d297,d297_182,d297_214).
sbond_1(d297,d297_183,d297_182).
sbond_1(d297,d297_183,d297_184).
sbond_1(d297,d297_183,d297_209).
sbond_1(d297,d297_183,d297_210).
sbond_1(d297,d297_184,d297_183).
sbond_1(d297,d297_184,d297_185).
sbond_1(d297,d297_184,d297_186).
sbond_1(d297,d297_184,d297_187).
sbond_1(d297,d297_185,d297_184).
sbond_1(d297,d297_185,d297_188).
sbond_1(d297,d297_185,d297_189).
sbond_1(d297,d297_185,d297_190).
sbond_1(d297,d297_186,d297_184).
sbond_1(d297,d297_187,d297_184).
sbond_1(d297,d297_188,d297_185).
sbond_1(d297,d297_188,d297_191).
sbond_1(d297,d297_188,d297_192).
sbond_1(d297,d297_188,d297_193).
sbond_1(d297,d297_189,d297_185).
sbond_1(d297,d297_19,d297_17).
sbond_1(d297,d297_190,d297_185).
sbond_1(d297,d297_191,d297_188).
sbond_1(d297,d297_191,d297_194).
sbond_1(d297,d297_191,d297_195).
sbond_1(d297,d297_191,d297_196).
sbond_1(d297,d297_192,d297_188).
sbond_1(d297,d297_193,d297_188).
sbond_1(d297,d297_194,d297_191).
sbond_1(d297,d297_194,d297_197).
sbond_1(d297,d297_194,d297_198).
sbond_1(d297,d297_194,d297_199).
sbond_1(d297,d297_195,d297_191).
sbond_1(d297,d297_196,d297_191).
sbond_1(d297,d297_197,d297_194).
sbond_1(d297,d297_197,d297_200).
sbond_1(d297,d297_197,d297_201).
sbond_1(d297,d297_197,d297_202).
sbond_1(d297,d297_198,d297_194).
sbond_1(d297,d297_199,d297_194).
sbond_1(d297,d297_2,d297_1).
sbond_1(d297,d297_2,d297_46).
sbond_1(d297,d297_2,d297_47).
sbond_1(d297,d297_2,d297_7).
sbond_1(d297,d297_20,d297_17).
sbond_1(d297,d297_200,d297_197).
sbond_1(d297,d297_200,d297_203).
sbond_1(d297,d297_200,d297_204).
sbond_1(d297,d297_200,d297_205).
sbond_1(d297,d297_201,d297_197).
sbond_1(d297,d297_202,d297_197).
sbond_1(d297,d297_203,d297_200).
sbond_1(d297,d297_203,d297_206).
sbond_1(d297,d297_203,d297_207).
sbond_1(d297,d297_203,d297_208).
sbond_1(d297,d297_204,d297_200).
sbond_1(d297,d297_205,d297_200).
sbond_1(d297,d297_206,d297_203).
sbond_1(d297,d297_207,d297_203).
sbond_1(d297,d297_208,d297_203).
sbond_1(d297,d297_209,d297_183).
sbond_1(d297,d297_21,d297_18).
sbond_1(d297,d297_21,d297_24).
sbond_1(d297,d297_210,d297_183).
sbond_1(d297,d297_211,d297_178).
sbond_1(d297,d297_212,d297_178).
sbond_1(d297,d297_213,d297_181).
sbond_1(d297,d297_214,d297_182).
sbond_1(d297,d297_22,d297_18).
sbond_1(d297,d297_23,d297_18).
sbond_1(d297,d297_24,d297_21).
sbond_1(d297,d297_24,d297_25).
sbond_1(d297,d297_24,d297_26).
sbond_1(d297,d297_24,d297_27).
sbond_1(d297,d297_25,d297_24).
sbond_1(d297,d297_25,d297_28).
sbond_1(d297,d297_25,d297_29).
sbond_1(d297,d297_25,d297_30).
sbond_1(d297,d297_26,d297_24).
sbond_1(d297,d297_27,d297_24).
sbond_1(d297,d297_28,d297_25).
sbond_1(d297,d297_28,d297_31).
sbond_1(d297,d297_29,d297_25).
sbond_1(d297,d297_3,d297_1).
sbond_1(d297,d297_3,d297_4).
sbond_1(d297,d297_3,d297_5).
sbond_1(d297,d297_3,d297_6).
sbond_1(d297,d297_30,d297_25).
sbond_1(d297,d297_31,d297_28).
sbond_1(d297,d297_31,d297_32).
sbond_1(d297,d297_31,d297_33).
sbond_1(d297,d297_31,d297_34).
sbond_1(d297,d297_32,d297_31).
sbond_1(d297,d297_32,d297_35).
sbond_1(d297,d297_32,d297_36).
sbond_1(d297,d297_32,d297_37).
sbond_1(d297,d297_33,d297_31).
sbond_1(d297,d297_34,d297_31).
sbond_1(d297,d297_35,d297_32).
sbond_1(d297,d297_35,d297_38).
sbond_1(d297,d297_36,d297_32).
sbond_1(d297,d297_37,d297_32).
sbond_1(d297,d297_38,d297_35).
sbond_1(d297,d297_38,d297_39).
sbond_1(d297,d297_38,d297_40).
sbond_1(d297,d297_38,d297_41).
sbond_1(d297,d297_39,d297_38).
sbond_1(d297,d297_39,d297_42).
sbond_1(d297,d297_39,d297_43).
sbond_1(d297,d297_39,d297_44).
sbond_1(d297,d297_4,d297_3).
sbond_1(d297,d297_4,d297_7).
sbond_1(d297,d297_40,d297_38).
sbond_1(d297,d297_41,d297_38).
sbond_1(d297,d297_42,d297_39).
sbond_1(d297,d297_42,d297_45).
sbond_1(d297,d297_43,d297_39).
sbond_1(d297,d297_44,d297_39).
sbond_1(d297,d297_45,d297_42).
sbond_1(d297,d297_46,d297_2).
sbond_1(d297,d297_46,d297_49).
sbond_1(d297,d297_47,d297_2).
sbond_1(d297,d297_48,d297_49).
sbond_1(d297,d297_48,d297_52).
sbond_1(d297,d297_48,d297_53).
sbond_1(d297,d297_48,d297_54).
sbond_1(d297,d297_49,d297_46).
sbond_1(d297,d297_49,d297_48).
sbond_1(d297,d297_49,d297_50).
sbond_1(d297,d297_49,d297_51).
sbond_1(d297,d297_5,d297_3).
sbond_1(d297,d297_50,d297_49).
sbond_1(d297,d297_51,d297_49).
sbond_1(d297,d297_52,d297_48).
sbond_1(d297,d297_52,d297_55).
sbond_1(d297,d297_53,d297_48).
sbond_1(d297,d297_54,d297_48).
sbond_1(d297,d297_55,d297_52).
sbond_1(d297,d297_55,d297_56).
sbond_1(d297,d297_55,d297_57).
sbond_1(d297,d297_55,d297_58).
sbond_1(d297,d297_56,d297_55).
sbond_1(d297,d297_56,d297_59).
sbond_1(d297,d297_56,d297_60).
sbond_1(d297,d297_56,d297_61).
sbond_1(d297,d297_57,d297_55).
sbond_1(d297,d297_58,d297_55).
sbond_1(d297,d297_59,d297_56).
sbond_1(d297,d297_59,d297_62).
sbond_1(d297,d297_6,d297_3).
sbond_1(d297,d297_60,d297_56).
sbond_1(d297,d297_61,d297_56).
sbond_1(d297,d297_62,d297_59).
sbond_1(d297,d297_62,d297_63).
sbond_1(d297,d297_62,d297_64).
sbond_1(d297,d297_62,d297_65).
sbond_1(d297,d297_63,d297_62).
sbond_1(d297,d297_63,d297_66).
sbond_1(d297,d297_63,d297_67).
sbond_1(d297,d297_63,d297_68).
sbond_1(d297,d297_64,d297_62).
sbond_1(d297,d297_65,d297_62).
sbond_1(d297,d297_66,d297_63).
sbond_1(d297,d297_66,d297_69).
sbond_1(d297,d297_67,d297_63).
sbond_1(d297,d297_68,d297_63).
sbond_1(d297,d297_69,d297_66).
sbond_1(d297,d297_69,d297_70).
sbond_1(d297,d297_69,d297_71).
sbond_1(d297,d297_69,d297_72).
sbond_1(d297,d297_7,d297_2).
sbond_1(d297,d297_7,d297_4).
sbond_1(d297,d297_7,d297_84).
sbond_1(d297,d297_7,d297_85).
sbond_1(d297,d297_70,d297_69).
sbond_1(d297,d297_70,d297_73).
sbond_1(d297,d297_70,d297_74).
sbond_1(d297,d297_70,d297_75).
sbond_1(d297,d297_71,d297_69).
sbond_1(d297,d297_72,d297_69).
sbond_1(d297,d297_73,d297_70).
sbond_1(d297,d297_73,d297_76).
sbond_1(d297,d297_74,d297_70).
sbond_1(d297,d297_75,d297_70).
sbond_1(d297,d297_76,d297_73).
sbond_1(d297,d297_76,d297_77).
sbond_1(d297,d297_76,d297_78).
sbond_1(d297,d297_76,d297_79).
sbond_1(d297,d297_77,d297_76).
sbond_1(d297,d297_77,d297_80).
sbond_1(d297,d297_77,d297_81).
sbond_1(d297,d297_77,d297_82).
sbond_1(d297,d297_78,d297_76).
sbond_1(d297,d297_79,d297_76).
sbond_1(d297,d297_8,d297_1).
sbond_1(d297,d297_8,d297_11).
sbond_1(d297,d297_80,d297_77).
sbond_1(d297,d297_80,d297_83).
sbond_1(d297,d297_81,d297_77).
sbond_1(d297,d297_82,d297_77).
sbond_1(d297,d297_83,d297_80).
sbond_1(d297,d297_84,d297_7).
sbond_1(d297,d297_84,d297_86).
sbond_1(d297,d297_84,d297_87).
sbond_1(d297,d297_84,d297_88).
sbond_1(d297,d297_85,d297_7).
sbond_1(d297,d297_86,d297_84).
sbond_1(d297,d297_86,d297_89).
sbond_1(d297,d297_86,d297_90).
sbond_1(d297,d297_86,d297_91).
sbond_1(d297,d297_87,d297_84).
sbond_1(d297,d297_87,d297_93).
sbond_1(d297,d297_88,d297_84).
sbond_1(d297,d297_89,d297_129).
sbond_1(d297,d297_89,d297_86).
sbond_1(d297,d297_9,d297_1).
sbond_1(d297,d297_90,d297_86).
sbond_1(d297,d297_91,d297_86).
sbond_1(d297,d297_92,d297_93).
sbond_1(d297,d297_92,d297_96).
sbond_1(d297,d297_92,d297_97).
sbond_1(d297,d297_92,d297_98).
sbond_1(d297,d297_93,d297_87).
sbond_1(d297,d297_93,d297_92).
sbond_1(d297,d297_93,d297_94).
sbond_1(d297,d297_93,d297_95).
sbond_1(d297,d297_94,d297_93).
sbond_1(d297,d297_95,d297_93).
sbond_1(d297,d297_96,d297_92).
sbond_1(d297,d297_96,d297_99).
sbond_1(d297,d297_97,d297_92).
sbond_1(d297,d297_98,d297_92).
sbond_1(d297,d297_99,d297_100).
sbond_1(d297,d297_99,d297_101).
sbond_1(d297,d297_99,d297_102).
sbond_1(d297,d297_99,d297_96).
sbond_1(d298,d298_1,d298_7).
sbond_1(d298,d298_10,d298_6).
sbond_1(d298,d298_11,d298_12).
sbond_1(d298,d298_11,d298_3).
sbond_1(d298,d298_12,d298_11).
sbond_1(d298,d298_13,d298_14).
sbond_1(d298,d298_14,d298_13).
sbond_1(d298,d298_14,d298_23).
sbond_1(d298,d298_14,d298_4).
sbond_1(d298,d298_15,d298_19).
sbond_1(d298,d298_16,d298_20).
sbond_1(d298,d298_17,d298_21).
sbond_1(d298,d298_18,d298_22).
sbond_1(d298,d298_19,d298_15).
sbond_1(d298,d298_2,d298_8).
sbond_1(d298,d298_20,d298_16).
sbond_1(d298,d298_21,d298_17).
sbond_1(d298,d298_22,d298_18).
sbond_1(d298,d298_23,d298_14).
sbond_1(d298,d298_23,d298_24).
sbond_1(d298,d298_23,d298_25).
sbond_1(d298,d298_23,d298_26).
sbond_1(d298,d298_24,d298_23).
sbond_1(d298,d298_24,d298_27).
sbond_1(d298,d298_24,d298_31).
sbond_1(d298,d298_24,d298_32).
sbond_1(d298,d298_25,d298_23).
sbond_1(d298,d298_26,d298_23).
sbond_1(d298,d298_27,d298_24).
sbond_1(d298,d298_27,d298_28).
sbond_1(d298,d298_27,d298_29).
sbond_1(d298,d298_27,d298_30).
sbond_1(d298,d298_28,d298_27).
sbond_1(d298,d298_29,d298_27).
sbond_1(d298,d298_3,d298_11).
sbond_1(d298,d298_30,d298_27).
sbond_1(d298,d298_31,d298_24).
sbond_1(d298,d298_31,d298_33).
sbond_1(d298,d298_31,d298_37).
sbond_1(d298,d298_32,d298_24).
sbond_1(d298,d298_33,d298_31).
sbond_1(d298,d298_33,d298_34).
sbond_1(d298,d298_33,d298_35).
sbond_1(d298,d298_33,d298_36).
sbond_1(d298,d298_34,d298_33).
sbond_1(d298,d298_35,d298_33).
sbond_1(d298,d298_36,d298_33).
sbond_1(d298,d298_37,d298_31).
sbond_1(d298,d298_37,d298_38).
sbond_1(d298,d298_37,d298_39).
sbond_1(d298,d298_37,d298_40).
sbond_1(d298,d298_38,d298_37).
sbond_1(d298,d298_39,d298_37).
sbond_1(d298,d298_4,d298_14).
sbond_1(d298,d298_40,d298_37).
sbond_1(d298,d298_5,d298_9).
sbond_1(d298,d298_6,d298_10).
sbond_1(d298,d298_7,d298_1).
sbond_1(d298,d298_8,d298_2).
sbond_1(d298,d298_9,d298_5).
sbond_1(d299,d299_1,d299_7).
sbond_1(d299,d299_10,d299_6).
sbond_1(d299,d299_11,d299_13).
sbond_1(d299,d299_11,d299_5).
sbond_1(d299,d299_12,d299_14).
sbond_1(d299,d299_12,d299_3).
sbond_1(d299,d299_13,d299_11).
sbond_1(d299,d299_14,d299_12).
sbond_1(d299,d299_2,d299_8).
sbond_1(d299,d299_3,d299_12).
sbond_1(d299,d299_4,d299_9).
sbond_1(d299,d299_5,d299_11).
sbond_1(d299,d299_6,d299_10).
sbond_1(d299,d299_7,d299_1).
sbond_1(d299,d299_8,d299_2).
sbond_1(d299,d299_9,d299_4).
sbond_1(d3,d3_1,d3_7).
sbond_1(d3,d3_10,d3_6).
sbond_1(d3,d3_11,d3_12).
sbond_1(d3,d3_11,d3_3).
sbond_1(d3,d3_12,d3_11).
sbond_1(d3,d3_13,d3_14).
sbond_1(d3,d3_14,d3_13).
sbond_1(d3,d3_14,d3_4).
sbond_1(d3,d3_15,d3_19).
sbond_1(d3,d3_16,d3_20).
sbond_1(d3,d3_17,d3_23).
sbond_1(d3,d3_18,d3_27).
sbond_1(d3,d3_19,d3_15).
sbond_1(d3,d3_2,d3_8).
sbond_1(d3,d3_20,d3_16).
sbond_1(d3,d3_23,d3_17).
sbond_1(d3,d3_23,d3_24).
sbond_1(d3,d3_23,d3_25).
sbond_1(d3,d3_23,d3_26).
sbond_1(d3,d3_24,d3_23).
sbond_1(d3,d3_25,d3_23).
sbond_1(d3,d3_26,d3_23).
sbond_1(d3,d3_27,d3_18).
sbond_1(d3,d3_27,d3_28).
sbond_1(d3,d3_27,d3_29).
sbond_1(d3,d3_28,d3_27).
sbond_1(d3,d3_29,d3_27).
sbond_1(d3,d3_3,d3_11).
sbond_1(d3,d3_4,d3_14).
sbond_1(d3,d3_5,d3_9).
sbond_1(d3,d3_6,d3_10).
sbond_1(d3,d3_7,d3_1).
sbond_1(d3,d3_8,d3_2).
sbond_1(d3,d3_9,d3_5).
sbond_1(d30,d30_1,d30_7).
sbond_1(d30,d30_10,d30_6).
sbond_1(d30,d30_11,d30_13).
sbond_1(d30,d30_11,d30_14).
sbond_1(d30,d30_11,d30_5).
sbond_1(d30,d30_12,d30_2).
sbond_1(d30,d30_13,d30_11).
sbond_1(d30,d30_14,d30_11).
sbond_1(d30,d30_2,d30_12).
sbond_1(d30,d30_3,d30_8).
sbond_1(d30,d30_4,d30_9).
sbond_1(d30,d30_5,d30_11).
sbond_1(d30,d30_6,d30_10).
sbond_1(d30,d30_7,d30_1).
sbond_1(d30,d30_8,d30_3).
sbond_1(d30,d30_9,d30_4).
sbond_1(d300,d300_1,d300_2).
sbond_1(d300,d300_1,d300_3).
sbond_1(d300,d300_1,d300_4).
sbond_1(d300,d300_1,d300_5).
sbond_1(d300,d300_10,d300_2).
sbond_1(d300,d300_11,d300_8).
sbond_1(d300,d300_12,d300_8).
sbond_1(d300,d300_2,d300_1).
sbond_1(d300,d300_2,d300_10).
sbond_1(d300,d300_2,d300_8).
sbond_1(d300,d300_2,d300_9).
sbond_1(d300,d300_3,d300_1).
sbond_1(d300,d300_3,d300_6).
sbond_1(d300,d300_4,d300_1).
sbond_1(d300,d300_5,d300_1).
sbond_1(d300,d300_6,d300_3).
sbond_1(d300,d300_6,d300_8).
sbond_1(d300,d300_8,d300_11).
sbond_1(d300,d300_8,d300_12).
sbond_1(d300,d300_8,d300_2).
sbond_1(d300,d300_8,d300_6).
sbond_1(d300,d300_9,d300_2).
sbond_1(d301,d301_1,d301_2).
sbond_1(d301,d301_1,d301_4).
sbond_1(d301,d301_2,d301_1).
sbond_1(d301,d301_2,d301_6).
sbond_1(d301,d301_4,d301_1).
sbond_1(d301,d301_4,d301_7).
sbond_1(d301,d301_6,d301_2).
sbond_1(d301,d301_7,d301_4).
sbond_1(d302,d302_1,d302_2).
sbond_1(d302,d302_2,d302_1).
sbond_1(d302,d302_2,d302_3).
sbond_1(d302,d302_2,d302_4).
sbond_1(d302,d302_2,d302_5).
sbond_1(d302,d302_3,d302_2).
sbond_1(d302,d302_3,d302_6).
sbond_1(d302,d302_4,d302_2).
sbond_1(d302,d302_5,d302_2).
sbond_1(d302,d302_6,d302_3).
sbond_1(d302,d302_6,d302_8).
sbond_1(d302,d302_8,d302_6).
sbond_1(d303,d303_1,d303_7).
sbond_1(d303,d303_10,d303_6).
sbond_1(d303,d303_11,d303_15).
sbond_1(d303,d303_11,d303_5).
sbond_1(d303,d303_12,d303_2).
sbond_1(d303,d303_15,d303_11).
sbond_1(d303,d303_2,d303_12).
sbond_1(d303,d303_3,d303_8).
sbond_1(d303,d303_4,d303_9).
sbond_1(d303,d303_5,d303_11).
sbond_1(d303,d303_6,d303_10).
sbond_1(d303,d303_7,d303_1).
sbond_1(d303,d303_8,d303_3).
sbond_1(d303,d303_9,d303_4).
sbond_1(d304,d304a_1,d304a_7).
sbond_1(d304,d304a_10,d304a_24).
sbond_1(d304,d304a_10,d304a_25).
sbond_1(d304,d304a_10,d304a_9).
sbond_1(d304,d304a_12,d304a_13).
sbond_1(d304,d304a_12,d304a_14).
sbond_1(d304,d304a_12,d304a_15).
sbond_1(d304,d304a_12,d304a_2).
sbond_1(d304,d304a_13,d304a_12).
sbond_1(d304,d304a_14,d304a_12).
sbond_1(d304,d304a_15,d304a_12).
sbond_1(d304,d304a_16,d304a_17).
sbond_1(d304,d304a_16,d304a_18).
sbond_1(d304,d304a_16,d304a_19).
sbond_1(d304,d304a_16,d304a_4).
sbond_1(d304,d304a_17,d304a_16).
sbond_1(d304,d304a_18,d304a_16).
sbond_1(d304,d304a_19,d304a_16).
sbond_1(d304,d304a_2,d304a_12).
sbond_1(d304,d304a_20,d304a_21).
sbond_1(d304,d304a_20,d304a_22).
sbond_1(d304,d304a_20,d304a_23).
sbond_1(d304,d304a_20,d304a_6).
sbond_1(d304,d304a_21,d304a_20).
sbond_1(d304,d304a_22,d304a_20).
sbond_1(d304,d304a_23,d304a_20).
sbond_1(d304,d304a_24,d304a_10).
sbond_1(d304,d304a_24,d304a_26).
sbond_1(d304,d304a_25,d304a_10).
sbond_1(d304,d304a_25,d304a_27).
sbond_1(d304,d304a_26,d304a_24).
sbond_1(d304,d304a_27,d304a_25).
sbond_1(d304,d304a_3,d304a_9).
sbond_1(d304,d304a_4,d304a_16).
sbond_1(d304,d304a_5,d304a_8).
sbond_1(d304,d304a_6,d304a_20).
sbond_1(d304,d304a_7,d304a_1).
sbond_1(d304,d304a_8,d304a_5).
sbond_1(d304,d304a_9,d304a_10).
sbond_1(d304,d304a_9,d304a_3).
sbond_1(d304,d304b_1,d304b_23).
sbond_1(d304,d304b_11,d304b_12).
sbond_1(d304,d304b_11,d304b_13).
sbond_1(d304,d304b_11,d304b_14).
sbond_1(d304,d304b_11,d304b_2).
sbond_1(d304,d304b_12,d304b_11).
sbond_1(d304,d304b_13,d304b_11).
sbond_1(d304,d304b_14,d304b_11).
sbond_1(d304,d304b_15,d304b_16).
sbond_1(d304,d304b_15,d304b_17).
sbond_1(d304,d304b_15,d304b_18).
sbond_1(d304,d304b_15,d304b_6).
sbond_1(d304,d304b_16,d304b_15).
sbond_1(d304,d304b_17,d304b_15).
sbond_1(d304,d304b_18,d304b_15).
sbond_1(d304,d304b_19,d304b_21).
sbond_1(d304,d304b_19,d304b_9).
sbond_1(d304,d304b_2,d304b_11).
sbond_1(d304,d304b_20,d304b_22).
sbond_1(d304,d304b_20,d304b_9).
sbond_1(d304,d304b_21,d304b_19).
sbond_1(d304,d304b_22,d304b_20).
sbond_1(d304,d304b_23,d304b_1).
sbond_1(d304,d304b_23,d304b_24).
sbond_1(d304,d304b_23,d304b_25).
sbond_1(d304,d304b_23,d304b_26).
sbond_1(d304,d304b_24,d304b_23).
sbond_1(d304,d304b_25,d304b_23).
sbond_1(d304,d304b_26,d304b_23).
sbond_1(d304,d304b_27,d304b_4).
sbond_1(d304,d304b_3,d304b_8).
sbond_1(d304,d304b_4,d304b_27).
sbond_1(d304,d304b_5,d304b_7).
sbond_1(d304,d304b_6,d304b_15).
sbond_1(d304,d304b_7,d304b_5).
sbond_1(d304,d304b_8,d304b_3).
sbond_1(d304,d304b_8,d304b_9).
sbond_1(d304,d304b_9,d304b_19).
sbond_1(d304,d304b_9,d304b_20).
sbond_1(d304,d304b_9,d304b_8).
sbond_1(d305,d305_1,d305_7).
sbond_1(d305,d305_10,d305_11).
sbond_1(d305,d305_10,d305_12).
sbond_1(d305,d305_10,d305_13).
sbond_1(d305,d305_10,d305_4).
sbond_1(d305,d305_11,d305_10).
sbond_1(d305,d305_12,d305_10).
sbond_1(d305,d305_13,d305_10).
sbond_1(d305,d305_14,d305_19).
sbond_1(d305,d305_15,d305_20).
sbond_1(d305,d305_16,d305_21).
sbond_1(d305,d305_17,d305_22).
sbond_1(d305,d305_18,d305_23).
sbond_1(d305,d305_19,d305_14).
sbond_1(d305,d305_2,d305_25).
sbond_1(d305,d305_20,d305_15).
sbond_1(d305,d305_21,d305_16).
sbond_1(d305,d305_22,d305_17).
sbond_1(d305,d305_23,d305_18).
sbond_1(d305,d305_24,d305_26).
sbond_1(d305,d305_24,d305_5).
sbond_1(d305,d305_25,d305_2).
sbond_1(d305,d305_26,d305_24).
sbond_1(d305,d305_3,d305_8).
sbond_1(d305,d305_4,d305_10).
sbond_1(d305,d305_5,d305_24).
sbond_1(d305,d305_6,d305_9).
sbond_1(d305,d305_7,d305_1).
sbond_1(d305,d305_8,d305_3).
sbond_1(d305,d305_9,d305_6).
sbond_1(d306,d306_1,d306_18).
sbond_1(d306,d306_1,d306_2).
sbond_1(d306,d306_10,d306_11).
sbond_1(d306,d306_10,d306_12).
sbond_1(d306,d306_10,d306_13).
sbond_1(d306,d306_10,d306_3).
sbond_1(d306,d306_11,d306_10).
sbond_1(d306,d306_11,d306_19).
sbond_1(d306,d306_12,d306_10).
sbond_1(d306,d306_13,d306_10).
sbond_1(d306,d306_14,d306_15).
sbond_1(d306,d306_14,d306_16).
sbond_1(d306,d306_14,d306_17).
sbond_1(d306,d306_14,d306_3).
sbond_1(d306,d306_15,d306_14).
sbond_1(d306,d306_16,d306_14).
sbond_1(d306,d306_17,d306_14).
sbond_1(d306,d306_18,d306_1).
sbond_1(d306,d306_19,d306_11).
sbond_1(d306,d306_2,d306_1).
sbond_1(d306,d306_2,d306_3).
sbond_1(d306,d306_2,d306_4).
sbond_1(d306,d306_2,d306_5).
sbond_1(d306,d306_3,d306_10).
sbond_1(d306,d306_3,d306_14).
sbond_1(d306,d306_3,d306_2).
sbond_1(d306,d306_3,d306_6).
sbond_1(d306,d306_4,d306_2).
sbond_1(d306,d306_5,d306_2).
sbond_1(d306,d306_6,d306_3).
sbond_1(d306,d306_6,d306_7).
sbond_1(d306,d306_6,d306_8).
sbond_1(d306,d306_6,d306_9).
sbond_1(d306,d306_7,d306_6).
sbond_1(d306,d306_8,d306_6).
sbond_1(d306,d306_9,d306_6).
sbond_1(d307,d307_1,d307_11).
sbond_1(d307,d307_1,d307_2).
sbond_1(d307,d307_1,d307_3).
sbond_1(d307,d307_1,d307_7).
sbond_1(d307,d307_10,d307_7).
sbond_1(d307,d307_11,d307_1).
sbond_1(d307,d307_11,d307_12).
sbond_1(d307,d307_11,d307_13).
sbond_1(d307,d307_11,d307_14).
sbond_1(d307,d307_12,d307_11).
sbond_1(d307,d307_13,d307_11).
sbond_1(d307,d307_14,d307_11).
sbond_1(d307,d307_15,d307_2).
sbond_1(d307,d307_2,d307_1).
sbond_1(d307,d307_2,d307_15).
sbond_1(d307,d307_3,d307_1).
sbond_1(d307,d307_3,d307_4).
sbond_1(d307,d307_3,d307_5).
sbond_1(d307,d307_3,d307_6).
sbond_1(d307,d307_4,d307_3).
sbond_1(d307,d307_5,d307_3).
sbond_1(d307,d307_6,d307_3).
sbond_1(d307,d307_7,d307_1).
sbond_1(d307,d307_7,d307_10).
sbond_1(d307,d307_7,d307_8).
sbond_1(d307,d307_7,d307_9).
sbond_1(d307,d307_8,d307_7).
sbond_1(d307,d307_9,d307_7).
sbond_1(d308,d308_1,d308_7).
sbond_1(d308,d308_10,d308_6).
sbond_1(d308,d308_11,d308_12).
sbond_1(d308,d308_11,d308_15).
sbond_1(d308,d308_11,d308_16).
sbond_1(d308,d308_11,d308_3).
sbond_1(d308,d308_12,d308_11).
sbond_1(d308,d308_12,d308_13).
sbond_1(d308,d308_12,d308_17).
sbond_1(d308,d308_12,d308_18).
sbond_1(d308,d308_13,d308_12).
sbond_1(d308,d308_13,d308_14).
sbond_1(d308,d308_14,d308_13).
sbond_1(d308,d308_14,d308_4).
sbond_1(d308,d308_15,d308_11).
sbond_1(d308,d308_16,d308_11).
sbond_1(d308,d308_17,d308_12).
sbond_1(d308,d308_18,d308_12).
sbond_1(d308,d308_2,d308_8).
sbond_1(d308,d308_3,d308_11).
sbond_1(d308,d308_4,d308_14).
sbond_1(d308,d308_5,d308_9).
sbond_1(d308,d308_6,d308_10).
sbond_1(d308,d308_7,d308_1).
sbond_1(d308,d308_8,d308_2).
sbond_1(d308,d308_9,d308_5).
sbond_1(d309,d309_1,d309_2).
sbond_1(d309,d309_1,d309_3).
sbond_1(d309,d309_1,d309_4).
sbond_1(d309,d309_1,d309_5).
sbond_1(d309,d309_10,d309_6).
sbond_1(d309,d309_2,d309_1).
sbond_1(d309,d309_2,d309_6).
sbond_1(d309,d309_2,d309_7).
sbond_1(d309,d309_2,d309_8).
sbond_1(d309,d309_3,d309_1).
sbond_1(d309,d309_3,d309_9).
sbond_1(d309,d309_4,d309_1).
sbond_1(d309,d309_5,d309_1).
sbond_1(d309,d309_6,d309_10).
sbond_1(d309,d309_6,d309_2).
sbond_1(d309,d309_7,d309_2).
sbond_1(d309,d309_8,d309_2).
sbond_1(d309,d309_9,d309_3).
sbond_1(d31,d31a_1,d31a_19).
sbond_1(d31,d31a_10,d31a_4).
sbond_1(d31,d31a_11,d31a_16).
sbond_1(d31,d31a_12,d31a_25).
sbond_1(d31,d31a_13,d31a_30).
sbond_1(d31,d31a_14,d31a_17).
sbond_1(d31,d31a_15,d31a_18).
sbond_1(d31,d31a_16,d31a_11).
sbond_1(d31,d31a_17,d31a_14).
sbond_1(d31,d31a_18,d31a_15).
sbond_1(d31,d31a_19,d31a_1).
sbond_1(d31,d31a_19,d31a_31).
sbond_1(d31,d31a_19,d31a_32).
sbond_1(d31,d31a_2,d31a_20).
sbond_1(d31,d31a_20,d31a_2).
sbond_1(d31,d31a_20,d31a_21).
sbond_1(d31,d31a_21,d31a_20).
sbond_1(d31,d31a_21,d31a_22).
sbond_1(d31,d31a_21,d31a_23).
sbond_1(d31,d31a_21,d31a_24).
sbond_1(d31,d31a_22,d31a_21).
sbond_1(d31,d31a_23,d31a_21).
sbond_1(d31,d31a_24,d31a_21).
sbond_1(d31,d31a_25,d31a_12).
sbond_1(d31,d31a_25,d31a_26).
sbond_1(d31,d31a_26,d31a_25).
sbond_1(d31,d31a_26,d31a_27).
sbond_1(d31,d31a_26,d31a_28).
sbond_1(d31,d31a_26,d31a_29).
sbond_1(d31,d31a_27,d31a_26).
sbond_1(d31,d31a_28,d31a_26).
sbond_1(d31,d31a_29,d31a_26).
sbond_1(d31,d31a_3,d31a_7).
sbond_1(d31,d31a_30,d31a_13).
sbond_1(d31,d31a_30,d31a_33).
sbond_1(d31,d31a_30,d31a_34).
sbond_1(d31,d31a_31,d31a_19).
sbond_1(d31,d31a_32,d31a_19).
sbond_1(d31,d31a_33,d31a_30).
sbond_1(d31,d31a_34,d31a_30).
sbond_1(d31,d31a_4,d31a_10).
sbond_1(d31,d31a_5,d31a_8).
sbond_1(d31,d31a_6,d31a_9).
sbond_1(d31,d31a_7,d31a_3).
sbond_1(d31,d31a_8,d31a_5).
sbond_1(d31,d31a_9,d31a_6).
sbond_1(d31,d31b_1,d31b_2).
sbond_1(d31,d31b_2,d31b_1).
sbond_1(d310,d310_1,d310_2).
sbond_1(d310,d310_1,d310_3).
sbond_1(d310,d310_2,d310_1).
sbond_1(d310,d310_3,d310_1).
sbond_1(d311,d311_1,d311_7).
sbond_1(d311,d311_10,d311_5).
sbond_1(d311,d311_11,d311_6).
sbond_1(d311,d311_12,d311_18).
sbond_1(d311,d311_12,d311_28).
sbond_1(d311,d311_12,d311_29).
sbond_1(d311,d311_12,d311_4).
sbond_1(d311,d311_13,d311_14).
sbond_1(d311,d311_13,d311_18).
sbond_1(d311,d311_13,d311_19).
sbond_1(d311,d311_13,d311_20).
sbond_1(d311,d311_14,d311_13).
sbond_1(d311,d311_14,d311_15).
sbond_1(d311,d311_14,d311_21).
sbond_1(d311,d311_14,d311_22).
sbond_1(d311,d311_15,d311_14).
sbond_1(d311,d311_15,d311_16).
sbond_1(d311,d311_15,d311_23).
sbond_1(d311,d311_15,d311_24).
sbond_1(d311,d311_16,d311_15).
sbond_1(d311,d311_16,d311_17).
sbond_1(d311,d311_16,d311_25).
sbond_1(d311,d311_16,d311_26).
sbond_1(d311,d311_17,d311_16).
sbond_1(d311,d311_17,d311_18).
sbond_1(d311,d311_17,d311_36).
sbond_1(d311,d311_18,d311_12).
sbond_1(d311,d311_18,d311_13).
sbond_1(d311,d311_18,d311_17).
sbond_1(d311,d311_18,d311_27).
sbond_1(d311,d311_19,d311_13).
sbond_1(d311,d311_2,d311_8).
sbond_1(d311,d311_20,d311_13).
sbond_1(d311,d311_21,d311_14).
sbond_1(d311,d311_22,d311_14).
sbond_1(d311,d311_23,d311_15).
sbond_1(d311,d311_24,d311_15).
sbond_1(d311,d311_25,d311_16).
sbond_1(d311,d311_26,d311_16).
sbond_1(d311,d311_27,d311_18).
sbond_1(d311,d311_28,d311_12).
sbond_1(d311,d311_28,d311_30).
sbond_1(d311,d311_29,d311_12).
sbond_1(d311,d311_3,d311_9).
sbond_1(d311,d311_30,d311_28).
sbond_1(d311,d311_30,d311_31).
sbond_1(d311,d311_31,d311_30).
sbond_1(d311,d311_31,d311_32).
sbond_1(d311,d311_31,d311_33).
sbond_1(d311,d311_31,d311_34).
sbond_1(d311,d311_32,d311_31).
sbond_1(d311,d311_33,d311_31).
sbond_1(d311,d311_34,d311_31).
sbond_1(d311,d311_36,d311_17).
sbond_1(d311,d311_4,d311_12).
sbond_1(d311,d311_5,d311_10).
sbond_1(d311,d311_6,d311_11).
sbond_1(d311,d311_7,d311_1).
sbond_1(d311,d311_8,d311_2).
sbond_1(d311,d311_9,d311_3).
sbond_1(d312,d312_1,d312_2).
sbond_1(d312,d312_1,d312_6).
sbond_1(d312,d312_10,d312_8).
sbond_1(d312,d312_12,d312_13).
sbond_1(d312,d312_12,d312_14).
sbond_1(d312,d312_12,d312_15).
sbond_1(d312,d312_12,d312_6).
sbond_1(d312,d312_13,d312_12).
sbond_1(d312,d312_14,d312_12).
sbond_1(d312,d312_15,d312_12).
sbond_1(d312,d312_17,d312_18).
sbond_1(d312,d312_17,d312_19).
sbond_1(d312,d312_17,d312_2).
sbond_1(d312,d312_17,d312_20).
sbond_1(d312,d312_18,d312_17).
sbond_1(d312,d312_19,d312_17).
sbond_1(d312,d312_2,d312_1).
sbond_1(d312,d312_2,d312_17).
sbond_1(d312,d312_2,d312_3).
sbond_1(d312,d312_20,d312_17).
sbond_1(d312,d312_21,d312_7).
sbond_1(d312,d312_3,d312_2).
sbond_1(d312,d312_4,d312_5).
sbond_1(d312,d312_5,d312_4).
sbond_1(d312,d312_5,d312_6).
sbond_1(d312,d312_6,d312_1).
sbond_1(d312,d312_6,d312_12).
sbond_1(d312,d312_6,d312_5).
sbond_1(d312,d312_7,d312_21).
sbond_1(d312,d312_8,d312_10).
sbond_1(d313,d313_1,d313_20).
sbond_1(d313,d313_10,d313_30).
sbond_1(d313,d313_11,d313_15).
sbond_1(d313,d313_12,d313_28).
sbond_1(d313,d313_13,d313_26).
sbond_1(d313,d313_14,d313_16).
sbond_1(d313,d313_15,d313_11).
sbond_1(d313,d313_16,d313_14).
sbond_1(d313,d313_17,d313_4).
sbond_1(d313,d313_17,d313_9).
sbond_1(d313,d313_18,d313_19).
sbond_1(d313,d313_18,d313_34).
sbond_1(d313,d313_18,d313_38).
sbond_1(d313,d313_18,d313_6).
sbond_1(d313,d313_19,d313_18).
sbond_1(d313,d313_19,d313_53).
sbond_1(d313,d313_19,d313_54).
sbond_1(d313,d313_19,d313_55).
sbond_1(d313,d313_2,d313_7).
sbond_1(d313,d313_20,d313_1).
sbond_1(d313,d313_20,d313_25).
sbond_1(d313,d313_21,d313_22).
sbond_1(d313,d313_21,d313_23).
sbond_1(d313,d313_21,d313_24).
sbond_1(d313,d313_21,d313_3).
sbond_1(d313,d313_22,d313_21).
sbond_1(d313,d313_23,d313_21).
sbond_1(d313,d313_24,d313_21).
sbond_1(d313,d313_25,d313_20).
sbond_1(d313,d313_26,d313_13).
sbond_1(d313,d313_26,d313_27).
sbond_1(d313,d313_26,d313_42).
sbond_1(d313,d313_26,d313_46).
sbond_1(d313,d313_27,d313_26).
sbond_1(d313,d313_27,d313_50).
sbond_1(d313,d313_27,d313_51).
sbond_1(d313,d313_27,d313_52).
sbond_1(d313,d313_28,d313_12).
sbond_1(d313,d313_28,d313_29).
sbond_1(d313,d313_29,d313_28).
sbond_1(d313,d313_3,d313_21).
sbond_1(d313,d313_30,d313_10).
sbond_1(d313,d313_30,d313_31).
sbond_1(d313,d313_30,d313_32).
sbond_1(d313,d313_30,d313_33).
sbond_1(d313,d313_31,d313_30).
sbond_1(d313,d313_32,d313_30).
sbond_1(d313,d313_33,d313_30).
sbond_1(d313,d313_34,d313_18).
sbond_1(d313,d313_34,d313_35).
sbond_1(d313,d313_34,d313_36).
sbond_1(d313,d313_34,d313_37).
sbond_1(d313,d313_35,d313_34).
sbond_1(d313,d313_36,d313_34).
sbond_1(d313,d313_37,d313_34).
sbond_1(d313,d313_38,d313_18).
sbond_1(d313,d313_38,d313_39).
sbond_1(d313,d313_38,d313_40).
sbond_1(d313,d313_38,d313_41).
sbond_1(d313,d313_39,d313_38).
sbond_1(d313,d313_4,d313_17).
sbond_1(d313,d313_40,d313_38).
sbond_1(d313,d313_41,d313_38).
sbond_1(d313,d313_42,d313_26).
sbond_1(d313,d313_42,d313_43).
sbond_1(d313,d313_42,d313_44).
sbond_1(d313,d313_42,d313_45).
sbond_1(d313,d313_43,d313_42).
sbond_1(d313,d313_44,d313_42).
sbond_1(d313,d313_45,d313_42).
sbond_1(d313,d313_46,d313_26).
sbond_1(d313,d313_46,d313_47).
sbond_1(d313,d313_46,d313_48).
sbond_1(d313,d313_46,d313_49).
sbond_1(d313,d313_47,d313_46).
sbond_1(d313,d313_48,d313_46).
sbond_1(d313,d313_49,d313_46).
sbond_1(d313,d313_5,d313_8).
sbond_1(d313,d313_50,d313_27).
sbond_1(d313,d313_51,d313_27).
sbond_1(d313,d313_52,d313_27).
sbond_1(d313,d313_53,d313_19).
sbond_1(d313,d313_54,d313_19).
sbond_1(d313,d313_55,d313_19).
sbond_1(d313,d313_6,d313_18).
sbond_1(d313,d313_7,d313_2).
sbond_1(d313,d313_8,d313_5).
sbond_1(d313,d313_9,d313_17).
sbond_1(d314,d314_1,d314_23).
sbond_1(d314,d314_11,d314_9).
sbond_1(d314,d314_12,d314_17).
sbond_1(d314,d314_13,d314_18).
sbond_1(d314,d314_14,d314_19).
sbond_1(d314,d314_15,d314_20).
sbond_1(d314,d314_16,d314_21).
sbond_1(d314,d314_17,d314_12).
sbond_1(d314,d314_18,d314_13).
sbond_1(d314,d314_19,d314_14).
sbond_1(d314,d314_20,d314_15).
sbond_1(d314,d314_21,d314_16).
sbond_1(d314,d314_22,d314_25).
sbond_1(d314,d314_22,d314_26).
sbond_1(d314,d314_22,d314_5).
sbond_1(d314,d314_23,d314_1).
sbond_1(d314,d314_23,d314_27).
sbond_1(d314,d314_23,d314_28).
sbond_1(d314,d314_24,d314_29).
sbond_1(d314,d314_24,d314_30).
sbond_1(d314,d314_24,d314_8).
sbond_1(d314,d314_25,d314_22).
sbond_1(d314,d314_26,d314_22).
sbond_1(d314,d314_27,d314_23).
sbond_1(d314,d314_28,d314_23).
sbond_1(d314,d314_29,d314_24).
sbond_1(d314,d314_30,d314_24).
sbond_1(d314,d314_5,d314_22).
sbond_1(d314,d314_8,d314_24).
sbond_1(d314,d314_9,d314_11).
sbond_1(d315,d315_1,d315_7).
sbond_1(d315,d315_10,d315_5).
sbond_1(d315,d315_11,d315_6).
sbond_1(d315,d315_12,d315_18).
sbond_1(d315,d315_13,d315_23).
sbond_1(d315,d315_14,d315_19).
sbond_1(d315,d315_15,d315_20).
sbond_1(d315,d315_16,d315_21).
sbond_1(d315,d315_17,d315_22).
sbond_1(d315,d315_18,d315_12).
sbond_1(d315,d315_19,d315_14).
sbond_1(d315,d315_2,d315_8).
sbond_1(d315,d315_20,d315_15).
sbond_1(d315,d315_21,d315_16).
sbond_1(d315,d315_22,d315_17).
sbond_1(d315,d315_23,d315_13).
sbond_1(d315,d315_23,d315_24).
sbond_1(d315,d315_23,d315_25).
sbond_1(d315,d315_23,d315_4).
sbond_1(d315,d315_24,d315_23).
sbond_1(d315,d315_24,d315_27).
sbond_1(d315,d315_24,d315_30).
sbond_1(d315,d315_25,d315_23).
sbond_1(d315,d315_25,d315_26).
sbond_1(d315,d315_26,d315_25).
sbond_1(d315,d315_26,d315_27).
sbond_1(d315,d315_26,d315_31).
sbond_1(d315,d315_27,d315_24).
sbond_1(d315,d315_27,d315_26).
sbond_1(d315,d315_3,d315_9).
sbond_1(d315,d315_30,d315_24).
sbond_1(d315,d315_31,d315_26).
sbond_1(d315,d315_4,d315_23).
sbond_1(d315,d315_5,d315_10).
sbond_1(d315,d315_6,d315_11).
sbond_1(d315,d315_7,d315_1).
sbond_1(d315,d315_8,d315_2).
sbond_1(d315,d315_9,d315_3).
sbond_1(d316,d316_1,d316_15).
sbond_1(d316,d316_10,d316_8).
sbond_1(d316,d316_11,d316_8).
sbond_1(d316,d316_12,d316_4).
sbond_1(d316,d316_13,d316_3).
sbond_1(d316,d316_14,d316_2).
sbond_1(d316,d316_15,d316_1).
sbond_1(d316,d316_16,d316_6).
sbond_1(d316,d316_2,d316_14).
sbond_1(d316,d316_3,d316_13).
sbond_1(d316,d316_4,d316_12).
sbond_1(d316,d316_5,d316_7).
sbond_1(d316,d316_6,d316_16).
sbond_1(d316,d316_7,d316_5).
sbond_1(d316,d316_7,d316_8).
sbond_1(d316,d316_8,d316_10).
sbond_1(d316,d316_8,d316_11).
sbond_1(d316,d316_8,d316_7).
sbond_1(d316,d316_8,d316_9).
sbond_1(d316,d316_9,d316_8).
sbond_1(d317,d317_1,d317_2).
sbond_1(d317,d317_1,d317_3).
sbond_1(d317,d317_1,d317_4).
sbond_1(d317,d317_2,d317_1).
sbond_1(d317,d317_3,d317_1).
sbond_1(d317,d317_4,d317_1).
sbond_1(d318,d318_1,d318_23).
sbond_1(d318,d318_10,d318_12).
sbond_1(d318,d318_10,d318_4).
sbond_1(d318,d318_11,d318_13).
sbond_1(d318,d318_11,d318_14).
sbond_1(d318,d318_12,d318_10).
sbond_1(d318,d318_13,d318_11).
sbond_1(d318,d318_14,d318_11).
sbond_1(d318,d318_15,d318_20).
sbond_1(d318,d318_16,d318_21).
sbond_1(d318,d318_17,d318_25).
sbond_1(d318,d318_18,d318_22).
sbond_1(d318,d318_19,d318_26).
sbond_1(d318,d318_2,d318_7).
sbond_1(d318,d318_20,d318_15).
sbond_1(d318,d318_21,d318_16).
sbond_1(d318,d318_22,d318_18).
sbond_1(d318,d318_23,d318_1).
sbond_1(d318,d318_23,d318_27).
sbond_1(d318,d318_23,d318_28).
sbond_1(d318,d318_24,d318_31).
sbond_1(d318,d318_24,d318_5).
sbond_1(d318,d318_25,d318_17).
sbond_1(d318,d318_25,d318_29).
sbond_1(d318,d318_25,d318_30).
sbond_1(d318,d318_26,d318_19).
sbond_1(d318,d318_26,d318_33).
sbond_1(d318,d318_27,d318_23).
sbond_1(d318,d318_28,d318_23).
sbond_1(d318,d318_29,d318_25).
sbond_1(d318,d318_3,d318_8).
sbond_1(d318,d318_30,d318_25).
sbond_1(d318,d318_31,d318_24).
sbond_1(d318,d318_31,d318_32).
sbond_1(d318,d318_32,d318_31).
sbond_1(d318,d318_33,d318_26).
sbond_1(d318,d318_33,d318_38).
sbond_1(d318,d318_38,d318_33).
sbond_1(d318,d318_4,d318_10).
sbond_1(d318,d318_5,d318_24).
sbond_1(d318,d318_6,d318_9).
sbond_1(d318,d318_7,d318_2).
sbond_1(d318,d318_8,d318_3).
sbond_1(d318,d318_9,d318_6).
sbond_1(d319,d319_1,d319_2).
sbond_1(d319,d319_1,d319_3).
sbond_1(d319,d319_1,d319_4).
sbond_1(d319,d319_1,d319_5).
sbond_1(d319,d319_2,d319_1).
sbond_1(d319,d319_3,d319_1).
sbond_1(d319,d319_4,d319_1).
sbond_1(d319,d319_5,d319_1).
sbond_1(d32,d32a_1,d32a_19).
sbond_1(d32,d32a_10,d32a_4).
sbond_1(d32,d32a_11,d32a_16).
sbond_1(d32,d32a_12,d32a_25).
sbond_1(d32,d32a_13,d32a_20).
sbond_1(d32,d32a_14,d32a_17).
sbond_1(d32,d32a_15,d32a_18).
sbond_1(d32,d32a_16,d32a_11).
sbond_1(d32,d32a_17,d32a_14).
sbond_1(d32,d32a_18,d32a_15).
sbond_1(d32,d32a_19,d32a_1).
sbond_1(d32,d32a_19,d32a_29).
sbond_1(d32,d32a_19,d32a_30).
sbond_1(d32,d32a_2,d32a_21).
sbond_1(d32,d32a_20,d32a_13).
sbond_1(d32,d32a_20,d32a_31).
sbond_1(d32,d32a_20,d32a_32).
sbond_1(d32,d32a_21,d32a_2).
sbond_1(d32,d32a_21,d32a_22).
sbond_1(d32,d32a_21,d32a_23).
sbond_1(d32,d32a_21,d32a_24).
sbond_1(d32,d32a_22,d32a_21).
sbond_1(d32,d32a_23,d32a_21).
sbond_1(d32,d32a_24,d32a_21).
sbond_1(d32,d32a_25,d32a_12).
sbond_1(d32,d32a_25,d32a_26).
sbond_1(d32,d32a_25,d32a_27).
sbond_1(d32,d32a_25,d32a_28).
sbond_1(d32,d32a_26,d32a_25).
sbond_1(d32,d32a_27,d32a_25).
sbond_1(d32,d32a_28,d32a_25).
sbond_1(d32,d32a_29,d32a_19).
sbond_1(d32,d32a_3,d32a_7).
sbond_1(d32,d32a_30,d32a_19).
sbond_1(d32,d32a_31,d32a_20).
sbond_1(d32,d32a_32,d32a_20).
sbond_1(d32,d32a_4,d32a_10).
sbond_1(d32,d32a_5,d32a_8).
sbond_1(d32,d32a_6,d32a_9).
sbond_1(d32,d32a_7,d32a_3).
sbond_1(d32,d32a_8,d32a_5).
sbond_1(d32,d32a_9,d32a_6).
sbond_1(d32,d32b_1,d32b_2).
sbond_1(d32,d32b_2,d32b_1).
sbond_1(d320,d320_1,d320_7).
sbond_1(d320,d320_10,d320_6).
sbond_1(d320,d320_11,d320_12).
sbond_1(d320,d320_11,d320_5).
sbond_1(d320,d320_12,d320_11).
sbond_1(d320,d320_12,d320_17).
sbond_1(d320,d320_13,d320_2).
sbond_1(d320,d320_17,d320_12).
sbond_1(d320,d320_2,d320_13).
sbond_1(d320,d320_3,d320_8).
sbond_1(d320,d320_4,d320_9).
sbond_1(d320,d320_5,d320_11).
sbond_1(d320,d320_6,d320_10).
sbond_1(d320,d320_7,d320_1).
sbond_1(d320,d320_8,d320_3).
sbond_1(d320,d320_9,d320_4).
sbond_1(d321,d321_1,d321_2).
sbond_1(d321,d321_2,d321_1).
sbond_1(d322,d322_10,d322_15).
sbond_1(d322,d322_11,d322_13).
sbond_1(d322,d322_12,d322_66).
sbond_1(d322,d322_13,d322_11).
sbond_1(d322,d322_13,d322_14).
sbond_1(d322,d322_14,d322_13).
sbond_1(d322,d322_14,d322_16).
sbond_1(d322,d322_14,d322_23).
sbond_1(d322,d322_15,d322_10).
sbond_1(d322,d322_16,d322_14).
sbond_1(d322,d322_16,d322_18).
sbond_1(d322,d322_17,d322_23).
sbond_1(d322,d322_18,d322_16).
sbond_1(d322,d322_19,d322_29).
sbond_1(d322,d322_20,d322_67).
sbond_1(d322,d322_23,d322_14).
sbond_1(d322,d322_23,d322_17).
sbond_1(d322,d322_24,d322_68).
sbond_1(d322,d322_25,d322_30).
sbond_1(d322,d322_26,d322_69).
sbond_1(d322,d322_27,d322_28).
sbond_1(d322,d322_28,d322_27).
sbond_1(d322,d322_28,d322_70).
sbond_1(d322,d322_28,d322_71).
sbond_1(d322,d322_29,d322_19).
sbond_1(d322,d322_29,d322_31).
sbond_1(d322,d322_3,d322_61).
sbond_1(d322,d322_30,d322_25).
sbond_1(d322,d322_30,d322_32).
sbond_1(d322,d322_31,d322_29).
sbond_1(d322,d322_31,d322_72).
sbond_1(d322,d322_32,d322_30).
sbond_1(d322,d322_32,d322_73).
sbond_1(d322,d322_39,d322_47).
sbond_1(d322,d322_4,d322_7).
sbond_1(d322,d322_40,d322_44).
sbond_1(d322,d322_42,d322_74).
sbond_1(d322,d322_43,d322_48).
sbond_1(d322,d322_44,d322_40).
sbond_1(d322,d322_45,d322_47).
sbond_1(d322,d322_47,d322_39).
sbond_1(d322,d322_47,d322_45).
sbond_1(d322,d322_48,d322_43).
sbond_1(d322,d322_48,d322_49).
sbond_1(d322,d322_49,d322_48).
sbond_1(d322,d322_49,d322_75).
sbond_1(d322,d322_5,d322_62).
sbond_1(d322,d322_50,d322_54).
sbond_1(d322,d322_51,d322_76).
sbond_1(d322,d322_52,d322_55).
sbond_1(d322,d322_53,d322_77).
sbond_1(d322,d322_54,d322_50).
sbond_1(d322,d322_54,d322_78).
sbond_1(d322,d322_54,d322_79).
sbond_1(d322,d322_55,d322_52).
sbond_1(d322,d322_55,d322_56).
sbond_1(d322,d322_56,d322_55).
sbond_1(d322,d322_56,d322_80).
sbond_1(d322,d322_6,d322_63).
sbond_1(d322,d322_61,d322_3).
sbond_1(d322,d322_62,d322_5).
sbond_1(d322,d322_63,d322_6).
sbond_1(d322,d322_64,d322_8).
sbond_1(d322,d322_65,d322_9).
sbond_1(d322,d322_66,d322_12).
sbond_1(d322,d322_67,d322_20).
sbond_1(d322,d322_68,d322_24).
sbond_1(d322,d322_69,d322_26).
sbond_1(d322,d322_7,d322_4).
sbond_1(d322,d322_70,d322_28).
sbond_1(d322,d322_71,d322_28).
sbond_1(d322,d322_72,d322_31).
sbond_1(d322,d322_73,d322_32).
sbond_1(d322,d322_74,d322_42).
sbond_1(d322,d322_75,d322_49).
sbond_1(d322,d322_76,d322_51).
sbond_1(d322,d322_77,d322_53).
sbond_1(d322,d322_78,d322_54).
sbond_1(d322,d322_79,d322_54).
sbond_1(d322,d322_8,d322_64).
sbond_1(d322,d322_80,d322_56).
sbond_1(d322,d322_9,d322_65).
sbond_1(d323,d323_1,d323_28).
sbond_1(d323,d323_10,d323_4).
sbond_1(d323,d323_11,d323_12).
sbond_1(d323,d323_12,d323_11).
sbond_1(d323,d323_15,d323_18).
sbond_1(d323,d323_16,d323_19).
sbond_1(d323,d323_17,d323_32).
sbond_1(d323,d323_18,d323_15).
sbond_1(d323,d323_19,d323_16).
sbond_1(d323,d323_2,d323_7).
sbond_1(d323,d323_20,d323_24).
sbond_1(d323,d323_21,d323_25).
sbond_1(d323,d323_22,d323_26).
sbond_1(d323,d323_23,d323_27).
sbond_1(d323,d323_24,d323_20).
sbond_1(d323,d323_25,d323_21).
sbond_1(d323,d323_26,d323_22).
sbond_1(d323,d323_27,d323_23).
sbond_1(d323,d323_28,d323_1).
sbond_1(d323,d323_28,d323_29).
sbond_1(d323,d323_28,d323_30).
sbond_1(d323,d323_28,d323_31).
sbond_1(d323,d323_29,d323_28).
sbond_1(d323,d323_3,d323_8).
sbond_1(d323,d323_30,d323_28).
sbond_1(d323,d323_31,d323_28).
sbond_1(d323,d323_32,d323_17).
sbond_1(d323,d323_32,d323_34).
sbond_1(d323,d323_33,d323_5).
sbond_1(d323,d323_34,d323_32).
sbond_1(d323,d323_4,d323_10).
sbond_1(d323,d323_5,d323_33).
sbond_1(d323,d323_6,d323_9).
sbond_1(d323,d323_7,d323_2).
sbond_1(d323,d323_8,d323_3).
sbond_1(d323,d323_9,d323_6).
sbond_1(d324,d324_1,d324_7).
sbond_1(d324,d324_10,d324_6).
sbond_1(d324,d324_11,d324_15).
sbond_1(d324,d324_12,d324_26).
sbond_1(d324,d324_13,d324_33).
sbond_1(d324,d324_14,d324_35).
sbond_1(d324,d324_15,d324_11).
sbond_1(d324,d324_16,d324_22).
sbond_1(d324,d324_17,d324_30).
sbond_1(d324,d324_18,d324_23).
sbond_1(d324,d324_19,d324_24).
sbond_1(d324,d324_2,d324_8).
sbond_1(d324,d324_20,d324_27).
sbond_1(d324,d324_21,d324_25).
sbond_1(d324,d324_22,d324_16).
sbond_1(d324,d324_23,d324_18).
sbond_1(d324,d324_24,d324_19).
sbond_1(d324,d324_25,d324_21).
sbond_1(d324,d324_26,d324_12).
sbond_1(d324,d324_26,d324_27).
sbond_1(d324,d324_27,d324_20).
sbond_1(d324,d324_27,d324_26).
sbond_1(d324,d324_27,d324_28).
sbond_1(d324,d324_28,d324_27).
sbond_1(d324,d324_30,d324_17).
sbond_1(d324,d324_33,d324_13).
sbond_1(d324,d324_33,d324_34).
sbond_1(d324,d324_34,d324_33).
sbond_1(d324,d324_35,d324_14).
sbond_1(d324,d324_36,d324_37).
sbond_1(d324,d324_37,d324_36).
sbond_1(d324,d324_38,d324_43).
sbond_1(d324,d324_39,d324_51).
sbond_1(d324,d324_40,d324_44).
sbond_1(d324,d324_41,d324_45).
sbond_1(d324,d324_42,d324_46).
sbond_1(d324,d324_43,d324_38).
sbond_1(d324,d324_44,d324_40).
sbond_1(d324,d324_45,d324_41).
sbond_1(d324,d324_46,d324_42).
sbond_1(d324,d324_46,d324_47).
sbond_1(d324,d324_47,d324_46).
sbond_1(d324,d324_47,d324_48).
sbond_1(d324,d324_47,d324_49).
sbond_1(d324,d324_47,d324_50).
sbond_1(d324,d324_48,d324_47).
sbond_1(d324,d324_49,d324_47).
sbond_1(d324,d324_5,d324_9).
sbond_1(d324,d324_50,d324_47).
sbond_1(d324,d324_51,d324_39).
sbond_1(d324,d324_6,d324_10).
sbond_1(d324,d324_7,d324_1).
sbond_1(d324,d324_8,d324_2).
sbond_1(d324,d324_9,d324_5).
sbond_1(d325,d325_1,d325_7).
sbond_1(d325,d325_10,d325_17).
sbond_1(d325,d325_10,d325_5).
sbond_1(d325,d325_11,d325_13).
sbond_1(d325,d325_11,d325_14).
sbond_1(d325,d325_11,d325_4).
sbond_1(d325,d325_12,d325_15).
sbond_1(d325,d325_12,d325_16).
sbond_1(d325,d325_12,d325_2).
sbond_1(d325,d325_13,d325_11).
sbond_1(d325,d325_14,d325_11).
sbond_1(d325,d325_15,d325_12).
sbond_1(d325,d325_16,d325_12).
sbond_1(d325,d325_17,d325_10).
sbond_1(d325,d325_2,d325_12).
sbond_1(d325,d325_3,d325_8).
sbond_1(d325,d325_4,d325_11).
sbond_1(d325,d325_5,d325_10).
sbond_1(d325,d325_6,d325_9).
sbond_1(d325,d325_7,d325_1).
sbond_1(d325,d325_8,d325_3).
sbond_1(d325,d325_9,d325_6).
sbond_1(d326,d326_1,d326_7).
sbond_1(d326,d326_10,d326_6).
sbond_1(d326,d326_11,d326_14).
sbond_1(d326,d326_11,d326_5).
sbond_1(d326,d326_12,d326_13).
sbond_1(d326,d326_12,d326_15).
sbond_1(d326,d326_12,d326_2).
sbond_1(d326,d326_13,d326_12).
sbond_1(d326,d326_13,d326_17).
sbond_1(d326,d326_14,d326_11).
sbond_1(d326,d326_15,d326_12).
sbond_1(d326,d326_17,d326_13).
sbond_1(d326,d326_17,d326_18).
sbond_1(d326,d326_17,d326_19).
sbond_1(d326,d326_17,d326_20).
sbond_1(d326,d326_18,d326_17).
sbond_1(d326,d326_19,d326_17).
sbond_1(d326,d326_2,d326_12).
sbond_1(d326,d326_20,d326_17).
sbond_1(d326,d326_3,d326_8).
sbond_1(d326,d326_4,d326_9).
sbond_1(d326,d326_5,d326_11).
sbond_1(d326,d326_6,d326_10).
sbond_1(d326,d326_7,d326_1).
sbond_1(d326,d326_8,d326_3).
sbond_1(d326,d326_9,d326_4).
sbond_1(d327,d327_1,d327_11).
sbond_1(d327,d327_10,d327_6).
sbond_1(d327,d327_11,d327_1).
sbond_1(d327,d327_11,d327_12).
sbond_1(d327,d327_11,d327_38).
sbond_1(d327,d327_12,d327_11).
sbond_1(d327,d327_12,d327_13).
sbond_1(d327,d327_13,d327_12).
sbond_1(d327,d327_14,d327_19).
sbond_1(d327,d327_15,d327_20).
sbond_1(d327,d327_16,d327_23).
sbond_1(d327,d327_17,d327_21).
sbond_1(d327,d327_18,d327_22).
sbond_1(d327,d327_19,d327_14).
sbond_1(d327,d327_20,d327_15).
sbond_1(d327,d327_21,d327_17).
sbond_1(d327,d327_22,d327_18).
sbond_1(d327,d327_23,d327_16).
sbond_1(d327,d327_24,d327_25).
sbond_1(d327,d327_25,d327_24).
sbond_1(d327,d327_26,d327_31).
sbond_1(d327,d327_27,d327_32).
sbond_1(d327,d327_28,d327_37).
sbond_1(d327,d327_29,d327_34).
sbond_1(d327,d327_3,d327_7).
sbond_1(d327,d327_30,d327_33).
sbond_1(d327,d327_31,d327_26).
sbond_1(d327,d327_32,d327_27).
sbond_1(d327,d327_33,d327_30).
sbond_1(d327,d327_34,d327_29).
sbond_1(d327,d327_34,d327_35).
sbond_1(d327,d327_35,d327_34).
sbond_1(d327,d327_35,d327_41).
sbond_1(d327,d327_37,d327_28).
sbond_1(d327,d327_37,d327_42).
sbond_1(d327,d327_38,d327_11).
sbond_1(d327,d327_4,d327_8).
sbond_1(d327,d327_41,d327_35).
sbond_1(d327,d327_42,d327_37).
sbond_1(d327,d327_5,d327_9).
sbond_1(d327,d327_6,d327_10).
sbond_1(d327,d327_7,d327_3).
sbond_1(d327,d327_8,d327_4).
sbond_1(d327,d327_9,d327_5).
sbond_1(d328,d328a_1,d328a_6).
sbond_1(d328,d328a_1,d328a_7).
sbond_1(d328,d328a_10,d328a_3).
sbond_1(d328,d328a_11,d328a_3).
sbond_1(d328,d328a_12,d328a_4).
sbond_1(d328,d328a_13,d328a_4).
sbond_1(d328,d328a_14,d328a_5).
sbond_1(d328,d328a_15,d328a_5).
sbond_1(d328,d328a_2,d328a_8).
sbond_1(d328,d328a_2,d328a_9).
sbond_1(d328,d328a_3,d328a_10).
sbond_1(d328,d328a_3,d328a_11).
sbond_1(d328,d328a_4,d328a_12).
sbond_1(d328,d328a_4,d328a_13).
sbond_1(d328,d328a_5,d328a_14).
sbond_1(d328,d328a_5,d328a_15).
sbond_1(d328,d328a_6,d328a_1).
sbond_1(d328,d328a_7,d328a_1).
sbond_1(d328,d328a_8,d328a_2).
sbond_1(d328,d328a_9,d328a_2).
sbond_1(d328,d328b_1,d328b_2).
sbond_1(d328,d328b_2,d328b_1).
sbond_1(d328,d328b_2,d328b_3).
sbond_1(d328,d328b_3,d328b_2).
sbond_1(d329,d329_1,d329_7).
sbond_1(d329,d329_10,d329_17).
sbond_1(d329,d329_11,d329_14).
sbond_1(d329,d329_12,d329_19).
sbond_1(d329,d329_13,d329_9).
sbond_1(d329,d329_14,d329_11).
sbond_1(d329,d329_15,d329_16).
sbond_1(d329,d329_15,d329_6).
sbond_1(d329,d329_16,d329_15).
sbond_1(d329,d329_17,d329_10).
sbond_1(d329,d329_17,d329_18).
sbond_1(d329,d329_18,d329_17).
sbond_1(d329,d329_18,d329_25).
sbond_1(d329,d329_19,d329_12).
sbond_1(d329,d329_19,d329_20).
sbond_1(d329,d329_2,d329_8).
sbond_1(d329,d329_20,d329_19).
sbond_1(d329,d329_20,d329_26).
sbond_1(d329,d329_25,d329_18).
sbond_1(d329,d329_26,d329_20).
sbond_1(d329,d329_27,d329_5).
sbond_1(d329,d329_28,d329_29).
sbond_1(d329,d329_29,d329_28).
sbond_1(d329,d329_30,d329_35).
sbond_1(d329,d329_31,d329_36).
sbond_1(d329,d329_32,d329_38).
sbond_1(d329,d329_33,d329_37).
sbond_1(d329,d329_34,d329_47).
sbond_1(d329,d329_35,d329_30).
sbond_1(d329,d329_36,d329_31).
sbond_1(d329,d329_37,d329_33).
sbond_1(d329,d329_38,d329_32).
sbond_1(d329,d329_39,d329_44).
sbond_1(d329,d329_40,d329_45).
sbond_1(d329,d329_41,d329_55).
sbond_1(d329,d329_42,d329_51).
sbond_1(d329,d329_43,d329_46).
sbond_1(d329,d329_44,d329_39).
sbond_1(d329,d329_45,d329_40).
sbond_1(d329,d329_46,d329_43).
sbond_1(d329,d329_47,d329_34).
sbond_1(d329,d329_47,d329_48).
sbond_1(d329,d329_47,d329_49).
sbond_1(d329,d329_47,d329_50).
sbond_1(d329,d329_48,d329_47).
sbond_1(d329,d329_49,d329_47).
sbond_1(d329,d329_5,d329_27).
sbond_1(d329,d329_50,d329_47).
sbond_1(d329,d329_51,d329_42).
sbond_1(d329,d329_51,d329_52).
sbond_1(d329,d329_51,d329_53).
sbond_1(d329,d329_51,d329_54).
sbond_1(d329,d329_52,d329_51).
sbond_1(d329,d329_53,d329_51).
sbond_1(d329,d329_54,d329_51).
sbond_1(d329,d329_55,d329_41).
sbond_1(d329,d329_56,d329_57).
sbond_1(d329,d329_57,d329_56).
sbond_1(d329,d329_58,d329_63).
sbond_1(d329,d329_59,d329_64).
sbond_1(d329,d329_6,d329_15).
sbond_1(d329,d329_60,d329_67).
sbond_1(d329,d329_61,d329_65).
sbond_1(d329,d329_62,d329_66).
sbond_1(d329,d329_63,d329_58).
sbond_1(d329,d329_64,d329_59).
sbond_1(d329,d329_65,d329_61).
sbond_1(d329,d329_66,d329_62).
sbond_1(d329,d329_67,d329_60).
sbond_1(d329,d329_67,d329_68).
sbond_1(d329,d329_68,d329_67).
sbond_1(d329,d329_68,d329_69).
sbond_1(d329,d329_69,d329_68).
sbond_1(d329,d329_7,d329_1).
sbond_1(d329,d329_70,d329_75).
sbond_1(d329,d329_71,d329_76).
sbond_1(d329,d329_72,d329_79).
sbond_1(d329,d329_73,d329_77).
sbond_1(d329,d329_74,d329_78).
sbond_1(d329,d329_75,d329_70).
sbond_1(d329,d329_76,d329_71).
sbond_1(d329,d329_77,d329_73).
sbond_1(d329,d329_78,d329_74).
sbond_1(d329,d329_79,d329_72).
sbond_1(d329,d329_79,d329_80).
sbond_1(d329,d329_79,d329_81).
sbond_1(d329,d329_79,d329_82).
sbond_1(d329,d329_8,d329_2).
sbond_1(d329,d329_80,d329_79).
sbond_1(d329,d329_81,d329_79).
sbond_1(d329,d329_82,d329_79).
sbond_1(d329,d329_9,d329_13).
sbond_1(d33,d33_1,d33_7).
sbond_1(d33,d33_10,d33_4).
sbond_1(d33,d33_11,d33_6).
sbond_1(d33,d33_12,d33_13).
sbond_1(d33,d33_12,d33_14).
sbond_1(d33,d33_12,d33_5).
sbond_1(d33,d33_13,d33_12).
sbond_1(d33,d33_14,d33_12).
sbond_1(d33,d33_2,d33_8).
sbond_1(d33,d33_3,d33_9).
sbond_1(d33,d33_4,d33_10).
sbond_1(d33,d33_5,d33_12).
sbond_1(d33,d33_6,d33_11).
sbond_1(d33,d33_7,d33_1).
sbond_1(d33,d33_8,d33_2).
sbond_1(d33,d33_9,d33_3).
sbond_1(d330,d330_1,d330_19).
sbond_1(d330,d330_10,d330_16).
sbond_1(d330,d330_11,d330_17).
sbond_1(d330,d330_12,d330_49).
sbond_1(d330,d330_13,d330_84).
sbond_1(d330,d330_14,d330_18).
sbond_1(d330,d330_15,d330_4).
sbond_1(d330,d330_16,d330_10).
sbond_1(d330,d330_17,d330_11).
sbond_1(d330,d330_18,d330_14).
sbond_1(d330,d330_19,d330_1).
sbond_1(d330,d330_2,d330_7).
sbond_1(d330,d330_20,d330_21).
sbond_1(d330,d330_21,d330_20).
sbond_1(d330,d330_22,d330_39).
sbond_1(d330,d330_25,d330_27).
sbond_1(d330,d330_26,d330_34).
sbond_1(d330,d330_27,d330_25).
sbond_1(d330,d330_28,d330_41).
sbond_1(d330,d330_29,d330_32).
sbond_1(d330,d330_3,d330_8).
sbond_1(d330,d330_30,d330_44).
sbond_1(d330,d330_31,d330_33).
sbond_1(d330,d330_32,d330_29).
sbond_1(d330,d330_33,d330_31).
sbond_1(d330,d330_34,d330_26).
sbond_1(d330,d330_34,d330_35).
sbond_1(d330,d330_35,d330_34).
sbond_1(d330,d330_35,d330_38).
sbond_1(d330,d330_38,d330_35).
sbond_1(d330,d330_39,d330_22).
sbond_1(d330,d330_39,d330_40).
sbond_1(d330,d330_4,d330_15).
sbond_1(d330,d330_40,d330_39).
sbond_1(d330,d330_41,d330_28).
sbond_1(d330,d330_41,d330_42).
sbond_1(d330,d330_41,d330_43).
sbond_1(d330,d330_42,d330_41).
sbond_1(d330,d330_43,d330_41).
sbond_1(d330,d330_44,d330_30).
sbond_1(d330,d330_44,d330_45).
sbond_1(d330,d330_45,d330_44).
sbond_1(d330,d330_45,d330_48).
sbond_1(d330,d330_48,d330_45).
sbond_1(d330,d330_49,d330_12).
sbond_1(d330,d330_5,d330_9).
sbond_1(d330,d330_50,d330_51).
sbond_1(d330,d330_51,d330_50).
sbond_1(d330,d330_52,d330_64).
sbond_1(d330,d330_53,d330_57).
sbond_1(d330,d330_56,d330_68).
sbond_1(d330,d330_57,d330_53).
sbond_1(d330,d330_58,d330_62).
sbond_1(d330,d330_59,d330_70).
sbond_1(d330,d330_6,d330_79).
sbond_1(d330,d330_60,d330_63).
sbond_1(d330,d330_61,d330_69).
sbond_1(d330,d330_62,d330_58).
sbond_1(d330,d330_63,d330_60).
sbond_1(d330,d330_64,d330_52).
sbond_1(d330,d330_64,d330_67).
sbond_1(d330,d330_67,d330_64).
sbond_1(d330,d330_67,d330_74).
sbond_1(d330,d330_68,d330_56).
sbond_1(d330,d330_68,d330_76).
sbond_1(d330,d330_69,d330_61).
sbond_1(d330,d330_69,d330_77).
sbond_1(d330,d330_69,d330_78).
sbond_1(d330,d330_7,d330_2).
sbond_1(d330,d330_70,d330_59).
sbond_1(d330,d330_70,d330_71).
sbond_1(d330,d330_71,d330_70).
sbond_1(d330,d330_71,d330_75).
sbond_1(d330,d330_74,d330_67).
sbond_1(d330,d330_75,d330_71).
sbond_1(d330,d330_76,d330_68).
sbond_1(d330,d330_77,d330_69).
sbond_1(d330,d330_78,d330_69).
sbond_1(d330,d330_79,d330_6).
sbond_1(d330,d330_79,d330_80).
sbond_1(d330,d330_8,d330_3).
sbond_1(d330,d330_80,d330_79).
sbond_1(d330,d330_80,d330_81).
sbond_1(d330,d330_80,d330_82).
sbond_1(d330,d330_80,d330_83).
sbond_1(d330,d330_81,d330_80).
sbond_1(d330,d330_82,d330_80).
sbond_1(d330,d330_83,d330_80).
sbond_1(d330,d330_84,d330_13).
sbond_1(d330,d330_84,d330_85).
sbond_1(d330,d330_85,d330_84).
sbond_1(d330,d330_85,d330_86).
sbond_1(d330,d330_85,d330_87).
sbond_1(d330,d330_85,d330_88).
sbond_1(d330,d330_86,d330_85).
sbond_1(d330,d330_87,d330_85).
sbond_1(d330,d330_88,d330_85).
sbond_1(d330,d330_9,d330_5).
sbond_1(d331,d331_1,d331_7).
sbond_1(d331,d331_10,d331_6).
sbond_1(d331,d331_11,d331_16).
sbond_1(d331,d331_11,d331_3).
sbond_1(d331,d331_12,d331_13).
sbond_1(d331,d331_12,d331_17).
sbond_1(d331,d331_13,d331_12).
sbond_1(d331,d331_13,d331_14).
sbond_1(d331,d331_14,d331_13).
sbond_1(d331,d331_14,d331_4).
sbond_1(d331,d331_16,d331_11).
sbond_1(d331,d331_17,d331_12).
sbond_1(d331,d331_2,d331_8).
sbond_1(d331,d331_3,d331_11).
sbond_1(d331,d331_4,d331_14).
sbond_1(d331,d331_5,d331_9).
sbond_1(d331,d331_6,d331_10).
sbond_1(d331,d331_7,d331_1).
sbond_1(d331,d331_8,d331_2).
sbond_1(d331,d331_9,d331_5).
sbond_1(d332,d332_1,d332_12).
sbond_1(d332,d332_1,d332_2).
sbond_1(d332,d332_10,d332_3).
sbond_1(d332,d332_11,d332_3).
sbond_1(d332,d332_12,d332_1).
sbond_1(d332,d332_2,d332_1).
sbond_1(d332,d332_2,d332_3).
sbond_1(d332,d332_2,d332_4).
sbond_1(d332,d332_2,d332_5).
sbond_1(d332,d332_3,d332_10).
sbond_1(d332,d332_3,d332_11).
sbond_1(d332,d332_3,d332_2).
sbond_1(d332,d332_3,d332_6).
sbond_1(d332,d332_4,d332_2).
sbond_1(d332,d332_5,d332_2).
sbond_1(d332,d332_6,d332_3).
sbond_1(d332,d332_6,d332_7).
sbond_1(d332,d332_6,d332_8).
sbond_1(d332,d332_6,d332_9).
sbond_1(d332,d332_7,d332_6).
sbond_1(d332,d332_8,d332_6).
sbond_1(d332,d332_9,d332_6).
sbond_1(d333,d333_1,d333_23).
sbond_1(d333,d333_10,d333_4).
sbond_1(d333,d333_11,d333_16).
sbond_1(d333,d333_12,d333_17).
sbond_1(d333,d333_13,d333_28).
sbond_1(d333,d333_14,d333_24).
sbond_1(d333,d333_15,d333_18).
sbond_1(d333,d333_16,d333_11).
sbond_1(d333,d333_17,d333_12).
sbond_1(d333,d333_18,d333_15).
sbond_1(d333,d333_19,d333_20).
sbond_1(d333,d333_19,d333_21).
sbond_1(d333,d333_19,d333_22).
sbond_1(d333,d333_19,d333_6).
sbond_1(d333,d333_2,d333_7).
sbond_1(d333,d333_20,d333_19).
sbond_1(d333,d333_21,d333_19).
sbond_1(d333,d333_22,d333_19).
sbond_1(d333,d333_23,d333_1).
sbond_1(d333,d333_23,d333_29).
sbond_1(d333,d333_23,d333_30).
sbond_1(d333,d333_24,d333_14).
sbond_1(d333,d333_24,d333_25).
sbond_1(d333,d333_24,d333_26).
sbond_1(d333,d333_24,d333_27).
sbond_1(d333,d333_25,d333_24).
sbond_1(d333,d333_26,d333_24).
sbond_1(d333,d333_27,d333_24).
sbond_1(d333,d333_28,d333_13).
sbond_1(d333,d333_28,d333_31).
sbond_1(d333,d333_28,d333_32).
sbond_1(d333,d333_29,d333_23).
sbond_1(d333,d333_3,d333_8).
sbond_1(d333,d333_30,d333_23).
sbond_1(d333,d333_31,d333_28).
sbond_1(d333,d333_32,d333_28).
sbond_1(d333,d333_4,d333_10).
sbond_1(d333,d333_5,d333_9).
sbond_1(d333,d333_6,d333_19).
sbond_1(d333,d333_7,d333_2).
sbond_1(d333,d333_8,d333_3).
sbond_1(d333,d333_9,d333_5).
sbond_1(d334,d334_1,d334_7).
sbond_1(d334,d334_10,d334_2).
sbond_1(d334,d334_11,d334_29).
sbond_1(d334,d334_11,d334_6).
sbond_1(d334,d334_12,d334_13).
sbond_1(d334,d334_12,d334_20).
sbond_1(d334,d334_12,d334_5).
sbond_1(d334,d334_13,d334_12).
sbond_1(d334,d334_13,d334_14).
sbond_1(d334,d334_13,d334_15).
sbond_1(d334,d334_13,d334_16).
sbond_1(d334,d334_14,d334_13).
sbond_1(d334,d334_14,d334_17).
sbond_1(d334,d334_14,d334_18).
sbond_1(d334,d334_14,d334_19).
sbond_1(d334,d334_15,d334_13).
sbond_1(d334,d334_16,d334_13).
sbond_1(d334,d334_17,d334_14).
sbond_1(d334,d334_17,d334_30).
sbond_1(d334,d334_18,d334_14).
sbond_1(d334,d334_19,d334_14).
sbond_1(d334,d334_2,d334_10).
sbond_1(d334,d334_20,d334_12).
sbond_1(d334,d334_20,d334_21).
sbond_1(d334,d334_20,d334_22).
sbond_1(d334,d334_20,d334_23).
sbond_1(d334,d334_21,d334_20).
sbond_1(d334,d334_21,d334_24).
sbond_1(d334,d334_21,d334_25).
sbond_1(d334,d334_21,d334_26).
sbond_1(d334,d334_22,d334_20).
sbond_1(d334,d334_23,d334_20).
sbond_1(d334,d334_24,d334_21).
sbond_1(d334,d334_24,d334_31).
sbond_1(d334,d334_25,d334_21).
sbond_1(d334,d334_26,d334_21).
sbond_1(d334,d334_29,d334_11).
sbond_1(d334,d334_3,d334_8).
sbond_1(d334,d334_30,d334_17).
sbond_1(d334,d334_31,d334_24).
sbond_1(d334,d334_4,d334_9).
sbond_1(d334,d334_5,d334_12).
sbond_1(d334,d334_6,d334_11).
sbond_1(d334,d334_7,d334_1).
sbond_1(d334,d334_8,d334_3).
sbond_1(d334,d334_9,d334_4).
sbond_1(d335,d335_1,d335_7).
sbond_1(d335,d335_10,d335_6).
sbond_1(d335,d335_11,d335_15).
sbond_1(d335,d335_11,d335_16).
sbond_1(d335,d335_11,d335_5).
sbond_1(d335,d335_12,d335_2).
sbond_1(d335,d335_15,d335_11).
sbond_1(d335,d335_16,d335_11).
sbond_1(d335,d335_2,d335_12).
sbond_1(d335,d335_3,d335_8).
sbond_1(d335,d335_4,d335_9).
sbond_1(d335,d335_5,d335_11).
sbond_1(d335,d335_6,d335_10).
sbond_1(d335,d335_7,d335_1).
sbond_1(d335,d335_8,d335_3).
sbond_1(d335,d335_9,d335_4).
sbond_1(d336,d336_1,d336_7).
sbond_1(d336,d336_10,d336_6).
sbond_1(d336,d336_11,d336_12).
sbond_1(d336,d336_11,d336_5).
sbond_1(d336,d336_12,d336_11).
sbond_1(d336,d336_12,d336_13).
sbond_1(d336,d336_12,d336_14).
sbond_1(d336,d336_12,d336_15).
sbond_1(d336,d336_13,d336_12).
sbond_1(d336,d336_14,d336_12).
sbond_1(d336,d336_15,d336_12).
sbond_1(d336,d336_16,d336_4).
sbond_1(d336,d336_2,d336_8).
sbond_1(d336,d336_3,d336_9).
sbond_1(d336,d336_4,d336_16).
sbond_1(d336,d336_5,d336_11).
sbond_1(d336,d336_6,d336_10).
sbond_1(d336,d336_7,d336_1).
sbond_1(d336,d336_8,d336_2).
sbond_1(d336,d336_9,d336_3).
sbond_1(d337,d337_1,d337_2).
sbond_1(d337,d337_1,d337_7).
sbond_1(d337,d337_1,d337_8).
sbond_1(d337,d337_1,d337_9).
sbond_1(d337,d337_10,d337_2).
sbond_1(d337,d337_11,d337_2).
sbond_1(d337,d337_2,d337_1).
sbond_1(d337,d337_2,d337_10).
sbond_1(d337,d337_2,d337_11).
sbond_1(d337,d337_2,d337_3).
sbond_1(d337,d337_3,d337_2).
sbond_1(d337,d337_3,d337_4).
sbond_1(d337,d337_3,d337_5).
sbond_1(d337,d337_3,d337_6).
sbond_1(d337,d337_4,d337_3).
sbond_1(d337,d337_5,d337_3).
sbond_1(d337,d337_6,d337_3).
sbond_1(d337,d337_7,d337_1).
sbond_1(d337,d337_8,d337_1).
sbond_1(d337,d337_9,d337_1).
sbond_1(d34,d34_1,d34_7).
sbond_1(d34,d34_10,d34_5).
sbond_1(d34,d34_11,d34_6).
sbond_1(d34,d34_12,d34_24).
sbond_1(d34,d34_13,d34_18).
sbond_1(d34,d34_14,d34_19).
sbond_1(d34,d34_15,d34_20).
sbond_1(d34,d34_16,d34_21).
sbond_1(d34,d34_17,d34_22).
sbond_1(d34,d34_18,d34_13).
sbond_1(d34,d34_19,d34_14).
sbond_1(d34,d34_2,d34_8).
sbond_1(d34,d34_20,d34_15).
sbond_1(d34,d34_21,d34_16).
sbond_1(d34,d34_22,d34_17).
sbond_1(d34,d34_23,d34_4).
sbond_1(d34,d34_24,d34_12).
sbond_1(d34,d34_3,d34_9).
sbond_1(d34,d34_4,d34_23).
sbond_1(d34,d34_5,d34_10).
sbond_1(d34,d34_6,d34_11).
sbond_1(d34,d34_7,d34_1).
sbond_1(d34,d34_8,d34_2).
sbond_1(d34,d34_9,d34_3).
sbond_1(d35,d35_1,d35_15).
sbond_1(d35,d35_10,d35_16).
sbond_1(d35,d35_10,d35_17).
sbond_1(d35,d35_10,d35_5).
sbond_1(d35,d35_11,d35_12).
sbond_1(d35,d35_11,d35_13).
sbond_1(d35,d35_11,d35_14).
sbond_1(d35,d35_11,d35_4).
sbond_1(d35,d35_12,d35_11).
sbond_1(d35,d35_13,d35_11).
sbond_1(d35,d35_14,d35_11).
sbond_1(d35,d35_15,d35_1).
sbond_1(d35,d35_16,d35_10).
sbond_1(d35,d35_17,d35_10).
sbond_1(d35,d35_2,d35_7).
sbond_1(d35,d35_3,d35_8).
sbond_1(d35,d35_4,d35_11).
sbond_1(d35,d35_5,d35_10).
sbond_1(d35,d35_6,d35_9).
sbond_1(d35,d35_7,d35_2).
sbond_1(d35,d35_8,d35_3).
sbond_1(d35,d35_9,d35_6).
sbond_1(d36,d36a_1,d36a_28).
sbond_1(d36,d36a_12,d36a_15).
sbond_1(d36,d36a_13,d36a_16).
sbond_1(d36,d36a_14,d36a_27).
sbond_1(d36,d36a_15,d36a_12).
sbond_1(d36,d36a_16,d36a_13).
sbond_1(d36,d36a_17,d36a_21).
sbond_1(d36,d36a_18,d36a_22).
sbond_1(d36,d36a_19,d36a_23).
sbond_1(d36,d36a_2,d36a_7).
sbond_1(d36,d36a_20,d36a_24).
sbond_1(d36,d36a_21,d36a_17).
sbond_1(d36,d36a_22,d36a_18).
sbond_1(d36,d36a_23,d36a_19).
sbond_1(d36,d36a_24,d36a_20).
sbond_1(d36,d36a_25,d36a_4).
sbond_1(d36,d36a_26,d36a_9).
sbond_1(d36,d36a_27,d36a_14).
sbond_1(d36,d36a_27,d36a_33).
sbond_1(d36,d36a_28,d36a_1).
sbond_1(d36,d36a_29,d36a_30).
sbond_1(d36,d36a_29,d36a_31).
sbond_1(d36,d36a_29,d36a_32).
sbond_1(d36,d36a_29,d36a_6).
sbond_1(d36,d36a_3,d36a_34).
sbond_1(d36,d36a_30,d36a_29).
sbond_1(d36,d36a_31,d36a_29).
sbond_1(d36,d36a_32,d36a_29).
sbond_1(d36,d36a_33,d36a_27).
sbond_1(d36,d36a_34,d36a_3).
sbond_1(d36,d36a_34,d36a_35).
sbond_1(d36,d36a_35,d36a_34).
sbond_1(d36,d36a_35,d36a_38).
sbond_1(d36,d36a_38,d36a_35).
sbond_1(d36,d36a_4,d36a_25).
sbond_1(d36,d36a_5,d36a_8).
sbond_1(d36,d36a_6,d36a_29).
sbond_1(d36,d36a_7,d36a_2).
sbond_1(d36,d36a_8,d36a_5).
sbond_1(d36,d36a_9,d36a_26).
sbond_1(d37,d37_1,d37_24).
sbond_1(d37,d37_10,d37_4).
sbond_1(d37,d37_11,d37_16).
sbond_1(d37,d37_12,d37_25).
sbond_1(d37,d37_13,d37_30).
sbond_1(d37,d37_14,d37_17).
sbond_1(d37,d37_15,d37_18).
sbond_1(d37,d37_16,d37_11).
sbond_1(d37,d37_17,d37_14).
sbond_1(d37,d37_18,d37_15).
sbond_1(d37,d37_19,d37_2).
sbond_1(d37,d37_19,d37_20).
sbond_1(d37,d37_2,d37_19).
sbond_1(d37,d37_20,d37_19).
sbond_1(d37,d37_20,d37_21).
sbond_1(d37,d37_20,d37_22).
sbond_1(d37,d37_20,d37_23).
sbond_1(d37,d37_21,d37_20).
sbond_1(d37,d37_22,d37_20).
sbond_1(d37,d37_23,d37_20).
sbond_1(d37,d37_24,d37_1).
sbond_1(d37,d37_25,d37_12).
sbond_1(d37,d37_25,d37_26).
sbond_1(d37,d37_26,d37_25).
sbond_1(d37,d37_26,d37_27).
sbond_1(d37,d37_26,d37_28).
sbond_1(d37,d37_26,d37_29).
sbond_1(d37,d37_27,d37_26).
sbond_1(d37,d37_28,d37_26).
sbond_1(d37,d37_29,d37_26).
sbond_1(d37,d37_3,d37_7).
sbond_1(d37,d37_30,d37_13).
sbond_1(d37,d37_4,d37_10).
sbond_1(d37,d37_5,d37_8).
sbond_1(d37,d37_6,d37_9).
sbond_1(d37,d37_7,d37_3).
sbond_1(d37,d37_8,d37_5).
sbond_1(d37,d37_9,d37_6).
sbond_1(d38,d38_1,d38_7).
sbond_1(d38,d38_10,d38_11).
sbond_1(d38,d38_10,d38_12).
sbond_1(d38,d38_10,d38_13).
sbond_1(d38,d38_10,d38_5).
sbond_1(d38,d38_11,d38_10).
sbond_1(d38,d38_12,d38_10).
sbond_1(d38,d38_13,d38_10).
sbond_1(d38,d38_14,d38_4).
sbond_1(d38,d38_15,d38_2).
sbond_1(d38,d38_2,d38_15).
sbond_1(d38,d38_3,d38_8).
sbond_1(d38,d38_4,d38_14).
sbond_1(d38,d38_5,d38_10).
sbond_1(d38,d38_6,d38_9).
sbond_1(d38,d38_7,d38_1).
sbond_1(d38,d38_8,d38_3).
sbond_1(d38,d38_9,d38_6).
sbond_1(d39,d39_1,d39_15).
sbond_1(d39,d39_10,d39_18).
sbond_1(d39,d39_10,d39_19).
sbond_1(d39,d39_10,d39_5).
sbond_1(d39,d39_11,d39_12).
sbond_1(d39,d39_11,d39_13).
sbond_1(d39,d39_11,d39_14).
sbond_1(d39,d39_11,d39_4).
sbond_1(d39,d39_12,d39_11).
sbond_1(d39,d39_13,d39_11).
sbond_1(d39,d39_14,d39_11).
sbond_1(d39,d39_15,d39_1).
sbond_1(d39,d39_18,d39_10).
sbond_1(d39,d39_19,d39_10).
sbond_1(d39,d39_2,d39_7).
sbond_1(d39,d39_3,d39_8).
sbond_1(d39,d39_4,d39_11).
sbond_1(d39,d39_5,d39_10).
sbond_1(d39,d39_6,d39_9).
sbond_1(d39,d39_7,d39_2).
sbond_1(d39,d39_8,d39_3).
sbond_1(d39,d39_9,d39_6).
sbond_1(d4,d4_1,d4_7).
sbond_1(d4,d4_10,d4_6).
sbond_1(d4,d4_11,d4_12).
sbond_1(d4,d4_11,d4_13).
sbond_1(d4,d4_11,d4_5).
sbond_1(d4,d4_12,d4_11).
sbond_1(d4,d4_13,d4_11).
sbond_1(d4,d4_14,d4_15).
sbond_1(d4,d4_14,d4_4).
sbond_1(d4,d4_15,d4_14).
sbond_1(d4,d4_15,d4_16).
sbond_1(d4,d4_15,d4_17).
sbond_1(d4,d4_15,d4_18).
sbond_1(d4,d4_16,d4_15).
sbond_1(d4,d4_17,d4_15).
sbond_1(d4,d4_18,d4_15).
sbond_1(d4,d4_2,d4_8).
sbond_1(d4,d4_3,d4_9).
sbond_1(d4,d4_4,d4_14).
sbond_1(d4,d4_5,d4_11).
sbond_1(d4,d4_6,d4_10).
sbond_1(d4,d4_7,d4_1).
sbond_1(d4,d4_8,d4_2).
sbond_1(d4,d4_9,d4_3).
sbond_1(d40,d40_1,d40_23).
sbond_1(d40,d40_10,d40_6).
sbond_1(d40,d40_11,d40_21).
sbond_1(d40,d40_12,d40_17).
sbond_1(d40,d40_13,d40_18).
sbond_1(d40,d40_14,d40_22).
sbond_1(d40,d40_15,d40_19).
sbond_1(d40,d40_16,d40_20).
sbond_1(d40,d40_17,d40_12).
sbond_1(d40,d40_18,d40_13).
sbond_1(d40,d40_19,d40_15).
sbond_1(d40,d40_2,d40_7).
sbond_1(d40,d40_20,d40_16).
sbond_1(d40,d40_21,d40_11).
sbond_1(d40,d40_21,d40_4).
sbond_1(d40,d40_22,d40_14).
sbond_1(d40,d40_22,d40_28).
sbond_1(d40,d40_22,d40_29).
sbond_1(d40,d40_23,d40_1).
sbond_1(d40,d40_23,d40_26).
sbond_1(d40,d40_23,d40_27).
sbond_1(d40,d40_26,d40_23).
sbond_1(d40,d40_27,d40_23).
sbond_1(d40,d40_28,d40_22).
sbond_1(d40,d40_29,d40_22).
sbond_1(d40,d40_3,d40_8).
sbond_1(d40,d40_4,d40_21).
sbond_1(d40,d40_5,d40_9).
sbond_1(d40,d40_6,d40_10).
sbond_1(d40,d40_7,d40_2).
sbond_1(d40,d40_8,d40_3).
sbond_1(d40,d40_9,d40_5).
sbond_1(d41,d41_1,d41_7).
sbond_1(d41,d41_10,d41_9).
sbond_1(d41,d41_11,d41_9).
sbond_1(d41,d41_12,d41_9).
sbond_1(d41,d41_13,d41_14).
sbond_1(d41,d41_13,d41_15).
sbond_1(d41,d41_13,d41_5).
sbond_1(d41,d41_14,d41_13).
sbond_1(d41,d41_14,d41_22).
sbond_1(d41,d41_14,d41_38).
sbond_1(d41,d41_14,d41_39).
sbond_1(d41,d41_15,d41_13).
sbond_1(d41,d41_15,d41_29).
sbond_1(d41,d41_15,d41_36).
sbond_1(d41,d41_15,d41_37).
sbond_1(d41,d41_16,d41_4).
sbond_1(d41,d41_17,d41_6).
sbond_1(d41,d41_2,d41_9).
sbond_1(d41,d41_22,d41_14).
sbond_1(d41,d41_22,d41_23).
sbond_1(d41,d41_22,d41_24).
sbond_1(d41,d41_22,d41_25).
sbond_1(d41,d41_23,d41_22).
sbond_1(d41,d41_23,d41_26).
sbond_1(d41,d41_23,d41_27).
sbond_1(d41,d41_23,d41_28).
sbond_1(d41,d41_24,d41_22).
sbond_1(d41,d41_25,d41_22).
sbond_1(d41,d41_26,d41_23).
sbond_1(d41,d41_27,d41_23).
sbond_1(d41,d41_28,d41_23).
sbond_1(d41,d41_29,d41_15).
sbond_1(d41,d41_29,d41_30).
sbond_1(d41,d41_29,d41_31).
sbond_1(d41,d41_29,d41_32).
sbond_1(d41,d41_3,d41_8).
sbond_1(d41,d41_30,d41_29).
sbond_1(d41,d41_30,d41_33).
sbond_1(d41,d41_30,d41_34).
sbond_1(d41,d41_30,d41_35).
sbond_1(d41,d41_31,d41_29).
sbond_1(d41,d41_32,d41_29).
sbond_1(d41,d41_33,d41_30).
sbond_1(d41,d41_34,d41_30).
sbond_1(d41,d41_35,d41_30).
sbond_1(d41,d41_36,d41_15).
sbond_1(d41,d41_37,d41_15).
sbond_1(d41,d41_38,d41_14).
sbond_1(d41,d41_39,d41_14).
sbond_1(d41,d41_4,d41_16).
sbond_1(d41,d41_5,d41_13).
sbond_1(d41,d41_6,d41_17).
sbond_1(d41,d41_7,d41_1).
sbond_1(d41,d41_8,d41_3).
sbond_1(d41,d41_9,d41_10).
sbond_1(d41,d41_9,d41_11).
sbond_1(d41,d41_9,d41_12).
sbond_1(d41,d41_9,d41_2).
sbond_1(d42,d42_1,d42_7).
sbond_1(d42,d42_10,d42_16).
sbond_1(d42,d42_10,d42_17).
sbond_1(d42,d42_10,d42_5).
sbond_1(d42,d42_11,d42_12).
sbond_1(d42,d42_11,d42_13).
sbond_1(d42,d42_11,d42_14).
sbond_1(d42,d42_11,d42_4).
sbond_1(d42,d42_12,d42_11).
sbond_1(d42,d42_13,d42_11).
sbond_1(d42,d42_14,d42_11).
sbond_1(d42,d42_15,d42_2).
sbond_1(d42,d42_16,d42_10).
sbond_1(d42,d42_17,d42_10).
sbond_1(d42,d42_2,d42_15).
sbond_1(d42,d42_3,d42_8).
sbond_1(d42,d42_4,d42_11).
sbond_1(d42,d42_5,d42_10).
sbond_1(d42,d42_6,d42_9).
sbond_1(d42,d42_7,d42_1).
sbond_1(d42,d42_8,d42_3).
sbond_1(d42,d42_9,d42_6).
sbond_1(d43,d43_1,d43_7).
sbond_1(d43,d43_10,d43_9).
sbond_1(d43,d43_11,d43_12).
sbond_1(d43,d43_12,d43_11).
sbond_1(d43,d43_12,d43_4).
sbond_1(d43,d43_13,d43_22).
sbond_1(d43,d43_14,d43_17).
sbond_1(d43,d43_15,d43_18).
sbond_1(d43,d43_16,d43_21).
sbond_1(d43,d43_17,d43_14).
sbond_1(d43,d43_18,d43_15).
sbond_1(d43,d43_2,d43_28).
sbond_1(d43,d43_21,d43_16).
sbond_1(d43,d43_21,d43_23).
sbond_1(d43,d43_21,d43_24).
sbond_1(d43,d43_22,d43_13).
sbond_1(d43,d43_22,d43_25).
sbond_1(d43,d43_22,d43_26).
sbond_1(d43,d43_23,d43_21).
sbond_1(d43,d43_24,d43_21).
sbond_1(d43,d43_25,d43_22).
sbond_1(d43,d43_26,d43_22).
sbond_1(d43,d43_27,d43_29).
sbond_1(d43,d43_27,d43_30).
sbond_1(d43,d43_27,d43_5).
sbond_1(d43,d43_28,d43_2).
sbond_1(d43,d43_28,d43_31).
sbond_1(d43,d43_28,d43_32).
sbond_1(d43,d43_29,d43_27).
sbond_1(d43,d43_3,d43_9).
sbond_1(d43,d43_30,d43_27).
sbond_1(d43,d43_31,d43_28).
sbond_1(d43,d43_32,d43_28).
sbond_1(d43,d43_4,d43_12).
sbond_1(d43,d43_5,d43_27).
sbond_1(d43,d43_6,d43_8).
sbond_1(d43,d43_7,d43_1).
sbond_1(d43,d43_8,d43_6).
sbond_1(d43,d43_9,d43_10).
sbond_1(d43,d43_9,d43_3).
sbond_1(d44,d44_1,d44_7).
sbond_1(d44,d44_10,d44_20).
sbond_1(d44,d44_10,d44_21).
sbond_1(d44,d44_10,d44_5).
sbond_1(d44,d44_11,d44_12).
sbond_1(d44,d44_11,d44_13).
sbond_1(d44,d44_11,d44_14).
sbond_1(d44,d44_11,d44_4).
sbond_1(d44,d44_12,d44_11).
sbond_1(d44,d44_13,d44_11).
sbond_1(d44,d44_14,d44_11).
sbond_1(d44,d44_15,d44_16).
sbond_1(d44,d44_15,d44_2).
sbond_1(d44,d44_16,d44_15).
sbond_1(d44,d44_16,d44_17).
sbond_1(d44,d44_16,d44_18).
sbond_1(d44,d44_16,d44_19).
sbond_1(d44,d44_17,d44_16).
sbond_1(d44,d44_18,d44_16).
sbond_1(d44,d44_19,d44_16).
sbond_1(d44,d44_2,d44_15).
sbond_1(d44,d44_20,d44_10).
sbond_1(d44,d44_21,d44_10).
sbond_1(d44,d44_3,d44_8).
sbond_1(d44,d44_4,d44_11).
sbond_1(d44,d44_5,d44_10).
sbond_1(d44,d44_6,d44_9).
sbond_1(d44,d44_7,d44_1).
sbond_1(d44,d44_8,d44_3).
sbond_1(d44,d44_9,d44_6).
sbond_1(d45,d45_1,d45_7).
sbond_1(d45,d45_10,d45_15).
sbond_1(d45,d45_10,d45_16).
sbond_1(d45,d45_10,d45_2).
sbond_1(d45,d45_11,d45_4).
sbond_1(d45,d45_12,d45_6).
sbond_1(d45,d45_13,d45_9).
sbond_1(d45,d45_14,d45_9).
sbond_1(d45,d45_15,d45_10).
sbond_1(d45,d45_16,d45_10).
sbond_1(d45,d45_2,d45_10).
sbond_1(d45,d45_3,d45_8).
sbond_1(d45,d45_4,d45_11).
sbond_1(d45,d45_5,d45_9).
sbond_1(d45,d45_6,d45_12).
sbond_1(d45,d45_7,d45_1).
sbond_1(d45,d45_8,d45_3).
sbond_1(d45,d45_9,d45_13).
sbond_1(d45,d45_9,d45_14).
sbond_1(d45,d45_9,d45_5).
sbond_1(d46,d46_1,d46_10).
sbond_1(d46,d46_10,d46_1).
sbond_1(d46,d46_13,d46_16).
sbond_1(d46,d46_15,d46_17).
sbond_1(d46,d46_16,d46_13).
sbond_1(d46,d46_17,d46_15).
sbond_1(d46,d46_2,d46_7).
sbond_1(d46,d46_5,d46_8).
sbond_1(d46,d46_6,d46_9).
sbond_1(d46,d46_7,d46_2).
sbond_1(d46,d46_8,d46_5).
sbond_1(d46,d46_9,d46_6).
sbond_1(d47,d47_1,d47_7).
sbond_1(d47,d47_10,d47_5).
sbond_1(d47,d47_11,d47_6).
sbond_1(d47,d47_12,d47_29).
sbond_1(d47,d47_13,d47_30).
sbond_1(d47,d47_14,d47_18).
sbond_1(d47,d47_15,d47_19).
sbond_1(d47,d47_18,d47_14).
sbond_1(d47,d47_19,d47_15).
sbond_1(d47,d47_2,d47_8).
sbond_1(d47,d47_20,d47_24).
sbond_1(d47,d47_21,d47_25).
sbond_1(d47,d47_22,d47_26).
sbond_1(d47,d47_23,d47_27).
sbond_1(d47,d47_24,d47_20).
sbond_1(d47,d47_25,d47_21).
sbond_1(d47,d47_26,d47_22).
sbond_1(d47,d47_27,d47_23).
sbond_1(d47,d47_28,d47_4).
sbond_1(d47,d47_29,d47_12).
sbond_1(d47,d47_3,d47_9).
sbond_1(d47,d47_30,d47_13).
sbond_1(d47,d47_30,d47_31).
sbond_1(d47,d47_31,d47_30).
sbond_1(d47,d47_4,d47_28).
sbond_1(d47,d47_5,d47_10).
sbond_1(d47,d47_6,d47_11).
sbond_1(d47,d47_7,d47_1).
sbond_1(d47,d47_8,d47_2).
sbond_1(d47,d47_9,d47_3).
sbond_1(d48,d48_1,d48_7).
sbond_1(d48,d48_10,d48_11).
sbond_1(d48,d48_10,d48_17).
sbond_1(d48,d48_10,d48_5).
sbond_1(d48,d48_11,d48_10).
sbond_1(d48,d48_11,d48_12).
sbond_1(d48,d48_12,d48_11).
sbond_1(d48,d48_12,d48_13).
sbond_1(d48,d48_12,d48_14).
sbond_1(d48,d48_12,d48_15).
sbond_1(d48,d48_13,d48_12).
sbond_1(d48,d48_14,d48_12).
sbond_1(d48,d48_15,d48_12).
sbond_1(d48,d48_17,d48_10).
sbond_1(d48,d48_18,d48_25).
sbond_1(d48,d48_18,d48_26).
sbond_1(d48,d48_18,d48_3).
sbond_1(d48,d48_19,d48_2).
sbond_1(d48,d48_19,d48_20).
sbond_1(d48,d48_2,d48_19).
sbond_1(d48,d48_20,d48_19).
sbond_1(d48,d48_20,d48_21).
sbond_1(d48,d48_20,d48_27).
sbond_1(d48,d48_20,d48_28).
sbond_1(d48,d48_21,d48_20).
sbond_1(d48,d48_21,d48_22).
sbond_1(d48,d48_21,d48_23).
sbond_1(d48,d48_21,d48_24).
sbond_1(d48,d48_22,d48_21).
sbond_1(d48,d48_23,d48_21).
sbond_1(d48,d48_24,d48_21).
sbond_1(d48,d48_25,d48_18).
sbond_1(d48,d48_26,d48_18).
sbond_1(d48,d48_27,d48_20).
sbond_1(d48,d48_28,d48_20).
sbond_1(d48,d48_3,d48_18).
sbond_1(d48,d48_4,d48_8).
sbond_1(d48,d48_5,d48_10).
sbond_1(d48,d48_6,d48_9).
sbond_1(d48,d48_7,d48_1).
sbond_1(d48,d48_8,d48_4).
sbond_1(d48,d48_9,d48_6).
sbond_1(d49,d49_1,d49_7).
sbond_1(d49,d49_10,d49_13).
sbond_1(d49,d49_10,d49_14).
sbond_1(d49,d49_10,d49_5).
sbond_1(d49,d49_11,d49_17).
sbond_1(d49,d49_11,d49_2).
sbond_1(d49,d49_12,d49_3).
sbond_1(d49,d49_13,d49_10).
sbond_1(d49,d49_14,d49_10).
sbond_1(d49,d49_17,d49_11).
sbond_1(d49,d49_2,d49_11).
sbond_1(d49,d49_3,d49_12).
sbond_1(d49,d49_4,d49_8).
sbond_1(d49,d49_5,d49_10).
sbond_1(d49,d49_6,d49_9).
sbond_1(d49,d49_7,d49_1).
sbond_1(d49,d49_8,d49_4).
sbond_1(d49,d49_9,d49_6).
sbond_1(d5,d5_1,d5_7).
sbond_1(d5,d5_10,d5_13).
sbond_1(d5,d5_10,d5_14).
sbond_1(d5,d5_10,d5_5).
sbond_1(d5,d5_11,d5_15).
sbond_1(d5,d5_11,d5_16).
sbond_1(d5,d5_11,d5_3).
sbond_1(d5,d5_12,d5_2).
sbond_1(d5,d5_13,d5_10).
sbond_1(d5,d5_14,d5_10).
sbond_1(d5,d5_15,d5_11).
sbond_1(d5,d5_16,d5_11).
sbond_1(d5,d5_2,d5_12).
sbond_1(d5,d5_3,d5_11).
sbond_1(d5,d5_4,d5_8).
sbond_1(d5,d5_5,d5_10).
sbond_1(d5,d5_6,d5_9).
sbond_1(d5,d5_7,d5_1).
sbond_1(d5,d5_8,d5_4).
sbond_1(d5,d5_9,d5_6).
sbond_1(d50,d50_1,d50_7).
sbond_1(d50,d50_10,d50_6).
sbond_1(d50,d50_11,d50_6).
sbond_1(d50,d50_12,d50_2).
sbond_1(d50,d50_2,d50_12).
sbond_1(d50,d50_4,d50_6).
sbond_1(d50,d50_6,d50_10).
sbond_1(d50,d50_6,d50_11).
sbond_1(d50,d50_6,d50_4).
sbond_1(d50,d50_7,d50_1).
sbond_1(d51,d51_1,d51_2).
sbond_1(d51,d51_1,d51_8).
sbond_1(d51,d51_10,d51_4).
sbond_1(d51,d51_11,d51_13).
sbond_1(d51,d51_12,d51_14).
sbond_1(d51,d51_13,d51_11).
sbond_1(d51,d51_13,d51_15).
sbond_1(d51,d51_14,d51_12).
sbond_1(d51,d51_14,d51_16).
sbond_1(d51,d51_15,d51_13).
sbond_1(d51,d51_16,d51_14).
sbond_1(d51,d51_2,d51_1).
sbond_1(d51,d51_2,d51_3).
sbond_1(d51,d51_3,d51_2).
sbond_1(d51,d51_3,d51_9).
sbond_1(d51,d51_4,d51_10).
sbond_1(d51,d51_4,d51_5).
sbond_1(d51,d51_5,d51_4).
sbond_1(d51,d51_5,d51_6).
sbond_1(d51,d51_6,d51_5).
sbond_1(d51,d51_6,d51_7).
sbond_1(d51,d51_7,d51_6).
sbond_1(d51,d51_8,d51_1).
sbond_1(d51,d51_9,d51_3).
sbond_1(d52,d52_1,d52_7).
sbond_1(d52,d52_10,d52_5).
sbond_1(d52,d52_11,d52_6).
sbond_1(d52,d52_12,d52_4).
sbond_1(d52,d52_13,d52_22).
sbond_1(d52,d52_14,d52_18).
sbond_1(d52,d52_15,d52_19).
sbond_1(d52,d52_16,d52_20).
sbond_1(d52,d52_17,d52_21).
sbond_1(d52,d52_18,d52_14).
sbond_1(d52,d52_19,d52_15).
sbond_1(d52,d52_2,d52_8).
sbond_1(d52,d52_20,d52_16).
sbond_1(d52,d52_21,d52_17).
sbond_1(d52,d52_22,d52_13).
sbond_1(d52,d52_22,d52_23).
sbond_1(d52,d52_22,d52_24).
sbond_1(d52,d52_23,d52_22).
sbond_1(d52,d52_24,d52_22).
sbond_1(d52,d52_3,d52_9).
sbond_1(d52,d52_4,d52_12).
sbond_1(d52,d52_5,d52_10).
sbond_1(d52,d52_6,d52_11).
sbond_1(d52,d52_7,d52_1).
sbond_1(d52,d52_8,d52_2).
sbond_1(d52,d52_9,d52_3).
sbond_1(d53,d53_1,d53_13).
sbond_1(d53,d53_10,d53_15).
sbond_1(d53,d53_10,d53_9).
sbond_1(d53,d53_11,d53_4).
sbond_1(d53,d53_12,d53_16).
sbond_1(d53,d53_12,d53_17).
sbond_1(d53,d53_12,d53_3).
sbond_1(d53,d53_13,d53_1).
sbond_1(d53,d53_15,d53_10).
sbond_1(d53,d53_16,d53_12).
sbond_1(d53,d53_17,d53_12).
sbond_1(d53,d53_2,d53_7).
sbond_1(d53,d53_3,d53_12).
sbond_1(d53,d53_4,d53_11).
sbond_1(d53,d53_5,d53_9).
sbond_1(d53,d53_6,d53_8).
sbond_1(d53,d53_7,d53_2).
sbond_1(d53,d53_8,d53_6).
sbond_1(d53,d53_9,d53_10).
sbond_1(d53,d53_9,d53_5).
sbond_1(d54,d54_1,d54_7).
sbond_1(d54,d54_10,d54_11).
sbond_1(d54,d54_10,d54_2).
sbond_1(d54,d54_11,d54_10).
sbond_1(d54,d54_11,d54_12).
sbond_1(d54,d54_11,d54_27).
sbond_1(d54,d54_11,d54_28).
sbond_1(d54,d54_12,d54_11).
sbond_1(d54,d54_12,d54_13).
sbond_1(d54,d54_12,d54_14).
sbond_1(d54,d54_12,d54_15).
sbond_1(d54,d54_13,d54_12).
sbond_1(d54,d54_14,d54_12).
sbond_1(d54,d54_15,d54_12).
sbond_1(d54,d54_16,d54_3).
sbond_1(d54,d54_17,d54_20).
sbond_1(d54,d54_17,d54_26).
sbond_1(d54,d54_17,d54_5).
sbond_1(d54,d54_2,d54_10).
sbond_1(d54,d54_20,d54_17).
sbond_1(d54,d54_20,d54_21).
sbond_1(d54,d54_21,d54_20).
sbond_1(d54,d54_21,d54_22).
sbond_1(d54,d54_21,d54_23).
sbond_1(d54,d54_21,d54_24).
sbond_1(d54,d54_22,d54_21).
sbond_1(d54,d54_23,d54_21).
sbond_1(d54,d54_24,d54_21).
sbond_1(d54,d54_26,d54_17).
sbond_1(d54,d54_27,d54_11).
sbond_1(d54,d54_28,d54_11).
sbond_1(d54,d54_3,d54_16).
sbond_1(d54,d54_4,d54_8).
sbond_1(d54,d54_5,d54_17).
sbond_1(d54,d54_6,d54_9).
sbond_1(d54,d54_7,d54_1).
sbond_1(d54,d54_8,d54_4).
sbond_1(d54,d54_9,d54_6).
sbond_1(d55,d55_1,d55_7).
sbond_1(d55,d55_10,d55_15).
sbond_1(d55,d55_10,d55_16).
sbond_1(d55,d55_10,d55_5).
sbond_1(d55,d55_11,d55_4).
sbond_1(d55,d55_12,d55_17).
sbond_1(d55,d55_12,d55_18).
sbond_1(d55,d55_12,d55_2).
sbond_1(d55,d55_15,d55_10).
sbond_1(d55,d55_16,d55_10).
sbond_1(d55,d55_17,d55_12).
sbond_1(d55,d55_18,d55_12).
sbond_1(d55,d55_2,d55_12).
sbond_1(d55,d55_3,d55_8).
sbond_1(d55,d55_4,d55_11).
sbond_1(d55,d55_5,d55_10).
sbond_1(d55,d55_6,d55_9).
sbond_1(d55,d55_7,d55_1).
sbond_1(d55,d55_8,d55_3).
sbond_1(d55,d55_9,d55_6).
sbond_1(d56,d56_1,d56_7).
sbond_1(d56,d56_10,d56_17).
sbond_1(d56,d56_10,d56_5).
sbond_1(d56,d56_11,d56_15).
sbond_1(d56,d56_11,d56_16).
sbond_1(d56,d56_11,d56_4).
sbond_1(d56,d56_12,d56_2).
sbond_1(d56,d56_15,d56_11).
sbond_1(d56,d56_16,d56_11).
sbond_1(d56,d56_17,d56_10).
sbond_1(d56,d56_2,d56_12).
sbond_1(d56,d56_3,d56_8).
sbond_1(d56,d56_4,d56_11).
sbond_1(d56,d56_5,d56_10).
sbond_1(d56,d56_6,d56_9).
sbond_1(d56,d56_7,d56_1).
sbond_1(d56,d56_8,d56_3).
sbond_1(d56,d56_9,d56_6).
sbond_1(d57,d57_1,d57_12).
sbond_1(d57,d57_10,d57_17).
sbond_1(d57,d57_10,d57_5).
sbond_1(d57,d57_11,d57_15).
sbond_1(d57,d57_11,d57_16).
sbond_1(d57,d57_11,d57_4).
sbond_1(d57,d57_12,d57_1).
sbond_1(d57,d57_15,d57_11).
sbond_1(d57,d57_16,d57_11).
sbond_1(d57,d57_17,d57_10).
sbond_1(d57,d57_2,d57_7).
sbond_1(d57,d57_3,d57_8).
sbond_1(d57,d57_4,d57_11).
sbond_1(d57,d57_5,d57_10).
sbond_1(d57,d57_6,d57_9).
sbond_1(d57,d57_7,d57_2).
sbond_1(d57,d57_8,d57_3).
sbond_1(d57,d57_9,d57_6).
sbond_1(d58,d58_1,d58_30).
sbond_1(d58,d58_10,d58_35).
sbond_1(d58,d58_11,d58_16).
sbond_1(d58,d58_12,d58_17).
sbond_1(d58,d58_13,d58_36).
sbond_1(d58,d58_14,d58_37).
sbond_1(d58,d58_15,d58_18).
sbond_1(d58,d58_16,d58_11).
sbond_1(d58,d58_17,d58_12).
sbond_1(d58,d58_18,d58_15).
sbond_1(d58,d58_19,d58_36).
sbond_1(d58,d58_2,d58_7).
sbond_1(d58,d58_20,d58_25).
sbond_1(d58,d58_21,d58_26).
sbond_1(d58,d58_22,d58_27).
sbond_1(d58,d58_23,d58_28).
sbond_1(d58,d58_24,d58_29).
sbond_1(d58,d58_25,d58_20).
sbond_1(d58,d58_26,d58_21).
sbond_1(d58,d58_27,d58_22).
sbond_1(d58,d58_28,d58_23).
sbond_1(d58,d58_29,d58_24).
sbond_1(d58,d58_3,d58_8).
sbond_1(d58,d58_30,d58_1).
sbond_1(d58,d58_30,d58_31).
sbond_1(d58,d58_30,d58_32).
sbond_1(d58,d58_30,d58_33).
sbond_1(d58,d58_31,d58_30).
sbond_1(d58,d58_32,d58_30).
sbond_1(d58,d58_33,d58_30).
sbond_1(d58,d58_34,d58_5).
sbond_1(d58,d58_35,d58_10).
sbond_1(d58,d58_35,d58_38).
sbond_1(d58,d58_35,d58_4).
sbond_1(d58,d58_36,d58_13).
sbond_1(d58,d58_36,d58_19).
sbond_1(d58,d58_36,d58_39).
sbond_1(d58,d58_37,d58_14).
sbond_1(d58,d58_37,d58_43).
sbond_1(d58,d58_38,d58_35).
sbond_1(d58,d58_39,d58_36).
sbond_1(d58,d58_4,d58_35).
sbond_1(d58,d58_43,d58_37).
sbond_1(d58,d58_43,d58_45).
sbond_1(d58,d58_45,d58_43).
sbond_1(d58,d58_5,d58_34).
sbond_1(d58,d58_6,d58_9).
sbond_1(d58,d58_7,d58_2).
sbond_1(d58,d58_8,d58_3).
sbond_1(d58,d58_9,d58_6).
sbond_1(d59,d59_1,d59_7).
sbond_1(d59,d59_10,d59_6).
sbond_1(d59,d59_11,d59_17).
sbond_1(d59,d59_11,d59_18).
sbond_1(d59,d59_11,d59_5).
sbond_1(d59,d59_12,d59_13).
sbond_1(d59,d59_12,d59_2).
sbond_1(d59,d59_13,d59_12).
sbond_1(d59,d59_13,d59_14).
sbond_1(d59,d59_13,d59_15).
sbond_1(d59,d59_13,d59_16).
sbond_1(d59,d59_14,d59_13).
sbond_1(d59,d59_15,d59_13).
sbond_1(d59,d59_16,d59_13).
sbond_1(d59,d59_17,d59_11).
sbond_1(d59,d59_18,d59_11).
sbond_1(d59,d59_2,d59_12).
sbond_1(d59,d59_3,d59_8).
sbond_1(d59,d59_4,d59_9).
sbond_1(d59,d59_5,d59_11).
sbond_1(d59,d59_6,d59_10).
sbond_1(d59,d59_7,d59_1).
sbond_1(d59,d59_8,d59_3).
sbond_1(d59,d59_9,d59_4).
sbond_1(d6,d6_1,d6_7).
sbond_1(d6,d6_10,d6_2).
sbond_1(d6,d6_11,d6_9).
sbond_1(d6,d6_12,d6_9).
sbond_1(d6,d6_13,d6_3).
sbond_1(d6,d6_14,d6_15).
sbond_1(d6,d6_14,d6_16).
sbond_1(d6,d6_14,d6_4).
sbond_1(d6,d6_15,d6_14).
sbond_1(d6,d6_16,d6_14).
sbond_1(d6,d6_2,d6_10).
sbond_1(d6,d6_3,d6_13).
sbond_1(d6,d6_4,d6_14).
sbond_1(d6,d6_5,d6_9).
sbond_1(d6,d6_6,d6_8).
sbond_1(d6,d6_7,d6_1).
sbond_1(d6,d6_8,d6_6).
sbond_1(d6,d6_9,d6_11).
sbond_1(d6,d6_9,d6_12).
sbond_1(d6,d6_9,d6_5).
sbond_1(d60,d60_1,d60_7).
sbond_1(d60,d60_10,d60_6).
sbond_1(d60,d60_11,d60_13).
sbond_1(d60,d60_11,d60_14).
sbond_1(d60,d60_11,d60_5).
sbond_1(d60,d60_12,d60_2).
sbond_1(d60,d60_13,d60_11).
sbond_1(d60,d60_14,d60_11).
sbond_1(d60,d60_2,d60_12).
sbond_1(d60,d60_3,d60_8).
sbond_1(d60,d60_4,d60_9).
sbond_1(d60,d60_5,d60_11).
sbond_1(d60,d60_6,d60_10).
sbond_1(d60,d60_7,d60_1).
sbond_1(d60,d60_8,d60_3).
sbond_1(d60,d60_9,d60_4).
sbond_1(d61,d61_1,d61_11).
sbond_1(d61,d61_10,d61_6).
sbond_1(d61,d61_11,d61_1).
sbond_1(d61,d61_12,d61_13).
sbond_1(d61,d61_12,d61_4).
sbond_1(d61,d61_13,d61_12).
sbond_1(d61,d61_13,d61_14).
sbond_1(d61,d61_13,d61_18).
sbond_1(d61,d61_14,d61_13).
sbond_1(d61,d61_14,d61_26).
sbond_1(d61,d61_18,d61_13).
sbond_1(d61,d61_18,d61_19).
sbond_1(d61,d61_19,d61_18).
sbond_1(d61,d61_19,d61_20).
sbond_1(d61,d61_19,d61_21).
sbond_1(d61,d61_19,d61_22).
sbond_1(d61,d61_2,d61_7).
sbond_1(d61,d61_20,d61_19).
sbond_1(d61,d61_20,d61_23).
sbond_1(d61,d61_20,d61_24).
sbond_1(d61,d61_20,d61_25).
sbond_1(d61,d61_21,d61_19).
sbond_1(d61,d61_22,d61_19).
sbond_1(d61,d61_23,d61_20).
sbond_1(d61,d61_24,d61_20).
sbond_1(d61,d61_25,d61_20).
sbond_1(d61,d61_26,d61_14).
sbond_1(d61,d61_26,d61_27).
sbond_1(d61,d61_26,d61_28).
sbond_1(d61,d61_26,d61_29).
sbond_1(d61,d61_27,d61_26).
sbond_1(d61,d61_27,d61_30).
sbond_1(d61,d61_27,d61_31).
sbond_1(d61,d61_27,d61_32).
sbond_1(d61,d61_28,d61_26).
sbond_1(d61,d61_29,d61_26).
sbond_1(d61,d61_3,d61_8).
sbond_1(d61,d61_30,d61_27).
sbond_1(d61,d61_31,d61_27).
sbond_1(d61,d61_32,d61_27).
sbond_1(d61,d61_4,d61_12).
sbond_1(d61,d61_5,d61_9).
sbond_1(d61,d61_6,d61_10).
sbond_1(d61,d61_7,d61_2).
sbond_1(d61,d61_8,d61_3).
sbond_1(d61,d61_9,d61_5).
sbond_1(d62,d62_1,d62_22).
sbond_1(d62,d62_13,d62_14).
sbond_1(d62,d62_14,d62_13).
sbond_1(d62,d62_15,d62_19).
sbond_1(d62,d62_16,d62_23).
sbond_1(d62,d62_17,d62_20).
sbond_1(d62,d62_18,d62_21).
sbond_1(d62,d62_19,d62_15).
sbond_1(d62,d62_2,d62_7).
sbond_1(d62,d62_20,d62_17).
sbond_1(d62,d62_21,d62_18).
sbond_1(d62,d62_22,d62_1).
sbond_1(d62,d62_22,d62_24).
sbond_1(d62,d62_22,d62_25).
sbond_1(d62,d62_23,d62_16).
sbond_1(d62,d62_23,d62_26).
sbond_1(d62,d62_23,d62_27).
sbond_1(d62,d62_24,d62_22).
sbond_1(d62,d62_25,d62_22).
sbond_1(d62,d62_26,d62_23).
sbond_1(d62,d62_27,d62_23).
sbond_1(d62,d62_5,d62_8).
sbond_1(d62,d62_6,d62_9).
sbond_1(d62,d62_7,d62_2).
sbond_1(d62,d62_8,d62_5).
sbond_1(d62,d62_9,d62_6).
sbond_1(d63,d63_1,d63_10).
sbond_1(d63,d63_10,d63_1).
sbond_1(d63,d63_10,d63_22).
sbond_1(d63,d63_10,d63_23).
sbond_1(d63,d63_11,d63_3).
sbond_1(d63,d63_12,d63_13).
sbond_1(d63,d63_12,d63_24).
sbond_1(d63,d63_12,d63_4).
sbond_1(d63,d63_13,d63_12).
sbond_1(d63,d63_13,d63_14).
sbond_1(d63,d63_13,d63_15).
sbond_1(d63,d63_13,d63_16).
sbond_1(d63,d63_14,d63_13).
sbond_1(d63,d63_14,d63_17).
sbond_1(d63,d63_14,d63_18).
sbond_1(d63,d63_14,d63_19).
sbond_1(d63,d63_15,d63_13).
sbond_1(d63,d63_16,d63_13).
sbond_1(d63,d63_17,d63_14).
sbond_1(d63,d63_17,d63_25).
sbond_1(d63,d63_18,d63_14).
sbond_1(d63,d63_19,d63_14).
sbond_1(d63,d63_2,d63_7).
sbond_1(d63,d63_22,d63_10).
sbond_1(d63,d63_23,d63_10).
sbond_1(d63,d63_24,d63_12).
sbond_1(d63,d63_25,d63_17).
sbond_1(d63,d63_3,d63_11).
sbond_1(d63,d63_4,d63_12).
sbond_1(d63,d63_5,d63_8).
sbond_1(d63,d63_6,d63_9).
sbond_1(d63,d63_7,d63_2).
sbond_1(d63,d63_8,d63_5).
sbond_1(d63,d63_9,d63_6).
sbond_1(d64,d64_1,d64_7).
sbond_1(d64,d64_10,d64_6).
sbond_1(d64,d64_11,d64_15).
sbond_1(d64,d64_12,d64_16).
sbond_1(d64,d64_13,d64_29).
sbond_1(d64,d64_14,d64_17).
sbond_1(d64,d64_15,d64_11).
sbond_1(d64,d64_16,d64_12).
sbond_1(d64,d64_17,d64_14).
sbond_1(d64,d64_18,d64_24).
sbond_1(d64,d64_19,d64_25).
sbond_1(d64,d64_2,d64_8).
sbond_1(d64,d64_20,d64_26).
sbond_1(d64,d64_21,d64_27).
sbond_1(d64,d64_22,d64_28).
sbond_1(d64,d64_23,d64_29).
sbond_1(d64,d64_24,d64_18).
sbond_1(d64,d64_25,d64_19).
sbond_1(d64,d64_26,d64_20).
sbond_1(d64,d64_27,d64_21).
sbond_1(d64,d64_28,d64_22).
sbond_1(d64,d64_29,d64_13).
sbond_1(d64,d64_29,d64_23).
sbond_1(d64,d64_29,d64_30).
sbond_1(d64,d64_30,d64_29).
sbond_1(d64,d64_5,d64_9).
sbond_1(d64,d64_6,d64_10).
sbond_1(d64,d64_7,d64_1).
sbond_1(d64,d64_8,d64_2).
sbond_1(d64,d64_9,d64_5).
sbond_1(d65,d65_1,d65_7).
sbond_1(d65,d65_10,d65_17).
sbond_1(d65,d65_10,d65_2).
sbond_1(d65,d65_11,d65_3).
sbond_1(d65,d65_12,d65_13).
sbond_1(d65,d65_12,d65_14).
sbond_1(d65,d65_12,d65_5).
sbond_1(d65,d65_13,d65_12).
sbond_1(d65,d65_13,d65_19).
sbond_1(d65,d65_14,d65_12).
sbond_1(d65,d65_14,d65_18).
sbond_1(d65,d65_17,d65_10).
sbond_1(d65,d65_18,d65_14).
sbond_1(d65,d65_19,d65_13).
sbond_1(d65,d65_2,d65_10).
sbond_1(d65,d65_3,d65_11).
sbond_1(d65,d65_4,d65_8).
sbond_1(d65,d65_5,d65_12).
sbond_1(d65,d65_6,d65_9).
sbond_1(d65,d65_7,d65_1).
sbond_1(d65,d65_8,d65_4).
sbond_1(d65,d65_9,d65_6).
sbond_1(d66,d66_1,d66_25).
sbond_1(d66,d66_12,d66_3).
sbond_1(d66,d66_13,d66_35).
sbond_1(d66,d66_15,d66_24).
sbond_1(d66,d66_16,d66_34).
sbond_1(d66,d66_17,d66_29).
sbond_1(d66,d66_18,d66_52).
sbond_1(d66,d66_19,d66_51).
sbond_1(d66,d66_2,d66_26).
sbond_1(d66,d66_20,d66_30).
sbond_1(d66,d66_21,d66_22).
sbond_1(d66,d66_21,d66_4).
sbond_1(d66,d66_22,d66_21).
sbond_1(d66,d66_22,d66_44).
sbond_1(d66,d66_24,d66_15).
sbond_1(d66,d66_24,d66_31).
sbond_1(d66,d66_24,d66_32).
sbond_1(d66,d66_24,d66_33).
sbond_1(d66,d66_25,d66_1).
sbond_1(d66,d66_26,d66_2).
sbond_1(d66,d66_27,d66_5).
sbond_1(d66,d66_28,d66_6).
sbond_1(d66,d66_29,d66_17).
sbond_1(d66,d66_3,d66_12).
sbond_1(d66,d66_30,d66_20).
sbond_1(d66,d66_31,d66_24).
sbond_1(d66,d66_32,d66_24).
sbond_1(d66,d66_33,d66_24).
sbond_1(d66,d66_34,d66_16).
sbond_1(d66,d66_35,d66_13).
sbond_1(d66,d66_36,d66_37).
sbond_1(d66,d66_37,d66_36).
sbond_1(d66,d66_37,d66_38).
sbond_1(d66,d66_37,d66_39).
sbond_1(d66,d66_37,d66_40).
sbond_1(d66,d66_38,d66_37).
sbond_1(d66,d66_38,d66_41).
sbond_1(d66,d66_38,d66_42).
sbond_1(d66,d66_38,d66_43).
sbond_1(d66,d66_39,d66_37).
sbond_1(d66,d66_4,d66_21).
sbond_1(d66,d66_40,d66_37).
sbond_1(d66,d66_41,d66_38).
sbond_1(d66,d66_42,d66_38).
sbond_1(d66,d66_43,d66_38).
sbond_1(d66,d66_44,d66_22).
sbond_1(d66,d66_44,d66_45).
sbond_1(d66,d66_44,d66_46).
sbond_1(d66,d66_44,d66_47).
sbond_1(d66,d66_45,d66_44).
sbond_1(d66,d66_45,d66_48).
sbond_1(d66,d66_45,d66_49).
sbond_1(d66,d66_45,d66_50).
sbond_1(d66,d66_46,d66_44).
sbond_1(d66,d66_47,d66_44).
sbond_1(d66,d66_48,d66_45).
sbond_1(d66,d66_49,d66_45).
sbond_1(d66,d66_5,d66_27).
sbond_1(d66,d66_50,d66_45).
sbond_1(d66,d66_51,d66_19).
sbond_1(d66,d66_51,d66_56).
sbond_1(d66,d66_51,d66_63).
sbond_1(d66,d66_52,d66_18).
sbond_1(d66,d66_52,d66_53).
sbond_1(d66,d66_52,d66_54).
sbond_1(d66,d66_52,d66_55).
sbond_1(d66,d66_53,d66_52).
sbond_1(d66,d66_54,d66_52).
sbond_1(d66,d66_55,d66_52).
sbond_1(d66,d66_56,d66_51).
sbond_1(d66,d66_56,d66_57).
sbond_1(d66,d66_56,d66_58).
sbond_1(d66,d66_56,d66_59).
sbond_1(d66,d66_57,d66_56).
sbond_1(d66,d66_57,d66_60).
sbond_1(d66,d66_57,d66_61).
sbond_1(d66,d66_57,d66_62).
sbond_1(d66,d66_58,d66_56).
sbond_1(d66,d66_59,d66_56).
sbond_1(d66,d66_6,d66_28).
sbond_1(d66,d66_60,d66_57).
sbond_1(d66,d66_61,d66_57).
sbond_1(d66,d66_62,d66_57).
sbond_1(d66,d66_63,d66_51).
sbond_1(d67,d67_1,d67_7).
sbond_1(d67,d67_10,d67_6).
sbond_1(d67,d67_11,d67_12).
sbond_1(d67,d67_11,d67_24).
sbond_1(d67,d67_11,d67_5).
sbond_1(d67,d67_12,d67_11).
sbond_1(d67,d67_12,d67_13).
sbond_1(d67,d67_13,d67_12).
sbond_1(d67,d67_13,d67_14).
sbond_1(d67,d67_13,d67_15).
sbond_1(d67,d67_13,d67_16).
sbond_1(d67,d67_14,d67_13).
sbond_1(d67,d67_15,d67_13).
sbond_1(d67,d67_16,d67_13).
sbond_1(d67,d67_18,d67_19).
sbond_1(d67,d67_18,d67_2).
sbond_1(d67,d67_19,d67_18).
sbond_1(d67,d67_19,d67_20).
sbond_1(d67,d67_19,d67_21).
sbond_1(d67,d67_19,d67_22).
sbond_1(d67,d67_2,d67_18).
sbond_1(d67,d67_20,d67_19).
sbond_1(d67,d67_21,d67_19).
sbond_1(d67,d67_22,d67_19).
sbond_1(d67,d67_24,d67_11).
sbond_1(d67,d67_3,d67_8).
sbond_1(d67,d67_4,d67_9).
sbond_1(d67,d67_5,d67_11).
sbond_1(d67,d67_6,d67_10).
sbond_1(d67,d67_7,d67_1).
sbond_1(d67,d67_8,d67_3).
sbond_1(d67,d67_9,d67_4).
sbond_1(d68,d68_1,d68_7).
sbond_1(d68,d68_10,d68_13).
sbond_1(d68,d68_10,d68_14).
sbond_1(d68,d68_10,d68_5).
sbond_1(d68,d68_11,d68_15).
sbond_1(d68,d68_11,d68_16).
sbond_1(d68,d68_11,d68_2).
sbond_1(d68,d68_12,d68_4).
sbond_1(d68,d68_13,d68_10).
sbond_1(d68,d68_14,d68_10).
sbond_1(d68,d68_15,d68_11).
sbond_1(d68,d68_16,d68_11).
sbond_1(d68,d68_2,d68_11).
sbond_1(d68,d68_3,d68_8).
sbond_1(d68,d68_4,d68_12).
sbond_1(d68,d68_5,d68_10).
sbond_1(d68,d68_6,d68_9).
sbond_1(d68,d68_7,d68_1).
sbond_1(d68,d68_8,d68_3).
sbond_1(d68,d68_9,d68_6).
sbond_1(d69,d69_1,d69_7).
sbond_1(d69,d69_10,d69_16).
sbond_1(d69,d69_10,d69_17).
sbond_1(d69,d69_10,d69_5).
sbond_1(d69,d69_11,d69_12).
sbond_1(d69,d69_11,d69_13).
sbond_1(d69,d69_11,d69_14).
sbond_1(d69,d69_11,d69_2).
sbond_1(d69,d69_12,d69_11).
sbond_1(d69,d69_13,d69_11).
sbond_1(d69,d69_14,d69_11).
sbond_1(d69,d69_15,d69_3).
sbond_1(d69,d69_16,d69_10).
sbond_1(d69,d69_17,d69_10).
sbond_1(d69,d69_2,d69_11).
sbond_1(d69,d69_3,d69_15).
sbond_1(d69,d69_4,d69_8).
sbond_1(d69,d69_5,d69_10).
sbond_1(d69,d69_6,d69_9).
sbond_1(d69,d69_7,d69_1).
sbond_1(d69,d69_8,d69_4).
sbond_1(d69,d69_9,d69_6).
sbond_1(d7,d7_1,d7_32).
sbond_1(d7,d7_10,d7_16).
sbond_1(d7,d7_11,d7_34).
sbond_1(d7,d7_12,d7_17).
sbond_1(d7,d7_13,d7_18).
sbond_1(d7,d7_14,d7_30).
sbond_1(d7,d7_15,d7_19).
sbond_1(d7,d7_16,d7_10).
sbond_1(d7,d7_17,d7_12).
sbond_1(d7,d7_18,d7_13).
sbond_1(d7,d7_19,d7_15).
sbond_1(d7,d7_2,d7_7).
sbond_1(d7,d7_21,d7_26).
sbond_1(d7,d7_22,d7_27).
sbond_1(d7,d7_24,d7_28).
sbond_1(d7,d7_25,d7_29).
sbond_1(d7,d7_26,d7_21).
sbond_1(d7,d7_27,d7_22).
sbond_1(d7,d7_28,d7_24).
sbond_1(d7,d7_29,d7_25).
sbond_1(d7,d7_3,d7_30).
sbond_1(d7,d7_30,d7_14).
sbond_1(d7,d7_30,d7_3).
sbond_1(d7,d7_31,d7_39).
sbond_1(d7,d7_31,d7_40).
sbond_1(d7,d7_32,d7_1).
sbond_1(d7,d7_33,d7_35).
sbond_1(d7,d7_33,d7_36).
sbond_1(d7,d7_33,d7_6).
sbond_1(d7,d7_34,d7_11).
sbond_1(d7,d7_34,d7_37).
sbond_1(d7,d7_34,d7_38).
sbond_1(d7,d7_35,d7_33).
sbond_1(d7,d7_36,d7_33).
sbond_1(d7,d7_37,d7_34).
sbond_1(d7,d7_38,d7_34).
sbond_1(d7,d7_39,d7_31).
sbond_1(d7,d7_4,d7_8).
sbond_1(d7,d7_40,d7_31).
sbond_1(d7,d7_5,d7_9).
sbond_1(d7,d7_6,d7_33).
sbond_1(d7,d7_7,d7_2).
sbond_1(d7,d7_8,d7_4).
sbond_1(d7,d7_9,d7_5).
sbond_1(d70,d70_1,d70_7).
sbond_1(d70,d70_10,d70_21).
sbond_1(d70,d70_10,d70_22).
sbond_1(d70,d70_10,d70_5).
sbond_1(d70,d70_11,d70_12).
sbond_1(d70,d70_11,d70_2).
sbond_1(d70,d70_12,d70_11).
sbond_1(d70,d70_12,d70_13).
sbond_1(d70,d70_12,d70_14).
sbond_1(d70,d70_12,d70_15).
sbond_1(d70,d70_13,d70_12).
sbond_1(d70,d70_14,d70_12).
sbond_1(d70,d70_15,d70_12).
sbond_1(d70,d70_16,d70_17).
sbond_1(d70,d70_16,d70_4).
sbond_1(d70,d70_17,d70_16).
sbond_1(d70,d70_17,d70_18).
sbond_1(d70,d70_17,d70_19).
sbond_1(d70,d70_17,d70_20).
sbond_1(d70,d70_18,d70_17).
sbond_1(d70,d70_19,d70_17).
sbond_1(d70,d70_2,d70_11).
sbond_1(d70,d70_20,d70_17).
sbond_1(d70,d70_21,d70_10).
sbond_1(d70,d70_22,d70_10).
sbond_1(d70,d70_3,d70_8).
sbond_1(d70,d70_4,d70_16).
sbond_1(d70,d70_5,d70_10).
sbond_1(d70,d70_6,d70_9).
sbond_1(d70,d70_7,d70_1).
sbond_1(d70,d70_8,d70_3).
sbond_1(d70,d70_9,d70_6).
sbond_1(d71,d71_1,d71_7).
sbond_1(d71,d71_10,d71_6).
sbond_1(d71,d71_11,d71_2).
sbond_1(d71,d71_12,d71_13).
sbond_1(d71,d71_12,d71_5).
sbond_1(d71,d71_13,d71_12).
sbond_1(d71,d71_13,d71_14).
sbond_1(d71,d71_13,d71_15).
sbond_1(d71,d71_14,d71_13).
sbond_1(d71,d71_14,d71_23).
sbond_1(d71,d71_15,d71_13).
sbond_1(d71,d71_15,d71_16).
sbond_1(d71,d71_16,d71_15).
sbond_1(d71,d71_16,d71_17).
sbond_1(d71,d71_16,d71_18).
sbond_1(d71,d71_16,d71_19).
sbond_1(d71,d71_17,d71_16).
sbond_1(d71,d71_18,d71_16).
sbond_1(d71,d71_19,d71_16).
sbond_1(d71,d71_2,d71_11).
sbond_1(d71,d71_23,d71_14).
sbond_1(d71,d71_23,d71_24).
sbond_1(d71,d71_23,d71_25).
sbond_1(d71,d71_23,d71_26).
sbond_1(d71,d71_24,d71_23).
sbond_1(d71,d71_25,d71_23).
sbond_1(d71,d71_26,d71_23).
sbond_1(d71,d71_3,d71_8).
sbond_1(d71,d71_4,d71_9).
sbond_1(d71,d71_5,d71_12).
sbond_1(d71,d71_6,d71_10).
sbond_1(d71,d71_7,d71_1).
sbond_1(d71,d71_8,d71_3).
sbond_1(d71,d71_9,d71_4).
sbond_1(d72,d72_1,d72_7).
sbond_1(d72,d72_10,d72_16).
sbond_1(d72,d72_10,d72_17).
sbond_1(d72,d72_10,d72_5).
sbond_1(d72,d72_11,d72_12).
sbond_1(d72,d72_11,d72_6).
sbond_1(d72,d72_12,d72_11).
sbond_1(d72,d72_12,d72_19).
sbond_1(d72,d72_13,d72_3).
sbond_1(d72,d72_16,d72_10).
sbond_1(d72,d72_17,d72_10).
sbond_1(d72,d72_19,d72_12).
sbond_1(d72,d72_2,d72_8).
sbond_1(d72,d72_3,d72_13).
sbond_1(d72,d72_4,d72_9).
sbond_1(d72,d72_5,d72_10).
sbond_1(d72,d72_6,d72_11).
sbond_1(d72,d72_7,d72_1).
sbond_1(d72,d72_8,d72_2).
sbond_1(d72,d72_9,d72_4).
sbond_1(d73,d73_1,d73_7).
sbond_1(d73,d73_10,d73_13).
sbond_1(d73,d73_10,d73_14).
sbond_1(d73,d73_10,d73_5).
sbond_1(d73,d73_11,d73_15).
sbond_1(d73,d73_11,d73_16).
sbond_1(d73,d73_11,d73_4).
sbond_1(d73,d73_12,d73_2).
sbond_1(d73,d73_13,d73_10).
sbond_1(d73,d73_14,d73_10).
sbond_1(d73,d73_15,d73_11).
sbond_1(d73,d73_16,d73_11).
sbond_1(d73,d73_2,d73_12).
sbond_1(d73,d73_3,d73_8).
sbond_1(d73,d73_4,d73_11).
sbond_1(d73,d73_5,d73_10).
sbond_1(d73,d73_6,d73_9).
sbond_1(d73,d73_7,d73_1).
sbond_1(d73,d73_8,d73_3).
sbond_1(d73,d73_9,d73_6).
sbond_1(d74,d74_1,d74_7).
sbond_1(d74,d74_10,d74_5).
sbond_1(d74,d74_11,d74_6).
sbond_1(d74,d74_12,d74_22).
sbond_1(d74,d74_13,d74_18).
sbond_1(d74,d74_14,d74_19).
sbond_1(d74,d74_15,d74_23).
sbond_1(d74,d74_16,d74_20).
sbond_1(d74,d74_17,d74_21).
sbond_1(d74,d74_18,d74_13).
sbond_1(d74,d74_19,d74_14).
sbond_1(d74,d74_2,d74_8).
sbond_1(d74,d74_20,d74_16).
sbond_1(d74,d74_21,d74_17).
sbond_1(d74,d74_22,d74_12).
sbond_1(d74,d74_22,d74_24).
sbond_1(d74,d74_22,d74_4).
sbond_1(d74,d74_23,d74_15).
sbond_1(d74,d74_23,d74_25).
sbond_1(d74,d74_23,d74_26).
sbond_1(d74,d74_24,d74_22).
sbond_1(d74,d74_25,d74_23).
sbond_1(d74,d74_26,d74_23).
sbond_1(d74,d74_3,d74_9).
sbond_1(d74,d74_4,d74_22).
sbond_1(d74,d74_5,d74_10).
sbond_1(d74,d74_6,d74_11).
sbond_1(d74,d74_7,d74_1).
sbond_1(d74,d74_8,d74_2).
sbond_1(d74,d74_9,d74_3).
sbond_1(d75,d75_1,d75_7).
sbond_1(d75,d75_10,d75_16).
sbond_1(d75,d75_10,d75_17).
sbond_1(d75,d75_10,d75_6).
sbond_1(d75,d75_11,d75_12).
sbond_1(d75,d75_11,d75_13).
sbond_1(d75,d75_11,d75_14).
sbond_1(d75,d75_11,d75_5).
sbond_1(d75,d75_12,d75_11).
sbond_1(d75,d75_13,d75_11).
sbond_1(d75,d75_14,d75_11).
sbond_1(d75,d75_15,d75_18).
sbond_1(d75,d75_15,d75_19).
sbond_1(d75,d75_15,d75_4).
sbond_1(d75,d75_16,d75_10).
sbond_1(d75,d75_17,d75_10).
sbond_1(d75,d75_18,d75_15).
sbond_1(d75,d75_19,d75_15).
sbond_1(d75,d75_2,d75_8).
sbond_1(d75,d75_3,d75_9).
sbond_1(d75,d75_4,d75_15).
sbond_1(d75,d75_5,d75_11).
sbond_1(d75,d75_6,d75_10).
sbond_1(d75,d75_7,d75_1).
sbond_1(d75,d75_8,d75_2).
sbond_1(d75,d75_9,d75_3).
sbond_1(d76,d76_1,d76_7).
sbond_1(d76,d76_10,d76_5).
sbond_1(d76,d76_11,d76_6).
sbond_1(d76,d76_14,d76_18).
sbond_1(d76,d76_15,d76_19).
sbond_1(d76,d76_16,d76_28).
sbond_1(d76,d76_17,d76_27).
sbond_1(d76,d76_18,d76_14).
sbond_1(d76,d76_19,d76_15).
sbond_1(d76,d76_2,d76_8).
sbond_1(d76,d76_20,d76_29).
sbond_1(d76,d76_21,d76_24).
sbond_1(d76,d76_22,d76_35).
sbond_1(d76,d76_23,d76_25).
sbond_1(d76,d76_24,d76_21).
sbond_1(d76,d76_25,d76_23).
sbond_1(d76,d76_26,d76_3).
sbond_1(d76,d76_27,d76_17).
sbond_1(d76,d76_28,d76_16).
sbond_1(d76,d76_28,d76_34).
sbond_1(d76,d76_29,d76_20).
sbond_1(d76,d76_29,d76_32).
sbond_1(d76,d76_3,d76_26).
sbond_1(d76,d76_32,d76_29).
sbond_1(d76,d76_32,d76_33).
sbond_1(d76,d76_33,d76_32).
sbond_1(d76,d76_34,d76_28).
sbond_1(d76,d76_35,d76_22).
sbond_1(d76,d76_35,d76_36).
sbond_1(d76,d76_35,d76_37).
sbond_1(d76,d76_35,d76_38).
sbond_1(d76,d76_36,d76_35).
sbond_1(d76,d76_36,d76_39).
sbond_1(d76,d76_37,d76_35).
sbond_1(d76,d76_38,d76_35).
sbond_1(d76,d76_39,d76_36).
sbond_1(d76,d76_39,d76_42).
sbond_1(d76,d76_4,d76_9).
sbond_1(d76,d76_42,d76_39).
sbond_1(d76,d76_5,d76_10).
sbond_1(d76,d76_6,d76_11).
sbond_1(d76,d76_7,d76_1).
sbond_1(d76,d76_8,d76_2).
sbond_1(d76,d76_9,d76_4).
sbond_1(d77,d77_1,d77_7).
sbond_1(d77,d77_10,d77_20).
sbond_1(d77,d77_11,d77_46).
sbond_1(d77,d77_12,d77_16).
sbond_1(d77,d77_13,d77_17).
sbond_1(d77,d77_14,d77_2).
sbond_1(d77,d77_15,d77_18).
sbond_1(d77,d77_16,d77_12).
sbond_1(d77,d77_17,d77_13).
sbond_1(d77,d77_18,d77_15).
sbond_1(d77,d77_19,d77_6).
sbond_1(d77,d77_2,d77_14).
sbond_1(d77,d77_20,d77_10).
sbond_1(d77,d77_21,d77_5).
sbond_1(d77,d77_22,d77_23).
sbond_1(d77,d77_23,d77_22).
sbond_1(d77,d77_23,d77_24).
sbond_1(d77,d77_23,d77_25).
sbond_1(d77,d77_23,d77_33).
sbond_1(d77,d77_24,d77_23).
sbond_1(d77,d77_24,d77_27).
sbond_1(d77,d77_25,d77_23).
sbond_1(d77,d77_25,d77_26).
sbond_1(d77,d77_26,d77_25).
sbond_1(d77,d77_26,d77_34).
sbond_1(d77,d77_26,d77_45).
sbond_1(d77,d77_27,d77_24).
sbond_1(d77,d77_27,d77_28).
sbond_1(d77,d77_27,d77_29).
sbond_1(d77,d77_27,d77_30).
sbond_1(d77,d77_28,d77_27).
sbond_1(d77,d77_29,d77_27).
sbond_1(d77,d77_3,d77_8).
sbond_1(d77,d77_30,d77_27).
sbond_1(d77,d77_33,d77_23).
sbond_1(d77,d77_34,d77_26).
sbond_1(d77,d77_35,d77_40).
sbond_1(d77,d77_36,d77_41).
sbond_1(d77,d77_37,d77_42).
sbond_1(d77,d77_38,d77_43).
sbond_1(d77,d77_39,d77_44).
sbond_1(d77,d77_4,d77_9).
sbond_1(d77,d77_40,d77_35).
sbond_1(d77,d77_41,d77_36).
sbond_1(d77,d77_42,d77_37).
sbond_1(d77,d77_43,d77_38).
sbond_1(d77,d77_44,d77_39).
sbond_1(d77,d77_45,d77_26).
sbond_1(d77,d77_46,d77_11).
sbond_1(d77,d77_47,d77_48).
sbond_1(d77,d77_48,d77_47).
sbond_1(d77,d77_48,d77_49).
sbond_1(d77,d77_48,d77_55).
sbond_1(d77,d77_48,d77_56).
sbond_1(d77,d77_49,d77_48).
sbond_1(d77,d77_49,d77_51).
sbond_1(d77,d77_5,d77_21).
sbond_1(d77,d77_51,d77_49).
sbond_1(d77,d77_51,d77_52).
sbond_1(d77,d77_51,d77_53).
sbond_1(d77,d77_51,d77_54).
sbond_1(d77,d77_52,d77_51).
sbond_1(d77,d77_53,d77_51).
sbond_1(d77,d77_54,d77_51).
sbond_1(d77,d77_55,d77_48).
sbond_1(d77,d77_55,d77_58).
sbond_1(d77,d77_56,d77_48).
sbond_1(d77,d77_58,d77_55).
sbond_1(d77,d77_58,d77_59).
sbond_1(d77,d77_58,d77_70).
sbond_1(d77,d77_59,d77_58).
sbond_1(d77,d77_6,d77_19).
sbond_1(d77,d77_60,d77_65).
sbond_1(d77,d77_61,d77_66).
sbond_1(d77,d77_62,d77_67).
sbond_1(d77,d77_63,d77_68).
sbond_1(d77,d77_64,d77_69).
sbond_1(d77,d77_65,d77_60).
sbond_1(d77,d77_66,d77_61).
sbond_1(d77,d77_67,d77_62).
sbond_1(d77,d77_68,d77_63).
sbond_1(d77,d77_69,d77_64).
sbond_1(d77,d77_7,d77_1).
sbond_1(d77,d77_70,d77_58).
sbond_1(d77,d77_8,d77_3).
sbond_1(d77,d77_9,d77_4).
sbond_1(d78,d78_1,d78_7).
sbond_1(d78,d78_10,d78_11).
sbond_1(d78,d78_10,d78_18).
sbond_1(d78,d78_10,d78_5).
sbond_1(d78,d78_11,d78_10).
sbond_1(d78,d78_11,d78_12).
sbond_1(d78,d78_11,d78_13).
sbond_1(d78,d78_11,d78_14).
sbond_1(d78,d78_12,d78_11).
sbond_1(d78,d78_12,d78_15).
sbond_1(d78,d78_12,d78_16).
sbond_1(d78,d78_12,d78_17).
sbond_1(d78,d78_13,d78_11).
sbond_1(d78,d78_14,d78_11).
sbond_1(d78,d78_15,d78_12).
sbond_1(d78,d78_15,d78_38).
sbond_1(d78,d78_16,d78_12).
sbond_1(d78,d78_17,d78_12).
sbond_1(d78,d78_18,d78_10).
sbond_1(d78,d78_18,d78_19).
sbond_1(d78,d78_18,d78_20).
sbond_1(d78,d78_18,d78_21).
sbond_1(d78,d78_19,d78_18).
sbond_1(d78,d78_19,d78_22).
sbond_1(d78,d78_19,d78_23).
sbond_1(d78,d78_19,d78_24).
sbond_1(d78,d78_2,d78_26).
sbond_1(d78,d78_20,d78_18).
sbond_1(d78,d78_21,d78_18).
sbond_1(d78,d78_22,d78_19).
sbond_1(d78,d78_22,d78_37).
sbond_1(d78,d78_23,d78_19).
sbond_1(d78,d78_24,d78_19).
sbond_1(d78,d78_25,d78_3).
sbond_1(d78,d78_26,d78_2).
sbond_1(d78,d78_26,d78_27).
sbond_1(d78,d78_26,d78_36).
sbond_1(d78,d78_27,d78_26).
sbond_1(d78,d78_27,d78_28).
sbond_1(d78,d78_27,d78_29).
sbond_1(d78,d78_27,d78_30).
sbond_1(d78,d78_28,d78_27).
sbond_1(d78,d78_28,d78_31).
sbond_1(d78,d78_28,d78_32).
sbond_1(d78,d78_28,d78_33).
sbond_1(d78,d78_29,d78_27).
sbond_1(d78,d78_3,d78_25).
sbond_1(d78,d78_30,d78_27).
sbond_1(d78,d78_31,d78_28).
sbond_1(d78,d78_31,d78_39).
sbond_1(d78,d78_32,d78_28).
sbond_1(d78,d78_33,d78_28).
sbond_1(d78,d78_36,d78_26).
sbond_1(d78,d78_37,d78_22).
sbond_1(d78,d78_38,d78_15).
sbond_1(d78,d78_39,d78_31).
sbond_1(d78,d78_4,d78_8).
sbond_1(d78,d78_5,d78_10).
sbond_1(d78,d78_6,d78_9).
sbond_1(d78,d78_7,d78_1).
sbond_1(d78,d78_8,d78_4).
sbond_1(d78,d78_9,d78_6).
sbond_1(d79,d79_1,d79_7).
sbond_1(d79,d79_10,d79_6).
sbond_1(d79,d79_11,d79_15).
sbond_1(d79,d79_12,d79_16).
sbond_1(d79,d79_13,d79_17).
sbond_1(d79,d79_14,d79_18).
sbond_1(d79,d79_15,d79_11).
sbond_1(d79,d79_16,d79_12).
sbond_1(d79,d79_17,d79_13).
sbond_1(d79,d79_18,d79_14).
sbond_1(d79,d79_18,d79_19).
sbond_1(d79,d79_18,d79_26).
sbond_1(d79,d79_19,d79_18).
sbond_1(d79,d79_19,d79_20).
sbond_1(d79,d79_19,d79_21).
sbond_1(d79,d79_19,d79_22).
sbond_1(d79,d79_2,d79_8).
sbond_1(d79,d79_20,d79_19).
sbond_1(d79,d79_20,d79_23).
sbond_1(d79,d79_20,d79_24).
sbond_1(d79,d79_20,d79_25).
sbond_1(d79,d79_21,d79_19).
sbond_1(d79,d79_22,d79_19).
sbond_1(d79,d79_23,d79_20).
sbond_1(d79,d79_23,d79_27).
sbond_1(d79,d79_23,d79_28).
sbond_1(d79,d79_24,d79_20).
sbond_1(d79,d79_25,d79_20).
sbond_1(d79,d79_26,d79_18).
sbond_1(d79,d79_27,d79_23).
sbond_1(d79,d79_28,d79_23).
sbond_1(d79,d79_5,d79_9).
sbond_1(d79,d79_6,d79_10).
sbond_1(d79,d79_7,d79_1).
sbond_1(d79,d79_8,d79_2).
sbond_1(d79,d79_9,d79_5).
sbond_1(d8,d8_1,d8_22).
sbond_1(d8,d8_10,d8_16).
sbond_1(d8,d8_11,d8_17).
sbond_1(d8,d8_12,d8_28).
sbond_1(d8,d8_13,d8_18).
sbond_1(d8,d8_14,d8_19).
sbond_1(d8,d8_15,d8_21).
sbond_1(d8,d8_16,d8_10).
sbond_1(d8,d8_17,d8_11).
sbond_1(d8,d8_18,d8_13).
sbond_1(d8,d8_19,d8_14).
sbond_1(d8,d8_2,d8_7).
sbond_1(d8,d8_20,d8_3).
sbond_1(d8,d8_21,d8_15).
sbond_1(d8,d8_22,d8_1).
sbond_1(d8,d8_22,d8_23).
sbond_1(d8,d8_22,d8_24).
sbond_1(d8,d8_22,d8_25).
sbond_1(d8,d8_23,d8_22).
sbond_1(d8,d8_24,d8_22).
sbond_1(d8,d8_25,d8_22).
sbond_1(d8,d8_26,d8_27).
sbond_1(d8,d8_26,d8_4).
sbond_1(d8,d8_27,d8_26).
sbond_1(d8,d8_28,d8_12).
sbond_1(d8,d8_28,d8_29).
sbond_1(d8,d8_28,d8_30).
sbond_1(d8,d8_29,d8_28).
sbond_1(d8,d8_29,d8_32).
sbond_1(d8,d8_3,d8_20).
sbond_1(d8,d8_30,d8_28).
sbond_1(d8,d8_32,d8_29).
sbond_1(d8,d8_32,d8_33).
sbond_1(d8,d8_32,d8_34).
sbond_1(d8,d8_32,d8_35).
sbond_1(d8,d8_33,d8_32).
sbond_1(d8,d8_34,d8_32).
sbond_1(d8,d8_35,d8_32).
sbond_1(d8,d8_4,d8_26).
sbond_1(d8,d8_5,d8_8).
sbond_1(d8,d8_6,d8_9).
sbond_1(d8,d8_7,d8_2).
sbond_1(d8,d8_8,d8_5).
sbond_1(d8,d8_9,d8_6).
sbond_1(d80,d80_1,d80_7).
sbond_1(d80,d80_10,d80_6).
sbond_1(d80,d80_11,d80_15).
sbond_1(d80,d80_12,d80_16).
sbond_1(d80,d80_13,d80_17).
sbond_1(d80,d80_14,d80_18).
sbond_1(d80,d80_15,d80_11).
sbond_1(d80,d80_16,d80_12).
sbond_1(d80,d80_17,d80_13).
sbond_1(d80,d80_18,d80_14).
sbond_1(d80,d80_2,d80_8).
sbond_1(d80,d80_5,d80_9).
sbond_1(d80,d80_6,d80_10).
sbond_1(d80,d80_7,d80_1).
sbond_1(d80,d80_8,d80_2).
sbond_1(d80,d80_9,d80_5).
sbond_1(d81,d81_1,d81_7).
sbond_1(d81,d81_10,d81_6).
sbond_1(d81,d81_11,d81_13).
sbond_1(d81,d81_11,d81_14).
sbond_1(d81,d81_11,d81_5).
sbond_1(d81,d81_12,d81_15).
sbond_1(d81,d81_12,d81_16).
sbond_1(d81,d81_12,d81_2).
sbond_1(d81,d81_13,d81_11).
sbond_1(d81,d81_14,d81_11).
sbond_1(d81,d81_15,d81_12).
sbond_1(d81,d81_16,d81_12).
sbond_1(d81,d81_2,d81_12).
sbond_1(d81,d81_3,d81_8).
sbond_1(d81,d81_4,d81_9).
sbond_1(d81,d81_5,d81_11).
sbond_1(d81,d81_6,d81_10).
sbond_1(d81,d81_7,d81_1).
sbond_1(d81,d81_8,d81_3).
sbond_1(d81,d81_9,d81_4).
sbond_1(d82,d82_1,d82_11).
sbond_1(d82,d82_10,d82_6).
sbond_1(d82,d82_11,d82_1).
sbond_1(d82,d82_11,d82_25).
sbond_1(d82,d82_11,d82_26).
sbond_1(d82,d82_12,d82_29).
sbond_1(d82,d82_15,d82_17).
sbond_1(d82,d82_16,d82_21).
sbond_1(d82,d82_17,d82_15).
sbond_1(d82,d82_17,d82_18).
sbond_1(d82,d82_17,d82_19).
sbond_1(d82,d82_17,d82_20).
sbond_1(d82,d82_18,d82_17).
sbond_1(d82,d82_19,d82_17).
sbond_1(d82,d82_2,d82_7).
sbond_1(d82,d82_20,d82_17).
sbond_1(d82,d82_21,d82_16).
sbond_1(d82,d82_21,d82_22).
sbond_1(d82,d82_21,d82_23).
sbond_1(d82,d82_21,d82_24).
sbond_1(d82,d82_22,d82_21).
sbond_1(d82,d82_23,d82_21).
sbond_1(d82,d82_24,d82_21).
sbond_1(d82,d82_25,d82_11).
sbond_1(d82,d82_26,d82_11).
sbond_1(d82,d82_29,d82_12).
sbond_1(d82,d82_29,d82_30).
sbond_1(d82,d82_29,d82_31).
sbond_1(d82,d82_3,d82_8).
sbond_1(d82,d82_30,d82_29).
sbond_1(d82,d82_30,d82_4).
sbond_1(d82,d82_31,d82_29).
sbond_1(d82,d82_4,d82_30).
sbond_1(d82,d82_5,d82_9).
sbond_1(d82,d82_6,d82_10).
sbond_1(d82,d82_7,d82_2).
sbond_1(d82,d82_8,d82_3).
sbond_1(d82,d82_9,d82_5).
sbond_1(d83,d83_1,d83_17).
sbond_1(d83,d83_10,d83_9).
sbond_1(d83,d83_11,d83_9).
sbond_1(d83,d83_12,d83_9).
sbond_1(d83,d83_13,d83_14).
sbond_1(d83,d83_13,d83_15).
sbond_1(d83,d83_13,d83_4).
sbond_1(d83,d83_14,d83_13).
sbond_1(d83,d83_15,d83_13).
sbond_1(d83,d83_16,d83_2).
sbond_1(d83,d83_17,d83_1).
sbond_1(d83,d83_17,d83_18).
sbond_1(d83,d83_17,d83_19).
sbond_1(d83,d83_18,d83_17).
sbond_1(d83,d83_19,d83_17).
sbond_1(d83,d83_2,d83_16).
sbond_1(d83,d83_3,d83_7).
sbond_1(d83,d83_4,d83_13).
sbond_1(d83,d83_5,d83_9).
sbond_1(d83,d83_6,d83_8).
sbond_1(d83,d83_7,d83_3).
sbond_1(d83,d83_8,d83_6).
sbond_1(d83,d83_9,d83_10).
sbond_1(d83,d83_9,d83_11).
sbond_1(d83,d83_9,d83_12).
sbond_1(d83,d83_9,d83_5).
sbond_1(d84,d84a_1,d84a_2).
sbond_1(d84,d84a_1,d84a_23).
sbond_1(d84,d84a_1,d84a_24).
sbond_1(d84,d84a_1,d84a_25).
sbond_1(d84,d84a_10,d84a_11).
sbond_1(d84,d84a_10,d84a_12).
sbond_1(d84,d84a_10,d84a_13).
sbond_1(d84,d84a_10,d84a_9).
sbond_1(d84,d84a_11,d84a_10).
sbond_1(d84,d84a_11,d84a_14).
sbond_1(d84,d84a_11,d84a_34).
sbond_1(d84,d84a_11,d84a_35).
sbond_1(d84,d84a_12,d84a_10).
sbond_1(d84,d84a_13,d84a_10).
sbond_1(d84,d84a_14,d84a_11).
sbond_1(d84,d84a_14,d84a_15).
sbond_1(d84,d84a_14,d84a_30).
sbond_1(d84,d84a_14,d84a_31).
sbond_1(d84,d84a_15,d84a_14).
sbond_1(d84,d84a_15,d84a_16).
sbond_1(d84,d84a_15,d84a_32).
sbond_1(d84,d84a_15,d84a_33).
sbond_1(d84,d84a_16,d84a_15).
sbond_1(d84,d84a_16,d84a_17).
sbond_1(d84,d84a_16,d84a_18).
sbond_1(d84,d84a_16,d84a_19).
sbond_1(d84,d84a_17,d84a_16).
sbond_1(d84,d84a_17,d84a_20).
sbond_1(d84,d84a_17,d84a_21).
sbond_1(d84,d84a_17,d84a_22).
sbond_1(d84,d84a_18,d84a_16).
sbond_1(d84,d84a_19,d84a_16).
sbond_1(d84,d84a_2,d84a_1).
sbond_1(d84,d84a_2,d84a_3).
sbond_1(d84,d84a_2,d84a_4).
sbond_1(d84,d84a_2,d84a_5).
sbond_1(d84,d84a_20,d84a_17).
sbond_1(d84,d84a_20,d84a_36).
sbond_1(d84,d84a_20,d84a_37).
sbond_1(d84,d84a_20,d84a_38).
sbond_1(d84,d84a_21,d84a_17).
sbond_1(d84,d84a_22,d84a_17).
sbond_1(d84,d84a_23,d84a_1).
sbond_1(d84,d84a_24,d84a_1).
sbond_1(d84,d84a_25,d84a_1).
sbond_1(d84,d84a_26,d84a_6).
sbond_1(d84,d84a_27,d84a_6).
sbond_1(d84,d84a_28,d84a_9).
sbond_1(d84,d84a_29,d84a_9).
sbond_1(d84,d84a_3,d84a_2).
sbond_1(d84,d84a_3,d84a_6).
sbond_1(d84,d84a_3,d84a_7).
sbond_1(d84,d84a_3,d84a_8).
sbond_1(d84,d84a_30,d84a_14).
sbond_1(d84,d84a_31,d84a_14).
sbond_1(d84,d84a_32,d84a_15).
sbond_1(d84,d84a_33,d84a_15).
sbond_1(d84,d84a_34,d84a_11).
sbond_1(d84,d84a_35,d84a_11).
sbond_1(d84,d84a_36,d84a_20).
sbond_1(d84,d84a_37,d84a_20).
sbond_1(d84,d84a_38,d84a_20).
sbond_1(d84,d84a_4,d84a_2).
sbond_1(d84,d84a_5,d84a_2).
sbond_1(d84,d84a_6,d84a_26).
sbond_1(d84,d84a_6,d84a_27).
sbond_1(d84,d84a_6,d84a_3).
sbond_1(d84,d84a_6,d84a_9).
sbond_1(d84,d84a_7,d84a_3).
sbond_1(d84,d84a_8,d84a_3).
sbond_1(d84,d84a_9,d84a_10).
sbond_1(d84,d84a_9,d84a_28).
sbond_1(d84,d84a_9,d84a_29).
sbond_1(d84,d84a_9,d84a_6).
sbond_1(d84,d84b_1,d84b_11).
sbond_1(d84,d84b_1,d84b_2).
sbond_1(d84,d84b_1,d84b_6).
sbond_1(d84,d84b_1,d84b_7).
sbond_1(d84,d84b_10,d84b_7).
sbond_1(d84,d84b_11,d84b_1).
sbond_1(d84,d84b_11,d84b_12).
sbond_1(d84,d84b_11,d84b_13).
sbond_1(d84,d84b_11,d84b_14).
sbond_1(d84,d84b_12,d84b_11).
sbond_1(d84,d84b_13,d84b_11).
sbond_1(d84,d84b_14,d84b_11).
sbond_1(d84,d84b_15,d84b_3).
sbond_1(d84,d84b_15,d84b_36).
sbond_1(d84,d84b_15,d84b_37).
sbond_1(d84,d84b_15,d84b_38).
sbond_1(d84,d84b_16,d84b_3).
sbond_1(d84,d84b_16,d84b_30).
sbond_1(d84,d84b_16,d84b_31).
sbond_1(d84,d84b_16,d84b_32).
sbond_1(d84,d84b_17,d84b_3).
sbond_1(d84,d84b_17,d84b_33).
sbond_1(d84,d84b_17,d84b_34).
sbond_1(d84,d84b_17,d84b_35).
sbond_1(d84,d84b_18,d84b_21).
sbond_1(d84,d84b_18,d84b_22).
sbond_1(d84,d84b_18,d84b_23).
sbond_1(d84,d84b_18,d84b_6).
sbond_1(d84,d84b_19,d84b_6).
sbond_1(d84,d84b_2,d84b_1).
sbond_1(d84,d84b_2,d84b_3).
sbond_1(d84,d84b_2,d84b_4).
sbond_1(d84,d84b_2,d84b_5).
sbond_1(d84,d84b_20,d84b_6).
sbond_1(d84,d84b_21,d84b_18).
sbond_1(d84,d84b_22,d84b_18).
sbond_1(d84,d84b_23,d84b_18).
sbond_1(d84,d84b_24,d84b_4).
sbond_1(d84,d84b_25,d84b_4).
sbond_1(d84,d84b_26,d84b_4).
sbond_1(d84,d84b_27,d84b_5).
sbond_1(d84,d84b_28,d84b_5).
sbond_1(d84,d84b_29,d84b_5).
sbond_1(d84,d84b_3,d84b_15).
sbond_1(d84,d84b_3,d84b_16).
sbond_1(d84,d84b_3,d84b_17).
sbond_1(d84,d84b_3,d84b_2).
sbond_1(d84,d84b_30,d84b_16).
sbond_1(d84,d84b_31,d84b_16).
sbond_1(d84,d84b_32,d84b_16).
sbond_1(d84,d84b_33,d84b_17).
sbond_1(d84,d84b_34,d84b_17).
sbond_1(d84,d84b_35,d84b_17).
sbond_1(d84,d84b_36,d84b_15).
sbond_1(d84,d84b_37,d84b_15).
sbond_1(d84,d84b_38,d84b_15).
sbond_1(d84,d84b_4,d84b_2).
sbond_1(d84,d84b_4,d84b_24).
sbond_1(d84,d84b_4,d84b_25).
sbond_1(d84,d84b_4,d84b_26).
sbond_1(d84,d84b_5,d84b_2).
sbond_1(d84,d84b_5,d84b_27).
sbond_1(d84,d84b_5,d84b_28).
sbond_1(d84,d84b_5,d84b_29).
sbond_1(d84,d84b_6,d84b_1).
sbond_1(d84,d84b_6,d84b_18).
sbond_1(d84,d84b_6,d84b_19).
sbond_1(d84,d84b_6,d84b_20).
sbond_1(d84,d84b_7,d84b_1).
sbond_1(d84,d84b_7,d84b_10).
sbond_1(d84,d84b_7,d84b_8).
sbond_1(d84,d84b_7,d84b_9).
sbond_1(d84,d84b_8,d84b_7).
sbond_1(d84,d84b_9,d84b_7).
sbond_1(d85_1,d85_1_1,d85_1_21).
sbond_1(d85_1,d85_1_10,d85_1_19).
sbond_1(d85_1,d85_1_11,d85_1_18).
sbond_1(d85_1,d85_1_12,d85_1_17).
sbond_1(d85_1,d85_1_13,d85_1_15).
sbond_1(d85_1,d85_1_14,d85_1_9).
sbond_1(d85_1,d85_1_15,d85_1_13).
sbond_1(d85_1,d85_1_15,d85_1_4).
sbond_1(d85_1,d85_1_16,d85_1_3).
sbond_1(d85_1,d85_1_16,d85_1_8).
sbond_1(d85_1,d85_1_17,d85_1_12).
sbond_1(d85_1,d85_1_18,d85_1_11).
sbond_1(d85_1,d85_1_19,d85_1_10).
sbond_1(d85_1,d85_1_2,d85_1_20).
sbond_1(d85_1,d85_1_20,d85_1_2).
sbond_1(d85_1,d85_1_21,d85_1_1).
sbond_1(d85_1,d85_1_22,d85_1_6).
sbond_1(d85_1,d85_1_3,d85_1_16).
sbond_1(d85_1,d85_1_4,d85_1_15).
sbond_1(d85_1,d85_1_5,d85_1_7).
sbond_1(d85_1,d85_1_6,d85_1_22).
sbond_1(d85_1,d85_1_7,d85_1_5).
sbond_1(d85_1,d85_1_8,d85_1_16).
sbond_1(d85_1,d85_1_9,d85_1_14).
sbond_1(d85_2,d85_2_1,d85_2_22).
sbond_1(d85_2,d85_2_10,d85_2_19).
sbond_1(d85_2,d85_2_11,d85_2_18).
sbond_1(d85_2,d85_2_12,d85_2_17).
sbond_1(d85_2,d85_2_13,d85_2_15).
sbond_1(d85_2,d85_2_14,d85_2_9).
sbond_1(d85_2,d85_2_15,d85_2_13).
sbond_1(d85_2,d85_2_15,d85_2_4).
sbond_1(d85_2,d85_2_16,d85_2_3).
sbond_1(d85_2,d85_2_16,d85_2_8).
sbond_1(d85_2,d85_2_17,d85_2_12).
sbond_1(d85_2,d85_2_18,d85_2_11).
sbond_1(d85_2,d85_2_19,d85_2_10).
sbond_1(d85_2,d85_2_2,d85_2_7).
sbond_1(d85_2,d85_2_20,d85_2_5).
sbond_1(d85_2,d85_2_21,d85_2_6).
sbond_1(d85_2,d85_2_22,d85_2_1).
sbond_1(d85_2,d85_2_3,d85_2_16).
sbond_1(d85_2,d85_2_4,d85_2_15).
sbond_1(d85_2,d85_2_5,d85_2_20).
sbond_1(d85_2,d85_2_6,d85_2_21).
sbond_1(d85_2,d85_2_7,d85_2_2).
sbond_1(d85_2,d85_2_8,d85_2_16).
sbond_1(d85_2,d85_2_9,d85_2_14).
sbond_1(d86,d86a_1,d86a_18).
sbond_1(d86,d86a_10,d86a_15).
sbond_1(d86,d86a_11,d86a_22).
sbond_1(d86,d86a_12,d86a_21).
sbond_1(d86,d86a_13,d86a_20).
sbond_1(d86,d86a_14,d86a_19).
sbond_1(d86,d86a_15,d86a_10).
sbond_1(d86,d86a_16,d86a_5).
sbond_1(d86,d86a_17,d86a_6).
sbond_1(d86,d86a_18,d86a_1).
sbond_1(d86,d86a_19,d86a_14).
sbond_1(d86,d86a_2,d86a_7).
sbond_1(d86,d86a_20,d86a_13).
sbond_1(d86,d86a_21,d86a_12).
sbond_1(d86,d86a_22,d86a_11).
sbond_1(d86,d86a_3,d86a_8).
sbond_1(d86,d86a_4,d86a_9).
sbond_1(d86,d86a_5,d86a_16).
sbond_1(d86,d86a_6,d86a_17).
sbond_1(d86,d86a_7,d86a_2).
sbond_1(d86,d86a_8,d86a_3).
sbond_1(d86,d86a_9,d86a_4).
sbond_1(d86,d86b_1,d86b_18).
sbond_1(d86,d86b_10,d86b_21).
sbond_1(d86,d86b_11,d86b_20).
sbond_1(d86,d86b_12,d86b_22).
sbond_1(d86,d86b_13,d86b_14).
sbond_1(d86,d86b_14,d86b_13).
sbond_1(d86,d86b_15,d86b_5).
sbond_1(d86,d86b_16,d86b_9).
sbond_1(d86,d86b_17,d86b_6).
sbond_1(d86,d86b_18,d86b_1).
sbond_1(d86,d86b_19,d86b_3).
sbond_1(d86,d86b_2,d86b_7).
sbond_1(d86,d86b_20,d86b_11).
sbond_1(d86,d86b_21,d86b_10).
sbond_1(d86,d86b_22,d86b_12).
sbond_1(d86,d86b_3,d86b_19).
sbond_1(d86,d86b_4,d86b_8).
sbond_1(d86,d86b_5,d86b_15).
sbond_1(d86,d86b_6,d86b_17).
sbond_1(d86,d86b_7,d86b_2).
sbond_1(d86,d86b_8,d86b_4).
sbond_1(d86,d86b_9,d86b_16).
sbond_1(d87,d87_1,d87_20).
sbond_1(d87,d87_10,d87_15).
sbond_1(d87,d87_11,d87_22).
sbond_1(d87,d87_12,d87_21).
sbond_1(d87,d87_13,d87_16).
sbond_1(d87,d87_14,d87_17).
sbond_1(d87,d87_15,d87_10).
sbond_1(d87,d87_16,d87_13).
sbond_1(d87,d87_17,d87_14).
sbond_1(d87,d87_17,d87_4).
sbond_1(d87,d87_18,d87_3).
sbond_1(d87,d87_18,d87_9).
sbond_1(d87,d87_19,d87_6).
sbond_1(d87,d87_2,d87_7).
sbond_1(d87,d87_20,d87_1).
sbond_1(d87,d87_21,d87_12).
sbond_1(d87,d87_22,d87_11).
sbond_1(d87,d87_3,d87_18).
sbond_1(d87,d87_4,d87_17).
sbond_1(d87,d87_5,d87_8).
sbond_1(d87,d87_6,d87_19).
sbond_1(d87,d87_7,d87_2).
sbond_1(d87,d87_8,d87_5).
sbond_1(d87,d87_9,d87_18).
sbond_1(d88,d88_1,d88_7).
sbond_1(d88,d88_10,d88_4).
sbond_1(d88,d88_11,d88_6).
sbond_1(d88,d88_12,d88_2).
sbond_1(d88,d88_13,d88_9).
sbond_1(d88,d88_2,d88_12).
sbond_1(d88,d88_3,d88_8).
sbond_1(d88,d88_4,d88_10).
sbond_1(d88,d88_5,d88_9).
sbond_1(d88,d88_6,d88_11).
sbond_1(d88,d88_7,d88_1).
sbond_1(d88,d88_8,d88_3).
sbond_1(d88,d88_9,d88_13).
sbond_1(d88,d88_9,d88_5).
sbond_1(d89,d89_1,d89_12).
sbond_1(d89,d89_1,d89_5).
sbond_1(d89,d89_10,d89_7).
sbond_1(d89,d89_11,d89_7).
sbond_1(d89,d89_12,d89_1).
sbond_1(d89,d89_13,d89_2).
sbond_1(d89,d89_14,d89_22).
sbond_1(d89,d89_14,d89_6).
sbond_1(d89,d89_15,d89_6).
sbond_1(d89,d89_16,d89_18).
sbond_1(d89,d89_16,d89_4).
sbond_1(d89,d89_17,d89_4).
sbond_1(d89,d89_18,d89_16).
sbond_1(d89,d89_18,d89_21).
sbond_1(d89,d89_2,d89_13).
sbond_1(d89,d89_2,d89_3).
sbond_1(d89,d89_21,d89_18).
sbond_1(d89,d89_22,d89_14).
sbond_1(d89,d89_22,d89_23).
sbond_1(d89,d89_23,d89_22).
sbond_1(d89,d89_3,d89_2).
sbond_1(d89,d89_3,d89_4).
sbond_1(d89,d89_3,d89_7).
sbond_1(d89,d89_3,d89_8).
sbond_1(d89,d89_4,d89_16).
sbond_1(d89,d89_4,d89_17).
sbond_1(d89,d89_4,d89_3).
sbond_1(d89,d89_4,d89_6).
sbond_1(d89,d89_5,d89_1).
sbond_1(d89,d89_5,d89_6).
sbond_1(d89,d89_5,d89_7).
sbond_1(d89,d89_5,d89_9).
sbond_1(d89,d89_6,d89_14).
sbond_1(d89,d89_6,d89_15).
sbond_1(d89,d89_6,d89_4).
sbond_1(d89,d89_6,d89_5).
sbond_1(d89,d89_7,d89_10).
sbond_1(d89,d89_7,d89_11).
sbond_1(d89,d89_7,d89_3).
sbond_1(d89,d89_7,d89_5).
sbond_1(d89,d89_8,d89_3).
sbond_1(d89,d89_9,d89_5).
sbond_1(d9,d9_1,d9_10).
sbond_1(d9,d9_10,d9_1).
sbond_1(d9,d9_10,d9_11).
sbond_1(d9,d9_10,d9_12).
sbond_1(d9,d9_10,d9_13).
sbond_1(d9,d9_11,d9_10).
sbond_1(d9,d9_12,d9_10).
sbond_1(d9,d9_13,d9_10).
sbond_1(d9,d9_14,d9_16).
sbond_1(d9,d9_14,d9_17).
sbond_1(d9,d9_14,d9_5).
sbond_1(d9,d9_15,d9_18).
sbond_1(d9,d9_15,d9_4).
sbond_1(d9,d9_16,d9_14).
sbond_1(d9,d9_17,d9_14).
sbond_1(d9,d9_18,d9_15).
sbond_1(d9,d9_18,d9_19).
sbond_1(d9,d9_18,d9_20).
sbond_1(d9,d9_18,d9_21).
sbond_1(d9,d9_19,d9_18).
sbond_1(d9,d9_2,d9_7).
sbond_1(d9,d9_20,d9_18).
sbond_1(d9,d9_21,d9_18).
sbond_1(d9,d9_3,d9_8).
sbond_1(d9,d9_4,d9_15).
sbond_1(d9,d9_5,d9_14).
sbond_1(d9,d9_6,d9_9).
sbond_1(d9,d9_7,d9_2).
sbond_1(d9,d9_8,d9_3).
sbond_1(d9,d9_9,d9_6).
sbond_1(d90,d90_1,d90_7).
sbond_1(d90,d90_10,d90_6).
sbond_1(d90,d90_11,d90_5).
sbond_1(d90,d90_12,d90_2).
sbond_1(d90,d90_2,d90_12).
sbond_1(d90,d90_3,d90_8).
sbond_1(d90,d90_4,d90_9).
sbond_1(d90,d90_5,d90_11).
sbond_1(d90,d90_6,d90_10).
sbond_1(d90,d90_7,d90_1).
sbond_1(d90,d90_8,d90_3).
sbond_1(d90,d90_9,d90_4).
sbond_1(d91,d91_1,d91_2).
sbond_1(d91,d91_2,d91_1).
sbond_1(d91,d91_2,d91_3).
sbond_1(d91,d91_3,d91_2).
sbond_1(d91,d91_4,d91_5).
sbond_1(d91,d91_4,d91_6).
sbond_1(d91,d91_5,d91_4).
sbond_1(d91,d91_6,d91_4).
sbond_1(d92,d92_1,d92_2).
sbond_1(d92,d92_1,d92_3).
sbond_1(d92,d92_1,d92_4).
sbond_1(d92,d92_1,d92_5).
sbond_1(d92,d92_2,d92_1).
sbond_1(d92,d92_2,d92_6).
sbond_1(d92,d92_2,d92_7).
sbond_1(d92,d92_2,d92_8).
sbond_1(d92,d92_3,d92_1).
sbond_1(d92,d92_4,d92_1).
sbond_1(d92,d92_5,d92_1).
sbond_1(d92,d92_6,d92_2).
sbond_1(d92,d92_7,d92_2).
sbond_1(d92,d92_8,d92_2).
sbond_1(d93,d93_1,d93_11).
sbond_1(d93,d93_10,d93_2).
sbond_1(d93,d93_11,d93_1).
sbond_1(d93,d93_12,d93_6).
sbond_1(d93,d93_13,d93_7).
sbond_1(d93,d93_2,d93_10).
sbond_1(d93,d93_3,d93_9).
sbond_1(d93,d93_4,d93_8).
sbond_1(d93,d93_5,d93_7).
sbond_1(d93,d93_6,d93_12).
sbond_1(d93,d93_7,d93_13).
sbond_1(d93,d93_7,d93_5).
sbond_1(d93,d93_8,d93_4).
sbond_1(d93,d93_9,d93_3).
sbond_1(d94,d94_1,d94_2).
sbond_1(d94,d94_1,d94_6).
sbond_1(d94,d94_1,d94_7).
sbond_1(d94,d94_1,d94_8).
sbond_1(d94,d94_2,d94_1).
sbond_1(d94,d94_2,d94_3).
sbond_1(d94,d94_2,d94_4).
sbond_1(d94,d94_2,d94_5).
sbond_1(d94,d94_3,d94_2).
sbond_1(d94,d94_4,d94_2).
sbond_1(d94,d94_5,d94_2).
sbond_1(d94,d94_6,d94_1).
sbond_1(d94,d94_7,d94_1).
sbond_1(d94,d94_8,d94_1).
sbond_1(d95,d95_1,d95_7).
sbond_1(d95,d95_10,d95_6).
sbond_1(d95,d95_11,d95_2).
sbond_1(d95,d95_12,d95_13).
sbond_1(d95,d95_12,d95_24).
sbond_1(d95,d95_12,d95_5).
sbond_1(d95,d95_13,d95_12).
sbond_1(d95,d95_13,d95_14).
sbond_1(d95,d95_14,d95_13).
sbond_1(d95,d95_14,d95_15).
sbond_1(d95,d95_14,d95_19).
sbond_1(d95,d95_15,d95_14).
sbond_1(d95,d95_15,d95_16).
sbond_1(d95,d95_15,d95_17).
sbond_1(d95,d95_15,d95_18).
sbond_1(d95,d95_16,d95_15).
sbond_1(d95,d95_17,d95_15).
sbond_1(d95,d95_18,d95_15).
sbond_1(d95,d95_19,d95_14).
sbond_1(d95,d95_19,d95_20).
sbond_1(d95,d95_19,d95_21).
sbond_1(d95,d95_19,d95_22).
sbond_1(d95,d95_2,d95_11).
sbond_1(d95,d95_20,d95_19).
sbond_1(d95,d95_21,d95_19).
sbond_1(d95,d95_22,d95_19).
sbond_1(d95,d95_24,d95_12).
sbond_1(d95,d95_3,d95_8).
sbond_1(d95,d95_4,d95_9).
sbond_1(d95,d95_5,d95_12).
sbond_1(d95,d95_6,d95_10).
sbond_1(d95,d95_7,d95_1).
sbond_1(d95,d95_8,d95_3).
sbond_1(d95,d95_9,d95_4).
sbond_1(d96,d96_1,d96_23).
sbond_1(d96,d96_1,d96_6).
sbond_1(d96,d96_10,d96_5).
sbond_1(d96,d96_11,d96_4).
sbond_1(d96,d96_12,d96_9).
sbond_1(d96,d96_13,d96_9).
sbond_1(d96,d96_14,d96_15).
sbond_1(d96,d96_14,d96_16).
sbond_1(d96,d96_14,d96_3).
sbond_1(d96,d96_14,d96_6).
sbond_1(d96,d96_15,d96_14).
sbond_1(d96,d96_16,d96_14).
sbond_1(d96,d96_17,d96_8).
sbond_1(d96,d96_18,d96_8).
sbond_1(d96,d96_19,d96_7).
sbond_1(d96,d96_2,d96_22).
sbond_1(d96,d96_2,d96_3).
sbond_1(d96,d96_20,d96_7).
sbond_1(d96,d96_21,d96_3).
sbond_1(d96,d96_22,d96_2).
sbond_1(d96,d96_23,d96_1).
sbond_1(d96,d96_24,d96_6).
sbond_1(d96,d96_3,d96_14).
sbond_1(d96,d96_3,d96_2).
sbond_1(d96,d96_3,d96_21).
sbond_1(d96,d96_3,d96_4).
sbond_1(d96,d96_4,d96_11).
sbond_1(d96,d96_4,d96_3).
sbond_1(d96,d96_4,d96_5).
sbond_1(d96,d96_4,d96_7).
sbond_1(d96,d96_5,d96_10).
sbond_1(d96,d96_5,d96_4).
sbond_1(d96,d96_5,d96_6).
sbond_1(d96,d96_5,d96_9).
sbond_1(d96,d96_6,d96_1).
sbond_1(d96,d96_6,d96_14).
sbond_1(d96,d96_6,d96_24).
sbond_1(d96,d96_6,d96_5).
sbond_1(d96,d96_7,d96_19).
sbond_1(d96,d96_7,d96_20).
sbond_1(d96,d96_7,d96_4).
sbond_1(d96,d96_7,d96_8).
sbond_1(d96,d96_8,d96_17).
sbond_1(d96,d96_8,d96_18).
sbond_1(d96,d96_8,d96_7).
sbond_1(d96,d96_8,d96_9).
sbond_1(d96,d96_9,d96_12).
sbond_1(d96,d96_9,d96_13).
sbond_1(d96,d96_9,d96_5).
sbond_1(d96,d96_9,d96_8).
sbond_1(d97,d97_1,d97_34).
sbond_1(d97,d97_10,d97_6).
sbond_1(d97,d97_11,d97_21).
sbond_1(d97,d97_12,d97_17).
sbond_1(d97,d97_13,d97_18).
sbond_1(d97,d97_14,d97_35).
sbond_1(d97,d97_15,d97_19).
sbond_1(d97,d97_16,d97_20).
sbond_1(d97,d97_17,d97_12).
sbond_1(d97,d97_18,d97_13).
sbond_1(d97,d97_19,d97_15).
sbond_1(d97,d97_2,d97_7).
sbond_1(d97,d97_20,d97_16).
sbond_1(d97,d97_21,d97_11).
sbond_1(d97,d97_21,d97_22).
sbond_1(d97,d97_21,d97_23).
sbond_1(d97,d97_21,d97_4).
sbond_1(d97,d97_22,d97_21).
sbond_1(d97,d97_22,d97_33).
sbond_1(d97,d97_23,d97_21).
sbond_1(d97,d97_23,d97_24).
sbond_1(d97,d97_24,d97_23).
sbond_1(d97,d97_24,d97_26).
sbond_1(d97,d97_26,d97_24).
sbond_1(d97,d97_26,d97_27).
sbond_1(d97,d97_26,d97_28).
sbond_1(d97,d97_26,d97_29).
sbond_1(d97,d97_27,d97_26).
sbond_1(d97,d97_27,d97_30).
sbond_1(d97,d97_27,d97_31).
sbond_1(d97,d97_27,d97_32).
sbond_1(d97,d97_28,d97_26).
sbond_1(d97,d97_29,d97_26).
sbond_1(d97,d97_3,d97_8).
sbond_1(d97,d97_30,d97_27).
sbond_1(d97,d97_31,d97_27).
sbond_1(d97,d97_32,d97_27).
sbond_1(d97,d97_33,d97_22).
sbond_1(d97,d97_34,d97_1).
sbond_1(d97,d97_35,d97_14).
sbond_1(d97,d97_4,d97_21).
sbond_1(d97,d97_5,d97_9).
sbond_1(d97,d97_6,d97_10).
sbond_1(d97,d97_7,d97_2).
sbond_1(d97,d97_8,d97_3).
sbond_1(d97,d97_9,d97_5).
sbond_1(d98,d98_1,d98_11).
sbond_1(d98,d98_10,d98_2).
sbond_1(d98,d98_11,d98_1).
sbond_1(d98,d98_12,d98_6).
sbond_1(d98,d98_2,d98_10).
sbond_1(d98,d98_3,d98_9).
sbond_1(d98,d98_4,d98_8).
sbond_1(d98,d98_5,d98_7).
sbond_1(d98,d98_6,d98_12).
sbond_1(d98,d98_7,d98_5).
sbond_1(d98,d98_8,d98_4).
sbond_1(d98,d98_9,d98_3).
sbond_1(d99,d99_1,d99_16).
sbond_1(d99,d99_10,d99_21).
sbond_1(d99,d99_11,d99_20).
sbond_1(d99,d99_12,d99_23).
sbond_1(d99,d99_13,d99_4).
sbond_1(d99,d99_13,d99_7).
sbond_1(d99,d99_14,d99_5).
sbond_1(d99,d99_15,d99_6).
sbond_1(d99,d99_16,d99_1).
sbond_1(d99,d99_17,d99_2).
sbond_1(d99,d99_18,d99_3).
sbond_1(d99,d99_19,d99_8).
sbond_1(d99,d99_2,d99_17).
sbond_1(d99,d99_20,d99_11).
sbond_1(d99,d99_21,d99_10).
sbond_1(d99,d99_22,d99_9).
sbond_1(d99,d99_23,d99_12).
sbond_1(d99,d99_3,d99_18).
sbond_1(d99,d99_4,d99_13).
sbond_1(d99,d99_5,d99_14).
sbond_1(d99,d99_6,d99_15).
sbond_1(d99,d99_7,d99_13).
sbond_1(d99,d99_8,d99_19).
sbond_1(d99,d99_9,d99_22).

sbond_2(d1,d1_11,d1_23).
sbond_2(d1,d1_14,d1_22).
sbond_2(d1,d1_22,d1_14).
sbond_2(d1,d1_23,d1_11).
sbond_2(d10,d10_13,d10_16).
sbond_2(d10,d10_16,d10_13).
sbond_2(d100,d100_21,d100_22).
sbond_2(d100,d100_22,d100_21).
sbond_2(d101,d101_3,d101_4).
sbond_2(d101,d101_4,d101_3).
sbond_2(d101,d101_8,d101_9).
sbond_2(d101,d101_9,d101_8).
sbond_2(d105,d105_1,d105_2).
sbond_2(d105,d105_2,d105_1).
sbond_2(d106,d106_3,d106_4).
sbond_2(d106,d106_4,d106_3).
sbond_2(d106,d106_8,d106_9).
sbond_2(d106,d106_9,d106_8).
sbond_2(d109,d109_12,d109_17).
sbond_2(d109,d109_15,d109_18).
sbond_2(d109,d109_15,d109_19).
sbond_2(d109,d109_17,d109_12).
sbond_2(d109,d109_18,d109_15).
sbond_2(d109,d109_19,d109_15).
sbond_2(d114,d114_10,d114_15).
sbond_2(d114,d114_15,d114_10).
sbond_2(d117,d117_1,d117_2).
sbond_2(d117,d117_10,d117_19).
sbond_2(d117,d117_10,d117_20).
sbond_2(d117,d117_17,d117_24).
sbond_2(d117,d117_17,d117_25).
sbond_2(d117,d117_19,d117_10).
sbond_2(d117,d117_2,d117_1).
sbond_2(d117,d117_20,d117_10).
sbond_2(d117,d117_24,d117_17).
sbond_2(d117,d117_25,d117_17).
sbond_2(d117,d117_5,d117_6).
sbond_2(d117,d117_6,d117_5).
sbond_2(d121,d121_1,d121_6).
sbond_2(d121,d121_6,d121_1).
sbond_2(d123,d123_19,d123_23).
sbond_2(d123,d123_21,d123_9).
sbond_2(d123,d123_23,d123_19).
sbond_2(d123,d123_9,d123_21).
sbond_2(d124,d124_2,d124_4).
sbond_2(d124,d124_4,d124_2).
sbond_2(d124,d124_5,d124_7).
sbond_2(d124,d124_5,d124_8).
sbond_2(d124,d124_7,d124_5).
sbond_2(d124,d124_8,d124_5).
sbond_2(d127,d127_12,d127_13).
sbond_2(d127,d127_12,d127_14).
sbond_2(d127,d127_13,d127_12).
sbond_2(d127,d127_14,d127_12).
sbond_2(d129,d129_2,d129_4).
sbond_2(d129,d129_4,d129_2).
sbond_2(d13,d13_11,d13_18).
sbond_2(d13,d13_11,d13_19).
sbond_2(d13,d13_18,d13_11).
sbond_2(d13,d13_19,d13_11).
sbond_2(d130,d130_11,d130_13).
sbond_2(d130,d130_13,d130_11).
sbond_2(d131,d131_16,d131_17).
sbond_2(d131,d131_16,d131_18).
sbond_2(d131,d131_17,d131_16).
sbond_2(d131,d131_18,d131_16).
sbond_2(d135,d135_11,d135_13).
sbond_2(d135,d135_13,d135_11).
sbond_2(d135,d135_39,d135_63).
sbond_2(d135,d135_63,d135_39).
sbond_2(d136,d136_12,d136_9).
sbond_2(d136,d136_15,d136_19).
sbond_2(d136,d136_19,d136_15).
sbond_2(d136,d136_3,d136_6).
sbond_2(d136,d136_6,d136_3).
sbond_2(d136,d136_9,d136_12).
sbond_2(d137,d137_43,d137_50).
sbond_2(d137,d137_50,d137_43).
sbond_2(d137,d137_59,d137_68).
sbond_2(d137,d137_68,d137_59).
sbond_2(d139,d139_27,d139_31).
sbond_2(d139,d139_31,d139_27).
sbond_2(d140,d140_10,d140_9).
sbond_2(d140,d140_18,d140_21).
sbond_2(d140,d140_21,d140_18).
sbond_2(d140,d140_38,d140_43).
sbond_2(d140,d140_43,d140_38).
sbond_2(d140,d140_9,d140_10).
sbond_2(d141,d141_16,d141_21).
sbond_2(d141,d141_21,d141_16).
sbond_2(d143,d143_13,d143_7).
sbond_2(d143,d143_21,d143_23).
sbond_2(d143,d143_23,d143_21).
sbond_2(d143,d143_7,d143_13).
sbond_2(d143,d143_8,d143_9).
sbond_2(d143,d143_9,d143_8).
sbond_2(d144,d144_1,d144_28).
sbond_2(d144,d144_28,d144_1).
sbond_2(d144,d144_31,d144_32).
sbond_2(d144,d144_32,d144_31).
sbond_2(d145,d145_11,d145_23).
sbond_2(d145,d145_23,d145_11).
sbond_2(d145,d145_24,d145_27).
sbond_2(d145,d145_27,d145_24).
sbond_2(d146,d146_23,d146_26).
sbond_2(d146,d146_26,d146_23).
sbond_2(d147,d147_1,d147_2).
sbond_2(d147,d147_2,d147_1).
sbond_2(d150,d150_11,d150_23).
sbond_2(d150,d150_17,d150_24).
sbond_2(d150,d150_23,d150_11).
sbond_2(d150,d150_24,d150_17).
sbond_2(d151,d151_12,d151_15).
sbond_2(d151,d151_15,d151_12).
sbond_2(d152,d152_14,d152_16).
sbond_2(d152,d152_16,d152_14).
sbond_2(d152,d152_19,d152_23).
sbond_2(d152,d152_23,d152_19).
sbond_2(d152,d152_28,d152_31).
sbond_2(d152,d152_31,d152_28).
sbond_2(d154,d154_25,d154_27).
sbond_2(d154,d154_27,d154_25).
sbond_2(d155,d155_10,d155_50).
sbond_2(d155,d155_11,d155_14).
sbond_2(d155,d155_14,d155_11).
sbond_2(d155,d155_19,d155_51).
sbond_2(d155,d155_20,d155_21).
sbond_2(d155,d155_21,d155_20).
sbond_2(d155,d155_50,d155_10).
sbond_2(d155,d155_51,d155_19).
sbond_2(d156,d156_17,d156_50).
sbond_2(d156,d156_32,d156_33).
sbond_2(d156,d156_33,d156_32).
sbond_2(d156,d156_50,d156_17).
sbond_2(d159,d159_11,d159_16).
sbond_2(d159,d159_16,d159_11).
sbond_2(d159,d159_17,d159_39).
sbond_2(d159,d159_17,d159_40).
sbond_2(d159,d159_18,d159_38).
sbond_2(d159,d159_38,d159_18).
sbond_2(d159,d159_39,d159_17).
sbond_2(d159,d159_40,d159_17).
sbond_2(d16,d16_11,d16_22).
sbond_2(d16,d16_14,d16_21).
sbond_2(d16,d16_21,d16_14).
sbond_2(d16,d16_22,d16_11).
sbond_2(d16,d16_23,d16_28).
sbond_2(d16,d16_23,d16_29).
sbond_2(d16,d16_28,d16_23).
sbond_2(d16,d16_29,d16_23).
sbond_2(d160,d160_16,d160_4).
sbond_2(d160,d160_2,d160_3).
sbond_2(d160,d160_3,d160_2).
sbond_2(d160,d160_4,d160_16).
sbond_2(d163,d163_11,d163_7).
sbond_2(d163,d163_17,d163_22).
sbond_2(d163,d163_18,d163_19).
sbond_2(d163,d163_19,d163_18).
sbond_2(d163,d163_22,d163_17).
sbond_2(d163,d163_6,d163_9).
sbond_2(d163,d163_7,d163_11).
sbond_2(d163,d163_9,d163_6).
sbond_2(d165,d165_13,d165_27).
sbond_2(d165,d165_27,d165_13).
sbond_2(d166,d166_12,d166_18).
sbond_2(d166,d166_18,d166_12).
sbond_2(d170,d170_11,d170_15).
sbond_2(d170,d170_13,d170_14).
sbond_2(d170,d170_14,d170_13).
sbond_2(d170,d170_15,d170_11).
sbond_2(d171,d171_15,d171_19).
sbond_2(d171,d171_15,d171_20).
sbond_2(d171,d171_17,d171_22).
sbond_2(d171,d171_19,d171_15).
sbond_2(d171,d171_20,d171_15).
sbond_2(d171,d171_22,d171_17).
sbond_2(d173,d173_61,d173_65).
sbond_2(d173,d173_65,d173_61).
sbond_2(d175,d175_19,d175_20).
sbond_2(d175,d175_20,d175_19).
sbond_2(d175,d175_22,d175_23).
sbond_2(d175,d175_23,d175_22).
sbond_2(d176,d176_11,d176_12).
sbond_2(d176,d176_12,d176_11).
sbond_2(d176,d176_14,d176_16).
sbond_2(d176,d176_16,d176_14).
sbond_2(d178,d178_1,d178_2).
sbond_2(d178,d178_1,d178_3).
sbond_2(d178,d178_2,d178_1).
sbond_2(d178,d178_3,d178_1).
sbond_2(d179,d179_15,d179_16).
sbond_2(d179,d179_15,d179_17).
sbond_2(d179,d179_16,d179_15).
sbond_2(d179,d179_17,d179_15).
sbond_2(d179,d179_19,d179_20).
sbond_2(d179,d179_20,d179_19).
sbond_2(d18,d18_11,d18_9).
sbond_2(d18,d18_5,d18_6).
sbond_2(d18,d18_5,d18_7).
sbond_2(d18,d18_6,d18_5).
sbond_2(d18,d18_7,d18_5).
sbond_2(d18,d18_9,d18_11).
sbond_2(d180,d180_18,d180_20).
sbond_2(d180,d180_20,d180_18).
sbond_2(d182,d182_14,d182_17).
sbond_2(d182,d182_17,d182_14).
sbond_2(d182,d182_21,d182_25).
sbond_2(d182,d182_25,d182_21).
sbond_2(d182,d182_30,d182_33).
sbond_2(d182,d182_33,d182_30).
sbond_2(d183,d183_11,d183_18).
sbond_2(d183,d183_12,d183_34).
sbond_2(d183,d183_18,d183_11).
sbond_2(d183,d183_23,d183_24).
sbond_2(d183,d183_24,d183_23).
sbond_2(d183,d183_25,d183_35).
sbond_2(d183,d183_34,d183_12).
sbond_2(d183,d183_35,d183_25).
sbond_2(d183,d183_51,d183_53).
sbond_2(d183,d183_53,d183_51).
sbond_2(d185,d185_10,d185_6).
sbond_2(d185,d185_3,d185_9).
sbond_2(d185,d185_6,d185_10).
sbond_2(d185,d185_9,d185_3).
sbond_2(d186,d186a_14,d186a_23).
sbond_2(d186,d186a_23,d186a_14).
sbond_2(d186,d186a_68,d186a_69).
sbond_2(d186,d186a_69,d186a_68).
sbond_2(d186,d186b_51,d186b_55).
sbond_2(d186,d186b_55,d186b_51).
sbond_2(d19,d19_22,d19_23).
sbond_2(d19,d19_22,d19_24).
sbond_2(d19,d19_23,d19_22).
sbond_2(d19,d19_24,d19_22).
sbond_2(d191,d191_12,d191_15).
sbond_2(d191,d191_15,d191_12).
sbond_2(d191,d191_18,d191_21).
sbond_2(d191,d191_21,d191_18).
sbond_2(d192,d192_12,d192_21).
sbond_2(d192,d192_15,d192_18).
sbond_2(d192,d192_18,d192_15).
sbond_2(d192,d192_21,d192_12).
sbond_2(d194,d194_1,d194_2).
sbond_2(d194,d194_2,d194_1).
sbond_2(d196,d196_6,d196_7).
sbond_2(d196,d196_7,d196_6).
sbond_2(d197,d197_25,d197_39).
sbond_2(d197,d197_27,d197_40).
sbond_2(d197,d197_39,d197_25).
sbond_2(d197,d197_40,d197_27).
sbond_2(d198,d198_20,d198_9).
sbond_2(d198,d198_9,d198_20).
sbond_2(d199,d199_24,d199_25).
sbond_2(d199,d199_25,d199_24).
sbond_2(d20,d20_12,d20_17).
sbond_2(d20,d20_12,d20_18).
sbond_2(d20,d20_17,d20_12).
sbond_2(d20,d20_18,d20_12).
sbond_2(d200,d200_12,d200_13).
sbond_2(d200,d200_13,d200_12).
sbond_2(d201,d201_10,d201_18).
sbond_2(d201,d201_18,d201_10).
sbond_2(d201,d201_21,d201_38).
sbond_2(d201,d201_38,d201_21).
sbond_2(d202,d202_23,d202_5).
sbond_2(d202,d202_3,d202_4).
sbond_2(d202,d202_4,d202_3).
sbond_2(d202,d202_5,d202_23).
sbond_2(d204,d204_16,d204_6).
sbond_2(d204,d204_6,d204_16).
sbond_2(d205,d205_16,d205_4).
sbond_2(d205,d205_3,d205_6).
sbond_2(d205,d205_4,d205_16).
sbond_2(d205,d205_6,d205_3).
sbond_2(d206,d206_10,d206_8).
sbond_2(d206,d206_4,d206_5).
sbond_2(d206,d206_5,d206_4).
sbond_2(d206,d206_8,d206_10).
sbond_2(d207,d207_11,d207_18).
sbond_2(d207,d207_14,d207_17).
sbond_2(d207,d207_17,d207_14).
sbond_2(d207,d207_18,d207_11).
sbond_2(d207,d207_22,d207_29).
sbond_2(d207,d207_25,d207_28).
sbond_2(d207,d207_28,d207_25).
sbond_2(d207,d207_29,d207_22).
sbond_2(d208_1,d208_1_2,d208_1_4).
sbond_2(d208_1,d208_1_4,d208_1_2).
sbond_2(d208_1,d208_1_6,d208_1_8).
sbond_2(d208_1,d208_1_8,d208_1_6).
sbond_2(d208_2,d208_2_22,d208_2_6).
sbond_2(d208_2,d208_2_23,d208_2_71).
sbond_2(d208_2,d208_2_39,d208_2_73).
sbond_2(d208_2,d208_2_55,d208_2_72).
sbond_2(d208_2,d208_2_6,d208_2_22).
sbond_2(d208_2,d208_2_71,d208_2_23).
sbond_2(d208_2,d208_2_72,d208_2_55).
sbond_2(d208_2,d208_2_73,d208_2_39).
sbond_2(d209,d209_18,d209_19).
sbond_2(d209,d209_19,d209_18).
sbond_2(d21,d21_23,d21_24).
sbond_2(d21,d21_23,d21_25).
sbond_2(d21,d21_24,d21_23).
sbond_2(d21,d21_25,d21_23).
sbond_2(d210,d210_16,d210_26).
sbond_2(d210,d210_26,d210_16).
sbond_2(d211,d211_15,d211_16).
sbond_2(d211,d211_16,d211_15).
sbond_2(d211,d211_18,d211_22).
sbond_2(d211,d211_22,d211_18).
sbond_2(d212,d212_17,d212_20).
sbond_2(d212,d212_17,d212_21).
sbond_2(d212,d212_20,d212_17).
sbond_2(d212,d212_21,d212_17).
sbond_2(d212,d212_22,d212_23).
sbond_2(d212,d212_23,d212_22).
sbond_2(d212,d212_41,d212_44).
sbond_2(d212,d212_41,d212_45).
sbond_2(d212,d212_44,d212_41).
sbond_2(d212,d212_45,d212_41).
sbond_2(d213,d213_12,d213_16).
sbond_2(d213,d213_16,d213_12).
sbond_2(d214,d214_19,d214_24).
sbond_2(d214,d214_24,d214_19).
sbond_2(d215,d215_17,d215_19).
sbond_2(d215,d215_19,d215_17).
sbond_2(d216,d216_16,d216_4).
sbond_2(d216,d216_3,d216_6).
sbond_2(d216,d216_4,d216_16).
sbond_2(d216,d216_6,d216_3).
sbond_2(d217,d217_12,d217_13).
sbond_2(d217,d217_13,d217_12).
sbond_2(d217,d217_15,d217_23).
sbond_2(d217,d217_23,d217_15).
sbond_2(d218,d218_16,d218_19).
sbond_2(d218,d218_19,d218_16).
sbond_2(d219,d219_16,d219_21).
sbond_2(d219,d219_19,d219_22).
sbond_2(d219,d219_21,d219_16).
sbond_2(d219,d219_22,d219_19).
sbond_2(d22,d22_23,d22_24).
sbond_2(d22,d22_24,d22_23).
sbond_2(d220,d220a_15,d220a_16).
sbond_2(d220,d220a_16,d220a_15).
sbond_2(d220,d220b_14,d220b_15).
sbond_2(d220,d220b_15,d220b_14).
sbond_2(d221,d221_16,d221_19).
sbond_2(d221,d221_16,d221_20).
sbond_2(d221,d221_19,d221_16).
sbond_2(d221,d221_20,d221_16).
sbond_2(d221,d221_21,d221_22).
sbond_2(d221,d221_22,d221_21).
sbond_2(d221,d221_33,d221_38).
sbond_2(d221,d221_33,d221_39).
sbond_2(d221,d221_38,d221_33).
sbond_2(d221,d221_39,d221_33).
sbond_2(d222,d222_27,d222_33).
sbond_2(d222,d222_33,d222_27).
sbond_2(d223,d223_13,d223_15).
sbond_2(d223,d223_15,d223_13).
sbond_2(d224,d224_12,d224_5).
sbond_2(d224,d224_13,d224_5).
sbond_2(d224,d224_2,d224_3).
sbond_2(d224,d224_3,d224_2).
sbond_2(d224,d224_5,d224_12).
sbond_2(d224,d224_5,d224_13).
sbond_2(d225,d225a_10,d225a_2).
sbond_2(d225,d225a_16,d225a_23).
sbond_2(d225,d225a_2,d225a_10).
sbond_2(d225,d225a_23,d225a_16).
sbond_2(d225,d225a_28,d225a_29).
sbond_2(d225,d225a_29,d225a_28).
sbond_2(d225,d225b_10,d225b_2).
sbond_2(d225,d225b_2,d225b_10).
sbond_2(d225,d225b_28,d225b_29).
sbond_2(d225,d225b_29,d225b_28).
sbond_2(d230,d230_2,d230_3).
sbond_2(d230,d230_3,d230_2).
sbond_2(d231,d231_11,d231_51).
sbond_2(d231,d231_15,d231_26).
sbond_2(d231,d231_26,d231_15).
sbond_2(d231,d231_51,d231_11).
sbond_2(d233,d233_12,d233_14).
sbond_2(d233,d233_14,d233_12).
sbond_2(d233,d233_16,d233_17).
sbond_2(d233,d233_17,d233_16).
sbond_2(d234,d234_17,d234_6).
sbond_2(d234,d234_6,d234_17).
sbond_2(d235,d235_1,d235_2).
sbond_2(d235,d235_2,d235_1).
sbond_2(d236,d236_1,d236_2).
sbond_2(d236,d236_2,d236_1).
sbond_2(d237,d237_1,d237_2).
sbond_2(d237,d237_14,d237_15).
sbond_2(d237,d237_15,d237_14).
sbond_2(d237,d237_2,d237_1).
sbond_2(d23_2,d23_2_20,d23_2_21).
sbond_2(d23_2,d23_2_21,d23_2_20).
sbond_2(d244,d244_1,d244_2).
sbond_2(d244,d244_2,d244_1).
sbond_2(d246,d246_26,d246_29).
sbond_2(d246,d246_29,d246_26).
sbond_2(d246,d246_70,d246_72).
sbond_2(d246,d246_72,d246_70).
sbond_2(d247,d247_15,d247_26).
sbond_2(d247,d247_26,d247_15).
sbond_2(d248,d248_15,d248_3).
sbond_2(d248,d248_3,d248_15).
sbond_2(d251,d251_1,d251_2).
sbond_2(d251,d251_2,d251_1).
sbond_2(d252,d252_1,d252_2).
sbond_2(d252,d252_10,d252_11).
sbond_2(d252,d252_10,d252_7).
sbond_2(d252,d252_11,d252_10).
sbond_2(d252,d252_2,d252_1).
sbond_2(d252,d252_7,d252_10).
sbond_2(d253,d253_1,d253_2).
sbond_2(d253,d253_2,d253_1).
sbond_2(d254,d254_12,d254_15).
sbond_2(d254,d254_15,d254_12).
sbond_2(d256,d256_10,d256_9).
sbond_2(d256,d256_12,d256_29).
sbond_2(d256,d256_17,d256_24).
sbond_2(d256,d256_24,d256_17).
sbond_2(d256,d256_29,d256_12).
sbond_2(d256,d256_9,d256_10).
sbond_2(d257,d257_18,d257_9).
sbond_2(d257,d257_9,d257_18).
sbond_2(d258,d258_1,d258_2).
sbond_2(d258,d258_14,d258_19).
sbond_2(d258,d258_19,d258_14).
sbond_2(d258,d258_2,d258_1).
sbond_2(d258,d258_21,d258_22).
sbond_2(d258,d258_22,d258_21).
sbond_2(d259,d259_12,d259_17).
sbond_2(d259,d259_17,d259_12).
sbond_2(d260,d260_11,d260_16).
sbond_2(d260,d260_11,d260_17).
sbond_2(d260,d260_13,d260_14).
sbond_2(d260,d260_13,d260_15).
sbond_2(d260,d260_14,d260_13).
sbond_2(d260,d260_15,d260_13).
sbond_2(d260,d260_16,d260_11).
sbond_2(d260,d260_17,d260_11).
sbond_2(d260,d260_3,d260_4).
sbond_2(d260,d260_3,d260_5).
sbond_2(d260,d260_4,d260_3).
sbond_2(d260,d260_5,d260_3).
sbond_2(d260,d260_7,d260_8).
sbond_2(d260,d260_7,d260_9).
sbond_2(d260,d260_8,d260_7).
sbond_2(d260,d260_9,d260_7).
sbond_2(d262,d262_1,d262_4).
sbond_2(d262,d262_4,d262_1).
sbond_2(d264,d264_18,d264_9).
sbond_2(d264,d264_29,d264_30).
sbond_2(d264,d264_30,d264_29).
sbond_2(d264,d264_31,d264_33).
sbond_2(d264,d264_33,d264_31).
sbond_2(d264,d264_9,d264_18).
sbond_2(d265,d265_16,d265_3).
sbond_2(d265,d265_17,d265_8).
sbond_2(d265,d265_3,d265_16).
sbond_2(d265,d265_8,d265_17).
sbond_2(d266,d266_10,d266_8).
sbond_2(d266,d266_25,d266_34).
sbond_2(d266,d266_3,d266_9).
sbond_2(d266,d266_34,d266_25).
sbond_2(d266,d266_8,d266_10).
sbond_2(d266,d266_9,d266_3).
sbond_2(d269,d269_18,d269_9).
sbond_2(d269,d269_9,d269_18).
sbond_2(d27,d27_11,d27_5).
sbond_2(d27,d27_12,d27_13).
sbond_2(d27,d27_12,d27_14).
sbond_2(d27,d27_13,d27_12).
sbond_2(d27,d27_14,d27_12).
sbond_2(d27,d27_20,d27_8).
sbond_2(d27,d27_3,d27_9).
sbond_2(d27,d27_5,d27_11).
sbond_2(d27,d27_8,d27_20).
sbond_2(d27,d27_9,d27_3).
sbond_2(d270,d270_13,d270_17).
sbond_2(d270,d270_16,d270_18).
sbond_2(d270,d270_17,d270_13).
sbond_2(d270,d270_18,d270_16).
sbond_2(d271,d271_14,d271_17).
sbond_2(d271,d271_15,d271_16).
sbond_2(d271,d271_16,d271_15).
sbond_2(d271,d271_17,d271_14).
sbond_2(d271,d271_6,d271_8).
sbond_2(d271,d271_8,d271_6).
sbond_2(d278,d278_14,d278_28).
sbond_2(d278,d278_28,d278_14).
sbond_2(d28,d28_10,d28_18).
sbond_2(d28,d28_12,d28_6).
sbond_2(d28,d28_13,d28_6).
sbond_2(d28,d28_18,d28_10).
sbond_2(d28,d28_6,d28_12).
sbond_2(d28,d28_6,d28_13).
sbond_2(d28,d28_7,d28_8).
sbond_2(d28,d28_8,d28_7).
sbond_2(d280,d280_14,d280_15).
sbond_2(d280,d280_15,d280_14).
sbond_2(d280,d280_16,d280_19).
sbond_2(d280,d280_16,d280_20).
sbond_2(d280,d280_19,d280_16).
sbond_2(d280,d280_20,d280_16).
sbond_2(d281,d281_1,d281_6).
sbond_2(d281,d281_1,d281_7).
sbond_2(d281,d281_10,d281_5).
sbond_2(d281,d281_11,d281_5).
sbond_2(d281,d281_12,d281_4).
sbond_2(d281,d281_13,d281_4).
sbond_2(d281,d281_3,d281_8).
sbond_2(d281,d281_3,d281_9).
sbond_2(d281,d281_4,d281_12).
sbond_2(d281,d281_4,d281_13).
sbond_2(d281,d281_5,d281_10).
sbond_2(d281,d281_5,d281_11).
sbond_2(d281,d281_6,d281_1).
sbond_2(d281,d281_7,d281_1).
sbond_2(d281,d281_8,d281_3).
sbond_2(d281,d281_9,d281_3).
sbond_2(d282,d282_1,d282_10).
sbond_2(d282,d282_1,d282_9).
sbond_2(d282,d282_10,d282_1).
sbond_2(d282,d282_6,d282_8).
sbond_2(d282,d282_8,d282_6).
sbond_2(d282,d282_9,d282_1).
sbond_2(d283,d283_1,d283_2).
sbond_2(d283,d283_2,d283_1).
sbond_2(d283,d283_5,d283_7).
sbond_2(d283,d283_7,d283_5).
sbond_2(d284,d284_1,d284_2).
sbond_2(d284,d284_2,d284_1).
sbond_2(d284,d284_5,d284_7).
sbond_2(d284,d284_7,d284_5).
sbond_2(d285,d285_1,d285_2).
sbond_2(d285,d285_15,d285_9).
sbond_2(d285,d285_2,d285_1).
sbond_2(d285,d285_9,d285_15).
sbond_2(d286,d286_1,d286_4).
sbond_2(d286,d286_3,d286_6).
sbond_2(d286,d286_4,d286_1).
sbond_2(d286,d286_6,d286_3).
sbond_2(d287,d287_21,d287_26).
sbond_2(d287,d287_26,d287_21).
sbond_2(d288,d288_10,d288_13).
sbond_2(d288,d288_13,d288_10).
sbond_2(d288,d288_14,d288_18).
sbond_2(d288,d288_18,d288_14).
sbond_2(d289,d289_10,d289_2).
sbond_2(d289,d289_2,d289_10).
sbond_2(d29,d29a_14,d29a_16).
sbond_2(d29,d29a_15,d29a_18).
sbond_2(d29,d29a_16,d29a_14).
sbond_2(d29,d29a_16,d29a_17).
sbond_2(d29,d29a_17,d29a_16).
sbond_2(d29,d29a_18,d29a_15).
sbond_2(d29,d29a_18,d29a_19).
sbond_2(d29,d29a_19,d29a_18).
sbond_2(d29,d29b_14,d29b_16).
sbond_2(d29,d29b_15,d29b_18).
sbond_2(d29,d29b_16,d29b_14).
sbond_2(d29,d29b_16,d29b_17).
sbond_2(d29,d29b_17,d29b_16).
sbond_2(d29,d29b_18,d29b_15).
sbond_2(d29,d29b_18,d29b_19).
sbond_2(d29,d29b_19,d29b_18).
sbond_2(d290,d290_11,d290_15).
sbond_2(d290,d290_13,d290_14).
sbond_2(d290,d290_14,d290_13).
sbond_2(d290,d290_15,d290_11).
sbond_2(d291,d291_2,d291_8).
sbond_2(d291,d291_8,d291_2).
sbond_2(d292,d292_12,d292_9).
sbond_2(d292,d292_2,d292_4).
sbond_2(d292,d292_4,d292_2).
sbond_2(d292,d292_9,d292_12).
sbond_2(d295,d295_1,d295_2).
sbond_2(d295,d295_2,d295_1).
sbond_2(d297,d297_163,d297_164).
sbond_2(d297,d297_164,d297_163).
sbond_2(d297,d297_181,d297_182).
sbond_2(d297,d297_182,d297_181).
sbond_2(d3,d3_11,d3_22).
sbond_2(d3,d3_14,d3_21).
sbond_2(d3,d3_21,d3_14).
sbond_2(d3,d3_22,d3_11).
sbond_2(d300,d300_3,d300_7).
sbond_2(d300,d300_7,d300_3).
sbond_2(d301,d301_1,d301_3).
sbond_2(d301,d301_1,d301_5).
sbond_2(d301,d301_3,d301_1).
sbond_2(d301,d301_5,d301_1).
sbond_2(d302,d302_3,d302_7).
sbond_2(d302,d302_7,d302_3).
sbond_2(d303,d303_12,d303_13).
sbond_2(d303,d303_12,d303_14).
sbond_2(d303,d303_13,d303_12).
sbond_2(d303,d303_14,d303_12).
sbond_2(d304,d304a_10,d304a_11).
sbond_2(d304,d304a_11,d304a_10).
sbond_2(d304,d304b_10,d304b_9).
sbond_2(d304,d304b_9,d304b_10).
sbond_2(d308,d308_13,d308_19).
sbond_2(d308,d308_19,d308_13).
sbond_2(d311,d311_28,d311_35).
sbond_2(d311,d311_35,d311_28).
sbond_2(d312,d312_1,d312_16).
sbond_2(d312,d312_11,d312_5).
sbond_2(d312,d312_16,d312_1).
sbond_2(d312,d312_5,d312_11).
sbond_2(d315,d315_25,d315_28).
sbond_2(d315,d315_27,d315_29).
sbond_2(d315,d315_28,d315_25).
sbond_2(d315,d315_29,d315_27).
sbond_2(d318,d318_10,d318_11).
sbond_2(d318,d318_11,d318_10).
sbond_2(d318,d318_24,d318_34).
sbond_2(d318,d318_24,d318_35).
sbond_2(d318,d318_26,d318_36).
sbond_2(d318,d318_26,d318_37).
sbond_2(d318,d318_34,d318_24).
sbond_2(d318,d318_35,d318_24).
sbond_2(d318,d318_36,d318_26).
sbond_2(d318,d318_37,d318_26).
sbond_2(d320,d320_11,d320_14).
sbond_2(d320,d320_13,d320_15).
sbond_2(d320,d320_13,d320_16).
sbond_2(d320,d320_14,d320_11).
sbond_2(d320,d320_15,d320_13).
sbond_2(d320,d320_16,d320_13).
sbond_2(d321,d321_2,d321_3).
sbond_2(d321,d321_3,d321_2).
sbond_2(d322,d322_15,d322_16).
sbond_2(d322,d322_16,d322_15).
sbond_2(d322,d322_29,d322_35).
sbond_2(d322,d322_29,d322_36).
sbond_2(d322,d322_30,d322_33).
sbond_2(d322,d322_30,d322_34).
sbond_2(d322,d322_33,d322_30).
sbond_2(d322,d322_34,d322_30).
sbond_2(d322,d322_35,d322_29).
sbond_2(d322,d322_36,d322_29).
sbond_2(d322,d322_48,d322_59).
sbond_2(d322,d322_48,d322_60).
sbond_2(d322,d322_55,d322_57).
sbond_2(d322,d322_55,d322_58).
sbond_2(d322,d322_57,d322_55).
sbond_2(d322,d322_58,d322_55).
sbond_2(d322,d322_59,d322_48).
sbond_2(d322,d322_60,d322_48).
sbond_2(d323,d323_10,d323_11).
sbond_2(d323,d323_11,d323_10).
sbond_2(d323,d323_33,d323_35).
sbond_2(d323,d323_33,d323_36).
sbond_2(d323,d323_35,d323_33).
sbond_2(d323,d323_36,d323_33).
sbond_2(d324,d324_26,d324_29).
sbond_2(d324,d324_29,d324_26).
sbond_2(d324,d324_30,d324_31).
sbond_2(d324,d324_30,d324_32).
sbond_2(d324,d324_31,d324_30).
sbond_2(d324,d324_32,d324_30).
sbond_2(d324,d324_35,d324_36).
sbond_2(d324,d324_36,d324_35).
sbond_2(d324,d324_51,d324_52).
sbond_2(d324,d324_51,d324_53).
sbond_2(d324,d324_52,d324_51).
sbond_2(d324,d324_53,d324_51).
sbond_2(d326,d326_13,d326_16).
sbond_2(d326,d326_16,d326_13).
sbond_2(d327,d327_12,d327_39).
sbond_2(d327,d327_12,d327_40).
sbond_2(d327,d327_23,d327_24).
sbond_2(d327,d327_24,d327_23).
sbond_2(d327,d327_34,d327_36).
sbond_2(d327,d327_36,d327_34).
sbond_2(d327,d327_39,d327_12).
sbond_2(d327,d327_40,d327_12).
sbond_2(d329,d329_17,d329_23).
sbond_2(d329,d329_17,d329_24).
sbond_2(d329,d329_19,d329_21).
sbond_2(d329,d329_19,d329_22).
sbond_2(d329,d329_21,d329_19).
sbond_2(d329,d329_22,d329_19).
sbond_2(d329,d329_23,d329_17).
sbond_2(d329,d329_24,d329_17).
sbond_2(d329,d329_27,d329_28).
sbond_2(d329,d329_28,d329_27).
sbond_2(d329,d329_55,d329_56).
sbond_2(d329,d329_56,d329_55).
sbond_2(d329,d329_68,d329_83).
sbond_2(d329,d329_68,d329_84).
sbond_2(d329,d329_83,d329_68).
sbond_2(d329,d329_84,d329_68).
sbond_2(d330,d330_19,d330_20).
sbond_2(d330,d330_20,d330_19).
sbond_2(d330,d330_34,d330_36).
sbond_2(d330,d330_34,d330_37).
sbond_2(d330,d330_36,d330_34).
sbond_2(d330,d330_37,d330_34).
sbond_2(d330,d330_44,d330_46).
sbond_2(d330,d330_44,d330_47).
sbond_2(d330,d330_46,d330_44).
sbond_2(d330,d330_47,d330_44).
sbond_2(d330,d330_49,d330_50).
sbond_2(d330,d330_50,d330_49).
sbond_2(d330,d330_64,d330_65).
sbond_2(d330,d330_64,d330_66).
sbond_2(d330,d330_65,d330_64).
sbond_2(d330,d330_66,d330_64).
sbond_2(d330,d330_70,d330_72).
sbond_2(d330,d330_70,d330_73).
sbond_2(d330,d330_72,d330_70).
sbond_2(d330,d330_73,d330_70).
sbond_2(d331,d331_11,d331_12).
sbond_2(d331,d331_12,d331_11).
sbond_2(d331,d331_13,d331_15).
sbond_2(d331,d331_15,d331_13).
sbond_2(d334,d334_10,d334_27).
sbond_2(d334,d334_10,d334_28).
sbond_2(d334,d334_27,d334_10).
sbond_2(d334,d334_28,d334_10).
sbond_2(d335,d335_12,d335_13).
sbond_2(d335,d335_12,d335_14).
sbond_2(d335,d335_13,d335_12).
sbond_2(d335,d335_14,d335_12).
sbond_2(d336,d336_16,d336_17).
sbond_2(d336,d336_16,d336_18).
sbond_2(d336,d336_17,d336_16).
sbond_2(d336,d336_18,d336_16).
sbond_2(d34,d34_23,d34_24).
sbond_2(d34,d34_24,d34_23).
sbond_2(d36,d36a_25,d36a_26).
sbond_2(d36,d36a_26,d36a_25).
sbond_2(d36,d36a_34,d36a_36).
sbond_2(d36,d36a_34,d36a_37).
sbond_2(d36,d36a_36,d36a_34).
sbond_2(d36,d36a_37,d36a_34).
sbond_2(d37,d37_24,d37_31).
sbond_2(d37,d37_30,d37_33).
sbond_2(d37,d37_31,d37_24).
sbond_2(d37,d37_31,d37_32).
sbond_2(d37,d37_32,d37_31).
sbond_2(d37,d37_33,d37_30).
sbond_2(d37,d37_33,d37_34).
sbond_2(d37,d37_34,d37_33).
sbond_2(d38,d38_14,d38_16).
sbond_2(d38,d38_14,d38_17).
sbond_2(d38,d38_15,d38_18).
sbond_2(d38,d38_15,d38_19).
sbond_2(d38,d38_16,d38_14).
sbond_2(d38,d38_17,d38_14).
sbond_2(d38,d38_18,d38_15).
sbond_2(d38,d38_19,d38_15).
sbond_2(d39,d39_15,d39_16).
sbond_2(d39,d39_15,d39_17).
sbond_2(d39,d39_16,d39_15).
sbond_2(d39,d39_17,d39_15).
sbond_2(d40,d40_21,d40_24).
sbond_2(d40,d40_21,d40_25).
sbond_2(d40,d40_24,d40_21).
sbond_2(d40,d40_25,d40_21).
sbond_2(d41,d41_16,d41_18).
sbond_2(d41,d41_16,d41_19).
sbond_2(d41,d41_17,d41_20).
sbond_2(d41,d41_17,d41_21).
sbond_2(d41,d41_18,d41_16).
sbond_2(d41,d41_19,d41_16).
sbond_2(d41,d41_20,d41_17).
sbond_2(d41,d41_21,d41_17).
sbond_2(d43,d43_12,d43_19).
sbond_2(d43,d43_19,d43_12).
sbond_2(d43,d43_20,d43_9).
sbond_2(d43,d43_9,d43_20).
sbond_2(d46,d46_10,d46_11).
sbond_2(d46,d46_10,d46_12).
sbond_2(d46,d46_11,d46_10).
sbond_2(d46,d46_12,d46_10).
sbond_2(d47,d47_28,d47_29).
sbond_2(d47,d47_29,d47_28).
sbond_2(d48,d48_11,d48_16).
sbond_2(d48,d48_16,d48_11).
sbond_2(d49,d49_12,d49_15).
sbond_2(d49,d49_12,d49_16).
sbond_2(d49,d49_15,d49_12).
sbond_2(d49,d49_16,d49_12).
sbond_2(d50,d50_7,d50_8).
sbond_2(d50,d50_7,d50_9).
sbond_2(d50,d50_8,d50_7).
sbond_2(d50,d50_9,d50_7).
sbond_2(d51,d51_1,d51_6).
sbond_2(d51,d51_11,d51_5).
sbond_2(d51,d51_12,d51_2).
sbond_2(d51,d51_2,d51_12).
sbond_2(d51,d51_3,d51_4).
sbond_2(d51,d51_4,d51_3).
sbond_2(d51,d51_5,d51_11).
sbond_2(d51,d51_6,d51_1).
sbond_2(d53,d53_14,d53_9).
sbond_2(d53,d53_9,d53_14).
sbond_2(d54,d54_16,d54_18).
sbond_2(d54,d54_16,d54_19).
sbond_2(d54,d54_18,d54_16).
sbond_2(d54,d54_19,d54_16).
sbond_2(d54,d54_20,d54_25).
sbond_2(d54,d54_25,d54_20).
sbond_2(d55,d55_11,d55_13).
sbond_2(d55,d55_11,d55_14).
sbond_2(d55,d55_13,d55_11).
sbond_2(d55,d55_14,d55_11).
sbond_2(d56,d56_12,d56_13).
sbond_2(d56,d56_12,d56_14).
sbond_2(d56,d56_13,d56_12).
sbond_2(d56,d56_14,d56_12).
sbond_2(d57,d57_12,d57_13).
sbond_2(d57,d57_12,d57_14).
sbond_2(d57,d57_13,d57_12).
sbond_2(d57,d57_14,d57_12).
sbond_2(d58,d58_34,d58_40).
sbond_2(d58,d58_34,d58_41).
sbond_2(d58,d58_37,d58_42).
sbond_2(d58,d58_37,d58_44).
sbond_2(d58,d58_40,d58_34).
sbond_2(d58,d58_41,d58_34).
sbond_2(d58,d58_42,d58_37).
sbond_2(d58,d58_44,d58_37).
sbond_2(d61,d61_11,d61_15).
sbond_2(d61,d61_11,d61_16).
sbond_2(d61,d61_13,d61_17).
sbond_2(d61,d61_15,d61_11).
sbond_2(d61,d61_16,d61_11).
sbond_2(d61,d61_17,d61_13).
sbond_2(d63,d63_11,d63_20).
sbond_2(d63,d63_11,d63_21).
sbond_2(d63,d63_20,d63_11).
sbond_2(d63,d63_21,d63_11).
sbond_2(d65,d65_11,d65_15).
sbond_2(d65,d65_11,d65_16).
sbond_2(d65,d65_12,d65_20).
sbond_2(d65,d65_15,d65_11).
sbond_2(d65,d65_16,d65_11).
sbond_2(d65,d65_20,d65_12).
sbond_2(d66,d66_14,d66_36).
sbond_2(d66,d66_21,d66_23).
sbond_2(d66,d66_23,d66_21).
sbond_2(d66,d66_36,d66_14).
sbond_2(d67,d67_12,d67_17).
sbond_2(d67,d67_17,d67_12).
sbond_2(d67,d67_18,d67_23).
sbond_2(d67,d67_23,d67_18).
sbond_2(d7,d7_20,d7_30).
sbond_2(d7,d7_23,d7_31).
sbond_2(d7,d7_30,d7_20).
sbond_2(d7,d7_31,d7_23).
sbond_2(d71,d71_11,d71_21).
sbond_2(d71,d71_11,d71_22).
sbond_2(d71,d71_13,d71_20).
sbond_2(d71,d71_20,d71_13).
sbond_2(d71,d71_21,d71_11).
sbond_2(d71,d71_22,d71_11).
sbond_2(d72,d72_11,d72_18).
sbond_2(d72,d72_13,d72_14).
sbond_2(d72,d72_13,d72_15).
sbond_2(d72,d72_14,d72_13).
sbond_2(d72,d72_15,d72_13).
sbond_2(d72,d72_18,d72_11).
sbond_2(d73,d73_12,d73_17).
sbond_2(d73,d73_12,d73_18).
sbond_2(d73,d73_17,d73_12).
sbond_2(d73,d73_18,d73_12).
sbond_2(d76,d76_26,d76_27).
sbond_2(d76,d76_27,d76_26).
sbond_2(d76,d76_29,d76_30).
sbond_2(d76,d76_29,d76_31).
sbond_2(d76,d76_30,d76_29).
sbond_2(d76,d76_31,d76_29).
sbond_2(d76,d76_36,d76_40).
sbond_2(d76,d76_36,d76_41).
sbond_2(d76,d76_40,d76_36).
sbond_2(d76,d76_41,d76_36).
sbond_2(d77,d77_21,d77_22).
sbond_2(d77,d77_22,d77_21).
sbond_2(d77,d77_24,d77_31).
sbond_2(d77,d77_25,d77_32).
sbond_2(d77,d77_31,d77_24).
sbond_2(d77,d77_32,d77_25).
sbond_2(d77,d77_46,d77_47).
sbond_2(d77,d77_47,d77_46).
sbond_2(d77,d77_49,d77_50).
sbond_2(d77,d77_50,d77_49).
sbond_2(d77,d77_55,d77_57).
sbond_2(d77,d77_57,d77_55).
sbond_2(d78,d78_25,d78_34).
sbond_2(d78,d78_25,d78_35).
sbond_2(d78,d78_34,d78_25).
sbond_2(d78,d78_35,d78_25).
sbond_2(d8,d8_20,d8_21).
sbond_2(d8,d8_21,d8_20).
sbond_2(d8,d8_29,d8_31).
sbond_2(d8,d8_31,d8_29).
sbond_2(d80,d80_18,d80_19).
sbond_2(d80,d80_18,d80_20).
sbond_2(d80,d80_19,d80_18).
sbond_2(d80,d80_20,d80_18).
sbond_2(d82,d82_27,d82_30).
sbond_2(d82,d82_28,d82_30).
sbond_2(d82,d82_30,d82_27).
sbond_2(d82,d82_30,d82_28).
sbond_2(d89,d89_1,d89_2).
sbond_2(d89,d89_14,d89_19).
sbond_2(d89,d89_16,d89_20).
sbond_2(d89,d89_19,d89_14).
sbond_2(d89,d89_2,d89_1).
sbond_2(d89,d89_20,d89_16).
sbond_2(d91,d91_2,d91_4).
sbond_2(d91,d91_4,d91_2).
sbond_2(d95,d95_13,d95_23).
sbond_2(d95,d95_23,d95_13).
sbond_2(d96,d96_1,d96_2).
sbond_2(d96,d96_2,d96_1).
sbond_2(d97,d97_23,d97_25).
sbond_2(d97,d97_25,d97_23).

sbond_3(d130,d130_15,d130_17).
sbond_3(d130,d130_16,d130_18).
sbond_3(d130,d130_17,d130_15).
sbond_3(d130,d130_18,d130_16).
sbond_3(d262,d262_2,d262_3).
sbond_3(d262,d262_3,d262_2).
sbond_3(d321,d321_3,d321_4).
sbond_3(d321,d321_4,d321_3).
sbond_3(d98,d98_10,d98_14).
sbond_3(d98,d98_13,d98_8).
sbond_3(d98,d98_14,d98_10).
sbond_3(d98,d98_8,d98_13).

sbond_7(d1,d1_1,d1_2).
sbond_7(d1,d1_1,d1_6).
sbond_7(d1,d1_12,d1_13).
sbond_7(d1,d1_12,d1_15).
sbond_7(d1,d1_13,d1_12).
sbond_7(d1,d1_13,d1_18).
sbond_7(d1,d1_15,d1_12).
sbond_7(d1,d1_15,d1_16).
sbond_7(d1,d1_16,d1_15).
sbond_7(d1,d1_16,d1_17).
sbond_7(d1,d1_17,d1_16).
sbond_7(d1,d1_17,d1_18).
sbond_7(d1,d1_18,d1_13).
sbond_7(d1,d1_18,d1_17).
sbond_7(d1,d1_2,d1_1).
sbond_7(d1,d1_2,d1_3).
sbond_7(d1,d1_3,d1_2).
sbond_7(d1,d1_3,d1_4).
sbond_7(d1,d1_4,d1_3).
sbond_7(d1,d1_4,d1_5).
sbond_7(d1,d1_5,d1_4).
sbond_7(d1,d1_5,d1_6).
sbond_7(d1,d1_6,d1_1).
sbond_7(d1,d1_6,d1_5).
sbond_7(d10,d10_1,d10_2).
sbond_7(d10,d10_1,d10_6).
sbond_7(d10,d10_2,d10_1).
sbond_7(d10,d10_2,d10_3).
sbond_7(d10,d10_3,d10_2).
sbond_7(d10,d10_3,d10_4).
sbond_7(d10,d10_4,d10_3).
sbond_7(d10,d10_4,d10_5).
sbond_7(d10,d10_5,d10_4).
sbond_7(d10,d10_5,d10_6).
sbond_7(d10,d10_6,d10_1).
sbond_7(d10,d10_6,d10_5).
sbond_7(d100,d100_1,d100_2).
sbond_7(d100,d100_1,d100_6).
sbond_7(d100,d100_11,d100_12).
sbond_7(d100,d100_11,d100_16).
sbond_7(d100,d100_12,d100_11).
sbond_7(d100,d100_12,d100_13).
sbond_7(d100,d100_13,d100_12).
sbond_7(d100,d100_13,d100_14).
sbond_7(d100,d100_14,d100_13).
sbond_7(d100,d100_14,d100_15).
sbond_7(d100,d100_15,d100_14).
sbond_7(d100,d100_15,d100_16).
sbond_7(d100,d100_16,d100_11).
sbond_7(d100,d100_16,d100_15).
sbond_7(d100,d100_2,d100_1).
sbond_7(d100,d100_2,d100_3).
sbond_7(d100,d100_3,d100_2).
sbond_7(d100,d100_3,d100_4).
sbond_7(d100,d100_4,d100_3).
sbond_7(d100,d100_4,d100_5).
sbond_7(d100,d100_5,d100_4).
sbond_7(d100,d100_5,d100_6).
sbond_7(d100,d100_6,d100_1).
sbond_7(d100,d100_6,d100_5).
sbond_7(d108,d108_1,d108_2).
sbond_7(d108,d108_1,d108_6).
sbond_7(d108,d108_11,d108_12).
sbond_7(d108,d108_11,d108_16).
sbond_7(d108,d108_12,d108_11).
sbond_7(d108,d108_12,d108_13).
sbond_7(d108,d108_13,d108_12).
sbond_7(d108,d108_13,d108_14).
sbond_7(d108,d108_14,d108_13).
sbond_7(d108,d108_14,d108_15).
sbond_7(d108,d108_15,d108_14).
sbond_7(d108,d108_15,d108_16).
sbond_7(d108,d108_16,d108_11).
sbond_7(d108,d108_16,d108_15).
sbond_7(d108,d108_2,d108_1).
sbond_7(d108,d108_2,d108_3).
sbond_7(d108,d108_3,d108_2).
sbond_7(d108,d108_3,d108_4).
sbond_7(d108,d108_4,d108_3).
sbond_7(d108,d108_4,d108_5).
sbond_7(d108,d108_5,d108_4).
sbond_7(d108,d108_5,d108_6).
sbond_7(d108,d108_6,d108_1).
sbond_7(d108,d108_6,d108_5).
sbond_7(d109,d109_1,d109_2).
sbond_7(d109,d109_1,d109_5).
sbond_7(d109,d109_10,d109_11).
sbond_7(d109,d109_10,d109_9).
sbond_7(d109,d109_11,d109_10).
sbond_7(d109,d109_11,d109_6).
sbond_7(d109,d109_2,d109_1).
sbond_7(d109,d109_2,d109_3).
sbond_7(d109,d109_3,d109_2).
sbond_7(d109,d109_3,d109_4).
sbond_7(d109,d109_4,d109_3).
sbond_7(d109,d109_4,d109_5).
sbond_7(d109,d109_5,d109_1).
sbond_7(d109,d109_5,d109_4).
sbond_7(d109,d109_6,d109_11).
sbond_7(d109,d109_6,d109_7).
sbond_7(d109,d109_7,d109_6).
sbond_7(d109,d109_7,d109_8).
sbond_7(d109,d109_8,d109_7).
sbond_7(d109,d109_8,d109_9).
sbond_7(d109,d109_9,d109_10).
sbond_7(d109,d109_9,d109_8).
sbond_7(d11,d11_1,d11_2).
sbond_7(d11,d11_1,d11_6).
sbond_7(d11,d11_2,d11_1).
sbond_7(d11,d11_2,d11_3).
sbond_7(d11,d11_3,d11_2).
sbond_7(d11,d11_3,d11_4).
sbond_7(d11,d11_4,d11_3).
sbond_7(d11,d11_4,d11_5).
sbond_7(d11,d11_5,d11_4).
sbond_7(d11,d11_5,d11_6).
sbond_7(d11,d11_6,d11_1).
sbond_7(d11,d11_6,d11_5).
sbond_7(d110,d110_1,d110_2).
sbond_7(d110,d110_1,d110_6).
sbond_7(d110,d110_2,d110_1).
sbond_7(d110,d110_2,d110_3).
sbond_7(d110,d110_3,d110_2).
sbond_7(d110,d110_3,d110_4).
sbond_7(d110,d110_4,d110_3).
sbond_7(d110,d110_4,d110_5).
sbond_7(d110,d110_5,d110_4).
sbond_7(d110,d110_5,d110_6).
sbond_7(d110,d110_6,d110_1).
sbond_7(d110,d110_6,d110_5).
sbond_7(d111,d111_1,d111_2).
sbond_7(d111,d111_1,d111_6).
sbond_7(d111,d111_10,d111_11).
sbond_7(d111,d111_10,d111_15).
sbond_7(d111,d111_11,d111_10).
sbond_7(d111,d111_11,d111_12).
sbond_7(d111,d111_12,d111_11).
sbond_7(d111,d111_12,d111_13).
sbond_7(d111,d111_13,d111_12).
sbond_7(d111,d111_13,d111_14).
sbond_7(d111,d111_14,d111_13).
sbond_7(d111,d111_14,d111_15).
sbond_7(d111,d111_15,d111_10).
sbond_7(d111,d111_15,d111_14).
sbond_7(d111,d111_2,d111_1).
sbond_7(d111,d111_2,d111_3).
sbond_7(d111,d111_3,d111_2).
sbond_7(d111,d111_3,d111_4).
sbond_7(d111,d111_4,d111_3).
sbond_7(d111,d111_4,d111_5).
sbond_7(d111,d111_5,d111_4).
sbond_7(d111,d111_5,d111_6).
sbond_7(d111,d111_6,d111_1).
sbond_7(d111,d111_6,d111_5).
sbond_7(d113,d113_1,d113_2).
sbond_7(d113,d113_1,d113_6).
sbond_7(d113,d113_11,d113_12).
sbond_7(d113,d113_11,d113_16).
sbond_7(d113,d113_12,d113_11).
sbond_7(d113,d113_12,d113_13).
sbond_7(d113,d113_13,d113_12).
sbond_7(d113,d113_13,d113_14).
sbond_7(d113,d113_14,d113_13).
sbond_7(d113,d113_14,d113_15).
sbond_7(d113,d113_15,d113_14).
sbond_7(d113,d113_15,d113_16).
sbond_7(d113,d113_16,d113_11).
sbond_7(d113,d113_16,d113_15).
sbond_7(d113,d113_2,d113_1).
sbond_7(d113,d113_2,d113_3).
sbond_7(d113,d113_3,d113_2).
sbond_7(d113,d113_3,d113_4).
sbond_7(d113,d113_4,d113_3).
sbond_7(d113,d113_4,d113_5).
sbond_7(d113,d113_5,d113_4).
sbond_7(d113,d113_5,d113_6).
sbond_7(d113,d113_6,d113_1).
sbond_7(d113,d113_6,d113_5).
sbond_7(d114,d114_1,d114_2).
sbond_7(d114,d114_1,d114_6).
sbond_7(d114,d114_2,d114_1).
sbond_7(d114,d114_2,d114_3).
sbond_7(d114,d114_3,d114_2).
sbond_7(d114,d114_3,d114_4).
sbond_7(d114,d114_4,d114_3).
sbond_7(d114,d114_4,d114_5).
sbond_7(d114,d114_5,d114_4).
sbond_7(d114,d114_5,d114_6).
sbond_7(d114,d114_6,d114_1).
sbond_7(d114,d114_6,d114_5).
sbond_7(d116,d116_1,d116_2).
sbond_7(d116,d116_1,d116_6).
sbond_7(d116,d116_11,d116_12).
sbond_7(d116,d116_11,d116_16).
sbond_7(d116,d116_12,d116_11).
sbond_7(d116,d116_12,d116_13).
sbond_7(d116,d116_13,d116_12).
sbond_7(d116,d116_13,d116_14).
sbond_7(d116,d116_14,d116_13).
sbond_7(d116,d116_14,d116_15).
sbond_7(d116,d116_15,d116_14).
sbond_7(d116,d116_15,d116_16).
sbond_7(d116,d116_16,d116_11).
sbond_7(d116,d116_16,d116_15).
sbond_7(d116,d116_2,d116_1).
sbond_7(d116,d116_2,d116_3).
sbond_7(d116,d116_3,d116_2).
sbond_7(d116,d116_3,d116_4).
sbond_7(d116,d116_4,d116_3).
sbond_7(d116,d116_4,d116_5).
sbond_7(d116,d116_5,d116_4).
sbond_7(d116,d116_5,d116_6).
sbond_7(d116,d116_6,d116_1).
sbond_7(d116,d116_6,d116_5).
sbond_7(d118,d118_1,d118_2).
sbond_7(d118,d118_1,d118_6).
sbond_7(d118,d118_10,d118_11).
sbond_7(d118,d118_10,d118_9).
sbond_7(d118,d118_11,d118_10).
sbond_7(d118,d118_11,d118_12).
sbond_7(d118,d118_12,d118_11).
sbond_7(d118,d118_12,d118_7).
sbond_7(d118,d118_2,d118_1).
sbond_7(d118,d118_2,d118_3).
sbond_7(d118,d118_3,d118_2).
sbond_7(d118,d118_3,d118_4).
sbond_7(d118,d118_4,d118_3).
sbond_7(d118,d118_4,d118_5).
sbond_7(d118,d118_5,d118_4).
sbond_7(d118,d118_5,d118_6).
sbond_7(d118,d118_6,d118_1).
sbond_7(d118,d118_6,d118_5).
sbond_7(d118,d118_7,d118_12).
sbond_7(d118,d118_7,d118_8).
sbond_7(d118,d118_8,d118_7).
sbond_7(d118,d118_8,d118_9).
sbond_7(d118,d118_9,d118_10).
sbond_7(d118,d118_9,d118_8).
sbond_7(d12,d12_1,d12_2).
sbond_7(d12,d12_1,d12_6).
sbond_7(d12,d12_2,d12_1).
sbond_7(d12,d12_2,d12_3).
sbond_7(d12,d12_3,d12_2).
sbond_7(d12,d12_3,d12_4).
sbond_7(d12,d12_4,d12_3).
sbond_7(d12,d12_4,d12_5).
sbond_7(d12,d12_5,d12_4).
sbond_7(d12,d12_5,d12_6).
sbond_7(d12,d12_6,d12_1).
sbond_7(d12,d12_6,d12_5).
sbond_7(d120,d120_1,d120_2).
sbond_7(d120,d120_1,d120_6).
sbond_7(d120,d120_2,d120_1).
sbond_7(d120,d120_2,d120_3).
sbond_7(d120,d120_3,d120_2).
sbond_7(d120,d120_3,d120_4).
sbond_7(d120,d120_4,d120_3).
sbond_7(d120,d120_4,d120_5).
sbond_7(d120,d120_5,d120_4).
sbond_7(d120,d120_5,d120_6).
sbond_7(d120,d120_6,d120_1).
sbond_7(d120,d120_6,d120_5).
sbond_7(d122,d122_1,d122_2).
sbond_7(d122,d122_1,d122_6).
sbond_7(d122,d122_11,d122_12).
sbond_7(d122,d122_11,d122_16).
sbond_7(d122,d122_12,d122_11).
sbond_7(d122,d122_12,d122_13).
sbond_7(d122,d122_13,d122_12).
sbond_7(d122,d122_13,d122_14).
sbond_7(d122,d122_14,d122_13).
sbond_7(d122,d122_14,d122_15).
sbond_7(d122,d122_15,d122_14).
sbond_7(d122,d122_15,d122_16).
sbond_7(d122,d122_16,d122_11).
sbond_7(d122,d122_16,d122_15).
sbond_7(d122,d122_2,d122_1).
sbond_7(d122,d122_2,d122_3).
sbond_7(d122,d122_3,d122_2).
sbond_7(d122,d122_3,d122_4).
sbond_7(d122,d122_4,d122_3).
sbond_7(d122,d122_4,d122_5).
sbond_7(d122,d122_5,d122_4).
sbond_7(d122,d122_5,d122_6).
sbond_7(d122,d122_6,d122_1).
sbond_7(d122,d122_6,d122_5).
sbond_7(d124,d124_10,d124_11).
sbond_7(d124,d124_10,d124_9).
sbond_7(d124,d124_11,d124_10).
sbond_7(d124,d124_11,d124_12).
sbond_7(d124,d124_12,d124_11).
sbond_7(d124,d124_12,d124_13).
sbond_7(d124,d124_13,d124_12).
sbond_7(d124,d124_13,d124_14).
sbond_7(d124,d124_14,d124_13).
sbond_7(d124,d124_14,d124_9).
sbond_7(d124,d124_9,d124_10).
sbond_7(d124,d124_9,d124_14).
sbond_7(d125,d125_1,d125_2).
sbond_7(d125,d125_1,d125_6).
sbond_7(d125,d125_11,d125_12).
sbond_7(d125,d125_11,d125_16).
sbond_7(d125,d125_12,d125_11).
sbond_7(d125,d125_12,d125_13).
sbond_7(d125,d125_13,d125_12).
sbond_7(d125,d125_13,d125_14).
sbond_7(d125,d125_14,d125_13).
sbond_7(d125,d125_14,d125_15).
sbond_7(d125,d125_15,d125_14).
sbond_7(d125,d125_15,d125_16).
sbond_7(d125,d125_16,d125_11).
sbond_7(d125,d125_16,d125_15).
sbond_7(d125,d125_2,d125_1).
sbond_7(d125,d125_2,d125_3).
sbond_7(d125,d125_3,d125_2).
sbond_7(d125,d125_3,d125_4).
sbond_7(d125,d125_4,d125_3).
sbond_7(d125,d125_4,d125_5).
sbond_7(d125,d125_5,d125_4).
sbond_7(d125,d125_5,d125_6).
sbond_7(d125,d125_6,d125_1).
sbond_7(d125,d125_6,d125_5).
sbond_7(d127,d127_1,d127_2).
sbond_7(d127,d127_1,d127_6).
sbond_7(d127,d127_2,d127_1).
sbond_7(d127,d127_2,d127_3).
sbond_7(d127,d127_3,d127_2).
sbond_7(d127,d127_3,d127_4).
sbond_7(d127,d127_4,d127_3).
sbond_7(d127,d127_4,d127_5).
sbond_7(d127,d127_5,d127_4).
sbond_7(d127,d127_5,d127_6).
sbond_7(d127,d127_6,d127_1).
sbond_7(d127,d127_6,d127_5).
sbond_7(d13,d13_1,d13_2).
sbond_7(d13,d13_1,d13_6).
sbond_7(d13,d13_2,d13_1).
sbond_7(d13,d13_2,d13_3).
sbond_7(d13,d13_3,d13_2).
sbond_7(d13,d13_3,d13_4).
sbond_7(d13,d13_4,d13_3).
sbond_7(d13,d13_4,d13_5).
sbond_7(d13,d13_5,d13_4).
sbond_7(d13,d13_5,d13_6).
sbond_7(d13,d13_6,d13_1).
sbond_7(d13,d13_6,d13_5).
sbond_7(d130,d130_1,d130_2).
sbond_7(d130,d130_1,d130_6).
sbond_7(d130,d130_2,d130_1).
sbond_7(d130,d130_2,d130_3).
sbond_7(d130,d130_3,d130_2).
sbond_7(d130,d130_3,d130_4).
sbond_7(d130,d130_4,d130_3).
sbond_7(d130,d130_4,d130_5).
sbond_7(d130,d130_5,d130_4).
sbond_7(d130,d130_5,d130_6).
sbond_7(d130,d130_6,d130_1).
sbond_7(d130,d130_6,d130_5).
sbond_7(d131,d131_1,d131_2).
sbond_7(d131,d131_1,d131_6).
sbond_7(d131,d131_2,d131_1).
sbond_7(d131,d131_2,d131_3).
sbond_7(d131,d131_3,d131_2).
sbond_7(d131,d131_3,d131_4).
sbond_7(d131,d131_4,d131_3).
sbond_7(d131,d131_4,d131_5).
sbond_7(d131,d131_5,d131_4).
sbond_7(d131,d131_5,d131_6).
sbond_7(d131,d131_6,d131_1).
sbond_7(d131,d131_6,d131_5).
sbond_7(d132,d132_1,d132_2).
sbond_7(d132,d132_1,d132_6).
sbond_7(d132,d132_11,d132_12).
sbond_7(d132,d132_11,d132_16).
sbond_7(d132,d132_12,d132_11).
sbond_7(d132,d132_12,d132_13).
sbond_7(d132,d132_13,d132_12).
sbond_7(d132,d132_13,d132_14).
sbond_7(d132,d132_14,d132_13).
sbond_7(d132,d132_14,d132_15).
sbond_7(d132,d132_15,d132_14).
sbond_7(d132,d132_15,d132_16).
sbond_7(d132,d132_16,d132_11).
sbond_7(d132,d132_16,d132_15).
sbond_7(d132,d132_2,d132_1).
sbond_7(d132,d132_2,d132_3).
sbond_7(d132,d132_3,d132_2).
sbond_7(d132,d132_3,d132_4).
sbond_7(d132,d132_4,d132_3).
sbond_7(d132,d132_4,d132_5).
sbond_7(d132,d132_5,d132_4).
sbond_7(d132,d132_5,d132_6).
sbond_7(d132,d132_6,d132_1).
sbond_7(d132,d132_6,d132_5).
sbond_7(d133,d133_1,d133_2).
sbond_7(d133,d133_1,d133_6).
sbond_7(d133,d133_2,d133_1).
sbond_7(d133,d133_2,d133_3).
sbond_7(d133,d133_3,d133_2).
sbond_7(d133,d133_3,d133_4).
sbond_7(d133,d133_4,d133_3).
sbond_7(d133,d133_4,d133_5).
sbond_7(d133,d133_5,d133_4).
sbond_7(d133,d133_5,d133_6).
sbond_7(d133,d133_6,d133_1).
sbond_7(d133,d133_6,d133_5).
sbond_7(d134,d134_1,d134_2).
sbond_7(d134,d134_1,d134_6).
sbond_7(d134,d134_2,d134_1).
sbond_7(d134,d134_2,d134_3).
sbond_7(d134,d134_3,d134_2).
sbond_7(d134,d134_3,d134_4).
sbond_7(d134,d134_4,d134_3).
sbond_7(d134,d134_4,d134_5).
sbond_7(d134,d134_5,d134_4).
sbond_7(d134,d134_5,d134_6).
sbond_7(d134,d134_6,d134_1).
sbond_7(d134,d134_6,d134_5).
sbond_7(d135,d135_1,d135_2).
sbond_7(d135,d135_1,d135_6).
sbond_7(d135,d135_2,d135_1).
sbond_7(d135,d135_2,d135_3).
sbond_7(d135,d135_3,d135_2).
sbond_7(d135,d135_3,d135_4).
sbond_7(d135,d135_4,d135_3).
sbond_7(d135,d135_4,d135_5).
sbond_7(d135,d135_5,d135_4).
sbond_7(d135,d135_5,d135_6).
sbond_7(d135,d135_6,d135_1).
sbond_7(d135,d135_6,d135_5).
sbond_7(d137,d137_1,d137_2).
sbond_7(d137,d137_1,d137_6).
sbond_7(d137,d137_10,d137_15).
sbond_7(d137,d137_10,d137_20).
sbond_7(d137,d137_15,d137_10).
sbond_7(d137,d137_15,d137_4).
sbond_7(d137,d137_2,d137_1).
sbond_7(d137,d137_2,d137_3).
sbond_7(d137,d137_20,d137_10).
sbond_7(d137,d137_20,d137_3).
sbond_7(d137,d137_3,d137_2).
sbond_7(d137,d137_3,d137_20).
sbond_7(d137,d137_3,d137_4).
sbond_7(d137,d137_4,d137_15).
sbond_7(d137,d137_4,d137_3).
sbond_7(d137,d137_4,d137_5).
sbond_7(d137,d137_5,d137_4).
sbond_7(d137,d137_5,d137_6).
sbond_7(d137,d137_6,d137_1).
sbond_7(d137,d137_6,d137_5).
sbond_7(d137,d137_60,d137_61).
sbond_7(d137,d137_60,d137_65).
sbond_7(d137,d137_61,d137_60).
sbond_7(d137,d137_61,d137_62).
sbond_7(d137,d137_62,d137_61).
sbond_7(d137,d137_62,d137_63).
sbond_7(d137,d137_63,d137_62).
sbond_7(d137,d137_63,d137_64).
sbond_7(d137,d137_64,d137_63).
sbond_7(d137,d137_64,d137_65).
sbond_7(d137,d137_65,d137_60).
sbond_7(d137,d137_65,d137_64).
sbond_7(d138,d138_1,d138_2).
sbond_7(d138,d138_1,d138_6).
sbond_7(d138,d138_2,d138_1).
sbond_7(d138,d138_2,d138_3).
sbond_7(d138,d138_3,d138_2).
sbond_7(d138,d138_3,d138_4).
sbond_7(d138,d138_4,d138_3).
sbond_7(d138,d138_4,d138_5).
sbond_7(d138,d138_5,d138_4).
sbond_7(d138,d138_5,d138_6).
sbond_7(d138,d138_6,d138_1).
sbond_7(d138,d138_6,d138_5).
sbond_7(d14,d14_1,d14_2).
sbond_7(d14,d14_1,d14_6).
sbond_7(d14,d14_14,d14_15).
sbond_7(d14,d14_14,d14_19).
sbond_7(d14,d14_15,d14_14).
sbond_7(d14,d14_15,d14_16).
sbond_7(d14,d14_16,d14_15).
sbond_7(d14,d14_16,d14_17).
sbond_7(d14,d14_17,d14_16).
sbond_7(d14,d14_17,d14_18).
sbond_7(d14,d14_18,d14_17).
sbond_7(d14,d14_18,d14_19).
sbond_7(d14,d14_19,d14_14).
sbond_7(d14,d14_19,d14_18).
sbond_7(d14,d14_2,d14_1).
sbond_7(d14,d14_2,d14_3).
sbond_7(d14,d14_3,d14_2).
sbond_7(d14,d14_3,d14_4).
sbond_7(d14,d14_4,d14_3).
sbond_7(d14,d14_4,d14_5).
sbond_7(d14,d14_5,d14_4).
sbond_7(d14,d14_5,d14_6).
sbond_7(d14,d14_6,d14_1).
sbond_7(d14,d14_6,d14_5).
sbond_7(d140,d140_1,d140_2).
sbond_7(d140,d140_1,d140_6).
sbond_7(d140,d140_2,d140_1).
sbond_7(d140,d140_2,d140_3).
sbond_7(d140,d140_3,d140_2).
sbond_7(d140,d140_3,d140_4).
sbond_7(d140,d140_4,d140_3).
sbond_7(d140,d140_4,d140_5).
sbond_7(d140,d140_5,d140_4).
sbond_7(d140,d140_5,d140_6).
sbond_7(d140,d140_6,d140_1).
sbond_7(d140,d140_6,d140_5).
sbond_7(d141,d141_1,d141_2).
sbond_7(d141,d141_1,d141_6).
sbond_7(d141,d141_2,d141_1).
sbond_7(d141,d141_2,d141_3).
sbond_7(d141,d141_3,d141_2).
sbond_7(d141,d141_3,d141_4).
sbond_7(d141,d141_4,d141_3).
sbond_7(d141,d141_4,d141_5).
sbond_7(d141,d141_5,d141_4).
sbond_7(d141,d141_5,d141_6).
sbond_7(d141,d141_6,d141_1).
sbond_7(d141,d141_6,d141_5).
sbond_7(d142,d142_1,d142_2).
sbond_7(d142,d142_1,d142_6).
sbond_7(d142,d142_11,d142_12).
sbond_7(d142,d142_11,d142_3).
sbond_7(d142,d142_12,d142_11).
sbond_7(d142,d142_12,d142_13).
sbond_7(d142,d142_13,d142_12).
sbond_7(d142,d142_13,d142_4).
sbond_7(d142,d142_2,d142_1).
sbond_7(d142,d142_2,d142_3).
sbond_7(d142,d142_3,d142_11).
sbond_7(d142,d142_3,d142_2).
sbond_7(d142,d142_3,d142_4).
sbond_7(d142,d142_4,d142_13).
sbond_7(d142,d142_4,d142_3).
sbond_7(d142,d142_4,d142_5).
sbond_7(d142,d142_5,d142_4).
sbond_7(d142,d142_5,d142_6).
sbond_7(d142,d142_6,d142_1).
sbond_7(d142,d142_6,d142_5).
sbond_7(d143,d143_1,d143_2).
sbond_7(d143,d143_1,d143_6).
sbond_7(d143,d143_2,d143_1).
sbond_7(d143,d143_2,d143_3).
sbond_7(d143,d143_3,d143_2).
sbond_7(d143,d143_3,d143_4).
sbond_7(d143,d143_4,d143_3).
sbond_7(d143,d143_4,d143_5).
sbond_7(d143,d143_5,d143_4).
sbond_7(d143,d143_5,d143_6).
sbond_7(d143,d143_6,d143_1).
sbond_7(d143,d143_6,d143_5).
sbond_7(d145,d145_1,d145_2).
sbond_7(d145,d145_1,d145_6).
sbond_7(d145,d145_2,d145_1).
sbond_7(d145,d145_2,d145_3).
sbond_7(d145,d145_3,d145_2).
sbond_7(d145,d145_3,d145_4).
sbond_7(d145,d145_31,d145_34).
sbond_7(d145,d145_31,d145_38).
sbond_7(d145,d145_34,d145_31).
sbond_7(d145,d145_34,d145_35).
sbond_7(d145,d145_35,d145_34).
sbond_7(d145,d145_35,d145_36).
sbond_7(d145,d145_36,d145_35).
sbond_7(d145,d145_36,d145_37).
sbond_7(d145,d145_37,d145_36).
sbond_7(d145,d145_37,d145_38).
sbond_7(d145,d145_38,d145_31).
sbond_7(d145,d145_38,d145_37).
sbond_7(d145,d145_4,d145_3).
sbond_7(d145,d145_4,d145_5).
sbond_7(d145,d145_5,d145_4).
sbond_7(d145,d145_5,d145_6).
sbond_7(d145,d145_6,d145_1).
sbond_7(d145,d145_6,d145_5).
sbond_7(d146,d146_1,d146_2).
sbond_7(d146,d146_1,d146_6).
sbond_7(d146,d146_2,d146_1).
sbond_7(d146,d146_2,d146_3).
sbond_7(d146,d146_3,d146_2).
sbond_7(d146,d146_3,d146_4).
sbond_7(d146,d146_4,d146_3).
sbond_7(d146,d146_4,d146_5).
sbond_7(d146,d146_5,d146_4).
sbond_7(d146,d146_5,d146_6).
sbond_7(d146,d146_6,d146_1).
sbond_7(d146,d146_6,d146_5).
sbond_7(d148,d148_1,d148_2).
sbond_7(d148,d148_1,d148_6).
sbond_7(d148,d148_2,d148_1).
sbond_7(d148,d148_2,d148_3).
sbond_7(d148,d148_3,d148_2).
sbond_7(d148,d148_3,d148_4).
sbond_7(d148,d148_4,d148_3).
sbond_7(d148,d148_4,d148_5).
sbond_7(d148,d148_5,d148_4).
sbond_7(d148,d148_5,d148_6).
sbond_7(d148,d148_6,d148_1).
sbond_7(d148,d148_6,d148_5).
sbond_7(d149,d149_1,d149_2).
sbond_7(d149,d149_1,d149_6).
sbond_7(d149,d149_13,d149_14).
sbond_7(d149,d149_13,d149_18).
sbond_7(d149,d149_14,d149_13).
sbond_7(d149,d149_14,d149_15).
sbond_7(d149,d149_15,d149_14).
sbond_7(d149,d149_15,d149_16).
sbond_7(d149,d149_16,d149_15).
sbond_7(d149,d149_16,d149_17).
sbond_7(d149,d149_17,d149_16).
sbond_7(d149,d149_17,d149_18).
sbond_7(d149,d149_18,d149_13).
sbond_7(d149,d149_18,d149_17).
sbond_7(d149,d149_2,d149_1).
sbond_7(d149,d149_2,d149_3).
sbond_7(d149,d149_3,d149_2).
sbond_7(d149,d149_3,d149_4).
sbond_7(d149,d149_4,d149_3).
sbond_7(d149,d149_4,d149_5).
sbond_7(d149,d149_5,d149_4).
sbond_7(d149,d149_5,d149_6).
sbond_7(d149,d149_6,d149_1).
sbond_7(d149,d149_6,d149_5).
sbond_7(d15,d15_1,d15_2).
sbond_7(d15,d15_1,d15_6).
sbond_7(d15,d15_12,d15_15).
sbond_7(d15,d15_12,d15_19).
sbond_7(d15,d15_15,d15_12).
sbond_7(d15,d15_15,d15_16).
sbond_7(d15,d15_16,d15_15).
sbond_7(d15,d15_16,d15_17).
sbond_7(d15,d15_17,d15_16).
sbond_7(d15,d15_17,d15_18).
sbond_7(d15,d15_18,d15_17).
sbond_7(d15,d15_18,d15_19).
sbond_7(d15,d15_19,d15_12).
sbond_7(d15,d15_19,d15_18).
sbond_7(d15,d15_2,d15_1).
sbond_7(d15,d15_2,d15_3).
sbond_7(d15,d15_3,d15_2).
sbond_7(d15,d15_3,d15_4).
sbond_7(d15,d15_4,d15_3).
sbond_7(d15,d15_4,d15_5).
sbond_7(d15,d15_5,d15_4).
sbond_7(d15,d15_5,d15_6).
sbond_7(d15,d15_6,d15_1).
sbond_7(d15,d15_6,d15_5).
sbond_7(d150,d150_1,d150_2).
sbond_7(d150,d150_1,d150_6).
sbond_7(d150,d150_2,d150_1).
sbond_7(d150,d150_2,d150_3).
sbond_7(d150,d150_3,d150_2).
sbond_7(d150,d150_3,d150_4).
sbond_7(d150,d150_4,d150_3).
sbond_7(d150,d150_4,d150_5).
sbond_7(d150,d150_5,d150_4).
sbond_7(d150,d150_5,d150_6).
sbond_7(d150,d150_6,d150_1).
sbond_7(d150,d150_6,d150_5).
sbond_7(d151,d151_1,d151_2).
sbond_7(d151,d151_1,d151_6).
sbond_7(d151,d151_2,d151_1).
sbond_7(d151,d151_2,d151_3).
sbond_7(d151,d151_3,d151_2).
sbond_7(d151,d151_3,d151_4).
sbond_7(d151,d151_4,d151_3).
sbond_7(d151,d151_4,d151_5).
sbond_7(d151,d151_5,d151_4).
sbond_7(d151,d151_5,d151_6).
sbond_7(d151,d151_6,d151_1).
sbond_7(d151,d151_6,d151_5).
sbond_7(d152,d152_1,d152_2).
sbond_7(d152,d152_1,d152_6).
sbond_7(d152,d152_2,d152_1).
sbond_7(d152,d152_2,d152_3).
sbond_7(d152,d152_3,d152_2).
sbond_7(d152,d152_3,d152_4).
sbond_7(d152,d152_4,d152_3).
sbond_7(d152,d152_4,d152_5).
sbond_7(d152,d152_5,d152_4).
sbond_7(d152,d152_5,d152_6).
sbond_7(d152,d152_6,d152_1).
sbond_7(d152,d152_6,d152_5).
sbond_7(d153,d153_1,d153_2).
sbond_7(d153,d153_1,d153_6).
sbond_7(d153,d153_2,d153_1).
sbond_7(d153,d153_2,d153_3).
sbond_7(d153,d153_3,d153_2).
sbond_7(d153,d153_3,d153_4).
sbond_7(d153,d153_4,d153_3).
sbond_7(d153,d153_4,d153_5).
sbond_7(d153,d153_5,d153_4).
sbond_7(d153,d153_5,d153_6).
sbond_7(d153,d153_6,d153_1).
sbond_7(d153,d153_6,d153_5).
sbond_7(d154,d154_1,d154_2).
sbond_7(d154,d154_1,d154_6).
sbond_7(d154,d154_2,d154_1).
sbond_7(d154,d154_2,d154_3).
sbond_7(d154,d154_3,d154_2).
sbond_7(d154,d154_3,d154_4).
sbond_7(d154,d154_4,d154_3).
sbond_7(d154,d154_4,d154_5).
sbond_7(d154,d154_5,d154_4).
sbond_7(d154,d154_5,d154_6).
sbond_7(d154,d154_6,d154_1).
sbond_7(d154,d154_6,d154_5).
sbond_7(d155,d155_1,d155_2).
sbond_7(d155,d155_1,d155_6).
sbond_7(d155,d155_2,d155_1).
sbond_7(d155,d155_2,d155_3).
sbond_7(d155,d155_3,d155_2).
sbond_7(d155,d155_3,d155_4).
sbond_7(d155,d155_4,d155_3).
sbond_7(d155,d155_4,d155_5).
sbond_7(d155,d155_5,d155_4).
sbond_7(d155,d155_5,d155_6).
sbond_7(d155,d155_6,d155_1).
sbond_7(d155,d155_6,d155_5).
sbond_7(d156,d156_1,d156_2).
sbond_7(d156,d156_1,d156_6).
sbond_7(d156,d156_18,d156_20).
sbond_7(d156,d156_18,d156_24).
sbond_7(d156,d156_2,d156_1).
sbond_7(d156,d156_2,d156_3).
sbond_7(d156,d156_20,d156_18).
sbond_7(d156,d156_20,d156_21).
sbond_7(d156,d156_21,d156_20).
sbond_7(d156,d156_21,d156_22).
sbond_7(d156,d156_22,d156_21).
sbond_7(d156,d156_22,d156_23).
sbond_7(d156,d156_23,d156_22).
sbond_7(d156,d156_23,d156_24).
sbond_7(d156,d156_24,d156_18).
sbond_7(d156,d156_24,d156_23).
sbond_7(d156,d156_3,d156_2).
sbond_7(d156,d156_3,d156_4).
sbond_7(d156,d156_4,d156_3).
sbond_7(d156,d156_4,d156_5).
sbond_7(d156,d156_5,d156_4).
sbond_7(d156,d156_5,d156_6).
sbond_7(d156,d156_6,d156_1).
sbond_7(d156,d156_6,d156_5).
sbond_7(d157,d157_1,d157_2).
sbond_7(d157,d157_1,d157_6).
sbond_7(d157,d157_12,d157_13).
sbond_7(d157,d157_12,d157_17).
sbond_7(d157,d157_13,d157_12).
sbond_7(d157,d157_13,d157_14).
sbond_7(d157,d157_14,d157_13).
sbond_7(d157,d157_14,d157_15).
sbond_7(d157,d157_15,d157_14).
sbond_7(d157,d157_15,d157_16).
sbond_7(d157,d157_16,d157_15).
sbond_7(d157,d157_16,d157_17).
sbond_7(d157,d157_17,d157_12).
sbond_7(d157,d157_17,d157_16).
sbond_7(d157,d157_2,d157_1).
sbond_7(d157,d157_2,d157_3).
sbond_7(d157,d157_3,d157_2).
sbond_7(d157,d157_3,d157_4).
sbond_7(d157,d157_4,d157_3).
sbond_7(d157,d157_4,d157_5).
sbond_7(d157,d157_5,d157_4).
sbond_7(d157,d157_5,d157_6).
sbond_7(d157,d157_6,d157_1).
sbond_7(d157,d157_6,d157_5).
sbond_7(d159,d159_1,d159_2).
sbond_7(d159,d159_1,d159_6).
sbond_7(d159,d159_2,d159_1).
sbond_7(d159,d159_2,d159_3).
sbond_7(d159,d159_3,d159_2).
sbond_7(d159,d159_3,d159_4).
sbond_7(d159,d159_4,d159_3).
sbond_7(d159,d159_4,d159_5).
sbond_7(d159,d159_5,d159_4).
sbond_7(d159,d159_5,d159_6).
sbond_7(d159,d159_6,d159_1).
sbond_7(d159,d159_6,d159_5).
sbond_7(d16,d16_1,d16_2).
sbond_7(d16,d16_1,d16_6).
sbond_7(d16,d16_12,d16_13).
sbond_7(d16,d16_12,d16_15).
sbond_7(d16,d16_13,d16_12).
sbond_7(d16,d16_13,d16_18).
sbond_7(d16,d16_15,d16_12).
sbond_7(d16,d16_15,d16_16).
sbond_7(d16,d16_16,d16_15).
sbond_7(d16,d16_16,d16_17).
sbond_7(d16,d16_17,d16_16).
sbond_7(d16,d16_17,d16_18).
sbond_7(d16,d16_18,d16_13).
sbond_7(d16,d16_18,d16_17).
sbond_7(d16,d16_2,d16_1).
sbond_7(d16,d16_2,d16_3).
sbond_7(d16,d16_3,d16_2).
sbond_7(d16,d16_3,d16_4).
sbond_7(d16,d16_4,d16_3).
sbond_7(d16,d16_4,d16_5).
sbond_7(d16,d16_5,d16_4).
sbond_7(d16,d16_5,d16_6).
sbond_7(d16,d16_6,d16_1).
sbond_7(d16,d16_6,d16_5).
sbond_7(d161,d161_1,d161_2).
sbond_7(d161,d161_1,d161_6).
sbond_7(d161,d161_2,d161_1).
sbond_7(d161,d161_2,d161_3).
sbond_7(d161,d161_3,d161_2).
sbond_7(d161,d161_3,d161_4).
sbond_7(d161,d161_4,d161_3).
sbond_7(d161,d161_4,d161_5).
sbond_7(d161,d161_5,d161_4).
sbond_7(d161,d161_5,d161_6).
sbond_7(d161,d161_6,d161_1).
sbond_7(d161,d161_6,d161_5).
sbond_7(d162,d162_1,d162_2).
sbond_7(d162,d162_1,d162_6).
sbond_7(d162,d162_11,d162_12).
sbond_7(d162,d162_11,d162_16).
sbond_7(d162,d162_12,d162_11).
sbond_7(d162,d162_12,d162_13).
sbond_7(d162,d162_13,d162_12).
sbond_7(d162,d162_13,d162_14).
sbond_7(d162,d162_14,d162_13).
sbond_7(d162,d162_14,d162_15).
sbond_7(d162,d162_15,d162_14).
sbond_7(d162,d162_15,d162_16).
sbond_7(d162,d162_16,d162_11).
sbond_7(d162,d162_16,d162_15).
sbond_7(d162,d162_2,d162_1).
sbond_7(d162,d162_2,d162_3).
sbond_7(d162,d162_3,d162_2).
sbond_7(d162,d162_3,d162_4).
sbond_7(d162,d162_4,d162_3).
sbond_7(d162,d162_4,d162_5).
sbond_7(d162,d162_5,d162_4).
sbond_7(d162,d162_5,d162_6).
sbond_7(d162,d162_6,d162_1).
sbond_7(d162,d162_6,d162_5).
sbond_7(d165,d165_1,d165_2).
sbond_7(d165,d165_1,d165_6).
sbond_7(d165,d165_14,d165_15).
sbond_7(d165,d165_14,d165_19).
sbond_7(d165,d165_15,d165_14).
sbond_7(d165,d165_15,d165_16).
sbond_7(d165,d165_16,d165_15).
sbond_7(d165,d165_16,d165_17).
sbond_7(d165,d165_17,d165_16).
sbond_7(d165,d165_17,d165_18).
sbond_7(d165,d165_18,d165_17).
sbond_7(d165,d165_18,d165_19).
sbond_7(d165,d165_19,d165_14).
sbond_7(d165,d165_19,d165_18).
sbond_7(d165,d165_2,d165_1).
sbond_7(d165,d165_2,d165_3).
sbond_7(d165,d165_3,d165_2).
sbond_7(d165,d165_3,d165_4).
sbond_7(d165,d165_4,d165_3).
sbond_7(d165,d165_4,d165_5).
sbond_7(d165,d165_5,d165_4).
sbond_7(d165,d165_5,d165_6).
sbond_7(d165,d165_6,d165_1).
sbond_7(d165,d165_6,d165_5).
sbond_7(d167,d167_1,d167_2).
sbond_7(d167,d167_1,d167_6).
sbond_7(d167,d167_2,d167_1).
sbond_7(d167,d167_2,d167_3).
sbond_7(d167,d167_3,d167_2).
sbond_7(d167,d167_3,d167_4).
sbond_7(d167,d167_4,d167_3).
sbond_7(d167,d167_4,d167_5).
sbond_7(d167,d167_5,d167_4).
sbond_7(d167,d167_5,d167_6).
sbond_7(d167,d167_6,d167_1).
sbond_7(d167,d167_6,d167_5).
sbond_7(d169,d169_1,d169_2).
sbond_7(d169,d169_1,d169_6).
sbond_7(d169,d169_2,d169_1).
sbond_7(d169,d169_2,d169_3).
sbond_7(d169,d169_3,d169_2).
sbond_7(d169,d169_3,d169_4).
sbond_7(d169,d169_4,d169_3).
sbond_7(d169,d169_4,d169_5).
sbond_7(d169,d169_5,d169_4).
sbond_7(d169,d169_5,d169_6).
sbond_7(d169,d169_6,d169_1).
sbond_7(d169,d169_6,d169_5).
sbond_7(d17,d17_1,d17_2).
sbond_7(d17,d17_1,d17_6).
sbond_7(d17,d17_10,d17_11).
sbond_7(d17,d17_10,d17_3).
sbond_7(d17,d17_11,d17_10).
sbond_7(d17,d17_11,d17_12).
sbond_7(d17,d17_12,d17_11).
sbond_7(d17,d17_12,d17_13).
sbond_7(d17,d17_13,d17_12).
sbond_7(d17,d17_13,d17_4).
sbond_7(d17,d17_2,d17_1).
sbond_7(d17,d17_2,d17_3).
sbond_7(d17,d17_3,d17_10).
sbond_7(d17,d17_3,d17_2).
sbond_7(d17,d17_3,d17_4).
sbond_7(d17,d17_4,d17_13).
sbond_7(d17,d17_4,d17_3).
sbond_7(d17,d17_4,d17_5).
sbond_7(d17,d17_5,d17_4).
sbond_7(d17,d17_5,d17_6).
sbond_7(d17,d17_6,d17_1).
sbond_7(d17,d17_6,d17_5).
sbond_7(d170,d170_1,d170_2).
sbond_7(d170,d170_1,d170_6).
sbond_7(d170,d170_2,d170_1).
sbond_7(d170,d170_2,d170_3).
sbond_7(d170,d170_3,d170_2).
sbond_7(d170,d170_3,d170_4).
sbond_7(d170,d170_4,d170_3).
sbond_7(d170,d170_4,d170_5).
sbond_7(d170,d170_5,d170_4).
sbond_7(d170,d170_5,d170_6).
sbond_7(d170,d170_6,d170_1).
sbond_7(d170,d170_6,d170_5).
sbond_7(d171,d171_1,d171_2).
sbond_7(d171,d171_1,d171_6).
sbond_7(d171,d171_2,d171_1).
sbond_7(d171,d171_2,d171_3).
sbond_7(d171,d171_3,d171_2).
sbond_7(d171,d171_3,d171_4).
sbond_7(d171,d171_4,d171_3).
sbond_7(d171,d171_4,d171_5).
sbond_7(d171,d171_5,d171_4).
sbond_7(d171,d171_5,d171_6).
sbond_7(d171,d171_6,d171_1).
sbond_7(d171,d171_6,d171_5).
sbond_7(d172,d172_10,d172_3).
sbond_7(d172,d172_10,d172_9).
sbond_7(d172,d172_16,d172_17).
sbond_7(d172,d172_16,d172_4).
sbond_7(d172,d172_17,d172_16).
sbond_7(d172,d172_17,d172_18).
sbond_7(d172,d172_18,d172_17).
sbond_7(d172,d172_18,d172_19).
sbond_7(d172,d172_19,d172_18).
sbond_7(d172,d172_19,d172_20).
sbond_7(d172,d172_20,d172_19).
sbond_7(d172,d172_20,d172_4).
sbond_7(d172,d172_26,d172_27).
sbond_7(d172,d172_26,d172_5).
sbond_7(d172,d172_27,d172_26).
sbond_7(d172,d172_27,d172_28).
sbond_7(d172,d172_28,d172_27).
sbond_7(d172,d172_28,d172_29).
sbond_7(d172,d172_29,d172_28).
sbond_7(d172,d172_29,d172_30).
sbond_7(d172,d172_3,d172_10).
sbond_7(d172,d172_3,d172_6).
sbond_7(d172,d172_30,d172_29).
sbond_7(d172,d172_30,d172_5).
sbond_7(d172,d172_4,d172_16).
sbond_7(d172,d172_4,d172_20).
sbond_7(d172,d172_5,d172_26).
sbond_7(d172,d172_5,d172_30).
sbond_7(d172,d172_6,d172_3).
sbond_7(d172,d172_6,d172_7).
sbond_7(d172,d172_7,d172_6).
sbond_7(d172,d172_7,d172_8).
sbond_7(d172,d172_8,d172_7).
sbond_7(d172,d172_8,d172_9).
sbond_7(d172,d172_9,d172_10).
sbond_7(d172,d172_9,d172_8).
sbond_7(d175,d175_1,d175_2).
sbond_7(d175,d175_1,d175_6).
sbond_7(d175,d175_2,d175_1).
sbond_7(d175,d175_2,d175_3).
sbond_7(d175,d175_3,d175_2).
sbond_7(d175,d175_3,d175_4).
sbond_7(d175,d175_4,d175_3).
sbond_7(d175,d175_4,d175_5).
sbond_7(d175,d175_5,d175_4).
sbond_7(d175,d175_5,d175_6).
sbond_7(d175,d175_6,d175_1).
sbond_7(d175,d175_6,d175_5).
sbond_7(d176,d176_1,d176_2).
sbond_7(d176,d176_1,d176_6).
sbond_7(d176,d176_2,d176_1).
sbond_7(d176,d176_2,d176_3).
sbond_7(d176,d176_3,d176_2).
sbond_7(d176,d176_3,d176_4).
sbond_7(d176,d176_4,d176_3).
sbond_7(d176,d176_4,d176_5).
sbond_7(d176,d176_5,d176_4).
sbond_7(d176,d176_5,d176_6).
sbond_7(d176,d176_6,d176_1).
sbond_7(d176,d176_6,d176_5).
sbond_7(d177,d177_1,d177_2).
sbond_7(d177,d177_1,d177_6).
sbond_7(d177,d177_2,d177_1).
sbond_7(d177,d177_2,d177_3).
sbond_7(d177,d177_3,d177_2).
sbond_7(d177,d177_3,d177_4).
sbond_7(d177,d177_4,d177_3).
sbond_7(d177,d177_4,d177_5).
sbond_7(d177,d177_5,d177_4).
sbond_7(d177,d177_5,d177_6).
sbond_7(d177,d177_6,d177_1).
sbond_7(d177,d177_6,d177_5).
sbond_7(d179,d179_1,d179_2).
sbond_7(d179,d179_1,d179_6).
sbond_7(d179,d179_2,d179_1).
sbond_7(d179,d179_2,d179_3).
sbond_7(d179,d179_3,d179_2).
sbond_7(d179,d179_3,d179_4).
sbond_7(d179,d179_4,d179_3).
sbond_7(d179,d179_4,d179_5).
sbond_7(d179,d179_5,d179_4).
sbond_7(d179,d179_5,d179_6).
sbond_7(d179,d179_6,d179_1).
sbond_7(d179,d179_6,d179_5).
sbond_7(d18,d18_1,d18_21).
sbond_7(d18,d18_1,d18_4).
sbond_7(d18,d18_2,d18_21).
sbond_7(d18,d18_2,d18_3).
sbond_7(d18,d18_21,d18_1).
sbond_7(d18,d18_21,d18_2).
sbond_7(d18,d18_3,d18_2).
sbond_7(d18,d18_3,d18_4).
sbond_7(d18,d18_4,d18_1).
sbond_7(d18,d18_4,d18_3).
sbond_7(d180,d180_1,d180_2).
sbond_7(d180,d180_1,d180_6).
sbond_7(d180,d180_2,d180_1).
sbond_7(d180,d180_2,d180_3).
sbond_7(d180,d180_3,d180_2).
sbond_7(d180,d180_3,d180_4).
sbond_7(d180,d180_3,d180_9).
sbond_7(d180,d180_4,d180_3).
sbond_7(d180,d180_4,d180_5).
sbond_7(d180,d180_4,d180_7).
sbond_7(d180,d180_5,d180_4).
sbond_7(d180,d180_5,d180_6).
sbond_7(d180,d180_6,d180_1).
sbond_7(d180,d180_6,d180_5).
sbond_7(d180,d180_7,d180_4).
sbond_7(d180,d180_7,d180_8).
sbond_7(d180,d180_8,d180_7).
sbond_7(d180,d180_8,d180_9).
sbond_7(d180,d180_9,d180_3).
sbond_7(d180,d180_9,d180_8).
sbond_7(d181,d181_1,d181_2).
sbond_7(d181,d181_1,d181_6).
sbond_7(d181,d181_2,d181_1).
sbond_7(d181,d181_2,d181_3).
sbond_7(d181,d181_3,d181_2).
sbond_7(d181,d181_3,d181_4).
sbond_7(d181,d181_4,d181_3).
sbond_7(d181,d181_4,d181_5).
sbond_7(d181,d181_5,d181_4).
sbond_7(d181,d181_5,d181_6).
sbond_7(d181,d181_6,d181_1).
sbond_7(d181,d181_6,d181_5).
sbond_7(d182,d182_1,d182_2).
sbond_7(d182,d182_1,d182_6).
sbond_7(d182,d182_2,d182_1).
sbond_7(d182,d182_2,d182_3).
sbond_7(d182,d182_3,d182_2).
sbond_7(d182,d182_3,d182_4).
sbond_7(d182,d182_4,d182_3).
sbond_7(d182,d182_4,d182_5).
sbond_7(d182,d182_5,d182_4).
sbond_7(d182,d182_5,d182_6).
sbond_7(d182,d182_6,d182_1).
sbond_7(d182,d182_6,d182_5).
sbond_7(d183,d183_1,d183_2).
sbond_7(d183,d183_1,d183_6).
sbond_7(d183,d183_2,d183_1).
sbond_7(d183,d183_2,d183_3).
sbond_7(d183,d183_3,d183_2).
sbond_7(d183,d183_3,d183_4).
sbond_7(d183,d183_4,d183_3).
sbond_7(d183,d183_4,d183_5).
sbond_7(d183,d183_5,d183_4).
sbond_7(d183,d183_5,d183_6).
sbond_7(d183,d183_6,d183_1).
sbond_7(d183,d183_6,d183_5).
sbond_7(d184,d184_1,d184_2).
sbond_7(d184,d184_1,d184_6).
sbond_7(d184,d184_2,d184_1).
sbond_7(d184,d184_2,d184_3).
sbond_7(d184,d184_3,d184_2).
sbond_7(d184,d184_3,d184_4).
sbond_7(d184,d184_4,d184_3).
sbond_7(d184,d184_4,d184_5).
sbond_7(d184,d184_5,d184_4).
sbond_7(d184,d184_5,d184_6).
sbond_7(d184,d184_6,d184_1).
sbond_7(d184,d184_6,d184_5).
sbond_7(d187,d187_1,d187_2).
sbond_7(d187,d187_1,d187_6).
sbond_7(d187,d187_2,d187_1).
sbond_7(d187,d187_2,d187_3).
sbond_7(d187,d187_3,d187_2).
sbond_7(d187,d187_3,d187_4).
sbond_7(d187,d187_4,d187_3).
sbond_7(d187,d187_4,d187_5).
sbond_7(d187,d187_5,d187_4).
sbond_7(d187,d187_5,d187_6).
sbond_7(d187,d187_6,d187_1).
sbond_7(d187,d187_6,d187_5).
sbond_7(d188,d188a_1,d188a_2).
sbond_7(d188,d188a_1,d188a_6).
sbond_7(d188,d188a_2,d188a_1).
sbond_7(d188,d188a_2,d188a_3).
sbond_7(d188,d188a_3,d188a_2).
sbond_7(d188,d188a_3,d188a_4).
sbond_7(d188,d188a_4,d188a_3).
sbond_7(d188,d188a_4,d188a_5).
sbond_7(d188,d188a_5,d188a_4).
sbond_7(d188,d188a_5,d188a_6).
sbond_7(d188,d188a_6,d188a_1).
sbond_7(d188,d188a_6,d188a_5).
sbond_7(d188,d188b_1,d188b_2).
sbond_7(d188,d188b_1,d188b_6).
sbond_7(d188,d188b_2,d188b_1).
sbond_7(d188,d188b_2,d188b_3).
sbond_7(d188,d188b_3,d188b_2).
sbond_7(d188,d188b_3,d188b_4).
sbond_7(d188,d188b_4,d188b_3).
sbond_7(d188,d188b_4,d188b_5).
sbond_7(d188,d188b_5,d188b_4).
sbond_7(d188,d188b_5,d188b_6).
sbond_7(d188,d188b_6,d188b_1).
sbond_7(d188,d188b_6,d188b_5).
sbond_7(d188,d188c_1,d188c_2).
sbond_7(d188,d188c_1,d188c_6).
sbond_7(d188,d188c_2,d188c_1).
sbond_7(d188,d188c_2,d188c_3).
sbond_7(d188,d188c_3,d188c_2).
sbond_7(d188,d188c_3,d188c_4).
sbond_7(d188,d188c_4,d188c_3).
sbond_7(d188,d188c_4,d188c_5).
sbond_7(d188,d188c_5,d188c_4).
sbond_7(d188,d188c_5,d188c_6).
sbond_7(d188,d188c_6,d188c_1).
sbond_7(d188,d188c_6,d188c_5).
sbond_7(d188,d188d_1,d188d_2).
sbond_7(d188,d188d_1,d188d_6).
sbond_7(d188,d188d_2,d188d_1).
sbond_7(d188,d188d_2,d188d_3).
sbond_7(d188,d188d_3,d188d_2).
sbond_7(d188,d188d_3,d188d_4).
sbond_7(d188,d188d_4,d188d_3).
sbond_7(d188,d188d_4,d188d_5).
sbond_7(d188,d188d_5,d188d_4).
sbond_7(d188,d188d_5,d188d_6).
sbond_7(d188,d188d_6,d188d_1).
sbond_7(d188,d188d_6,d188d_5).
sbond_7(d189,d189_1,d189_2).
sbond_7(d189,d189_1,d189_6).
sbond_7(d189,d189_2,d189_1).
sbond_7(d189,d189_2,d189_3).
sbond_7(d189,d189_3,d189_2).
sbond_7(d189,d189_3,d189_4).
sbond_7(d189,d189_4,d189_3).
sbond_7(d189,d189_4,d189_5).
sbond_7(d189,d189_5,d189_4).
sbond_7(d189,d189_5,d189_6).
sbond_7(d189,d189_6,d189_1).
sbond_7(d189,d189_6,d189_5).
sbond_7(d19,d19_1,d19_2).
sbond_7(d19,d19_1,d19_6).
sbond_7(d19,d19_10,d19_11).
sbond_7(d19,d19_10,d19_3).
sbond_7(d19,d19_11,d19_10).
sbond_7(d19,d19_11,d19_12).
sbond_7(d19,d19_12,d19_11).
sbond_7(d19,d19_12,d19_13).
sbond_7(d19,d19_13,d19_12).
sbond_7(d19,d19_13,d19_4).
sbond_7(d19,d19_2,d19_1).
sbond_7(d19,d19_2,d19_3).
sbond_7(d19,d19_3,d19_10).
sbond_7(d19,d19_3,d19_2).
sbond_7(d19,d19_3,d19_4).
sbond_7(d19,d19_4,d19_13).
sbond_7(d19,d19_4,d19_3).
sbond_7(d19,d19_4,d19_5).
sbond_7(d19,d19_5,d19_4).
sbond_7(d19,d19_5,d19_6).
sbond_7(d19,d19_6,d19_1).
sbond_7(d19,d19_6,d19_5).
sbond_7(d190,d190_1,d190_2).
sbond_7(d190,d190_1,d190_6).
sbond_7(d190,d190_2,d190_1).
sbond_7(d190,d190_2,d190_3).
sbond_7(d190,d190_3,d190_2).
sbond_7(d190,d190_3,d190_4).
sbond_7(d190,d190_4,d190_3).
sbond_7(d190,d190_4,d190_5).
sbond_7(d190,d190_5,d190_4).
sbond_7(d190,d190_5,d190_6).
sbond_7(d190,d190_6,d190_1).
sbond_7(d190,d190_6,d190_5).
sbond_7(d192,d192_1,d192_2).
sbond_7(d192,d192_1,d192_6).
sbond_7(d192,d192_2,d192_1).
sbond_7(d192,d192_2,d192_3).
sbond_7(d192,d192_23,d192_25).
sbond_7(d192,d192_23,d192_29).
sbond_7(d192,d192_25,d192_23).
sbond_7(d192,d192_25,d192_26).
sbond_7(d192,d192_26,d192_25).
sbond_7(d192,d192_26,d192_27).
sbond_7(d192,d192_27,d192_26).
sbond_7(d192,d192_27,d192_28).
sbond_7(d192,d192_28,d192_27).
sbond_7(d192,d192_28,d192_29).
sbond_7(d192,d192_29,d192_23).
sbond_7(d192,d192_29,d192_28).
sbond_7(d192,d192_3,d192_2).
sbond_7(d192,d192_3,d192_4).
sbond_7(d192,d192_4,d192_3).
sbond_7(d192,d192_4,d192_5).
sbond_7(d192,d192_5,d192_4).
sbond_7(d192,d192_5,d192_6).
sbond_7(d192,d192_6,d192_1).
sbond_7(d192,d192_6,d192_5).
sbond_7(d195,d195_1,d195_2).
sbond_7(d195,d195_1,d195_6).
sbond_7(d195,d195_2,d195_1).
sbond_7(d195,d195_2,d195_3).
sbond_7(d195,d195_3,d195_2).
sbond_7(d195,d195_3,d195_4).
sbond_7(d195,d195_3,d195_9).
sbond_7(d195,d195_4,d195_3).
sbond_7(d195,d195_4,d195_5).
sbond_7(d195,d195_4,d195_7).
sbond_7(d195,d195_5,d195_4).
sbond_7(d195,d195_5,d195_6).
sbond_7(d195,d195_6,d195_1).
sbond_7(d195,d195_6,d195_5).
sbond_7(d195,d195_7,d195_4).
sbond_7(d195,d195_7,d195_8).
sbond_7(d195,d195_8,d195_7).
sbond_7(d195,d195_8,d195_9).
sbond_7(d195,d195_9,d195_3).
sbond_7(d195,d195_9,d195_8).
sbond_7(d196,d196_1,d196_2).
sbond_7(d196,d196_1,d196_5).
sbond_7(d196,d196_2,d196_1).
sbond_7(d196,d196_2,d196_3).
sbond_7(d196,d196_3,d196_2).
sbond_7(d196,d196_3,d196_4).
sbond_7(d196,d196_4,d196_3).
sbond_7(d196,d196_4,d196_5).
sbond_7(d196,d196_5,d196_1).
sbond_7(d196,d196_5,d196_4).
sbond_7(d197,d197_1,d197_2).
sbond_7(d197,d197_1,d197_6).
sbond_7(d197,d197_12,d197_13).
sbond_7(d197,d197_12,d197_17).
sbond_7(d197,d197_13,d197_12).
sbond_7(d197,d197_13,d197_14).
sbond_7(d197,d197_14,d197_13).
sbond_7(d197,d197_14,d197_15).
sbond_7(d197,d197_15,d197_14).
sbond_7(d197,d197_15,d197_16).
sbond_7(d197,d197_16,d197_15).
sbond_7(d197,d197_16,d197_17).
sbond_7(d197,d197_17,d197_12).
sbond_7(d197,d197_17,d197_16).
sbond_7(d197,d197_2,d197_1).
sbond_7(d197,d197_2,d197_3).
sbond_7(d197,d197_3,d197_2).
sbond_7(d197,d197_3,d197_4).
sbond_7(d197,d197_4,d197_3).
sbond_7(d197,d197_4,d197_5).
sbond_7(d197,d197_5,d197_4).
sbond_7(d197,d197_5,d197_6).
sbond_7(d197,d197_6,d197_1).
sbond_7(d197,d197_6,d197_5).
sbond_7(d199,d199_1,d199_2).
sbond_7(d199,d199_1,d199_6).
sbond_7(d199,d199_13,d199_14).
sbond_7(d199,d199_13,d199_18).
sbond_7(d199,d199_14,d199_13).
sbond_7(d199,d199_14,d199_15).
sbond_7(d199,d199_15,d199_14).
sbond_7(d199,d199_15,d199_16).
sbond_7(d199,d199_16,d199_15).
sbond_7(d199,d199_16,d199_17).
sbond_7(d199,d199_17,d199_16).
sbond_7(d199,d199_17,d199_18).
sbond_7(d199,d199_18,d199_13).
sbond_7(d199,d199_18,d199_17).
sbond_7(d199,d199_2,d199_1).
sbond_7(d199,d199_2,d199_3).
sbond_7(d199,d199_3,d199_2).
sbond_7(d199,d199_3,d199_4).
sbond_7(d199,d199_4,d199_3).
sbond_7(d199,d199_4,d199_5).
sbond_7(d199,d199_5,d199_4).
sbond_7(d199,d199_5,d199_6).
sbond_7(d199,d199_6,d199_1).
sbond_7(d199,d199_6,d199_5).
sbond_7(d2,d2_1,d2_2).
sbond_7(d2,d2_1,d2_6).
sbond_7(d2,d2_11,d2_12).
sbond_7(d2,d2_11,d2_17).
sbond_7(d2,d2_11,d2_3).
sbond_7(d2,d2_12,d2_11).
sbond_7(d2,d2_12,d2_13).
sbond_7(d2,d2_12,d2_14).
sbond_7(d2,d2_13,d2_12).
sbond_7(d2,d2_13,d2_4).
sbond_7(d2,d2_14,d2_12).
sbond_7(d2,d2_14,d2_15).
sbond_7(d2,d2_15,d2_14).
sbond_7(d2,d2_15,d2_16).
sbond_7(d2,d2_16,d2_15).
sbond_7(d2,d2_16,d2_17).
sbond_7(d2,d2_17,d2_11).
sbond_7(d2,d2_17,d2_16).
sbond_7(d2,d2_2,d2_1).
sbond_7(d2,d2_2,d2_3).
sbond_7(d2,d2_3,d2_11).
sbond_7(d2,d2_3,d2_2).
sbond_7(d2,d2_3,d2_4).
sbond_7(d2,d2_4,d2_13).
sbond_7(d2,d2_4,d2_3).
sbond_7(d2,d2_4,d2_5).
sbond_7(d2,d2_5,d2_4).
sbond_7(d2,d2_5,d2_6).
sbond_7(d2,d2_6,d2_1).
sbond_7(d2,d2_6,d2_5).
sbond_7(d20,d20_1,d20_2).
sbond_7(d20,d20_1,d20_6).
sbond_7(d20,d20_2,d20_1).
sbond_7(d20,d20_2,d20_3).
sbond_7(d20,d20_3,d20_2).
sbond_7(d20,d20_3,d20_4).
sbond_7(d20,d20_4,d20_3).
sbond_7(d20,d20_4,d20_5).
sbond_7(d20,d20_5,d20_4).
sbond_7(d20,d20_5,d20_6).
sbond_7(d20,d20_6,d20_1).
sbond_7(d20,d20_6,d20_5).
sbond_7(d200,d200_1,d200_2).
sbond_7(d200,d200_1,d200_6).
sbond_7(d200,d200_2,d200_1).
sbond_7(d200,d200_2,d200_3).
sbond_7(d200,d200_3,d200_2).
sbond_7(d200,d200_3,d200_4).
sbond_7(d200,d200_4,d200_3).
sbond_7(d200,d200_4,d200_5).
sbond_7(d200,d200_5,d200_4).
sbond_7(d200,d200_5,d200_6).
sbond_7(d200,d200_6,d200_1).
sbond_7(d200,d200_6,d200_5).
sbond_7(d201,d201_1,d201_2).
sbond_7(d201,d201_1,d201_6).
sbond_7(d201,d201_11,d201_12).
sbond_7(d201,d201_11,d201_2).
sbond_7(d201,d201_12,d201_11).
sbond_7(d201,d201_12,d201_13).
sbond_7(d201,d201_13,d201_12).
sbond_7(d201,d201_13,d201_7).
sbond_7(d201,d201_14,d201_15).
sbond_7(d201,d201_14,d201_8).
sbond_7(d201,d201_15,d201_14).
sbond_7(d201,d201_15,d201_16).
sbond_7(d201,d201_16,d201_15).
sbond_7(d201,d201_16,d201_17).
sbond_7(d201,d201_17,d201_16).
sbond_7(d201,d201_17,d201_9).
sbond_7(d201,d201_19,d201_20).
sbond_7(d201,d201_19,d201_22).
sbond_7(d201,d201_2,d201_1).
sbond_7(d201,d201_2,d201_11).
sbond_7(d201,d201_2,d201_3).
sbond_7(d201,d201_20,d201_19).
sbond_7(d201,d201_20,d201_25).
sbond_7(d201,d201_22,d201_19).
sbond_7(d201,d201_22,d201_23).
sbond_7(d201,d201_23,d201_22).
sbond_7(d201,d201_23,d201_24).
sbond_7(d201,d201_24,d201_23).
sbond_7(d201,d201_24,d201_25).
sbond_7(d201,d201_25,d201_20).
sbond_7(d201,d201_25,d201_24).
sbond_7(d201,d201_3,d201_2).
sbond_7(d201,d201_3,d201_4).
sbond_7(d201,d201_3,d201_7).
sbond_7(d201,d201_4,d201_3).
sbond_7(d201,d201_4,d201_5).
sbond_7(d201,d201_5,d201_4).
sbond_7(d201,d201_5,d201_6).
sbond_7(d201,d201_6,d201_1).
sbond_7(d201,d201_6,d201_5).
sbond_7(d201,d201_7,d201_13).
sbond_7(d201,d201_7,d201_3).
sbond_7(d201,d201_8,d201_14).
sbond_7(d201,d201_8,d201_9).
sbond_7(d201,d201_9,d201_17).
sbond_7(d201,d201_9,d201_8).
sbond_7(d203,d203_1,d203_2).
sbond_7(d203,d203_1,d203_6).
sbond_7(d203,d203_2,d203_1).
sbond_7(d203,d203_2,d203_3).
sbond_7(d203,d203_3,d203_2).
sbond_7(d203,d203_3,d203_4).
sbond_7(d203,d203_4,d203_3).
sbond_7(d203,d203_4,d203_5).
sbond_7(d203,d203_5,d203_4).
sbond_7(d203,d203_5,d203_6).
sbond_7(d203,d203_6,d203_1).
sbond_7(d203,d203_6,d203_5).
sbond_7(d207,d207_1,d207_2).
sbond_7(d207,d207_1,d207_6).
sbond_7(d207,d207_2,d207_1).
sbond_7(d207,d207_2,d207_3).
sbond_7(d207,d207_3,d207_2).
sbond_7(d207,d207_3,d207_4).
sbond_7(d207,d207_4,d207_3).
sbond_7(d207,d207_4,d207_5).
sbond_7(d207,d207_5,d207_4).
sbond_7(d207,d207_5,d207_6).
sbond_7(d207,d207_6,d207_1).
sbond_7(d207,d207_6,d207_5).
sbond_7(d209,d209_1,d209_2).
sbond_7(d209,d209_1,d209_6).
sbond_7(d209,d209_2,d209_1).
sbond_7(d209,d209_2,d209_3).
sbond_7(d209,d209_3,d209_2).
sbond_7(d209,d209_3,d209_4).
sbond_7(d209,d209_4,d209_3).
sbond_7(d209,d209_4,d209_5).
sbond_7(d209,d209_5,d209_4).
sbond_7(d209,d209_5,d209_6).
sbond_7(d209,d209_6,d209_1).
sbond_7(d209,d209_6,d209_5).
sbond_7(d21,d21_1,d21_2).
sbond_7(d21,d21_1,d21_6).
sbond_7(d21,d21_11,d21_12).
sbond_7(d21,d21_11,d21_16).
sbond_7(d21,d21_12,d21_11).
sbond_7(d21,d21_12,d21_13).
sbond_7(d21,d21_13,d21_12).
sbond_7(d21,d21_13,d21_14).
sbond_7(d21,d21_14,d21_13).
sbond_7(d21,d21_14,d21_15).
sbond_7(d21,d21_15,d21_14).
sbond_7(d21,d21_15,d21_16).
sbond_7(d21,d21_16,d21_11).
sbond_7(d21,d21_16,d21_15).
sbond_7(d21,d21_2,d21_1).
sbond_7(d21,d21_2,d21_3).
sbond_7(d21,d21_3,d21_2).
sbond_7(d21,d21_3,d21_4).
sbond_7(d21,d21_4,d21_3).
sbond_7(d21,d21_4,d21_5).
sbond_7(d21,d21_5,d21_4).
sbond_7(d21,d21_5,d21_6).
sbond_7(d21,d21_6,d21_1).
sbond_7(d21,d21_6,d21_5).
sbond_7(d210,d210_1,d210_2).
sbond_7(d210,d210_1,d210_6).
sbond_7(d210,d210_2,d210_1).
sbond_7(d210,d210_2,d210_3).
sbond_7(d210,d210_3,d210_2).
sbond_7(d210,d210_3,d210_4).
sbond_7(d210,d210_4,d210_3).
sbond_7(d210,d210_4,d210_5).
sbond_7(d210,d210_5,d210_4).
sbond_7(d210,d210_5,d210_6).
sbond_7(d210,d210_6,d210_1).
sbond_7(d210,d210_6,d210_5).
sbond_7(d212,d212_1,d212_2).
sbond_7(d212,d212_1,d212_6).
sbond_7(d212,d212_1,d212_9).
sbond_7(d212,d212_10,d212_11).
sbond_7(d212,d212_10,d212_9).
sbond_7(d212,d212_11,d212_10).
sbond_7(d212,d212_11,d212_12).
sbond_7(d212,d212_12,d212_11).
sbond_7(d212,d212_12,d212_2).
sbond_7(d212,d212_2,d212_1).
sbond_7(d212,d212_2,d212_12).
sbond_7(d212,d212_2,d212_3).
sbond_7(d212,d212_24,d212_25).
sbond_7(d212,d212_24,d212_29).
sbond_7(d212,d212_25,d212_24).
sbond_7(d212,d212_25,d212_26).
sbond_7(d212,d212_26,d212_25).
sbond_7(d212,d212_26,d212_27).
sbond_7(d212,d212_27,d212_26).
sbond_7(d212,d212_27,d212_28).
sbond_7(d212,d212_27,d212_31).
sbond_7(d212,d212_28,d212_27).
sbond_7(d212,d212_28,d212_29).
sbond_7(d212,d212_28,d212_34).
sbond_7(d212,d212_29,d212_24).
sbond_7(d212,d212_29,d212_28).
sbond_7(d212,d212_3,d212_2).
sbond_7(d212,d212_3,d212_4).
sbond_7(d212,d212_31,d212_27).
sbond_7(d212,d212_31,d212_32).
sbond_7(d212,d212_32,d212_31).
sbond_7(d212,d212_32,d212_33).
sbond_7(d212,d212_33,d212_32).
sbond_7(d212,d212_33,d212_34).
sbond_7(d212,d212_34,d212_28).
sbond_7(d212,d212_34,d212_33).
sbond_7(d212,d212_4,d212_3).
sbond_7(d212,d212_4,d212_5).
sbond_7(d212,d212_5,d212_4).
sbond_7(d212,d212_5,d212_6).
sbond_7(d212,d212_6,d212_1).
sbond_7(d212,d212_6,d212_5).
sbond_7(d212,d212_9,d212_1).
sbond_7(d212,d212_9,d212_10).
sbond_7(d213,d213_1,d213_2).
sbond_7(d213,d213_1,d213_6).
sbond_7(d213,d213_2,d213_1).
sbond_7(d213,d213_2,d213_3).
sbond_7(d213,d213_3,d213_2).
sbond_7(d213,d213_3,d213_4).
sbond_7(d213,d213_4,d213_3).
sbond_7(d213,d213_4,d213_5).
sbond_7(d213,d213_5,d213_4).
sbond_7(d213,d213_5,d213_6).
sbond_7(d213,d213_6,d213_1).
sbond_7(d213,d213_6,d213_5).
sbond_7(d215,d215_1,d215_2).
sbond_7(d215,d215_1,d215_6).
sbond_7(d215,d215_2,d215_1).
sbond_7(d215,d215_2,d215_3).
sbond_7(d215,d215_3,d215_2).
sbond_7(d215,d215_3,d215_4).
sbond_7(d215,d215_4,d215_3).
sbond_7(d215,d215_4,d215_5).
sbond_7(d215,d215_5,d215_4).
sbond_7(d215,d215_5,d215_6).
sbond_7(d215,d215_6,d215_1).
sbond_7(d215,d215_6,d215_5).
sbond_7(d217,d217_1,d217_2).
sbond_7(d217,d217_1,d217_6).
sbond_7(d217,d217_2,d217_1).
sbond_7(d217,d217_2,d217_3).
sbond_7(d217,d217_3,d217_2).
sbond_7(d217,d217_3,d217_4).
sbond_7(d217,d217_4,d217_3).
sbond_7(d217,d217_4,d217_5).
sbond_7(d217,d217_5,d217_4).
sbond_7(d217,d217_5,d217_6).
sbond_7(d217,d217_6,d217_1).
sbond_7(d217,d217_6,d217_5).
sbond_7(d22,d22_1,d22_2).
sbond_7(d22,d22_1,d22_6).
sbond_7(d22,d22_12,d22_13).
sbond_7(d22,d22_12,d22_17).
sbond_7(d22,d22_13,d22_12).
sbond_7(d22,d22_13,d22_14).
sbond_7(d22,d22_14,d22_13).
sbond_7(d22,d22_14,d22_15).
sbond_7(d22,d22_15,d22_14).
sbond_7(d22,d22_15,d22_16).
sbond_7(d22,d22_16,d22_15).
sbond_7(d22,d22_16,d22_17).
sbond_7(d22,d22_17,d22_12).
sbond_7(d22,d22_17,d22_16).
sbond_7(d22,d22_2,d22_1).
sbond_7(d22,d22_2,d22_3).
sbond_7(d22,d22_3,d22_2).
sbond_7(d22,d22_3,d22_4).
sbond_7(d22,d22_4,d22_3).
sbond_7(d22,d22_4,d22_5).
sbond_7(d22,d22_5,d22_4).
sbond_7(d22,d22_5,d22_6).
sbond_7(d22,d22_6,d22_1).
sbond_7(d22,d22_6,d22_5).
sbond_7(d220,d220a_1,d220a_2).
sbond_7(d220,d220a_1,d220a_6).
sbond_7(d220,d220a_2,d220a_1).
sbond_7(d220,d220a_2,d220a_3).
sbond_7(d220,d220a_3,d220a_2).
sbond_7(d220,d220a_3,d220a_4).
sbond_7(d220,d220a_4,d220a_3).
sbond_7(d220,d220a_4,d220a_5).
sbond_7(d220,d220a_5,d220a_4).
sbond_7(d220,d220a_5,d220a_6).
sbond_7(d220,d220a_6,d220a_1).
sbond_7(d220,d220a_6,d220a_5).
sbond_7(d220,d220b_1,d220b_2).
sbond_7(d220,d220b_1,d220b_6).
sbond_7(d220,d220b_2,d220b_1).
sbond_7(d220,d220b_2,d220b_3).
sbond_7(d220,d220b_3,d220b_2).
sbond_7(d220,d220b_3,d220b_4).
sbond_7(d220,d220b_4,d220b_3).
sbond_7(d220,d220b_4,d220b_5).
sbond_7(d220,d220b_5,d220b_4).
sbond_7(d220,d220b_5,d220b_6).
sbond_7(d220,d220b_6,d220b_1).
sbond_7(d220,d220b_6,d220b_5).
sbond_7(d221,d221_1,d221_2).
sbond_7(d221,d221_1,d221_6).
sbond_7(d221,d221_10,d221_11).
sbond_7(d221,d221_10,d221_3).
sbond_7(d221,d221_11,d221_10).
sbond_7(d221,d221_11,d221_12).
sbond_7(d221,d221_12,d221_11).
sbond_7(d221,d221_12,d221_13).
sbond_7(d221,d221_13,d221_12).
sbond_7(d221,d221_13,d221_4).
sbond_7(d221,d221_2,d221_1).
sbond_7(d221,d221_2,d221_3).
sbond_7(d221,d221_23,d221_24).
sbond_7(d221,d221_23,d221_28).
sbond_7(d221,d221_24,d221_23).
sbond_7(d221,d221_24,d221_25).
sbond_7(d221,d221_25,d221_24).
sbond_7(d221,d221_25,d221_26).
sbond_7(d221,d221_26,d221_25).
sbond_7(d221,d221_26,d221_27).
sbond_7(d221,d221_27,d221_26).
sbond_7(d221,d221_27,d221_28).
sbond_7(d221,d221_28,d221_23).
sbond_7(d221,d221_28,d221_27).
sbond_7(d221,d221_3,d221_10).
sbond_7(d221,d221_3,d221_2).
sbond_7(d221,d221_3,d221_4).
sbond_7(d221,d221_4,d221_13).
sbond_7(d221,d221_4,d221_3).
sbond_7(d221,d221_4,d221_5).
sbond_7(d221,d221_5,d221_4).
sbond_7(d221,d221_5,d221_6).
sbond_7(d221,d221_6,d221_1).
sbond_7(d221,d221_6,d221_5).
sbond_7(d222,d222_1,d222_2).
sbond_7(d222,d222_1,d222_6).
sbond_7(d222,d222_2,d222_1).
sbond_7(d222,d222_2,d222_3).
sbond_7(d222,d222_3,d222_2).
sbond_7(d222,d222_3,d222_4).
sbond_7(d222,d222_4,d222_3).
sbond_7(d222,d222_4,d222_5).
sbond_7(d222,d222_5,d222_4).
sbond_7(d222,d222_5,d222_6).
sbond_7(d222,d222_6,d222_1).
sbond_7(d222,d222_6,d222_5).
sbond_7(d223,d223_1,d223_2).
sbond_7(d223,d223_1,d223_6).
sbond_7(d223,d223_2,d223_1).
sbond_7(d223,d223_2,d223_3).
sbond_7(d223,d223_3,d223_2).
sbond_7(d223,d223_3,d223_4).
sbond_7(d223,d223_4,d223_3).
sbond_7(d223,d223_4,d223_5).
sbond_7(d223,d223_5,d223_4).
sbond_7(d223,d223_5,d223_6).
sbond_7(d223,d223_6,d223_1).
sbond_7(d223,d223_6,d223_5).
sbond_7(d226,d226_1,d226_2).
sbond_7(d226,d226_1,d226_6).
sbond_7(d226,d226_2,d226_1).
sbond_7(d226,d226_2,d226_3).
sbond_7(d226,d226_3,d226_2).
sbond_7(d226,d226_3,d226_4).
sbond_7(d226,d226_4,d226_3).
sbond_7(d226,d226_4,d226_5).
sbond_7(d226,d226_5,d226_4).
sbond_7(d226,d226_5,d226_6).
sbond_7(d226,d226_6,d226_1).
sbond_7(d226,d226_6,d226_5).
sbond_7(d231,d231_1,d231_2).
sbond_7(d231,d231_1,d231_6).
sbond_7(d231,d231_2,d231_1).
sbond_7(d231,d231_2,d231_3).
sbond_7(d231,d231_3,d231_2).
sbond_7(d231,d231_3,d231_4).
sbond_7(d231,d231_4,d231_3).
sbond_7(d231,d231_4,d231_5).
sbond_7(d231,d231_5,d231_4).
sbond_7(d231,d231_5,d231_6).
sbond_7(d231,d231_6,d231_1).
sbond_7(d231,d231_6,d231_5).
sbond_7(d233,d233_1,d233_2).
sbond_7(d233,d233_1,d233_6).
sbond_7(d233,d233_2,d233_1).
sbond_7(d233,d233_2,d233_3).
sbond_7(d233,d233_3,d233_2).
sbond_7(d233,d233_3,d233_4).
sbond_7(d233,d233_4,d233_3).
sbond_7(d233,d233_4,d233_5).
sbond_7(d233,d233_5,d233_4).
sbond_7(d233,d233_5,d233_6).
sbond_7(d233,d233_6,d233_1).
sbond_7(d233,d233_6,d233_5).
sbond_7(d238,d238_1,d238_2).
sbond_7(d238,d238_1,d238_6).
sbond_7(d238,d238_2,d238_1).
sbond_7(d238,d238_2,d238_3).
sbond_7(d238,d238_3,d238_2).
sbond_7(d238,d238_3,d238_4).
sbond_7(d238,d238_4,d238_3).
sbond_7(d238,d238_4,d238_5).
sbond_7(d238,d238_5,d238_4).
sbond_7(d238,d238_5,d238_6).
sbond_7(d238,d238_6,d238_1).
sbond_7(d238,d238_6,d238_5).
sbond_7(d23_1,d23_1_1,d23_1_2).
sbond_7(d23_1,d23_1_1,d23_1_6).
sbond_7(d23_1,d23_1_11,d23_1_12).
sbond_7(d23_1,d23_1_11,d23_1_16).
sbond_7(d23_1,d23_1_12,d23_1_11).
sbond_7(d23_1,d23_1_12,d23_1_13).
sbond_7(d23_1,d23_1_13,d23_1_12).
sbond_7(d23_1,d23_1_13,d23_1_14).
sbond_7(d23_1,d23_1_14,d23_1_13).
sbond_7(d23_1,d23_1_14,d23_1_15).
sbond_7(d23_1,d23_1_15,d23_1_14).
sbond_7(d23_1,d23_1_15,d23_1_16).
sbond_7(d23_1,d23_1_16,d23_1_11).
sbond_7(d23_1,d23_1_16,d23_1_15).
sbond_7(d23_1,d23_1_2,d23_1_1).
sbond_7(d23_1,d23_1_2,d23_1_3).
sbond_7(d23_1,d23_1_3,d23_1_2).
sbond_7(d23_1,d23_1_3,d23_1_4).
sbond_7(d23_1,d23_1_4,d23_1_3).
sbond_7(d23_1,d23_1_4,d23_1_5).
sbond_7(d23_1,d23_1_5,d23_1_4).
sbond_7(d23_1,d23_1_5,d23_1_6).
sbond_7(d23_1,d23_1_6,d23_1_1).
sbond_7(d23_1,d23_1_6,d23_1_5).
sbond_7(d23_2,d23_2_1,d23_2_2).
sbond_7(d23_2,d23_2_1,d23_2_6).
sbond_7(d23_2,d23_2_12,d23_2_13).
sbond_7(d23_2,d23_2_12,d23_2_17).
sbond_7(d23_2,d23_2_13,d23_2_12).
sbond_7(d23_2,d23_2_13,d23_2_14).
sbond_7(d23_2,d23_2_14,d23_2_13).
sbond_7(d23_2,d23_2_14,d23_2_15).
sbond_7(d23_2,d23_2_15,d23_2_14).
sbond_7(d23_2,d23_2_15,d23_2_16).
sbond_7(d23_2,d23_2_16,d23_2_15).
sbond_7(d23_2,d23_2_16,d23_2_17).
sbond_7(d23_2,d23_2_17,d23_2_12).
sbond_7(d23_2,d23_2_17,d23_2_16).
sbond_7(d23_2,d23_2_2,d23_2_1).
sbond_7(d23_2,d23_2_2,d23_2_3).
sbond_7(d23_2,d23_2_3,d23_2_2).
sbond_7(d23_2,d23_2_3,d23_2_4).
sbond_7(d23_2,d23_2_4,d23_2_3).
sbond_7(d23_2,d23_2_4,d23_2_5).
sbond_7(d23_2,d23_2_5,d23_2_4).
sbond_7(d23_2,d23_2_5,d23_2_6).
sbond_7(d23_2,d23_2_6,d23_2_1).
sbond_7(d23_2,d23_2_6,d23_2_5).
sbond_7(d24,d24_1,d24_2).
sbond_7(d24,d24_1,d24_6).
sbond_7(d24,d24_11,d24_12).
sbond_7(d24,d24_11,d24_16).
sbond_7(d24,d24_12,d24_11).
sbond_7(d24,d24_12,d24_13).
sbond_7(d24,d24_13,d24_12).
sbond_7(d24,d24_13,d24_14).
sbond_7(d24,d24_14,d24_13).
sbond_7(d24,d24_14,d24_15).
sbond_7(d24,d24_15,d24_14).
sbond_7(d24,d24_15,d24_16).
sbond_7(d24,d24_16,d24_11).
sbond_7(d24,d24_16,d24_15).
sbond_7(d24,d24_2,d24_1).
sbond_7(d24,d24_2,d24_3).
sbond_7(d24,d24_3,d24_2).
sbond_7(d24,d24_3,d24_4).
sbond_7(d24,d24_4,d24_3).
sbond_7(d24,d24_4,d24_5).
sbond_7(d24,d24_5,d24_4).
sbond_7(d24,d24_5,d24_6).
sbond_7(d24,d24_6,d24_1).
sbond_7(d24,d24_6,d24_5).
sbond_7(d246,d246_1,d246_2).
sbond_7(d246,d246_1,d246_6).
sbond_7(d246,d246_2,d246_1).
sbond_7(d246,d246_2,d246_3).
sbond_7(d246,d246_28,d246_30).
sbond_7(d246,d246_28,d246_34).
sbond_7(d246,d246_3,d246_2).
sbond_7(d246,d246_3,d246_4).
sbond_7(d246,d246_30,d246_28).
sbond_7(d246,d246_30,d246_31).
sbond_7(d246,d246_31,d246_30).
sbond_7(d246,d246_31,d246_32).
sbond_7(d246,d246_32,d246_31).
sbond_7(d246,d246_32,d246_33).
sbond_7(d246,d246_33,d246_32).
sbond_7(d246,d246_33,d246_34).
sbond_7(d246,d246_34,d246_28).
sbond_7(d246,d246_34,d246_33).
sbond_7(d246,d246_4,d246_3).
sbond_7(d246,d246_4,d246_5).
sbond_7(d246,d246_5,d246_4).
sbond_7(d246,d246_5,d246_6).
sbond_7(d246,d246_6,d246_1).
sbond_7(d246,d246_6,d246_5).
sbond_7(d246,d246_71,d246_73).
sbond_7(d246,d246_71,d246_77).
sbond_7(d246,d246_73,d246_71).
sbond_7(d246,d246_73,d246_74).
sbond_7(d246,d246_74,d246_73).
sbond_7(d246,d246_74,d246_75).
sbond_7(d246,d246_75,d246_74).
sbond_7(d246,d246_75,d246_76).
sbond_7(d246,d246_76,d246_75).
sbond_7(d246,d246_76,d246_77).
sbond_7(d246,d246_77,d246_71).
sbond_7(d246,d246_77,d246_76).
sbond_7(d25,d25_1,d25_2).
sbond_7(d25,d25_1,d25_6).
sbond_7(d25,d25_2,d25_1).
sbond_7(d25,d25_2,d25_3).
sbond_7(d25,d25_3,d25_2).
sbond_7(d25,d25_3,d25_4).
sbond_7(d25,d25_4,d25_3).
sbond_7(d25,d25_4,d25_5).
sbond_7(d25,d25_5,d25_4).
sbond_7(d25,d25_5,d25_6).
sbond_7(d25,d25_6,d25_1).
sbond_7(d25,d25_6,d25_5).
sbond_7(d256,d256_1,d256_2).
sbond_7(d256,d256_1,d256_6).
sbond_7(d256,d256_2,d256_1).
sbond_7(d256,d256_2,d256_3).
sbond_7(d256,d256_3,d256_2).
sbond_7(d256,d256_3,d256_4).
sbond_7(d256,d256_4,d256_3).
sbond_7(d256,d256_4,d256_5).
sbond_7(d256,d256_5,d256_4).
sbond_7(d256,d256_5,d256_6).
sbond_7(d256,d256_6,d256_1).
sbond_7(d256,d256_6,d256_5).
sbond_7(d257,d257_20,d257_21).
sbond_7(d257,d257_20,d257_25).
sbond_7(d257,d257_21,d257_20).
sbond_7(d257,d257_21,d257_22).
sbond_7(d257,d257_22,d257_21).
sbond_7(d257,d257_22,d257_23).
sbond_7(d257,d257_23,d257_22).
sbond_7(d257,d257_23,d257_24).
sbond_7(d257,d257_24,d257_23).
sbond_7(d257,d257_24,d257_25).
sbond_7(d257,d257_25,d257_20).
sbond_7(d257,d257_25,d257_24).
sbond_7(d259,d259_1,d259_2).
sbond_7(d259,d259_1,d259_6).
sbond_7(d259,d259_2,d259_1).
sbond_7(d259,d259_2,d259_3).
sbond_7(d259,d259_3,d259_2).
sbond_7(d259,d259_3,d259_4).
sbond_7(d259,d259_4,d259_3).
sbond_7(d259,d259_4,d259_5).
sbond_7(d259,d259_5,d259_4).
sbond_7(d259,d259_5,d259_6).
sbond_7(d259,d259_6,d259_1).
sbond_7(d259,d259_6,d259_5).
sbond_7(d26,d26_1,d26_2).
sbond_7(d26,d26_1,d26_6).
sbond_7(d26,d26_2,d26_1).
sbond_7(d26,d26_2,d26_3).
sbond_7(d26,d26_3,d26_2).
sbond_7(d26,d26_3,d26_4).
sbond_7(d26,d26_4,d26_3).
sbond_7(d26,d26_4,d26_5).
sbond_7(d26,d26_5,d26_4).
sbond_7(d26,d26_5,d26_6).
sbond_7(d26,d26_6,d26_1).
sbond_7(d26,d26_6,d26_5).
sbond_7(d264,d264_20,d264_21).
sbond_7(d264,d264_20,d264_25).
sbond_7(d264,d264_21,d264_20).
sbond_7(d264,d264_21,d264_22).
sbond_7(d264,d264_22,d264_21).
sbond_7(d264,d264_22,d264_23).
sbond_7(d264,d264_23,d264_22).
sbond_7(d264,d264_23,d264_24).
sbond_7(d264,d264_24,d264_23).
sbond_7(d264,d264_24,d264_25).
sbond_7(d264,d264_25,d264_20).
sbond_7(d264,d264_25,d264_24).
sbond_7(d268,d268_1,d268_2).
sbond_7(d268,d268_1,d268_6).
sbond_7(d268,d268_2,d268_1).
sbond_7(d268,d268_2,d268_3).
sbond_7(d268,d268_3,d268_2).
sbond_7(d268,d268_3,d268_4).
sbond_7(d268,d268_4,d268_3).
sbond_7(d268,d268_4,d268_5).
sbond_7(d268,d268_5,d268_4).
sbond_7(d268,d268_5,d268_6).
sbond_7(d268,d268_6,d268_1).
sbond_7(d268,d268_6,d268_5).
sbond_7(d269,d269_20,d269_21).
sbond_7(d269,d269_20,d269_25).
sbond_7(d269,d269_21,d269_20).
sbond_7(d269,d269_21,d269_22).
sbond_7(d269,d269_22,d269_21).
sbond_7(d269,d269_22,d269_23).
sbond_7(d269,d269_23,d269_22).
sbond_7(d269,d269_23,d269_24).
sbond_7(d269,d269_24,d269_23).
sbond_7(d269,d269_24,d269_25).
sbond_7(d269,d269_25,d269_20).
sbond_7(d269,d269_25,d269_24).
sbond_7(d27,d27_15,d27_16).
sbond_7(d27,d27_15,d27_19).
sbond_7(d27,d27_16,d27_15).
sbond_7(d27,d27_16,d27_17).
sbond_7(d27,d27_17,d27_16).
sbond_7(d27,d27_17,d27_18).
sbond_7(d27,d27_18,d27_17).
sbond_7(d27,d27_18,d27_19).
sbond_7(d27,d27_19,d27_15).
sbond_7(d27,d27_19,d27_18).
sbond_7(d277,d277_15,d277_18).
sbond_7(d277,d277_15,d277_22).
sbond_7(d277,d277_18,d277_15).
sbond_7(d277,d277_18,d277_19).
sbond_7(d277,d277_19,d277_18).
sbond_7(d277,d277_19,d277_20).
sbond_7(d277,d277_20,d277_19).
sbond_7(d277,d277_20,d277_21).
sbond_7(d277,d277_21,d277_20).
sbond_7(d277,d277_21,d277_22).
sbond_7(d277,d277_22,d277_15).
sbond_7(d277,d277_22,d277_21).
sbond_7(d277,d277_4,d277_5).
sbond_7(d277,d277_4,d277_9).
sbond_7(d277,d277_5,d277_4).
sbond_7(d277,d277_5,d277_6).
sbond_7(d277,d277_6,d277_5).
sbond_7(d277,d277_6,d277_7).
sbond_7(d277,d277_7,d277_6).
sbond_7(d277,d277_7,d277_8).
sbond_7(d277,d277_8,d277_7).
sbond_7(d277,d277_8,d277_9).
sbond_7(d277,d277_9,d277_4).
sbond_7(d277,d277_9,d277_8).
sbond_7(d278,d278_15,d278_16).
sbond_7(d278,d278_15,d278_20).
sbond_7(d278,d278_16,d278_15).
sbond_7(d278,d278_16,d278_17).
sbond_7(d278,d278_17,d278_16).
sbond_7(d278,d278_17,d278_18).
sbond_7(d278,d278_18,d278_17).
sbond_7(d278,d278_18,d278_19).
sbond_7(d278,d278_19,d278_18).
sbond_7(d278,d278_19,d278_20).
sbond_7(d278,d278_20,d278_15).
sbond_7(d278,d278_20,d278_19).
sbond_7(d278,d278_4,d278_5).
sbond_7(d278,d278_4,d278_9).
sbond_7(d278,d278_5,d278_4).
sbond_7(d278,d278_5,d278_6).
sbond_7(d278,d278_6,d278_5).
sbond_7(d278,d278_6,d278_7).
sbond_7(d278,d278_7,d278_6).
sbond_7(d278,d278_7,d278_8).
sbond_7(d278,d278_8,d278_7).
sbond_7(d278,d278_8,d278_9).
sbond_7(d278,d278_9,d278_4).
sbond_7(d278,d278_9,d278_8).
sbond_7(d279,d279_4,d279_5).
sbond_7(d279,d279_4,d279_9).
sbond_7(d279,d279_5,d279_4).
sbond_7(d279,d279_5,d279_6).
sbond_7(d279,d279_6,d279_5).
sbond_7(d279,d279_6,d279_7).
sbond_7(d279,d279_7,d279_6).
sbond_7(d279,d279_7,d279_8).
sbond_7(d279,d279_8,d279_7).
sbond_7(d279,d279_8,d279_9).
sbond_7(d279,d279_9,d279_4).
sbond_7(d279,d279_9,d279_8).
sbond_7(d28,d28_1,d28_2).
sbond_7(d28,d28_1,d28_5).
sbond_7(d28,d28_2,d28_1).
sbond_7(d28,d28_2,d28_3).
sbond_7(d28,d28_3,d28_2).
sbond_7(d28,d28_3,d28_4).
sbond_7(d28,d28_4,d28_3).
sbond_7(d28,d28_4,d28_5).
sbond_7(d28,d28_5,d28_1).
sbond_7(d28,d28_5,d28_4).
sbond_7(d280,d280_4,d280_5).
sbond_7(d280,d280_4,d280_9).
sbond_7(d280,d280_5,d280_4).
sbond_7(d280,d280_5,d280_6).
sbond_7(d280,d280_6,d280_5).
sbond_7(d280,d280_6,d280_7).
sbond_7(d280,d280_7,d280_6).
sbond_7(d280,d280_7,d280_8).
sbond_7(d280,d280_8,d280_7).
sbond_7(d280,d280_8,d280_9).
sbond_7(d280,d280_9,d280_4).
sbond_7(d280,d280_9,d280_8).
sbond_7(d29,d29a_1,d29a_2).
sbond_7(d29,d29a_1,d29a_6).
sbond_7(d29,d29a_2,d29a_1).
sbond_7(d29,d29a_2,d29a_3).
sbond_7(d29,d29a_3,d29a_2).
sbond_7(d29,d29a_3,d29a_4).
sbond_7(d29,d29a_4,d29a_3).
sbond_7(d29,d29a_4,d29a_5).
sbond_7(d29,d29a_5,d29a_4).
sbond_7(d29,d29a_5,d29a_6).
sbond_7(d29,d29a_6,d29a_1).
sbond_7(d29,d29a_6,d29a_5).
sbond_7(d29,d29b_1,d29b_2).
sbond_7(d29,d29b_1,d29b_6).
sbond_7(d29,d29b_2,d29b_1).
sbond_7(d29,d29b_2,d29b_3).
sbond_7(d29,d29b_3,d29b_2).
sbond_7(d29,d29b_3,d29b_4).
sbond_7(d29,d29b_4,d29b_3).
sbond_7(d29,d29b_4,d29b_5).
sbond_7(d29,d29b_5,d29b_4).
sbond_7(d29,d29b_5,d29b_6).
sbond_7(d29,d29b_6,d29b_1).
sbond_7(d29,d29b_6,d29b_5).
sbond_7(d290,d290_1,d290_2).
sbond_7(d290,d290_1,d290_6).
sbond_7(d290,d290_2,d290_1).
sbond_7(d290,d290_2,d290_3).
sbond_7(d290,d290_3,d290_2).
sbond_7(d290,d290_3,d290_4).
sbond_7(d290,d290_4,d290_3).
sbond_7(d290,d290_4,d290_5).
sbond_7(d290,d290_5,d290_4).
sbond_7(d290,d290_5,d290_6).
sbond_7(d290,d290_6,d290_1).
sbond_7(d290,d290_6,d290_5).
sbond_7(d293,d293_1,d293_2).
sbond_7(d293,d293_1,d293_6).
sbond_7(d293,d293_11,d293_12).
sbond_7(d293,d293_11,d293_3).
sbond_7(d293,d293_12,d293_11).
sbond_7(d293,d293_12,d293_13).
sbond_7(d293,d293_13,d293_12).
sbond_7(d293,d293_13,d293_4).
sbond_7(d293,d293_2,d293_1).
sbond_7(d293,d293_2,d293_3).
sbond_7(d293,d293_3,d293_11).
sbond_7(d293,d293_3,d293_2).
sbond_7(d293,d293_3,d293_4).
sbond_7(d293,d293_4,d293_13).
sbond_7(d293,d293_4,d293_3).
sbond_7(d293,d293_4,d293_5).
sbond_7(d293,d293_5,d293_4).
sbond_7(d293,d293_5,d293_6).
sbond_7(d293,d293_6,d293_1).
sbond_7(d293,d293_6,d293_5).
sbond_7(d294,d294_1,d294_2).
sbond_7(d294,d294_1,d294_6).
sbond_7(d294,d294_10,d294_11).
sbond_7(d294,d294_10,d294_3).
sbond_7(d294,d294_11,d294_10).
sbond_7(d294,d294_11,d294_12).
sbond_7(d294,d294_12,d294_11).
sbond_7(d294,d294_12,d294_13).
sbond_7(d294,d294_13,d294_12).
sbond_7(d294,d294_13,d294_4).
sbond_7(d294,d294_2,d294_1).
sbond_7(d294,d294_2,d294_3).
sbond_7(d294,d294_3,d294_10).
sbond_7(d294,d294_3,d294_2).
sbond_7(d294,d294_3,d294_4).
sbond_7(d294,d294_4,d294_13).
sbond_7(d294,d294_4,d294_3).
sbond_7(d294,d294_4,d294_5).
sbond_7(d294,d294_5,d294_4).
sbond_7(d294,d294_5,d294_6).
sbond_7(d294,d294_6,d294_1).
sbond_7(d294,d294_6,d294_5).
sbond_7(d296,d296_1,d296_2).
sbond_7(d296,d296_1,d296_6).
sbond_7(d296,d296_11,d296_12).
sbond_7(d296,d296_11,d296_3).
sbond_7(d296,d296_12,d296_11).
sbond_7(d296,d296_12,d296_13).
sbond_7(d296,d296_13,d296_12).
sbond_7(d296,d296_13,d296_14).
sbond_7(d296,d296_14,d296_13).
sbond_7(d296,d296_14,d296_4).
sbond_7(d296,d296_2,d296_1).
sbond_7(d296,d296_2,d296_3).
sbond_7(d296,d296_3,d296_11).
sbond_7(d296,d296_3,d296_2).
sbond_7(d296,d296_3,d296_4).
sbond_7(d296,d296_4,d296_14).
sbond_7(d296,d296_4,d296_3).
sbond_7(d296,d296_4,d296_5).
sbond_7(d296,d296_5,d296_4).
sbond_7(d296,d296_5,d296_6).
sbond_7(d296,d296_6,d296_1).
sbond_7(d296,d296_6,d296_5).
sbond_7(d298,d298_1,d298_2).
sbond_7(d298,d298_1,d298_6).
sbond_7(d298,d298_12,d298_13).
sbond_7(d298,d298_12,d298_15).
sbond_7(d298,d298_13,d298_12).
sbond_7(d298,d298_13,d298_18).
sbond_7(d298,d298_15,d298_12).
sbond_7(d298,d298_15,d298_16).
sbond_7(d298,d298_16,d298_15).
sbond_7(d298,d298_16,d298_17).
sbond_7(d298,d298_17,d298_16).
sbond_7(d298,d298_17,d298_18).
sbond_7(d298,d298_18,d298_13).
sbond_7(d298,d298_18,d298_17).
sbond_7(d298,d298_2,d298_1).
sbond_7(d298,d298_2,d298_3).
sbond_7(d298,d298_3,d298_2).
sbond_7(d298,d298_3,d298_4).
sbond_7(d298,d298_4,d298_3).
sbond_7(d298,d298_4,d298_5).
sbond_7(d298,d298_5,d298_4).
sbond_7(d298,d298_5,d298_6).
sbond_7(d298,d298_6,d298_1).
sbond_7(d298,d298_6,d298_5).
sbond_7(d299,d299_1,d299_2).
sbond_7(d299,d299_1,d299_6).
sbond_7(d299,d299_2,d299_1).
sbond_7(d299,d299_2,d299_3).
sbond_7(d299,d299_3,d299_2).
sbond_7(d299,d299_3,d299_4).
sbond_7(d299,d299_4,d299_3).
sbond_7(d299,d299_4,d299_5).
sbond_7(d299,d299_5,d299_4).
sbond_7(d299,d299_5,d299_6).
sbond_7(d299,d299_6,d299_1).
sbond_7(d299,d299_6,d299_5).
sbond_7(d3,d3_1,d3_2).
sbond_7(d3,d3_1,d3_6).
sbond_7(d3,d3_12,d3_13).
sbond_7(d3,d3_12,d3_15).
sbond_7(d3,d3_13,d3_12).
sbond_7(d3,d3_13,d3_18).
sbond_7(d3,d3_15,d3_12).
sbond_7(d3,d3_15,d3_16).
sbond_7(d3,d3_16,d3_15).
sbond_7(d3,d3_16,d3_17).
sbond_7(d3,d3_17,d3_16).
sbond_7(d3,d3_17,d3_18).
sbond_7(d3,d3_18,d3_13).
sbond_7(d3,d3_18,d3_17).
sbond_7(d3,d3_2,d3_1).
sbond_7(d3,d3_2,d3_3).
sbond_7(d3,d3_3,d3_2).
sbond_7(d3,d3_3,d3_4).
sbond_7(d3,d3_4,d3_3).
sbond_7(d3,d3_4,d3_5).
sbond_7(d3,d3_5,d3_4).
sbond_7(d3,d3_5,d3_6).
sbond_7(d3,d3_6,d3_1).
sbond_7(d3,d3_6,d3_5).
sbond_7(d30,d30_1,d30_2).
sbond_7(d30,d30_1,d30_6).
sbond_7(d30,d30_2,d30_1).
sbond_7(d30,d30_2,d30_3).
sbond_7(d30,d30_3,d30_2).
sbond_7(d30,d30_3,d30_4).
sbond_7(d30,d30_4,d30_3).
sbond_7(d30,d30_4,d30_5).
sbond_7(d30,d30_5,d30_4).
sbond_7(d30,d30_5,d30_6).
sbond_7(d30,d30_6,d30_1).
sbond_7(d30,d30_6,d30_5).
sbond_7(d303,d303_1,d303_2).
sbond_7(d303,d303_1,d303_6).
sbond_7(d303,d303_2,d303_1).
sbond_7(d303,d303_2,d303_3).
sbond_7(d303,d303_3,d303_2).
sbond_7(d303,d303_3,d303_4).
sbond_7(d303,d303_4,d303_3).
sbond_7(d303,d303_4,d303_5).
sbond_7(d303,d303_5,d303_4).
sbond_7(d303,d303_5,d303_6).
sbond_7(d303,d303_6,d303_1).
sbond_7(d303,d303_6,d303_5).
sbond_7(d304,d304a_1,d304a_2).
sbond_7(d304,d304a_1,d304a_6).
sbond_7(d304,d304a_2,d304a_1).
sbond_7(d304,d304a_2,d304a_3).
sbond_7(d304,d304a_3,d304a_2).
sbond_7(d304,d304a_3,d304a_4).
sbond_7(d304,d304a_4,d304a_3).
sbond_7(d304,d304a_4,d304a_5).
sbond_7(d304,d304a_5,d304a_4).
sbond_7(d304,d304a_5,d304a_6).
sbond_7(d304,d304a_6,d304a_1).
sbond_7(d304,d304a_6,d304a_5).
sbond_7(d304,d304b_1,d304b_2).
sbond_7(d304,d304b_1,d304b_6).
sbond_7(d304,d304b_2,d304b_1).
sbond_7(d304,d304b_2,d304b_3).
sbond_7(d304,d304b_3,d304b_2).
sbond_7(d304,d304b_3,d304b_4).
sbond_7(d304,d304b_4,d304b_3).
sbond_7(d304,d304b_4,d304b_5).
sbond_7(d304,d304b_5,d304b_4).
sbond_7(d304,d304b_5,d304b_6).
sbond_7(d304,d304b_6,d304b_1).
sbond_7(d304,d304b_6,d304b_5).
sbond_7(d305,d305_1,d305_2).
sbond_7(d305,d305_1,d305_6).
sbond_7(d305,d305_11,d305_14).
sbond_7(d305,d305_11,d305_18).
sbond_7(d305,d305_14,d305_11).
sbond_7(d305,d305_14,d305_15).
sbond_7(d305,d305_15,d305_14).
sbond_7(d305,d305_15,d305_16).
sbond_7(d305,d305_16,d305_15).
sbond_7(d305,d305_16,d305_17).
sbond_7(d305,d305_17,d305_16).
sbond_7(d305,d305_17,d305_18).
sbond_7(d305,d305_18,d305_11).
sbond_7(d305,d305_18,d305_17).
sbond_7(d305,d305_2,d305_1).
sbond_7(d305,d305_2,d305_3).
sbond_7(d305,d305_3,d305_2).
sbond_7(d305,d305_3,d305_4).
sbond_7(d305,d305_4,d305_3).
sbond_7(d305,d305_4,d305_5).
sbond_7(d305,d305_5,d305_4).
sbond_7(d305,d305_5,d305_6).
sbond_7(d305,d305_6,d305_1).
sbond_7(d305,d305_6,d305_5).
sbond_7(d308,d308_1,d308_2).
sbond_7(d308,d308_1,d308_6).
sbond_7(d308,d308_2,d308_1).
sbond_7(d308,d308_2,d308_3).
sbond_7(d308,d308_3,d308_2).
sbond_7(d308,d308_3,d308_4).
sbond_7(d308,d308_4,d308_3).
sbond_7(d308,d308_4,d308_5).
sbond_7(d308,d308_5,d308_4).
sbond_7(d308,d308_5,d308_6).
sbond_7(d308,d308_6,d308_1).
sbond_7(d308,d308_6,d308_5).
sbond_7(d31,d31a_1,d31a_2).
sbond_7(d31,d31a_1,d31a_6).
sbond_7(d31,d31a_10,d31a_11).
sbond_7(d31,d31a_10,d31a_15).
sbond_7(d31,d31a_11,d31a_10).
sbond_7(d31,d31a_11,d31a_12).
sbond_7(d31,d31a_12,d31a_11).
sbond_7(d31,d31a_12,d31a_13).
sbond_7(d31,d31a_13,d31a_12).
sbond_7(d31,d31a_13,d31a_14).
sbond_7(d31,d31a_14,d31a_13).
sbond_7(d31,d31a_14,d31a_15).
sbond_7(d31,d31a_15,d31a_10).
sbond_7(d31,d31a_15,d31a_14).
sbond_7(d31,d31a_2,d31a_1).
sbond_7(d31,d31a_2,d31a_3).
sbond_7(d31,d31a_3,d31a_2).
sbond_7(d31,d31a_3,d31a_4).
sbond_7(d31,d31a_4,d31a_3).
sbond_7(d31,d31a_4,d31a_5).
sbond_7(d31,d31a_5,d31a_4).
sbond_7(d31,d31a_5,d31a_6).
sbond_7(d31,d31a_6,d31a_1).
sbond_7(d31,d31a_6,d31a_5).
sbond_7(d311,d311_1,d311_2).
sbond_7(d311,d311_1,d311_6).
sbond_7(d311,d311_2,d311_1).
sbond_7(d311,d311_2,d311_3).
sbond_7(d311,d311_3,d311_2).
sbond_7(d311,d311_3,d311_4).
sbond_7(d311,d311_4,d311_3).
sbond_7(d311,d311_4,d311_5).
sbond_7(d311,d311_5,d311_4).
sbond_7(d311,d311_5,d311_6).
sbond_7(d311,d311_6,d311_1).
sbond_7(d311,d311_6,d311_5).
sbond_7(d312,d312_3,d312_4).
sbond_7(d312,d312_3,d312_7).
sbond_7(d312,d312_4,d312_3).
sbond_7(d312,d312_4,d312_9).
sbond_7(d312,d312_7,d312_3).
sbond_7(d312,d312_7,d312_8).
sbond_7(d312,d312_8,d312_7).
sbond_7(d312,d312_8,d312_9).
sbond_7(d312,d312_9,d312_4).
sbond_7(d312,d312_9,d312_8).
sbond_7(d313,d313_1,d313_2).
sbond_7(d313,d313_1,d313_6).
sbond_7(d313,d313_10,d313_11).
sbond_7(d313,d313_10,d313_9).
sbond_7(d313,d313_11,d313_10).
sbond_7(d313,d313_11,d313_12).
sbond_7(d313,d313_12,d313_11).
sbond_7(d313,d313_12,d313_13).
sbond_7(d313,d313_13,d313_12).
sbond_7(d313,d313_13,d313_14).
sbond_7(d313,d313_14,d313_13).
sbond_7(d313,d313_14,d313_9).
sbond_7(d313,d313_2,d313_1).
sbond_7(d313,d313_2,d313_3).
sbond_7(d313,d313_3,d313_2).
sbond_7(d313,d313_3,d313_4).
sbond_7(d313,d313_4,d313_3).
sbond_7(d313,d313_4,d313_5).
sbond_7(d313,d313_5,d313_4).
sbond_7(d313,d313_5,d313_6).
sbond_7(d313,d313_6,d313_1).
sbond_7(d313,d313_6,d313_5).
sbond_7(d313,d313_9,d313_10).
sbond_7(d313,d313_9,d313_14).
sbond_7(d314,d314_1,d314_2).
sbond_7(d314,d314_1,d314_6).
sbond_7(d314,d314_10,d314_4).
sbond_7(d314,d314_10,d314_9).
sbond_7(d314,d314_11,d314_12).
sbond_7(d314,d314_11,d314_16).
sbond_7(d314,d314_12,d314_11).
sbond_7(d314,d314_12,d314_13).
sbond_7(d314,d314_13,d314_12).
sbond_7(d314,d314_13,d314_14).
sbond_7(d314,d314_14,d314_13).
sbond_7(d314,d314_14,d314_15).
sbond_7(d314,d314_15,d314_14).
sbond_7(d314,d314_15,d314_16).
sbond_7(d314,d314_16,d314_11).
sbond_7(d314,d314_16,d314_15).
sbond_7(d314,d314_2,d314_1).
sbond_7(d314,d314_2,d314_3).
sbond_7(d314,d314_3,d314_2).
sbond_7(d314,d314_3,d314_4).
sbond_7(d314,d314_3,d314_7).
sbond_7(d314,d314_4,d314_10).
sbond_7(d314,d314_4,d314_3).
sbond_7(d314,d314_4,d314_5).
sbond_7(d314,d314_5,d314_4).
sbond_7(d314,d314_5,d314_6).
sbond_7(d314,d314_6,d314_1).
sbond_7(d314,d314_6,d314_5).
sbond_7(d314,d314_7,d314_3).
sbond_7(d314,d314_7,d314_8).
sbond_7(d314,d314_8,d314_7).
sbond_7(d314,d314_8,d314_9).
sbond_7(d314,d314_9,d314_10).
sbond_7(d314,d314_9,d314_8).
sbond_7(d315,d315_1,d315_2).
sbond_7(d315,d315_1,d315_6).
sbond_7(d315,d315_12,d315_13).
sbond_7(d315,d315_12,d315_17).
sbond_7(d315,d315_13,d315_12).
sbond_7(d315,d315_13,d315_14).
sbond_7(d315,d315_14,d315_13).
sbond_7(d315,d315_14,d315_15).
sbond_7(d315,d315_15,d315_14).
sbond_7(d315,d315_15,d315_16).
sbond_7(d315,d315_16,d315_15).
sbond_7(d315,d315_16,d315_17).
sbond_7(d315,d315_17,d315_12).
sbond_7(d315,d315_17,d315_16).
sbond_7(d315,d315_2,d315_1).
sbond_7(d315,d315_2,d315_3).
sbond_7(d315,d315_3,d315_2).
sbond_7(d315,d315_3,d315_4).
sbond_7(d315,d315_4,d315_3).
sbond_7(d315,d315_4,d315_5).
sbond_7(d315,d315_5,d315_4).
sbond_7(d315,d315_5,d315_6).
sbond_7(d315,d315_6,d315_1).
sbond_7(d315,d315_6,d315_5).
sbond_7(d316,d316_1,d316_2).
sbond_7(d316,d316_1,d316_6).
sbond_7(d316,d316_2,d316_1).
sbond_7(d316,d316_2,d316_3).
sbond_7(d316,d316_3,d316_2).
sbond_7(d316,d316_3,d316_4).
sbond_7(d316,d316_4,d316_3).
sbond_7(d316,d316_4,d316_5).
sbond_7(d316,d316_5,d316_4).
sbond_7(d316,d316_5,d316_6).
sbond_7(d316,d316_6,d316_1).
sbond_7(d316,d316_6,d316_5).
sbond_7(d318,d318_1,d318_2).
sbond_7(d318,d318_1,d318_6).
sbond_7(d318,d318_13,d318_15).
sbond_7(d318,d318_13,d318_19).
sbond_7(d318,d318_15,d318_13).
sbond_7(d318,d318_15,d318_16).
sbond_7(d318,d318_16,d318_15).
sbond_7(d318,d318_16,d318_17).
sbond_7(d318,d318_17,d318_16).
sbond_7(d318,d318_17,d318_18).
sbond_7(d318,d318_18,d318_17).
sbond_7(d318,d318_18,d318_19).
sbond_7(d318,d318_19,d318_13).
sbond_7(d318,d318_19,d318_18).
sbond_7(d318,d318_2,d318_1).
sbond_7(d318,d318_2,d318_3).
sbond_7(d318,d318_3,d318_2).
sbond_7(d318,d318_3,d318_4).
sbond_7(d318,d318_4,d318_3).
sbond_7(d318,d318_4,d318_5).
sbond_7(d318,d318_5,d318_4).
sbond_7(d318,d318_5,d318_6).
sbond_7(d318,d318_6,d318_1).
sbond_7(d318,d318_6,d318_5).
sbond_7(d32,d32a_1,d32a_2).
sbond_7(d32,d32a_1,d32a_6).
sbond_7(d32,d32a_10,d32a_11).
sbond_7(d32,d32a_10,d32a_15).
sbond_7(d32,d32a_11,d32a_10).
sbond_7(d32,d32a_11,d32a_12).
sbond_7(d32,d32a_12,d32a_11).
sbond_7(d32,d32a_12,d32a_13).
sbond_7(d32,d32a_13,d32a_12).
sbond_7(d32,d32a_13,d32a_14).
sbond_7(d32,d32a_14,d32a_13).
sbond_7(d32,d32a_14,d32a_15).
sbond_7(d32,d32a_15,d32a_10).
sbond_7(d32,d32a_15,d32a_14).
sbond_7(d32,d32a_2,d32a_1).
sbond_7(d32,d32a_2,d32a_3).
sbond_7(d32,d32a_3,d32a_2).
sbond_7(d32,d32a_3,d32a_4).
sbond_7(d32,d32a_4,d32a_3).
sbond_7(d32,d32a_4,d32a_5).
sbond_7(d32,d32a_5,d32a_4).
sbond_7(d32,d32a_5,d32a_6).
sbond_7(d32,d32a_6,d32a_1).
sbond_7(d32,d32a_6,d32a_5).
sbond_7(d320,d320_1,d320_2).
sbond_7(d320,d320_1,d320_6).
sbond_7(d320,d320_2,d320_1).
sbond_7(d320,d320_2,d320_3).
sbond_7(d320,d320_3,d320_2).
sbond_7(d320,d320_3,d320_4).
sbond_7(d320,d320_4,d320_3).
sbond_7(d320,d320_4,d320_5).
sbond_7(d320,d320_5,d320_4).
sbond_7(d320,d320_5,d320_6).
sbond_7(d320,d320_6,d320_1).
sbond_7(d320,d320_6,d320_5).
sbond_7(d322,d322_1,d322_2).
sbond_7(d322,d322_1,d322_37).
sbond_7(d322,d322_1,d322_6).
sbond_7(d322,d322_10,d322_11).
sbond_7(d322,d322_10,d322_9).
sbond_7(d322,d322_11,d322_10).
sbond_7(d322,d322_11,d322_12).
sbond_7(d322,d322_12,d322_11).
sbond_7(d322,d322_12,d322_7).
sbond_7(d322,d322_17,d322_18).
sbond_7(d322,d322_17,d322_22).
sbond_7(d322,d322_18,d322_17).
sbond_7(d322,d322_18,d322_19).
sbond_7(d322,d322_19,d322_18).
sbond_7(d322,d322_19,d322_20).
sbond_7(d322,d322_2,d322_1).
sbond_7(d322,d322_2,d322_3).
sbond_7(d322,d322_2,d322_38).
sbond_7(d322,d322_20,d322_19).
sbond_7(d322,d322_20,d322_21).
sbond_7(d322,d322_21,d322_20).
sbond_7(d322,d322_21,d322_22).
sbond_7(d322,d322_21,d322_24).
sbond_7(d322,d322_22,d322_17).
sbond_7(d322,d322_22,d322_21).
sbond_7(d322,d322_22,d322_27).
sbond_7(d322,d322_24,d322_21).
sbond_7(d322,d322_24,d322_25).
sbond_7(d322,d322_25,d322_24).
sbond_7(d322,d322_25,d322_26).
sbond_7(d322,d322_26,d322_25).
sbond_7(d322,d322_26,d322_27).
sbond_7(d322,d322_27,d322_22).
sbond_7(d322,d322_27,d322_26).
sbond_7(d322,d322_3,d322_2).
sbond_7(d322,d322_3,d322_4).
sbond_7(d322,d322_37,d322_1).
sbond_7(d322,d322_37,d322_39).
sbond_7(d322,d322_38,d322_2).
sbond_7(d322,d322_38,d322_40).
sbond_7(d322,d322_39,d322_37).
sbond_7(d322,d322_39,d322_40).
sbond_7(d322,d322_4,d322_3).
sbond_7(d322,d322_4,d322_5).
sbond_7(d322,d322_40,d322_38).
sbond_7(d322,d322_40,d322_39).
sbond_7(d322,d322_41,d322_42).
sbond_7(d322,d322_41,d322_46).
sbond_7(d322,d322_41,d322_53).
sbond_7(d322,d322_42,d322_41).
sbond_7(d322,d322_42,d322_43).
sbond_7(d322,d322_43,d322_42).
sbond_7(d322,d322_43,d322_44).
sbond_7(d322,d322_44,d322_43).
sbond_7(d322,d322_44,d322_45).
sbond_7(d322,d322_45,d322_44).
sbond_7(d322,d322_45,d322_46).
sbond_7(d322,d322_46,d322_41).
sbond_7(d322,d322_46,d322_45).
sbond_7(d322,d322_46,d322_50).
sbond_7(d322,d322_5,d322_4).
sbond_7(d322,d322_5,d322_6).
sbond_7(d322,d322_50,d322_46).
sbond_7(d322,d322_50,d322_51).
sbond_7(d322,d322_51,d322_50).
sbond_7(d322,d322_51,d322_52).
sbond_7(d322,d322_52,d322_51).
sbond_7(d322,d322_52,d322_53).
sbond_7(d322,d322_53,d322_41).
sbond_7(d322,d322_53,d322_52).
sbond_7(d322,d322_6,d322_1).
sbond_7(d322,d322_6,d322_5).
sbond_7(d322,d322_7,d322_12).
sbond_7(d322,d322_7,d322_8).
sbond_7(d322,d322_8,d322_7).
sbond_7(d322,d322_8,d322_9).
sbond_7(d322,d322_9,d322_10).
sbond_7(d322,d322_9,d322_8).
sbond_7(d323,d323_1,d323_2).
sbond_7(d323,d323_1,d323_6).
sbond_7(d323,d323_12,d323_13).
sbond_7(d323,d323_12,d323_17).
sbond_7(d323,d323_13,d323_12).
sbond_7(d323,d323_13,d323_14).
sbond_7(d323,d323_13,d323_20).
sbond_7(d323,d323_14,d323_13).
sbond_7(d323,d323_14,d323_15).
sbond_7(d323,d323_14,d323_23).
sbond_7(d323,d323_15,d323_14).
sbond_7(d323,d323_15,d323_16).
sbond_7(d323,d323_16,d323_15).
sbond_7(d323,d323_16,d323_17).
sbond_7(d323,d323_17,d323_12).
sbond_7(d323,d323_17,d323_16).
sbond_7(d323,d323_2,d323_1).
sbond_7(d323,d323_2,d323_3).
sbond_7(d323,d323_20,d323_13).
sbond_7(d323,d323_20,d323_21).
sbond_7(d323,d323_21,d323_20).
sbond_7(d323,d323_21,d323_22).
sbond_7(d323,d323_22,d323_21).
sbond_7(d323,d323_22,d323_23).
sbond_7(d323,d323_23,d323_14).
sbond_7(d323,d323_23,d323_22).
sbond_7(d323,d323_3,d323_2).
sbond_7(d323,d323_3,d323_4).
sbond_7(d323,d323_4,d323_3).
sbond_7(d323,d323_4,d323_5).
sbond_7(d323,d323_5,d323_4).
sbond_7(d323,d323_5,d323_6).
sbond_7(d323,d323_6,d323_1).
sbond_7(d323,d323_6,d323_5).
sbond_7(d324,d324_1,d324_2).
sbond_7(d324,d324_1,d324_6).
sbond_7(d324,d324_11,d324_12).
sbond_7(d324,d324_11,d324_3).
sbond_7(d324,d324_12,d324_11).
sbond_7(d324,d324_12,d324_13).
sbond_7(d324,d324_13,d324_12).
sbond_7(d324,d324_13,d324_14).
sbond_7(d324,d324_14,d324_13).
sbond_7(d324,d324_14,d324_4).
sbond_7(d324,d324_16,d324_17).
sbond_7(d324,d324_16,d324_21).
sbond_7(d324,d324_17,d324_16).
sbond_7(d324,d324_17,d324_18).
sbond_7(d324,d324_18,d324_17).
sbond_7(d324,d324_18,d324_19).
sbond_7(d324,d324_19,d324_18).
sbond_7(d324,d324_19,d324_20).
sbond_7(d324,d324_2,d324_1).
sbond_7(d324,d324_2,d324_3).
sbond_7(d324,d324_20,d324_19).
sbond_7(d324,d324_20,d324_21).
sbond_7(d324,d324_21,d324_16).
sbond_7(d324,d324_21,d324_20).
sbond_7(d324,d324_3,d324_11).
sbond_7(d324,d324_3,d324_2).
sbond_7(d324,d324_3,d324_4).
sbond_7(d324,d324_37,d324_38).
sbond_7(d324,d324_37,d324_42).
sbond_7(d324,d324_38,d324_37).
sbond_7(d324,d324_38,d324_39).
sbond_7(d324,d324_39,d324_38).
sbond_7(d324,d324_39,d324_40).
sbond_7(d324,d324_4,d324_14).
sbond_7(d324,d324_4,d324_3).
sbond_7(d324,d324_4,d324_5).
sbond_7(d324,d324_40,d324_39).
sbond_7(d324,d324_40,d324_41).
sbond_7(d324,d324_41,d324_40).
sbond_7(d324,d324_41,d324_42).
sbond_7(d324,d324_42,d324_37).
sbond_7(d324,d324_42,d324_41).
sbond_7(d324,d324_5,d324_4).
sbond_7(d324,d324_5,d324_6).
sbond_7(d324,d324_6,d324_1).
sbond_7(d324,d324_6,d324_5).
sbond_7(d325,d325_1,d325_2).
sbond_7(d325,d325_1,d325_6).
sbond_7(d325,d325_2,d325_1).
sbond_7(d325,d325_2,d325_3).
sbond_7(d325,d325_3,d325_2).
sbond_7(d325,d325_3,d325_4).
sbond_7(d325,d325_4,d325_3).
sbond_7(d325,d325_4,d325_5).
sbond_7(d325,d325_5,d325_4).
sbond_7(d325,d325_5,d325_6).
sbond_7(d325,d325_6,d325_1).
sbond_7(d325,d325_6,d325_5).
sbond_7(d326,d326_1,d326_2).
sbond_7(d326,d326_1,d326_6).
sbond_7(d326,d326_2,d326_1).
sbond_7(d326,d326_2,d326_3).
sbond_7(d326,d326_3,d326_2).
sbond_7(d326,d326_3,d326_4).
sbond_7(d326,d326_4,d326_3).
sbond_7(d326,d326_4,d326_5).
sbond_7(d326,d326_5,d326_4).
sbond_7(d326,d326_5,d326_6).
sbond_7(d326,d326_6,d326_1).
sbond_7(d326,d326_6,d326_5).
sbond_7(d327,d327_1,d327_2).
sbond_7(d327,d327_1,d327_6).
sbond_7(d327,d327_13,d327_14).
sbond_7(d327,d327_13,d327_18).
sbond_7(d327,d327_14,d327_13).
sbond_7(d327,d327_14,d327_15).
sbond_7(d327,d327_15,d327_14).
sbond_7(d327,d327_15,d327_16).
sbond_7(d327,d327_16,d327_15).
sbond_7(d327,d327_16,d327_17).
sbond_7(d327,d327_17,d327_16).
sbond_7(d327,d327_17,d327_18).
sbond_7(d327,d327_18,d327_13).
sbond_7(d327,d327_18,d327_17).
sbond_7(d327,d327_2,d327_1).
sbond_7(d327,d327_2,d327_3).
sbond_7(d327,d327_25,d327_26).
sbond_7(d327,d327_25,d327_30).
sbond_7(d327,d327_26,d327_25).
sbond_7(d327,d327_26,d327_27).
sbond_7(d327,d327_27,d327_26).
sbond_7(d327,d327_27,d327_28).
sbond_7(d327,d327_28,d327_27).
sbond_7(d327,d327_28,d327_29).
sbond_7(d327,d327_29,d327_28).
sbond_7(d327,d327_29,d327_30).
sbond_7(d327,d327_3,d327_2).
sbond_7(d327,d327_3,d327_4).
sbond_7(d327,d327_30,d327_25).
sbond_7(d327,d327_30,d327_29).
sbond_7(d327,d327_4,d327_3).
sbond_7(d327,d327_4,d327_5).
sbond_7(d327,d327_5,d327_4).
sbond_7(d327,d327_5,d327_6).
sbond_7(d327,d327_6,d327_1).
sbond_7(d327,d327_6,d327_5).
sbond_7(d328,d328a_1,d328a_2).
sbond_7(d328,d328a_1,d328a_5).
sbond_7(d328,d328a_2,d328a_1).
sbond_7(d328,d328a_2,d328a_3).
sbond_7(d328,d328a_3,d328a_2).
sbond_7(d328,d328a_3,d328a_4).
sbond_7(d328,d328a_4,d328a_3).
sbond_7(d328,d328a_4,d328a_5).
sbond_7(d328,d328a_5,d328a_1).
sbond_7(d328,d328a_5,d328a_4).
sbond_7(d329,d329_1,d329_2).
sbond_7(d329,d329_1,d329_6).
sbond_7(d329,d329_10,d329_11).
sbond_7(d329,d329_10,d329_9).
sbond_7(d329,d329_11,d329_10).
sbond_7(d329,d329_11,d329_12).
sbond_7(d329,d329_12,d329_11).
sbond_7(d329,d329_12,d329_4).
sbond_7(d329,d329_2,d329_1).
sbond_7(d329,d329_2,d329_3).
sbond_7(d329,d329_29,d329_30).
sbond_7(d329,d329_29,d329_34).
sbond_7(d329,d329_3,d329_2).
sbond_7(d329,d329_3,d329_4).
sbond_7(d329,d329_3,d329_9).
sbond_7(d329,d329_30,d329_29).
sbond_7(d329,d329_30,d329_31).
sbond_7(d329,d329_31,d329_30).
sbond_7(d329,d329_31,d329_32).
sbond_7(d329,d329_32,d329_31).
sbond_7(d329,d329_32,d329_33).
sbond_7(d329,d329_33,d329_32).
sbond_7(d329,d329_33,d329_34).
sbond_7(d329,d329_34,d329_29).
sbond_7(d329,d329_34,d329_33).
sbond_7(d329,d329_38,d329_39).
sbond_7(d329,d329_38,d329_43).
sbond_7(d329,d329_39,d329_38).
sbond_7(d329,d329_39,d329_40).
sbond_7(d329,d329_4,d329_12).
sbond_7(d329,d329_4,d329_3).
sbond_7(d329,d329_4,d329_5).
sbond_7(d329,d329_40,d329_39).
sbond_7(d329,d329_40,d329_41).
sbond_7(d329,d329_41,d329_40).
sbond_7(d329,d329_41,d329_42).
sbond_7(d329,d329_42,d329_41).
sbond_7(d329,d329_42,d329_43).
sbond_7(d329,d329_43,d329_38).
sbond_7(d329,d329_43,d329_42).
sbond_7(d329,d329_5,d329_4).
sbond_7(d329,d329_5,d329_6).
sbond_7(d329,d329_57,d329_58).
sbond_7(d329,d329_57,d329_62).
sbond_7(d329,d329_58,d329_57).
sbond_7(d329,d329_58,d329_59).
sbond_7(d329,d329_59,d329_58).
sbond_7(d329,d329_59,d329_60).
sbond_7(d329,d329_6,d329_1).
sbond_7(d329,d329_6,d329_5).
sbond_7(d329,d329_60,d329_59).
sbond_7(d329,d329_60,d329_61).
sbond_7(d329,d329_61,d329_60).
sbond_7(d329,d329_61,d329_62).
sbond_7(d329,d329_62,d329_57).
sbond_7(d329,d329_62,d329_61).
sbond_7(d329,d329_69,d329_70).
sbond_7(d329,d329_69,d329_74).
sbond_7(d329,d329_70,d329_69).
sbond_7(d329,d329_70,d329_71).
sbond_7(d329,d329_71,d329_70).
sbond_7(d329,d329_71,d329_72).
sbond_7(d329,d329_72,d329_71).
sbond_7(d329,d329_72,d329_73).
sbond_7(d329,d329_73,d329_72).
sbond_7(d329,d329_73,d329_74).
sbond_7(d329,d329_74,d329_69).
sbond_7(d329,d329_74,d329_73).
sbond_7(d329,d329_9,d329_10).
sbond_7(d329,d329_9,d329_3).
sbond_7(d33,d33_1,d33_2).
sbond_7(d33,d33_1,d33_6).
sbond_7(d33,d33_2,d33_1).
sbond_7(d33,d33_2,d33_3).
sbond_7(d33,d33_3,d33_2).
sbond_7(d33,d33_3,d33_4).
sbond_7(d33,d33_4,d33_3).
sbond_7(d33,d33_4,d33_5).
sbond_7(d33,d33_5,d33_4).
sbond_7(d33,d33_5,d33_6).
sbond_7(d33,d33_6,d33_1).
sbond_7(d33,d33_6,d33_5).
sbond_7(d330,d330_1,d330_2).
sbond_7(d330,d330_1,d330_6).
sbond_7(d330,d330_10,d330_11).
sbond_7(d330,d330_10,d330_15).
sbond_7(d330,d330_11,d330_10).
sbond_7(d330,d330_11,d330_12).
sbond_7(d330,d330_12,d330_11).
sbond_7(d330,d330_12,d330_13).
sbond_7(d330,d330_13,d330_12).
sbond_7(d330,d330_13,d330_14).
sbond_7(d330,d330_14,d330_13).
sbond_7(d330,d330_14,d330_15).
sbond_7(d330,d330_15,d330_10).
sbond_7(d330,d330_15,d330_14).
sbond_7(d330,d330_2,d330_1).
sbond_7(d330,d330_2,d330_3).
sbond_7(d330,d330_21,d330_22).
sbond_7(d330,d330_21,d330_26).
sbond_7(d330,d330_22,d330_21).
sbond_7(d330,d330_22,d330_23).
sbond_7(d330,d330_23,d330_22).
sbond_7(d330,d330_23,d330_24).
sbond_7(d330,d330_23,d330_28).
sbond_7(d330,d330_24,d330_23).
sbond_7(d330,d330_24,d330_25).
sbond_7(d330,d330_24,d330_31).
sbond_7(d330,d330_25,d330_24).
sbond_7(d330,d330_25,d330_26).
sbond_7(d330,d330_26,d330_21).
sbond_7(d330,d330_26,d330_25).
sbond_7(d330,d330_28,d330_23).
sbond_7(d330,d330_28,d330_29).
sbond_7(d330,d330_29,d330_28).
sbond_7(d330,d330_29,d330_30).
sbond_7(d330,d330_3,d330_2).
sbond_7(d330,d330_3,d330_4).
sbond_7(d330,d330_30,d330_29).
sbond_7(d330,d330_30,d330_31).
sbond_7(d330,d330_31,d330_24).
sbond_7(d330,d330_31,d330_30).
sbond_7(d330,d330_4,d330_3).
sbond_7(d330,d330_4,d330_5).
sbond_7(d330,d330_5,d330_4).
sbond_7(d330,d330_5,d330_6).
sbond_7(d330,d330_51,d330_52).
sbond_7(d330,d330_51,d330_56).
sbond_7(d330,d330_52,d330_51).
sbond_7(d330,d330_52,d330_53).
sbond_7(d330,d330_53,d330_52).
sbond_7(d330,d330_53,d330_54).
sbond_7(d330,d330_54,d330_53).
sbond_7(d330,d330_54,d330_55).
sbond_7(d330,d330_54,d330_58).
sbond_7(d330,d330_55,d330_54).
sbond_7(d330,d330_55,d330_56).
sbond_7(d330,d330_55,d330_61).
sbond_7(d330,d330_56,d330_51).
sbond_7(d330,d330_56,d330_55).
sbond_7(d330,d330_58,d330_54).
sbond_7(d330,d330_58,d330_59).
sbond_7(d330,d330_59,d330_58).
sbond_7(d330,d330_59,d330_60).
sbond_7(d330,d330_6,d330_1).
sbond_7(d330,d330_6,d330_5).
sbond_7(d330,d330_60,d330_59).
sbond_7(d330,d330_60,d330_61).
sbond_7(d330,d330_61,d330_55).
sbond_7(d330,d330_61,d330_60).
sbond_7(d331,d331_1,d331_2).
sbond_7(d331,d331_1,d331_6).
sbond_7(d331,d331_2,d331_1).
sbond_7(d331,d331_2,d331_3).
sbond_7(d331,d331_3,d331_2).
sbond_7(d331,d331_3,d331_4).
sbond_7(d331,d331_4,d331_3).
sbond_7(d331,d331_4,d331_5).
sbond_7(d331,d331_5,d331_4).
sbond_7(d331,d331_5,d331_6).
sbond_7(d331,d331_6,d331_1).
sbond_7(d331,d331_6,d331_5).
sbond_7(d333,d333_1,d333_2).
sbond_7(d333,d333_1,d333_6).
sbond_7(d333,d333_10,d333_11).
sbond_7(d333,d333_10,d333_15).
sbond_7(d333,d333_11,d333_10).
sbond_7(d333,d333_11,d333_12).
sbond_7(d333,d333_12,d333_11).
sbond_7(d333,d333_12,d333_13).
sbond_7(d333,d333_13,d333_12).
sbond_7(d333,d333_13,d333_14).
sbond_7(d333,d333_14,d333_13).
sbond_7(d333,d333_14,d333_15).
sbond_7(d333,d333_15,d333_10).
sbond_7(d333,d333_15,d333_14).
sbond_7(d333,d333_2,d333_1).
sbond_7(d333,d333_2,d333_3).
sbond_7(d333,d333_3,d333_2).
sbond_7(d333,d333_3,d333_4).
sbond_7(d333,d333_4,d333_3).
sbond_7(d333,d333_4,d333_5).
sbond_7(d333,d333_5,d333_4).
sbond_7(d333,d333_5,d333_6).
sbond_7(d333,d333_6,d333_1).
sbond_7(d333,d333_6,d333_5).
sbond_7(d334,d334_1,d334_2).
sbond_7(d334,d334_1,d334_6).
sbond_7(d334,d334_2,d334_1).
sbond_7(d334,d334_2,d334_3).
sbond_7(d334,d334_3,d334_2).
sbond_7(d334,d334_3,d334_4).
sbond_7(d334,d334_4,d334_3).
sbond_7(d334,d334_4,d334_5).
sbond_7(d334,d334_5,d334_4).
sbond_7(d334,d334_5,d334_6).
sbond_7(d334,d334_6,d334_1).
sbond_7(d334,d334_6,d334_5).
sbond_7(d335,d335_1,d335_2).
sbond_7(d335,d335_1,d335_6).
sbond_7(d335,d335_2,d335_1).
sbond_7(d335,d335_2,d335_3).
sbond_7(d335,d335_3,d335_2).
sbond_7(d335,d335_3,d335_4).
sbond_7(d335,d335_4,d335_3).
sbond_7(d335,d335_4,d335_5).
sbond_7(d335,d335_5,d335_4).
sbond_7(d335,d335_5,d335_6).
sbond_7(d335,d335_6,d335_1).
sbond_7(d335,d335_6,d335_5).
sbond_7(d336,d336_1,d336_2).
sbond_7(d336,d336_1,d336_6).
sbond_7(d336,d336_2,d336_1).
sbond_7(d336,d336_2,d336_3).
sbond_7(d336,d336_3,d336_2).
sbond_7(d336,d336_3,d336_4).
sbond_7(d336,d336_4,d336_3).
sbond_7(d336,d336_4,d336_5).
sbond_7(d336,d336_5,d336_4).
sbond_7(d336,d336_5,d336_6).
sbond_7(d336,d336_6,d336_1).
sbond_7(d336,d336_6,d336_5).
sbond_7(d34,d34_1,d34_2).
sbond_7(d34,d34_1,d34_6).
sbond_7(d34,d34_12,d34_13).
sbond_7(d34,d34_12,d34_17).
sbond_7(d34,d34_13,d34_12).
sbond_7(d34,d34_13,d34_14).
sbond_7(d34,d34_14,d34_13).
sbond_7(d34,d34_14,d34_15).
sbond_7(d34,d34_15,d34_14).
sbond_7(d34,d34_15,d34_16).
sbond_7(d34,d34_16,d34_15).
sbond_7(d34,d34_16,d34_17).
sbond_7(d34,d34_17,d34_12).
sbond_7(d34,d34_17,d34_16).
sbond_7(d34,d34_2,d34_1).
sbond_7(d34,d34_2,d34_3).
sbond_7(d34,d34_3,d34_2).
sbond_7(d34,d34_3,d34_4).
sbond_7(d34,d34_4,d34_3).
sbond_7(d34,d34_4,d34_5).
sbond_7(d34,d34_5,d34_4).
sbond_7(d34,d34_5,d34_6).
sbond_7(d34,d34_6,d34_1).
sbond_7(d34,d34_6,d34_5).
sbond_7(d35,d35_1,d35_2).
sbond_7(d35,d35_1,d35_6).
sbond_7(d35,d35_2,d35_1).
sbond_7(d35,d35_2,d35_3).
sbond_7(d35,d35_3,d35_2).
sbond_7(d35,d35_3,d35_4).
sbond_7(d35,d35_4,d35_3).
sbond_7(d35,d35_4,d35_5).
sbond_7(d35,d35_5,d35_4).
sbond_7(d35,d35_5,d35_6).
sbond_7(d35,d35_6,d35_1).
sbond_7(d35,d35_6,d35_5).
sbond_7(d36,d36a_1,d36a_2).
sbond_7(d36,d36a_1,d36a_6).
sbond_7(d36,d36a_10,d36a_11).
sbond_7(d36,d36a_10,d36a_17).
sbond_7(d36,d36a_10,d36a_9).
sbond_7(d36,d36a_11,d36a_10).
sbond_7(d36,d36a_11,d36a_12).
sbond_7(d36,d36a_11,d36a_20).
sbond_7(d36,d36a_12,d36a_11).
sbond_7(d36,d36a_12,d36a_13).
sbond_7(d36,d36a_13,d36a_12).
sbond_7(d36,d36a_13,d36a_14).
sbond_7(d36,d36a_14,d36a_13).
sbond_7(d36,d36a_14,d36a_9).
sbond_7(d36,d36a_17,d36a_10).
sbond_7(d36,d36a_17,d36a_18).
sbond_7(d36,d36a_18,d36a_17).
sbond_7(d36,d36a_18,d36a_19).
sbond_7(d36,d36a_19,d36a_18).
sbond_7(d36,d36a_19,d36a_20).
sbond_7(d36,d36a_2,d36a_1).
sbond_7(d36,d36a_2,d36a_3).
sbond_7(d36,d36a_20,d36a_11).
sbond_7(d36,d36a_20,d36a_19).
sbond_7(d36,d36a_3,d36a_2).
sbond_7(d36,d36a_3,d36a_4).
sbond_7(d36,d36a_4,d36a_3).
sbond_7(d36,d36a_4,d36a_5).
sbond_7(d36,d36a_5,d36a_4).
sbond_7(d36,d36a_5,d36a_6).
sbond_7(d36,d36a_6,d36a_1).
sbond_7(d36,d36a_6,d36a_5).
sbond_7(d36,d36a_9,d36a_10).
sbond_7(d36,d36a_9,d36a_14).
sbond_7(d37,d37_1,d37_2).
sbond_7(d37,d37_1,d37_6).
sbond_7(d37,d37_10,d37_11).
sbond_7(d37,d37_10,d37_15).
sbond_7(d37,d37_11,d37_10).
sbond_7(d37,d37_11,d37_12).
sbond_7(d37,d37_12,d37_11).
sbond_7(d37,d37_12,d37_13).
sbond_7(d37,d37_13,d37_12).
sbond_7(d37,d37_13,d37_14).
sbond_7(d37,d37_14,d37_13).
sbond_7(d37,d37_14,d37_15).
sbond_7(d37,d37_15,d37_10).
sbond_7(d37,d37_15,d37_14).
sbond_7(d37,d37_2,d37_1).
sbond_7(d37,d37_2,d37_3).
sbond_7(d37,d37_3,d37_2).
sbond_7(d37,d37_3,d37_4).
sbond_7(d37,d37_4,d37_3).
sbond_7(d37,d37_4,d37_5).
sbond_7(d37,d37_5,d37_4).
sbond_7(d37,d37_5,d37_6).
sbond_7(d37,d37_6,d37_1).
sbond_7(d37,d37_6,d37_5).
sbond_7(d38,d38_1,d38_2).
sbond_7(d38,d38_1,d38_6).
sbond_7(d38,d38_2,d38_1).
sbond_7(d38,d38_2,d38_3).
sbond_7(d38,d38_3,d38_2).
sbond_7(d38,d38_3,d38_4).
sbond_7(d38,d38_4,d38_3).
sbond_7(d38,d38_4,d38_5).
sbond_7(d38,d38_5,d38_4).
sbond_7(d38,d38_5,d38_6).
sbond_7(d38,d38_6,d38_1).
sbond_7(d38,d38_6,d38_5).
sbond_7(d39,d39_1,d39_2).
sbond_7(d39,d39_1,d39_6).
sbond_7(d39,d39_2,d39_1).
sbond_7(d39,d39_2,d39_3).
sbond_7(d39,d39_3,d39_2).
sbond_7(d39,d39_3,d39_4).
sbond_7(d39,d39_4,d39_3).
sbond_7(d39,d39_4,d39_5).
sbond_7(d39,d39_5,d39_4).
sbond_7(d39,d39_5,d39_6).
sbond_7(d39,d39_6,d39_1).
sbond_7(d39,d39_6,d39_5).
sbond_7(d4,d4_1,d4_2).
sbond_7(d4,d4_1,d4_6).
sbond_7(d4,d4_2,d4_1).
sbond_7(d4,d4_2,d4_3).
sbond_7(d4,d4_3,d4_2).
sbond_7(d4,d4_3,d4_4).
sbond_7(d4,d4_4,d4_3).
sbond_7(d4,d4_4,d4_5).
sbond_7(d4,d4_5,d4_4).
sbond_7(d4,d4_5,d4_6).
sbond_7(d4,d4_6,d4_1).
sbond_7(d4,d4_6,d4_5).
sbond_7(d40,d40_1,d40_2).
sbond_7(d40,d40_1,d40_6).
sbond_7(d40,d40_11,d40_12).
sbond_7(d40,d40_11,d40_16).
sbond_7(d40,d40_12,d40_11).
sbond_7(d40,d40_12,d40_13).
sbond_7(d40,d40_13,d40_12).
sbond_7(d40,d40_13,d40_14).
sbond_7(d40,d40_14,d40_13).
sbond_7(d40,d40_14,d40_15).
sbond_7(d40,d40_15,d40_14).
sbond_7(d40,d40_15,d40_16).
sbond_7(d40,d40_16,d40_11).
sbond_7(d40,d40_16,d40_15).
sbond_7(d40,d40_2,d40_1).
sbond_7(d40,d40_2,d40_3).
sbond_7(d40,d40_3,d40_2).
sbond_7(d40,d40_3,d40_4).
sbond_7(d40,d40_4,d40_3).
sbond_7(d40,d40_4,d40_5).
sbond_7(d40,d40_5,d40_4).
sbond_7(d40,d40_5,d40_6).
sbond_7(d40,d40_6,d40_1).
sbond_7(d40,d40_6,d40_5).
sbond_7(d41,d41_1,d41_2).
sbond_7(d41,d41_1,d41_6).
sbond_7(d41,d41_2,d41_1).
sbond_7(d41,d41_2,d41_3).
sbond_7(d41,d41_3,d41_2).
sbond_7(d41,d41_3,d41_4).
sbond_7(d41,d41_4,d41_3).
sbond_7(d41,d41_4,d41_5).
sbond_7(d41,d41_5,d41_4).
sbond_7(d41,d41_5,d41_6).
sbond_7(d41,d41_6,d41_1).
sbond_7(d41,d41_6,d41_5).
sbond_7(d42,d42_1,d42_2).
sbond_7(d42,d42_1,d42_6).
sbond_7(d42,d42_2,d42_1).
sbond_7(d42,d42_2,d42_3).
sbond_7(d42,d42_3,d42_2).
sbond_7(d42,d42_3,d42_4).
sbond_7(d42,d42_4,d42_3).
sbond_7(d42,d42_4,d42_5).
sbond_7(d42,d42_5,d42_4).
sbond_7(d42,d42_5,d42_6).
sbond_7(d42,d42_6,d42_1).
sbond_7(d42,d42_6,d42_5).
sbond_7(d43,d43_1,d43_2).
sbond_7(d43,d43_1,d43_6).
sbond_7(d43,d43_10,d43_11).
sbond_7(d43,d43_10,d43_13).
sbond_7(d43,d43_11,d43_10).
sbond_7(d43,d43_11,d43_16).
sbond_7(d43,d43_13,d43_10).
sbond_7(d43,d43_13,d43_14).
sbond_7(d43,d43_14,d43_13).
sbond_7(d43,d43_14,d43_15).
sbond_7(d43,d43_15,d43_14).
sbond_7(d43,d43_15,d43_16).
sbond_7(d43,d43_16,d43_11).
sbond_7(d43,d43_16,d43_15).
sbond_7(d43,d43_2,d43_1).
sbond_7(d43,d43_2,d43_3).
sbond_7(d43,d43_3,d43_2).
sbond_7(d43,d43_3,d43_4).
sbond_7(d43,d43_4,d43_3).
sbond_7(d43,d43_4,d43_5).
sbond_7(d43,d43_5,d43_4).
sbond_7(d43,d43_5,d43_6).
sbond_7(d43,d43_6,d43_1).
sbond_7(d43,d43_6,d43_5).
sbond_7(d44,d44_1,d44_2).
sbond_7(d44,d44_1,d44_6).
sbond_7(d44,d44_2,d44_1).
sbond_7(d44,d44_2,d44_3).
sbond_7(d44,d44_3,d44_2).
sbond_7(d44,d44_3,d44_4).
sbond_7(d44,d44_4,d44_3).
sbond_7(d44,d44_4,d44_5).
sbond_7(d44,d44_5,d44_4).
sbond_7(d44,d44_5,d44_6).
sbond_7(d44,d44_6,d44_1).
sbond_7(d44,d44_6,d44_5).
sbond_7(d45,d45_1,d45_2).
sbond_7(d45,d45_1,d45_6).
sbond_7(d45,d45_2,d45_1).
sbond_7(d45,d45_2,d45_3).
sbond_7(d45,d45_3,d45_2).
sbond_7(d45,d45_3,d45_4).
sbond_7(d45,d45_4,d45_3).
sbond_7(d45,d45_4,d45_5).
sbond_7(d45,d45_5,d45_4).
sbond_7(d45,d45_5,d45_6).
sbond_7(d45,d45_6,d45_1).
sbond_7(d45,d45_6,d45_5).
sbond_7(d46,d46_1,d46_2).
sbond_7(d46,d46_1,d46_6).
sbond_7(d46,d46_13,d46_15).
sbond_7(d46,d46_13,d46_4).
sbond_7(d46,d46_14,d46_15).
sbond_7(d46,d46_14,d46_3).
sbond_7(d46,d46_15,d46_13).
sbond_7(d46,d46_15,d46_14).
sbond_7(d46,d46_2,d46_1).
sbond_7(d46,d46_2,d46_3).
sbond_7(d46,d46_3,d46_14).
sbond_7(d46,d46_3,d46_2).
sbond_7(d46,d46_3,d46_4).
sbond_7(d46,d46_4,d46_13).
sbond_7(d46,d46_4,d46_3).
sbond_7(d46,d46_4,d46_5).
sbond_7(d46,d46_5,d46_4).
sbond_7(d46,d46_5,d46_6).
sbond_7(d46,d46_6,d46_1).
sbond_7(d46,d46_6,d46_5).
sbond_7(d47,d47_1,d47_2).
sbond_7(d47,d47_1,d47_6).
sbond_7(d47,d47_12,d47_13).
sbond_7(d47,d47_12,d47_17).
sbond_7(d47,d47_13,d47_12).
sbond_7(d47,d47_13,d47_14).
sbond_7(d47,d47_14,d47_13).
sbond_7(d47,d47_14,d47_15).
sbond_7(d47,d47_15,d47_14).
sbond_7(d47,d47_15,d47_16).
sbond_7(d47,d47_16,d47_15).
sbond_7(d47,d47_16,d47_17).
sbond_7(d47,d47_16,d47_20).
sbond_7(d47,d47_17,d47_12).
sbond_7(d47,d47_17,d47_16).
sbond_7(d47,d47_17,d47_23).
sbond_7(d47,d47_2,d47_1).
sbond_7(d47,d47_2,d47_3).
sbond_7(d47,d47_20,d47_16).
sbond_7(d47,d47_20,d47_21).
sbond_7(d47,d47_21,d47_20).
sbond_7(d47,d47_21,d47_22).
sbond_7(d47,d47_22,d47_21).
sbond_7(d47,d47_22,d47_23).
sbond_7(d47,d47_23,d47_17).
sbond_7(d47,d47_23,d47_22).
sbond_7(d47,d47_3,d47_2).
sbond_7(d47,d47_3,d47_4).
sbond_7(d47,d47_4,d47_3).
sbond_7(d47,d47_4,d47_5).
sbond_7(d47,d47_5,d47_4).
sbond_7(d47,d47_5,d47_6).
sbond_7(d47,d47_6,d47_1).
sbond_7(d47,d47_6,d47_5).
sbond_7(d48,d48_1,d48_2).
sbond_7(d48,d48_1,d48_6).
sbond_7(d48,d48_2,d48_1).
sbond_7(d48,d48_2,d48_3).
sbond_7(d48,d48_3,d48_2).
sbond_7(d48,d48_3,d48_4).
sbond_7(d48,d48_4,d48_3).
sbond_7(d48,d48_4,d48_5).
sbond_7(d48,d48_5,d48_4).
sbond_7(d48,d48_5,d48_6).
sbond_7(d48,d48_6,d48_1).
sbond_7(d48,d48_6,d48_5).
sbond_7(d49,d49_1,d49_2).
sbond_7(d49,d49_1,d49_6).
sbond_7(d49,d49_2,d49_1).
sbond_7(d49,d49_2,d49_3).
sbond_7(d49,d49_3,d49_2).
sbond_7(d49,d49_3,d49_4).
sbond_7(d49,d49_4,d49_3).
sbond_7(d49,d49_4,d49_5).
sbond_7(d49,d49_5,d49_4).
sbond_7(d49,d49_5,d49_6).
sbond_7(d49,d49_6,d49_1).
sbond_7(d49,d49_6,d49_5).
sbond_7(d5,d5_1,d5_2).
sbond_7(d5,d5_1,d5_6).
sbond_7(d5,d5_2,d5_1).
sbond_7(d5,d5_2,d5_3).
sbond_7(d5,d5_3,d5_2).
sbond_7(d5,d5_3,d5_4).
sbond_7(d5,d5_4,d5_3).
sbond_7(d5,d5_4,d5_5).
sbond_7(d5,d5_5,d5_4).
sbond_7(d5,d5_5,d5_6).
sbond_7(d5,d5_6,d5_1).
sbond_7(d5,d5_6,d5_5).
sbond_7(d50,d50_1,d50_2).
sbond_7(d50,d50_1,d50_5).
sbond_7(d50,d50_2,d50_1).
sbond_7(d50,d50_2,d50_3).
sbond_7(d50,d50_3,d50_2).
sbond_7(d50,d50_3,d50_4).
sbond_7(d50,d50_4,d50_3).
sbond_7(d50,d50_4,d50_5).
sbond_7(d50,d50_5,d50_1).
sbond_7(d50,d50_5,d50_4).
sbond_7(d52,d52_1,d52_2).
sbond_7(d52,d52_1,d52_6).
sbond_7(d52,d52_12,d52_13).
sbond_7(d52,d52_12,d52_17).
sbond_7(d52,d52_13,d52_12).
sbond_7(d52,d52_13,d52_14).
sbond_7(d52,d52_14,d52_13).
sbond_7(d52,d52_14,d52_15).
sbond_7(d52,d52_15,d52_14).
sbond_7(d52,d52_15,d52_16).
sbond_7(d52,d52_16,d52_15).
sbond_7(d52,d52_16,d52_17).
sbond_7(d52,d52_17,d52_12).
sbond_7(d52,d52_17,d52_16).
sbond_7(d52,d52_2,d52_1).
sbond_7(d52,d52_2,d52_3).
sbond_7(d52,d52_3,d52_2).
sbond_7(d52,d52_3,d52_4).
sbond_7(d52,d52_4,d52_3).
sbond_7(d52,d52_4,d52_5).
sbond_7(d52,d52_5,d52_4).
sbond_7(d52,d52_5,d52_6).
sbond_7(d52,d52_6,d52_1).
sbond_7(d52,d52_6,d52_5).
sbond_7(d53,d53_1,d53_2).
sbond_7(d53,d53_1,d53_6).
sbond_7(d53,d53_2,d53_1).
sbond_7(d53,d53_2,d53_3).
sbond_7(d53,d53_3,d53_2).
sbond_7(d53,d53_3,d53_4).
sbond_7(d53,d53_4,d53_3).
sbond_7(d53,d53_4,d53_5).
sbond_7(d53,d53_5,d53_4).
sbond_7(d53,d53_5,d53_6).
sbond_7(d53,d53_6,d53_1).
sbond_7(d53,d53_6,d53_5).
sbond_7(d54,d54_1,d54_2).
sbond_7(d54,d54_1,d54_6).
sbond_7(d54,d54_2,d54_1).
sbond_7(d54,d54_2,d54_3).
sbond_7(d54,d54_3,d54_2).
sbond_7(d54,d54_3,d54_4).
sbond_7(d54,d54_4,d54_3).
sbond_7(d54,d54_4,d54_5).
sbond_7(d54,d54_5,d54_4).
sbond_7(d54,d54_5,d54_6).
sbond_7(d54,d54_6,d54_1).
sbond_7(d54,d54_6,d54_5).
sbond_7(d55,d55_1,d55_2).
sbond_7(d55,d55_1,d55_6).
sbond_7(d55,d55_2,d55_1).
sbond_7(d55,d55_2,d55_3).
sbond_7(d55,d55_3,d55_2).
sbond_7(d55,d55_3,d55_4).
sbond_7(d55,d55_4,d55_3).
sbond_7(d55,d55_4,d55_5).
sbond_7(d55,d55_5,d55_4).
sbond_7(d55,d55_5,d55_6).
sbond_7(d55,d55_6,d55_1).
sbond_7(d55,d55_6,d55_5).
sbond_7(d56,d56_1,d56_2).
sbond_7(d56,d56_1,d56_6).
sbond_7(d56,d56_2,d56_1).
sbond_7(d56,d56_2,d56_3).
sbond_7(d56,d56_3,d56_2).
sbond_7(d56,d56_3,d56_4).
sbond_7(d56,d56_4,d56_3).
sbond_7(d56,d56_4,d56_5).
sbond_7(d56,d56_5,d56_4).
sbond_7(d56,d56_5,d56_6).
sbond_7(d56,d56_6,d56_1).
sbond_7(d56,d56_6,d56_5).
sbond_7(d57,d57_1,d57_2).
sbond_7(d57,d57_1,d57_6).
sbond_7(d57,d57_2,d57_1).
sbond_7(d57,d57_2,d57_3).
sbond_7(d57,d57_3,d57_2).
sbond_7(d57,d57_3,d57_4).
sbond_7(d57,d57_4,d57_3).
sbond_7(d57,d57_4,d57_5).
sbond_7(d57,d57_5,d57_4).
sbond_7(d57,d57_5,d57_6).
sbond_7(d57,d57_6,d57_1).
sbond_7(d57,d57_6,d57_5).
sbond_7(d58,d58_1,d58_2).
sbond_7(d58,d58_1,d58_6).
sbond_7(d58,d58_10,d58_11).
sbond_7(d58,d58_10,d58_15).
sbond_7(d58,d58_11,d58_10).
sbond_7(d58,d58_11,d58_12).
sbond_7(d58,d58_12,d58_11).
sbond_7(d58,d58_12,d58_13).
sbond_7(d58,d58_13,d58_12).
sbond_7(d58,d58_13,d58_14).
sbond_7(d58,d58_14,d58_13).
sbond_7(d58,d58_14,d58_15).
sbond_7(d58,d58_15,d58_10).
sbond_7(d58,d58_15,d58_14).
sbond_7(d58,d58_19,d58_20).
sbond_7(d58,d58_19,d58_24).
sbond_7(d58,d58_2,d58_1).
sbond_7(d58,d58_2,d58_3).
sbond_7(d58,d58_20,d58_19).
sbond_7(d58,d58_20,d58_21).
sbond_7(d58,d58_21,d58_20).
sbond_7(d58,d58_21,d58_22).
sbond_7(d58,d58_22,d58_21).
sbond_7(d58,d58_22,d58_23).
sbond_7(d58,d58_23,d58_22).
sbond_7(d58,d58_23,d58_24).
sbond_7(d58,d58_24,d58_19).
sbond_7(d58,d58_24,d58_23).
sbond_7(d58,d58_3,d58_2).
sbond_7(d58,d58_3,d58_4).
sbond_7(d58,d58_4,d58_3).
sbond_7(d58,d58_4,d58_5).
sbond_7(d58,d58_5,d58_4).
sbond_7(d58,d58_5,d58_6).
sbond_7(d58,d58_6,d58_1).
sbond_7(d58,d58_6,d58_5).
sbond_7(d59,d59_1,d59_2).
sbond_7(d59,d59_1,d59_6).
sbond_7(d59,d59_2,d59_1).
sbond_7(d59,d59_2,d59_3).
sbond_7(d59,d59_3,d59_2).
sbond_7(d59,d59_3,d59_4).
sbond_7(d59,d59_4,d59_3).
sbond_7(d59,d59_4,d59_5).
sbond_7(d59,d59_5,d59_4).
sbond_7(d59,d59_5,d59_6).
sbond_7(d59,d59_6,d59_1).
sbond_7(d59,d59_6,d59_5).
sbond_7(d6,d6_1,d6_2).
sbond_7(d6,d6_1,d6_6).
sbond_7(d6,d6_2,d6_1).
sbond_7(d6,d6_2,d6_3).
sbond_7(d6,d6_3,d6_2).
sbond_7(d6,d6_3,d6_4).
sbond_7(d6,d6_4,d6_3).
sbond_7(d6,d6_4,d6_5).
sbond_7(d6,d6_5,d6_4).
sbond_7(d6,d6_5,d6_6).
sbond_7(d6,d6_6,d6_1).
sbond_7(d6,d6_6,d6_5).
sbond_7(d60,d60_1,d60_2).
sbond_7(d60,d60_1,d60_6).
sbond_7(d60,d60_2,d60_1).
sbond_7(d60,d60_2,d60_3).
sbond_7(d60,d60_3,d60_2).
sbond_7(d60,d60_3,d60_4).
sbond_7(d60,d60_4,d60_3).
sbond_7(d60,d60_4,d60_5).
sbond_7(d60,d60_5,d60_4).
sbond_7(d60,d60_5,d60_6).
sbond_7(d60,d60_6,d60_1).
sbond_7(d60,d60_6,d60_5).
sbond_7(d61,d61_1,d61_2).
sbond_7(d61,d61_1,d61_6).
sbond_7(d61,d61_2,d61_1).
sbond_7(d61,d61_2,d61_3).
sbond_7(d61,d61_3,d61_2).
sbond_7(d61,d61_3,d61_4).
sbond_7(d61,d61_4,d61_3).
sbond_7(d61,d61_4,d61_5).
sbond_7(d61,d61_5,d61_4).
sbond_7(d61,d61_5,d61_6).
sbond_7(d61,d61_6,d61_1).
sbond_7(d61,d61_6,d61_5).
sbond_7(d62,d62_1,d62_2).
sbond_7(d62,d62_1,d62_6).
sbond_7(d62,d62_10,d62_11).
sbond_7(d62,d62_10,d62_3).
sbond_7(d62,d62_11,d62_10).
sbond_7(d62,d62_11,d62_12).
sbond_7(d62,d62_11,d62_15).
sbond_7(d62,d62_12,d62_11).
sbond_7(d62,d62_12,d62_13).
sbond_7(d62,d62_12,d62_18).
sbond_7(d62,d62_13,d62_12).
sbond_7(d62,d62_13,d62_4).
sbond_7(d62,d62_15,d62_11).
sbond_7(d62,d62_15,d62_16).
sbond_7(d62,d62_16,d62_15).
sbond_7(d62,d62_16,d62_17).
sbond_7(d62,d62_17,d62_16).
sbond_7(d62,d62_17,d62_18).
sbond_7(d62,d62_18,d62_12).
sbond_7(d62,d62_18,d62_17).
sbond_7(d62,d62_2,d62_1).
sbond_7(d62,d62_2,d62_3).
sbond_7(d62,d62_3,d62_10).
sbond_7(d62,d62_3,d62_2).
sbond_7(d62,d62_3,d62_4).
sbond_7(d62,d62_4,d62_13).
sbond_7(d62,d62_4,d62_3).
sbond_7(d62,d62_4,d62_5).
sbond_7(d62,d62_5,d62_4).
sbond_7(d62,d62_5,d62_6).
sbond_7(d62,d62_6,d62_1).
sbond_7(d62,d62_6,d62_5).
sbond_7(d63,d63_1,d63_2).
sbond_7(d63,d63_1,d63_6).
sbond_7(d63,d63_2,d63_1).
sbond_7(d63,d63_2,d63_3).
sbond_7(d63,d63_3,d63_2).
sbond_7(d63,d63_3,d63_4).
sbond_7(d63,d63_4,d63_3).
sbond_7(d63,d63_4,d63_5).
sbond_7(d63,d63_5,d63_4).
sbond_7(d63,d63_5,d63_6).
sbond_7(d63,d63_6,d63_1).
sbond_7(d63,d63_6,d63_5).
sbond_7(d64,d64_1,d64_2).
sbond_7(d64,d64_1,d64_6).
sbond_7(d64,d64_11,d64_12).
sbond_7(d64,d64_11,d64_3).
sbond_7(d64,d64_12,d64_11).
sbond_7(d64,d64_12,d64_13).
sbond_7(d64,d64_13,d64_12).
sbond_7(d64,d64_13,d64_14).
sbond_7(d64,d64_14,d64_13).
sbond_7(d64,d64_14,d64_4).
sbond_7(d64,d64_18,d64_19).
sbond_7(d64,d64_18,d64_23).
sbond_7(d64,d64_19,d64_18).
sbond_7(d64,d64_19,d64_20).
sbond_7(d64,d64_2,d64_1).
sbond_7(d64,d64_2,d64_3).
sbond_7(d64,d64_20,d64_19).
sbond_7(d64,d64_20,d64_21).
sbond_7(d64,d64_21,d64_20).
sbond_7(d64,d64_21,d64_22).
sbond_7(d64,d64_22,d64_21).
sbond_7(d64,d64_22,d64_23).
sbond_7(d64,d64_23,d64_18).
sbond_7(d64,d64_23,d64_22).
sbond_7(d64,d64_3,d64_11).
sbond_7(d64,d64_3,d64_2).
sbond_7(d64,d64_3,d64_4).
sbond_7(d64,d64_4,d64_14).
sbond_7(d64,d64_4,d64_3).
sbond_7(d64,d64_4,d64_5).
sbond_7(d64,d64_5,d64_4).
sbond_7(d64,d64_5,d64_6).
sbond_7(d64,d64_6,d64_1).
sbond_7(d64,d64_6,d64_5).
sbond_7(d65,d65_1,d65_2).
sbond_7(d65,d65_1,d65_6).
sbond_7(d65,d65_2,d65_1).
sbond_7(d65,d65_2,d65_3).
sbond_7(d65,d65_3,d65_2).
sbond_7(d65,d65_3,d65_4).
sbond_7(d65,d65_4,d65_3).
sbond_7(d65,d65_4,d65_5).
sbond_7(d65,d65_5,d65_4).
sbond_7(d65,d65_5,d65_6).
sbond_7(d65,d65_6,d65_1).
sbond_7(d65,d65_6,d65_5).
sbond_7(d66,d66_1,d66_2).
sbond_7(d66,d66_1,d66_6).
sbond_7(d66,d66_10,d66_11).
sbond_7(d66,d66_10,d66_13).
sbond_7(d66,d66_10,d66_9).
sbond_7(d66,d66_11,d66_10).
sbond_7(d66,d66_11,d66_12).
sbond_7(d66,d66_11,d66_16).
sbond_7(d66,d66_12,d66_11).
sbond_7(d66,d66_12,d66_7).
sbond_7(d66,d66_13,d66_10).
sbond_7(d66,d66_13,d66_14).
sbond_7(d66,d66_14,d66_13).
sbond_7(d66,d66_14,d66_15).
sbond_7(d66,d66_15,d66_14).
sbond_7(d66,d66_15,d66_16).
sbond_7(d66,d66_16,d66_11).
sbond_7(d66,d66_16,d66_15).
sbond_7(d66,d66_17,d66_18).
sbond_7(d66,d66_17,d66_7).
sbond_7(d66,d66_18,d66_17).
sbond_7(d66,d66_18,d66_19).
sbond_7(d66,d66_19,d66_18).
sbond_7(d66,d66_19,d66_20).
sbond_7(d66,d66_2,d66_1).
sbond_7(d66,d66_2,d66_3).
sbond_7(d66,d66_20,d66_19).
sbond_7(d66,d66_20,d66_8).
sbond_7(d66,d66_3,d66_2).
sbond_7(d66,d66_3,d66_4).
sbond_7(d66,d66_4,d66_3).
sbond_7(d66,d66_4,d66_5).
sbond_7(d66,d66_5,d66_4).
sbond_7(d66,d66_5,d66_6).
sbond_7(d66,d66_6,d66_1).
sbond_7(d66,d66_6,d66_5).
sbond_7(d66,d66_7,d66_12).
sbond_7(d66,d66_7,d66_17).
sbond_7(d66,d66_7,d66_8).
sbond_7(d66,d66_8,d66_20).
sbond_7(d66,d66_8,d66_7).
sbond_7(d66,d66_8,d66_9).
sbond_7(d66,d66_9,d66_10).
sbond_7(d66,d66_9,d66_8).
sbond_7(d67,d67_1,d67_2).
sbond_7(d67,d67_1,d67_6).
sbond_7(d67,d67_2,d67_1).
sbond_7(d67,d67_2,d67_3).
sbond_7(d67,d67_3,d67_2).
sbond_7(d67,d67_3,d67_4).
sbond_7(d67,d67_4,d67_3).
sbond_7(d67,d67_4,d67_5).
sbond_7(d67,d67_5,d67_4).
sbond_7(d67,d67_5,d67_6).
sbond_7(d67,d67_6,d67_1).
sbond_7(d67,d67_6,d67_5).
sbond_7(d68,d68_1,d68_2).
sbond_7(d68,d68_1,d68_6).
sbond_7(d68,d68_2,d68_1).
sbond_7(d68,d68_2,d68_3).
sbond_7(d68,d68_3,d68_2).
sbond_7(d68,d68_3,d68_4).
sbond_7(d68,d68_4,d68_3).
sbond_7(d68,d68_4,d68_5).
sbond_7(d68,d68_5,d68_4).
sbond_7(d68,d68_5,d68_6).
sbond_7(d68,d68_6,d68_1).
sbond_7(d68,d68_6,d68_5).
sbond_7(d69,d69_1,d69_2).
sbond_7(d69,d69_1,d69_6).
sbond_7(d69,d69_2,d69_1).
sbond_7(d69,d69_2,d69_3).
sbond_7(d69,d69_3,d69_2).
sbond_7(d69,d69_3,d69_4).
sbond_7(d69,d69_4,d69_3).
sbond_7(d69,d69_4,d69_5).
sbond_7(d69,d69_5,d69_4).
sbond_7(d69,d69_5,d69_6).
sbond_7(d69,d69_6,d69_1).
sbond_7(d69,d69_6,d69_5).
sbond_7(d7,d7_1,d7_2).
sbond_7(d7,d7_1,d7_6).
sbond_7(d7,d7_10,d7_11).
sbond_7(d7,d7_10,d7_15).
sbond_7(d7,d7_11,d7_10).
sbond_7(d7,d7_11,d7_12).
sbond_7(d7,d7_12,d7_11).
sbond_7(d7,d7_12,d7_13).
sbond_7(d7,d7_13,d7_12).
sbond_7(d7,d7_13,d7_14).
sbond_7(d7,d7_14,d7_13).
sbond_7(d7,d7_14,d7_15).
sbond_7(d7,d7_15,d7_10).
sbond_7(d7,d7_15,d7_14).
sbond_7(d7,d7_2,d7_1).
sbond_7(d7,d7_2,d7_3).
sbond_7(d7,d7_20,d7_21).
sbond_7(d7,d7_20,d7_25).
sbond_7(d7,d7_21,d7_20).
sbond_7(d7,d7_21,d7_22).
sbond_7(d7,d7_22,d7_21).
sbond_7(d7,d7_22,d7_23).
sbond_7(d7,d7_23,d7_22).
sbond_7(d7,d7_23,d7_24).
sbond_7(d7,d7_24,d7_23).
sbond_7(d7,d7_24,d7_25).
sbond_7(d7,d7_25,d7_20).
sbond_7(d7,d7_25,d7_24).
sbond_7(d7,d7_3,d7_2).
sbond_7(d7,d7_3,d7_4).
sbond_7(d7,d7_4,d7_3).
sbond_7(d7,d7_4,d7_5).
sbond_7(d7,d7_5,d7_4).
sbond_7(d7,d7_5,d7_6).
sbond_7(d7,d7_6,d7_1).
sbond_7(d7,d7_6,d7_5).
sbond_7(d70,d70_1,d70_2).
sbond_7(d70,d70_1,d70_6).
sbond_7(d70,d70_2,d70_1).
sbond_7(d70,d70_2,d70_3).
sbond_7(d70,d70_3,d70_2).
sbond_7(d70,d70_3,d70_4).
sbond_7(d70,d70_4,d70_3).
sbond_7(d70,d70_4,d70_5).
sbond_7(d70,d70_5,d70_4).
sbond_7(d70,d70_5,d70_6).
sbond_7(d70,d70_6,d70_1).
sbond_7(d70,d70_6,d70_5).
sbond_7(d71,d71_1,d71_2).
sbond_7(d71,d71_1,d71_6).
sbond_7(d71,d71_2,d71_1).
sbond_7(d71,d71_2,d71_3).
sbond_7(d71,d71_3,d71_2).
sbond_7(d71,d71_3,d71_4).
sbond_7(d71,d71_4,d71_3).
sbond_7(d71,d71_4,d71_5).
sbond_7(d71,d71_5,d71_4).
sbond_7(d71,d71_5,d71_6).
sbond_7(d71,d71_6,d71_1).
sbond_7(d71,d71_6,d71_5).
sbond_7(d72,d72_1,d72_2).
sbond_7(d72,d72_1,d72_6).
sbond_7(d72,d72_2,d72_1).
sbond_7(d72,d72_2,d72_3).
sbond_7(d72,d72_3,d72_2).
sbond_7(d72,d72_3,d72_4).
sbond_7(d72,d72_4,d72_3).
sbond_7(d72,d72_4,d72_5).
sbond_7(d72,d72_5,d72_4).
sbond_7(d72,d72_5,d72_6).
sbond_7(d72,d72_6,d72_1).
sbond_7(d72,d72_6,d72_5).
sbond_7(d73,d73_1,d73_2).
sbond_7(d73,d73_1,d73_6).
sbond_7(d73,d73_2,d73_1).
sbond_7(d73,d73_2,d73_3).
sbond_7(d73,d73_3,d73_2).
sbond_7(d73,d73_3,d73_4).
sbond_7(d73,d73_4,d73_3).
sbond_7(d73,d73_4,d73_5).
sbond_7(d73,d73_5,d73_4).
sbond_7(d73,d73_5,d73_6).
sbond_7(d73,d73_6,d73_1).
sbond_7(d73,d73_6,d73_5).
sbond_7(d74,d74_1,d74_2).
sbond_7(d74,d74_1,d74_6).
sbond_7(d74,d74_12,d74_13).
sbond_7(d74,d74_12,d74_17).
sbond_7(d74,d74_13,d74_12).
sbond_7(d74,d74_13,d74_14).
sbond_7(d74,d74_14,d74_13).
sbond_7(d74,d74_14,d74_15).
sbond_7(d74,d74_15,d74_14).
sbond_7(d74,d74_15,d74_16).
sbond_7(d74,d74_16,d74_15).
sbond_7(d74,d74_16,d74_17).
sbond_7(d74,d74_17,d74_12).
sbond_7(d74,d74_17,d74_16).
sbond_7(d74,d74_2,d74_1).
sbond_7(d74,d74_2,d74_3).
sbond_7(d74,d74_3,d74_2).
sbond_7(d74,d74_3,d74_4).
sbond_7(d74,d74_4,d74_3).
sbond_7(d74,d74_4,d74_5).
sbond_7(d74,d74_5,d74_4).
sbond_7(d74,d74_5,d74_6).
sbond_7(d74,d74_6,d74_1).
sbond_7(d74,d74_6,d74_5).
sbond_7(d75,d75_1,d75_2).
sbond_7(d75,d75_1,d75_6).
sbond_7(d75,d75_2,d75_1).
sbond_7(d75,d75_2,d75_3).
sbond_7(d75,d75_3,d75_2).
sbond_7(d75,d75_3,d75_4).
sbond_7(d75,d75_4,d75_3).
sbond_7(d75,d75_4,d75_5).
sbond_7(d75,d75_5,d75_4).
sbond_7(d75,d75_5,d75_6).
sbond_7(d75,d75_6,d75_1).
sbond_7(d75,d75_6,d75_5).
sbond_7(d76,d76_1,d76_2).
sbond_7(d76,d76_1,d76_6).
sbond_7(d76,d76_12,d76_13).
sbond_7(d76,d76_12,d76_17).
sbond_7(d76,d76_12,d76_20).
sbond_7(d76,d76_13,d76_12).
sbond_7(d76,d76_13,d76_14).
sbond_7(d76,d76_13,d76_23).
sbond_7(d76,d76_14,d76_13).
sbond_7(d76,d76_14,d76_15).
sbond_7(d76,d76_15,d76_14).
sbond_7(d76,d76_15,d76_16).
sbond_7(d76,d76_16,d76_15).
sbond_7(d76,d76_16,d76_17).
sbond_7(d76,d76_17,d76_12).
sbond_7(d76,d76_17,d76_16).
sbond_7(d76,d76_2,d76_1).
sbond_7(d76,d76_2,d76_3).
sbond_7(d76,d76_20,d76_12).
sbond_7(d76,d76_20,d76_21).
sbond_7(d76,d76_21,d76_20).
sbond_7(d76,d76_21,d76_22).
sbond_7(d76,d76_22,d76_21).
sbond_7(d76,d76_22,d76_23).
sbond_7(d76,d76_23,d76_13).
sbond_7(d76,d76_23,d76_22).
sbond_7(d76,d76_3,d76_2).
sbond_7(d76,d76_3,d76_4).
sbond_7(d76,d76_4,d76_3).
sbond_7(d76,d76_4,d76_5).
sbond_7(d76,d76_5,d76_4).
sbond_7(d76,d76_5,d76_6).
sbond_7(d76,d76_6,d76_1).
sbond_7(d76,d76_6,d76_5).
sbond_7(d77,d77_1,d77_2).
sbond_7(d77,d77_1,d77_6).
sbond_7(d77,d77_10,d77_11).
sbond_7(d77,d77_10,d77_15).
sbond_7(d77,d77_11,d77_10).
sbond_7(d77,d77_11,d77_12).
sbond_7(d77,d77_12,d77_11).
sbond_7(d77,d77_12,d77_13).
sbond_7(d77,d77_13,d77_12).
sbond_7(d77,d77_13,d77_14).
sbond_7(d77,d77_14,d77_13).
sbond_7(d77,d77_14,d77_15).
sbond_7(d77,d77_15,d77_10).
sbond_7(d77,d77_15,d77_14).
sbond_7(d77,d77_2,d77_1).
sbond_7(d77,d77_2,d77_3).
sbond_7(d77,d77_3,d77_2).
sbond_7(d77,d77_3,d77_4).
sbond_7(d77,d77_34,d77_35).
sbond_7(d77,d77_34,d77_39).
sbond_7(d77,d77_35,d77_34).
sbond_7(d77,d77_35,d77_36).
sbond_7(d77,d77_36,d77_35).
sbond_7(d77,d77_36,d77_37).
sbond_7(d77,d77_37,d77_36).
sbond_7(d77,d77_37,d77_38).
sbond_7(d77,d77_38,d77_37).
sbond_7(d77,d77_38,d77_39).
sbond_7(d77,d77_39,d77_34).
sbond_7(d77,d77_39,d77_38).
sbond_7(d77,d77_4,d77_3).
sbond_7(d77,d77_4,d77_5).
sbond_7(d77,d77_5,d77_4).
sbond_7(d77,d77_5,d77_6).
sbond_7(d77,d77_59,d77_60).
sbond_7(d77,d77_59,d77_64).
sbond_7(d77,d77_6,d77_1).
sbond_7(d77,d77_6,d77_5).
sbond_7(d77,d77_60,d77_59).
sbond_7(d77,d77_60,d77_61).
sbond_7(d77,d77_61,d77_60).
sbond_7(d77,d77_61,d77_62).
sbond_7(d77,d77_62,d77_61).
sbond_7(d77,d77_62,d77_63).
sbond_7(d77,d77_63,d77_62).
sbond_7(d77,d77_63,d77_64).
sbond_7(d77,d77_64,d77_59).
sbond_7(d77,d77_64,d77_63).
sbond_7(d78,d78_1,d78_2).
sbond_7(d78,d78_1,d78_6).
sbond_7(d78,d78_2,d78_1).
sbond_7(d78,d78_2,d78_3).
sbond_7(d78,d78_3,d78_2).
sbond_7(d78,d78_3,d78_4).
sbond_7(d78,d78_4,d78_3).
sbond_7(d78,d78_4,d78_5).
sbond_7(d78,d78_5,d78_4).
sbond_7(d78,d78_5,d78_6).
sbond_7(d78,d78_6,d78_1).
sbond_7(d78,d78_6,d78_5).
sbond_7(d79,d79_1,d79_2).
sbond_7(d79,d79_1,d79_6).
sbond_7(d79,d79_11,d79_12).
sbond_7(d79,d79_11,d79_3).
sbond_7(d79,d79_12,d79_11).
sbond_7(d79,d79_12,d79_13).
sbond_7(d79,d79_13,d79_12).
sbond_7(d79,d79_13,d79_14).
sbond_7(d79,d79_14,d79_13).
sbond_7(d79,d79_14,d79_4).
sbond_7(d79,d79_2,d79_1).
sbond_7(d79,d79_2,d79_3).
sbond_7(d79,d79_3,d79_11).
sbond_7(d79,d79_3,d79_2).
sbond_7(d79,d79_3,d79_4).
sbond_7(d79,d79_4,d79_14).
sbond_7(d79,d79_4,d79_3).
sbond_7(d79,d79_4,d79_5).
sbond_7(d79,d79_5,d79_4).
sbond_7(d79,d79_5,d79_6).
sbond_7(d79,d79_6,d79_1).
sbond_7(d79,d79_6,d79_5).
sbond_7(d8,d8_1,d8_2).
sbond_7(d8,d8_1,d8_6).
sbond_7(d8,d8_10,d8_11).
sbond_7(d8,d8_10,d8_15).
sbond_7(d8,d8_11,d8_10).
sbond_7(d8,d8_11,d8_12).
sbond_7(d8,d8_12,d8_11).
sbond_7(d8,d8_12,d8_13).
sbond_7(d8,d8_13,d8_12).
sbond_7(d8,d8_13,d8_14).
sbond_7(d8,d8_14,d8_13).
sbond_7(d8,d8_14,d8_15).
sbond_7(d8,d8_15,d8_10).
sbond_7(d8,d8_15,d8_14).
sbond_7(d8,d8_2,d8_1).
sbond_7(d8,d8_2,d8_3).
sbond_7(d8,d8_3,d8_2).
sbond_7(d8,d8_3,d8_4).
sbond_7(d8,d8_4,d8_3).
sbond_7(d8,d8_4,d8_5).
sbond_7(d8,d8_5,d8_4).
sbond_7(d8,d8_5,d8_6).
sbond_7(d8,d8_6,d8_1).
sbond_7(d8,d8_6,d8_5).
sbond_7(d80,d80_1,d80_2).
sbond_7(d80,d80_1,d80_6).
sbond_7(d80,d80_11,d80_12).
sbond_7(d80,d80_11,d80_3).
sbond_7(d80,d80_12,d80_11).
sbond_7(d80,d80_12,d80_13).
sbond_7(d80,d80_13,d80_12).
sbond_7(d80,d80_13,d80_14).
sbond_7(d80,d80_14,d80_13).
sbond_7(d80,d80_14,d80_4).
sbond_7(d80,d80_2,d80_1).
sbond_7(d80,d80_2,d80_3).
sbond_7(d80,d80_3,d80_11).
sbond_7(d80,d80_3,d80_2).
sbond_7(d80,d80_3,d80_4).
sbond_7(d80,d80_4,d80_14).
sbond_7(d80,d80_4,d80_3).
sbond_7(d80,d80_4,d80_5).
sbond_7(d80,d80_5,d80_4).
sbond_7(d80,d80_5,d80_6).
sbond_7(d80,d80_6,d80_1).
sbond_7(d80,d80_6,d80_5).
sbond_7(d81,d81_1,d81_2).
sbond_7(d81,d81_1,d81_6).
sbond_7(d81,d81_2,d81_1).
sbond_7(d81,d81_2,d81_3).
sbond_7(d81,d81_3,d81_2).
sbond_7(d81,d81_3,d81_4).
sbond_7(d81,d81_4,d81_3).
sbond_7(d81,d81_4,d81_5).
sbond_7(d81,d81_5,d81_4).
sbond_7(d81,d81_5,d81_6).
sbond_7(d81,d81_6,d81_1).
sbond_7(d81,d81_6,d81_5).
sbond_7(d82,d82_1,d82_2).
sbond_7(d82,d82_1,d82_6).
sbond_7(d82,d82_12,d82_13).
sbond_7(d82,d82_12,d82_15).
sbond_7(d82,d82_13,d82_12).
sbond_7(d82,d82_13,d82_14).
sbond_7(d82,d82_14,d82_13).
sbond_7(d82,d82_14,d82_16).
sbond_7(d82,d82_15,d82_12).
sbond_7(d82,d82_15,d82_16).
sbond_7(d82,d82_16,d82_14).
sbond_7(d82,d82_16,d82_15).
sbond_7(d82,d82_2,d82_1).
sbond_7(d82,d82_2,d82_3).
sbond_7(d82,d82_3,d82_2).
sbond_7(d82,d82_3,d82_4).
sbond_7(d82,d82_4,d82_3).
sbond_7(d82,d82_4,d82_5).
sbond_7(d82,d82_5,d82_4).
sbond_7(d82,d82_5,d82_6).
sbond_7(d82,d82_6,d82_1).
sbond_7(d82,d82_6,d82_5).
sbond_7(d83,d83_1,d83_2).
sbond_7(d83,d83_1,d83_6).
sbond_7(d83,d83_2,d83_1).
sbond_7(d83,d83_2,d83_3).
sbond_7(d83,d83_3,d83_2).
sbond_7(d83,d83_3,d83_4).
sbond_7(d83,d83_4,d83_3).
sbond_7(d83,d83_4,d83_5).
sbond_7(d83,d83_5,d83_4).
sbond_7(d83,d83_5,d83_6).
sbond_7(d83,d83_6,d83_1).
sbond_7(d83,d83_6,d83_5).
sbond_7(d85_1,d85_1_1,d85_1_2).
sbond_7(d85_1,d85_1_1,d85_1_6).
sbond_7(d85_1,d85_1_10,d85_1_11).
sbond_7(d85_1,d85_1_10,d85_1_9).
sbond_7(d85_1,d85_1_11,d85_1_10).
sbond_7(d85_1,d85_1_11,d85_1_12).
sbond_7(d85_1,d85_1_12,d85_1_11).
sbond_7(d85_1,d85_1_12,d85_1_13).
sbond_7(d85_1,d85_1_13,d85_1_12).
sbond_7(d85_1,d85_1_13,d85_1_8).
sbond_7(d85_1,d85_1_2,d85_1_1).
sbond_7(d85_1,d85_1_2,d85_1_3).
sbond_7(d85_1,d85_1_3,d85_1_2).
sbond_7(d85_1,d85_1_3,d85_1_4).
sbond_7(d85_1,d85_1_4,d85_1_3).
sbond_7(d85_1,d85_1_4,d85_1_5).
sbond_7(d85_1,d85_1_5,d85_1_4).
sbond_7(d85_1,d85_1_5,d85_1_6).
sbond_7(d85_1,d85_1_6,d85_1_1).
sbond_7(d85_1,d85_1_6,d85_1_5).
sbond_7(d85_1,d85_1_8,d85_1_13).
sbond_7(d85_1,d85_1_8,d85_1_9).
sbond_7(d85_1,d85_1_9,d85_1_10).
sbond_7(d85_1,d85_1_9,d85_1_8).
sbond_7(d85_2,d85_2_1,d85_2_2).
sbond_7(d85_2,d85_2_1,d85_2_6).
sbond_7(d85_2,d85_2_10,d85_2_11).
sbond_7(d85_2,d85_2_10,d85_2_9).
sbond_7(d85_2,d85_2_11,d85_2_10).
sbond_7(d85_2,d85_2_11,d85_2_12).
sbond_7(d85_2,d85_2_12,d85_2_11).
sbond_7(d85_2,d85_2_12,d85_2_13).
sbond_7(d85_2,d85_2_13,d85_2_12).
sbond_7(d85_2,d85_2_13,d85_2_8).
sbond_7(d85_2,d85_2_2,d85_2_1).
sbond_7(d85_2,d85_2_2,d85_2_3).
sbond_7(d85_2,d85_2_3,d85_2_2).
sbond_7(d85_2,d85_2_3,d85_2_4).
sbond_7(d85_2,d85_2_4,d85_2_3).
sbond_7(d85_2,d85_2_4,d85_2_5).
sbond_7(d85_2,d85_2_5,d85_2_4).
sbond_7(d85_2,d85_2_5,d85_2_6).
sbond_7(d85_2,d85_2_6,d85_2_1).
sbond_7(d85_2,d85_2_6,d85_2_5).
sbond_7(d85_2,d85_2_8,d85_2_13).
sbond_7(d85_2,d85_2_8,d85_2_9).
sbond_7(d85_2,d85_2_9,d85_2_10).
sbond_7(d85_2,d85_2_9,d85_2_8).
sbond_7(d86,d86a_1,d86a_2).
sbond_7(d86,d86a_1,d86a_6).
sbond_7(d86,d86a_10,d86a_11).
sbond_7(d86,d86a_10,d86a_9).
sbond_7(d86,d86a_11,d86a_10).
sbond_7(d86,d86a_11,d86a_12).
sbond_7(d86,d86a_12,d86a_11).
sbond_7(d86,d86a_12,d86a_13).
sbond_7(d86,d86a_13,d86a_12).
sbond_7(d86,d86a_13,d86a_14).
sbond_7(d86,d86a_14,d86a_13).
sbond_7(d86,d86a_14,d86a_9).
sbond_7(d86,d86a_2,d86a_1).
sbond_7(d86,d86a_2,d86a_3).
sbond_7(d86,d86a_3,d86a_2).
sbond_7(d86,d86a_3,d86a_4).
sbond_7(d86,d86a_4,d86a_3).
sbond_7(d86,d86a_4,d86a_5).
sbond_7(d86,d86a_5,d86a_4).
sbond_7(d86,d86a_5,d86a_6).
sbond_7(d86,d86a_6,d86a_1).
sbond_7(d86,d86a_6,d86a_5).
sbond_7(d86,d86a_9,d86a_10).
sbond_7(d86,d86a_9,d86a_14).
sbond_7(d86,d86b_1,d86b_2).
sbond_7(d86,d86b_1,d86b_6).
sbond_7(d86,d86b_10,d86b_11).
sbond_7(d86,d86b_10,d86b_9).
sbond_7(d86,d86b_11,d86b_10).
sbond_7(d86,d86b_11,d86b_12).
sbond_7(d86,d86b_12,d86b_11).
sbond_7(d86,d86b_12,d86b_13).
sbond_7(d86,d86b_13,d86b_12).
sbond_7(d86,d86b_13,d86b_8).
sbond_7(d86,d86b_2,d86b_1).
sbond_7(d86,d86b_2,d86b_3).
sbond_7(d86,d86b_3,d86b_2).
sbond_7(d86,d86b_3,d86b_4).
sbond_7(d86,d86b_4,d86b_3).
sbond_7(d86,d86b_4,d86b_5).
sbond_7(d86,d86b_5,d86b_4).
sbond_7(d86,d86b_5,d86b_6).
sbond_7(d86,d86b_6,d86b_1).
sbond_7(d86,d86b_6,d86b_5).
sbond_7(d86,d86b_8,d86b_13).
sbond_7(d86,d86b_8,d86b_9).
sbond_7(d86,d86b_9,d86b_10).
sbond_7(d86,d86b_9,d86b_8).
sbond_7(d87,d87_1,d87_2).
sbond_7(d87,d87_1,d87_6).
sbond_7(d87,d87_10,d87_11).
sbond_7(d87,d87_10,d87_9).
sbond_7(d87,d87_11,d87_10).
sbond_7(d87,d87_11,d87_12).
sbond_7(d87,d87_12,d87_11).
sbond_7(d87,d87_12,d87_13).
sbond_7(d87,d87_13,d87_12).
sbond_7(d87,d87_13,d87_14).
sbond_7(d87,d87_14,d87_13).
sbond_7(d87,d87_14,d87_9).
sbond_7(d87,d87_2,d87_1).
sbond_7(d87,d87_2,d87_3).
sbond_7(d87,d87_3,d87_2).
sbond_7(d87,d87_3,d87_4).
sbond_7(d87,d87_4,d87_3).
sbond_7(d87,d87_4,d87_5).
sbond_7(d87,d87_5,d87_4).
sbond_7(d87,d87_5,d87_6).
sbond_7(d87,d87_6,d87_1).
sbond_7(d87,d87_6,d87_5).
sbond_7(d87,d87_9,d87_10).
sbond_7(d87,d87_9,d87_14).
sbond_7(d88,d88_1,d88_2).
sbond_7(d88,d88_1,d88_6).
sbond_7(d88,d88_2,d88_1).
sbond_7(d88,d88_2,d88_3).
sbond_7(d88,d88_3,d88_2).
sbond_7(d88,d88_3,d88_4).
sbond_7(d88,d88_4,d88_3).
sbond_7(d88,d88_4,d88_5).
sbond_7(d88,d88_5,d88_4).
sbond_7(d88,d88_5,d88_6).
sbond_7(d88,d88_6,d88_1).
sbond_7(d88,d88_6,d88_5).
sbond_7(d9,d9_1,d9_2).
sbond_7(d9,d9_1,d9_6).
sbond_7(d9,d9_2,d9_1).
sbond_7(d9,d9_2,d9_3).
sbond_7(d9,d9_3,d9_2).
sbond_7(d9,d9_3,d9_4).
sbond_7(d9,d9_4,d9_3).
sbond_7(d9,d9_4,d9_5).
sbond_7(d9,d9_5,d9_4).
sbond_7(d9,d9_5,d9_6).
sbond_7(d9,d9_6,d9_1).
sbond_7(d9,d9_6,d9_5).
sbond_7(d90,d90_1,d90_2).
sbond_7(d90,d90_1,d90_6).
sbond_7(d90,d90_2,d90_1).
sbond_7(d90,d90_2,d90_3).
sbond_7(d90,d90_3,d90_2).
sbond_7(d90,d90_3,d90_4).
sbond_7(d90,d90_4,d90_3).
sbond_7(d90,d90_4,d90_5).
sbond_7(d90,d90_5,d90_4).
sbond_7(d90,d90_5,d90_6).
sbond_7(d90,d90_6,d90_1).
sbond_7(d90,d90_6,d90_5).
sbond_7(d93,d93_1,d93_2).
sbond_7(d93,d93_1,d93_6).
sbond_7(d93,d93_2,d93_1).
sbond_7(d93,d93_2,d93_3).
sbond_7(d93,d93_3,d93_2).
sbond_7(d93,d93_3,d93_4).
sbond_7(d93,d93_4,d93_3).
sbond_7(d93,d93_4,d93_5).
sbond_7(d93,d93_5,d93_4).
sbond_7(d93,d93_5,d93_6).
sbond_7(d93,d93_6,d93_1).
sbond_7(d93,d93_6,d93_5).
sbond_7(d95,d95_1,d95_2).
sbond_7(d95,d95_1,d95_6).
sbond_7(d95,d95_2,d95_1).
sbond_7(d95,d95_2,d95_3).
sbond_7(d95,d95_3,d95_2).
sbond_7(d95,d95_3,d95_4).
sbond_7(d95,d95_4,d95_3).
sbond_7(d95,d95_4,d95_5).
sbond_7(d95,d95_5,d95_4).
sbond_7(d95,d95_5,d95_6).
sbond_7(d95,d95_6,d95_1).
sbond_7(d95,d95_6,d95_5).
sbond_7(d97,d97_1,d97_2).
sbond_7(d97,d97_1,d97_6).
sbond_7(d97,d97_11,d97_12).
sbond_7(d97,d97_11,d97_16).
sbond_7(d97,d97_12,d97_11).
sbond_7(d97,d97_12,d97_13).
sbond_7(d97,d97_13,d97_12).
sbond_7(d97,d97_13,d97_14).
sbond_7(d97,d97_14,d97_13).
sbond_7(d97,d97_14,d97_15).
sbond_7(d97,d97_15,d97_14).
sbond_7(d97,d97_15,d97_16).
sbond_7(d97,d97_16,d97_11).
sbond_7(d97,d97_16,d97_15).
sbond_7(d97,d97_2,d97_1).
sbond_7(d97,d97_2,d97_3).
sbond_7(d97,d97_3,d97_2).
sbond_7(d97,d97_3,d97_4).
sbond_7(d97,d97_4,d97_3).
sbond_7(d97,d97_4,d97_5).
sbond_7(d97,d97_5,d97_4).
sbond_7(d97,d97_5,d97_6).
sbond_7(d97,d97_6,d97_1).
sbond_7(d97,d97_6,d97_5).
sbond_7(d98,d98_1,d98_2).
sbond_7(d98,d98_1,d98_6).
sbond_7(d98,d98_2,d98_1).
sbond_7(d98,d98_2,d98_3).
sbond_7(d98,d98_3,d98_2).
sbond_7(d98,d98_3,d98_4).
sbond_7(d98,d98_4,d98_3).
sbond_7(d98,d98_4,d98_5).
sbond_7(d98,d98_5,d98_4).
sbond_7(d98,d98_5,d98_6).
sbond_7(d98,d98_6,d98_1).
sbond_7(d98,d98_6,d98_5).
sbond_7(d99,d99_1,d99_2).
sbond_7(d99,d99_1,d99_6).
sbond_7(d99,d99_10,d99_11).
sbond_7(d99,d99_10,d99_9).
sbond_7(d99,d99_11,d99_10).
sbond_7(d99,d99_11,d99_12).
sbond_7(d99,d99_12,d99_11).
sbond_7(d99,d99_12,d99_7).
sbond_7(d99,d99_2,d99_1).
sbond_7(d99,d99_2,d99_3).
sbond_7(d99,d99_3,d99_2).
sbond_7(d99,d99_3,d99_4).
sbond_7(d99,d99_4,d99_3).
sbond_7(d99,d99_4,d99_5).
sbond_7(d99,d99_5,d99_4).
sbond_7(d99,d99_5,d99_6).
sbond_7(d99,d99_6,d99_1).
sbond_7(d99,d99_6,d99_5).
sbond_7(d99,d99_7,d99_12).
sbond_7(d99,d99_7,d99_8).
sbond_7(d99,d99_8,d99_7).
sbond_7(d99,d99_8,d99_9).
sbond_7(d99,d99_9,d99_10).
sbond_7(d99,d99_9,d99_8).
/*
canc_d(d94,pos).
canc_d(d55,pos).
canc_d(d284,pos).
canc_d(d16,pos).
canc_d(d201,pos).
canc_d(d322,pos).
canc_d(d22,pos).
canc_d(d289,pos).
canc_d(d52,pos).
canc_d(d137,pos).
canc_d(d91,pos).
canc_d(d241,pos).
canc_d(d226,pos).
canc_d(d42,pos).
canc_d(d21,pos).
canc_d(d278,pos).
canc_d(d24,pos).
canc_d(d28,pos).
canc_d(d69,neg).
canc_d(d225,neg).
canc_d(d220,neg).
canc_d(d334,neg).
canc_d(d260,neg).
canc_d(d119,neg).
canc_d(d110,neg).
canc_d(d187,neg).
canc_d(d266,neg).
canc_d(d182,neg).
canc_d(d188,neg).
canc_d(d222,neg).
canc_d(d157,neg).
canc_d(d326,neg).
canc_d(d154,neg).
*/
testid(d94,pos).
testid(d55,pos).
testid(d284,pos).
testid(d16,pos).
testid(d201,pos).
testid(d322,pos).
testid(d22,pos).
testid(d289,pos).
testid(d52,pos).
testid(d137,pos).
testid(d91,pos).
testid(d241,pos).
testid(d226,pos).
testid(d42,pos).
testid(d21,pos).
testid(d278,pos).
testid(d24,pos).
testid(d28,pos).
testid(d69,neg).
testid(d225,neg).
testid(d220,neg).
testid(d334,neg).
testid(d260,neg).
testid(d119,neg).
testid(d110,neg).
testid(d187,neg).
testid(d266,neg).
testid(d182,neg).
testid(d188,neg).
testid(d222,neg).
testid(d157,neg).
testid(d326,neg).
testid(d154,neg).
