:-use_module(library(pascal)).

:- if(current_predicate(use_rendering/1)).
:- use_rendering(c3).
:- use_rendering(pic).
:- endif.

greaterAct(_,A,B):-
    activity(_,A),
    activity(_,B),
    A>=B.

:-pascal.

:-set_pascal(examples,keys(active)).
:-set_pascal(default_parameters,0).
%:-set_pascal(learning_algorithm,gradient_descent).
:-set_pascal(learning_rate,fixed(0.5)).
:-set_pascal(regularizing_constant,5).
:-set_pascal(regularization,2).

:-set_pascal(bottom_clause,no).

:-set_pascal(gd_iter,1000).
:-set_pascal(fixed_parameters,no).
%:-set_pascal(fixed_parameters,[_3092,_3098,_3104,_3110,_3116,_3122,_3128,_3134,_3140,_3146]).
%:-set_pascal(fixed_parameters,[_3092,_3098,_3104,_3110,_3116,_3122]).
:-set_pascal(epsilon,0.0001).
:-set_pascal(epsilon_fraction,0.0001).
:-set_pascal(max_length,8).
:-set_pascal(max_lengths,[1,1,1,1]).
:-set_pascal(max_nodes,3). 
:-set_pascal(beamsize,2).
:-set_pascal(max_rules,8).

:- begin_in.

%ic("
%    0.5 :: 	activity(A)
%/\\greaterAct(A,0.195)
%--->
%false.
%").
rule(([]:-[activity(_46), greaterAct(_46, 0.195)]), 0.5).
rule(([]:-[activity(_92), greaterAct(_92, 0.104)]), 0.5).
rule(([]:-[activity(_138), greaterAct(_138, 0.1)]), 0.5).

:- end_in.


fold(train,[27,108,60,77,28,92,95,122,
    50,91,68,183,67,7,65,131,141,182,
    74,112,37,54,75,129,80,116,87,81,84,180]).


fold(test,[25,26,17,121,16,114,69,134,100,55]).

modeb(*,activity(-#actf)).

modeb(*,p1_polar(-#pol)).
modeb(*,p1_size(-#si)).
modeb(*,p1_flex(-#fl)).
modeb(*,p1_h_doner(-#h_d)).
modeb(*,p1_h_acceptor(-#h_a)).
modeb(*,p1_pi_doner(-#p_d)).
modeb(*,p1_pi_acceptor(-#p_a)).
modeb(*,p1_polarisable(-#polar)).
modeb(*,p1_sigma(-#s)).
modeb(*,p2_polar(-#pol)).
modeb(*,p2_size(-#si)).
modeb(*,p2_flex(-#fl)).
modeb(*,p2_h_doner(-#h_d)).
modeb(*,p2_h_acceptor(-#h_a)).
modeb(*,p2_pi_doner(-#p_d)).
modeb(*,p2_pi_acceptor(-#p_a)).
modeb(*,p2_polarisable(-#polar)).
modeb(*,p2_sigma(-#s)).
modeb(*,p3_polar(-#pol)).
modeb(*,p3_size(-#si)).
modeb(*,p3_flex(-#fl)).
modeb(*,p3_h_doner(-#h_d)).
modeb(*,p3_h_acceptor(-#h_a)).
modeb(*,p3_pi_doner(-#p_d)).
modeb(*,p3_pi_acceptor(-#p_a)).
modeb(*,p3_polarisable(-#polar)).
modeb(*,p3_sigma(-#s)).
modeb(*,p4_polar(-#pol)).
modeb(*,p4_size(-#si)).
modeb(*,p4_flex(-#fl)).
modeb(*,p4_h_doner(-#h_d)).
modeb(*,p4_h_acceptor(-#h_a)).
modeb(*,p4_pi_doner(-#p_d)).
modeb(*,p4_pi_acceptor(-#p_a)).
modeb(*,p4_polarisable(-#polar)).
modeb(*,p4_sigma(-#s)).
modeb(*,p5_polar(-#pol)).
modeb(*,p5_size(-#si)).
modeb(*,p5_flex(-#fl)).
modeb(*,p5_h_doner(-#h_d)).
modeb(*,p5_h_acceptor(-#h_a)).
modeb(*,p5_pi_doner(-#p_d)).
modeb(*,p5_pi_acceptor(-#p_a)).
modeb(*,p5_polarisable(-#polar)).
modeb(*,p5_sigma(-#s)).
modeb(*,p6_polar(-#pol)).
modeb(*,p6_size(-#si)).
modeb(*,p6_flex(-#fl)).
modeb(*,p6_h_doner(-#h_d)).
modeb(*,p6_h_acceptor(-#h_a)).
modeb(*,p6_pi_doner(-#p_d)).
modeb(*,p6_pi_acceptor(-#p_a)).
modeb(*,p6_polarisable(-#polar)).
modeb(*,p6_sigma(-#s)).

modeh(*,activity(-#actf)).

modeh(*,p1_polar(-#pol)).
modeh(*,p1_size(-#si)).
modeh(*,p1_flex(-#fl)).
modeh(*,p1_h_doner(-#h_d)).
modeh(*,p1_h_acceptor(-#h_a)).
modeh(*,p1_pi_doner(-#p_d)).
modeh(*,p1_pi_acceptor(-#p_a)).
modeh(*,p1_polarisable(-#polar)).
modeh(*,p1_sigma(-#s)).
modeh(*,p2_polar(-#pol)).
modeh(*,p2_size(-#si)).
modeh(*,p2_flex(-#fl)).
modeh(*,p2_h_doner(-#h_d)).
modeh(*,p2_h_acceptor(-#h_a)).
modeh(*,p2_pi_doner(-#p_d)).
modeh(*,p2_pi_acceptor(-#p_a)).
modeh(*,p2_polarisable(-#polar)).
modeh(*,p2_sigma(-#s)).
modeh(*,p3_polar(-#pol)).
modeh(*,p3_size(-#si)).
modeh(*,p3_flex(-#fl)).
modeh(*,p3_h_doner(-#h_d)).
modeh(*,p3_h_acceptor(-#h_a)).
modeh(*,p3_pi_doner(-#p_d)).
modeh(*,p3_pi_acceptor(-#p_a)).
modeh(*,p3_polarisable(-#polar)).
modeh(*,p3_sigma(-#s)).
modeh(*,p4_polar(-#pol)).
modeh(*,p4_size(-#si)).
modeh(*,p4_flex(-#fl)).
modeh(*,p4_h_doner(-#h_d)).
modeh(*,p4_h_acceptor(-#h_a)).
modeh(*,p4_pi_doner(-#p_d)).
modeh(*,p4_pi_acceptor(-#p_a)).
modeh(*,p4_polarisable(-#polar)).
modeh(*,p4_sigma(-#s)).
modeh(*,p5_polar(-#pol)).
modeh(*,p5_size(-#si)).
modeh(*,p5_flex(-#fl)).
modeh(*,p5_h_doner(-#h_d)).
modeh(*,p5_h_acceptor(-#h_a)).
modeh(*,p5_pi_doner(-#p_d)).
modeh(*,p5_pi_acceptor(-#p_a)).
modeh(*,p5_polarisable(-#polar)).
modeh(*,p5_sigma(-#s)).
modeh(*,p6_polar(-#pol)).
modeh(*,p6_size(-#si)).
modeh(*,p6_flex(-#fl)).
modeh(*,p6_h_doner(-#h_d)).
modeh(*,p6_h_acceptor(-#h_a)).
modeh(*,p6_pi_doner(-#p_d)).
modeh(*,p6_pi_acceptor(-#p_a)).
modeh(*,p6_polarisable(-#polar)).
modeh(*,p6_sigma(-#s)).




active(25,neg).
active(26,neg).
active(17,neg).
active(121,neg).
active(16,neg).

active(27,neg).
active(108,neg).
active(60,neg).
active(77,neg).
active(28,neg).
active(92,neg).
active(95,neg).
active(122,neg).
active(50,neg).
active(91,neg).
active(68,neg).
active(183,neg).
active(67,neg).
active(7,neg).
active(65,neg).

active(114,pos).
active(69,pos).
active(134,pos).
active(100,pos).
active(55,pos).

active(131,pos).
active(141,pos).
active(182,pos).
active(74,pos).
active(112,pos).
active(37,pos).
active(54,pos).
active(75,pos).
active(129,pos).
active(80,pos).
active(116,pos).
active(87,pos).
active(81,pos).
active(84,pos).
active(180,pos).

p1_flex(1,0.1).
p1_pi_doner(1,0.1).
p1_polar(1,0.1).
p1_h_doner(1,0.1).
p1_h_acceptor(1,0.1).
p1_size(1,0.1).
p1_pi_acceptor(1,0.1).
p1_branch(1,0.1).
p1_sigma(1,0.1).
p1_polarisable(1,0.1).
p1_flex(2,0.1).
p1_pi_doner(2,0.1).
p1_polar(2,0.1).
p1_h_doner(2,0.1).
p1_h_acceptor(2,0.1).
p1_size(2,0.1).
p1_pi_acceptor(2,0.1).
p1_branch(2,0.1).
p1_sigma(2,0.1).
p1_polarisable(2,0.1).
p1_flex(3,0.1).
p1_pi_doner(3,0.1).
p1_polar(3,0.1).
p1_h_doner(3,0.1).
p1_h_acceptor(3,0.1).
p1_size(3,0.1).
p1_pi_acceptor(3,0.1).
p1_branch(3,0.1).
p1_sigma(3,0.1).
p1_polarisable(3,0.1).
p1_flex(4,0.1).
p1_pi_doner(4,0.1).
p1_polar(4,0.1).
p1_h_doner(4,0.1).
p1_h_acceptor(4,0.1).
p1_size(4,0.1).
p1_pi_acceptor(4,0.1).
p1_branch(4,0.1).
p1_sigma(4,0.1).
p1_polarisable(4,0.1).
p1_flex(5,0.1).
p1_pi_doner(5,0.1).
p1_polar(5,0.1).
p1_h_doner(5,0.1).
p1_h_acceptor(5,0.1).
p1_size(5,0.1).
p1_pi_acceptor(5,0.1).
p1_branch(5,0.1).
p1_sigma(5,0.1).
p1_polarisable(5,0.1).
p1_flex(6,0.1).
p1_pi_doner(6,0.1).
p1_polar(6,0.1).
p1_h_doner(6,0.1).
p1_h_acceptor(6,0.1).
p1_size(6,0.1).
p1_pi_acceptor(6,0.1).
p1_branch(6,0.1).
p1_sigma(6,0.1).
p1_polarisable(6,0.1).
p1_flex(7,0.1).
p1_pi_doner(7,0.1).
p1_polar(7,0.1).
p1_h_doner(7,0.1).
p1_h_acceptor(7,0.1).
p1_size(7,0.1).
p1_pi_acceptor(7,0.1).
p1_branch(7,0.1).
p1_sigma(7,0.1).
p1_polarisable(7,0.1).
p1_flex(8,0.1).
p1_pi_doner(8,0.1).
p1_polar(8,0.1).
p1_h_doner(8,0.1).
p1_h_acceptor(8,0.1).
p1_size(8,0.1).
p1_pi_acceptor(8,0.1).
p1_branch(8,0.1).
p1_sigma(8,0.1).
p1_polarisable(8,0.1).
p1_flex(9,0.1).
p1_pi_doner(9,0.1).
p1_polar(9,0.1).
p1_h_doner(9,0.1).
p1_h_acceptor(9,0.1).
p1_size(9,0.1).
p1_pi_acceptor(9,0.1).
p1_branch(9,0.1).
p1_sigma(9,0.1).
p1_polarisable(9,0.1).
p1_flex(10,0.1).
p1_pi_doner(10,0.1).
p1_polar(10,0.1).
p1_h_doner(10,0.1).
p1_h_acceptor(10,0.1).
p1_size(10,0.1).
p1_pi_acceptor(10,0.1).
p1_branch(10,0.1).
p1_sigma(10,0.1).
p1_polarisable(10,0.1).
p1_flex(11,0.1).
p1_pi_doner(11,0.1).
p1_polar(11,0.1).
p1_h_doner(11,0.1).
p1_h_acceptor(11,0.1).
p1_size(11,0.1).
p1_pi_acceptor(11,0.1).
p1_branch(11,0.1).
p1_sigma(11,0.1).
p1_polarisable(11,0.1).
p1_flex(12,0.1).
p1_pi_doner(12,0.1).
p1_polar(12,0.1).
p1_h_doner(12,0.1).
p1_h_acceptor(12,0.1).
p1_size(12,0.1).
p1_pi_acceptor(12,0.1).
p1_branch(12,0.1).
p1_sigma(12,0.1).
p1_polarisable(12,0.1).
p1_flex(13,0.1).
p1_pi_doner(13,0.1).
p1_polar(13,0.1).
p1_h_doner(13,0.1).
p1_h_acceptor(13,0.1).
p1_size(13,0.1).
p1_pi_acceptor(13,0.1).
p1_branch(13,0.1).
p1_sigma(13,0.1).
p1_polarisable(13,0.1).
p1_flex(14,0.1).
p1_pi_doner(14,0.1).
p1_polar(14,0.1).
p1_h_doner(14,0.1).
p1_h_acceptor(14,0.1).
p1_size(14,0.1).
p1_pi_acceptor(14,0.1).
p1_branch(14,0.1).
p1_sigma(14,0.1).
p1_polarisable(14,0.1).
p1_flex(15,0.1).
p1_pi_doner(15,0.1).
p1_polar(15,0.1).
p1_h_doner(15,0.1).
p1_h_acceptor(15,0.1).
p1_size(15,0.1).
p1_pi_acceptor(15,0.1).
p1_branch(15,0.1).
p1_sigma(15,0.1).
p1_polarisable(15,0.1).
p1_flex(16,0.1).
p1_pi_doner(16,0.1).
p1_polar(16,0.1).
p1_h_doner(16,0.1).
p1_h_acceptor(16,0.1).
p1_size(16,0.1).
p1_pi_acceptor(16,0.1).
p1_branch(16,0.1).
p1_sigma(16,0.1).
p1_polarisable(16,0.1).
p1_flex(17,0.1).
p1_pi_doner(17,0.1).
p1_polar(17,0.26).
p1_h_doner(17,0.1).
p1_h_acceptor(17,0.1).
p1_size(17,0.1).
p1_pi_acceptor(17,0.1).
p1_branch(17,0.1).
p1_sigma(17,0.1).
p1_polarisable(17,0.1).
p1_flex(18,0.1).
p1_pi_doner(18,0.1).
p1_polar(18,0.26).
p1_h_doner(18,0.1).
p1_h_acceptor(18,0.1).
p1_size(18,0.1).
p1_pi_acceptor(18,0.1).
p1_branch(18,0.1).
p1_sigma(18,0.1).
p1_polarisable(18,0.1).
p1_flex(19,0.1).
p1_pi_doner(19,0.1).
p1_polar(19,0.26).
p1_h_doner(19,0.1).
p1_h_acceptor(19,0.1).
p1_size(19,0.1).
p1_pi_acceptor(19,0.1).
p1_branch(19,0.1).
p1_sigma(19,0.1).
p1_polarisable(19,0.1).
p1_flex(20,0.1).
p1_pi_doner(20,0.1).
p1_polar(20,0.26).
p1_h_doner(20,0.1).
p1_h_acceptor(20,0.1).
p1_size(20,0.1).
p1_pi_acceptor(20,0.1).
p1_branch(20,0.1).
p1_sigma(20,0.1).
p1_polarisable(20,0.1).
p1_flex(21,0.1).
p1_pi_doner(21,0.1).
p1_polar(21,0.26).
p1_h_doner(21,0.1).
p1_h_acceptor(21,0.1).
p1_size(21,0.1).
p1_pi_acceptor(21,0.1).
p1_branch(21,0.1).
p1_sigma(21,0.1).
p1_polarisable(21,0.1).
p1_flex(22,0.1).
p1_pi_doner(22,0.1).
p1_polar(22,0.26).
p1_h_doner(22,0.1).
p1_h_acceptor(22,0.1).
p1_size(22,0.1).
p1_pi_acceptor(22,0.1).
p1_branch(22,0.1).
p1_sigma(22,0.1).
p1_polarisable(22,0.1).
p1_flex(23,0.1).
p1_pi_doner(23,0.1).
p1_polar(23,0.26).
p1_h_doner(23,0.1).
p1_h_acceptor(23,0.1).
p1_size(23,0.1).
p1_pi_acceptor(23,0.1).
p1_branch(23,0.1).
p1_sigma(23,0.1).
p1_polarisable(23,0.1).
p1_flex(24,0.1).
p1_pi_doner(24,0.1).
p1_polar(24,0.26).
p1_h_doner(24,0.1).
p1_h_acceptor(24,0.1).
p1_size(24,0.1).
p1_pi_acceptor(24,0.1).
p1_branch(24,0.1).
p1_sigma(24,0.1).
p1_polarisable(24,0.1).
p1_flex(25,0.1).
p1_pi_doner(25,0.1).
p1_polar(25,0.26).
p1_h_doner(25,0.1).
p1_h_acceptor(25,0.1).
p1_size(25,0.1).
p1_pi_acceptor(25,0.1).
p1_branch(25,0.1).
p1_sigma(25,0.1).
p1_polarisable(25,0.1).
p1_flex(26,0.1).
p1_pi_doner(26,0.1).
p1_polar(26,0.26).
p1_h_doner(26,0.1).
p1_h_acceptor(26,0.1).
p1_size(26,0.1).
p1_pi_acceptor(26,0.1).
p1_branch(26,0.1).
p1_sigma(26,0.1).
p1_polarisable(26,0.1).
p1_flex(27,0.1).
p1_pi_doner(27,0.1).
p1_polar(27,0.26).
p1_h_doner(27,0.1).
p1_h_acceptor(27,0.1).
p1_size(27,0.1).
p1_pi_acceptor(27,0.1).
p1_branch(27,0.1).
p1_sigma(27,0.1).
p1_polarisable(27,0.1).
p1_flex(28,0.1).
p1_pi_doner(28,0.1).
p1_polar(28,0.26).
p1_h_doner(28,0.1).
p1_h_acceptor(28,0.1).
p1_size(28,0.1).
p1_pi_acceptor(28,0.1).
p1_branch(28,0.1).
p1_sigma(28,0.1).
p1_polarisable(28,0.1).
p1_flex(29,0.1).
p1_pi_doner(29,0.1).
p1_polar(29,0.26).
p1_h_doner(29,0.1).
p1_h_acceptor(29,0.1).
p1_size(29,0.1).
p1_pi_acceptor(29,0.1).
p1_branch(29,0.1).
p1_sigma(29,0.1).
p1_polarisable(29,0.1).
p1_flex(30,0.1).
p1_pi_doner(30,0.1).
p1_polar(30,0.26).
p1_h_doner(30,0.1).
p1_h_acceptor(30,0.1).
p1_size(30,0.1).
p1_pi_acceptor(30,0.1).
p1_branch(30,0.1).
p1_sigma(30,0.1).
p1_polarisable(30,0.1).
p1_flex(31,0.1).
p1_pi_doner(31,0.1).
p1_polar(31,0.26).
p1_h_doner(31,0.1).
p1_h_acceptor(31,0.1).
p1_size(31,0.1).
p1_pi_acceptor(31,0.1).
p1_branch(31,0.1).
p1_sigma(31,0.1).
p1_polarisable(31,0.1).
p1_flex(32,0.1).
p1_pi_doner(32,0.1).
p1_polar(32,0.26).
p1_h_doner(32,0.1).
p1_h_acceptor(32,0.1).
p1_size(32,0.1).
p1_pi_acceptor(32,0.1).
p1_branch(32,0.1).
p1_sigma(32,0.1).
p1_polarisable(32,0.1).
p1_flex(33,0.1).
p1_pi_doner(33,0.1).
p1_polar(33,0.26).
p1_h_doner(33,0.1).
p1_h_acceptor(33,0.1).
p1_size(33,0.1).
p1_pi_acceptor(33,0.1).
p1_branch(33,0.1).
p1_sigma(33,0.1).
p1_polarisable(33,0.1).
p1_flex(34,0.1).
p1_pi_doner(34,0.1).
p1_polar(34,0.26).
p1_h_doner(34,0.1).
p1_h_acceptor(34,0.1).
p1_size(34,0.1).
p1_pi_acceptor(34,0.1).
p1_branch(34,0.1).
p1_sigma(34,0.1).
p1_polarisable(34,0.1).
p1_flex(35,0.1).
p1_pi_doner(35,0.1).
p1_polar(35,0.26).
p1_h_doner(35,0.1).
p1_h_acceptor(35,0.1).
p1_size(35,0.1).
p1_pi_acceptor(35,0.1).
p1_branch(35,0.1).
p1_sigma(35,0.1).
p1_polarisable(35,0.1).
p1_flex(36,0.1).
p1_pi_doner(36,0.1).
p1_polar(36,0.26).
p1_h_doner(36,0.1).
p1_h_acceptor(36,0.1).
p1_size(36,0.1).
p1_pi_acceptor(36,0.1).
p1_branch(36,0.1).
p1_sigma(36,0.1).
p1_polarisable(36,0.1).
p1_flex(37,0.1).
p1_pi_doner(37,0.1).
p1_polar(37,0.26).
p1_h_doner(37,0.1).
p1_h_acceptor(37,0.1).
p1_size(37,0.1).
p1_pi_acceptor(37,0.1).
p1_branch(37,0.1).
p1_sigma(37,0.1).
p1_polarisable(37,0.1).
p1_flex(38,0.1).
p1_pi_doner(38,0.1).
p1_polar(38,0.26).
p1_h_doner(38,0.1).
p1_h_acceptor(38,0.1).
p1_size(38,0.1).
p1_pi_acceptor(38,0.1).
p1_branch(38,0.1).
p1_sigma(38,0.1).
p1_polarisable(38,0.1).
p1_flex(39,0.1).
p1_pi_doner(39,0.1).
p1_polar(39,0.26).
p1_h_doner(39,0.1).
p1_h_acceptor(39,0.1).
p1_size(39,0.1).
p1_pi_acceptor(39,0.1).
p1_branch(39,0.1).
p1_sigma(39,0.1).
p1_polarisable(39,0.1).
p1_flex(40,0.1).
p1_pi_doner(40,0.1).
p1_polar(40,0.26).
p1_h_doner(40,0.1).
p1_h_acceptor(40,0.1).
p1_size(40,0.1).
p1_pi_acceptor(40,0.1).
p1_branch(40,0.1).
p1_sigma(40,0.1).
p1_polarisable(40,0.1).
p1_flex(41,0.1).
p1_pi_doner(41,0.1).
p1_polar(41,0.26).
p1_h_doner(41,0.1).
p1_h_acceptor(41,0.1).
p1_size(41,0.1).
p1_pi_acceptor(41,0.1).
p1_branch(41,0.1).
p1_sigma(41,0.1).
p1_polarisable(41,0.1).
p1_flex(42,0.1).
p1_pi_doner(42,0.1).
p1_polar(42,0.26).
p1_h_doner(42,0.1).
p1_h_acceptor(42,0.1).
p1_size(42,0.1).
p1_pi_acceptor(42,0.1).
p1_branch(42,0.1).
p1_sigma(42,0.1).
p1_polarisable(42,0.1).
p1_flex(43,0.1).
p1_pi_doner(43,0.1).
p1_polar(43,0.26).
p1_h_doner(43,0.1).
p1_h_acceptor(43,0.1).
p1_size(43,0.1).
p1_pi_acceptor(43,0.1).
p1_branch(43,0.1).
p1_sigma(43,0.1).
p1_polarisable(43,0.1).
p1_flex(44,0.1).
p1_pi_doner(44,0.1).
p1_polar(44,0.26).
p1_h_doner(44,0.1).
p1_h_acceptor(44,0.1).
p1_size(44,0.1).
p1_pi_acceptor(44,0.1).
p1_branch(44,0.1).
p1_sigma(44,0.1).
p1_polarisable(44,0.1).
p1_flex(45,0.1).
p1_pi_doner(45,0.1).
p1_polar(45,0.26).
p1_h_doner(45,0.1).
p1_h_acceptor(45,0.1).
p1_size(45,0.1).
p1_pi_acceptor(45,0.1).
p1_branch(45,0.1).
p1_sigma(45,0.1).
p1_polarisable(45,0.1).
p1_flex(46,0.1).
p1_pi_doner(46,0.1).
p1_polar(46,0.26).
p1_h_doner(46,0.1).
p1_h_acceptor(46,0.1).
p1_size(46,0.1).
p1_pi_acceptor(46,0.1).
p1_branch(46,0.1).
p1_sigma(46,0.1).
p1_polarisable(46,0.1).
p1_flex(47,0.1).
p1_pi_doner(47,0.1).
p1_polar(47,0.26).
p1_h_doner(47,0.1).
p1_h_acceptor(47,0.1).
p1_size(47,0.1).
p1_pi_acceptor(47,0.1).
p1_branch(47,0.1).
p1_sigma(47,0.1).
p1_polarisable(47,0.1).
p1_flex(48,0.1).
p1_pi_doner(48,0.1).
p1_polar(48,0.26).
p1_h_doner(48,0.1).
p1_h_acceptor(48,0.1).
p1_size(48,0.1).
p1_pi_acceptor(48,0.1).
p1_branch(48,0.1).
p1_sigma(48,0.1).
p1_polarisable(48,0.1).
p1_flex(49,0.1).
p1_pi_doner(49,0.1).
p1_polar(49,0.26).
p1_h_doner(49,0.1).
p1_h_acceptor(49,0.1).
p1_size(49,0.1).
p1_pi_acceptor(49,0.1).
p1_branch(49,0.1).
p1_sigma(49,0.1).
p1_polarisable(49,0.1).
p1_flex(50,0.1).
p1_pi_doner(50,0.1).
p1_polar(50,0.26).
p1_h_doner(50,0.1).
p1_h_acceptor(50,0.1).
p1_size(50,0.1).
p1_pi_acceptor(50,0.1).
p1_branch(50,0.1).
p1_sigma(50,0.1).
p1_polarisable(50,0.1).
p1_flex(51,0.1).
p1_pi_doner(51,0.1).
p1_polar(51,0.26).
p1_h_doner(51,0.1).
p1_h_acceptor(51,0.1).
p1_size(51,0.1).
p1_pi_acceptor(51,0.1).
p1_branch(51,0.1).
p1_sigma(51,0.1).
p1_polarisable(51,0.1).
p1_flex(52,0.1).
p1_pi_doner(52,0.1).
p1_polar(52,0.26).
p1_h_doner(52,0.1).
p1_h_acceptor(52,0.1).
p1_size(52,0.1).
p1_pi_acceptor(52,0.1).
p1_branch(52,0.1).
p1_sigma(52,0.1).
p1_polarisable(52,0.1).
p1_flex(53,0.1).
p1_pi_doner(53,0.1).
p1_polar(53,0.26).
p1_h_doner(53,0.1).
p1_h_acceptor(53,0.1).
p1_size(53,0.1).
p1_pi_acceptor(53,0.1).
p1_branch(53,0.1).
p1_sigma(53,0.1).
p1_polarisable(53,0.1).
p1_flex(54,0.1).
p1_pi_doner(54,0.1).
p1_polar(54,0.26).
p1_h_doner(54,0.1).
p1_h_acceptor(54,0.1).
p1_size(54,0.1).
p1_pi_acceptor(54,0.1).
p1_branch(54,0.1).
p1_sigma(54,0.1).
p1_polarisable(54,0.1).
p1_flex(55,0.1).
p1_pi_doner(55,0.1).
p1_polar(55,0.26).
p1_h_doner(55,0.1).
p1_h_acceptor(55,0.1).
p1_size(55,0.1).
p1_pi_acceptor(55,0.1).
p1_branch(55,0.1).
p1_sigma(55,0.1).
p1_polarisable(55,0.1).
p1_flex(56,0.1).
p1_pi_doner(56,0.1).
p1_polar(56,0.26).
p1_h_doner(56,0.1).
p1_h_acceptor(56,0.1).
p1_size(56,0.1).
p1_pi_acceptor(56,0.1).
p1_branch(56,0.1).
p1_sigma(56,0.1).
p1_polarisable(56,0.1).
p1_flex(57,0.1).
p1_pi_doner(57,0.1).
p1_polar(57,0.26).
p1_h_doner(57,0.1).
p1_h_acceptor(57,0.1).
p1_size(57,0.1).
p1_pi_acceptor(57,0.1).
p1_branch(57,0.1).
p1_sigma(57,0.1).
p1_polarisable(57,0.1).
p1_flex(58,0.1).
p1_pi_doner(58,0.1).
p1_polar(58,0.26).
p1_h_doner(58,0.1).
p1_h_acceptor(58,0.1).
p1_size(58,0.1).
p1_pi_acceptor(58,0.1).
p1_branch(58,0.1).
p1_sigma(58,0.1).
p1_polarisable(58,0.1).
p1_flex(59,0.1).
p1_pi_doner(59,0.1).
p1_polar(59,0.26).
p1_h_doner(59,0.1).
p1_h_acceptor(59,0.1).
p1_size(59,0.1).
p1_pi_acceptor(59,0.1).
p1_branch(59,0.1).
p1_sigma(59,0.1).
p1_polarisable(59,0.1).
p1_flex(60,0.1).
p1_pi_doner(60,0.1).
p1_polar(60,0.26).
p1_h_doner(60,0.1).
p1_h_acceptor(60,0.1).
p1_size(60,0.1).
p1_pi_acceptor(60,0.1).
p1_branch(60,0.1).
p1_sigma(60,0.1).
p1_polarisable(60,0.1).
p1_flex(61,0.1).
p1_pi_doner(61,0.1).
p1_polar(61,0.26).
p1_h_doner(61,0.1).
p1_h_acceptor(61,0.1).
p1_size(61,0.1).
p1_pi_acceptor(61,0.1).
p1_branch(61,0.1).
p1_sigma(61,0.1).
p1_polarisable(61,0.1).
p1_flex(62,0.1).
p1_pi_doner(62,0.1).
p1_polar(62,0.26).
p1_h_doner(62,0.1).
p1_h_acceptor(62,0.1).
p1_size(62,0.1).
p1_pi_acceptor(62,0.1).
p1_branch(62,0.1).
p1_sigma(62,0.1).
p1_polarisable(62,0.1).
p1_flex(63,0.1).
p1_pi_doner(63,0.1).
p1_polar(63,0.26).
p1_h_doner(63,0.1).
p1_h_acceptor(63,0.1).
p1_size(63,0.1).
p1_pi_acceptor(63,0.1).
p1_branch(63,0.1).
p1_sigma(63,0.1).
p1_polarisable(63,0.1).
p1_flex(64,0.1).
p1_pi_doner(64,0.1).
p1_polar(64,0.26).
p1_h_doner(64,0.1).
p1_h_acceptor(64,0.1).
p1_size(64,0.1).
p1_pi_acceptor(64,0.1).
p1_branch(64,0.1).
p1_sigma(64,0.1).
p1_polarisable(64,0.1).
p1_flex(65,0.1).
p1_pi_doner(65,0.1).
p1_polar(65,0.26).
p1_h_doner(65,0.1).
p1_h_acceptor(65,0.1).
p1_size(65,0.1).
p1_pi_acceptor(65,0.1).
p1_branch(65,0.1).
p1_sigma(65,0.1).
p1_polarisable(65,0.1).
p1_flex(66,0.1).
p1_pi_doner(66,0.1).
p1_polar(66,0.26).
p1_h_doner(66,0.1).
p1_h_acceptor(66,0.1).
p1_size(66,0.1).
p1_pi_acceptor(66,0.1).
p1_branch(66,0.1).
p1_sigma(66,0.1).
p1_polarisable(66,0.1).
p1_flex(67,0.1).
p1_pi_doner(67,0.1).
p1_polar(67,0.26).
p1_h_doner(67,0.1).
p1_h_acceptor(67,0.1).
p1_size(67,0.1).
p1_pi_acceptor(67,0.1).
p1_branch(67,0.1).
p1_sigma(67,0.1).
p1_polarisable(67,0.1).
p1_flex(68,0.1).
p1_pi_doner(68,0.1).
p1_polar(68,0.26).
p1_h_doner(68,0.1).
p1_h_acceptor(68,0.1).
p1_size(68,0.1).
p1_pi_acceptor(68,0.1).
p1_branch(68,0.1).
p1_sigma(68,0.1).
p1_polarisable(68,0.1).
p1_flex(69,0.1).
p1_pi_doner(69,0.1).
p1_polar(69,0.26).
p1_h_doner(69,0.1).
p1_h_acceptor(69,0.1).
p1_size(69,0.1).
p1_pi_acceptor(69,0.1).
p1_branch(69,0.1).
p1_sigma(69,0.1).
p1_polarisable(69,0.1).
p1_flex(70,0.1).
p1_pi_doner(70,0.1).
p1_polar(70,0.26).
p1_h_doner(70,0.1).
p1_h_acceptor(70,0.1).
p1_size(70,0.1).
p1_pi_acceptor(70,0.1).
p1_branch(70,0.1).
p1_sigma(70,0.1).
p1_polarisable(70,0.1).
p1_flex(71,0.1).
p1_pi_doner(71,0.1).
p1_polar(71,0.26).
p1_h_doner(71,0.1).
p1_h_acceptor(71,0.1).
p1_size(71,0.1).
p1_pi_acceptor(71,0.1).
p1_branch(71,0.1).
p1_sigma(71,0.1).
p1_polarisable(71,0.1).
p1_flex(72,0.1).
p1_pi_doner(72,0.1).
p1_polar(72,0.26).
p1_h_doner(72,0.1).
p1_h_acceptor(72,0.1).
p1_size(72,0.1).
p1_pi_acceptor(72,0.1).
p1_branch(72,0.1).
p1_sigma(72,0.1).
p1_polarisable(72,0.1).
p1_flex(73,0.1).
p1_pi_doner(73,0.1).
p1_polar(73,0.26).
p1_h_doner(73,0.1).
p1_h_acceptor(73,0.1).
p1_size(73,0.233).
p1_pi_acceptor(73,0.1).
p1_branch(73,0.1).
p1_sigma(73,0.1).
p1_polarisable(73,0.5).
p1_flex(74,0.367).
p1_pi_doner(74,0.1).
p1_polar(74,0.26).
p1_h_doner(74,0.1).
p1_h_acceptor(74,0.1).
p1_size(74,0.367).
p1_pi_acceptor(74,0.1).
p1_branch(74,0.1).
p1_sigma(74,0.1).
p1_polarisable(74,0.5).
p1_flex(75,0.367).
p1_pi_doner(75,0.1).
p1_polar(75,0.26).
p1_h_doner(75,0.1).
p1_h_acceptor(75,0.1).
p1_size(75,0.367).
p1_pi_acceptor(75,0.1).
p1_branch(75,0.1).
p1_sigma(75,0.1).
p1_polarisable(75,0.5).
p1_flex(76,0.367).
p1_pi_doner(76,0.1).
p1_polar(76,0.26).
p1_h_doner(76,0.1).
p1_h_acceptor(76,0.1).
p1_size(76,0.367).
p1_pi_acceptor(76,0.1).
p1_branch(76,0.1).
p1_sigma(76,0.1).
p1_polarisable(76,0.5).
p1_flex(77,0.367).
p1_pi_doner(77,0.1).
p1_polar(77,0.26).
p1_h_doner(77,0.1).
p1_h_acceptor(77,0.1).
p1_size(77,0.367).
p1_pi_acceptor(77,0.1).
p1_branch(77,0.1).
p1_sigma(77,0.1).
p1_polarisable(77,0.5).
p1_flex(78,0.5).
p1_pi_doner(78,0.1).
p1_polar(78,0.26).
p1_h_doner(78,0.1).
p1_h_acceptor(78,0.367).
p1_size(78,0.5).
p1_pi_acceptor(78,0.1).
p1_branch(78,0.5).
p1_sigma(78,0.1).
p1_polarisable(78,0.5).
p1_flex(79,0.367).
p1_pi_doner(79,0.1).
p1_polar(79,0.26).
p1_h_doner(79,0.1).
p1_h_acceptor(79,0.367).
p1_size(79,0.633).
p1_pi_acceptor(79,0.1).
p1_branch(79,0.9).
p1_sigma(79,0.1).
p1_polarisable(79,0.5).
p1_flex(80,0.633).
p1_pi_doner(80,0.1).
p1_polar(80,0.26).
p1_h_doner(80,0.1).
p1_h_acceptor(80,0.1).
p1_size(80,0.633).
p1_pi_acceptor(80,0.1).
p1_branch(80,0.1).
p1_sigma(80,0.1).
p1_polarisable(80,0.5).
p1_flex(81,0.633).
p1_pi_doner(81,0.1).
p1_polar(81,0.26).
p1_h_doner(81,0.1).
p1_h_acceptor(81,0.1).
p1_size(81,0.633).
p1_pi_acceptor(81,0.1).
p1_branch(81,0.1).
p1_sigma(81,0.1).
p1_polarisable(81,0.5).
p1_flex(82,0.633).
p1_pi_doner(82,0.1).
p1_polar(82,0.26).
p1_h_doner(82,0.1).
p1_h_acceptor(82,0.1).
p1_size(82,0.633).
p1_pi_acceptor(82,0.1).
p1_branch(82,0.1).
p1_sigma(82,0.1).
p1_polarisable(82,0.5).
p1_flex(83,0.633).
p1_pi_doner(83,0.1).
p1_polar(83,0.26).
p1_h_doner(83,0.1).
p1_h_acceptor(83,0.1).
p1_size(83,0.633).
p1_pi_acceptor(83,0.1).
p1_branch(83,0.1).
p1_sigma(83,0.1).
p1_polarisable(83,0.5).
p1_flex(84,0.633).
p1_pi_doner(84,0.1).
p1_polar(84,0.26).
p1_h_doner(84,0.1).
p1_h_acceptor(84,0.1).
p1_size(84,0.633).
p1_pi_acceptor(84,0.1).
p1_branch(84,0.1).
p1_sigma(84,0.1).
p1_polarisable(84,0.5).
p1_flex(85,0.633).
p1_pi_doner(85,0.1).
p1_polar(85,0.26).
p1_h_doner(85,0.1).
p1_h_acceptor(85,0.1).
p1_size(85,0.633).
p1_pi_acceptor(85,0.1).
p1_branch(85,0.1).
p1_sigma(85,0.1).
p1_polarisable(85,0.5).
p1_flex(86,0.633).
p1_pi_doner(86,0.1).
p1_polar(86,0.26).
p1_h_doner(86,0.1).
p1_h_acceptor(86,0.1).
p1_size(86,0.633).
p1_pi_acceptor(86,0.1).
p1_branch(86,0.1).
p1_sigma(86,0.1).
p1_polarisable(86,0.5).
p1_flex(87,0.633).
p1_pi_doner(87,0.1).
p1_polar(87,0.26).
p1_h_doner(87,0.1).
p1_h_acceptor(87,0.1).
p1_size(87,0.633).
p1_pi_acceptor(87,0.1).
p1_branch(87,0.1).
p1_sigma(87,0.1).
p1_polarisable(87,0.5).
p1_flex(88,0.767).
p1_pi_doner(88,0.1).
p1_polar(88,0.26).
p1_h_doner(88,0.1).
p1_h_acceptor(88,0.367).
p1_size(88,0.767).
p1_pi_acceptor(88,0.1).
p1_branch(88,0.5).
p1_sigma(88,0.1).
p1_polarisable(88,0.5).
p1_flex(89,0.9).
p1_pi_doner(89,0.1).
p1_polar(89,0.26).
p1_h_doner(89,0.1).
p1_h_acceptor(89,0.367).
p1_size(89,0.9).
p1_pi_acceptor(89,0.1).
p1_branch(89,0.1).
p1_sigma(89,0.1).
p1_polarisable(89,0.5).
p1_flex(90,0.1).
p1_pi_doner(90,0.1).
p1_polar(90,0.42).
p1_h_doner(90,0.1).
p1_h_acceptor(90,0.367).
p1_size(90,0.233).
p1_pi_acceptor(90,0.1).
p1_branch(90,0.1).
p1_sigma(90,0.367).
p1_polarisable(90,0.9).
p1_flex(91,0.1).
p1_pi_doner(91,0.1).
p1_polar(91,0.42).
p1_h_doner(91,0.1).
p1_h_acceptor(91,0.367).
p1_size(91,0.367).
p1_pi_acceptor(91,0.1).
p1_branch(91,0.1).
p1_sigma(91,0.367).
p1_polarisable(91,0.5).
p1_flex(92,0.1).
p1_pi_doner(92,0.5).
p1_polar(92,0.42).
p1_h_doner(92,0.5).
p1_h_acceptor(92,0.367).
p1_size(92,0.367).
p1_pi_acceptor(92,0.1).
p1_branch(92,0.9).
p1_sigma(92,0.367).
p1_polarisable(92,0.5).
p1_flex(93,0.1).
p1_pi_doner(93,0.5).
p1_polar(93,0.42).
p1_h_doner(93,0.5).
p1_h_acceptor(93,0.367).
p1_size(93,0.367).
p1_pi_acceptor(93,0.1).
p1_branch(93,0.9).
p1_sigma(93,0.367).
p1_polarisable(93,0.5).
p1_flex(94,0.367).
p1_pi_doner(94,0.1).
p1_polar(94,0.42).
p1_h_doner(94,0.1).
p1_h_acceptor(94,0.367).
p1_size(94,0.367).
p1_pi_acceptor(94,0.1).
p1_branch(94,0.1).
p1_sigma(94,0.1).
p1_polarisable(94,0.5).
p1_flex(95,0.233).
p1_pi_doner(95,0.5).
p1_polar(95,0.42).
p1_h_doner(95,0.5).
p1_h_acceptor(95,0.367).
p1_size(95,0.5).
p1_pi_acceptor(95,0.1).
p1_branch(95,0.5).
p1_sigma(95,0.367).
p1_polarisable(95,0.5).
p1_flex(96,0.233).
p1_pi_doner(96,0.5).
p1_polar(96,0.42).
p1_h_doner(96,0.5).
p1_h_acceptor(96,0.367).
p1_size(96,0.5).
p1_pi_acceptor(96,0.1).
p1_branch(96,0.5).
p1_sigma(96,0.367).
p1_polarisable(96,0.5).
p1_flex(97,0.367).
p1_pi_doner(97,0.5).
p1_polar(97,0.42).
p1_h_doner(97,0.5).
p1_h_acceptor(97,0.367).
p1_size(97,0.5).
p1_pi_acceptor(97,0.1).
p1_branch(97,0.5).
p1_sigma(97,0.367).
p1_polarisable(97,0.5).
p1_flex(98,0.367).
p1_pi_doner(98,0.5).
p1_polar(98,0.42).
p1_h_doner(98,0.5).
p1_h_acceptor(98,0.633).
p1_size(98,0.5).
p1_pi_acceptor(98,0.1).
p1_branch(98,0.5).
p1_sigma(98,0.367).
p1_polarisable(98,0.5).
p1_flex(99,0.367).
p1_pi_doner(99,0.5).
p1_polar(99,0.42).
p1_h_doner(99,0.5).
p1_h_acceptor(99,0.633).
p1_size(99,0.5).
p1_pi_acceptor(99,0.1).
p1_branch(99,0.5).
p1_sigma(99,0.367).
p1_polarisable(99,0.5).
p1_flex(100,0.5).
p1_pi_doner(100,0.1).
p1_polar(100,0.42).
p1_h_doner(100,0.1).
p1_h_acceptor(100,0.633).
p1_size(100,0.5).
p1_pi_acceptor(100,0.1).
p1_branch(100,0.1).
p1_sigma(100,0.367).
p1_polarisable(100,0.5).
p1_flex(101,0.5).
p1_pi_doner(101,0.1).
p1_polar(101,0.42).
p1_h_doner(101,0.1).
p1_h_acceptor(101,0.633).
p1_size(101,0.5).
p1_pi_acceptor(101,0.1).
p1_branch(101,0.1).
p1_sigma(101,0.367).
p1_polarisable(101,0.5).
p1_flex(102,0.5).
p1_pi_doner(102,0.1).
p1_polar(102,0.42).
p1_h_doner(102,0.1).
p1_h_acceptor(102,0.633).
p1_size(102,0.5).
p1_pi_acceptor(102,0.1).
p1_branch(102,0.1).
p1_sigma(102,0.367).
p1_polarisable(102,0.5).
p1_flex(103,0.5).
p1_pi_doner(103,0.1).
p1_polar(103,0.42).
p1_h_doner(103,0.1).
p1_h_acceptor(103,0.633).
p1_size(103,0.5).
p1_pi_acceptor(103,0.1).
p1_branch(103,0.1).
p1_sigma(103,0.367).
p1_polarisable(103,0.5).
p1_flex(104,0.633).
p1_pi_doner(104,0.1).
p1_polar(104,0.42).
p1_h_doner(104,0.1).
p1_h_acceptor(104,0.633).
p1_size(104,0.5).
p1_pi_acceptor(104,0.1).
p1_branch(104,0.1).
p1_sigma(104,0.367).
p1_polarisable(104,0.5).
p1_flex(105,0.633).
p1_pi_doner(105,0.1).
p1_polar(105,0.42).
p1_h_doner(105,0.1).
p1_h_acceptor(105,0.633).
p1_size(105,0.5).
p1_pi_acceptor(105,0.1).
p1_branch(105,0.1).
p1_sigma(105,0.367).
p1_polarisable(105,0.5).
p1_flex(106,0.633).
p1_pi_doner(106,0.1).
p1_polar(106,0.42).
p1_h_doner(106,0.1).
p1_h_acceptor(106,0.633).
p1_size(106,0.5).
p1_pi_acceptor(106,0.1).
p1_branch(106,0.1).
p1_sigma(106,0.367).
p1_polarisable(106,0.5).
p1_flex(107,0.633).
p1_pi_doner(107,0.1).
p1_polar(107,0.42).
p1_h_doner(107,0.1).
p1_h_acceptor(107,0.633).
p1_size(107,0.5).
p1_pi_acceptor(107,0.1).
p1_branch(107,0.1).
p1_sigma(107,0.367).
p1_polarisable(107,0.5).
p1_flex(108,0.233).
p1_pi_doner(108,0.1).
p1_polar(108,0.42).
p1_h_doner(108,0.1).
p1_h_acceptor(108,0.633).
p1_size(108,0.633).
p1_pi_acceptor(108,0.1).
p1_branch(108,0.5).
p1_sigma(108,0.367).
p1_polarisable(108,0.1).
p1_flex(109,0.233).
p1_pi_doner(109,0.9).
p1_polar(109,0.42).
p1_h_doner(109,0.9).
p1_h_acceptor(109,0.633).
p1_size(109,0.633).
p1_pi_acceptor(109,0.1).
p1_branch(109,0.5).
p1_sigma(109,0.367).
p1_polarisable(109,0.5).
p1_flex(110,0.233).
p1_pi_doner(110,0.9).
p1_polar(110,0.42).
p1_h_doner(110,0.9).
p1_h_acceptor(110,0.633).
p1_size(110,0.633).
p1_pi_acceptor(110,0.1).
p1_branch(110,0.5).
p1_sigma(110,0.367).
p1_polarisable(110,0.5).
p1_flex(111,0.233).
p1_pi_doner(111,0.9).
p1_polar(111,0.42).
p1_h_doner(111,0.9).
p1_h_acceptor(111,0.633).
p1_size(111,0.633).
p1_pi_acceptor(111,0.1).
p1_branch(111,0.5).
p1_sigma(111,0.367).
p1_polarisable(111,0.5).
p1_flex(112,0.233).
p1_pi_doner(112,0.9).
p1_polar(112,0.42).
p1_h_doner(112,0.9).
p1_h_acceptor(112,0.633).
p1_size(112,0.633).
p1_pi_acceptor(112,0.1).
p1_branch(112,0.5).
p1_sigma(112,0.367).
p1_polarisable(112,0.5).
p1_flex(113,0.233).
p1_pi_doner(113,0.9).
p1_polar(113,0.42).
p1_h_doner(113,0.9).
p1_h_acceptor(113,0.633).
p1_size(113,0.633).
p1_pi_acceptor(113,0.1).
p1_branch(113,0.5).
p1_sigma(113,0.367).
p1_polarisable(113,0.5).
p1_flex(114,0.233).
p1_pi_doner(114,0.9).
p1_polar(114,0.42).
p1_h_doner(114,0.9).
p1_h_acceptor(114,0.633).
p1_size(114,0.633).
p1_pi_acceptor(114,0.1).
p1_branch(114,0.5).
p1_sigma(114,0.367).
p1_polarisable(114,0.5).
p1_flex(115,0.5).
p1_pi_doner(115,0.5).
p1_polar(115,0.42).
p1_h_doner(115,0.5).
p1_h_acceptor(115,0.367).
p1_size(115,0.633).
p1_pi_acceptor(115,0.1).
p1_branch(115,0.5).
p1_sigma(115,0.1).
p1_polarisable(115,0.5).
p1_flex(116,0.633).
p1_pi_doner(116,0.1).
p1_polar(116,0.42).
p1_h_doner(116,0.1).
p1_h_acceptor(116,0.367).
p1_size(116,0.633).
p1_pi_acceptor(116,0.1).
p1_branch(116,0.1).
p1_sigma(116,0.367).
p1_polarisable(116,0.5).
p1_flex(117,0.767).
p1_pi_doner(117,0.1).
p1_polar(117,0.42).
p1_h_doner(117,0.1).
p1_h_acceptor(117,0.633).
p1_size(117,0.633).
p1_pi_acceptor(117,0.1).
p1_branch(117,0.1).
p1_sigma(117,0.367).
p1_polarisable(117,0.5).
p1_flex(118,0.767).
p1_pi_doner(118,0.1).
p1_polar(118,0.42).
p1_h_doner(118,0.1).
p1_h_acceptor(118,0.633).
p1_size(118,0.633).
p1_pi_acceptor(118,0.1).
p1_branch(118,0.1).
p1_sigma(118,0.367).
p1_polarisable(118,0.5).
p1_flex(119,0.233).
p1_pi_doner(119,0.5).
p1_polar(119,0.42).
p1_h_doner(119,0.5).
p1_h_acceptor(119,0.9).
p1_size(119,0.767).
p1_pi_acceptor(119,0.1).
p1_branch(119,0.9).
p1_sigma(119,0.1).
p1_polarisable(119,0.5).
p1_flex(120,0.367).
p1_pi_doner(120,0.1).
p1_polar(120,0.42).
p1_h_doner(120,0.1).
p1_h_acceptor(120,0.367).
p1_size(120,0.767).
p1_pi_acceptor(120,0.1).
p1_branch(120,0.9).
p1_sigma(120,0.1).
p1_polarisable(120,0.5).
p1_flex(121,0.367).
p1_pi_doner(121,0.1).
p1_polar(121,0.42).
p1_h_doner(121,0.1).
p1_h_acceptor(121,0.9).
p1_size(121,0.767).
p1_pi_acceptor(121,0.1).
p1_branch(121,0.9).
p1_sigma(121,0.367).
p1_polarisable(121,0.1).
p1_flex(122,0.5).
p1_pi_doner(122,0.5).
p1_polar(122,0.42).
p1_h_doner(122,0.5).
p1_h_acceptor(122,0.633).
p1_size(122,0.767).
p1_pi_acceptor(122,0.1).
p1_branch(122,0.9).
p1_sigma(122,0.1).
p1_polarisable(122,0.5).
p1_flex(123,0.9).
p1_pi_doner(123,0.1).
p1_polar(123,0.42).
p1_h_doner(123,0.1).
p1_h_acceptor(123,0.633).
p1_size(123,0.767).
p1_pi_acceptor(123,0.1).
p1_branch(123,0.1).
p1_sigma(123,0.367).
p1_polarisable(123,0.5).
p1_flex(124,0.233).
p1_pi_doner(124,0.1).
p1_polar(124,0.42).
p1_h_doner(124,0.1).
p1_h_acceptor(124,0.633).
p1_size(124,0.9).
p1_pi_acceptor(124,0.1).
p1_branch(124,0.5).
p1_sigma(124,0.367).
p1_polarisable(124,0.1).
p1_flex(125,0.1).
p1_pi_doner(125,0.1).
p1_polar(125,0.58).
p1_h_doner(125,0.1).
p1_h_acceptor(125,0.1).
p1_size(125,0.233).
p1_pi_acceptor(125,0.5).
p1_branch(125,0.5).
p1_sigma(125,0.9).
p1_polarisable(125,0.1).
p1_flex(126,0.1).
p1_pi_doner(126,0.1).
p1_polar(126,0.58).
p1_h_doner(126,0.1).
p1_h_acceptor(126,0.1).
p1_size(126,0.233).
p1_pi_acceptor(126,0.1).
p1_branch(126,0.1).
p1_sigma(126,0.9).
p1_polarisable(126,0.5).
p1_flex(127,0.1).
p1_pi_doner(127,0.1).
p1_polar(127,0.58).
p1_h_doner(127,0.1).
p1_h_acceptor(127,0.1).
p1_size(127,0.233).
p1_pi_acceptor(127,0.1).
p1_branch(127,0.1).
p1_sigma(127,0.9).
p1_polarisable(127,0.5).
p1_flex(128,0.1).
p1_pi_doner(128,0.1).
p1_polar(128,0.58).
p1_h_doner(128,0.1).
p1_h_acceptor(128,0.1).
p1_size(128,0.233).
p1_pi_acceptor(128,0.1).
p1_branch(128,0.1).
p1_sigma(128,0.9).
p1_polarisable(128,0.5).
p1_flex(129,0.1).
p1_pi_doner(129,0.1).
p1_polar(129,0.58).
p1_h_doner(129,0.1).
p1_h_acceptor(129,0.1).
p1_size(129,0.233).
p1_pi_acceptor(129,0.1).
p1_branch(129,0.1).
p1_sigma(129,0.9).
p1_polarisable(129,0.5).
p1_flex(130,0.1).
p1_pi_doner(130,0.1).
p1_polar(130,0.58).
p1_h_doner(130,0.1).
p1_h_acceptor(130,0.1).
p1_size(130,0.233).
p1_pi_acceptor(130,0.1).
p1_branch(130,0.1).
p1_sigma(130,0.9).
p1_polarisable(130,0.5).
p1_flex(131,0.1).
p1_pi_doner(131,0.1).
p1_polar(131,0.58).
p1_h_doner(131,0.1).
p1_h_acceptor(131,0.1).
p1_size(131,0.233).
p1_pi_acceptor(131,0.1).
p1_branch(131,0.1).
p1_sigma(131,0.9).
p1_polarisable(131,0.5).
p1_flex(132,0.1).
p1_pi_doner(132,0.1).
p1_polar(132,0.58).
p1_h_doner(132,0.1).
p1_h_acceptor(132,0.1).
p1_size(132,0.233).
p1_pi_acceptor(132,0.1).
p1_branch(132,0.1).
p1_sigma(132,0.9).
p1_polarisable(132,0.5).
p1_flex(133,0.1).
p1_pi_doner(133,0.1).
p1_polar(133,0.58).
p1_h_doner(133,0.1).
p1_h_acceptor(133,0.1).
p1_size(133,0.233).
p1_pi_acceptor(133,0.1).
p1_branch(133,0.1).
p1_sigma(133,0.9).
p1_polarisable(133,0.5).
p1_flex(134,0.1).
p1_pi_doner(134,0.1).
p1_polar(134,0.58).
p1_h_doner(134,0.1).
p1_h_acceptor(134,0.1).
p1_size(134,0.233).
p1_pi_acceptor(134,0.1).
p1_branch(134,0.1).
p1_sigma(134,0.9).
p1_polarisable(134,0.5).
p1_flex(135,0.1).
p1_pi_doner(135,0.1).
p1_polar(135,0.58).
p1_h_doner(135,0.1).
p1_h_acceptor(135,0.1).
p1_size(135,0.233).
p1_pi_acceptor(135,0.1).
p1_branch(135,0.1).
p1_sigma(135,0.9).
p1_polarisable(135,0.5).
p1_flex(136,0.1).
p1_pi_doner(136,0.1).
p1_polar(136,0.58).
p1_h_doner(136,0.1).
p1_h_acceptor(136,0.1).
p1_size(136,0.233).
p1_pi_acceptor(136,0.1).
p1_branch(136,0.1).
p1_sigma(136,0.9).
p1_polarisable(136,0.5).
p1_flex(137,0.1).
p1_pi_doner(137,0.1).
p1_polar(137,0.58).
p1_h_doner(137,0.1).
p1_h_acceptor(137,0.1).
p1_size(137,0.233).
p1_pi_acceptor(137,0.1).
p1_branch(137,0.1).
p1_sigma(137,0.9).
p1_polarisable(137,0.5).
p1_flex(138,0.1).
p1_pi_doner(138,0.1).
p1_polar(138,0.58).
p1_h_doner(138,0.1).
p1_h_acceptor(138,0.1).
p1_size(138,0.233).
p1_pi_acceptor(138,0.1).
p1_branch(138,0.1).
p1_sigma(138,0.9).
p1_polarisable(138,0.5).
p1_flex(139,0.1).
p1_pi_doner(139,0.1).
p1_polar(139,0.58).
p1_h_doner(139,0.1).
p1_h_acceptor(139,0.1).
p1_size(139,0.233).
p1_pi_acceptor(139,0.1).
p1_branch(139,0.1).
p1_sigma(139,0.9).
p1_polarisable(139,0.5).
p1_flex(140,0.1).
p1_pi_doner(140,0.1).
p1_polar(140,0.58).
p1_h_doner(140,0.1).
p1_h_acceptor(140,0.1).
p1_size(140,0.233).
p1_pi_acceptor(140,0.1).
p1_branch(140,0.1).
p1_sigma(140,0.9).
p1_polarisable(140,0.5).
p1_flex(141,0.1).
p1_pi_doner(141,0.1).
p1_polar(141,0.58).
p1_h_doner(141,0.1).
p1_h_acceptor(141,0.1).
p1_size(141,0.233).
p1_pi_acceptor(141,0.1).
p1_branch(141,0.1).
p1_sigma(141,0.9).
p1_polarisable(141,0.5).
p1_flex(142,0.1).
p1_pi_doner(142,0.1).
p1_polar(142,0.58).
p1_h_doner(142,0.1).
p1_h_acceptor(142,0.1).
p1_size(142,0.233).
p1_pi_acceptor(142,0.1).
p1_branch(142,0.1).
p1_sigma(142,0.9).
p1_polarisable(142,0.5).
p1_flex(143,0.1).
p1_pi_doner(143,0.1).
p1_polar(143,0.58).
p1_h_doner(143,0.1).
p1_h_acceptor(143,0.1).
p1_size(143,0.233).
p1_pi_acceptor(143,0.1).
p1_branch(143,0.1).
p1_sigma(143,0.9).
p1_polarisable(143,0.5).
p1_flex(144,0.1).
p1_pi_doner(144,0.1).
p1_polar(144,0.58).
p1_h_doner(144,0.1).
p1_h_acceptor(144,0.1).
p1_size(144,0.233).
p1_pi_acceptor(144,0.1).
p1_branch(144,0.1).
p1_sigma(144,0.9).
p1_polarisable(144,0.5).
p1_flex(145,0.1).
p1_pi_doner(145,0.1).
p1_polar(145,0.58).
p1_h_doner(145,0.1).
p1_h_acceptor(145,0.1).
p1_size(145,0.233).
p1_pi_acceptor(145,0.1).
p1_branch(145,0.1).
p1_sigma(145,0.9).
p1_polarisable(145,0.5).
p1_flex(146,0.1).
p1_pi_doner(146,0.1).
p1_polar(146,0.58).
p1_h_doner(146,0.1).
p1_h_acceptor(146,0.1).
p1_size(146,0.233).
p1_pi_acceptor(146,0.1).
p1_branch(146,0.1).
p1_sigma(146,0.9).
p1_polarisable(146,0.5).
p1_flex(147,0.1).
p1_pi_doner(147,0.1).
p1_polar(147,0.58).
p1_h_doner(147,0.1).
p1_h_acceptor(147,0.1).
p1_size(147,0.233).
p1_pi_acceptor(147,0.1).
p1_branch(147,0.1).
p1_sigma(147,0.9).
p1_polarisable(147,0.5).
p1_flex(148,0.1).
p1_pi_doner(148,0.1).
p1_polar(148,0.58).
p1_h_doner(148,0.1).
p1_h_acceptor(148,0.1).
p1_size(148,0.233).
p1_pi_acceptor(148,0.1).
p1_branch(148,0.1).
p1_sigma(148,0.9).
p1_polarisable(148,0.5).
p1_flex(149,0.1).
p1_pi_doner(149,0.1).
p1_polar(149,0.58).
p1_h_doner(149,0.1).
p1_h_acceptor(149,0.1).
p1_size(149,0.233).
p1_pi_acceptor(149,0.1).
p1_branch(149,0.1).
p1_sigma(149,0.9).
p1_polarisable(149,0.5).
p1_flex(150,0.1).
p1_pi_doner(150,0.1).
p1_polar(150,0.58).
p1_h_doner(150,0.1).
p1_h_acceptor(150,0.1).
p1_size(150,0.233).
p1_pi_acceptor(150,0.1).
p1_branch(150,0.1).
p1_sigma(150,0.9).
p1_polarisable(150,0.5).
p1_flex(151,0.1).
p1_pi_doner(151,0.1).
p1_polar(151,0.58).
p1_h_doner(151,0.1).
p1_h_acceptor(151,0.1).
p1_size(151,0.233).
p1_pi_acceptor(151,0.1).
p1_branch(151,0.1).
p1_sigma(151,0.9).
p1_polarisable(151,0.5).
p1_flex(152,0.1).
p1_pi_doner(152,0.1).
p1_polar(152,0.58).
p1_h_doner(152,0.1).
p1_h_acceptor(152,0.1).
p1_size(152,0.233).
p1_pi_acceptor(152,0.1).
p1_branch(152,0.1).
p1_sigma(152,0.9).
p1_polarisable(152,0.5).
p1_flex(153,0.1).
p1_pi_doner(153,0.1).
p1_polar(153,0.58).
p1_h_doner(153,0.1).
p1_h_acceptor(153,0.1).
p1_size(153,0.233).
p1_pi_acceptor(153,0.1).
p1_branch(153,0.1).
p1_sigma(153,0.9).
p1_polarisable(153,0.5).
p1_flex(154,0.1).
p1_pi_doner(154,0.1).
p1_polar(154,0.58).
p1_h_doner(154,0.1).
p1_h_acceptor(154,0.1).
p1_size(154,0.233).
p1_pi_acceptor(154,0.1).
p1_branch(154,0.1).
p1_sigma(154,0.9).
p1_polarisable(154,0.5).
p1_flex(155,0.1).
p1_pi_doner(155,0.1).
p1_polar(155,0.58).
p1_h_doner(155,0.1).
p1_h_acceptor(155,0.1).
p1_size(155,0.233).
p1_pi_acceptor(155,0.1).
p1_branch(155,0.1).
p1_sigma(155,0.9).
p1_polarisable(155,0.5).
p1_flex(156,0.1).
p1_pi_doner(156,0.1).
p1_polar(156,0.58).
p1_h_doner(156,0.1).
p1_h_acceptor(156,0.1).
p1_size(156,0.233).
p1_pi_acceptor(156,0.1).
p1_branch(156,0.1).
p1_sigma(156,0.9).
p1_polarisable(156,0.5).
p1_flex(157,0.1).
p1_pi_doner(157,0.1).
p1_polar(157,0.58).
p1_h_doner(157,0.1).
p1_h_acceptor(157,0.1).
p1_size(157,0.233).
p1_pi_acceptor(157,0.1).
p1_branch(157,0.1).
p1_sigma(157,0.9).
p1_polarisable(157,0.5).
p1_flex(158,0.1).
p1_pi_doner(158,0.1).
p1_polar(158,0.58).
p1_h_doner(158,0.1).
p1_h_acceptor(158,0.1).
p1_size(158,0.233).
p1_pi_acceptor(158,0.1).
p1_branch(158,0.1).
p1_sigma(158,0.9).
p1_polarisable(158,0.5).
p1_flex(159,0.1).
p1_pi_doner(159,0.1).
p1_polar(159,0.58).
p1_h_doner(159,0.1).
p1_h_acceptor(159,0.1).
p1_size(159,0.233).
p1_pi_acceptor(159,0.1).
p1_branch(159,0.1).
p1_sigma(159,0.9).
p1_polarisable(159,0.5).
p1_flex(160,0.1).
p1_pi_doner(160,0.1).
p1_polar(160,0.58).
p1_h_doner(160,0.1).
p1_h_acceptor(160,0.1).
p1_size(160,0.233).
p1_pi_acceptor(160,0.1).
p1_branch(160,0.1).
p1_sigma(160,0.9).
p1_polarisable(160,0.5).
p1_flex(161,0.1).
p1_pi_doner(161,0.1).
p1_polar(161,0.58).
p1_h_doner(161,0.1).
p1_h_acceptor(161,0.1).
p1_size(161,0.233).
p1_pi_acceptor(161,0.1).
p1_branch(161,0.1).
p1_sigma(161,0.9).
p1_polarisable(161,0.5).
p1_flex(162,0.1).
p1_pi_doner(162,0.1).
p1_polar(162,0.58).
p1_h_doner(162,0.1).
p1_h_acceptor(162,0.1).
p1_size(162,0.233).
p1_pi_acceptor(162,0.1).
p1_branch(162,0.1).
p1_sigma(162,0.9).
p1_polarisable(162,0.5).
p1_flex(163,0.1).
p1_pi_doner(163,0.1).
p1_polar(163,0.58).
p1_h_doner(163,0.1).
p1_h_acceptor(163,0.1).
p1_size(163,0.233).
p1_pi_acceptor(163,0.1).
p1_branch(163,0.1).
p1_sigma(163,0.9).
p1_polarisable(163,0.5).
p1_flex(164,0.1).
p1_pi_doner(164,0.1).
p1_polar(164,0.58).
p1_h_doner(164,0.1).
p1_h_acceptor(164,0.1).
p1_size(164,0.233).
p1_pi_acceptor(164,0.1).
p1_branch(164,0.1).
p1_sigma(164,0.9).
p1_polarisable(164,0.5).
p1_flex(165,0.1).
p1_pi_doner(165,0.1).
p1_polar(165,0.58).
p1_h_doner(165,0.1).
p1_h_acceptor(165,0.1).
p1_size(165,0.233).
p1_pi_acceptor(165,0.1).
p1_branch(165,0.1).
p1_sigma(165,0.9).
p1_polarisable(165,0.5).
p1_flex(166,0.1).
p1_pi_doner(166,0.1).
p1_polar(166,0.58).
p1_h_doner(166,0.1).
p1_h_acceptor(166,0.1).
p1_size(166,0.233).
p1_pi_acceptor(166,0.1).
p1_branch(166,0.1).
p1_sigma(166,0.9).
p1_polarisable(166,0.5).
p1_flex(167,0.1).
p1_pi_doner(167,0.1).
p1_polar(167,0.58).
p1_h_doner(167,0.1).
p1_h_acceptor(167,0.1).
p1_size(167,0.233).
p1_pi_acceptor(167,0.1).
p1_branch(167,0.1).
p1_sigma(167,0.9).
p1_polarisable(167,0.5).
p1_flex(168,0.1).
p1_pi_doner(168,0.1).
p1_polar(168,0.58).
p1_h_doner(168,0.1).
p1_h_acceptor(168,0.1).
p1_size(168,0.233).
p1_pi_acceptor(168,0.1).
p1_branch(168,0.1).
p1_sigma(168,0.9).
p1_polarisable(168,0.5).
p1_flex(169,0.1).
p1_pi_doner(169,0.1).
p1_polar(169,0.58).
p1_h_doner(169,0.1).
p1_h_acceptor(169,0.1).
p1_size(169,0.233).
p1_pi_acceptor(169,0.1).
p1_branch(169,0.1).
p1_sigma(169,0.9).
p1_polarisable(169,0.5).
p1_flex(170,0.1).
p1_pi_doner(170,0.1).
p1_polar(170,0.58).
p1_h_doner(170,0.1).
p1_h_acceptor(170,0.1).
p1_size(170,0.233).
p1_pi_acceptor(170,0.1).
p1_branch(170,0.1).
p1_sigma(170,0.9).
p1_polarisable(170,0.5).
p1_flex(171,0.1).
p1_pi_doner(171,0.1).
p1_polar(171,0.58).
p1_h_doner(171,0.1).
p1_h_acceptor(171,0.1).
p1_size(171,0.233).
p1_pi_acceptor(171,0.1).
p1_branch(171,0.1).
p1_sigma(171,0.9).
p1_polarisable(171,0.5).
p1_flex(172,0.1).
p1_pi_doner(172,0.1).
p1_polar(172,0.58).
p1_h_doner(172,0.1).
p1_h_acceptor(172,0.1).
p1_size(172,0.233).
p1_pi_acceptor(172,0.1).
p1_branch(172,0.1).
p1_sigma(172,0.9).
p1_polarisable(172,0.5).
p1_flex(173,0.1).
p1_pi_doner(173,0.1).
p1_polar(173,0.58).
p1_h_doner(173,0.1).
p1_h_acceptor(173,0.1).
p1_size(173,0.233).
p1_pi_acceptor(173,0.1).
p1_branch(173,0.1).
p1_sigma(173,0.9).
p1_polarisable(173,0.5).
p1_flex(174,0.1).
p1_pi_doner(174,0.1).
p1_polar(174,0.58).
p1_h_doner(174,0.1).
p1_h_acceptor(174,0.1).
p1_size(174,0.233).
p1_pi_acceptor(174,0.1).
p1_branch(174,0.1).
p1_sigma(174,0.9).
p1_polarisable(174,0.5).
p1_flex(175,0.1).
p1_pi_doner(175,0.1).
p1_polar(175,0.58).
p1_h_doner(175,0.1).
p1_h_acceptor(175,0.1).
p1_size(175,0.233).
p1_pi_acceptor(175,0.1).
p1_branch(175,0.1).
p1_sigma(175,0.9).
p1_polarisable(175,0.5).
p1_flex(176,0.1).
p1_pi_doner(176,0.1).
p1_polar(176,0.58).
p1_h_doner(176,0.1).
p1_h_acceptor(176,0.1).
p1_size(176,0.233).
p1_pi_acceptor(176,0.1).
p1_branch(176,0.1).
p1_sigma(176,0.9).
p1_polarisable(176,0.5).
p1_flex(177,0.1).
p1_pi_doner(177,0.1).
p1_polar(177,0.58).
p1_h_doner(177,0.1).
p1_h_acceptor(177,0.1).
p1_size(177,0.233).
p1_pi_acceptor(177,0.1).
p1_branch(177,0.1).
p1_sigma(177,0.9).
p1_polarisable(177,0.5).
p1_flex(178,0.1).
p1_pi_doner(178,0.1).
p1_polar(178,0.58).
p1_h_doner(178,0.1).
p1_h_acceptor(178,0.1).
p1_size(178,0.233).
p1_pi_acceptor(178,0.1).
p1_branch(178,0.1).
p1_sigma(178,0.9).
p1_polarisable(178,0.5).
p1_flex(179,0.1).
p1_pi_doner(179,0.1).
p1_polar(179,0.58).
p1_h_doner(179,0.1).
p1_h_acceptor(179,0.1).
p1_size(179,0.233).
p1_pi_acceptor(179,0.1).
p1_branch(179,0.1).
p1_sigma(179,0.9).
p1_polarisable(179,0.5).
p1_flex(180,0.1).
p1_pi_doner(180,0.1).
p1_polar(180,0.58).
p1_h_doner(180,0.1).
p1_h_acceptor(180,0.1).
p1_size(180,0.233).
p1_pi_acceptor(180,0.1).
p1_branch(180,0.1).
p1_sigma(180,0.9).
p1_polarisable(180,0.5).
p1_flex(181,0.1).
p1_pi_doner(181,0.1).
p1_polar(181,0.58).
p1_h_doner(181,0.1).
p1_h_acceptor(181,0.1).
p1_size(181,0.233).
p1_pi_acceptor(181,0.1).
p1_branch(181,0.1).
p1_sigma(181,0.9).
p1_polarisable(181,0.5).
p1_flex(182,0.1).
p1_pi_doner(182,0.1).
p1_polar(182,0.58).
p1_h_doner(182,0.1).
p1_h_acceptor(182,0.1).
p1_size(182,0.233).
p1_pi_acceptor(182,0.1).
p1_branch(182,0.1).
p1_sigma(182,0.633).
p1_polarisable(182,0.9).
p1_flex(183,0.233).
p1_pi_doner(183,0.1).
p1_polar(183,0.58).
p1_h_doner(183,0.1).
p1_h_acceptor(183,0.367).
p1_size(183,0.367).
p1_pi_acceptor(183,0.5).
p1_branch(183,0.5).
p1_sigma(183,0.1).
p1_polarisable(183,0.5).
p1_flex(184,0.233).
p1_pi_doner(184,0.5).
p1_polar(184,0.58).
p1_h_doner(184,0.5).
p1_h_acceptor(184,0.367).
p1_size(184,0.367).
p1_pi_acceptor(184,0.5).
p1_branch(184,0.5).
p1_sigma(184,0.1).
p1_polarisable(184,0.5).
p1_flex(185,0.1).
p1_pi_doner(185,0.1).
p1_polar(185,0.74).
p1_h_doner(185,0.1).
p1_h_acceptor(185,0.1).
p1_size(185,0.367).
p1_pi_acceptor(185,0.5).
p1_branch(185,0.9).
p1_sigma(185,0.633).
p1_polarisable(185,0.9).
p1_flex(186,0.1).
p1_pi_doner(186,0.1).
p1_polar(186,0.9).
p1_h_doner(186,0.1).
p1_h_acceptor(186,0.1).
p1_size(186,0.367).
p1_pi_acceptor(186,0.9).
p1_branch(186,0.5).
p1_sigma(186,0.9).
p1_polarisable(186,0.1).
p2_flex(1,0.1).
p2_pi_doner(1,0.1).
p2_polar(1,0.1).
p2_h_doner(1,0.1).
p2_h_acceptor(1,0.1).
p2_size(1,0.1).
p2_pi_acceptor(1,0.1).
p2_branch(1,0.1).
p2_sigma(1,0.1).
p2_polarisable(1,0.1).
p2_flex(2,0.1).
p2_pi_doner(2,0.1).
p2_polar(2,0.1).
p2_h_doner(2,0.1).
p2_h_acceptor(2,0.1).
p2_size(2,0.1).
p2_pi_acceptor(2,0.1).
p2_branch(2,0.1).
p2_sigma(2,0.1).
p2_polarisable(2,0.1).
p2_flex(3,0.1).
p2_pi_doner(3,0.1).
p2_polar(3,0.1).
p2_h_doner(3,0.1).
p2_h_acceptor(3,0.1).
p2_size(3,0.1).
p2_pi_acceptor(3,0.1).
p2_branch(3,0.1).
p2_sigma(3,0.1).
p2_polarisable(3,0.1).
p2_flex(4,0.1).
p2_pi_doner(4,0.1).
p2_polar(4,0.1).
p2_h_doner(4,0.1).
p2_h_acceptor(4,0.1).
p2_size(4,0.1).
p2_pi_acceptor(4,0.1).
p2_branch(4,0.1).
p2_sigma(4,0.1).
p2_polarisable(4,0.1).
p2_flex(5,0.1).
p2_pi_doner(5,0.1).
p2_polar(5,0.1).
p2_h_doner(5,0.1).
p2_h_acceptor(5,0.1).
p2_size(5,0.1).
p2_pi_acceptor(5,0.1).
p2_branch(5,0.1).
p2_sigma(5,0.1).
p2_polarisable(5,0.1).
p2_flex(6,0.1).
p2_pi_doner(6,0.1).
p2_polar(6,0.1).
p2_h_doner(6,0.1).
p2_h_acceptor(6,0.1).
p2_size(6,0.1).
p2_pi_acceptor(6,0.1).
p2_branch(6,0.1).
p2_sigma(6,0.1).
p2_polarisable(6,0.1).
p2_flex(7,0.1).
p2_pi_doner(7,0.1).
p2_polar(7,0.1).
p2_h_doner(7,0.1).
p2_h_acceptor(7,0.1).
p2_size(7,0.1).
p2_pi_acceptor(7,0.1).
p2_branch(7,0.1).
p2_sigma(7,0.1).
p2_polarisable(7,0.1).
p2_flex(8,0.1).
p2_pi_doner(8,0.1).
p2_polar(8,0.1).
p2_h_doner(8,0.1).
p2_h_acceptor(8,0.1).
p2_size(8,0.1).
p2_pi_acceptor(8,0.1).
p2_branch(8,0.1).
p2_sigma(8,0.1).
p2_polarisable(8,0.1).
p2_flex(9,0.1).
p2_pi_doner(9,0.1).
p2_polar(9,0.1).
p2_h_doner(9,0.1).
p2_h_acceptor(9,0.1).
p2_size(9,0.1).
p2_pi_acceptor(9,0.1).
p2_branch(9,0.1).
p2_sigma(9,0.1).
p2_polarisable(9,0.1).
p2_flex(10,0.1).
p2_pi_doner(10,0.1).
p2_polar(10,0.1).
p2_h_doner(10,0.1).
p2_h_acceptor(10,0.1).
p2_size(10,0.1).
p2_pi_acceptor(10,0.1).
p2_branch(10,0.1).
p2_sigma(10,0.1).
p2_polarisable(10,0.1).
p2_flex(11,0.1).
p2_pi_doner(11,0.1).
p2_polar(11,0.1).
p2_h_doner(11,0.1).
p2_h_acceptor(11,0.1).
p2_size(11,0.1).
p2_pi_acceptor(11,0.1).
p2_branch(11,0.1).
p2_sigma(11,0.1).
p2_polarisable(11,0.1).
p2_flex(12,0.1).
p2_pi_doner(12,0.1).
p2_polar(12,0.1).
p2_h_doner(12,0.1).
p2_h_acceptor(12,0.1).
p2_size(12,0.1).
p2_pi_acceptor(12,0.1).
p2_branch(12,0.1).
p2_sigma(12,0.1).
p2_polarisable(12,0.1).
p2_flex(13,0.1).
p2_pi_doner(13,0.1).
p2_polar(13,0.1).
p2_h_doner(13,0.1).
p2_h_acceptor(13,0.1).
p2_size(13,0.1).
p2_pi_acceptor(13,0.1).
p2_branch(13,0.1).
p2_sigma(13,0.1).
p2_polarisable(13,0.1).
p2_flex(14,0.1).
p2_pi_doner(14,0.1).
p2_polar(14,0.1).
p2_h_doner(14,0.1).
p2_h_acceptor(14,0.1).
p2_size(14,0.1).
p2_pi_acceptor(14,0.1).
p2_branch(14,0.1).
p2_sigma(14,0.1).
p2_polarisable(14,0.1).
p2_flex(15,0.1).
p2_pi_doner(15,0.1).
p2_polar(15,0.1).
p2_h_doner(15,0.1).
p2_h_acceptor(15,0.1).
p2_size(15,0.1).
p2_pi_acceptor(15,0.1).
p2_branch(15,0.1).
p2_sigma(15,0.1).
p2_polarisable(15,0.1).
p2_flex(16,0.1).
p2_pi_doner(16,0.1).
p2_polar(16,0.1).
p2_h_doner(16,0.1).
p2_h_acceptor(16,0.1).
p2_size(16,0.1).
p2_pi_acceptor(16,0.1).
p2_branch(16,0.1).
p2_sigma(16,0.1).
p2_polarisable(16,0.1).
p2_flex(17,0.1).
p2_pi_doner(17,0.1).
p2_polar(17,0.1).
p2_h_doner(17,0.1).
p2_h_acceptor(17,0.1).
p2_size(17,0.1).
p2_pi_acceptor(17,0.1).
p2_branch(17,0.1).
p2_sigma(17,0.1).
p2_polarisable(17,0.1).
p2_flex(18,0.1).
p2_pi_doner(18,0.1).
p2_polar(18,0.1).
p2_h_doner(18,0.1).
p2_h_acceptor(18,0.1).
p2_size(18,0.1).
p2_pi_acceptor(18,0.1).
p2_branch(18,0.1).
p2_sigma(18,0.1).
p2_polarisable(18,0.1).
p2_flex(19,0.1).
p2_pi_doner(19,0.1).
p2_polar(19,0.1).
p2_h_doner(19,0.1).
p2_h_acceptor(19,0.1).
p2_size(19,0.1).
p2_pi_acceptor(19,0.1).
p2_branch(19,0.1).
p2_sigma(19,0.1).
p2_polarisable(19,0.1).
p2_flex(20,0.1).
p2_pi_doner(20,0.1).
p2_polar(20,0.1).
p2_h_doner(20,0.1).
p2_h_acceptor(20,0.1).
p2_size(20,0.1).
p2_pi_acceptor(20,0.1).
p2_branch(20,0.1).
p2_sigma(20,0.1).
p2_polarisable(20,0.1).
p2_flex(21,0.1).
p2_pi_doner(21,0.1).
p2_polar(21,0.1).
p2_h_doner(21,0.1).
p2_h_acceptor(21,0.1).
p2_size(21,0.1).
p2_pi_acceptor(21,0.1).
p2_branch(21,0.1).
p2_sigma(21,0.1).
p2_polarisable(21,0.1).
p2_flex(22,0.1).
p2_pi_doner(22,0.1).
p2_polar(22,0.1).
p2_h_doner(22,0.1).
p2_h_acceptor(22,0.1).
p2_size(22,0.1).
p2_pi_acceptor(22,0.1).
p2_branch(22,0.1).
p2_sigma(22,0.1).
p2_polarisable(22,0.1).
p2_flex(23,0.1).
p2_pi_doner(23,0.1).
p2_polar(23,0.1).
p2_h_doner(23,0.1).
p2_h_acceptor(23,0.1).
p2_size(23,0.1).
p2_pi_acceptor(23,0.1).
p2_branch(23,0.1).
p2_sigma(23,0.1).
p2_polarisable(23,0.1).
p2_flex(24,0.1).
p2_pi_doner(24,0.1).
p2_polar(24,0.1).
p2_h_doner(24,0.1).
p2_h_acceptor(24,0.1).
p2_size(24,0.1).
p2_pi_acceptor(24,0.1).
p2_branch(24,0.1).
p2_sigma(24,0.1).
p2_polarisable(24,0.1).
p2_flex(25,0.1).
p2_pi_doner(25,0.1).
p2_polar(25,0.1).
p2_h_doner(25,0.1).
p2_h_acceptor(25,0.1).
p2_size(25,0.1).
p2_pi_acceptor(25,0.1).
p2_branch(25,0.1).
p2_sigma(25,0.1).
p2_polarisable(25,0.1).
p2_flex(26,0.1).
p2_pi_doner(26,0.1).
p2_polar(26,0.1).
p2_h_doner(26,0.1).
p2_h_acceptor(26,0.1).
p2_size(26,0.1).
p2_pi_acceptor(26,0.1).
p2_branch(26,0.1).
p2_sigma(26,0.1).
p2_polarisable(26,0.1).
p2_flex(27,0.1).
p2_pi_doner(27,0.1).
p2_polar(27,0.1).
p2_h_doner(27,0.1).
p2_h_acceptor(27,0.1).
p2_size(27,0.1).
p2_pi_acceptor(27,0.1).
p2_branch(27,0.1).
p2_sigma(27,0.1).
p2_polarisable(27,0.1).
p2_flex(28,0.1).
p2_pi_doner(28,0.1).
p2_polar(28,0.1).
p2_h_doner(28,0.1).
p2_h_acceptor(28,0.1).
p2_size(28,0.1).
p2_pi_acceptor(28,0.1).
p2_branch(28,0.1).
p2_sigma(28,0.1).
p2_polarisable(28,0.1).
p2_flex(29,0.1).
p2_pi_doner(29,0.1).
p2_polar(29,0.1).
p2_h_doner(29,0.1).
p2_h_acceptor(29,0.1).
p2_size(29,0.1).
p2_pi_acceptor(29,0.1).
p2_branch(29,0.1).
p2_sigma(29,0.1).
p2_polarisable(29,0.1).
p2_flex(30,0.1).
p2_pi_doner(30,0.1).
p2_polar(30,0.1).
p2_h_doner(30,0.1).
p2_h_acceptor(30,0.1).
p2_size(30,0.1).
p2_pi_acceptor(30,0.1).
p2_branch(30,0.1).
p2_sigma(30,0.1).
p2_polarisable(30,0.1).
p2_flex(31,0.1).
p2_pi_doner(31,0.1).
p2_polar(31,0.1).
p2_h_doner(31,0.1).
p2_h_acceptor(31,0.1).
p2_size(31,0.1).
p2_pi_acceptor(31,0.1).
p2_branch(31,0.1).
p2_sigma(31,0.1).
p2_polarisable(31,0.1).
p2_flex(32,0.1).
p2_pi_doner(32,0.1).
p2_polar(32,0.1).
p2_h_doner(32,0.1).
p2_h_acceptor(32,0.1).
p2_size(32,0.1).
p2_pi_acceptor(32,0.1).
p2_branch(32,0.1).
p2_sigma(32,0.1).
p2_polarisable(32,0.1).
p2_flex(33,0.1).
p2_pi_doner(33,0.1).
p2_polar(33,0.1).
p2_h_doner(33,0.1).
p2_h_acceptor(33,0.1).
p2_size(33,0.1).
p2_pi_acceptor(33,0.1).
p2_branch(33,0.1).
p2_sigma(33,0.1).
p2_polarisable(33,0.1).
p2_flex(34,0.1).
p2_pi_doner(34,0.1).
p2_polar(34,0.1).
p2_h_doner(34,0.1).
p2_h_acceptor(34,0.1).
p2_size(34,0.1).
p2_pi_acceptor(34,0.1).
p2_branch(34,0.1).
p2_sigma(34,0.1).
p2_polarisable(34,0.1).
p2_flex(35,0.1).
p2_pi_doner(35,0.1).
p2_polar(35,0.1).
p2_h_doner(35,0.1).
p2_h_acceptor(35,0.1).
p2_size(35,0.1).
p2_pi_acceptor(35,0.1).
p2_branch(35,0.1).
p2_sigma(35,0.1).
p2_polarisable(35,0.1).
p2_flex(36,0.1).
p2_pi_doner(36,0.1).
p2_polar(36,0.1).
p2_h_doner(36,0.1).
p2_h_acceptor(36,0.1).
p2_size(36,0.1).
p2_pi_acceptor(36,0.1).
p2_branch(36,0.1).
p2_sigma(36,0.1).
p2_polarisable(36,0.1).
p2_flex(37,0.1).
p2_pi_doner(37,0.1).
p2_polar(37,0.1).
p2_h_doner(37,0.1).
p2_h_acceptor(37,0.1).
p2_size(37,0.1).
p2_pi_acceptor(37,0.1).
p2_branch(37,0.1).
p2_sigma(37,0.1).
p2_polarisable(37,0.1).
p2_flex(38,0.1).
p2_pi_doner(38,0.1).
p2_polar(38,0.1).
p2_h_doner(38,0.1).
p2_h_acceptor(38,0.1).
p2_size(38,0.1).
p2_pi_acceptor(38,0.1).
p2_branch(38,0.1).
p2_sigma(38,0.1).
p2_polarisable(38,0.1).
p2_flex(39,0.1).
p2_pi_doner(39,0.1).
p2_polar(39,0.1).
p2_h_doner(39,0.1).
p2_h_acceptor(39,0.1).
p2_size(39,0.1).
p2_pi_acceptor(39,0.1).
p2_branch(39,0.1).
p2_sigma(39,0.1).
p2_polarisable(39,0.1).
p2_flex(40,0.1).
p2_pi_doner(40,0.1).
p2_polar(40,0.1).
p2_h_doner(40,0.1).
p2_h_acceptor(40,0.1).
p2_size(40,0.1).
p2_pi_acceptor(40,0.1).
p2_branch(40,0.1).
p2_sigma(40,0.1).
p2_polarisable(40,0.1).
p2_flex(41,0.1).
p2_pi_doner(41,0.1).
p2_polar(41,0.1).
p2_h_doner(41,0.1).
p2_h_acceptor(41,0.1).
p2_size(41,0.1).
p2_pi_acceptor(41,0.1).
p2_branch(41,0.1).
p2_sigma(41,0.1).
p2_polarisable(41,0.1).
p2_flex(42,0.1).
p2_pi_doner(42,0.1).
p2_polar(42,0.1).
p2_h_doner(42,0.1).
p2_h_acceptor(42,0.1).
p2_size(42,0.1).
p2_pi_acceptor(42,0.1).
p2_branch(42,0.1).
p2_sigma(42,0.1).
p2_polarisable(42,0.1).
p2_flex(43,0.1).
p2_pi_doner(43,0.1).
p2_polar(43,0.1).
p2_h_doner(43,0.1).
p2_h_acceptor(43,0.1).
p2_size(43,0.1).
p2_pi_acceptor(43,0.1).
p2_branch(43,0.1).
p2_sigma(43,0.1).
p2_polarisable(43,0.1).
p2_flex(44,0.1).
p2_pi_doner(44,0.1).
p2_polar(44,0.1).
p2_h_doner(44,0.1).
p2_h_acceptor(44,0.1).
p2_size(44,0.1).
p2_pi_acceptor(44,0.1).
p2_branch(44,0.1).
p2_sigma(44,0.1).
p2_polarisable(44,0.1).
p2_flex(45,0.1).
p2_pi_doner(45,0.1).
p2_polar(45,0.1).
p2_h_doner(45,0.1).
p2_h_acceptor(45,0.1).
p2_size(45,0.1).
p2_pi_acceptor(45,0.1).
p2_branch(45,0.1).
p2_sigma(45,0.1).
p2_polarisable(45,0.1).
p2_flex(46,0.1).
p2_pi_doner(46,0.1).
p2_polar(46,0.1).
p2_h_doner(46,0.1).
p2_h_acceptor(46,0.1).
p2_size(46,0.1).
p2_pi_acceptor(46,0.1).
p2_branch(46,0.1).
p2_sigma(46,0.1).
p2_polarisable(46,0.1).
p2_flex(47,0.1).
p2_pi_doner(47,0.1).
p2_polar(47,0.1).
p2_h_doner(47,0.1).
p2_h_acceptor(47,0.1).
p2_size(47,0.1).
p2_pi_acceptor(47,0.1).
p2_branch(47,0.1).
p2_sigma(47,0.1).
p2_polarisable(47,0.1).
p2_flex(48,0.1).
p2_pi_doner(48,0.1).
p2_polar(48,0.1).
p2_h_doner(48,0.1).
p2_h_acceptor(48,0.1).
p2_size(48,0.1).
p2_pi_acceptor(48,0.1).
p2_branch(48,0.1).
p2_sigma(48,0.1).
p2_polarisable(48,0.1).
p2_flex(49,0.1).
p2_pi_doner(49,0.1).
p2_polar(49,0.1).
p2_h_doner(49,0.1).
p2_h_acceptor(49,0.1).
p2_size(49,0.1).
p2_pi_acceptor(49,0.1).
p2_branch(49,0.1).
p2_sigma(49,0.1).
p2_polarisable(49,0.1).
p2_flex(50,0.1).
p2_pi_doner(50,0.1).
p2_polar(50,0.1).
p2_h_doner(50,0.1).
p2_h_acceptor(50,0.1).
p2_size(50,0.1).
p2_pi_acceptor(50,0.1).
p2_branch(50,0.1).
p2_sigma(50,0.1).
p2_polarisable(50,0.1).
p2_flex(51,0.1).
p2_pi_doner(51,0.1).
p2_polar(51,0.1).
p2_h_doner(51,0.1).
p2_h_acceptor(51,0.1).
p2_size(51,0.1).
p2_pi_acceptor(51,0.1).
p2_branch(51,0.1).
p2_sigma(51,0.1).
p2_polarisable(51,0.1).
p2_flex(52,0.1).
p2_pi_doner(52,0.1).
p2_polar(52,0.1).
p2_h_doner(52,0.1).
p2_h_acceptor(52,0.1).
p2_size(52,0.1).
p2_pi_acceptor(52,0.1).
p2_branch(52,0.1).
p2_sigma(52,0.1).
p2_polarisable(52,0.1).
p2_flex(53,0.1).
p2_pi_doner(53,0.1).
p2_polar(53,0.1).
p2_h_doner(53,0.1).
p2_h_acceptor(53,0.1).
p2_size(53,0.1).
p2_pi_acceptor(53,0.1).
p2_branch(53,0.1).
p2_sigma(53,0.1).
p2_polarisable(53,0.1).
p2_flex(54,0.1).
p2_pi_doner(54,0.1).
p2_polar(54,0.1).
p2_h_doner(54,0.1).
p2_h_acceptor(54,0.1).
p2_size(54,0.1).
p2_pi_acceptor(54,0.1).
p2_branch(54,0.1).
p2_sigma(54,0.1).
p2_polarisable(54,0.1).
p2_flex(55,0.1).
p2_pi_doner(55,0.1).
p2_polar(55,0.1).
p2_h_doner(55,0.1).
p2_h_acceptor(55,0.1).
p2_size(55,0.1).
p2_pi_acceptor(55,0.1).
p2_branch(55,0.1).
p2_sigma(55,0.1).
p2_polarisable(55,0.1).
p2_flex(56,0.1).
p2_pi_doner(56,0.1).
p2_polar(56,0.1).
p2_h_doner(56,0.1).
p2_h_acceptor(56,0.1).
p2_size(56,0.1).
p2_pi_acceptor(56,0.1).
p2_branch(56,0.1).
p2_sigma(56,0.1).
p2_polarisable(56,0.1).
p2_flex(57,0.1).
p2_pi_doner(57,0.1).
p2_polar(57,0.1).
p2_h_doner(57,0.1).
p2_h_acceptor(57,0.1).
p2_size(57,0.1).
p2_pi_acceptor(57,0.1).
p2_branch(57,0.1).
p2_sigma(57,0.1).
p2_polarisable(57,0.1).
p2_flex(58,0.1).
p2_pi_doner(58,0.1).
p2_polar(58,0.1).
p2_h_doner(58,0.1).
p2_h_acceptor(58,0.1).
p2_size(58,0.1).
p2_pi_acceptor(58,0.1).
p2_branch(58,0.1).
p2_sigma(58,0.1).
p2_polarisable(58,0.1).
p2_flex(59,0.1).
p2_pi_doner(59,0.1).
p2_polar(59,0.1).
p2_h_doner(59,0.1).
p2_h_acceptor(59,0.1).
p2_size(59,0.1).
p2_pi_acceptor(59,0.1).
p2_branch(59,0.1).
p2_sigma(59,0.1).
p2_polarisable(59,0.1).
p2_flex(60,0.1).
p2_pi_doner(60,0.1).
p2_polar(60,0.1).
p2_h_doner(60,0.1).
p2_h_acceptor(60,0.1).
p2_size(60,0.1).
p2_pi_acceptor(60,0.1).
p2_branch(60,0.1).
p2_sigma(60,0.1).
p2_polarisable(60,0.1).
p2_flex(61,0.1).
p2_pi_doner(61,0.1).
p2_polar(61,0.1).
p2_h_doner(61,0.1).
p2_h_acceptor(61,0.1).
p2_size(61,0.1).
p2_pi_acceptor(61,0.1).
p2_branch(61,0.1).
p2_sigma(61,0.1).
p2_polarisable(61,0.1).
p2_flex(62,0.1).
p2_pi_doner(62,0.1).
p2_polar(62,0.1).
p2_h_doner(62,0.1).
p2_h_acceptor(62,0.1).
p2_size(62,0.1).
p2_pi_acceptor(62,0.1).
p2_branch(62,0.1).
p2_sigma(62,0.1).
p2_polarisable(62,0.1).
p2_flex(63,0.1).
p2_pi_doner(63,0.1).
p2_polar(63,0.1).
p2_h_doner(63,0.1).
p2_h_acceptor(63,0.1).
p2_size(63,0.1).
p2_pi_acceptor(63,0.1).
p2_branch(63,0.1).
p2_sigma(63,0.1).
p2_polarisable(63,0.1).
p2_flex(64,0.1).
p2_pi_doner(64,0.1).
p2_polar(64,0.1).
p2_h_doner(64,0.1).
p2_h_acceptor(64,0.1).
p2_size(64,0.1).
p2_pi_acceptor(64,0.1).
p2_branch(64,0.1).
p2_sigma(64,0.1).
p2_polarisable(64,0.1).
p2_flex(65,0.1).
p2_pi_doner(65,0.1).
p2_polar(65,0.1).
p2_h_doner(65,0.1).
p2_h_acceptor(65,0.1).
p2_size(65,0.1).
p2_pi_acceptor(65,0.1).
p2_branch(65,0.1).
p2_sigma(65,0.1).
p2_polarisable(65,0.1).
p2_flex(66,0.1).
p2_pi_doner(66,0.1).
p2_polar(66,0.1).
p2_h_doner(66,0.1).
p2_h_acceptor(66,0.1).
p2_size(66,0.1).
p2_pi_acceptor(66,0.1).
p2_branch(66,0.1).
p2_sigma(66,0.1).
p2_polarisable(66,0.1).
p2_flex(67,0.1).
p2_pi_doner(67,0.1).
p2_polar(67,0.1).
p2_h_doner(67,0.1).
p2_h_acceptor(67,0.1).
p2_size(67,0.1).
p2_pi_acceptor(67,0.1).
p2_branch(67,0.1).
p2_sigma(67,0.1).
p2_polarisable(67,0.1).
p2_flex(68,0.1).
p2_pi_doner(68,0.1).
p2_polar(68,0.1).
p2_h_doner(68,0.1).
p2_h_acceptor(68,0.1).
p2_size(68,0.1).
p2_pi_acceptor(68,0.1).
p2_branch(68,0.1).
p2_sigma(68,0.1).
p2_polarisable(68,0.1).
p2_flex(69,0.1).
p2_pi_doner(69,0.1).
p2_polar(69,0.1).
p2_h_doner(69,0.1).
p2_h_acceptor(69,0.1).
p2_size(69,0.1).
p2_pi_acceptor(69,0.1).
p2_branch(69,0.1).
p2_sigma(69,0.1).
p2_polarisable(69,0.1).
p2_flex(70,0.1).
p2_pi_doner(70,0.1).
p2_polar(70,0.1).
p2_h_doner(70,0.1).
p2_h_acceptor(70,0.1).
p2_size(70,0.1).
p2_pi_acceptor(70,0.1).
p2_branch(70,0.1).
p2_sigma(70,0.1).
p2_polarisable(70,0.1).
p2_flex(71,0.1).
p2_pi_doner(71,0.1).
p2_polar(71,0.1).
p2_h_doner(71,0.1).
p2_h_acceptor(71,0.1).
p2_size(71,0.1).
p2_pi_acceptor(71,0.1).
p2_branch(71,0.1).
p2_sigma(71,0.1).
p2_polarisable(71,0.1).
p2_flex(72,0.1).
p2_pi_doner(72,0.1).
p2_polar(72,0.26).
p2_h_doner(72,0.1).
p2_h_acceptor(72,0.1).
p2_size(72,0.1).
p2_pi_acceptor(72,0.1).
p2_branch(72,0.1).
p2_sigma(72,0.1).
p2_polarisable(72,0.1).
p2_flex(73,0.1).
p2_pi_doner(73,0.1).
p2_polar(73,0.26).
p2_h_doner(73,0.1).
p2_h_acceptor(73,0.1).
p2_size(73,0.1).
p2_pi_acceptor(73,0.1).
p2_branch(73,0.1).
p2_sigma(73,0.1).
p2_polarisable(73,0.1).
p2_flex(74,0.1).
p2_pi_doner(74,0.1).
p2_polar(74,0.26).
p2_h_doner(74,0.1).
p2_h_acceptor(74,0.1).
p2_size(74,0.1).
p2_pi_acceptor(74,0.1).
p2_branch(74,0.1).
p2_sigma(74,0.1).
p2_polarisable(74,0.1).
p2_flex(75,0.1).
p2_pi_doner(75,0.1).
p2_polar(75,0.26).
p2_h_doner(75,0.1).
p2_h_acceptor(75,0.1).
p2_size(75,0.1).
p2_pi_acceptor(75,0.1).
p2_branch(75,0.1).
p2_sigma(75,0.1).
p2_polarisable(75,0.1).
p2_flex(76,0.1).
p2_pi_doner(76,0.1).
p2_polar(76,0.26).
p2_h_doner(76,0.1).
p2_h_acceptor(76,0.1).
p2_size(76,0.1).
p2_pi_acceptor(76,0.1).
p2_branch(76,0.1).
p2_sigma(76,0.1).
p2_polarisable(76,0.1).
p2_flex(77,0.1).
p2_pi_doner(77,0.1).
p2_polar(77,0.26).
p2_h_doner(77,0.1).
p2_h_acceptor(77,0.1).
p2_size(77,0.1).
p2_pi_acceptor(77,0.1).
p2_branch(77,0.1).
p2_sigma(77,0.1).
p2_polarisable(77,0.1).
p2_flex(78,0.1).
p2_pi_doner(78,0.1).
p2_polar(78,0.1).
p2_h_doner(78,0.1).
p2_h_acceptor(78,0.1).
p2_size(78,0.1).
p2_pi_acceptor(78,0.1).
p2_branch(78,0.1).
p2_sigma(78,0.1).
p2_polarisable(78,0.1).
p2_flex(79,0.1).
p2_pi_doner(79,0.1).
p2_polar(79,0.1).
p2_h_doner(79,0.1).
p2_h_acceptor(79,0.1).
p2_size(79,0.1).
p2_pi_acceptor(79,0.1).
p2_branch(79,0.1).
p2_sigma(79,0.1).
p2_polarisable(79,0.1).
p2_flex(80,0.1).
p2_pi_doner(80,0.1).
p2_polar(80,0.26).
p2_h_doner(80,0.1).
p2_h_acceptor(80,0.1).
p2_size(80,0.1).
p2_pi_acceptor(80,0.1).
p2_branch(80,0.1).
p2_sigma(80,0.1).
p2_polarisable(80,0.1).
p2_flex(81,0.1).
p2_pi_doner(81,0.1).
p2_polar(81,0.26).
p2_h_doner(81,0.1).
p2_h_acceptor(81,0.1).
p2_size(81,0.1).
p2_pi_acceptor(81,0.1).
p2_branch(81,0.1).
p2_sigma(81,0.1).
p2_polarisable(81,0.1).
p2_flex(82,0.1).
p2_pi_doner(82,0.1).
p2_polar(82,0.26).
p2_h_doner(82,0.1).
p2_h_acceptor(82,0.1).
p2_size(82,0.1).
p2_pi_acceptor(82,0.1).
p2_branch(82,0.1).
p2_sigma(82,0.1).
p2_polarisable(82,0.1).
p2_flex(83,0.1).
p2_pi_doner(83,0.1).
p2_polar(83,0.26).
p2_h_doner(83,0.1).
p2_h_acceptor(83,0.1).
p2_size(83,0.1).
p2_pi_acceptor(83,0.1).
p2_branch(83,0.1).
p2_sigma(83,0.1).
p2_polarisable(83,0.1).
p2_flex(84,0.9).
p2_pi_doner(84,0.9).
p2_polar(84,0.42).
p2_h_doner(84,0.9).
p2_h_acceptor(84,0.9).
p2_size(84,0.9).
p2_pi_acceptor(84,0.1).
p2_branch(84,0.5).
p2_sigma(84,0.367).
p2_polarisable(84,0.5).
p2_flex(85,0.1).
p2_pi_doner(85,0.1).
p2_polar(85,0.58).
p2_h_doner(85,0.1).
p2_h_acceptor(85,0.1).
p2_size(85,0.367).
p2_pi_acceptor(85,0.1).
p2_branch(85,0.1).
p2_sigma(85,0.9).
p2_polarisable(85,0.5).
p2_flex(86,0.1).
p2_pi_doner(86,0.1).
p2_polar(86,0.74).
p2_h_doner(86,0.1).
p2_h_acceptor(86,0.1).
p2_size(86,0.633).
p2_pi_acceptor(86,0.5).
p2_branch(86,0.9).
p2_sigma(86,0.633).
p2_polarisable(86,0.9).
p2_flex(87,0.1).
p2_pi_doner(87,0.1).
p2_polar(87,0.74).
p2_h_doner(87,0.1).
p2_h_acceptor(87,0.1).
p2_size(87,0.633).
p2_pi_acceptor(87,0.5).
p2_branch(87,0.9).
p2_sigma(87,0.633).
p2_polarisable(87,0.9).
p2_flex(88,0.1).
p2_pi_doner(88,0.1).
p2_polar(88,0.1).
p2_h_doner(88,0.1).
p2_h_acceptor(88,0.1).
p2_size(88,0.1).
p2_pi_acceptor(88,0.1).
p2_branch(88,0.1).
p2_sigma(88,0.1).
p2_polarisable(88,0.1).
p2_flex(89,0.1).
p2_pi_doner(89,0.1).
p2_polar(89,0.26).
p2_h_doner(89,0.1).
p2_h_acceptor(89,0.1).
p2_size(89,0.1).
p2_pi_acceptor(89,0.1).
p2_branch(89,0.1).
p2_sigma(89,0.1).
p2_polarisable(89,0.1).
p2_flex(90,0.1).
p2_pi_doner(90,0.1).
p2_polar(90,0.26).
p2_h_doner(90,0.1).
p2_h_acceptor(90,0.1).
p2_size(90,0.1).
p2_pi_acceptor(90,0.1).
p2_branch(90,0.1).
p2_sigma(90,0.1).
p2_polarisable(90,0.1).
p2_flex(91,0.1).
p2_pi_doner(91,0.1).
p2_polar(91,0.1).
p2_h_doner(91,0.1).
p2_h_acceptor(91,0.1).
p2_size(91,0.1).
p2_pi_acceptor(91,0.1).
p2_branch(91,0.1).
p2_sigma(91,0.1).
p2_polarisable(91,0.1).
p2_flex(92,0.1).
p2_pi_doner(92,0.1).
p2_polar(92,0.26).
p2_h_doner(92,0.1).
p2_h_acceptor(92,0.1).
p2_size(92,0.1).
p2_pi_acceptor(92,0.1).
p2_branch(92,0.1).
p2_sigma(92,0.1).
p2_polarisable(92,0.1).
p2_flex(93,0.1).
p2_pi_doner(93,0.1).
p2_polar(93,0.74).
p2_h_doner(93,0.1).
p2_h_acceptor(93,0.1).
p2_size(93,0.633).
p2_pi_acceptor(93,0.5).
p2_branch(93,0.9).
p2_sigma(93,0.633).
p2_polarisable(93,0.9).
p2_flex(94,0.9).
p2_pi_doner(94,0.9).
p2_polar(94,0.42).
p2_h_doner(94,0.9).
p2_h_acceptor(94,0.9).
p2_size(94,0.9).
p2_pi_acceptor(94,0.1).
p2_branch(94,0.5).
p2_sigma(94,0.367).
p2_polarisable(94,0.5).
p2_flex(95,0.1).
p2_pi_doner(95,0.1).
p2_polar(95,0.1).
p2_h_doner(95,0.1).
p2_h_acceptor(95,0.1).
p2_size(95,0.1).
p2_pi_acceptor(95,0.1).
p2_branch(95,0.1).
p2_sigma(95,0.1).
p2_polarisable(95,0.1).
p2_flex(96,0.1).
p2_pi_doner(96,0.1).
p2_polar(96,0.26).
p2_h_doner(96,0.1).
p2_h_acceptor(96,0.1).
p2_size(96,0.1).
p2_pi_acceptor(96,0.1).
p2_branch(96,0.1).
p2_sigma(96,0.1).
p2_polarisable(96,0.1).
p2_flex(97,0.1).
p2_pi_doner(97,0.1).
p2_polar(97,0.26).
p2_h_doner(97,0.1).
p2_h_acceptor(97,0.1).
p2_size(97,0.1).
p2_pi_acceptor(97,0.1).
p2_branch(97,0.1).
p2_sigma(97,0.1).
p2_polarisable(97,0.1).
p2_flex(98,0.1).
p2_pi_doner(98,0.1).
p2_polar(98,0.26).
p2_h_doner(98,0.1).
p2_h_acceptor(98,0.1).
p2_size(98,0.1).
p2_pi_acceptor(98,0.1).
p2_branch(98,0.1).
p2_sigma(98,0.1).
p2_polarisable(98,0.1).
p2_flex(99,0.1).
p2_pi_doner(99,0.1).
p2_polar(99,0.26).
p2_h_doner(99,0.1).
p2_h_acceptor(99,0.1).
p2_size(99,0.1).
p2_pi_acceptor(99,0.1).
p2_branch(99,0.1).
p2_sigma(99,0.1).
p2_polarisable(99,0.1).
p2_flex(100,0.1).
p2_pi_doner(100,0.1).
p2_polar(100,0.26).
p2_h_doner(100,0.1).
p2_h_acceptor(100,0.1).
p2_size(100,0.1).
p2_pi_acceptor(100,0.1).
p2_branch(100,0.1).
p2_sigma(100,0.1).
p2_polarisable(100,0.1).
p2_flex(101,0.1).
p2_pi_doner(101,0.1).
p2_polar(101,0.26).
p2_h_doner(101,0.1).
p2_h_acceptor(101,0.1).
p2_size(101,0.1).
p2_pi_acceptor(101,0.1).
p2_branch(101,0.1).
p2_sigma(101,0.1).
p2_polarisable(101,0.1).
p2_flex(102,0.1).
p2_pi_doner(102,0.1).
p2_polar(102,0.26).
p2_h_doner(102,0.1).
p2_h_acceptor(102,0.1).
p2_size(102,0.1).
p2_pi_acceptor(102,0.1).
p2_branch(102,0.1).
p2_sigma(102,0.1).
p2_polarisable(102,0.1).
p2_flex(103,0.9).
p2_pi_doner(103,0.9).
p2_polar(103,0.42).
p2_h_doner(103,0.9).
p2_h_acceptor(103,0.9).
p2_size(103,0.9).
p2_pi_acceptor(103,0.1).
p2_branch(103,0.5).
p2_sigma(103,0.367).
p2_polarisable(103,0.5).
p2_flex(104,0.1).
p2_pi_doner(104,0.1).
p2_polar(104,0.26).
p2_h_doner(104,0.1).
p2_h_acceptor(104,0.1).
p2_size(104,0.1).
p2_pi_acceptor(104,0.1).
p2_branch(104,0.1).
p2_sigma(104,0.1).
p2_polarisable(104,0.1).
p2_flex(105,0.1).
p2_pi_doner(105,0.1).
p2_polar(105,0.26).
p2_h_doner(105,0.1).
p2_h_acceptor(105,0.1).
p2_size(105,0.1).
p2_pi_acceptor(105,0.1).
p2_branch(105,0.1).
p2_sigma(105,0.1).
p2_polarisable(105,0.1).
p2_flex(106,0.1).
p2_pi_doner(106,0.1).
p2_polar(106,0.26).
p2_h_doner(106,0.1).
p2_h_acceptor(106,0.1).
p2_size(106,0.1).
p2_pi_acceptor(106,0.1).
p2_branch(106,0.1).
p2_sigma(106,0.1).
p2_polarisable(106,0.1).
p2_flex(107,0.9).
p2_pi_doner(107,0.9).
p2_polar(107,0.42).
p2_h_doner(107,0.9).
p2_h_acceptor(107,0.9).
p2_size(107,0.9).
p2_pi_acceptor(107,0.1).
p2_branch(107,0.5).
p2_sigma(107,0.367).
p2_polarisable(107,0.5).
p2_flex(108,0.1).
p2_pi_doner(108,0.1).
p2_polar(108,0.1).
p2_h_doner(108,0.1).
p2_h_acceptor(108,0.1).
p2_size(108,0.1).
p2_pi_acceptor(108,0.1).
p2_branch(108,0.1).
p2_sigma(108,0.1).
p2_polarisable(108,0.1).
p2_flex(109,0.1).
p2_pi_doner(109,0.1).
p2_polar(109,0.26).
p2_h_doner(109,0.1).
p2_h_acceptor(109,0.1).
p2_size(109,0.1).
p2_pi_acceptor(109,0.1).
p2_branch(109,0.1).
p2_sigma(109,0.1).
p2_polarisable(109,0.1).
p2_flex(110,0.1).
p2_pi_doner(110,0.1).
p2_polar(110,0.42).
p2_h_doner(110,0.1).
p2_h_acceptor(110,0.9).
p2_size(110,0.633).
p2_pi_acceptor(110,0.1).
p2_branch(110,0.1).
p2_sigma(110,0.367).
p2_polarisable(110,0.5).
p2_flex(111,0.1).
p2_pi_doner(111,0.1).
p2_polar(111,0.58).
p2_h_doner(111,0.1).
p2_h_acceptor(111,0.1).
p2_size(111,0.367).
p2_pi_acceptor(111,0.1).
p2_branch(111,0.1).
p2_sigma(111,0.9).
p2_polarisable(111,0.5).
p2_flex(112,0.1).
p2_pi_doner(112,0.1).
p2_polar(112,0.74).
p2_h_doner(112,0.1).
p2_h_acceptor(112,0.9).
p2_size(112,0.367).
p2_pi_acceptor(112,0.9).
p2_branch(112,0.1).
p2_sigma(112,0.1).
p2_polarisable(112,0.9).
p2_flex(113,0.1).
p2_pi_doner(113,0.1).
p2_polar(113,0.74).
p2_h_doner(113,0.1).
p2_h_acceptor(113,0.1).
p2_size(113,0.633).
p2_pi_acceptor(113,0.5).
p2_branch(113,0.9).
p2_sigma(113,0.633).
p2_polarisable(113,0.9).
p2_flex(114,0.1).
p2_pi_doner(114,0.1).
p2_polar(114,0.9).
p2_h_doner(114,0.1).
p2_h_acceptor(114,0.1).
p2_size(114,0.633).
p2_pi_acceptor(114,0.9).
p2_branch(114,0.5).
p2_sigma(114,0.9).
p2_polarisable(114,0.1).
p2_flex(115,0.1).
p2_pi_doner(115,0.1).
p2_polar(115,0.1).
p2_h_doner(115,0.1).
p2_h_acceptor(115,0.1).
p2_size(115,0.1).
p2_pi_acceptor(115,0.1).
p2_branch(115,0.1).
p2_sigma(115,0.1).
p2_polarisable(115,0.1).
p2_flex(116,0.1).
p2_pi_doner(116,0.1).
p2_polar(116,0.26).
p2_h_doner(116,0.1).
p2_h_acceptor(116,0.1).
p2_size(116,0.1).
p2_pi_acceptor(116,0.1).
p2_branch(116,0.1).
p2_sigma(116,0.1).
p2_polarisable(116,0.1).
p2_flex(117,0.1).
p2_pi_doner(117,0.1).
p2_polar(117,0.26).
p2_h_doner(117,0.1).
p2_h_acceptor(117,0.1).
p2_size(117,0.1).
p2_pi_acceptor(117,0.1).
p2_branch(117,0.1).
p2_sigma(117,0.1).
p2_polarisable(117,0.1).
p2_flex(118,0.1).
p2_pi_doner(118,0.1).
p2_polar(118,0.26).
p2_h_doner(118,0.1).
p2_h_acceptor(118,0.1).
p2_size(118,0.1).
p2_pi_acceptor(118,0.1).
p2_branch(118,0.1).
p2_sigma(118,0.1).
p2_polarisable(118,0.1).
p2_flex(119,0.1).
p2_pi_doner(119,0.1).
p2_polar(119,0.1).
p2_h_doner(119,0.1).
p2_h_acceptor(119,0.1).
p2_size(119,0.1).
p2_pi_acceptor(119,0.1).
p2_branch(119,0.1).
p2_sigma(119,0.1).
p2_polarisable(119,0.1).
p2_flex(120,0.1).
p2_pi_doner(120,0.1).
p2_polar(120,0.26).
p2_h_doner(120,0.1).
p2_h_acceptor(120,0.1).
p2_size(120,0.1).
p2_pi_acceptor(120,0.1).
p2_branch(120,0.1).
p2_sigma(120,0.1).
p2_polarisable(120,0.1).
p2_flex(121,0.1).
p2_pi_doner(121,0.1).
p2_polar(121,0.1).
p2_h_doner(121,0.1).
p2_h_acceptor(121,0.1).
p2_size(121,0.1).
p2_pi_acceptor(121,0.1).
p2_branch(121,0.1).
p2_sigma(121,0.1).
p2_polarisable(121,0.1).
p2_flex(122,0.1).
p2_pi_doner(122,0.1).
p2_polar(122,0.1).
p2_h_doner(122,0.1).
p2_h_acceptor(122,0.1).
p2_size(122,0.1).
p2_pi_acceptor(122,0.1).
p2_branch(122,0.1).
p2_sigma(122,0.1).
p2_polarisable(122,0.1).
p2_flex(123,0.1).
p2_pi_doner(123,0.1).
p2_polar(123,0.26).
p2_h_doner(123,0.1).
p2_h_acceptor(123,0.1).
p2_size(123,0.1).
p2_pi_acceptor(123,0.1).
p2_branch(123,0.1).
p2_sigma(123,0.1).
p2_polarisable(123,0.1).
p2_flex(124,0.1).
p2_pi_doner(124,0.1).
p2_polar(124,0.1).
p2_h_doner(124,0.1).
p2_h_acceptor(124,0.1).
p2_size(124,0.1).
p2_pi_acceptor(124,0.1).
p2_branch(124,0.1).
p2_sigma(124,0.1).
p2_polarisable(124,0.1).
p2_flex(125,0.1).
p2_pi_doner(125,0.1).
p2_polar(125,0.1).
p2_h_doner(125,0.1).
p2_h_acceptor(125,0.1).
p2_size(125,0.1).
p2_pi_acceptor(125,0.1).
p2_branch(125,0.1).
p2_sigma(125,0.1).
p2_polarisable(125,0.1).
p2_flex(126,0.1).
p2_pi_doner(126,0.1).
p2_polar(126,0.1).
p2_h_doner(126,0.1).
p2_h_acceptor(126,0.1).
p2_size(126,0.1).
p2_pi_acceptor(126,0.1).
p2_branch(126,0.1).
p2_sigma(126,0.1).
p2_polarisable(126,0.1).
p2_flex(127,0.1).
p2_pi_doner(127,0.1).
p2_polar(127,0.1).
p2_h_doner(127,0.1).
p2_h_acceptor(127,0.1).
p2_size(127,0.1).
p2_pi_acceptor(127,0.1).
p2_branch(127,0.1).
p2_sigma(127,0.1).
p2_polarisable(127,0.1).
p2_flex(128,0.1).
p2_pi_doner(128,0.1).
p2_polar(128,0.1).
p2_h_doner(128,0.1).
p2_h_acceptor(128,0.1).
p2_size(128,0.1).
p2_pi_acceptor(128,0.1).
p2_branch(128,0.1).
p2_sigma(128,0.1).
p2_polarisable(128,0.1).
p2_flex(129,0.1).
p2_pi_doner(129,0.1).
p2_polar(129,0.1).
p2_h_doner(129,0.1).
p2_h_acceptor(129,0.1).
p2_size(129,0.1).
p2_pi_acceptor(129,0.1).
p2_branch(129,0.1).
p2_sigma(129,0.1).
p2_polarisable(129,0.1).
p2_flex(130,0.1).
p2_pi_doner(130,0.1).
p2_polar(130,0.1).
p2_h_doner(130,0.1).
p2_h_acceptor(130,0.1).
p2_size(130,0.1).
p2_pi_acceptor(130,0.1).
p2_branch(130,0.1).
p2_sigma(130,0.1).
p2_polarisable(130,0.1).
p2_flex(131,0.1).
p2_pi_doner(131,0.1).
p2_polar(131,0.1).
p2_h_doner(131,0.1).
p2_h_acceptor(131,0.1).
p2_size(131,0.1).
p2_pi_acceptor(131,0.1).
p2_branch(131,0.1).
p2_sigma(131,0.1).
p2_polarisable(131,0.1).
p2_flex(132,0.1).
p2_pi_doner(132,0.1).
p2_polar(132,0.1).
p2_h_doner(132,0.1).
p2_h_acceptor(132,0.1).
p2_size(132,0.1).
p2_pi_acceptor(132,0.1).
p2_branch(132,0.1).
p2_sigma(132,0.1).
p2_polarisable(132,0.1).
p2_flex(133,0.1).
p2_pi_doner(133,0.1).
p2_polar(133,0.1).
p2_h_doner(133,0.1).
p2_h_acceptor(133,0.1).
p2_size(133,0.1).
p2_pi_acceptor(133,0.1).
p2_branch(133,0.1).
p2_sigma(133,0.1).
p2_polarisable(133,0.1).
p2_flex(134,0.1).
p2_pi_doner(134,0.1).
p2_polar(134,0.1).
p2_h_doner(134,0.1).
p2_h_acceptor(134,0.1).
p2_size(134,0.1).
p2_pi_acceptor(134,0.1).
p2_branch(134,0.1).
p2_sigma(134,0.1).
p2_polarisable(134,0.1).
p2_flex(135,0.1).
p2_pi_doner(135,0.1).
p2_polar(135,0.1).
p2_h_doner(135,0.1).
p2_h_acceptor(135,0.1).
p2_size(135,0.1).
p2_pi_acceptor(135,0.1).
p2_branch(135,0.1).
p2_sigma(135,0.1).
p2_polarisable(135,0.1).
p2_flex(136,0.1).
p2_pi_doner(136,0.1).
p2_polar(136,0.1).
p2_h_doner(136,0.1).
p2_h_acceptor(136,0.1).
p2_size(136,0.1).
p2_pi_acceptor(136,0.1).
p2_branch(136,0.1).
p2_sigma(136,0.1).
p2_polarisable(136,0.1).
p2_flex(137,0.1).
p2_pi_doner(137,0.1).
p2_polar(137,0.1).
p2_h_doner(137,0.1).
p2_h_acceptor(137,0.1).
p2_size(137,0.1).
p2_pi_acceptor(137,0.1).
p2_branch(137,0.1).
p2_sigma(137,0.1).
p2_polarisable(137,0.1).
p2_flex(138,0.1).
p2_pi_doner(138,0.1).
p2_polar(138,0.1).
p2_h_doner(138,0.1).
p2_h_acceptor(138,0.1).
p2_size(138,0.1).
p2_pi_acceptor(138,0.1).
p2_branch(138,0.1).
p2_sigma(138,0.1).
p2_polarisable(138,0.1).
p2_flex(139,0.1).
p2_pi_doner(139,0.1).
p2_polar(139,0.1).
p2_h_doner(139,0.1).
p2_h_acceptor(139,0.1).
p2_size(139,0.1).
p2_pi_acceptor(139,0.1).
p2_branch(139,0.1).
p2_sigma(139,0.1).
p2_polarisable(139,0.1).
p2_flex(140,0.1).
p2_pi_doner(140,0.1).
p2_polar(140,0.1).
p2_h_doner(140,0.1).
p2_h_acceptor(140,0.1).
p2_size(140,0.1).
p2_pi_acceptor(140,0.1).
p2_branch(140,0.1).
p2_sigma(140,0.1).
p2_polarisable(140,0.1).
p2_flex(141,0.1).
p2_pi_doner(141,0.1).
p2_polar(141,0.1).
p2_h_doner(141,0.1).
p2_h_acceptor(141,0.1).
p2_size(141,0.1).
p2_pi_acceptor(141,0.1).
p2_branch(141,0.1).
p2_sigma(141,0.1).
p2_polarisable(141,0.1).
p2_flex(142,0.1).
p2_pi_doner(142,0.1).
p2_polar(142,0.1).
p2_h_doner(142,0.1).
p2_h_acceptor(142,0.1).
p2_size(142,0.1).
p2_pi_acceptor(142,0.1).
p2_branch(142,0.1).
p2_sigma(142,0.1).
p2_polarisable(142,0.1).
p2_flex(143,0.1).
p2_pi_doner(143,0.1).
p2_polar(143,0.1).
p2_h_doner(143,0.1).
p2_h_acceptor(143,0.1).
p2_size(143,0.1).
p2_pi_acceptor(143,0.1).
p2_branch(143,0.1).
p2_sigma(143,0.1).
p2_polarisable(143,0.1).
p2_flex(144,0.1).
p2_pi_doner(144,0.1).
p2_polar(144,0.1).
p2_h_doner(144,0.1).
p2_h_acceptor(144,0.1).
p2_size(144,0.1).
p2_pi_acceptor(144,0.1).
p2_branch(144,0.1).
p2_sigma(144,0.1).
p2_polarisable(144,0.1).
p2_flex(145,0.1).
p2_pi_doner(145,0.1).
p2_polar(145,0.1).
p2_h_doner(145,0.1).
p2_h_acceptor(145,0.1).
p2_size(145,0.1).
p2_pi_acceptor(145,0.1).
p2_branch(145,0.1).
p2_sigma(145,0.1).
p2_polarisable(145,0.1).
p2_flex(146,0.1).
p2_pi_doner(146,0.1).
p2_polar(146,0.1).
p2_h_doner(146,0.1).
p2_h_acceptor(146,0.1).
p2_size(146,0.1).
p2_pi_acceptor(146,0.1).
p2_branch(146,0.1).
p2_sigma(146,0.1).
p2_polarisable(146,0.1).
p2_flex(147,0.1).
p2_pi_doner(147,0.1).
p2_polar(147,0.1).
p2_h_doner(147,0.1).
p2_h_acceptor(147,0.1).
p2_size(147,0.1).
p2_pi_acceptor(147,0.1).
p2_branch(147,0.1).
p2_sigma(147,0.1).
p2_polarisable(147,0.1).
p2_flex(148,0.1).
p2_pi_doner(148,0.1).
p2_polar(148,0.1).
p2_h_doner(148,0.1).
p2_h_acceptor(148,0.1).
p2_size(148,0.1).
p2_pi_acceptor(148,0.1).
p2_branch(148,0.1).
p2_sigma(148,0.1).
p2_polarisable(148,0.1).
p2_flex(149,0.1).
p2_pi_doner(149,0.1).
p2_polar(149,0.1).
p2_h_doner(149,0.1).
p2_h_acceptor(149,0.1).
p2_size(149,0.1).
p2_pi_acceptor(149,0.1).
p2_branch(149,0.1).
p2_sigma(149,0.1).
p2_polarisable(149,0.1).
p2_flex(150,0.1).
p2_pi_doner(150,0.1).
p2_polar(150,0.1).
p2_h_doner(150,0.1).
p2_h_acceptor(150,0.1).
p2_size(150,0.1).
p2_pi_acceptor(150,0.1).
p2_branch(150,0.1).
p2_sigma(150,0.1).
p2_polarisable(150,0.1).
p2_flex(151,0.1).
p2_pi_doner(151,0.1).
p2_polar(151,0.1).
p2_h_doner(151,0.1).
p2_h_acceptor(151,0.1).
p2_size(151,0.1).
p2_pi_acceptor(151,0.1).
p2_branch(151,0.1).
p2_sigma(151,0.1).
p2_polarisable(151,0.1).
p2_flex(152,0.1).
p2_pi_doner(152,0.1).
p2_polar(152,0.1).
p2_h_doner(152,0.1).
p2_h_acceptor(152,0.1).
p2_size(152,0.1).
p2_pi_acceptor(152,0.1).
p2_branch(152,0.1).
p2_sigma(152,0.1).
p2_polarisable(152,0.1).
p2_flex(153,0.1).
p2_pi_doner(153,0.1).
p2_polar(153,0.1).
p2_h_doner(153,0.1).
p2_h_acceptor(153,0.1).
p2_size(153,0.1).
p2_pi_acceptor(153,0.1).
p2_branch(153,0.1).
p2_sigma(153,0.1).
p2_polarisable(153,0.1).
p2_flex(154,0.1).
p2_pi_doner(154,0.1).
p2_polar(154,0.1).
p2_h_doner(154,0.1).
p2_h_acceptor(154,0.1).
p2_size(154,0.1).
p2_pi_acceptor(154,0.1).
p2_branch(154,0.1).
p2_sigma(154,0.1).
p2_polarisable(154,0.1).
p2_flex(155,0.1).
p2_pi_doner(155,0.1).
p2_polar(155,0.1).
p2_h_doner(155,0.1).
p2_h_acceptor(155,0.1).
p2_size(155,0.1).
p2_pi_acceptor(155,0.1).
p2_branch(155,0.1).
p2_sigma(155,0.1).
p2_polarisable(155,0.1).
p2_flex(156,0.1).
p2_pi_doner(156,0.1).
p2_polar(156,0.1).
p2_h_doner(156,0.1).
p2_h_acceptor(156,0.1).
p2_size(156,0.1).
p2_pi_acceptor(156,0.1).
p2_branch(156,0.1).
p2_sigma(156,0.1).
p2_polarisable(156,0.1).
p2_flex(157,0.1).
p2_pi_doner(157,0.1).
p2_polar(157,0.1).
p2_h_doner(157,0.1).
p2_h_acceptor(157,0.1).
p2_size(157,0.1).
p2_pi_acceptor(157,0.1).
p2_branch(157,0.1).
p2_sigma(157,0.1).
p2_polarisable(157,0.1).
p2_flex(158,0.1).
p2_pi_doner(158,0.1).
p2_polar(158,0.1).
p2_h_doner(158,0.1).
p2_h_acceptor(158,0.1).
p2_size(158,0.1).
p2_pi_acceptor(158,0.1).
p2_branch(158,0.1).
p2_sigma(158,0.1).
p2_polarisable(158,0.1).
p2_flex(159,0.1).
p2_pi_doner(159,0.1).
p2_polar(159,0.1).
p2_h_doner(159,0.1).
p2_h_acceptor(159,0.1).
p2_size(159,0.1).
p2_pi_acceptor(159,0.1).
p2_branch(159,0.1).
p2_sigma(159,0.1).
p2_polarisable(159,0.1).
p2_flex(160,0.1).
p2_pi_doner(160,0.1).
p2_polar(160,0.1).
p2_h_doner(160,0.1).
p2_h_acceptor(160,0.1).
p2_size(160,0.1).
p2_pi_acceptor(160,0.1).
p2_branch(160,0.1).
p2_sigma(160,0.1).
p2_polarisable(160,0.1).
p2_flex(161,0.1).
p2_pi_doner(161,0.1).
p2_polar(161,0.1).
p2_h_doner(161,0.1).
p2_h_acceptor(161,0.1).
p2_size(161,0.1).
p2_pi_acceptor(161,0.1).
p2_branch(161,0.1).
p2_sigma(161,0.1).
p2_polarisable(161,0.1).
p2_flex(162,0.1).
p2_pi_doner(162,0.1).
p2_polar(162,0.1).
p2_h_doner(162,0.1).
p2_h_acceptor(162,0.1).
p2_size(162,0.1).
p2_pi_acceptor(162,0.1).
p2_branch(162,0.1).
p2_sigma(162,0.1).
p2_polarisable(162,0.1).
p2_flex(163,0.1).
p2_pi_doner(163,0.1).
p2_polar(163,0.1).
p2_h_doner(163,0.1).
p2_h_acceptor(163,0.1).
p2_size(163,0.1).
p2_pi_acceptor(163,0.1).
p2_branch(163,0.1).
p2_sigma(163,0.1).
p2_polarisable(163,0.1).
p2_flex(164,0.1).
p2_pi_doner(164,0.1).
p2_polar(164,0.1).
p2_h_doner(164,0.1).
p2_h_acceptor(164,0.1).
p2_size(164,0.1).
p2_pi_acceptor(164,0.1).
p2_branch(164,0.1).
p2_sigma(164,0.1).
p2_polarisable(164,0.1).
p2_flex(165,0.1).
p2_pi_doner(165,0.1).
p2_polar(165,0.1).
p2_h_doner(165,0.1).
p2_h_acceptor(165,0.1).
p2_size(165,0.1).
p2_pi_acceptor(165,0.1).
p2_branch(165,0.1).
p2_sigma(165,0.1).
p2_polarisable(165,0.1).
p2_flex(166,0.1).
p2_pi_doner(166,0.1).
p2_polar(166,0.1).
p2_h_doner(166,0.1).
p2_h_acceptor(166,0.1).
p2_size(166,0.1).
p2_pi_acceptor(166,0.1).
p2_branch(166,0.1).
p2_sigma(166,0.1).
p2_polarisable(166,0.1).
p2_flex(167,0.1).
p2_pi_doner(167,0.1).
p2_polar(167,0.1).
p2_h_doner(167,0.1).
p2_h_acceptor(167,0.1).
p2_size(167,0.1).
p2_pi_acceptor(167,0.1).
p2_branch(167,0.1).
p2_sigma(167,0.1).
p2_polarisable(167,0.1).
p2_flex(168,0.1).
p2_pi_doner(168,0.1).
p2_polar(168,0.1).
p2_h_doner(168,0.1).
p2_h_acceptor(168,0.1).
p2_size(168,0.1).
p2_pi_acceptor(168,0.1).
p2_branch(168,0.1).
p2_sigma(168,0.1).
p2_polarisable(168,0.1).
p2_flex(169,0.1).
p2_pi_doner(169,0.1).
p2_polar(169,0.1).
p2_h_doner(169,0.1).
p2_h_acceptor(169,0.1).
p2_size(169,0.1).
p2_pi_acceptor(169,0.1).
p2_branch(169,0.1).
p2_sigma(169,0.1).
p2_polarisable(169,0.1).
p2_flex(170,0.1).
p2_pi_doner(170,0.1).
p2_polar(170,0.1).
p2_h_doner(170,0.1).
p2_h_acceptor(170,0.1).
p2_size(170,0.1).
p2_pi_acceptor(170,0.1).
p2_branch(170,0.1).
p2_sigma(170,0.1).
p2_polarisable(170,0.1).
p2_flex(171,0.1).
p2_pi_doner(171,0.1).
p2_polar(171,0.1).
p2_h_doner(171,0.1).
p2_h_acceptor(171,0.1).
p2_size(171,0.1).
p2_pi_acceptor(171,0.1).
p2_branch(171,0.1).
p2_sigma(171,0.1).
p2_polarisable(171,0.1).
p2_flex(172,0.1).
p2_pi_doner(172,0.1).
p2_polar(172,0.1).
p2_h_doner(172,0.1).
p2_h_acceptor(172,0.1).
p2_size(172,0.1).
p2_pi_acceptor(172,0.1).
p2_branch(172,0.1).
p2_sigma(172,0.1).
p2_polarisable(172,0.1).
p2_flex(173,0.1).
p2_pi_doner(173,0.1).
p2_polar(173,0.1).
p2_h_doner(173,0.1).
p2_h_acceptor(173,0.1).
p2_size(173,0.1).
p2_pi_acceptor(173,0.1).
p2_branch(173,0.1).
p2_sigma(173,0.1).
p2_polarisable(173,0.1).
p2_flex(174,0.1).
p2_pi_doner(174,0.1).
p2_polar(174,0.1).
p2_h_doner(174,0.1).
p2_h_acceptor(174,0.1).
p2_size(174,0.1).
p2_pi_acceptor(174,0.1).
p2_branch(174,0.1).
p2_sigma(174,0.1).
p2_polarisable(174,0.1).
p2_flex(175,0.1).
p2_pi_doner(175,0.1).
p2_polar(175,0.1).
p2_h_doner(175,0.1).
p2_h_acceptor(175,0.1).
p2_size(175,0.1).
p2_pi_acceptor(175,0.1).
p2_branch(175,0.1).
p2_sigma(175,0.1).
p2_polarisable(175,0.1).
p2_flex(176,0.1).
p2_pi_doner(176,0.1).
p2_polar(176,0.1).
p2_h_doner(176,0.1).
p2_h_acceptor(176,0.1).
p2_size(176,0.1).
p2_pi_acceptor(176,0.1).
p2_branch(176,0.1).
p2_sigma(176,0.1).
p2_polarisable(176,0.1).
p2_flex(177,0.1).
p2_pi_doner(177,0.1).
p2_polar(177,0.1).
p2_h_doner(177,0.1).
p2_h_acceptor(177,0.1).
p2_size(177,0.1).
p2_pi_acceptor(177,0.1).
p2_branch(177,0.1).
p2_sigma(177,0.1).
p2_polarisable(177,0.1).
p2_flex(178,0.1).
p2_pi_doner(178,0.1).
p2_polar(178,0.1).
p2_h_doner(178,0.1).
p2_h_acceptor(178,0.1).
p2_size(178,0.1).
p2_pi_acceptor(178,0.1).
p2_branch(178,0.1).
p2_sigma(178,0.1).
p2_polarisable(178,0.1).
p2_flex(179,0.1).
p2_pi_doner(179,0.1).
p2_polar(179,0.1).
p2_h_doner(179,0.1).
p2_h_acceptor(179,0.1).
p2_size(179,0.1).
p2_pi_acceptor(179,0.1).
p2_branch(179,0.1).
p2_sigma(179,0.1).
p2_polarisable(179,0.1).
p2_flex(180,0.1).
p2_pi_doner(180,0.1).
p2_polar(180,0.1).
p2_h_doner(180,0.1).
p2_h_acceptor(180,0.1).
p2_size(180,0.1).
p2_pi_acceptor(180,0.1).
p2_branch(180,0.1).
p2_sigma(180,0.1).
p2_polarisable(180,0.1).
p2_flex(181,0.1).
p2_pi_doner(181,0.1).
p2_polar(181,0.1).
p2_h_doner(181,0.1).
p2_h_acceptor(181,0.1).
p2_size(181,0.1).
p2_pi_acceptor(181,0.1).
p2_branch(181,0.1).
p2_sigma(181,0.1).
p2_polarisable(181,0.1).
p2_flex(182,0.1).
p2_pi_doner(182,0.1).
p2_polar(182,0.1).
p2_h_doner(182,0.1).
p2_h_acceptor(182,0.1).
p2_size(182,0.1).
p2_pi_acceptor(182,0.1).
p2_branch(182,0.1).
p2_sigma(182,0.1).
p2_polarisable(182,0.1).
p2_flex(183,0.1).
p2_pi_doner(183,0.1).
p2_polar(183,0.1).
p2_h_doner(183,0.1).
p2_h_acceptor(183,0.1).
p2_size(183,0.1).
p2_pi_acceptor(183,0.1).
p2_branch(183,0.1).
p2_sigma(183,0.1).
p2_polarisable(183,0.1).
p2_flex(184,0.1).
p2_pi_doner(184,0.1).
p2_polar(184,0.58).
p2_h_doner(184,0.1).
p2_h_acceptor(184,0.9).
p2_size(184,0.9).
p2_pi_acceptor(184,0.5).
p2_branch(184,0.9).
p2_sigma(184,0.1).
p2_polarisable(184,0.5).
p2_flex(185,0.1).
p2_pi_doner(185,0.1).
p2_polar(185,0.1).
p2_h_doner(185,0.1).
p2_h_acceptor(185,0.1).
p2_size(185,0.1).
p2_pi_acceptor(185,0.1).
p2_branch(185,0.1).
p2_sigma(185,0.1).
p2_polarisable(185,0.1).
p2_flex(186,0.1).
p2_pi_doner(186,0.1).
p2_polar(186,0.1).
p2_h_doner(186,0.1).
p2_h_acceptor(186,0.1).
p2_size(186,0.1).
p2_pi_acceptor(186,0.1).
p2_branch(186,0.1).
p2_sigma(186,0.1).
p2_polarisable(186,0.1).
p3_flex(1,0.1).
p3_pi_doner(1,0.1).
p3_polar(1,0.1).
p3_h_doner(1,0.1).
p3_h_acceptor(1,0.1).
p3_size(1,0.1).
p3_pi_acceptor(1,0.1).
p3_branch(1,0.1).
p3_sigma(1,0.1).
p3_polarisable(1,0.1).
p3_flex(2,0.1).
p3_pi_doner(2,0.1).
p3_polar(2,0.1).
p3_h_doner(2,0.1).
p3_h_acceptor(2,0.1).
p3_size(2,0.1).
p3_pi_acceptor(2,0.1).
p3_branch(2,0.1).
p3_sigma(2,0.1).
p3_polarisable(2,0.1).
p3_flex(3,0.1).
p3_pi_doner(3,0.1).
p3_polar(3,0.1).
p3_h_doner(3,0.1).
p3_h_acceptor(3,0.1).
p3_size(3,0.1).
p3_pi_acceptor(3,0.1).
p3_branch(3,0.1).
p3_sigma(3,0.1).
p3_polarisable(3,0.1).
p3_flex(4,0.1).
p3_pi_doner(4,0.1).
p3_polar(4,0.1).
p3_h_doner(4,0.1).
p3_h_acceptor(4,0.1).
p3_size(4,0.1).
p3_pi_acceptor(4,0.1).
p3_branch(4,0.1).
p3_sigma(4,0.1).
p3_polarisable(4,0.1).
p3_flex(5,0.1).
p3_pi_doner(5,0.1).
p3_polar(5,0.1).
p3_h_doner(5,0.1).
p3_h_acceptor(5,0.1).
p3_size(5,0.1).
p3_pi_acceptor(5,0.1).
p3_branch(5,0.1).
p3_sigma(5,0.1).
p3_polarisable(5,0.1).
p3_flex(6,0.1).
p3_pi_doner(6,0.1).
p3_polar(6,0.1).
p3_h_doner(6,0.1).
p3_h_acceptor(6,0.1).
p3_size(6,0.1).
p3_pi_acceptor(6,0.1).
p3_branch(6,0.1).
p3_sigma(6,0.1).
p3_polarisable(6,0.1).
p3_flex(7,0.1).
p3_pi_doner(7,0.1).
p3_polar(7,0.1).
p3_h_doner(7,0.1).
p3_h_acceptor(7,0.1).
p3_size(7,0.1).
p3_pi_acceptor(7,0.1).
p3_branch(7,0.1).
p3_sigma(7,0.1).
p3_polarisable(7,0.1).
p3_flex(8,0.1).
p3_pi_doner(8,0.1).
p3_polar(8,0.1).
p3_h_doner(8,0.1).
p3_h_acceptor(8,0.1).
p3_size(8,0.1).
p3_pi_acceptor(8,0.1).
p3_branch(8,0.1).
p3_sigma(8,0.1).
p3_polarisable(8,0.1).
p3_flex(9,0.1).
p3_pi_doner(9,0.1).
p3_polar(9,0.1).
p3_h_doner(9,0.1).
p3_h_acceptor(9,0.1).
p3_size(9,0.1).
p3_pi_acceptor(9,0.1).
p3_branch(9,0.1).
p3_sigma(9,0.1).
p3_polarisable(9,0.1).
p3_flex(10,0.1).
p3_pi_doner(10,0.1).
p3_polar(10,0.1).
p3_h_doner(10,0.1).
p3_h_acceptor(10,0.1).
p3_size(10,0.1).
p3_pi_acceptor(10,0.1).
p3_branch(10,0.1).
p3_sigma(10,0.1).
p3_polarisable(10,0.1).
p3_flex(11,0.1).
p3_pi_doner(11,0.1).
p3_polar(11,0.1).
p3_h_doner(11,0.1).
p3_h_acceptor(11,0.1).
p3_size(11,0.1).
p3_pi_acceptor(11,0.1).
p3_branch(11,0.1).
p3_sigma(11,0.1).
p3_polarisable(11,0.1).
p3_flex(12,0.1).
p3_pi_doner(12,0.1).
p3_polar(12,0.1).
p3_h_doner(12,0.1).
p3_h_acceptor(12,0.1).
p3_size(12,0.1).
p3_pi_acceptor(12,0.1).
p3_branch(12,0.1).
p3_sigma(12,0.1).
p3_polarisable(12,0.1).
p3_flex(13,0.1).
p3_pi_doner(13,0.1).
p3_polar(13,0.1).
p3_h_doner(13,0.1).
p3_h_acceptor(13,0.1).
p3_size(13,0.1).
p3_pi_acceptor(13,0.1).
p3_branch(13,0.1).
p3_sigma(13,0.1).
p3_polarisable(13,0.1).
p3_flex(14,0.1).
p3_pi_doner(14,0.1).
p3_polar(14,0.1).
p3_h_doner(14,0.1).
p3_h_acceptor(14,0.1).
p3_size(14,0.1).
p3_pi_acceptor(14,0.1).
p3_branch(14,0.1).
p3_sigma(14,0.1).
p3_polarisable(14,0.1).
p3_flex(15,0.1).
p3_pi_doner(15,0.1).
p3_polar(15,0.1).
p3_h_doner(15,0.1).
p3_h_acceptor(15,0.1).
p3_size(15,0.1).
p3_pi_acceptor(15,0.1).
p3_branch(15,0.1).
p3_sigma(15,0.1).
p3_polarisable(15,0.1).
p3_flex(16,0.1).
p3_pi_doner(16,0.1).
p3_polar(16,0.1).
p3_h_doner(16,0.1).
p3_h_acceptor(16,0.1).
p3_size(16,0.1).
p3_pi_acceptor(16,0.1).
p3_branch(16,0.1).
p3_sigma(16,0.1).
p3_polarisable(16,0.1).
p3_flex(17,0.1).
p3_pi_doner(17,0.1).
p3_polar(17,0.1).
p3_h_doner(17,0.1).
p3_h_acceptor(17,0.1).
p3_size(17,0.1).
p3_pi_acceptor(17,0.1).
p3_branch(17,0.1).
p3_sigma(17,0.1).
p3_polarisable(17,0.1).
p3_flex(18,0.1).
p3_pi_doner(18,0.1).
p3_polar(18,0.1).
p3_h_doner(18,0.1).
p3_h_acceptor(18,0.1).
p3_size(18,0.1).
p3_pi_acceptor(18,0.1).
p3_branch(18,0.1).
p3_sigma(18,0.1).
p3_polarisable(18,0.1).
p3_flex(19,0.1).
p3_pi_doner(19,0.1).
p3_polar(19,0.1).
p3_h_doner(19,0.1).
p3_h_acceptor(19,0.1).
p3_size(19,0.1).
p3_pi_acceptor(19,0.1).
p3_branch(19,0.1).
p3_sigma(19,0.1).
p3_polarisable(19,0.1).
p3_flex(20,0.1).
p3_pi_doner(20,0.1).
p3_polar(20,0.1).
p3_h_doner(20,0.1).
p3_h_acceptor(20,0.1).
p3_size(20,0.1).
p3_pi_acceptor(20,0.1).
p3_branch(20,0.1).
p3_sigma(20,0.1).
p3_polarisable(20,0.1).
p3_flex(21,0.1).
p3_pi_doner(21,0.1).
p3_polar(21,0.1).
p3_h_doner(21,0.1).
p3_h_acceptor(21,0.1).
p3_size(21,0.1).
p3_pi_acceptor(21,0.1).
p3_branch(21,0.1).
p3_sigma(21,0.1).
p3_polarisable(21,0.1).
p3_flex(22,0.1).
p3_pi_doner(22,0.1).
p3_polar(22,0.1).
p3_h_doner(22,0.1).
p3_h_acceptor(22,0.1).
p3_size(22,0.1).
p3_pi_acceptor(22,0.1).
p3_branch(22,0.1).
p3_sigma(22,0.1).
p3_polarisable(22,0.1).
p3_flex(23,0.1).
p3_pi_doner(23,0.1).
p3_polar(23,0.1).
p3_h_doner(23,0.1).
p3_h_acceptor(23,0.1).
p3_size(23,0.1).
p3_pi_acceptor(23,0.1).
p3_branch(23,0.1).
p3_sigma(23,0.1).
p3_polarisable(23,0.1).
p3_flex(24,0.1).
p3_pi_doner(24,0.1).
p3_polar(24,0.1).
p3_h_doner(24,0.1).
p3_h_acceptor(24,0.1).
p3_size(24,0.1).
p3_pi_acceptor(24,0.1).
p3_branch(24,0.1).
p3_sigma(24,0.1).
p3_polarisable(24,0.1).
p3_flex(25,0.1).
p3_pi_doner(25,0.1).
p3_polar(25,0.1).
p3_h_doner(25,0.1).
p3_h_acceptor(25,0.1).
p3_size(25,0.1).
p3_pi_acceptor(25,0.1).
p3_branch(25,0.1).
p3_sigma(25,0.1).
p3_polarisable(25,0.1).
p3_flex(26,0.1).
p3_pi_doner(26,0.1).
p3_polar(26,0.1).
p3_h_doner(26,0.1).
p3_h_acceptor(26,0.1).
p3_size(26,0.1).
p3_pi_acceptor(26,0.1).
p3_branch(26,0.1).
p3_sigma(26,0.1).
p3_polarisable(26,0.1).
p3_flex(27,0.1).
p3_pi_doner(27,0.1).
p3_polar(27,0.1).
p3_h_doner(27,0.1).
p3_h_acceptor(27,0.1).
p3_size(27,0.1).
p3_pi_acceptor(27,0.1).
p3_branch(27,0.1).
p3_sigma(27,0.1).
p3_polarisable(27,0.1).
p3_flex(28,0.1).
p3_pi_doner(28,0.1).
p3_polar(28,0.1).
p3_h_doner(28,0.1).
p3_h_acceptor(28,0.1).
p3_size(28,0.1).
p3_pi_acceptor(28,0.1).
p3_branch(28,0.1).
p3_sigma(28,0.1).
p3_polarisable(28,0.1).
p3_flex(29,0.1).
p3_pi_doner(29,0.1).
p3_polar(29,0.1).
p3_h_doner(29,0.1).
p3_h_acceptor(29,0.1).
p3_size(29,0.1).
p3_pi_acceptor(29,0.1).
p3_branch(29,0.1).
p3_sigma(29,0.1).
p3_polarisable(29,0.1).
p3_flex(30,0.1).
p3_pi_doner(30,0.1).
p3_polar(30,0.1).
p3_h_doner(30,0.1).
p3_h_acceptor(30,0.1).
p3_size(30,0.1).
p3_pi_acceptor(30,0.1).
p3_branch(30,0.1).
p3_sigma(30,0.1).
p3_polarisable(30,0.1).
p3_flex(31,0.1).
p3_pi_doner(31,0.1).
p3_polar(31,0.1).
p3_h_doner(31,0.1).
p3_h_acceptor(31,0.1).
p3_size(31,0.1).
p3_pi_acceptor(31,0.1).
p3_branch(31,0.1).
p3_sigma(31,0.1).
p3_polarisable(31,0.1).
p3_flex(32,0.1).
p3_pi_doner(32,0.1).
p3_polar(32,0.1).
p3_h_doner(32,0.1).
p3_h_acceptor(32,0.1).
p3_size(32,0.1).
p3_pi_acceptor(32,0.1).
p3_branch(32,0.1).
p3_sigma(32,0.1).
p3_polarisable(32,0.1).
p3_flex(33,0.1).
p3_pi_doner(33,0.1).
p3_polar(33,0.1).
p3_h_doner(33,0.1).
p3_h_acceptor(33,0.1).
p3_size(33,0.1).
p3_pi_acceptor(33,0.1).
p3_branch(33,0.1).
p3_sigma(33,0.1).
p3_polarisable(33,0.1).
p3_flex(34,0.1).
p3_pi_doner(34,0.1).
p3_polar(34,0.1).
p3_h_doner(34,0.1).
p3_h_acceptor(34,0.1).
p3_size(34,0.1).
p3_pi_acceptor(34,0.1).
p3_branch(34,0.1).
p3_sigma(34,0.1).
p3_polarisable(34,0.1).
p3_flex(35,0.1).
p3_pi_doner(35,0.1).
p3_polar(35,0.1).
p3_h_doner(35,0.1).
p3_h_acceptor(35,0.1).
p3_size(35,0.1).
p3_pi_acceptor(35,0.1).
p3_branch(35,0.1).
p3_sigma(35,0.1).
p3_polarisable(35,0.1).
p3_flex(36,0.1).
p3_pi_doner(36,0.1).
p3_polar(36,0.1).
p3_h_doner(36,0.1).
p3_h_acceptor(36,0.1).
p3_size(36,0.1).
p3_pi_acceptor(36,0.1).
p3_branch(36,0.1).
p3_sigma(36,0.1).
p3_polarisable(36,0.1).
p3_flex(37,0.1).
p3_pi_doner(37,0.1).
p3_polar(37,0.1).
p3_h_doner(37,0.1).
p3_h_acceptor(37,0.1).
p3_size(37,0.1).
p3_pi_acceptor(37,0.1).
p3_branch(37,0.1).
p3_sigma(37,0.1).
p3_polarisable(37,0.1).
p3_flex(38,0.1).
p3_pi_doner(38,0.1).
p3_polar(38,0.1).
p3_h_doner(38,0.1).
p3_h_acceptor(38,0.1).
p3_size(38,0.1).
p3_pi_acceptor(38,0.1).
p3_branch(38,0.1).
p3_sigma(38,0.1).
p3_polarisable(38,0.1).
p3_flex(39,0.1).
p3_pi_doner(39,0.1).
p3_polar(39,0.1).
p3_h_doner(39,0.1).
p3_h_acceptor(39,0.1).
p3_size(39,0.1).
p3_pi_acceptor(39,0.1).
p3_branch(39,0.1).
p3_sigma(39,0.1).
p3_polarisable(39,0.1).
p3_flex(40,0.1).
p3_pi_doner(40,0.1).
p3_polar(40,0.1).
p3_h_doner(40,0.1).
p3_h_acceptor(40,0.1).
p3_size(40,0.1).
p3_pi_acceptor(40,0.1).
p3_branch(40,0.1).
p3_sigma(40,0.1).
p3_polarisable(40,0.1).
p3_flex(41,0.1).
p3_pi_doner(41,0.1).
p3_polar(41,0.1).
p3_h_doner(41,0.1).
p3_h_acceptor(41,0.1).
p3_size(41,0.1).
p3_pi_acceptor(41,0.1).
p3_branch(41,0.1).
p3_sigma(41,0.1).
p3_polarisable(41,0.1).
p3_flex(42,0.1).
p3_pi_doner(42,0.1).
p3_polar(42,0.1).
p3_h_doner(42,0.1).
p3_h_acceptor(42,0.1).
p3_size(42,0.1).
p3_pi_acceptor(42,0.1).
p3_branch(42,0.1).
p3_sigma(42,0.1).
p3_polarisable(42,0.1).
p3_flex(43,0.1).
p3_pi_doner(43,0.1).
p3_polar(43,0.1).
p3_h_doner(43,0.1).
p3_h_acceptor(43,0.1).
p3_size(43,0.1).
p3_pi_acceptor(43,0.1).
p3_branch(43,0.1).
p3_sigma(43,0.1).
p3_polarisable(43,0.1).
p3_flex(44,0.1).
p3_pi_doner(44,0.1).
p3_polar(44,0.1).
p3_h_doner(44,0.1).
p3_h_acceptor(44,0.1).
p3_size(44,0.1).
p3_pi_acceptor(44,0.1).
p3_branch(44,0.1).
p3_sigma(44,0.1).
p3_polarisable(44,0.1).
p3_flex(45,0.1).
p3_pi_doner(45,0.1).
p3_polar(45,0.1).
p3_h_doner(45,0.1).
p3_h_acceptor(45,0.1).
p3_size(45,0.1).
p3_pi_acceptor(45,0.1).
p3_branch(45,0.1).
p3_sigma(45,0.1).
p3_polarisable(45,0.1).
p3_flex(46,0.1).
p3_pi_doner(46,0.1).
p3_polar(46,0.1).
p3_h_doner(46,0.1).
p3_h_acceptor(46,0.1).
p3_size(46,0.1).
p3_pi_acceptor(46,0.1).
p3_branch(46,0.1).
p3_sigma(46,0.1).
p3_polarisable(46,0.1).
p3_flex(47,0.1).
p3_pi_doner(47,0.1).
p3_polar(47,0.1).
p3_h_doner(47,0.1).
p3_h_acceptor(47,0.1).
p3_size(47,0.1).
p3_pi_acceptor(47,0.1).
p3_branch(47,0.1).
p3_sigma(47,0.1).
p3_polarisable(47,0.1).
p3_flex(48,0.1).
p3_pi_doner(48,0.1).
p3_polar(48,0.1).
p3_h_doner(48,0.1).
p3_h_acceptor(48,0.1).
p3_size(48,0.1).
p3_pi_acceptor(48,0.1).
p3_branch(48,0.1).
p3_sigma(48,0.1).
p3_polarisable(48,0.1).
p3_flex(49,0.1).
p3_pi_doner(49,0.1).
p3_polar(49,0.1).
p3_h_doner(49,0.1).
p3_h_acceptor(49,0.1).
p3_size(49,0.1).
p3_pi_acceptor(49,0.1).
p3_branch(49,0.1).
p3_sigma(49,0.1).
p3_polarisable(49,0.1).
p3_flex(50,0.1).
p3_pi_doner(50,0.1).
p3_polar(50,0.1).
p3_h_doner(50,0.1).
p3_h_acceptor(50,0.1).
p3_size(50,0.1).
p3_pi_acceptor(50,0.1).
p3_branch(50,0.1).
p3_sigma(50,0.1).
p3_polarisable(50,0.1).
p3_flex(51,0.1).
p3_pi_doner(51,0.1).
p3_polar(51,0.1).
p3_h_doner(51,0.1).
p3_h_acceptor(51,0.1).
p3_size(51,0.1).
p3_pi_acceptor(51,0.1).
p3_branch(51,0.1).
p3_sigma(51,0.1).
p3_polarisable(51,0.1).
p3_flex(52,0.1).
p3_pi_doner(52,0.1).
p3_polar(52,0.1).
p3_h_doner(52,0.1).
p3_h_acceptor(52,0.1).
p3_size(52,0.1).
p3_pi_acceptor(52,0.1).
p3_branch(52,0.1).
p3_sigma(52,0.1).
p3_polarisable(52,0.1).
p3_flex(53,0.1).
p3_pi_doner(53,0.1).
p3_polar(53,0.1).
p3_h_doner(53,0.1).
p3_h_acceptor(53,0.1).
p3_size(53,0.1).
p3_pi_acceptor(53,0.1).
p3_branch(53,0.1).
p3_sigma(53,0.1).
p3_polarisable(53,0.1).
p3_flex(54,0.1).
p3_pi_doner(54,0.1).
p3_polar(54,0.1).
p3_h_doner(54,0.1).
p3_h_acceptor(54,0.1).
p3_size(54,0.1).
p3_pi_acceptor(54,0.1).
p3_branch(54,0.1).
p3_sigma(54,0.1).
p3_polarisable(54,0.1).
p3_flex(55,0.1).
p3_pi_doner(55,0.1).
p3_polar(55,0.1).
p3_h_doner(55,0.1).
p3_h_acceptor(55,0.1).
p3_size(55,0.1).
p3_pi_acceptor(55,0.1).
p3_branch(55,0.1).
p3_sigma(55,0.1).
p3_polarisable(55,0.1).
p3_flex(56,0.1).
p3_pi_doner(56,0.1).
p3_polar(56,0.1).
p3_h_doner(56,0.1).
p3_h_acceptor(56,0.1).
p3_size(56,0.1).
p3_pi_acceptor(56,0.1).
p3_branch(56,0.1).
p3_sigma(56,0.1).
p3_polarisable(56,0.1).
p3_flex(57,0.1).
p3_pi_doner(57,0.1).
p3_polar(57,0.1).
p3_h_doner(57,0.1).
p3_h_acceptor(57,0.1).
p3_size(57,0.1).
p3_pi_acceptor(57,0.1).
p3_branch(57,0.1).
p3_sigma(57,0.1).
p3_polarisable(57,0.1).
p3_flex(58,0.1).
p3_pi_doner(58,0.1).
p3_polar(58,0.1).
p3_h_doner(58,0.1).
p3_h_acceptor(58,0.1).
p3_size(58,0.1).
p3_pi_acceptor(58,0.1).
p3_branch(58,0.1).
p3_sigma(58,0.1).
p3_polarisable(58,0.1).
p3_flex(59,0.1).
p3_pi_doner(59,0.1).
p3_polar(59,0.1).
p3_h_doner(59,0.1).
p3_h_acceptor(59,0.1).
p3_size(59,0.1).
p3_pi_acceptor(59,0.1).
p3_branch(59,0.1).
p3_sigma(59,0.1).
p3_polarisable(59,0.1).
p3_flex(60,0.1).
p3_pi_doner(60,0.1).
p3_polar(60,0.1).
p3_h_doner(60,0.1).
p3_h_acceptor(60,0.1).
p3_size(60,0.1).
p3_pi_acceptor(60,0.1).
p3_branch(60,0.1).
p3_sigma(60,0.1).
p3_polarisable(60,0.1).
p3_flex(61,0.1).
p3_pi_doner(61,0.1).
p3_polar(61,0.1).
p3_h_doner(61,0.1).
p3_h_acceptor(61,0.1).
p3_size(61,0.1).
p3_pi_acceptor(61,0.1).
p3_branch(61,0.1).
p3_sigma(61,0.1).
p3_polarisable(61,0.1).
p3_flex(62,0.1).
p3_pi_doner(62,0.1).
p3_polar(62,0.1).
p3_h_doner(62,0.1).
p3_h_acceptor(62,0.1).
p3_size(62,0.1).
p3_pi_acceptor(62,0.1).
p3_branch(62,0.1).
p3_sigma(62,0.1).
p3_polarisable(62,0.1).
p3_flex(63,0.1).
p3_pi_doner(63,0.1).
p3_polar(63,0.1).
p3_h_doner(63,0.1).
p3_h_acceptor(63,0.1).
p3_size(63,0.1).
p3_pi_acceptor(63,0.1).
p3_branch(63,0.1).
p3_sigma(63,0.1).
p3_polarisable(63,0.1).
p3_flex(64,0.1).
p3_pi_doner(64,0.1).
p3_polar(64,0.1).
p3_h_doner(64,0.1).
p3_h_acceptor(64,0.1).
p3_size(64,0.1).
p3_pi_acceptor(64,0.1).
p3_branch(64,0.1).
p3_sigma(64,0.1).
p3_polarisable(64,0.1).
p3_flex(65,0.1).
p3_pi_doner(65,0.1).
p3_polar(65,0.1).
p3_h_doner(65,0.1).
p3_h_acceptor(65,0.1).
p3_size(65,0.1).
p3_pi_acceptor(65,0.1).
p3_branch(65,0.1).
p3_sigma(65,0.1).
p3_polarisable(65,0.1).
p3_flex(66,0.1).
p3_pi_doner(66,0.1).
p3_polar(66,0.1).
p3_h_doner(66,0.1).
p3_h_acceptor(66,0.1).
p3_size(66,0.1).
p3_pi_acceptor(66,0.1).
p3_branch(66,0.1).
p3_sigma(66,0.1).
p3_polarisable(66,0.1).
p3_flex(67,0.1).
p3_pi_doner(67,0.1).
p3_polar(67,0.1).
p3_h_doner(67,0.1).
p3_h_acceptor(67,0.1).
p3_size(67,0.1).
p3_pi_acceptor(67,0.1).
p3_branch(67,0.1).
p3_sigma(67,0.1).
p3_polarisable(67,0.1).
p3_flex(68,0.1).
p3_pi_doner(68,0.1).
p3_polar(68,0.1).
p3_h_doner(68,0.1).
p3_h_acceptor(68,0.1).
p3_size(68,0.1).
p3_pi_acceptor(68,0.1).
p3_branch(68,0.1).
p3_sigma(68,0.1).
p3_polarisable(68,0.1).
p3_flex(69,0.1).
p3_pi_doner(69,0.1).
p3_polar(69,0.1).
p3_h_doner(69,0.1).
p3_h_acceptor(69,0.1).
p3_size(69,0.1).
p3_pi_acceptor(69,0.1).
p3_branch(69,0.1).
p3_sigma(69,0.1).
p3_polarisable(69,0.1).
p3_flex(70,0.1).
p3_pi_doner(70,0.1).
p3_polar(70,0.1).
p3_h_doner(70,0.1).
p3_h_acceptor(70,0.1).
p3_size(70,0.1).
p3_pi_acceptor(70,0.1).
p3_branch(70,0.1).
p3_sigma(70,0.1).
p3_polarisable(70,0.1).
p3_flex(71,0.1).
p3_pi_doner(71,0.1).
p3_polar(71,0.1).
p3_h_doner(71,0.1).
p3_h_acceptor(71,0.1).
p3_size(71,0.1).
p3_pi_acceptor(71,0.1).
p3_branch(71,0.1).
p3_sigma(71,0.1).
p3_polarisable(71,0.1).
p3_flex(72,0.1).
p3_pi_doner(72,0.1).
p3_polar(72,0.3).
p3_h_doner(72,0.1).
p3_h_acceptor(72,0.1).
p3_size(72,0.1).
p3_pi_acceptor(72,0.1).
p3_branch(72,0.1).
p3_sigma(72,0.1).
p3_polarisable(72,0.1).
p3_flex(73,0.1).
p3_pi_doner(73,0.1).
p3_polar(73,0.3).
p3_h_doner(73,0.1).
p3_h_acceptor(73,0.1).
p3_size(73,0.1).
p3_pi_acceptor(73,0.1).
p3_branch(73,0.1).
p3_sigma(73,0.1).
p3_polarisable(73,0.1).
p3_flex(74,0.1).
p3_pi_doner(74,0.1).
p3_polar(74,0.3).
p3_h_doner(74,0.1).
p3_h_acceptor(74,0.1).
p3_size(74,0.1).
p3_pi_acceptor(74,0.1).
p3_branch(74,0.1).
p3_sigma(74,0.1).
p3_polarisable(74,0.1).
p3_flex(75,0.9).
p3_pi_doner(75,0.9).
p3_polar(75,0.5).
p3_h_doner(75,0.9).
p3_h_acceptor(75,0.9).
p3_size(75,0.9).
p3_pi_acceptor(75,0.1).
p3_branch(75,0.5).
p3_sigma(75,0.367).
p3_polarisable(75,0.5).
p3_flex(76,0.1).
p3_pi_doner(76,0.1).
p3_polar(76,0.9).
p3_h_doner(76,0.1).
p3_h_acceptor(76,0.1).
p3_size(76,0.633).
p3_pi_acceptor(76,0.9).
p3_branch(76,0.9).
p3_sigma(76,0.633).
p3_polarisable(76,0.9).
p3_flex(77,0.1).
p3_pi_doner(77,0.1).
p3_polar(77,0.9).
p3_h_doner(77,0.1).
p3_h_acceptor(77,0.1).
p3_size(77,0.633).
p3_pi_acceptor(77,0.9).
p3_branch(77,0.9).
p3_sigma(77,0.633).
p3_polarisable(77,0.9).
p3_flex(78,0.1).
p3_pi_doner(78,0.1).
p3_polar(78,0.1).
p3_h_doner(78,0.1).
p3_h_acceptor(78,0.1).
p3_size(78,0.1).
p3_pi_acceptor(78,0.1).
p3_branch(78,0.1).
p3_sigma(78,0.1).
p3_polarisable(78,0.1).
p3_flex(79,0.1).
p3_pi_doner(79,0.1).
p3_polar(79,0.1).
p3_h_doner(79,0.1).
p3_h_acceptor(79,0.1).
p3_size(79,0.1).
p3_pi_acceptor(79,0.1).
p3_branch(79,0.1).
p3_sigma(79,0.1).
p3_polarisable(79,0.1).
p3_flex(80,0.1).
p3_pi_doner(80,0.1).
p3_polar(80,0.3).
p3_h_doner(80,0.1).
p3_h_acceptor(80,0.1).
p3_size(80,0.1).
p3_pi_acceptor(80,0.1).
p3_branch(80,0.1).
p3_sigma(80,0.1).
p3_polarisable(80,0.1).
p3_flex(81,0.9).
p3_pi_doner(81,0.9).
p3_polar(81,0.5).
p3_h_doner(81,0.9).
p3_h_acceptor(81,0.9).
p3_size(81,0.9).
p3_pi_acceptor(81,0.1).
p3_branch(81,0.5).
p3_sigma(81,0.367).
p3_polarisable(81,0.5).
p3_flex(82,0.1).
p3_pi_doner(82,0.1).
p3_polar(82,0.9).
p3_h_doner(82,0.1).
p3_h_acceptor(82,0.1).
p3_size(82,0.633).
p3_pi_acceptor(82,0.9).
p3_branch(82,0.9).
p3_sigma(82,0.633).
p3_polarisable(82,0.9).
p3_flex(83,0.1).
p3_pi_doner(83,0.1).
p3_polar(83,0.9).
p3_h_doner(83,0.1).
p3_h_acceptor(83,0.1).
p3_size(83,0.633).
p3_pi_acceptor(83,0.9).
p3_branch(83,0.9).
p3_sigma(83,0.633).
p3_polarisable(83,0.9).
p3_flex(84,0.1).
p3_pi_doner(84,0.1).
p3_polar(84,0.3).
p3_h_doner(84,0.1).
p3_h_acceptor(84,0.1).
p3_size(84,0.1).
p3_pi_acceptor(84,0.1).
p3_branch(84,0.1).
p3_sigma(84,0.1).
p3_polarisable(84,0.1).
p3_flex(85,0.1).
p3_pi_doner(85,0.1).
p3_polar(85,0.9).
p3_h_doner(85,0.1).
p3_h_acceptor(85,0.1).
p3_size(85,0.633).
p3_pi_acceptor(85,0.9).
p3_branch(85,0.9).
p3_sigma(85,0.633).
p3_polarisable(85,0.9).
p3_flex(86,0.1).
p3_pi_doner(86,0.1).
p3_polar(86,0.3).
p3_h_doner(86,0.1).
p3_h_acceptor(86,0.1).
p3_size(86,0.1).
p3_pi_acceptor(86,0.1).
p3_branch(86,0.1).
p3_sigma(86,0.1).
p3_polarisable(86,0.1).
p3_flex(87,0.1).
p3_pi_doner(87,0.1).
p3_polar(87,0.7).
p3_h_doner(87,0.1).
p3_h_acceptor(87,0.1).
p3_size(87,0.367).
p3_pi_acceptor(87,0.1).
p3_branch(87,0.1).
p3_sigma(87,0.9).
p3_polarisable(87,0.5).
p3_flex(88,0.1).
p3_pi_doner(88,0.1).
p3_polar(88,0.1).
p3_h_doner(88,0.1).
p3_h_acceptor(88,0.1).
p3_size(88,0.1).
p3_pi_acceptor(88,0.1).
p3_branch(88,0.1).
p3_sigma(88,0.1).
p3_polarisable(88,0.1).
p3_flex(89,0.1).
p3_pi_doner(89,0.1).
p3_polar(89,0.3).
p3_h_doner(89,0.1).
p3_h_acceptor(89,0.1).
p3_size(89,0.1).
p3_pi_acceptor(89,0.1).
p3_branch(89,0.1).
p3_sigma(89,0.1).
p3_polarisable(89,0.1).
p3_flex(90,0.9).
p3_pi_doner(90,0.9).
p3_polar(90,0.5).
p3_h_doner(90,0.9).
p3_h_acceptor(90,0.9).
p3_size(90,0.9).
p3_pi_acceptor(90,0.1).
p3_branch(90,0.5).
p3_sigma(90,0.367).
p3_polarisable(90,0.5).
p3_flex(91,0.1).
p3_pi_doner(91,0.1).
p3_polar(91,0.1).
p3_h_doner(91,0.1).
p3_h_acceptor(91,0.1).
p3_size(91,0.1).
p3_pi_acceptor(91,0.1).
p3_branch(91,0.1).
p3_sigma(91,0.1).
p3_polarisable(91,0.1).
p3_flex(92,0.1).
p3_pi_doner(92,0.1).
p3_polar(92,0.9).
p3_h_doner(92,0.1).
p3_h_acceptor(92,0.1).
p3_size(92,0.633).
p3_pi_acceptor(92,0.9).
p3_branch(92,0.9).
p3_sigma(92,0.633).
p3_polarisable(92,0.9).
p3_flex(93,0.1).
p3_pi_doner(93,0.1).
p3_polar(93,0.3).
p3_h_doner(93,0.1).
p3_h_acceptor(93,0.1).
p3_size(93,0.1).
p3_pi_acceptor(93,0.1).
p3_branch(93,0.1).
p3_sigma(93,0.1).
p3_polarisable(93,0.1).
p3_flex(94,0.1).
p3_pi_doner(94,0.1).
p3_polar(94,0.3).
p3_h_doner(94,0.1).
p3_h_acceptor(94,0.1).
p3_size(94,0.1).
p3_pi_acceptor(94,0.1).
p3_branch(94,0.1).
p3_sigma(94,0.1).
p3_polarisable(94,0.1).
p3_flex(95,0.1).
p3_pi_doner(95,0.1).
p3_polar(95,0.1).
p3_h_doner(95,0.1).
p3_h_acceptor(95,0.1).
p3_size(95,0.1).
p3_pi_acceptor(95,0.1).
p3_branch(95,0.1).
p3_sigma(95,0.1).
p3_polarisable(95,0.1).
p3_flex(96,0.1).
p3_pi_doner(96,0.1).
p3_polar(96,0.9).
p3_h_doner(96,0.1).
p3_h_acceptor(96,0.1).
p3_size(96,0.633).
p3_pi_acceptor(96,0.9).
p3_branch(96,0.9).
p3_sigma(96,0.633).
p3_polarisable(96,0.9).
p3_flex(97,0.1).
p3_pi_doner(97,0.1).
p3_polar(97,0.9).
p3_h_doner(97,0.1).
p3_h_acceptor(97,0.1).
p3_size(97,0.633).
p3_pi_acceptor(97,0.9).
p3_branch(97,0.9).
p3_sigma(97,0.633).
p3_polarisable(97,0.9).
p3_flex(98,0.1).
p3_pi_doner(98,0.1).
p3_polar(98,0.3).
p3_h_doner(98,0.1).
p3_h_acceptor(98,0.1).
p3_size(98,0.1).
p3_pi_acceptor(98,0.1).
p3_branch(98,0.1).
p3_sigma(98,0.1).
p3_polarisable(98,0.1).
p3_flex(99,0.1).
p3_pi_doner(99,0.1).
p3_polar(99,0.9).
p3_h_doner(99,0.1).
p3_h_acceptor(99,0.1).
p3_size(99,0.633).
p3_pi_acceptor(99,0.9).
p3_branch(99,0.9).
p3_sigma(99,0.633).
p3_polarisable(99,0.9).
p3_flex(100,0.9).
p3_pi_doner(100,0.9).
p3_polar(100,0.5).
p3_h_doner(100,0.9).
p3_h_acceptor(100,0.9).
p3_size(100,0.9).
p3_pi_acceptor(100,0.1).
p3_branch(100,0.5).
p3_sigma(100,0.367).
p3_polarisable(100,0.5).
p3_flex(101,0.1).
p3_pi_doner(101,0.1).
p3_polar(101,0.9).
p3_h_doner(101,0.1).
p3_h_acceptor(101,0.1).
p3_size(101,0.633).
p3_pi_acceptor(101,0.9).
p3_branch(101,0.9).
p3_sigma(101,0.633).
p3_polarisable(101,0.9).
p3_flex(102,0.1).
p3_pi_doner(102,0.1).
p3_polar(102,0.9).
p3_h_doner(102,0.1).
p3_h_acceptor(102,0.1).
p3_size(102,0.633).
p3_pi_acceptor(102,0.9).
p3_branch(102,0.9).
p3_sigma(102,0.633).
p3_polarisable(102,0.9).
p3_flex(103,0.1).
p3_pi_doner(103,0.1).
p3_polar(103,0.3).
p3_h_doner(103,0.1).
p3_h_acceptor(103,0.1).
p3_size(103,0.1).
p3_pi_acceptor(103,0.1).
p3_branch(103,0.1).
p3_sigma(103,0.1).
p3_polarisable(103,0.1).
p3_flex(104,0.9).
p3_pi_doner(104,0.9).
p3_polar(104,0.5).
p3_h_doner(104,0.9).
p3_h_acceptor(104,0.9).
p3_size(104,0.9).
p3_pi_acceptor(104,0.1).
p3_branch(104,0.5).
p3_sigma(104,0.367).
p3_polarisable(104,0.5).
p3_flex(105,0.1).
p3_pi_doner(105,0.1).
p3_polar(105,0.9).
p3_h_doner(105,0.1).
p3_h_acceptor(105,0.1).
p3_size(105,0.633).
p3_pi_acceptor(105,0.9).
p3_branch(105,0.9).
p3_sigma(105,0.633).
p3_polarisable(105,0.9).
p3_flex(106,0.1).
p3_pi_doner(106,0.1).
p3_polar(106,0.9).
p3_h_doner(106,0.1).
p3_h_acceptor(106,0.1).
p3_size(106,0.633).
p3_pi_acceptor(106,0.9).
p3_branch(106,0.9).
p3_sigma(106,0.633).
p3_polarisable(106,0.9).
p3_flex(107,0.1).
p3_pi_doner(107,0.1).
p3_polar(107,0.3).
p3_h_doner(107,0.1).
p3_h_acceptor(107,0.1).
p3_size(107,0.1).
p3_pi_acceptor(107,0.1).
p3_branch(107,0.1).
p3_sigma(107,0.1).
p3_polarisable(107,0.1).
p3_flex(108,0.1).
p3_pi_doner(108,0.1).
p3_polar(108,0.1).
p3_h_doner(108,0.1).
p3_h_acceptor(108,0.1).
p3_size(108,0.1).
p3_pi_acceptor(108,0.1).
p3_branch(108,0.1).
p3_sigma(108,0.1).
p3_polarisable(108,0.1).
p3_flex(109,0.1).
p3_pi_doner(109,0.1).
p3_polar(109,0.3).
p3_h_doner(109,0.1).
p3_h_acceptor(109,0.1).
p3_size(109,0.1).
p3_pi_acceptor(109,0.1).
p3_branch(109,0.1).
p3_sigma(109,0.1).
p3_polarisable(109,0.1).
p3_flex(110,0.1).
p3_pi_doner(110,0.1).
p3_polar(110,0.3).
p3_h_doner(110,0.1).
p3_h_acceptor(110,0.1).
p3_size(110,0.1).
p3_pi_acceptor(110,0.1).
p3_branch(110,0.1).
p3_sigma(110,0.1).
p3_polarisable(110,0.1).
p3_flex(111,0.1).
p3_pi_doner(111,0.1).
p3_polar(111,0.3).
p3_h_doner(111,0.1).
p3_h_acceptor(111,0.1).
p3_size(111,0.1).
p3_pi_acceptor(111,0.1).
p3_branch(111,0.1).
p3_sigma(111,0.1).
p3_polarisable(111,0.1).
p3_flex(112,0.1).
p3_pi_doner(112,0.1).
p3_polar(112,0.3).
p3_h_doner(112,0.1).
p3_h_acceptor(112,0.1).
p3_size(112,0.1).
p3_pi_acceptor(112,0.1).
p3_branch(112,0.1).
p3_sigma(112,0.1).
p3_polarisable(112,0.1).
p3_flex(113,0.1).
p3_pi_doner(113,0.1).
p3_polar(113,0.3).
p3_h_doner(113,0.1).
p3_h_acceptor(113,0.1).
p3_size(113,0.1).
p3_pi_acceptor(113,0.1).
p3_branch(113,0.1).
p3_sigma(113,0.1).
p3_polarisable(113,0.1).
p3_flex(114,0.1).
p3_pi_doner(114,0.1).
p3_polar(114,0.3).
p3_h_doner(114,0.1).
p3_h_acceptor(114,0.1).
p3_size(114,0.1).
p3_pi_acceptor(114,0.1).
p3_branch(114,0.1).
p3_sigma(114,0.1).
p3_polarisable(114,0.1).
p3_flex(115,0.1).
p3_pi_doner(115,0.1).
p3_polar(115,0.1).
p3_h_doner(115,0.1).
p3_h_acceptor(115,0.1).
p3_size(115,0.1).
p3_pi_acceptor(115,0.1).
p3_branch(115,0.1).
p3_sigma(115,0.1).
p3_polarisable(115,0.1).
p3_flex(116,0.1).
p3_pi_doner(116,0.1).
p3_polar(116,0.3).
p3_h_doner(116,0.1).
p3_h_acceptor(116,0.1).
p3_size(116,0.1).
p3_pi_acceptor(116,0.1).
p3_branch(116,0.1).
p3_sigma(116,0.1).
p3_polarisable(116,0.1).
p3_flex(117,0.1).
p3_pi_doner(117,0.1).
p3_polar(117,0.9).
p3_h_doner(117,0.1).
p3_h_acceptor(117,0.1).
p3_size(117,0.633).
p3_pi_acceptor(117,0.9).
p3_branch(117,0.9).
p3_sigma(117,0.633).
p3_polarisable(117,0.9).
p3_flex(118,0.1).
p3_pi_doner(118,0.1).
p3_polar(118,0.9).
p3_h_doner(118,0.1).
p3_h_acceptor(118,0.1).
p3_size(118,0.633).
p3_pi_acceptor(118,0.9).
p3_branch(118,0.9).
p3_sigma(118,0.633).
p3_polarisable(118,0.9).
p3_flex(119,0.1).
p3_pi_doner(119,0.1).
p3_polar(119,0.1).
p3_h_doner(119,0.1).
p3_h_acceptor(119,0.1).
p3_size(119,0.1).
p3_pi_acceptor(119,0.1).
p3_branch(119,0.1).
p3_sigma(119,0.1).
p3_polarisable(119,0.1).
p3_flex(120,0.1).
p3_pi_doner(120,0.1).
p3_polar(120,0.3).
p3_h_doner(120,0.1).
p3_h_acceptor(120,0.1).
p3_size(120,0.1).
p3_pi_acceptor(120,0.1).
p3_branch(120,0.1).
p3_sigma(120,0.1).
p3_polarisable(120,0.1).
p3_flex(121,0.1).
p3_pi_doner(121,0.1).
p3_polar(121,0.1).
p3_h_doner(121,0.1).
p3_h_acceptor(121,0.1).
p3_size(121,0.1).
p3_pi_acceptor(121,0.1).
p3_branch(121,0.1).
p3_sigma(121,0.1).
p3_polarisable(121,0.1).
p3_flex(122,0.1).
p3_pi_doner(122,0.1).
p3_polar(122,0.1).
p3_h_doner(122,0.1).
p3_h_acceptor(122,0.1).
p3_size(122,0.1).
p3_pi_acceptor(122,0.1).
p3_branch(122,0.1).
p3_sigma(122,0.1).
p3_polarisable(122,0.1).
p3_flex(123,0.1).
p3_pi_doner(123,0.1).
p3_polar(123,0.9).
p3_h_doner(123,0.1).
p3_h_acceptor(123,0.1).
p3_size(123,0.633).
p3_pi_acceptor(123,0.9).
p3_branch(123,0.9).
p3_sigma(123,0.633).
p3_polarisable(123,0.9).
p3_flex(124,0.1).
p3_pi_doner(124,0.1).
p3_polar(124,0.1).
p3_h_doner(124,0.1).
p3_h_acceptor(124,0.1).
p3_size(124,0.1).
p3_pi_acceptor(124,0.1).
p3_branch(124,0.1).
p3_sigma(124,0.1).
p3_polarisable(124,0.1).
p3_flex(125,0.1).
p3_pi_doner(125,0.1).
p3_polar(125,0.1).
p3_h_doner(125,0.1).
p3_h_acceptor(125,0.1).
p3_size(125,0.1).
p3_pi_acceptor(125,0.1).
p3_branch(125,0.1).
p3_sigma(125,0.1).
p3_polarisable(125,0.1).
p3_flex(126,0.1).
p3_pi_doner(126,0.1).
p3_polar(126,0.1).
p3_h_doner(126,0.1).
p3_h_acceptor(126,0.1).
p3_size(126,0.1).
p3_pi_acceptor(126,0.1).
p3_branch(126,0.1).
p3_sigma(126,0.1).
p3_polarisable(126,0.1).
p3_flex(127,0.1).
p3_pi_doner(127,0.1).
p3_polar(127,0.1).
p3_h_doner(127,0.1).
p3_h_acceptor(127,0.1).
p3_size(127,0.1).
p3_pi_acceptor(127,0.1).
p3_branch(127,0.1).
p3_sigma(127,0.1).
p3_polarisable(127,0.1).
p3_flex(128,0.1).
p3_pi_doner(128,0.1).
p3_polar(128,0.1).
p3_h_doner(128,0.1).
p3_h_acceptor(128,0.1).
p3_size(128,0.1).
p3_pi_acceptor(128,0.1).
p3_branch(128,0.1).
p3_sigma(128,0.1).
p3_polarisable(128,0.1).
p3_flex(129,0.1).
p3_pi_doner(129,0.1).
p3_polar(129,0.1).
p3_h_doner(129,0.1).
p3_h_acceptor(129,0.1).
p3_size(129,0.1).
p3_pi_acceptor(129,0.1).
p3_branch(129,0.1).
p3_sigma(129,0.1).
p3_polarisable(129,0.1).
p3_flex(130,0.1).
p3_pi_doner(130,0.1).
p3_polar(130,0.1).
p3_h_doner(130,0.1).
p3_h_acceptor(130,0.1).
p3_size(130,0.1).
p3_pi_acceptor(130,0.1).
p3_branch(130,0.1).
p3_sigma(130,0.1).
p3_polarisable(130,0.1).
p3_flex(131,0.1).
p3_pi_doner(131,0.1).
p3_polar(131,0.1).
p3_h_doner(131,0.1).
p3_h_acceptor(131,0.1).
p3_size(131,0.1).
p3_pi_acceptor(131,0.1).
p3_branch(131,0.1).
p3_sigma(131,0.1).
p3_polarisable(131,0.1).
p3_flex(132,0.1).
p3_pi_doner(132,0.1).
p3_polar(132,0.1).
p3_h_doner(132,0.1).
p3_h_acceptor(132,0.1).
p3_size(132,0.1).
p3_pi_acceptor(132,0.1).
p3_branch(132,0.1).
p3_sigma(132,0.1).
p3_polarisable(132,0.1).
p3_flex(133,0.1).
p3_pi_doner(133,0.1).
p3_polar(133,0.1).
p3_h_doner(133,0.1).
p3_h_acceptor(133,0.1).
p3_size(133,0.1).
p3_pi_acceptor(133,0.1).
p3_branch(133,0.1).
p3_sigma(133,0.1).
p3_polarisable(133,0.1).
p3_flex(134,0.1).
p3_pi_doner(134,0.1).
p3_polar(134,0.1).
p3_h_doner(134,0.1).
p3_h_acceptor(134,0.1).
p3_size(134,0.1).
p3_pi_acceptor(134,0.1).
p3_branch(134,0.1).
p3_sigma(134,0.1).
p3_polarisable(134,0.1).
p3_flex(135,0.1).
p3_pi_doner(135,0.1).
p3_polar(135,0.1).
p3_h_doner(135,0.1).
p3_h_acceptor(135,0.1).
p3_size(135,0.1).
p3_pi_acceptor(135,0.1).
p3_branch(135,0.1).
p3_sigma(135,0.1).
p3_polarisable(135,0.1).
p3_flex(136,0.1).
p3_pi_doner(136,0.1).
p3_polar(136,0.1).
p3_h_doner(136,0.1).
p3_h_acceptor(136,0.1).
p3_size(136,0.1).
p3_pi_acceptor(136,0.1).
p3_branch(136,0.1).
p3_sigma(136,0.1).
p3_polarisable(136,0.1).
p3_flex(137,0.1).
p3_pi_doner(137,0.1).
p3_polar(137,0.1).
p3_h_doner(137,0.1).
p3_h_acceptor(137,0.1).
p3_size(137,0.1).
p3_pi_acceptor(137,0.1).
p3_branch(137,0.1).
p3_sigma(137,0.1).
p3_polarisable(137,0.1).
p3_flex(138,0.1).
p3_pi_doner(138,0.1).
p3_polar(138,0.1).
p3_h_doner(138,0.1).
p3_h_acceptor(138,0.1).
p3_size(138,0.1).
p3_pi_acceptor(138,0.1).
p3_branch(138,0.1).
p3_sigma(138,0.1).
p3_polarisable(138,0.1).
p3_flex(139,0.1).
p3_pi_doner(139,0.1).
p3_polar(139,0.1).
p3_h_doner(139,0.1).
p3_h_acceptor(139,0.1).
p3_size(139,0.1).
p3_pi_acceptor(139,0.1).
p3_branch(139,0.1).
p3_sigma(139,0.1).
p3_polarisable(139,0.1).
p3_flex(140,0.1).
p3_pi_doner(140,0.1).
p3_polar(140,0.1).
p3_h_doner(140,0.1).
p3_h_acceptor(140,0.1).
p3_size(140,0.1).
p3_pi_acceptor(140,0.1).
p3_branch(140,0.1).
p3_sigma(140,0.1).
p3_polarisable(140,0.1).
p3_flex(141,0.1).
p3_pi_doner(141,0.1).
p3_polar(141,0.1).
p3_h_doner(141,0.1).
p3_h_acceptor(141,0.1).
p3_size(141,0.1).
p3_pi_acceptor(141,0.1).
p3_branch(141,0.1).
p3_sigma(141,0.1).
p3_polarisable(141,0.1).
p3_flex(142,0.1).
p3_pi_doner(142,0.1).
p3_polar(142,0.1).
p3_h_doner(142,0.1).
p3_h_acceptor(142,0.1).
p3_size(142,0.1).
p3_pi_acceptor(142,0.1).
p3_branch(142,0.1).
p3_sigma(142,0.1).
p3_polarisable(142,0.1).
p3_flex(143,0.1).
p3_pi_doner(143,0.1).
p3_polar(143,0.1).
p3_h_doner(143,0.1).
p3_h_acceptor(143,0.1).
p3_size(143,0.1).
p3_pi_acceptor(143,0.1).
p3_branch(143,0.1).
p3_sigma(143,0.1).
p3_polarisable(143,0.1).
p3_flex(144,0.1).
p3_pi_doner(144,0.1).
p3_polar(144,0.1).
p3_h_doner(144,0.1).
p3_h_acceptor(144,0.1).
p3_size(144,0.1).
p3_pi_acceptor(144,0.1).
p3_branch(144,0.1).
p3_sigma(144,0.1).
p3_polarisable(144,0.1).
p3_flex(145,0.1).
p3_pi_doner(145,0.1).
p3_polar(145,0.1).
p3_h_doner(145,0.1).
p3_h_acceptor(145,0.1).
p3_size(145,0.1).
p3_pi_acceptor(145,0.1).
p3_branch(145,0.1).
p3_sigma(145,0.1).
p3_polarisable(145,0.1).
p3_flex(146,0.1).
p3_pi_doner(146,0.1).
p3_polar(146,0.1).
p3_h_doner(146,0.1).
p3_h_acceptor(146,0.1).
p3_size(146,0.1).
p3_pi_acceptor(146,0.1).
p3_branch(146,0.1).
p3_sigma(146,0.1).
p3_polarisable(146,0.1).
p3_flex(147,0.1).
p3_pi_doner(147,0.1).
p3_polar(147,0.1).
p3_h_doner(147,0.1).
p3_h_acceptor(147,0.1).
p3_size(147,0.1).
p3_pi_acceptor(147,0.1).
p3_branch(147,0.1).
p3_sigma(147,0.1).
p3_polarisable(147,0.1).
p3_flex(148,0.1).
p3_pi_doner(148,0.1).
p3_polar(148,0.1).
p3_h_doner(148,0.1).
p3_h_acceptor(148,0.1).
p3_size(148,0.1).
p3_pi_acceptor(148,0.1).
p3_branch(148,0.1).
p3_sigma(148,0.1).
p3_polarisable(148,0.1).
p3_flex(149,0.1).
p3_pi_doner(149,0.1).
p3_polar(149,0.1).
p3_h_doner(149,0.1).
p3_h_acceptor(149,0.1).
p3_size(149,0.1).
p3_pi_acceptor(149,0.1).
p3_branch(149,0.1).
p3_sigma(149,0.1).
p3_polarisable(149,0.1).
p3_flex(150,0.1).
p3_pi_doner(150,0.1).
p3_polar(150,0.1).
p3_h_doner(150,0.1).
p3_h_acceptor(150,0.1).
p3_size(150,0.1).
p3_pi_acceptor(150,0.1).
p3_branch(150,0.1).
p3_sigma(150,0.1).
p3_polarisable(150,0.1).
p3_flex(151,0.1).
p3_pi_doner(151,0.1).
p3_polar(151,0.1).
p3_h_doner(151,0.1).
p3_h_acceptor(151,0.1).
p3_size(151,0.1).
p3_pi_acceptor(151,0.1).
p3_branch(151,0.1).
p3_sigma(151,0.1).
p3_polarisable(151,0.1).
p3_flex(152,0.1).
p3_pi_doner(152,0.1).
p3_polar(152,0.1).
p3_h_doner(152,0.1).
p3_h_acceptor(152,0.1).
p3_size(152,0.1).
p3_pi_acceptor(152,0.1).
p3_branch(152,0.1).
p3_sigma(152,0.1).
p3_polarisable(152,0.1).
p3_flex(153,0.1).
p3_pi_doner(153,0.1).
p3_polar(153,0.1).
p3_h_doner(153,0.1).
p3_h_acceptor(153,0.1).
p3_size(153,0.1).
p3_pi_acceptor(153,0.1).
p3_branch(153,0.1).
p3_sigma(153,0.1).
p3_polarisable(153,0.1).
p3_flex(154,0.1).
p3_pi_doner(154,0.1).
p3_polar(154,0.1).
p3_h_doner(154,0.1).
p3_h_acceptor(154,0.1).
p3_size(154,0.1).
p3_pi_acceptor(154,0.1).
p3_branch(154,0.1).
p3_sigma(154,0.1).
p3_polarisable(154,0.1).
p3_flex(155,0.1).
p3_pi_doner(155,0.1).
p3_polar(155,0.1).
p3_h_doner(155,0.1).
p3_h_acceptor(155,0.1).
p3_size(155,0.1).
p3_pi_acceptor(155,0.1).
p3_branch(155,0.1).
p3_sigma(155,0.1).
p3_polarisable(155,0.1).
p3_flex(156,0.1).
p3_pi_doner(156,0.1).
p3_polar(156,0.1).
p3_h_doner(156,0.1).
p3_h_acceptor(156,0.1).
p3_size(156,0.1).
p3_pi_acceptor(156,0.1).
p3_branch(156,0.1).
p3_sigma(156,0.1).
p3_polarisable(156,0.1).
p3_flex(157,0.1).
p3_pi_doner(157,0.1).
p3_polar(157,0.1).
p3_h_doner(157,0.1).
p3_h_acceptor(157,0.1).
p3_size(157,0.1).
p3_pi_acceptor(157,0.1).
p3_branch(157,0.1).
p3_sigma(157,0.1).
p3_polarisable(157,0.1).
p3_flex(158,0.1).
p3_pi_doner(158,0.1).
p3_polar(158,0.1).
p3_h_doner(158,0.1).
p3_h_acceptor(158,0.1).
p3_size(158,0.1).
p3_pi_acceptor(158,0.1).
p3_branch(158,0.1).
p3_sigma(158,0.1).
p3_polarisable(158,0.1).
p3_flex(159,0.1).
p3_pi_doner(159,0.1).
p3_polar(159,0.1).
p3_h_doner(159,0.1).
p3_h_acceptor(159,0.1).
p3_size(159,0.1).
p3_pi_acceptor(159,0.1).
p3_branch(159,0.1).
p3_sigma(159,0.1).
p3_polarisable(159,0.1).
p3_flex(160,0.1).
p3_pi_doner(160,0.1).
p3_polar(160,0.1).
p3_h_doner(160,0.1).
p3_h_acceptor(160,0.1).
p3_size(160,0.1).
p3_pi_acceptor(160,0.1).
p3_branch(160,0.1).
p3_sigma(160,0.1).
p3_polarisable(160,0.1).
p3_flex(161,0.1).
p3_pi_doner(161,0.1).
p3_polar(161,0.1).
p3_h_doner(161,0.1).
p3_h_acceptor(161,0.1).
p3_size(161,0.1).
p3_pi_acceptor(161,0.1).
p3_branch(161,0.1).
p3_sigma(161,0.1).
p3_polarisable(161,0.1).
p3_flex(162,0.1).
p3_pi_doner(162,0.1).
p3_polar(162,0.1).
p3_h_doner(162,0.1).
p3_h_acceptor(162,0.1).
p3_size(162,0.1).
p3_pi_acceptor(162,0.1).
p3_branch(162,0.1).
p3_sigma(162,0.1).
p3_polarisable(162,0.1).
p3_flex(163,0.1).
p3_pi_doner(163,0.1).
p3_polar(163,0.1).
p3_h_doner(163,0.1).
p3_h_acceptor(163,0.1).
p3_size(163,0.1).
p3_pi_acceptor(163,0.1).
p3_branch(163,0.1).
p3_sigma(163,0.1).
p3_polarisable(163,0.1).
p3_flex(164,0.1).
p3_pi_doner(164,0.1).
p3_polar(164,0.1).
p3_h_doner(164,0.1).
p3_h_acceptor(164,0.1).
p3_size(164,0.1).
p3_pi_acceptor(164,0.1).
p3_branch(164,0.1).
p3_sigma(164,0.1).
p3_polarisable(164,0.1).
p3_flex(165,0.1).
p3_pi_doner(165,0.1).
p3_polar(165,0.1).
p3_h_doner(165,0.1).
p3_h_acceptor(165,0.1).
p3_size(165,0.1).
p3_pi_acceptor(165,0.1).
p3_branch(165,0.1).
p3_sigma(165,0.1).
p3_polarisable(165,0.1).
p3_flex(166,0.1).
p3_pi_doner(166,0.1).
p3_polar(166,0.1).
p3_h_doner(166,0.1).
p3_h_acceptor(166,0.1).
p3_size(166,0.1).
p3_pi_acceptor(166,0.1).
p3_branch(166,0.1).
p3_sigma(166,0.1).
p3_polarisable(166,0.1).
p3_flex(167,0.1).
p3_pi_doner(167,0.1).
p3_polar(167,0.1).
p3_h_doner(167,0.1).
p3_h_acceptor(167,0.1).
p3_size(167,0.1).
p3_pi_acceptor(167,0.1).
p3_branch(167,0.1).
p3_sigma(167,0.1).
p3_polarisable(167,0.1).
p3_flex(168,0.1).
p3_pi_doner(168,0.1).
p3_polar(168,0.1).
p3_h_doner(168,0.1).
p3_h_acceptor(168,0.1).
p3_size(168,0.1).
p3_pi_acceptor(168,0.1).
p3_branch(168,0.1).
p3_sigma(168,0.1).
p3_polarisable(168,0.1).
p3_flex(169,0.1).
p3_pi_doner(169,0.1).
p3_polar(169,0.1).
p3_h_doner(169,0.1).
p3_h_acceptor(169,0.1).
p3_size(169,0.1).
p3_pi_acceptor(169,0.1).
p3_branch(169,0.1).
p3_sigma(169,0.1).
p3_polarisable(169,0.1).
p3_flex(170,0.1).
p3_pi_doner(170,0.1).
p3_polar(170,0.1).
p3_h_doner(170,0.1).
p3_h_acceptor(170,0.1).
p3_size(170,0.1).
p3_pi_acceptor(170,0.1).
p3_branch(170,0.1).
p3_sigma(170,0.1).
p3_polarisable(170,0.1).
p3_flex(171,0.1).
p3_pi_doner(171,0.1).
p3_polar(171,0.1).
p3_h_doner(171,0.1).
p3_h_acceptor(171,0.1).
p3_size(171,0.1).
p3_pi_acceptor(171,0.1).
p3_branch(171,0.1).
p3_sigma(171,0.1).
p3_polarisable(171,0.1).
p3_flex(172,0.1).
p3_pi_doner(172,0.1).
p3_polar(172,0.1).
p3_h_doner(172,0.1).
p3_h_acceptor(172,0.1).
p3_size(172,0.1).
p3_pi_acceptor(172,0.1).
p3_branch(172,0.1).
p3_sigma(172,0.1).
p3_polarisable(172,0.1).
p3_flex(173,0.1).
p3_pi_doner(173,0.1).
p3_polar(173,0.1).
p3_h_doner(173,0.1).
p3_h_acceptor(173,0.1).
p3_size(173,0.1).
p3_pi_acceptor(173,0.1).
p3_branch(173,0.1).
p3_sigma(173,0.1).
p3_polarisable(173,0.1).
p3_flex(174,0.1).
p3_pi_doner(174,0.1).
p3_polar(174,0.1).
p3_h_doner(174,0.1).
p3_h_acceptor(174,0.1).
p3_size(174,0.1).
p3_pi_acceptor(174,0.1).
p3_branch(174,0.1).
p3_sigma(174,0.1).
p3_polarisable(174,0.1).
p3_flex(175,0.1).
p3_pi_doner(175,0.1).
p3_polar(175,0.1).
p3_h_doner(175,0.1).
p3_h_acceptor(175,0.1).
p3_size(175,0.1).
p3_pi_acceptor(175,0.1).
p3_branch(175,0.1).
p3_sigma(175,0.1).
p3_polarisable(175,0.1).
p3_flex(176,0.1).
p3_pi_doner(176,0.1).
p3_polar(176,0.1).
p3_h_doner(176,0.1).
p3_h_acceptor(176,0.1).
p3_size(176,0.1).
p3_pi_acceptor(176,0.1).
p3_branch(176,0.1).
p3_sigma(176,0.1).
p3_polarisable(176,0.1).
p3_flex(177,0.1).
p3_pi_doner(177,0.1).
p3_polar(177,0.1).
p3_h_doner(177,0.1).
p3_h_acceptor(177,0.1).
p3_size(177,0.1).
p3_pi_acceptor(177,0.1).
p3_branch(177,0.1).
p3_sigma(177,0.1).
p3_polarisable(177,0.1).
p3_flex(178,0.1).
p3_pi_doner(178,0.1).
p3_polar(178,0.1).
p3_h_doner(178,0.1).
p3_h_acceptor(178,0.1).
p3_size(178,0.1).
p3_pi_acceptor(178,0.1).
p3_branch(178,0.1).
p3_sigma(178,0.1).
p3_polarisable(178,0.1).
p3_flex(179,0.1).
p3_pi_doner(179,0.1).
p3_polar(179,0.1).
p3_h_doner(179,0.1).
p3_h_acceptor(179,0.1).
p3_size(179,0.1).
p3_pi_acceptor(179,0.1).
p3_branch(179,0.1).
p3_sigma(179,0.1).
p3_polarisable(179,0.1).
p3_flex(180,0.1).
p3_pi_doner(180,0.1).
p3_polar(180,0.1).
p3_h_doner(180,0.1).
p3_h_acceptor(180,0.1).
p3_size(180,0.1).
p3_pi_acceptor(180,0.1).
p3_branch(180,0.1).
p3_sigma(180,0.1).
p3_polarisable(180,0.1).
p3_flex(181,0.1).
p3_pi_doner(181,0.1).
p3_polar(181,0.1).
p3_h_doner(181,0.1).
p3_h_acceptor(181,0.1).
p3_size(181,0.1).
p3_pi_acceptor(181,0.1).
p3_branch(181,0.1).
p3_sigma(181,0.1).
p3_polarisable(181,0.1).
p3_flex(182,0.1).
p3_pi_doner(182,0.1).
p3_polar(182,0.1).
p3_h_doner(182,0.1).
p3_h_acceptor(182,0.1).
p3_size(182,0.1).
p3_pi_acceptor(182,0.1).
p3_branch(182,0.1).
p3_sigma(182,0.1).
p3_polarisable(182,0.1).
p3_flex(183,0.1).
p3_pi_doner(183,0.1).
p3_polar(183,0.1).
p3_h_doner(183,0.1).
p3_h_acceptor(183,0.1).
p3_size(183,0.1).
p3_pi_acceptor(183,0.1).
p3_branch(183,0.1).
p3_sigma(183,0.1).
p3_polarisable(183,0.1).
p3_flex(184,0.1).
p3_pi_doner(184,0.1).
p3_polar(184,0.3).
p3_h_doner(184,0.1).
p3_h_acceptor(184,0.1).
p3_size(184,0.1).
p3_pi_acceptor(184,0.1).
p3_branch(184,0.1).
p3_sigma(184,0.1).
p3_polarisable(184,0.1).
p3_flex(185,0.1).
p3_pi_doner(185,0.1).
p3_polar(185,0.1).
p3_h_doner(185,0.1).
p3_h_acceptor(185,0.1).
p3_size(185,0.1).
p3_pi_acceptor(185,0.1).
p3_branch(185,0.1).
p3_sigma(185,0.1).
p3_polarisable(185,0.1).
p3_flex(186,0.1).
p3_pi_doner(186,0.1).
p3_polar(186,0.1).
p3_h_doner(186,0.1).
p3_h_acceptor(186,0.1).
p3_size(186,0.1).
p3_pi_acceptor(186,0.1).
p3_branch(186,0.1).
p3_sigma(186,0.1).
p3_polarisable(186,0.1).
p4_flex(1,0.1).
p4_pi_doner(1,0.1).
p4_polar(1,0.1).
p4_h_doner(1,0.1).
p4_h_acceptor(1,0.1).
p4_size(1,0.1).
p4_pi_acceptor(1,0.1).
p4_branch(1,0.1).
p4_sigma(1,0.1).
p4_polarisable(1,0.1).
p4_flex(2,0.443).
p4_pi_doner(2,0.1).
p4_polar(2,0.3).
p4_h_doner(2,0.1).
p4_h_acceptor(2,0.367).
p4_size(2,0.4).
p4_pi_acceptor(2,0.1).
p4_branch(2,0.3).
p4_sigma(2,0.1).
p4_polarisable(2,0.5).
p4_flex(3,0.329).
p4_pi_doner(3,0.1).
p4_polar(3,0.3).
p4_h_doner(3,0.1).
p4_h_acceptor(3,0.367).
p4_size(3,0.6).
p4_pi_acceptor(3,0.1).
p4_branch(3,0.5).
p4_sigma(3,0.1).
p4_polarisable(3,0.5).
p4_flex(4,0.329).
p4_pi_doner(4,0.1).
p4_polar(4,0.3).
p4_h_doner(4,0.1).
p4_h_acceptor(4,0.367).
p4_size(4,0.7).
p4_pi_acceptor(4,0.1).
p4_branch(4,0.3).
p4_sigma(4,0.1).
p4_polarisable(4,0.5).
p4_flex(5,0.214).
p4_pi_doner(5,0.1).
p4_polar(5,0.5).
p4_h_doner(5,0.1).
p4_h_acceptor(5,0.367).
p4_size(5,0.3).
p4_pi_acceptor(5,0.1).
p4_branch(5,0.1).
p4_sigma(5,0.1).
p4_polarisable(5,0.5).
p4_flex(6,0.329).
p4_pi_doner(6,0.1).
p4_polar(6,0.5).
p4_h_doner(6,0.1).
p4_h_acceptor(6,0.367).
p4_size(6,0.4).
p4_pi_acceptor(6,0.1).
p4_branch(6,0.5).
p4_sigma(6,0.1).
p4_polarisable(6,0.5).
p4_flex(7,0.214).
p4_pi_doner(7,0.1).
p4_polar(7,0.5).
p4_h_doner(7,0.1).
p4_h_acceptor(7,0.633).
p4_size(7,0.5).
p4_pi_acceptor(7,0.1).
p4_branch(7,0.3).
p4_sigma(7,0.367).
p4_polarisable(7,0.1).
p4_flex(8,0.443).
p4_pi_doner(8,0.1).
p4_polar(8,0.5).
p4_h_doner(8,0.1).
p4_h_acceptor(8,0.367).
p4_size(8,0.5).
p4_pi_acceptor(8,0.1).
p4_branch(8,0.5).
p4_sigma(8,0.1).
p4_polarisable(8,0.5).
p4_flex(9,0.214).
p4_pi_doner(9,0.1).
p4_polar(9,0.5).
p4_h_doner(9,0.1).
p4_h_acceptor(9,0.633).
p4_size(9,0.6).
p4_pi_acceptor(9,0.1).
p4_branch(9,0.5).
p4_sigma(9,0.1).
p4_polarisable(9,0.5).
p4_flex(10,0.214).
p4_pi_doner(10,0.1).
p4_polar(10,0.5).
p4_h_doner(10,0.1).
p4_h_acceptor(10,0.633).
p4_size(10,0.6).
p4_pi_acceptor(10,0.1).
p4_branch(10,0.5).
p4_sigma(10,0.367).
p4_polarisable(10,0.1).
p4_flex(11,0.214).
p4_pi_doner(11,0.1).
p4_polar(11,0.5).
p4_h_doner(11,0.1).
p4_h_acceptor(11,0.633).
p4_size(11,0.6).
p4_pi_acceptor(11,0.1).
p4_branch(11,0.5).
p4_sigma(11,0.367).
p4_polarisable(11,0.1).
p4_flex(12,0.329).
p4_pi_doner(12,0.1).
p4_polar(12,0.5).
p4_h_doner(12,0.1).
p4_h_acceptor(12,0.633).
p4_size(12,0.6).
p4_pi_acceptor(12,0.1).
p4_branch(12,0.5).
p4_sigma(12,0.367).
p4_polarisable(12,0.1).
p4_flex(13,0.329).
p4_pi_doner(13,0.1).
p4_polar(13,0.5).
p4_h_doner(13,0.1).
p4_h_acceptor(13,0.9).
p4_size(13,0.6).
p4_pi_acceptor(13,0.1).
p4_branch(13,0.5).
p4_sigma(13,0.367).
p4_polarisable(13,0.1).
p4_flex(14,0.443).
p4_pi_doner(14,0.1).
p4_polar(14,0.5).
p4_h_doner(14,0.1).
p4_h_acceptor(14,0.367).
p4_size(14,0.6).
p4_pi_acceptor(14,0.1).
p4_branch(14,0.5).
p4_sigma(14,0.1).
p4_polarisable(14,0.5).
p4_flex(15,0.214).
p4_pi_doner(15,0.1).
p4_polar(15,0.7).
p4_h_doner(15,0.1).
p4_h_acceptor(15,0.367).
p4_size(15,0.3).
p4_pi_acceptor(15,0.5).
p4_branch(15,0.3).
p4_sigma(15,0.1).
p4_polarisable(15,0.5).
p4_flex(16,0.1).
p4_pi_doner(16,0.1).
p4_polar(16,0.9).
p4_h_doner(16,0.1).
p4_h_acceptor(16,0.367).
p4_size(16,0.2).
p4_pi_acceptor(16,0.9).
p4_branch(16,0.1).
p4_sigma(16,0.1).
p4_polarisable(16,0.9).
p4_flex(17,0.1).
p4_pi_doner(17,0.1).
p4_polar(17,0.3).
p4_h_doner(17,0.1).
p4_h_acceptor(17,0.1).
p4_size(17,0.1).
p4_pi_acceptor(17,0.1).
p4_branch(17,0.1).
p4_sigma(17,0.1).
p4_polarisable(17,0.1).
p4_flex(18,0.1).
p4_pi_doner(18,0.1).
p4_polar(18,0.3).
p4_h_doner(18,0.1).
p4_h_acceptor(18,0.1).
p4_size(18,0.2).
p4_pi_acceptor(18,0.1).
p4_branch(18,0.1).
p4_sigma(18,0.1).
p4_polarisable(18,0.5).
p4_flex(19,0.329).
p4_pi_doner(19,0.1).
p4_polar(19,0.3).
p4_h_doner(19,0.1).
p4_h_acceptor(19,0.1).
p4_size(19,0.3).
p4_pi_acceptor(19,0.1).
p4_branch(19,0.1).
p4_sigma(19,0.1).
p4_polarisable(19,0.5).
p4_flex(20,0.329).
p4_pi_doner(20,0.1).
p4_polar(20,0.3).
p4_h_doner(20,0.1).
p4_h_acceptor(20,0.1).
p4_size(20,0.3).
p4_pi_acceptor(20,0.1).
p4_branch(20,0.1).
p4_sigma(20,0.1).
p4_polarisable(20,0.5).
p4_flex(21,0.557).
p4_pi_doner(21,0.1).
p4_polar(21,0.3).
p4_h_doner(21,0.1).
p4_h_acceptor(21,0.1).
p4_size(21,0.5).
p4_pi_acceptor(21,0.1).
p4_branch(21,0.1).
p4_sigma(21,0.1).
p4_polarisable(21,0.5).
p4_flex(22,0.557).
p4_pi_doner(22,0.1).
p4_polar(22,0.3).
p4_h_doner(22,0.1).
p4_h_acceptor(22,0.1).
p4_size(22,0.5).
p4_pi_acceptor(22,0.1).
p4_branch(22,0.1).
p4_sigma(22,0.1).
p4_polarisable(22,0.5).
p4_flex(23,0.786).
p4_pi_doner(23,0.1).
p4_polar(23,0.3).
p4_h_doner(23,0.1).
p4_h_acceptor(23,0.1).
p4_size(23,0.5).
p4_pi_acceptor(23,0.1).
p4_branch(23,0.1).
p4_sigma(23,0.1).
p4_polarisable(23,0.5).
p4_flex(24,0.786).
p4_pi_doner(24,0.1).
p4_polar(24,0.3).
p4_h_doner(24,0.1).
p4_h_acceptor(24,0.367).
p4_size(24,0.7).
p4_pi_acceptor(24,0.1).
p4_branch(24,0.1).
p4_sigma(24,0.1).
p4_polarisable(24,0.5).
p4_flex(25,0.1).
p4_pi_doner(25,0.5).
p4_polar(25,0.5).
p4_h_doner(25,0.5).
p4_h_acceptor(25,0.367).
p4_size(25,0.3).
p4_pi_acceptor(25,0.1).
p4_branch(25,0.5).
p4_sigma(25,0.367).
p4_polarisable(25,0.5).
p4_flex(26,0.1).
p4_pi_doner(26,0.5).
p4_polar(26,0.5).
p4_h_doner(26,0.5).
p4_h_acceptor(26,0.367).
p4_size(26,0.3).
p4_pi_acceptor(26,0.1).
p4_branch(26,0.5).
p4_sigma(26,0.367).
p4_polarisable(26,0.5).
p4_flex(27,0.1).
p4_pi_doner(27,0.5).
p4_polar(27,0.5).
p4_h_doner(27,0.5).
p4_h_acceptor(27,0.367).
p4_size(27,0.4).
p4_pi_acceptor(27,0.1).
p4_branch(27,0.3).
p4_sigma(27,0.367).
p4_polarisable(27,0.5).
p4_flex(28,0.1).
p4_pi_doner(28,0.5).
p4_polar(28,0.5).
p4_h_doner(28,0.5).
p4_h_acceptor(28,0.367).
p4_size(28,0.4).
p4_pi_acceptor(28,0.1).
p4_branch(28,0.3).
p4_sigma(28,0.367).
p4_polarisable(28,0.5).
p4_flex(29,0.214).
p4_pi_doner(29,0.1).
p4_polar(29,0.5).
p4_h_doner(29,0.1).
p4_h_acceptor(29,0.367).
p4_size(29,0.4).
p4_pi_acceptor(29,0.1).
p4_branch(29,0.5).
p4_sigma(29,0.367).
p4_polarisable(29,0.5).
p4_flex(30,0.214).
p4_pi_doner(30,0.5).
p4_polar(30,0.5).
p4_h_doner(30,0.5).
p4_h_acceptor(30,0.367).
p4_size(30,0.4).
p4_pi_acceptor(30,0.1).
p4_branch(30,0.3).
p4_sigma(30,0.367).
p4_polarisable(30,0.5).
p4_flex(31,0.214).
p4_pi_doner(31,0.5).
p4_polar(31,0.5).
p4_h_doner(31,0.5).
p4_h_acceptor(31,0.367).
p4_size(31,0.4).
p4_pi_acceptor(31,0.1).
p4_branch(31,0.3).
p4_sigma(31,0.367).
p4_polarisable(31,0.5).
p4_flex(32,0.329).
p4_pi_doner(32,0.5).
p4_polar(32,0.5).
p4_h_doner(32,0.5).
p4_h_acceptor(32,0.367).
p4_size(32,0.4).
p4_pi_acceptor(32,0.1).
p4_branch(32,0.3).
p4_sigma(32,0.367).
p4_polarisable(32,0.5).
p4_flex(33,0.329).
p4_pi_doner(33,0.5).
p4_polar(33,0.5).
p4_h_doner(33,0.5).
p4_h_acceptor(33,0.367).
p4_size(33,0.4).
p4_pi_acceptor(33,0.1).
p4_branch(33,0.3).
p4_sigma(33,0.367).
p4_polarisable(33,0.5).
p4_flex(34,0.329).
p4_pi_doner(34,0.5).
p4_polar(34,0.5).
p4_h_doner(34,0.5).
p4_h_acceptor(34,0.367).
p4_size(34,0.4).
p4_pi_acceptor(34,0.1).
p4_branch(34,0.3).
p4_sigma(34,0.367).
p4_polarisable(34,0.5).
p4_flex(35,0.329).
p4_pi_doner(35,0.5).
p4_polar(35,0.5).
p4_h_doner(35,0.5).
p4_h_acceptor(35,0.367).
p4_size(35,0.4).
p4_pi_acceptor(35,0.1).
p4_branch(35,0.3).
p4_sigma(35,0.367).
p4_polarisable(35,0.5).
p4_flex(36,0.329).
p4_pi_doner(36,0.5).
p4_polar(36,0.5).
p4_h_doner(36,0.5).
p4_h_acceptor(36,0.367).
p4_size(36,0.4).
p4_pi_acceptor(36,0.1).
p4_branch(36,0.3).
p4_sigma(36,0.367).
p4_polarisable(36,0.5).
p4_flex(37,0.329).
p4_pi_doner(37,0.5).
p4_polar(37,0.5).
p4_h_doner(37,0.5).
p4_h_acceptor(37,0.367).
p4_size(37,0.4).
p4_pi_acceptor(37,0.1).
p4_branch(37,0.3).
p4_sigma(37,0.367).
p4_polarisable(37,0.5).
p4_flex(38,0.329).
p4_pi_doner(38,0.5).
p4_polar(38,0.5).
p4_h_doner(38,0.5).
p4_h_acceptor(38,0.367).
p4_size(38,0.4).
p4_pi_acceptor(38,0.1).
p4_branch(38,0.5).
p4_sigma(38,0.367).
p4_polarisable(38,0.5).
p4_flex(39,0.329).
p4_pi_doner(39,0.5).
p4_polar(39,0.5).
p4_h_doner(39,0.5).
p4_h_acceptor(39,0.367).
p4_size(39,0.4).
p4_pi_acceptor(39,0.1).
p4_branch(39,0.3).
p4_sigma(39,0.367).
p4_polarisable(39,0.9).
p4_flex(40,0.329).
p4_pi_doner(40,0.5).
p4_polar(40,0.5).
p4_h_doner(40,0.5).
p4_h_acceptor(40,0.633).
p4_size(40,0.4).
p4_pi_acceptor(40,0.1).
p4_branch(40,0.3).
p4_sigma(40,0.367).
p4_polarisable(40,0.5).
p4_flex(41,0.329).
p4_pi_doner(41,0.5).
p4_polar(41,0.5).
p4_h_doner(41,0.5).
p4_h_acceptor(41,0.633).
p4_size(41,0.4).
p4_pi_acceptor(41,0.1).
p4_branch(41,0.3).
p4_sigma(41,0.367).
p4_polarisable(41,0.5).
p4_flex(42,0.329).
p4_pi_doner(42,0.5).
p4_polar(42,0.5).
p4_h_doner(42,0.5).
p4_h_acceptor(42,0.633).
p4_size(42,0.4).
p4_pi_acceptor(42,0.1).
p4_branch(42,0.3).
p4_sigma(42,0.367).
p4_polarisable(42,0.5).
p4_flex(43,0.443).
p4_pi_doner(43,0.1).
p4_polar(43,0.5).
p4_h_doner(43,0.1).
p4_h_acceptor(43,0.633).
p4_size(43,0.4).
p4_pi_acceptor(43,0.1).
p4_branch(43,0.1).
p4_sigma(43,0.367).
p4_polarisable(43,0.5).
p4_flex(44,0.443).
p4_pi_doner(44,0.1).
p4_polar(44,0.5).
p4_h_doner(44,0.1).
p4_h_acceptor(44,0.633).
p4_size(44,0.4).
p4_pi_acceptor(44,0.1).
p4_branch(44,0.1).
p4_sigma(44,0.367).
p4_polarisable(44,0.5).
p4_flex(45,0.214).
p4_pi_doner(45,0.9).
p4_polar(45,0.5).
p4_h_doner(45,0.9).
p4_h_acceptor(45,0.633).
p4_size(45,0.5).
p4_pi_acceptor(45,0.1).
p4_branch(45,0.3).
p4_sigma(45,0.367).
p4_polarisable(45,0.5).
p4_flex(46,0.214).
p4_pi_doner(46,0.9).
p4_polar(46,0.5).
p4_h_doner(46,0.9).
p4_h_acceptor(46,0.633).
p4_size(46,0.5).
p4_pi_acceptor(46,0.1).
p4_branch(46,0.3).
p4_sigma(46,0.367).
p4_polarisable(46,0.5).
p4_flex(47,0.214).
p4_pi_doner(47,0.9).
p4_polar(47,0.5).
p4_h_doner(47,0.9).
p4_h_acceptor(47,0.633).
p4_size(47,0.5).
p4_pi_acceptor(47,0.1).
p4_branch(47,0.3).
p4_sigma(47,0.367).
p4_polarisable(47,0.5).
p4_flex(48,0.329).
p4_pi_doner(48,0.1).
p4_polar(48,0.5).
p4_h_doner(48,0.1).
p4_h_acceptor(48,0.367).
p4_size(48,0.5).
p4_pi_acceptor(48,0.1).
p4_branch(48,0.5).
p4_sigma(48,0.367).
p4_polarisable(48,0.5).
p4_flex(49,0.329).
p4_pi_doner(49,0.1).
p4_polar(49,0.5).
p4_h_doner(49,0.1).
p4_h_acceptor(49,0.367).
p4_size(49,0.5).
p4_pi_acceptor(49,0.1).
p4_branch(49,0.5).
p4_sigma(49,0.367).
p4_polarisable(49,0.5).
p4_flex(50,0.329).
p4_pi_doner(50,0.1).
p4_polar(50,0.5).
p4_h_doner(50,0.1).
p4_h_acceptor(50,0.633).
p4_size(50,0.5).
p4_pi_acceptor(50,0.1).
p4_branch(50,0.5).
p4_sigma(50,0.367).
p4_polarisable(50,0.5).
p4_flex(51,0.329).
p4_pi_doner(51,0.5).
p4_polar(51,0.5).
p4_h_doner(51,0.5).
p4_h_acceptor(51,0.367).
p4_size(51,0.5).
p4_pi_acceptor(51,0.1).
p4_branch(51,0.5).
p4_sigma(51,0.367).
p4_polarisable(51,0.5).
p4_flex(52,0.443).
p4_pi_doner(52,0.5).
p4_polar(52,0.5).
p4_h_doner(52,0.5).
p4_h_acceptor(52,0.367).
p4_size(52,0.5).
p4_pi_acceptor(52,0.1).
p4_branch(52,0.3).
p4_sigma(52,0.367).
p4_polarisable(52,0.5).
p4_flex(53,0.443).
p4_pi_doner(53,0.5).
p4_polar(53,0.5).
p4_h_doner(53,0.5).
p4_h_acceptor(53,0.367).
p4_size(53,0.5).
p4_pi_acceptor(53,0.1).
p4_branch(53,0.3).
p4_sigma(53,0.367).
p4_polarisable(53,0.5).
p4_flex(54,0.557).
p4_pi_doner(54,0.1).
p4_polar(54,0.5).
p4_h_doner(54,0.1).
p4_h_acceptor(54,0.367).
p4_size(54,0.5).
p4_pi_acceptor(54,0.1).
p4_branch(54,0.1).
p4_sigma(54,0.367).
p4_polarisable(54,0.5).
p4_flex(55,0.557).
p4_pi_doner(55,0.1).
p4_polar(55,0.5).
p4_h_doner(55,0.1).
p4_h_acceptor(55,0.367).
p4_size(55,0.5).
p4_pi_acceptor(55,0.1).
p4_branch(55,0.1).
p4_sigma(55,0.367).
p4_polarisable(55,0.5).
p4_flex(56,0.443).
p4_pi_doner(56,0.1).
p4_polar(56,0.5).
p4_h_doner(56,0.1).
p4_h_acceptor(56,0.367).
p4_size(56,0.6).
p4_pi_acceptor(56,0.1).
p4_branch(56,0.5).
p4_sigma(56,0.1).
p4_polarisable(56,0.5).
p4_flex(57,0.214).
p4_pi_doner(57,0.5).
p4_polar(57,0.5).
p4_h_doner(57,0.5).
p4_h_acceptor(57,0.367).
p4_size(57,0.7).
p4_pi_acceptor(57,0.1).
p4_branch(57,0.9).
p4_sigma(57,0.367).
p4_polarisable(57,0.5).
p4_flex(58,0.214).
p4_pi_doner(58,0.5).
p4_polar(58,0.5).
p4_h_doner(58,0.5).
p4_h_acceptor(58,0.367).
p4_size(58,0.7).
p4_pi_acceptor(58,0.1).
p4_branch(58,0.9).
p4_sigma(58,0.367).
p4_polarisable(58,0.5).
p4_flex(59,0.214).
p4_pi_doner(59,0.5).
p4_polar(59,0.5).
p4_h_doner(59,0.5).
p4_h_acceptor(59,0.367).
p4_size(59,0.7).
p4_pi_acceptor(59,0.1).
p4_branch(59,0.9).
p4_sigma(59,0.367).
p4_polarisable(59,0.5).
p4_flex(60,0.329).
p4_pi_doner(60,0.5).
p4_polar(60,0.5).
p4_h_doner(60,0.5).
p4_h_acceptor(60,0.367).
p4_size(60,0.7).
p4_pi_acceptor(60,0.1).
p4_branch(60,0.7).
p4_sigma(60,0.367).
p4_polarisable(60,0.5).
p4_flex(61,0.329).
p4_pi_doner(61,0.5).
p4_polar(61,0.5).
p4_h_doner(61,0.5).
p4_h_acceptor(61,0.367).
p4_size(61,0.7).
p4_pi_acceptor(61,0.1).
p4_branch(61,0.7).
p4_sigma(61,0.367).
p4_polarisable(61,0.5).
p4_flex(62,0.329).
p4_pi_doner(62,0.5).
p4_polar(62,0.5).
p4_h_doner(62,0.5).
p4_h_acceptor(62,0.367).
p4_size(62,0.7).
p4_pi_acceptor(62,0.1).
p4_branch(62,0.7).
p4_sigma(62,0.367).
p4_polarisable(62,0.5).
p4_flex(63,0.557).
p4_pi_doner(63,0.1).
p4_polar(63,0.5).
p4_h_doner(63,0.1).
p4_h_acceptor(63,0.367).
p4_size(63,0.7).
p4_pi_acceptor(63,0.1).
p4_branch(63,0.5).
p4_sigma(63,0.1).
p4_polarisable(63,0.5).
p4_flex(64,0.557).
p4_pi_doner(64,0.9).
p4_polar(64,0.5).
p4_h_doner(64,0.9).
p4_h_acceptor(64,0.9).
p4_size(64,0.7).
p4_pi_acceptor(64,0.1).
p4_branch(64,0.3).
p4_sigma(64,0.367).
p4_polarisable(64,0.5).
p4_flex(65,0.214).
p4_pi_doner(65,0.5).
p4_polar(65,0.5).
p4_h_doner(65,0.5).
p4_h_acceptor(65,0.633).
p4_size(65,0.8).
p4_pi_acceptor(65,0.1).
p4_branch(65,0.9).
p4_sigma(65,0.367).
p4_polarisable(65,0.5).
p4_flex(66,0.214).
p4_pi_doner(66,0.5).
p4_polar(66,0.5).
p4_h_doner(66,0.5).
p4_h_acceptor(66,0.633).
p4_size(66,0.8).
p4_pi_acceptor(66,0.1).
p4_branch(66,0.9).
p4_sigma(66,0.367).
p4_polarisable(66,0.5).
p4_flex(67,0.214).
p4_pi_doner(67,0.5).
p4_polar(67,0.5).
p4_h_doner(67,0.5).
p4_h_acceptor(67,0.367).
p4_size(67,0.9).
p4_pi_acceptor(67,0.1).
p4_branch(67,0.3).
p4_sigma(67,0.367).
p4_polarisable(67,0.5).
p4_flex(68,0.214).
p4_pi_doner(68,0.5).
p4_polar(68,0.5).
p4_h_doner(68,0.5).
p4_h_acceptor(68,0.367).
p4_size(68,0.9).
p4_pi_acceptor(68,0.1).
p4_branch(68,0.7).
p4_sigma(68,0.367).
p4_polarisable(68,0.5).
p4_flex(69,0.329).
p4_pi_doner(69,0.5).
p4_polar(69,0.7).
p4_h_doner(69,0.5).
p4_h_acceptor(69,0.367).
p4_size(69,0.4).
p4_pi_acceptor(69,0.5).
p4_branch(69,0.3).
p4_sigma(69,0.1).
p4_polarisable(69,0.5).
p4_flex(70,0.329).
p4_pi_doner(70,0.1).
p4_polar(70,0.9).
p4_h_doner(70,0.1).
p4_h_acceptor(70,0.367).
p4_size(70,0.5).
p4_pi_acceptor(70,0.5).
p4_branch(70,0.5).
p4_sigma(70,0.633).
p4_polarisable(70,0.9).
p4_flex(71,0.329).
p4_pi_doner(71,0.1).
p4_polar(71,0.9).
p4_h_doner(71,0.1).
p4_h_acceptor(71,0.367).
p4_size(71,0.5).
p4_pi_acceptor(71,0.5).
p4_branch(71,0.5).
p4_sigma(71,0.633).
p4_polarisable(71,0.9).
p4_flex(72,0.1).
p4_pi_doner(72,0.1).
p4_polar(72,0.3).
p4_h_doner(72,0.1).
p4_h_acceptor(72,0.1).
p4_size(72,0.1).
p4_pi_acceptor(72,0.1).
p4_branch(72,0.1).
p4_sigma(72,0.1).
p4_polarisable(72,0.1).
p4_flex(73,0.1).
p4_pi_doner(73,0.1).
p4_polar(73,0.3).
p4_h_doner(73,0.1).
p4_h_acceptor(73,0.1).
p4_size(73,0.1).
p4_pi_acceptor(73,0.1).
p4_branch(73,0.1).
p4_sigma(73,0.1).
p4_polarisable(73,0.1).
p4_flex(74,0.1).
p4_pi_doner(74,0.1).
p4_polar(74,0.3).
p4_h_doner(74,0.1).
p4_h_acceptor(74,0.1).
p4_size(74,0.1).
p4_pi_acceptor(74,0.1).
p4_branch(74,0.1).
p4_sigma(74,0.1).
p4_polarisable(74,0.1).
p4_flex(75,0.1).
p4_pi_doner(75,0.1).
p4_polar(75,0.3).
p4_h_doner(75,0.1).
p4_h_acceptor(75,0.1).
p4_size(75,0.1).
p4_pi_acceptor(75,0.1).
p4_branch(75,0.1).
p4_sigma(75,0.1).
p4_polarisable(75,0.1).
p4_flex(76,0.1).
p4_pi_doner(76,0.1).
p4_polar(76,0.3).
p4_h_doner(76,0.1).
p4_h_acceptor(76,0.1).
p4_size(76,0.1).
p4_pi_acceptor(76,0.1).
p4_branch(76,0.1).
p4_sigma(76,0.1).
p4_polarisable(76,0.1).
p4_flex(77,0.1).
p4_pi_doner(77,0.1).
p4_polar(77,0.7).
p4_h_doner(77,0.1).
p4_h_acceptor(77,0.1).
p4_size(77,0.2).
p4_pi_acceptor(77,0.1).
p4_branch(77,0.1).
p4_sigma(77,0.9).
p4_polarisable(77,0.5).
p4_flex(78,0.1).
p4_pi_doner(78,0.1).
p4_polar(78,0.1).
p4_h_doner(78,0.1).
p4_h_acceptor(78,0.1).
p4_size(78,0.1).
p4_pi_acceptor(78,0.1).
p4_branch(78,0.1).
p4_sigma(78,0.1).
p4_polarisable(78,0.1).
p4_flex(79,0.1).
p4_pi_doner(79,0.1).
p4_polar(79,0.1).
p4_h_doner(79,0.1).
p4_h_acceptor(79,0.1).
p4_size(79,0.1).
p4_pi_acceptor(79,0.1).
p4_branch(79,0.1).
p4_sigma(79,0.1).
p4_polarisable(79,0.1).
p4_flex(80,0.1).
p4_pi_doner(80,0.1).
p4_polar(80,0.3).
p4_h_doner(80,0.1).
p4_h_acceptor(80,0.1).
p4_size(80,0.1).
p4_pi_acceptor(80,0.1).
p4_branch(80,0.1).
p4_sigma(80,0.1).
p4_polarisable(80,0.1).
p4_flex(81,0.1).
p4_pi_doner(81,0.1).
p4_polar(81,0.3).
p4_h_doner(81,0.1).
p4_h_acceptor(81,0.1).
p4_size(81,0.1).
p4_pi_acceptor(81,0.1).
p4_branch(81,0.1).
p4_sigma(81,0.1).
p4_polarisable(81,0.1).
p4_flex(82,0.1).
p4_pi_doner(82,0.1).
p4_polar(82,0.3).
p4_h_doner(82,0.1).
p4_h_acceptor(82,0.1).
p4_size(82,0.1).
p4_pi_acceptor(82,0.1).
p4_branch(82,0.1).
p4_sigma(82,0.1).
p4_polarisable(82,0.1).
p4_flex(83,0.1).
p4_pi_doner(83,0.1).
p4_polar(83,0.7).
p4_h_doner(83,0.1).
p4_h_acceptor(83,0.1).
p4_size(83,0.2).
p4_pi_acceptor(83,0.1).
p4_branch(83,0.1).
p4_sigma(83,0.9).
p4_polarisable(83,0.5).
p4_flex(84,0.1).
p4_pi_doner(84,0.1).
p4_polar(84,0.3).
p4_h_doner(84,0.1).
p4_h_acceptor(84,0.1).
p4_size(84,0.1).
p4_pi_acceptor(84,0.1).
p4_branch(84,0.1).
p4_sigma(84,0.1).
p4_polarisable(84,0.1).
p4_flex(85,0.1).
p4_pi_doner(85,0.1).
p4_polar(85,0.3).
p4_h_doner(85,0.1).
p4_h_acceptor(85,0.1).
p4_size(85,0.1).
p4_pi_acceptor(85,0.1).
p4_branch(85,0.1).
p4_sigma(85,0.1).
p4_polarisable(85,0.1).
p4_flex(86,0.1).
p4_pi_doner(86,0.1).
p4_polar(86,0.3).
p4_h_doner(86,0.1).
p4_h_acceptor(86,0.1).
p4_size(86,0.1).
p4_pi_acceptor(86,0.1).
p4_branch(86,0.1).
p4_sigma(86,0.1).
p4_polarisable(86,0.1).
p4_flex(87,0.1).
p4_pi_doner(87,0.1).
p4_polar(87,0.3).
p4_h_doner(87,0.1).
p4_h_acceptor(87,0.1).
p4_size(87,0.1).
p4_pi_acceptor(87,0.1).
p4_branch(87,0.1).
p4_sigma(87,0.1).
p4_polarisable(87,0.1).
p4_flex(88,0.1).
p4_pi_doner(88,0.1).
p4_polar(88,0.1).
p4_h_doner(88,0.1).
p4_h_acceptor(88,0.1).
p4_size(88,0.1).
p4_pi_acceptor(88,0.1).
p4_branch(88,0.1).
p4_sigma(88,0.1).
p4_polarisable(88,0.1).
p4_flex(89,0.1).
p4_pi_doner(89,0.1).
p4_polar(89,0.3).
p4_h_doner(89,0.1).
p4_h_acceptor(89,0.1).
p4_size(89,0.1).
p4_pi_acceptor(89,0.1).
p4_branch(89,0.1).
p4_sigma(89,0.1).
p4_polarisable(89,0.1).
p4_flex(90,0.1).
p4_pi_doner(90,0.1).
p4_polar(90,0.3).
p4_h_doner(90,0.1).
p4_h_acceptor(90,0.1).
p4_size(90,0.1).
p4_pi_acceptor(90,0.1).
p4_branch(90,0.1).
p4_sigma(90,0.1).
p4_polarisable(90,0.1).
p4_flex(91,0.1).
p4_pi_doner(91,0.1).
p4_polar(91,0.1).
p4_h_doner(91,0.1).
p4_h_acceptor(91,0.1).
p4_size(91,0.1).
p4_pi_acceptor(91,0.1).
p4_branch(91,0.1).
p4_sigma(91,0.1).
p4_polarisable(91,0.1).
p4_flex(92,0.1).
p4_pi_doner(92,0.1).
p4_polar(92,0.3).
p4_h_doner(92,0.1).
p4_h_acceptor(92,0.1).
p4_size(92,0.1).
p4_pi_acceptor(92,0.1).
p4_branch(92,0.1).
p4_sigma(92,0.1).
p4_polarisable(92,0.1).
p4_flex(93,0.1).
p4_pi_doner(93,0.1).
p4_polar(93,0.3).
p4_h_doner(93,0.1).
p4_h_acceptor(93,0.1).
p4_size(93,0.1).
p4_pi_acceptor(93,0.1).
p4_branch(93,0.1).
p4_sigma(93,0.1).
p4_polarisable(93,0.1).
p4_flex(94,0.1).
p4_pi_doner(94,0.1).
p4_polar(94,0.3).
p4_h_doner(94,0.1).
p4_h_acceptor(94,0.1).
p4_size(94,0.1).
p4_pi_acceptor(94,0.1).
p4_branch(94,0.1).
p4_sigma(94,0.1).
p4_polarisable(94,0.1).
p4_flex(95,0.557).
p4_pi_doner(95,0.1).
p4_polar(95,0.3).
p4_h_doner(95,0.1).
p4_h_acceptor(95,0.367).
p4_size(95,0.5).
p4_pi_acceptor(95,0.1).
p4_branch(95,0.1).
p4_sigma(95,0.1).
p4_polarisable(95,0.5).
p4_flex(96,0.1).
p4_pi_doner(96,0.1).
p4_polar(96,0.3).
p4_h_doner(96,0.1).
p4_h_acceptor(96,0.1).
p4_size(96,0.1).
p4_pi_acceptor(96,0.1).
p4_branch(96,0.1).
p4_sigma(96,0.1).
p4_polarisable(96,0.1).
p4_flex(97,0.1).
p4_pi_doner(97,0.1).
p4_polar(97,0.3).
p4_h_doner(97,0.1).
p4_h_acceptor(97,0.1).
p4_size(97,0.1).
p4_pi_acceptor(97,0.1).
p4_branch(97,0.1).
p4_sigma(97,0.1).
p4_polarisable(97,0.1).
p4_flex(98,0.1).
p4_pi_doner(98,0.1).
p4_polar(98,0.3).
p4_h_doner(98,0.1).
p4_h_acceptor(98,0.1).
p4_size(98,0.1).
p4_pi_acceptor(98,0.1).
p4_branch(98,0.1).
p4_sigma(98,0.1).
p4_polarisable(98,0.1).
p4_flex(99,0.1).
p4_pi_doner(99,0.1).
p4_polar(99,0.3).
p4_h_doner(99,0.1).
p4_h_acceptor(99,0.1).
p4_size(99,0.1).
p4_pi_acceptor(99,0.1).
p4_branch(99,0.1).
p4_sigma(99,0.1).
p4_polarisable(99,0.1).
p4_flex(100,0.1).
p4_pi_doner(100,0.1).
p4_polar(100,0.3).
p4_h_doner(100,0.1).
p4_h_acceptor(100,0.1).
p4_size(100,0.1).
p4_pi_acceptor(100,0.1).
p4_branch(100,0.1).
p4_sigma(100,0.1).
p4_polarisable(100,0.1).
p4_flex(101,0.1).
p4_pi_doner(101,0.1).
p4_polar(101,0.3).
p4_h_doner(101,0.1).
p4_h_acceptor(101,0.1).
p4_size(101,0.1).
p4_pi_acceptor(101,0.1).
p4_branch(101,0.1).
p4_sigma(101,0.1).
p4_polarisable(101,0.1).
p4_flex(102,0.1).
p4_pi_doner(102,0.1).
p4_polar(102,0.7).
p4_h_doner(102,0.1).
p4_h_acceptor(102,0.1).
p4_size(102,0.2).
p4_pi_acceptor(102,0.1).
p4_branch(102,0.1).
p4_sigma(102,0.9).
p4_polarisable(102,0.5).
p4_flex(103,0.1).
p4_pi_doner(103,0.1).
p4_polar(103,0.3).
p4_h_doner(103,0.1).
p4_h_acceptor(103,0.1).
p4_size(103,0.1).
p4_pi_acceptor(103,0.1).
p4_branch(103,0.1).
p4_sigma(103,0.1).
p4_polarisable(103,0.1).
p4_flex(104,0.1).
p4_pi_doner(104,0.1).
p4_polar(104,0.3).
p4_h_doner(104,0.1).
p4_h_acceptor(104,0.1).
p4_size(104,0.1).
p4_pi_acceptor(104,0.1).
p4_branch(104,0.1).
p4_sigma(104,0.1).
p4_polarisable(104,0.1).
p4_flex(105,0.1).
p4_pi_doner(105,0.1).
p4_polar(105,0.3).
p4_h_doner(105,0.1).
p4_h_acceptor(105,0.1).
p4_size(105,0.1).
p4_pi_acceptor(105,0.1).
p4_branch(105,0.1).
p4_sigma(105,0.1).
p4_polarisable(105,0.1).
p4_flex(106,0.1).
p4_pi_doner(106,0.1).
p4_polar(106,0.7).
p4_h_doner(106,0.1).
p4_h_acceptor(106,0.1).
p4_size(106,0.2).
p4_pi_acceptor(106,0.1).
p4_branch(106,0.1).
p4_sigma(106,0.9).
p4_polarisable(106,0.5).
p4_flex(107,0.1).
p4_pi_doner(107,0.1).
p4_polar(107,0.3).
p4_h_doner(107,0.1).
p4_h_acceptor(107,0.1).
p4_size(107,0.1).
p4_pi_acceptor(107,0.1).
p4_branch(107,0.1).
p4_sigma(107,0.1).
p4_polarisable(107,0.1).
p4_flex(108,0.1).
p4_pi_doner(108,0.1).
p4_polar(108,0.1).
p4_h_doner(108,0.1).
p4_h_acceptor(108,0.1).
p4_size(108,0.1).
p4_pi_acceptor(108,0.1).
p4_branch(108,0.1).
p4_sigma(108,0.1).
p4_polarisable(108,0.1).
p4_flex(109,0.1).
p4_pi_doner(109,0.1).
p4_polar(109,0.3).
p4_h_doner(109,0.1).
p4_h_acceptor(109,0.1).
p4_size(109,0.1).
p4_pi_acceptor(109,0.1).
p4_branch(109,0.1).
p4_sigma(109,0.1).
p4_polarisable(109,0.1).
p4_flex(110,0.1).
p4_pi_doner(110,0.1).
p4_polar(110,0.3).
p4_h_doner(110,0.1).
p4_h_acceptor(110,0.1).
p4_size(110,0.1).
p4_pi_acceptor(110,0.1).
p4_branch(110,0.1).
p4_sigma(110,0.1).
p4_polarisable(110,0.1).
p4_flex(111,0.1).
p4_pi_doner(111,0.1).
p4_polar(111,0.3).
p4_h_doner(111,0.1).
p4_h_acceptor(111,0.1).
p4_size(111,0.1).
p4_pi_acceptor(111,0.1).
p4_branch(111,0.1).
p4_sigma(111,0.1).
p4_polarisable(111,0.1).
p4_flex(112,0.1).
p4_pi_doner(112,0.1).
p4_polar(112,0.3).
p4_h_doner(112,0.1).
p4_h_acceptor(112,0.1).
p4_size(112,0.1).
p4_pi_acceptor(112,0.1).
p4_branch(112,0.1).
p4_sigma(112,0.1).
p4_polarisable(112,0.1).
p4_flex(113,0.1).
p4_pi_doner(113,0.1).
p4_polar(113,0.3).
p4_h_doner(113,0.1).
p4_h_acceptor(113,0.1).
p4_size(113,0.1).
p4_pi_acceptor(113,0.1).
p4_branch(113,0.1).
p4_sigma(113,0.1).
p4_polarisable(113,0.1).
p4_flex(114,0.1).
p4_pi_doner(114,0.1).
p4_polar(114,0.3).
p4_h_doner(114,0.1).
p4_h_acceptor(114,0.1).
p4_size(114,0.1).
p4_pi_acceptor(114,0.1).
p4_branch(114,0.1).
p4_sigma(114,0.1).
p4_polarisable(114,0.1).
p4_flex(115,0.1).
p4_pi_doner(115,0.1).
p4_polar(115,0.1).
p4_h_doner(115,0.1).
p4_h_acceptor(115,0.1).
p4_size(115,0.1).
p4_pi_acceptor(115,0.1).
p4_branch(115,0.1).
p4_sigma(115,0.1).
p4_polarisable(115,0.1).
p4_flex(116,0.1).
p4_pi_doner(116,0.1).
p4_polar(116,0.3).
p4_h_doner(116,0.1).
p4_h_acceptor(116,0.1).
p4_size(116,0.1).
p4_pi_acceptor(116,0.1).
p4_branch(116,0.1).
p4_sigma(116,0.1).
p4_polarisable(116,0.1).
p4_flex(117,0.1).
p4_pi_doner(117,0.1).
p4_polar(117,0.3).
p4_h_doner(117,0.1).
p4_h_acceptor(117,0.1).
p4_size(117,0.1).
p4_pi_acceptor(117,0.1).
p4_branch(117,0.1).
p4_sigma(117,0.1).
p4_polarisable(117,0.1).
p4_flex(118,0.1).
p4_pi_doner(118,0.1).
p4_polar(118,0.7).
p4_h_doner(118,0.1).
p4_h_acceptor(118,0.1).
p4_size(118,0.2).
p4_pi_acceptor(118,0.1).
p4_branch(118,0.1).
p4_sigma(118,0.9).
p4_polarisable(118,0.5).
p4_flex(119,0.1).
p4_pi_doner(119,0.1).
p4_polar(119,0.1).
p4_h_doner(119,0.1).
p4_h_acceptor(119,0.1).
p4_size(119,0.1).
p4_pi_acceptor(119,0.1).
p4_branch(119,0.1).
p4_sigma(119,0.1).
p4_polarisable(119,0.1).
p4_flex(120,0.1).
p4_pi_doner(120,0.1).
p4_polar(120,0.3).
p4_h_doner(120,0.1).
p4_h_acceptor(120,0.1).
p4_size(120,0.1).
p4_pi_acceptor(120,0.1).
p4_branch(120,0.1).
p4_sigma(120,0.1).
p4_polarisable(120,0.1).
p4_flex(121,0.1).
p4_pi_doner(121,0.1).
p4_polar(121,0.1).
p4_h_doner(121,0.1).
p4_h_acceptor(121,0.1).
p4_size(121,0.1).
p4_pi_acceptor(121,0.1).
p4_branch(121,0.1).
p4_sigma(121,0.1).
p4_polarisable(121,0.1).
p4_flex(122,0.1).
p4_pi_doner(122,0.1).
p4_polar(122,0.1).
p4_h_doner(122,0.1).
p4_h_acceptor(122,0.1).
p4_size(122,0.1).
p4_pi_acceptor(122,0.1).
p4_branch(122,0.1).
p4_sigma(122,0.1).
p4_polarisable(122,0.1).
p4_flex(123,0.1).
p4_pi_doner(123,0.1).
p4_polar(123,0.7).
p4_h_doner(123,0.1).
p4_h_acceptor(123,0.1).
p4_size(123,0.2).
p4_pi_acceptor(123,0.1).
p4_branch(123,0.1).
p4_sigma(123,0.9).
p4_polarisable(123,0.5).
p4_flex(124,0.1).
p4_pi_doner(124,0.1).
p4_polar(124,0.1).
p4_h_doner(124,0.1).
p4_h_acceptor(124,0.1).
p4_size(124,0.1).
p4_pi_acceptor(124,0.1).
p4_branch(124,0.1).
p4_sigma(124,0.1).
p4_polarisable(124,0.1).
p4_flex(125,0.1).
p4_pi_doner(125,0.1).
p4_polar(125,0.1).
p4_h_doner(125,0.1).
p4_h_acceptor(125,0.1).
p4_size(125,0.1).
p4_pi_acceptor(125,0.1).
p4_branch(125,0.1).
p4_sigma(125,0.1).
p4_polarisable(125,0.1).
p4_flex(126,0.1).
p4_pi_doner(126,0.1).
p4_polar(126,0.1).
p4_h_doner(126,0.1).
p4_h_acceptor(126,0.1).
p4_size(126,0.1).
p4_pi_acceptor(126,0.1).
p4_branch(126,0.1).
p4_sigma(126,0.1).
p4_polarisable(126,0.1).
p4_flex(127,0.329).
p4_pi_doner(127,0.1).
p4_polar(127,0.3).
p4_h_doner(127,0.1).
p4_h_acceptor(127,0.1).
p4_size(127,0.3).
p4_pi_acceptor(127,0.1).
p4_branch(127,0.1).
p4_sigma(127,0.1).
p4_polarisable(127,0.5).
p4_flex(128,0.329).
p4_pi_doner(128,0.1).
p4_polar(128,0.3).
p4_h_doner(128,0.1).
p4_h_acceptor(128,0.1).
p4_size(128,0.3).
p4_pi_acceptor(128,0.1).
p4_branch(128,0.1).
p4_sigma(128,0.1).
p4_polarisable(128,0.5).
p4_flex(129,0.329).
p4_pi_doner(129,0.1).
p4_polar(129,0.3).
p4_h_doner(129,0.1).
p4_h_acceptor(129,0.1).
p4_size(129,0.3).
p4_pi_acceptor(129,0.1).
p4_branch(129,0.1).
p4_sigma(129,0.1).
p4_polarisable(129,0.5).
p4_flex(130,0.557).
p4_pi_doner(130,0.1).
p4_polar(130,0.3).
p4_h_doner(130,0.1).
p4_h_acceptor(130,0.1).
p4_size(130,0.5).
p4_pi_acceptor(130,0.1).
p4_branch(130,0.1).
p4_sigma(130,0.1).
p4_polarisable(130,0.5).
p4_flex(131,0.557).
p4_pi_doner(131,0.1).
p4_polar(131,0.3).
p4_h_doner(131,0.1).
p4_h_acceptor(131,0.1).
p4_size(131,0.5).
p4_pi_acceptor(131,0.1).
p4_branch(131,0.1).
p4_sigma(131,0.1).
p4_polarisable(131,0.5).
p4_flex(132,0.557).
p4_pi_doner(132,0.1).
p4_polar(132,0.3).
p4_h_doner(132,0.1).
p4_h_acceptor(132,0.1).
p4_size(132,0.5).
p4_pi_acceptor(132,0.1).
p4_branch(132,0.1).
p4_sigma(132,0.1).
p4_polarisable(132,0.5).
p4_flex(133,0.557).
p4_pi_doner(133,0.1).
p4_polar(133,0.3).
p4_h_doner(133,0.1).
p4_h_acceptor(133,0.1).
p4_size(133,0.5).
p4_pi_acceptor(133,0.1).
p4_branch(133,0.1).
p4_sigma(133,0.1).
p4_polarisable(133,0.5).
p4_flex(134,0.557).
p4_pi_doner(134,0.1).
p4_polar(134,0.3).
p4_h_doner(134,0.1).
p4_h_acceptor(134,0.1).
p4_size(134,0.5).
p4_pi_acceptor(134,0.1).
p4_branch(134,0.1).
p4_sigma(134,0.1).
p4_polarisable(134,0.5).
p4_flex(135,0.329).
p4_pi_doner(135,0.1).
p4_polar(135,0.5).
p4_h_doner(135,0.1).
p4_h_acceptor(135,0.367).
p4_size(135,0.3).
p4_pi_acceptor(135,0.1).
p4_branch(135,0.1).
p4_sigma(135,0.1).
p4_polarisable(135,0.5).
p4_flex(136,0.329).
p4_pi_doner(136,0.1).
p4_polar(136,0.5).
p4_h_doner(136,0.1).
p4_h_acceptor(136,0.367).
p4_size(136,0.3).
p4_pi_acceptor(136,0.1).
p4_branch(136,0.1).
p4_sigma(136,0.1).
p4_polarisable(136,0.5).
p4_flex(137,0.329).
p4_pi_doner(137,0.1).
p4_polar(137,0.5).
p4_h_doner(137,0.1).
p4_h_acceptor(137,0.367).
p4_size(137,0.3).
p4_pi_acceptor(137,0.1).
p4_branch(137,0.1).
p4_sigma(137,0.1).
p4_polarisable(137,0.5).
p4_flex(138,0.329).
p4_pi_doner(138,0.1).
p4_polar(138,0.5).
p4_h_doner(138,0.1).
p4_h_acceptor(138,0.367).
p4_size(138,0.3).
p4_pi_acceptor(138,0.1).
p4_branch(138,0.1).
p4_sigma(138,0.1).
p4_polarisable(138,0.5).
p4_flex(139,0.329).
p4_pi_doner(139,0.1).
p4_polar(139,0.5).
p4_h_doner(139,0.1).
p4_h_acceptor(139,0.367).
p4_size(139,0.3).
p4_pi_acceptor(139,0.1).
p4_branch(139,0.1).
p4_sigma(139,0.1).
p4_polarisable(139,0.5).
p4_flex(140,0.329).
p4_pi_doner(140,0.1).
p4_polar(140,0.5).
p4_h_doner(140,0.1).
p4_h_acceptor(140,0.367).
p4_size(140,0.3).
p4_pi_acceptor(140,0.1).
p4_branch(140,0.1).
p4_sigma(140,0.1).
p4_polarisable(140,0.5).
p4_flex(141,0.329).
p4_pi_doner(141,0.1).
p4_polar(141,0.5).
p4_h_doner(141,0.1).
p4_h_acceptor(141,0.367).
p4_size(141,0.3).
p4_pi_acceptor(141,0.1).
p4_branch(141,0.1).
p4_sigma(141,0.1).
p4_polarisable(141,0.5).
p4_flex(142,0.329).
p4_pi_doner(142,0.1).
p4_polar(142,0.5).
p4_h_doner(142,0.1).
p4_h_acceptor(142,0.367).
p4_size(142,0.3).
p4_pi_acceptor(142,0.1).
p4_branch(142,0.1).
p4_sigma(142,0.1).
p4_polarisable(142,0.5).
p4_flex(143,0.329).
p4_pi_doner(143,0.1).
p4_polar(143,0.5).
p4_h_doner(143,0.1).
p4_h_acceptor(143,0.367).
p4_size(143,0.3).
p4_pi_acceptor(143,0.1).
p4_branch(143,0.1).
p4_sigma(143,0.1).
p4_polarisable(143,0.5).
p4_flex(144,0.329).
p4_pi_doner(144,0.1).
p4_polar(144,0.5).
p4_h_doner(144,0.1).
p4_h_acceptor(144,0.367).
p4_size(144,0.3).
p4_pi_acceptor(144,0.1).
p4_branch(144,0.1).
p4_sigma(144,0.1).
p4_polarisable(144,0.5).
p4_flex(145,0.329).
p4_pi_doner(145,0.1).
p4_polar(145,0.5).
p4_h_doner(145,0.1).
p4_h_acceptor(145,0.367).
p4_size(145,0.3).
p4_pi_acceptor(145,0.1).
p4_branch(145,0.1).
p4_sigma(145,0.1).
p4_polarisable(145,0.5).
p4_flex(146,0.329).
p4_pi_doner(146,0.1).
p4_polar(146,0.5).
p4_h_doner(146,0.1).
p4_h_acceptor(146,0.367).
p4_size(146,0.3).
p4_pi_acceptor(146,0.1).
p4_branch(146,0.1).
p4_sigma(146,0.1).
p4_polarisable(146,0.5).
p4_flex(147,0.329).
p4_pi_doner(147,0.5).
p4_polar(147,0.5).
p4_h_doner(147,0.5).
p4_h_acceptor(147,0.367).
p4_size(147,0.4).
p4_pi_acceptor(147,0.1).
p4_branch(147,0.3).
p4_sigma(147,0.367).
p4_polarisable(147,0.5).
p4_flex(148,0.329).
p4_pi_doner(148,0.5).
p4_polar(148,0.5).
p4_h_doner(148,0.5).
p4_h_acceptor(148,0.367).
p4_size(148,0.4).
p4_pi_acceptor(148,0.1).
p4_branch(148,0.3).
p4_sigma(148,0.367).
p4_polarisable(148,0.9).
p4_flex(149,0.329).
p4_pi_doner(149,0.5).
p4_polar(149,0.5).
p4_h_doner(149,0.5).
p4_h_acceptor(149,0.367).
p4_size(149,0.4).
p4_pi_acceptor(149,0.1).
p4_branch(149,0.3).
p4_sigma(149,0.367).
p4_polarisable(149,0.9).
p4_flex(150,0.329).
p4_pi_doner(150,0.5).
p4_polar(150,0.5).
p4_h_doner(150,0.5).
p4_h_acceptor(150,0.633).
p4_size(150,0.4).
p4_pi_acceptor(150,0.1).
p4_branch(150,0.3).
p4_sigma(150,0.367).
p4_polarisable(150,0.5).
p4_flex(151,0.329).
p4_pi_doner(151,0.5).
p4_polar(151,0.5).
p4_h_doner(151,0.5).
p4_h_acceptor(151,0.633).
p4_size(151,0.4).
p4_pi_acceptor(151,0.1).
p4_branch(151,0.3).
p4_sigma(151,0.367).
p4_polarisable(151,0.5).
p4_flex(152,0.443).
p4_pi_doner(152,0.1).
p4_polar(152,0.5).
p4_h_doner(152,0.1).
p4_h_acceptor(152,0.633).
p4_size(152,0.4).
p4_pi_acceptor(152,0.1).
p4_branch(152,0.1).
p4_sigma(152,0.367).
p4_polarisable(152,0.5).
p4_flex(153,0.557).
p4_pi_doner(153,0.1).
p4_polar(153,0.5).
p4_h_doner(153,0.1).
p4_h_acceptor(153,0.633).
p4_size(153,0.4).
p4_pi_acceptor(153,0.1).
p4_branch(153,0.1).
p4_sigma(153,0.367).
p4_polarisable(153,0.5).
p4_flex(154,0.214).
p4_pi_doner(154,0.1).
p4_polar(154,0.5).
p4_h_doner(154,0.1).
p4_h_acceptor(154,0.633).
p4_size(154,0.5).
p4_pi_acceptor(154,0.1).
p4_branch(154,0.3).
p4_sigma(154,0.367).
p4_polarisable(154,0.1).
p4_flex(155,0.214).
p4_pi_doner(155,0.9).
p4_polar(155,0.5).
p4_h_doner(155,0.9).
p4_h_acceptor(155,0.633).
p4_size(155,0.5).
p4_pi_acceptor(155,0.1).
p4_branch(155,0.3).
p4_sigma(155,0.367).
p4_polarisable(155,0.5).
p4_flex(156,0.214).
p4_pi_doner(156,0.9).
p4_polar(156,0.5).
p4_h_doner(156,0.9).
p4_h_acceptor(156,0.633).
p4_size(156,0.5).
p4_pi_acceptor(156,0.1).
p4_branch(156,0.3).
p4_sigma(156,0.367).
p4_polarisable(156,0.5).
p4_flex(157,0.329).
p4_pi_doner(157,0.1).
p4_polar(157,0.5).
p4_h_doner(157,0.1).
p4_h_acceptor(157,0.633).
p4_size(157,0.5).
p4_pi_acceptor(157,0.1).
p4_branch(157,0.5).
p4_sigma(157,0.367).
p4_polarisable(157,0.5).
p4_flex(158,0.329).
p4_pi_doner(158,0.1).
p4_polar(158,0.5).
p4_h_doner(158,0.1).
p4_h_acceptor(158,0.633).
p4_size(158,0.5).
p4_pi_acceptor(158,0.1).
p4_branch(158,0.5).
p4_sigma(158,0.367).
p4_polarisable(158,0.5).
p4_flex(159,0.329).
p4_pi_doner(159,0.5).
p4_polar(159,0.5).
p4_h_doner(159,0.5).
p4_h_acceptor(159,0.633).
p4_size(159,0.5).
p4_pi_acceptor(159,0.1).
p4_branch(159,0.5).
p4_sigma(159,0.367).
p4_polarisable(159,0.5).
p4_flex(160,0.443).
p4_pi_doner(160,0.5).
p4_polar(160,0.5).
p4_h_doner(160,0.5).
p4_h_acceptor(160,0.367).
p4_size(160,0.5).
p4_pi_acceptor(160,0.1).
p4_branch(160,0.3).
p4_sigma(160,0.367).
p4_polarisable(160,0.5).
p4_flex(161,0.671).
p4_pi_doner(161,0.1).
p4_polar(161,0.5).
p4_h_doner(161,0.1).
p4_h_acceptor(161,0.633).
p4_size(161,0.5).
p4_pi_acceptor(161,0.1).
p4_branch(161,0.1).
p4_sigma(161,0.367).
p4_polarisable(161,0.5).
p4_flex(162,0.786).
p4_pi_doner(162,0.1).
p4_polar(162,0.5).
p4_h_doner(162,0.1).
p4_h_acceptor(162,0.9).
p4_size(162,0.5).
p4_pi_acceptor(162,0.1).
p4_branch(162,0.1).
p4_sigma(162,0.367).
p4_polarisable(162,0.5).
p4_flex(163,0.214).
p4_pi_doner(163,0.1).
p4_polar(163,0.5).
p4_h_doner(163,0.1).
p4_h_acceptor(163,0.633).
p4_size(163,0.6).
p4_pi_acceptor(163,0.1).
p4_branch(163,0.5).
p4_sigma(163,0.367).
p4_polarisable(163,0.1).
p4_flex(164,0.214).
p4_pi_doner(164,0.1).
p4_polar(164,0.5).
p4_h_doner(164,0.1).
p4_h_acceptor(164,0.633).
p4_size(164,0.6).
p4_pi_acceptor(164,0.1).
p4_branch(164,0.5).
p4_sigma(164,0.367).
p4_polarisable(164,0.1).
p4_flex(165,0.329).
p4_pi_doner(165,0.1).
p4_polar(165,0.5).
p4_h_doner(165,0.1).
p4_h_acceptor(165,0.633).
p4_size(165,0.6).
p4_pi_acceptor(165,0.1).
p4_branch(165,0.5).
p4_sigma(165,0.367).
p4_polarisable(165,0.1).
p4_flex(166,0.329).
p4_pi_doner(166,0.1).
p4_polar(166,0.5).
p4_h_doner(166,0.1).
p4_h_acceptor(166,0.9).
p4_size(166,0.6).
p4_pi_acceptor(166,0.1).
p4_branch(166,0.5).
p4_sigma(166,0.367).
p4_polarisable(166,0.1).
p4_flex(167,0.443).
p4_pi_doner(167,0.5).
p4_polar(167,0.5).
p4_h_doner(167,0.5).
p4_h_acceptor(167,0.9).
p4_size(167,0.6).
p4_pi_acceptor(167,0.1).
p4_branch(167,0.3).
p4_sigma(167,0.367).
p4_polarisable(167,0.5).
p4_flex(168,0.443).
p4_pi_doner(168,0.5).
p4_polar(168,0.5).
p4_h_doner(168,0.5).
p4_h_acceptor(168,0.9).
p4_size(168,0.6).
p4_pi_acceptor(168,0.1).
p4_branch(168,0.3).
p4_sigma(168,0.367).
p4_polarisable(168,0.5).
p4_flex(169,0.557).
p4_pi_doner(169,0.5).
p4_polar(169,0.5).
p4_h_doner(169,0.5).
p4_h_acceptor(169,0.633).
p4_size(169,0.6).
p4_pi_acceptor(169,0.1).
p4_branch(169,0.3).
p4_sigma(169,0.367).
p4_polarisable(169,0.5).
p4_flex(170,0.557).
p4_pi_doner(170,0.5).
p4_polar(170,0.5).
p4_h_doner(170,0.5).
p4_h_acceptor(170,0.633).
p4_size(170,0.6).
p4_pi_acceptor(170,0.1).
p4_branch(170,0.3).
p4_sigma(170,0.367).
p4_polarisable(170,0.5).
p4_flex(171,0.557).
p4_pi_doner(171,0.5).
p4_polar(171,0.5).
p4_h_doner(171,0.5).
p4_h_acceptor(171,0.633).
p4_size(171,0.6).
p4_pi_acceptor(171,0.1).
p4_branch(171,0.3).
p4_sigma(171,0.367).
p4_polarisable(171,0.5).
p4_flex(172,0.671).
p4_pi_doner(172,0.5).
p4_polar(172,0.5).
p4_h_doner(172,0.5).
p4_h_acceptor(172,0.367).
p4_size(172,0.6).
p4_pi_acceptor(172,0.1).
p4_branch(172,0.3).
p4_sigma(172,0.367).
p4_polarisable(172,0.5).
p4_flex(173,0.786).
p4_pi_doner(173,0.1).
p4_polar(173,0.5).
p4_h_doner(173,0.1).
p4_h_acceptor(173,0.633).
p4_size(173,0.6).
p4_pi_acceptor(173,0.1).
p4_branch(173,0.1).
p4_sigma(173,0.367).
p4_polarisable(173,0.5).
p4_flex(174,0.9).
p4_pi_doner(174,0.1).
p4_polar(174,0.5).
p4_h_doner(174,0.1).
p4_h_acceptor(174,0.633).
p4_size(174,0.6).
p4_pi_acceptor(174,0.1).
p4_branch(174,0.1).
p4_sigma(174,0.367).
p4_polarisable(174,0.5).
p4_flex(175,0.329).
p4_pi_doner(175,0.1).
p4_polar(175,0.5).
p4_h_doner(175,0.1).
p4_h_acceptor(175,0.367).
p4_size(175,0.7).
p4_pi_acceptor(175,0.1).
p4_branch(175,0.3).
p4_sigma(175,0.367).
p4_polarisable(175,0.5).
p4_flex(176,0.557).
p4_pi_doner(176,0.9).
p4_polar(176,0.5).
p4_h_doner(176,0.9).
p4_h_acceptor(176,0.9).
p4_size(176,0.7).
p4_pi_acceptor(176,0.1).
p4_branch(176,0.3).
p4_sigma(176,0.367).
p4_polarisable(176,0.5).
p4_flex(177,0.557).
p4_pi_doner(177,0.9).
p4_polar(177,0.5).
p4_h_doner(177,0.9).
p4_h_acceptor(177,0.9).
p4_size(177,0.7).
p4_pi_acceptor(177,0.1).
p4_branch(177,0.3).
p4_sigma(177,0.367).
p4_polarisable(177,0.5).
p4_flex(178,0.557).
p4_pi_doner(178,0.9).
p4_polar(178,0.5).
p4_h_doner(178,0.9).
p4_h_acceptor(178,0.9).
p4_size(178,0.7).
p4_pi_acceptor(178,0.1).
p4_branch(178,0.3).
p4_sigma(178,0.367).
p4_polarisable(178,0.5).
p4_flex(179,0.671).
p4_pi_doner(179,0.9).
p4_polar(179,0.5).
p4_h_doner(179,0.9).
p4_h_acceptor(179,0.9).
p4_size(179,0.7).
p4_pi_acceptor(179,0.1).
p4_branch(179,0.3).
p4_sigma(179,0.367).
p4_polarisable(179,0.5).
p4_flex(180,0.1).
p4_pi_doner(180,0.1).
p4_polar(180,0.7).
p4_h_doner(180,0.1).
p4_h_acceptor(180,0.1).
p4_size(180,0.2).
p4_pi_acceptor(180,0.1).
p4_branch(180,0.1).
p4_sigma(180,0.9).
p4_polarisable(180,0.5).
p4_flex(181,0.557).
p4_pi_doner(181,0.5).
p4_polar(181,0.7).
p4_h_doner(181,0.5).
p4_h_acceptor(181,0.633).
p4_size(181,0.6).
p4_pi_acceptor(181,0.5).
p4_branch(181,0.3).
p4_sigma(181,0.1).
p4_polarisable(181,0.5).
p4_flex(182,0.329).
p4_pi_doner(182,0.5).
p4_polar(182,0.5).
p4_h_doner(182,0.5).
p4_h_acceptor(182,0.633).
p4_size(182,0.4).
p4_pi_acceptor(182,0.1).
p4_branch(182,0.3).
p4_sigma(182,0.367).
p4_polarisable(182,0.5).
p4_flex(183,0.1).
p4_pi_doner(183,0.1).
p4_polar(183,0.1).
p4_h_doner(183,0.1).
p4_h_acceptor(183,0.1).
p4_size(183,0.1).
p4_pi_acceptor(183,0.1).
p4_branch(183,0.1).
p4_sigma(183,0.1).
p4_polarisable(183,0.1).
p4_flex(184,0.1).
p4_pi_doner(184,0.1).
p4_polar(184,0.3).
p4_h_doner(184,0.1).
p4_h_acceptor(184,0.1).
p4_size(184,0.1).
p4_pi_acceptor(184,0.1).
p4_branch(184,0.1).
p4_sigma(184,0.1).
p4_polarisable(184,0.1).
p4_flex(185,0.1).
p4_pi_doner(185,0.1).
p4_polar(185,0.1).
p4_h_doner(185,0.1).
p4_h_acceptor(185,0.1).
p4_size(185,0.1).
p4_pi_acceptor(185,0.1).
p4_branch(185,0.1).
p4_sigma(185,0.1).
p4_polarisable(185,0.1).
p4_flex(186,0.1).
p4_pi_doner(186,0.1).
p4_polar(186,0.1).
p4_h_doner(186,0.1).
p4_h_acceptor(186,0.1).
p4_size(186,0.1).
p4_pi_acceptor(186,0.1).
p4_branch(186,0.1).
p4_sigma(186,0.1).
p4_polarisable(186,0.1).
p5_flex(1,0).
p5_pi_doner(1,0).
p5_polar(1,0.1).
p5_h_doner(1,0).
p5_h_acceptor(1,0.1).
p5_size(1,0.1).
p5_pi_acceptor(1,0.1).
p5_branch(1,0.1).
p5_sigma(1,0.1).
p5_polarisable(1,0.1).
p5_flex(2,0).
p5_pi_doner(2,0).
p5_polar(2,0.1).
p5_h_doner(2,0).
p5_h_acceptor(2,0.1).
p5_size(2,0.1).
p5_pi_acceptor(2,0.1).
p5_branch(2,0.1).
p5_sigma(2,0.1).
p5_polarisable(2,0.1).
p5_flex(3,0).
p5_pi_doner(3,0).
p5_polar(3,0.1).
p5_h_doner(3,0).
p5_h_acceptor(3,0.1).
p5_size(3,0.1).
p5_pi_acceptor(3,0.1).
p5_branch(3,0.1).
p5_sigma(3,0.1).
p5_polarisable(3,0.1).
p5_flex(4,0).
p5_pi_doner(4,0).
p5_polar(4,0.1).
p5_h_doner(4,0).
p5_h_acceptor(4,0.1).
p5_size(4,0.1).
p5_pi_acceptor(4,0.1).
p5_branch(4,0.1).
p5_sigma(4,0.1).
p5_polarisable(4,0.1).
p5_flex(5,0).
p5_pi_doner(5,0).
p5_polar(5,0.1).
p5_h_doner(5,0).
p5_h_acceptor(5,0.1).
p5_size(5,0.1).
p5_pi_acceptor(5,0.1).
p5_branch(5,0.1).
p5_sigma(5,0.1).
p5_polarisable(5,0.1).
p5_flex(6,0).
p5_pi_doner(6,0).
p5_polar(6,0.1).
p5_h_doner(6,0).
p5_h_acceptor(6,0.1).
p5_size(6,0.1).
p5_pi_acceptor(6,0.1).
p5_branch(6,0.1).
p5_sigma(6,0.1).
p5_polarisable(6,0.1).
p5_flex(7,0).
p5_pi_doner(7,0).
p5_polar(7,0.1).
p5_h_doner(7,0).
p5_h_acceptor(7,0.1).
p5_size(7,0.1).
p5_pi_acceptor(7,0.1).
p5_branch(7,0.1).
p5_sigma(7,0.1).
p5_polarisable(7,0.1).
p5_flex(8,0).
p5_pi_doner(8,0).
p5_polar(8,0.1).
p5_h_doner(8,0).
p5_h_acceptor(8,0.1).
p5_size(8,0.1).
p5_pi_acceptor(8,0.1).
p5_branch(8,0.1).
p5_sigma(8,0.1).
p5_polarisable(8,0.1).
p5_flex(9,0).
p5_pi_doner(9,0).
p5_polar(9,0.1).
p5_h_doner(9,0).
p5_h_acceptor(9,0.1).
p5_size(9,0.1).
p5_pi_acceptor(9,0.1).
p5_branch(9,0.1).
p5_sigma(9,0.1).
p5_polarisable(9,0.1).
p5_flex(10,0).
p5_pi_doner(10,0).
p5_polar(10,0.1).
p5_h_doner(10,0).
p5_h_acceptor(10,0.1).
p5_size(10,0.1).
p5_pi_acceptor(10,0.1).
p5_branch(10,0.1).
p5_sigma(10,0.1).
p5_polarisable(10,0.1).
p5_flex(11,0).
p5_pi_doner(11,0).
p5_polar(11,0.1).
p5_h_doner(11,0).
p5_h_acceptor(11,0.1).
p5_size(11,0.1).
p5_pi_acceptor(11,0.1).
p5_branch(11,0.1).
p5_sigma(11,0.1).
p5_polarisable(11,0.1).
p5_flex(12,0).
p5_pi_doner(12,0).
p5_polar(12,0.1).
p5_h_doner(12,0).
p5_h_acceptor(12,0.1).
p5_size(12,0.1).
p5_pi_acceptor(12,0.1).
p5_branch(12,0.1).
p5_sigma(12,0.1).
p5_polarisable(12,0.1).
p5_flex(13,0).
p5_pi_doner(13,0).
p5_polar(13,0.1).
p5_h_doner(13,0).
p5_h_acceptor(13,0.1).
p5_size(13,0.1).
p5_pi_acceptor(13,0.1).
p5_branch(13,0.1).
p5_sigma(13,0.1).
p5_polarisable(13,0.1).
p5_flex(14,0).
p5_pi_doner(14,0).
p5_polar(14,0.1).
p5_h_doner(14,0).
p5_h_acceptor(14,0.1).
p5_size(14,0.1).
p5_pi_acceptor(14,0.1).
p5_branch(14,0.1).
p5_sigma(14,0.1).
p5_polarisable(14,0.1).
p5_flex(15,0).
p5_pi_doner(15,0).
p5_polar(15,0.1).
p5_h_doner(15,0).
p5_h_acceptor(15,0.1).
p5_size(15,0.1).
p5_pi_acceptor(15,0.1).
p5_branch(15,0.1).
p5_sigma(15,0.1).
p5_polarisable(15,0.1).
p5_flex(16,0).
p5_pi_doner(16,0).
p5_polar(16,0.1).
p5_h_doner(16,0).
p5_h_acceptor(16,0.1).
p5_size(16,0.1).
p5_pi_acceptor(16,0.1).
p5_branch(16,0.1).
p5_sigma(16,0.1).
p5_polarisable(16,0.1).
p5_flex(17,0).
p5_pi_doner(17,0).
p5_polar(17,0.3).
p5_h_doner(17,0).
p5_h_acceptor(17,0.1).
p5_size(17,0.1).
p5_pi_acceptor(17,0.1).
p5_branch(17,0.1).
p5_sigma(17,0.1).
p5_polarisable(17,0.1).
p5_flex(18,0).
p5_pi_doner(18,0).
p5_polar(18,0.3).
p5_h_doner(18,0).
p5_h_acceptor(18,0.1).
p5_size(18,0.1).
p5_pi_acceptor(18,0.1).
p5_branch(18,0.1).
p5_sigma(18,0.1).
p5_polarisable(18,0.1).
p5_flex(19,0).
p5_pi_doner(19,0).
p5_polar(19,0.3).
p5_h_doner(19,0).
p5_h_acceptor(19,0.1).
p5_size(19,0.1).
p5_pi_acceptor(19,0.1).
p5_branch(19,0.1).
p5_sigma(19,0.1).
p5_polarisable(19,0.1).
p5_flex(20,0).
p5_pi_doner(20,0).
p5_polar(20,0.3).
p5_h_doner(20,0).
p5_h_acceptor(20,0.1).
p5_size(20,0.1).
p5_pi_acceptor(20,0.1).
p5_branch(20,0.1).
p5_sigma(20,0.1).
p5_polarisable(20,0.1).
p5_flex(21,0).
p5_pi_doner(21,0).
p5_polar(21,0.3).
p5_h_doner(21,0).
p5_h_acceptor(21,0.1).
p5_size(21,0.1).
p5_pi_acceptor(21,0.1).
p5_branch(21,0.1).
p5_sigma(21,0.1).
p5_polarisable(21,0.1).
p5_flex(22,0).
p5_pi_doner(22,0).
p5_polar(22,0.3).
p5_h_doner(22,0).
p5_h_acceptor(22,0.1).
p5_size(22,0.1).
p5_pi_acceptor(22,0.1).
p5_branch(22,0.1).
p5_sigma(22,0.1).
p5_polarisable(22,0.1).
p5_flex(23,0).
p5_pi_doner(23,0).
p5_polar(23,0.3).
p5_h_doner(23,0).
p5_h_acceptor(23,0.1).
p5_size(23,0.1).
p5_pi_acceptor(23,0.1).
p5_branch(23,0.1).
p5_sigma(23,0.1).
p5_polarisable(23,0.1).
p5_flex(24,0).
p5_pi_doner(24,0).
p5_polar(24,0.3).
p5_h_doner(24,0).
p5_h_acceptor(24,0.1).
p5_size(24,0.1).
p5_pi_acceptor(24,0.1).
p5_branch(24,0.1).
p5_sigma(24,0.1).
p5_polarisable(24,0.1).
p5_flex(25,0).
p5_pi_doner(25,0).
p5_polar(25,0.3).
p5_h_doner(25,0).
p5_h_acceptor(25,0.1).
p5_size(25,0.1).
p5_pi_acceptor(25,0.1).
p5_branch(25,0.1).
p5_sigma(25,0.1).
p5_polarisable(25,0.1).
p5_flex(26,0).
p5_pi_doner(26,0).
p5_polar(26,0.9).
p5_h_doner(26,0).
p5_h_acceptor(26,0.1).
p5_size(26,0.42).
p5_pi_acceptor(26,0.5).
p5_branch(26,0.9).
p5_sigma(26,0.633).
p5_polarisable(26,0.9).
p5_flex(27,0).
p5_pi_doner(27,0).
p5_polar(27,0.3).
p5_h_doner(27,0).
p5_h_acceptor(27,0.1).
p5_size(27,0.1).
p5_pi_acceptor(27,0.1).
p5_branch(27,0.1).
p5_sigma(27,0.1).
p5_polarisable(27,0.1).
p5_flex(28,0).
p5_pi_doner(28,0).
p5_polar(28,0.9).
p5_h_doner(28,0).
p5_h_acceptor(28,0.1).
p5_size(28,0.42).
p5_pi_acceptor(28,0.5).
p5_branch(28,0.9).
p5_sigma(28,0.633).
p5_polarisable(28,0.9).
p5_flex(29,0).
p5_pi_doner(29,0).
p5_polar(29,0.3).
p5_h_doner(29,0).
p5_h_acceptor(29,0.1).
p5_size(29,0.1).
p5_pi_acceptor(29,0.1).
p5_branch(29,0.1).
p5_sigma(29,0.1).
p5_polarisable(29,0.1).
p5_flex(30,0).
p5_pi_doner(30,0).
p5_polar(30,0.3).
p5_h_doner(30,0).
p5_h_acceptor(30,0.1).
p5_size(30,0.1).
p5_pi_acceptor(30,0.1).
p5_branch(30,0.1).
p5_sigma(30,0.1).
p5_polarisable(30,0.1).
p5_flex(31,0).
p5_pi_doner(31,0).
p5_polar(31,0.9).
p5_h_doner(31,0).
p5_h_acceptor(31,0.1).
p5_size(31,0.42).
p5_pi_acceptor(31,0.5).
p5_branch(31,0.9).
p5_sigma(31,0.633).
p5_polarisable(31,0.9).
p5_flex(32,0).
p5_pi_doner(32,0).
p5_polar(32,0.3).
p5_h_doner(32,0).
p5_h_acceptor(32,0.1).
p5_size(32,0.1).
p5_pi_acceptor(32,0.1).
p5_branch(32,0.1).
p5_sigma(32,0.1).
p5_polarisable(32,0.1).
p5_flex(33,0).
p5_pi_doner(33,0).
p5_polar(33,0.3).
p5_h_doner(33,0).
p5_h_acceptor(33,0.1).
p5_size(33,0.26).
p5_pi_acceptor(33,0.1).
p5_branch(33,0.1).
p5_sigma(33,0.1).
p5_polarisable(33,0.5).
p5_flex(34,0).
p5_pi_doner(34,0).
p5_polar(34,0.3).
p5_h_doner(34,0).
p5_h_acceptor(34,0.1).
p5_size(34,0.26).
p5_pi_acceptor(34,0.1).
p5_branch(34,0.1).
p5_sigma(34,0.1).
p5_polarisable(34,0.5).
p5_flex(35,0).
p5_pi_doner(35,0).
p5_polar(35,0.5).
p5_h_doner(35,0).
p5_h_acceptor(35,0.5).
p5_size(35,0.42).
p5_pi_acceptor(35,0.1).
p5_branch(35,0.1).
p5_sigma(35,0.367).
p5_polarisable(35,0.5).
p5_flex(36,0).
p5_pi_doner(36,0).
p5_polar(36,0.9).
p5_h_doner(36,0).
p5_h_acceptor(36,0.1).
p5_size(36,0.42).
p5_pi_acceptor(36,0.5).
p5_branch(36,0.9).
p5_sigma(36,0.633).
p5_polarisable(36,0.9).
p5_flex(37,0).
p5_pi_doner(37,0).
p5_polar(37,0.9).
p5_h_doner(37,0).
p5_h_acceptor(37,0.1).
p5_size(37,0.42).
p5_pi_acceptor(37,0.5).
p5_branch(37,0.9).
p5_sigma(37,0.633).
p5_polarisable(37,0.9).
p5_flex(38,0).
p5_pi_doner(38,0).
p5_polar(38,0.3).
p5_h_doner(38,0).
p5_h_acceptor(38,0.1).
p5_size(38,0.1).
p5_pi_acceptor(38,0.1).
p5_branch(38,0.1).
p5_sigma(38,0.1).
p5_polarisable(38,0.1).
p5_flex(39,0).
p5_pi_doner(39,0).
p5_polar(39,0.3).
p5_h_doner(39,0).
p5_h_acceptor(39,0.1).
p5_size(39,0.1).
p5_pi_acceptor(39,0.1).
p5_branch(39,0.1).
p5_sigma(39,0.1).
p5_polarisable(39,0.1).
p5_flex(40,0).
p5_pi_doner(40,0).
p5_polar(40,0.3).
p5_h_doner(40,0).
p5_h_acceptor(40,0.1).
p5_size(40,0.1).
p5_pi_acceptor(40,0.1).
p5_branch(40,0.1).
p5_sigma(40,0.1).
p5_polarisable(40,0.1).
p5_flex(41,0).
p5_pi_doner(41,0).
p5_polar(41,0.3).
p5_h_doner(41,0).
p5_h_acceptor(41,0.1).
p5_size(41,0.1).
p5_pi_acceptor(41,0.1).
p5_branch(41,0.1).
p5_sigma(41,0.1).
p5_polarisable(41,0.1).
p5_flex(42,0).
p5_pi_doner(42,0).
p5_polar(42,0.9).
p5_h_doner(42,0).
p5_h_acceptor(42,0.1).
p5_size(42,0.42).
p5_pi_acceptor(42,0.5).
p5_branch(42,0.9).
p5_sigma(42,0.633).
p5_polarisable(42,0.9).
p5_flex(43,0).
p5_pi_doner(43,0).
p5_polar(43,0.3).
p5_h_doner(43,0).
p5_h_acceptor(43,0.1).
p5_size(43,0.1).
p5_pi_acceptor(43,0.1).
p5_branch(43,0.1).
p5_sigma(43,0.1).
p5_polarisable(43,0.1).
p5_flex(44,0).
p5_pi_doner(44,0).
p5_polar(44,0.3).
p5_h_doner(44,0).
p5_h_acceptor(44,0.1).
p5_size(44,0.1).
p5_pi_acceptor(44,0.1).
p5_branch(44,0.1).
p5_sigma(44,0.1).
p5_polarisable(44,0.1).
p5_flex(45,0).
p5_pi_doner(45,0).
p5_polar(45,0.3).
p5_h_doner(45,0).
p5_h_acceptor(45,0.1).
p5_size(45,0.1).
p5_pi_acceptor(45,0.1).
p5_branch(45,0.1).
p5_sigma(45,0.1).
p5_polarisable(45,0.1).
p5_flex(46,0).
p5_pi_doner(46,0).
p5_polar(46,0.3).
p5_h_doner(46,0).
p5_h_acceptor(46,0.1).
p5_size(46,0.26).
p5_pi_acceptor(46,0.1).
p5_branch(46,0.1).
p5_sigma(46,0.1).
p5_polarisable(46,0.5).
p5_flex(47,0).
p5_pi_doner(47,0).
p5_polar(47,0.9).
p5_h_doner(47,0).
p5_h_acceptor(47,0.1).
p5_size(47,0.42).
p5_pi_acceptor(47,0.5).
p5_branch(47,0.9).
p5_sigma(47,0.633).
p5_polarisable(47,0.9).
p5_flex(48,0).
p5_pi_doner(48,0).
p5_polar(48,0.3).
p5_h_doner(48,0).
p5_h_acceptor(48,0.1).
p5_size(48,0.1).
p5_pi_acceptor(48,0.1).
p5_branch(48,0.1).
p5_sigma(48,0.1).
p5_polarisable(48,0.1).
p5_flex(49,0).
p5_pi_doner(49,0).
p5_polar(49,0.3).
p5_h_doner(49,0).
p5_h_acceptor(49,0.1).
p5_size(49,0.1).
p5_pi_acceptor(49,0.1).
p5_branch(49,0.1).
p5_sigma(49,0.1).
p5_polarisable(49,0.1).
p5_flex(50,0).
p5_pi_doner(50,0).
p5_polar(50,0.3).
p5_h_doner(50,0).
p5_h_acceptor(50,0.1).
p5_size(50,0.1).
p5_pi_acceptor(50,0.1).
p5_branch(50,0.1).
p5_sigma(50,0.1).
p5_polarisable(50,0.1).
p5_flex(51,0).
p5_pi_doner(51,0).
p5_polar(51,0.3).
p5_h_doner(51,0).
p5_h_acceptor(51,0.1).
p5_size(51,0.1).
p5_pi_acceptor(51,0.1).
p5_branch(51,0.1).
p5_sigma(51,0.1).
p5_polarisable(51,0.1).
p5_flex(52,0).
p5_pi_doner(52,0).
p5_polar(52,0.3).
p5_h_doner(52,0).
p5_h_acceptor(52,0.1).
p5_size(52,0.1).
p5_pi_acceptor(52,0.1).
p5_branch(52,0.1).
p5_sigma(52,0.1).
p5_polarisable(52,0.1).
p5_flex(53,0).
p5_pi_doner(53,0).
p5_polar(53,0.9).
p5_h_doner(53,0).
p5_h_acceptor(53,0.1).
p5_size(53,0.42).
p5_pi_acceptor(53,0.5).
p5_branch(53,0.9).
p5_sigma(53,0.633).
p5_polarisable(53,0.9).
p5_flex(54,0).
p5_pi_doner(54,0).
p5_polar(54,0.3).
p5_h_doner(54,0).
p5_h_acceptor(54,0.1).
p5_size(54,0.1).
p5_pi_acceptor(54,0.1).
p5_branch(54,0.1).
p5_sigma(54,0.1).
p5_polarisable(54,0.1).
p5_flex(55,0).
p5_pi_doner(55,0).
p5_polar(55,0.3).
p5_h_doner(55,0).
p5_h_acceptor(55,0.1).
p5_size(55,0.1).
p5_pi_acceptor(55,0.1).
p5_branch(55,0.1).
p5_sigma(55,0.1).
p5_polarisable(55,0.1).
p5_flex(56,0).
p5_pi_doner(56,0).
p5_polar(56,0.3).
p5_h_doner(56,0).
p5_h_acceptor(56,0.1).
p5_size(56,0.1).
p5_pi_acceptor(56,0.1).
p5_branch(56,0.1).
p5_sigma(56,0.1).
p5_polarisable(56,0.1).
p5_flex(57,0).
p5_pi_doner(57,0).
p5_polar(57,0.3).
p5_h_doner(57,0).
p5_h_acceptor(57,0.1).
p5_size(57,0.1).
p5_pi_acceptor(57,0.1).
p5_branch(57,0.1).
p5_sigma(57,0.1).
p5_polarisable(57,0.1).
p5_flex(58,0).
p5_pi_doner(58,0).
p5_polar(58,0.3).
p5_h_doner(58,0).
p5_h_acceptor(58,0.1).
p5_size(58,0.1).
p5_pi_acceptor(58,0.1).
p5_branch(58,0.1).
p5_sigma(58,0.1).
p5_polarisable(58,0.1).
p5_flex(59,0).
p5_pi_doner(59,0).
p5_polar(59,0.3).
p5_h_doner(59,0).
p5_h_acceptor(59,0.1).
p5_size(59,0.1).
p5_pi_acceptor(59,0.1).
p5_branch(59,0.1).
p5_sigma(59,0.1).
p5_polarisable(59,0.1).
p5_flex(60,0).
p5_pi_doner(60,0).
p5_polar(60,0.3).
p5_h_doner(60,0).
p5_h_acceptor(60,0.1).
p5_size(60,0.1).
p5_pi_acceptor(60,0.1).
p5_branch(60,0.1).
p5_sigma(60,0.1).
p5_polarisable(60,0.1).
p5_flex(61,0).
p5_pi_doner(61,0).
p5_polar(61,0.3).
p5_h_doner(61,0).
p5_h_acceptor(61,0.1).
p5_size(61,0.1).
p5_pi_acceptor(61,0.1).
p5_branch(61,0.1).
p5_sigma(61,0.1).
p5_polarisable(61,0.1).
p5_flex(62,0).
p5_pi_doner(62,0).
p5_polar(62,0.9).
p5_h_doner(62,0).
p5_h_acceptor(62,0.1).
p5_size(62,0.42).
p5_pi_acceptor(62,0.5).
p5_branch(62,0.9).
p5_sigma(62,0.633).
p5_polarisable(62,0.9).
p5_flex(63,0).
p5_pi_doner(63,0).
p5_polar(63,0.3).
p5_h_doner(63,0).
p5_h_acceptor(63,0.1).
p5_size(63,0.1).
p5_pi_acceptor(63,0.1).
p5_branch(63,0.1).
p5_sigma(63,0.1).
p5_polarisable(63,0.1).
p5_flex(64,0).
p5_pi_doner(64,0).
p5_polar(64,0.9).
p5_h_doner(64,0).
p5_h_acceptor(64,0.1).
p5_size(64,0.42).
p5_pi_acceptor(64,0.5).
p5_branch(64,0.9).
p5_sigma(64,0.633).
p5_polarisable(64,0.9).
p5_flex(65,0).
p5_pi_doner(65,0).
p5_polar(65,0.3).
p5_h_doner(65,0).
p5_h_acceptor(65,0.1).
p5_size(65,0.1).
p5_pi_acceptor(65,0.1).
p5_branch(65,0.1).
p5_sigma(65,0.1).
p5_polarisable(65,0.1).
p5_flex(66,0).
p5_pi_doner(66,0).
p5_polar(66,0.3).
p5_h_doner(66,0).
p5_h_acceptor(66,0.1).
p5_size(66,0.1).
p5_pi_acceptor(66,0.1).
p5_branch(66,0.1).
p5_sigma(66,0.1).
p5_polarisable(66,0.1).
p5_flex(67,0).
p5_pi_doner(67,0).
p5_polar(67,0.3).
p5_h_doner(67,0).
p5_h_acceptor(67,0.1).
p5_size(67,0.1).
p5_pi_acceptor(67,0.1).
p5_branch(67,0.1).
p5_sigma(67,0.1).
p5_polarisable(67,0.1).
p5_flex(68,0).
p5_pi_doner(68,0).
p5_polar(68,0.3).
p5_h_doner(68,0).
p5_h_acceptor(68,0.1).
p5_size(68,0.1).
p5_pi_acceptor(68,0.1).
p5_branch(68,0.1).
p5_sigma(68,0.1).
p5_polarisable(68,0.1).
p5_flex(69,0).
p5_pi_doner(69,0).
p5_polar(69,0.3).
p5_h_doner(69,0).
p5_h_acceptor(69,0.1).
p5_size(69,0.1).
p5_pi_acceptor(69,0.1).
p5_branch(69,0.1).
p5_sigma(69,0.1).
p5_polarisable(69,0.1).
p5_flex(70,0).
p5_pi_doner(70,0).
p5_polar(70,0.3).
p5_h_doner(70,0).
p5_h_acceptor(70,0.1).
p5_size(70,0.1).
p5_pi_acceptor(70,0.1).
p5_branch(70,0.1).
p5_sigma(70,0.1).
p5_polarisable(70,0.1).
p5_flex(71,0).
p5_pi_doner(71,0).
p5_polar(71,0.9).
p5_h_doner(71,0).
p5_h_acceptor(71,0.1).
p5_size(71,0.42).
p5_pi_acceptor(71,0.5).
p5_branch(71,0.9).
p5_sigma(71,0.633).
p5_polarisable(71,0.9).
p5_flex(72,0).
p5_pi_doner(72,0).
p5_polar(72,0.1).
p5_h_doner(72,0).
p5_h_acceptor(72,0.1).
p5_size(72,0.1).
p5_pi_acceptor(72,0.1).
p5_branch(72,0.1).
p5_sigma(72,0.1).
p5_polarisable(72,0.1).
p5_flex(73,0).
p5_pi_doner(73,0).
p5_polar(73,0.1).
p5_h_doner(73,0).
p5_h_acceptor(73,0.1).
p5_size(73,0.1).
p5_pi_acceptor(73,0.1).
p5_branch(73,0.1).
p5_sigma(73,0.1).
p5_polarisable(73,0.1).
p5_flex(74,0).
p5_pi_doner(74,0).
p5_polar(74,0.1).
p5_h_doner(74,0).
p5_h_acceptor(74,0.1).
p5_size(74,0.1).
p5_pi_acceptor(74,0.1).
p5_branch(74,0.1).
p5_sigma(74,0.1).
p5_polarisable(74,0.1).
p5_flex(75,0).
p5_pi_doner(75,0).
p5_polar(75,0.1).
p5_h_doner(75,0).
p5_h_acceptor(75,0.1).
p5_size(75,0.1).
p5_pi_acceptor(75,0.1).
p5_branch(75,0.1).
p5_sigma(75,0.1).
p5_polarisable(75,0.1).
p5_flex(76,0).
p5_pi_doner(76,0).
p5_polar(76,0.1).
p5_h_doner(76,0).
p5_h_acceptor(76,0.1).
p5_size(76,0.1).
p5_pi_acceptor(76,0.1).
p5_branch(76,0.1).
p5_sigma(76,0.1).
p5_polarisable(76,0.1).
p5_flex(77,0).
p5_pi_doner(77,0).
p5_polar(77,0.1).
p5_h_doner(77,0).
p5_h_acceptor(77,0.1).
p5_size(77,0.1).
p5_pi_acceptor(77,0.1).
p5_branch(77,0.1).
p5_sigma(77,0.1).
p5_polarisable(77,0.1).
p5_flex(78,0).
p5_pi_doner(78,0).
p5_polar(78,0.1).
p5_h_doner(78,0).
p5_h_acceptor(78,0.1).
p5_size(78,0.1).
p5_pi_acceptor(78,0.1).
p5_branch(78,0.1).
p5_sigma(78,0.1).
p5_polarisable(78,0.1).
p5_flex(79,0).
p5_pi_doner(79,0).
p5_polar(79,0.1).
p5_h_doner(79,0).
p5_h_acceptor(79,0.1).
p5_size(79,0.1).
p5_pi_acceptor(79,0.1).
p5_branch(79,0.1).
p5_sigma(79,0.1).
p5_polarisable(79,0.1).
p5_flex(80,0).
p5_pi_doner(80,0).
p5_polar(80,0.1).
p5_h_doner(80,0).
p5_h_acceptor(80,0.1).
p5_size(80,0.1).
p5_pi_acceptor(80,0.1).
p5_branch(80,0.1).
p5_sigma(80,0.1).
p5_polarisable(80,0.1).
p5_flex(81,0).
p5_pi_doner(81,0).
p5_polar(81,0.1).
p5_h_doner(81,0).
p5_h_acceptor(81,0.1).
p5_size(81,0.1).
p5_pi_acceptor(81,0.1).
p5_branch(81,0.1).
p5_sigma(81,0.1).
p5_polarisable(81,0.1).
p5_flex(82,0).
p5_pi_doner(82,0).
p5_polar(82,0.1).
p5_h_doner(82,0).
p5_h_acceptor(82,0.1).
p5_size(82,0.1).
p5_pi_acceptor(82,0.1).
p5_branch(82,0.1).
p5_sigma(82,0.1).
p5_polarisable(82,0.1).
p5_flex(83,0).
p5_pi_doner(83,0).
p5_polar(83,0.1).
p5_h_doner(83,0).
p5_h_acceptor(83,0.1).
p5_size(83,0.1).
p5_pi_acceptor(83,0.1).
p5_branch(83,0.1).
p5_sigma(83,0.1).
p5_polarisable(83,0.1).
p5_flex(84,0).
p5_pi_doner(84,0).
p5_polar(84,0.1).
p5_h_doner(84,0).
p5_h_acceptor(84,0.1).
p5_size(84,0.1).
p5_pi_acceptor(84,0.1).
p5_branch(84,0.1).
p5_sigma(84,0.1).
p5_polarisable(84,0.1).
p5_flex(85,0).
p5_pi_doner(85,0).
p5_polar(85,0.1).
p5_h_doner(85,0).
p5_h_acceptor(85,0.1).
p5_size(85,0.1).
p5_pi_acceptor(85,0.1).
p5_branch(85,0.1).
p5_sigma(85,0.1).
p5_polarisable(85,0.1).
p5_flex(86,0).
p5_pi_doner(86,0).
p5_polar(86,0.1).
p5_h_doner(86,0).
p5_h_acceptor(86,0.1).
p5_size(86,0.1).
p5_pi_acceptor(86,0.1).
p5_branch(86,0.1).
p5_sigma(86,0.1).
p5_polarisable(86,0.1).
p5_flex(87,0).
p5_pi_doner(87,0).
p5_polar(87,0.1).
p5_h_doner(87,0).
p5_h_acceptor(87,0.1).
p5_size(87,0.1).
p5_pi_acceptor(87,0.1).
p5_branch(87,0.1).
p5_sigma(87,0.1).
p5_polarisable(87,0.1).
p5_flex(88,0).
p5_pi_doner(88,0).
p5_polar(88,0.1).
p5_h_doner(88,0).
p5_h_acceptor(88,0.1).
p5_size(88,0.1).
p5_pi_acceptor(88,0.1).
p5_branch(88,0.1).
p5_sigma(88,0.1).
p5_polarisable(88,0.1).
p5_flex(89,0).
p5_pi_doner(89,0).
p5_polar(89,0.1).
p5_h_doner(89,0).
p5_h_acceptor(89,0.1).
p5_size(89,0.1).
p5_pi_acceptor(89,0.1).
p5_branch(89,0.1).
p5_sigma(89,0.1).
p5_polarisable(89,0.1).
p5_flex(90,0).
p5_pi_doner(90,0).
p5_polar(90,0.1).
p5_h_doner(90,0).
p5_h_acceptor(90,0.1).
p5_size(90,0.1).
p5_pi_acceptor(90,0.1).
p5_branch(90,0.1).
p5_sigma(90,0.1).
p5_polarisable(90,0.1).
p5_flex(91,0).
p5_pi_doner(91,0).
p5_polar(91,0.1).
p5_h_doner(91,0).
p5_h_acceptor(91,0.1).
p5_size(91,0.1).
p5_pi_acceptor(91,0.1).
p5_branch(91,0.1).
p5_sigma(91,0.1).
p5_polarisable(91,0.1).
p5_flex(92,0).
p5_pi_doner(92,0).
p5_polar(92,0.1).
p5_h_doner(92,0).
p5_h_acceptor(92,0.1).
p5_size(92,0.1).
p5_pi_acceptor(92,0.1).
p5_branch(92,0.1).
p5_sigma(92,0.1).
p5_polarisable(92,0.1).
p5_flex(93,0).
p5_pi_doner(93,0).
p5_polar(93,0.1).
p5_h_doner(93,0).
p5_h_acceptor(93,0.1).
p5_size(93,0.1).
p5_pi_acceptor(93,0.1).
p5_branch(93,0.1).
p5_sigma(93,0.1).
p5_polarisable(93,0.1).
p5_flex(94,0).
p5_pi_doner(94,0).
p5_polar(94,0.1).
p5_h_doner(94,0).
p5_h_acceptor(94,0.1).
p5_size(94,0.1).
p5_pi_acceptor(94,0.1).
p5_branch(94,0.1).
p5_sigma(94,0.1).
p5_polarisable(94,0.1).
p5_flex(95,0).
p5_pi_doner(95,0).
p5_polar(95,0.3).
p5_h_doner(95,0).
p5_h_acceptor(95,0.1).
p5_size(95,0.1).
p5_pi_acceptor(95,0.1).
p5_branch(95,0.1).
p5_sigma(95,0.1).
p5_polarisable(95,0.1).
p5_flex(96,0).
p5_pi_doner(96,0).
p5_polar(96,0.1).
p5_h_doner(96,0).
p5_h_acceptor(96,0.1).
p5_size(96,0.1).
p5_pi_acceptor(96,0.1).
p5_branch(96,0.1).
p5_sigma(96,0.1).
p5_polarisable(96,0.1).
p5_flex(97,0).
p5_pi_doner(97,0).
p5_polar(97,0.1).
p5_h_doner(97,0).
p5_h_acceptor(97,0.1).
p5_size(97,0.1).
p5_pi_acceptor(97,0.1).
p5_branch(97,0.1).
p5_sigma(97,0.1).
p5_polarisable(97,0.1).
p5_flex(98,0).
p5_pi_doner(98,0).
p5_polar(98,0.1).
p5_h_doner(98,0).
p5_h_acceptor(98,0.1).
p5_size(98,0.1).
p5_pi_acceptor(98,0.1).
p5_branch(98,0.1).
p5_sigma(98,0.1).
p5_polarisable(98,0.1).
p5_flex(99,0).
p5_pi_doner(99,0).
p5_polar(99,0.1).
p5_h_doner(99,0).
p5_h_acceptor(99,0.1).
p5_size(99,0.1).
p5_pi_acceptor(99,0.1).
p5_branch(99,0.1).
p5_sigma(99,0.1).
p5_polarisable(99,0.1).
p5_flex(100,0).
p5_pi_doner(100,0).
p5_polar(100,0.1).
p5_h_doner(100,0).
p5_h_acceptor(100,0.1).
p5_size(100,0.1).
p5_pi_acceptor(100,0.1).
p5_branch(100,0.1).
p5_sigma(100,0.1).
p5_polarisable(100,0.1).
p5_flex(101,0).
p5_pi_doner(101,0).
p5_polar(101,0.1).
p5_h_doner(101,0).
p5_h_acceptor(101,0.1).
p5_size(101,0.1).
p5_pi_acceptor(101,0.1).
p5_branch(101,0.1).
p5_sigma(101,0.1).
p5_polarisable(101,0.1).
p5_flex(102,0).
p5_pi_doner(102,0).
p5_polar(102,0.1).
p5_h_doner(102,0).
p5_h_acceptor(102,0.1).
p5_size(102,0.1).
p5_pi_acceptor(102,0.1).
p5_branch(102,0.1).
p5_sigma(102,0.1).
p5_polarisable(102,0.1).
p5_flex(103,0).
p5_pi_doner(103,0).
p5_polar(103,0.1).
p5_h_doner(103,0).
p5_h_acceptor(103,0.1).
p5_size(103,0.1).
p5_pi_acceptor(103,0.1).
p5_branch(103,0.1).
p5_sigma(103,0.1).
p5_polarisable(103,0.1).
p5_flex(104,0).
p5_pi_doner(104,0).
p5_polar(104,0.1).
p5_h_doner(104,0).
p5_h_acceptor(104,0.1).
p5_size(104,0.1).
p5_pi_acceptor(104,0.1).
p5_branch(104,0.1).
p5_sigma(104,0.1).
p5_polarisable(104,0.1).
p5_flex(105,0).
p5_pi_doner(105,0).
p5_polar(105,0.1).
p5_h_doner(105,0).
p5_h_acceptor(105,0.1).
p5_size(105,0.1).
p5_pi_acceptor(105,0.1).
p5_branch(105,0.1).
p5_sigma(105,0.1).
p5_polarisable(105,0.1).
p5_flex(106,0).
p5_pi_doner(106,0).
p5_polar(106,0.1).
p5_h_doner(106,0).
p5_h_acceptor(106,0.1).
p5_size(106,0.1).
p5_pi_acceptor(106,0.1).
p5_branch(106,0.1).
p5_sigma(106,0.1).
p5_polarisable(106,0.1).
p5_flex(107,0).
p5_pi_doner(107,0).
p5_polar(107,0.1).
p5_h_doner(107,0).
p5_h_acceptor(107,0.1).
p5_size(107,0.1).
p5_pi_acceptor(107,0.1).
p5_branch(107,0.1).
p5_sigma(107,0.1).
p5_polarisable(107,0.1).
p5_flex(108,0).
p5_pi_doner(108,0).
p5_polar(108,0.1).
p5_h_doner(108,0).
p5_h_acceptor(108,0.1).
p5_size(108,0.1).
p5_pi_acceptor(108,0.1).
p5_branch(108,0.1).
p5_sigma(108,0.1).
p5_polarisable(108,0.1).
p5_flex(109,0).
p5_pi_doner(109,0).
p5_polar(109,0.1).
p5_h_doner(109,0).
p5_h_acceptor(109,0.1).
p5_size(109,0.1).
p5_pi_acceptor(109,0.1).
p5_branch(109,0.1).
p5_sigma(109,0.1).
p5_polarisable(109,0.1).
p5_flex(110,0).
p5_pi_doner(110,0).
p5_polar(110,0.1).
p5_h_doner(110,0).
p5_h_acceptor(110,0.1).
p5_size(110,0.1).
p5_pi_acceptor(110,0.1).
p5_branch(110,0.1).
p5_sigma(110,0.1).
p5_polarisable(110,0.1).
p5_flex(111,0).
p5_pi_doner(111,0).
p5_polar(111,0.1).
p5_h_doner(111,0).
p5_h_acceptor(111,0.1).
p5_size(111,0.1).
p5_pi_acceptor(111,0.1).
p5_branch(111,0.1).
p5_sigma(111,0.1).
p5_polarisable(111,0.1).
p5_flex(112,0).
p5_pi_doner(112,0).
p5_polar(112,0.1).
p5_h_doner(112,0).
p5_h_acceptor(112,0.1).
p5_size(112,0.1).
p5_pi_acceptor(112,0.1).
p5_branch(112,0.1).
p5_sigma(112,0.1).
p5_polarisable(112,0.1).
p5_flex(113,0).
p5_pi_doner(113,0).
p5_polar(113,0.1).
p5_h_doner(113,0).
p5_h_acceptor(113,0.1).
p5_size(113,0.1).
p5_pi_acceptor(113,0.1).
p5_branch(113,0.1).
p5_sigma(113,0.1).
p5_polarisable(113,0.1).
p5_flex(114,0).
p5_pi_doner(114,0).
p5_polar(114,0.1).
p5_h_doner(114,0).
p5_h_acceptor(114,0.1).
p5_size(114,0.1).
p5_pi_acceptor(114,0.1).
p5_branch(114,0.1).
p5_sigma(114,0.1).
p5_polarisable(114,0.1).
p5_flex(115,0).
p5_pi_doner(115,0).
p5_polar(115,0.1).
p5_h_doner(115,0).
p5_h_acceptor(115,0.1).
p5_size(115,0.1).
p5_pi_acceptor(115,0.1).
p5_branch(115,0.1).
p5_sigma(115,0.1).
p5_polarisable(115,0.1).
p5_flex(116,0).
p5_pi_doner(116,0).
p5_polar(116,0.1).
p5_h_doner(116,0).
p5_h_acceptor(116,0.1).
p5_size(116,0.1).
p5_pi_acceptor(116,0.1).
p5_branch(116,0.1).
p5_sigma(116,0.1).
p5_polarisable(116,0.1).
p5_flex(117,0).
p5_pi_doner(117,0).
p5_polar(117,0.1).
p5_h_doner(117,0).
p5_h_acceptor(117,0.1).
p5_size(117,0.1).
p5_pi_acceptor(117,0.1).
p5_branch(117,0.1).
p5_sigma(117,0.1).
p5_polarisable(117,0.1).
p5_flex(118,0).
p5_pi_doner(118,0).
p5_polar(118,0.1).
p5_h_doner(118,0).
p5_h_acceptor(118,0.1).
p5_size(118,0.1).
p5_pi_acceptor(118,0.1).
p5_branch(118,0.1).
p5_sigma(118,0.1).
p5_polarisable(118,0.1).
p5_flex(119,0).
p5_pi_doner(119,0).
p5_polar(119,0.1).
p5_h_doner(119,0).
p5_h_acceptor(119,0.1).
p5_size(119,0.1).
p5_pi_acceptor(119,0.1).
p5_branch(119,0.1).
p5_sigma(119,0.1).
p5_polarisable(119,0.1).
p5_flex(120,0).
p5_pi_doner(120,0).
p5_polar(120,0.1).
p5_h_doner(120,0).
p5_h_acceptor(120,0.1).
p5_size(120,0.1).
p5_pi_acceptor(120,0.1).
p5_branch(120,0.1).
p5_sigma(120,0.1).
p5_polarisable(120,0.1).
p5_flex(121,0).
p5_pi_doner(121,0).
p5_polar(121,0.1).
p5_h_doner(121,0).
p5_h_acceptor(121,0.1).
p5_size(121,0.1).
p5_pi_acceptor(121,0.1).
p5_branch(121,0.1).
p5_sigma(121,0.1).
p5_polarisable(121,0.1).
p5_flex(122,0).
p5_pi_doner(122,0).
p5_polar(122,0.1).
p5_h_doner(122,0).
p5_h_acceptor(122,0.1).
p5_size(122,0.1).
p5_pi_acceptor(122,0.1).
p5_branch(122,0.1).
p5_sigma(122,0.1).
p5_polarisable(122,0.1).
p5_flex(123,0).
p5_pi_doner(123,0).
p5_polar(123,0.1).
p5_h_doner(123,0).
p5_h_acceptor(123,0.1).
p5_size(123,0.1).
p5_pi_acceptor(123,0.1).
p5_branch(123,0.1).
p5_sigma(123,0.1).
p5_polarisable(123,0.1).
p5_flex(124,0).
p5_pi_doner(124,0).
p5_polar(124,0.1).
p5_h_doner(124,0).
p5_h_acceptor(124,0.1).
p5_size(124,0.1).
p5_pi_acceptor(124,0.1).
p5_branch(124,0.1).
p5_sigma(124,0.1).
p5_polarisable(124,0.1).
p5_flex(125,0).
p5_pi_doner(125,0).
p5_polar(125,0.1).
p5_h_doner(125,0).
p5_h_acceptor(125,0.1).
p5_size(125,0.1).
p5_pi_acceptor(125,0.1).
p5_branch(125,0.1).
p5_sigma(125,0.1).
p5_polarisable(125,0.1).
p5_flex(126,0).
p5_pi_doner(126,0).
p5_polar(126,0.1).
p5_h_doner(126,0).
p5_h_acceptor(126,0.1).
p5_size(126,0.1).
p5_pi_acceptor(126,0.1).
p5_branch(126,0.1).
p5_sigma(126,0.1).
p5_polarisable(126,0.1).
p5_flex(127,0).
p5_pi_doner(127,0).
p5_polar(127,0.3).
p5_h_doner(127,0).
p5_h_acceptor(127,0.1).
p5_size(127,0.1).
p5_pi_acceptor(127,0.1).
p5_branch(127,0.1).
p5_sigma(127,0.1).
p5_polarisable(127,0.1).
p5_flex(128,0).
p5_pi_doner(128,0).
p5_polar(128,0.7).
p5_h_doner(128,0).
p5_h_acceptor(128,0.1).
p5_size(128,0.26).
p5_pi_acceptor(128,0.1).
p5_branch(128,0.1).
p5_sigma(128,0.9).
p5_polarisable(128,0.5).
p5_flex(129,0).
p5_pi_doner(129,0).
p5_polar(129,0.9).
p5_h_doner(129,0).
p5_h_acceptor(129,0.1).
p5_size(129,0.42).
p5_pi_acceptor(129,0.5).
p5_branch(129,0.9).
p5_sigma(129,0.633).
p5_polarisable(129,0.9).
p5_flex(130,0).
p5_pi_doner(130,0).
p5_polar(130,0.3).
p5_h_doner(130,0).
p5_h_acceptor(130,0.1).
p5_size(130,0.1).
p5_pi_acceptor(130,0.1).
p5_branch(130,0.1).
p5_sigma(130,0.1).
p5_polarisable(130,0.1).
p5_flex(131,0).
p5_pi_doner(131,0).
p5_polar(131,0.3).
p5_h_doner(131,0).
p5_h_acceptor(131,0.1).
p5_size(131,0.1).
p5_pi_acceptor(131,0.1).
p5_branch(131,0.1).
p5_sigma(131,0.1).
p5_polarisable(131,0.1).
p5_flex(132,0).
p5_pi_doner(132,0).
p5_polar(132,0.7).
p5_h_doner(132,0).
p5_h_acceptor(132,0.1).
p5_size(132,0.26).
p5_pi_acceptor(132,0.1).
p5_branch(132,0.1).
p5_sigma(132,0.9).
p5_polarisable(132,0.5).
p5_flex(133,0).
p5_pi_doner(133,0).
p5_polar(133,0.9).
p5_h_doner(133,0).
p5_h_acceptor(133,0.1).
p5_size(133,0.42).
p5_pi_acceptor(133,0.5).
p5_branch(133,0.9).
p5_sigma(133,0.633).
p5_polarisable(133,0.9).
p5_flex(134,0).
p5_pi_doner(134,0).
p5_polar(134,0.9).
p5_h_doner(134,0).
p5_h_acceptor(134,0.1).
p5_size(134,0.42).
p5_pi_acceptor(134,0.5).
p5_branch(134,0.9).
p5_sigma(134,0.633).
p5_polarisable(134,0.9).
p5_flex(135,0).
p5_pi_doner(135,0).
p5_polar(135,0.3).
p5_h_doner(135,0).
p5_h_acceptor(135,0.1).
p5_size(135,0.1).
p5_pi_acceptor(135,0.1).
p5_branch(135,0.1).
p5_sigma(135,0.1).
p5_polarisable(135,0.1).
p5_flex(136,0).
p5_pi_doner(136,0).
p5_polar(136,0.3).
p5_h_doner(136,0).
p5_h_acceptor(136,0.1).
p5_size(136,0.1).
p5_pi_acceptor(136,0.1).
p5_branch(136,0.1).
p5_sigma(136,0.1).
p5_polarisable(136,0.1).
p5_flex(137,0).
p5_pi_doner(137,0).
p5_polar(137,0.3).
p5_h_doner(137,0).
p5_h_acceptor(137,0.1).
p5_size(137,0.1).
p5_pi_acceptor(137,0.1).
p5_branch(137,0.1).
p5_sigma(137,0.1).
p5_polarisable(137,0.1).
p5_flex(138,0).
p5_pi_doner(138,0).
p5_polar(138,0.7).
p5_h_doner(138,0).
p5_h_acceptor(138,0.1).
p5_size(138,0.26).
p5_pi_acceptor(138,0.1).
p5_branch(138,0.1).
p5_sigma(138,0.9).
p5_polarisable(138,0.5).
p5_flex(139,0).
p5_pi_doner(139,0).
p5_polar(139,0.7).
p5_h_doner(139,0).
p5_h_acceptor(139,0.5).
p5_size(139,0.58).
p5_pi_acceptor(139,0.5).
p5_branch(139,0.9).
p5_sigma(139,0.1).
p5_polarisable(139,0.5).
p5_flex(140,0).
p5_pi_doner(140,0).
p5_polar(140,0.7).
p5_h_doner(140,0).
p5_h_acceptor(140,0.5).
p5_size(140,0.74).
p5_pi_acceptor(140,0.5).
p5_branch(140,0.9).
p5_sigma(140,0.1).
p5_polarisable(140,0.5).
p5_flex(141,0).
p5_pi_doner(141,0).
p5_polar(141,0.7).
p5_h_doner(141,0).
p5_h_acceptor(141,0.5).
p5_size(141,0.74).
p5_pi_acceptor(141,0.5).
p5_branch(141,0.9).
p5_sigma(141,0.1).
p5_polarisable(141,0.5).
p5_flex(142,0).
p5_pi_doner(142,0).
p5_polar(142,0.7).
p5_h_doner(142,0).
p5_h_acceptor(142,0.5).
p5_size(142,0.9).
p5_pi_acceptor(142,0.5).
p5_branch(142,0.9).
p5_sigma(142,0.1).
p5_polarisable(142,0.5).
p5_flex(143,0).
p5_pi_doner(143,0).
p5_polar(143,0.7).
p5_h_doner(143,0).
p5_h_acceptor(143,0.9).
p5_size(143,0.9).
p5_pi_acceptor(143,0.5).
p5_branch(143,0.9).
p5_sigma(143,0.1).
p5_polarisable(143,0.5).
p5_flex(144,0).
p5_pi_doner(144,0).
p5_polar(144,0.9).
p5_h_doner(144,0).
p5_h_acceptor(144,0.5).
p5_size(144,0.26).
p5_pi_acceptor(144,0.9).
p5_branch(144,0.1).
p5_sigma(144,0.1).
p5_polarisable(144,0.9).
p5_flex(145,0).
p5_pi_doner(145,0).
p5_polar(145,0.9).
p5_h_doner(145,0).
p5_h_acceptor(145,0.1).
p5_size(145,0.42).
p5_pi_acceptor(145,0.5).
p5_branch(145,0.9).
p5_sigma(145,0.633).
p5_polarisable(145,0.9).
p5_flex(146,0).
p5_pi_doner(146,0).
p5_polar(146,0.9).
p5_h_doner(146,0).
p5_h_acceptor(146,0.1).
p5_size(146,0.42).
p5_pi_acceptor(146,0.5).
p5_branch(146,0.9).
p5_sigma(146,0.633).
p5_polarisable(146,0.9).
p5_flex(147,0).
p5_pi_doner(147,0).
p5_polar(147,0.3).
p5_h_doner(147,0).
p5_h_acceptor(147,0.1).
p5_size(147,0.1).
p5_pi_acceptor(147,0.1).
p5_branch(147,0.1).
p5_sigma(147,0.1).
p5_polarisable(147,0.1).
p5_flex(148,0).
p5_pi_doner(148,0).
p5_polar(148,0.3).
p5_h_doner(148,0).
p5_h_acceptor(148,0.1).
p5_size(148,0.1).
p5_pi_acceptor(148,0.1).
p5_branch(148,0.1).
p5_sigma(148,0.1).
p5_polarisable(148,0.1).
p5_flex(149,0).
p5_pi_doner(149,0).
p5_polar(149,0.9).
p5_h_doner(149,0).
p5_h_acceptor(149,0.1).
p5_size(149,0.42).
p5_pi_acceptor(149,0.5).
p5_branch(149,0.9).
p5_sigma(149,0.633).
p5_polarisable(149,0.9).
p5_flex(150,0).
p5_pi_doner(150,0).
p5_polar(150,0.3).
p5_h_doner(150,0).
p5_h_acceptor(150,0.1).
p5_size(150,0.1).
p5_pi_acceptor(150,0.1).
p5_branch(150,0.1).
p5_sigma(150,0.1).
p5_polarisable(150,0.1).
p5_flex(151,0).
p5_pi_doner(151,0).
p5_polar(151,0.9).
p5_h_doner(151,0).
p5_h_acceptor(151,0.1).
p5_size(151,0.42).
p5_pi_acceptor(151,0.5).
p5_branch(151,0.9).
p5_sigma(151,0.633).
p5_polarisable(151,0.9).
p5_flex(152,0).
p5_pi_doner(152,0).
p5_polar(152,0.3).
p5_h_doner(152,0).
p5_h_acceptor(152,0.1).
p5_size(152,0.1).
p5_pi_acceptor(152,0.1).
p5_branch(152,0.1).
p5_sigma(152,0.1).
p5_polarisable(152,0.1).
p5_flex(153,0).
p5_pi_doner(153,0).
p5_polar(153,0.3).
p5_h_doner(153,0).
p5_h_acceptor(153,0.1).
p5_size(153,0.1).
p5_pi_acceptor(153,0.1).
p5_branch(153,0.1).
p5_sigma(153,0.1).
p5_polarisable(153,0.1).
p5_flex(154,0).
p5_pi_doner(154,0).
p5_polar(154,0.1).
p5_h_doner(154,0).
p5_h_acceptor(154,0.1).
p5_size(154,0.1).
p5_pi_acceptor(154,0.1).
p5_branch(154,0.1).
p5_sigma(154,0.1).
p5_polarisable(154,0.1).
p5_flex(155,0).
p5_pi_doner(155,0).
p5_polar(155,0.3).
p5_h_doner(155,0).
p5_h_acceptor(155,0.1).
p5_size(155,0.1).
p5_pi_acceptor(155,0.1).
p5_branch(155,0.1).
p5_sigma(155,0.1).
p5_polarisable(155,0.1).
p5_flex(156,0).
p5_pi_doner(156,0).
p5_polar(156,0.3).
p5_h_doner(156,0).
p5_h_acceptor(156,0.1).
p5_size(156,0.26).
p5_pi_acceptor(156,0.1).
p5_branch(156,0.1).
p5_sigma(156,0.1).
p5_polarisable(156,0.5).
p5_flex(157,0).
p5_pi_doner(157,0).
p5_polar(157,0.3).
p5_h_doner(157,0).
p5_h_acceptor(157,0.1).
p5_size(157,0.1).
p5_pi_acceptor(157,0.1).
p5_branch(157,0.1).
p5_sigma(157,0.1).
p5_polarisable(157,0.1).
p5_flex(158,0).
p5_pi_doner(158,0).
p5_polar(158,0.3).
p5_h_doner(158,0).
p5_h_acceptor(158,0.1).
p5_size(158,0.1).
p5_pi_acceptor(158,0.1).
p5_branch(158,0.1).
p5_sigma(158,0.1).
p5_polarisable(158,0.1).
p5_flex(159,0).
p5_pi_doner(159,0).
p5_polar(159,0.3).
p5_h_doner(159,0).
p5_h_acceptor(159,0.1).
p5_size(159,0.1).
p5_pi_acceptor(159,0.1).
p5_branch(159,0.1).
p5_sigma(159,0.1).
p5_polarisable(159,0.1).
p5_flex(160,0).
p5_pi_doner(160,0).
p5_polar(160,0.3).
p5_h_doner(160,0).
p5_h_acceptor(160,0.1).
p5_size(160,0.1).
p5_pi_acceptor(160,0.1).
p5_branch(160,0.1).
p5_sigma(160,0.1).
p5_polarisable(160,0.1).
p5_flex(161,0).
p5_pi_doner(161,0).
p5_polar(161,0.3).
p5_h_doner(161,0).
p5_h_acceptor(161,0.1).
p5_size(161,0.1).
p5_pi_acceptor(161,0.1).
p5_branch(161,0.1).
p5_sigma(161,0.1).
p5_polarisable(161,0.1).
p5_flex(162,0).
p5_pi_doner(162,0).
p5_polar(162,0.3).
p5_h_doner(162,0).
p5_h_acceptor(162,0.1).
p5_size(162,0.1).
p5_pi_acceptor(162,0.1).
p5_branch(162,0.1).
p5_sigma(162,0.1).
p5_polarisable(162,0.1).
p5_flex(163,0).
p5_pi_doner(163,0).
p5_polar(163,0.1).
p5_h_doner(163,0).
p5_h_acceptor(163,0.1).
p5_size(163,0.1).
p5_pi_acceptor(163,0.1).
p5_branch(163,0.1).
p5_sigma(163,0.1).
p5_polarisable(163,0.1).
p5_flex(164,0).
p5_pi_doner(164,0).
p5_polar(164,0.1).
p5_h_doner(164,0).
p5_h_acceptor(164,0.1).
p5_size(164,0.1).
p5_pi_acceptor(164,0.1).
p5_branch(164,0.1).
p5_sigma(164,0.1).
p5_polarisable(164,0.1).
p5_flex(165,0).
p5_pi_doner(165,0).
p5_polar(165,0.1).
p5_h_doner(165,0).
p5_h_acceptor(165,0.1).
p5_size(165,0.1).
p5_pi_acceptor(165,0.1).
p5_branch(165,0.1).
p5_sigma(165,0.1).
p5_polarisable(165,0.1).
p5_flex(166,0).
p5_pi_doner(166,0).
p5_polar(166,0.1).
p5_h_doner(166,0).
p5_h_acceptor(166,0.1).
p5_size(166,0.1).
p5_pi_acceptor(166,0.1).
p5_branch(166,0.1).
p5_sigma(166,0.1).
p5_polarisable(166,0.1).
p5_flex(167,0).
p5_pi_doner(167,0).
p5_polar(167,0.3).
p5_h_doner(167,0).
p5_h_acceptor(167,0.1).
p5_size(167,0.1).
p5_pi_acceptor(167,0.1).
p5_branch(167,0.1).
p5_sigma(167,0.1).
p5_polarisable(167,0.1).
p5_flex(168,0).
p5_pi_doner(168,0).
p5_polar(168,0.3).
p5_h_doner(168,0).
p5_h_acceptor(168,0.1).
p5_size(168,0.26).
p5_pi_acceptor(168,0.1).
p5_branch(168,0.1).
p5_sigma(168,0.1).
p5_polarisable(168,0.5).
p5_flex(169,0).
p5_pi_doner(169,0).
p5_polar(169,0.3).
p5_h_doner(169,0).
p5_h_acceptor(169,0.1).
p5_size(169,0.1).
p5_pi_acceptor(169,0.1).
p5_branch(169,0.1).
p5_sigma(169,0.1).
p5_polarisable(169,0.1).
p5_flex(170,0).
p5_pi_doner(170,0).
p5_polar(170,0.3).
p5_h_doner(170,0).
p5_h_acceptor(170,0.1).
p5_size(170,0.1).
p5_pi_acceptor(170,0.1).
p5_branch(170,0.1).
p5_sigma(170,0.1).
p5_polarisable(170,0.1).
p5_flex(171,0).
p5_pi_doner(171,0).
p5_polar(171,0.9).
p5_h_doner(171,0).
p5_h_acceptor(171,0.1).
p5_size(171,0.42).
p5_pi_acceptor(171,0.5).
p5_branch(171,0.9).
p5_sigma(171,0.633).
p5_polarisable(171,0.9).
p5_flex(172,0).
p5_pi_doner(172,0).
p5_polar(172,0.3).
p5_h_doner(172,0).
p5_h_acceptor(172,0.1).
p5_size(172,0.1).
p5_pi_acceptor(172,0.1).
p5_branch(172,0.1).
p5_sigma(172,0.1).
p5_polarisable(172,0.1).
p5_flex(173,0).
p5_pi_doner(173,0).
p5_polar(173,0.3).
p5_h_doner(173,0).
p5_h_acceptor(173,0.1).
p5_size(173,0.1).
p5_pi_acceptor(173,0.1).
p5_branch(173,0.1).
p5_sigma(173,0.1).
p5_polarisable(173,0.1).
p5_flex(174,0).
p5_pi_doner(174,0).
p5_polar(174,0.3).
p5_h_doner(174,0).
p5_h_acceptor(174,0.1).
p5_size(174,0.1).
p5_pi_acceptor(174,0.1).
p5_branch(174,0.1).
p5_sigma(174,0.1).
p5_polarisable(174,0.1).
p5_flex(175,0).
p5_pi_doner(175,0).
p5_polar(175,0.3).
p5_h_doner(175,0).
p5_h_acceptor(175,0.1).
p5_size(175,0.1).
p5_pi_acceptor(175,0.1).
p5_branch(175,0.1).
p5_sigma(175,0.1).
p5_polarisable(175,0.1).
p5_flex(176,0).
p5_pi_doner(176,0).
p5_polar(176,0.3).
p5_h_doner(176,0).
p5_h_acceptor(176,0.1).
p5_size(176,0.1).
p5_pi_acceptor(176,0.1).
p5_branch(176,0.1).
p5_sigma(176,0.1).
p5_polarisable(176,0.1).
p5_flex(177,0).
p5_pi_doner(177,0).
p5_polar(177,0.9).
p5_h_doner(177,0).
p5_h_acceptor(177,0.1).
p5_size(177,0.42).
p5_pi_acceptor(177,0.5).
p5_branch(177,0.9).
p5_sigma(177,0.633).
p5_polarisable(177,0.9).
p5_flex(178,0).
p5_pi_doner(178,0).
p5_polar(178,0.9).
p5_h_doner(178,0).
p5_h_acceptor(178,0.1).
p5_size(178,0.42).
p5_pi_acceptor(178,0.5).
p5_branch(178,0.9).
p5_sigma(178,0.633).
p5_polarisable(178,0.9).
p5_flex(179,0).
p5_pi_doner(179,0).
p5_polar(179,0.9).
p5_h_doner(179,0).
p5_h_acceptor(179,0.1).
p5_size(179,0.42).
p5_pi_acceptor(179,0.5).
p5_branch(179,0.9).
p5_sigma(179,0.633).
p5_polarisable(179,0.9).
p5_flex(180,0).
p5_pi_doner(180,0).
p5_polar(180,0.1).
p5_h_doner(180,0).
p5_h_acceptor(180,0.1).
p5_size(180,0.1).
p5_pi_acceptor(180,0.1).
p5_branch(180,0.1).
p5_sigma(180,0.1).
p5_polarisable(180,0.1).
p5_flex(181,0).
p5_pi_doner(181,0).
p5_polar(181,0.3).
p5_h_doner(181,0).
p5_h_acceptor(181,0.1).
p5_size(181,0.1).
p5_pi_acceptor(181,0.1).
p5_branch(181,0.1).
p5_sigma(181,0.1).
p5_polarisable(181,0.1).
p5_flex(182,0).
p5_pi_doner(182,0).
p5_polar(182,0.3).
p5_h_doner(182,0).
p5_h_acceptor(182,0.1).
p5_size(182,0.1).
p5_pi_acceptor(182,0.1).
p5_branch(182,0.1).
p5_sigma(182,0.1).
p5_polarisable(182,0.1).
p5_flex(183,0).
p5_pi_doner(183,0).
p5_polar(183,0.1).
p5_h_doner(183,0).
p5_h_acceptor(183,0.1).
p5_size(183,0.1).
p5_pi_acceptor(183,0.1).
p5_branch(183,0.1).
p5_sigma(183,0.1).
p5_polarisable(183,0.1).
p5_flex(184,0).
p5_pi_doner(184,0).
p5_polar(184,0.1).
p5_h_doner(184,0).
p5_h_acceptor(184,0.1).
p5_size(184,0.1).
p5_pi_acceptor(184,0.1).
p5_branch(184,0.1).
p5_sigma(184,0.1).
p5_polarisable(184,0.1).
p5_flex(185,0).
p5_pi_doner(185,0).
p5_polar(185,0.1).
p5_h_doner(185,0).
p5_h_acceptor(185,0.1).
p5_size(185,0.1).
p5_pi_acceptor(185,0.1).
p5_branch(185,0.1).
p5_sigma(185,0.1).
p5_polarisable(185,0.1).
p5_flex(186,0).
p5_pi_doner(186,0).
p5_polar(186,0.1).
p5_h_doner(186,0).
p5_h_acceptor(186,0.1).
p5_size(186,0.1).
p5_pi_acceptor(186,0.1).
p5_branch(186,0.1).
p5_sigma(186,0.1).
p5_polarisable(186,0.1).
p6_flex(1,0.1).
p6_pi_doner(1,0.1).
p6_polar(1,0.1).
p6_h_doner(1,0.1).
p6_h_acceptor(1,0.1).
p6_size(1,0.1).
p6_pi_acceptor(1,0.1).
p6_branch(1,0.1).
p6_sigma(1,0.1).
p6_polarisable(1,0.1).
p6_flex(2,0.1).
p6_pi_doner(2,0.1).
p6_polar(2,0.1).
p6_h_doner(2,0.1).
p6_h_acceptor(2,0.1).
p6_size(2,0.1).
p6_pi_acceptor(2,0.1).
p6_branch(2,0.1).
p6_sigma(2,0.1).
p6_polarisable(2,0.1).
p6_flex(3,0.1).
p6_pi_doner(3,0.1).
p6_polar(3,0.1).
p6_h_doner(3,0.1).
p6_h_acceptor(3,0.1).
p6_size(3,0.1).
p6_pi_acceptor(3,0.1).
p6_branch(3,0.1).
p6_sigma(3,0.1).
p6_polarisable(3,0.1).
p6_flex(4,0.1).
p6_pi_doner(4,0.1).
p6_polar(4,0.1).
p6_h_doner(4,0.1).
p6_h_acceptor(4,0.1).
p6_size(4,0.1).
p6_pi_acceptor(4,0.1).
p6_branch(4,0.1).
p6_sigma(4,0.1).
p6_polarisable(4,0.1).
p6_flex(5,0.1).
p6_pi_doner(5,0.1).
p6_polar(5,0.1).
p6_h_doner(5,0.1).
p6_h_acceptor(5,0.1).
p6_size(5,0.1).
p6_pi_acceptor(5,0.1).
p6_branch(5,0.1).
p6_sigma(5,0.1).
p6_polarisable(5,0.1).
p6_flex(6,0.1).
p6_pi_doner(6,0.1).
p6_polar(6,0.1).
p6_h_doner(6,0.1).
p6_h_acceptor(6,0.1).
p6_size(6,0.1).
p6_pi_acceptor(6,0.1).
p6_branch(6,0.1).
p6_sigma(6,0.1).
p6_polarisable(6,0.1).
p6_flex(7,0.1).
p6_pi_doner(7,0.1).
p6_polar(7,0.1).
p6_h_doner(7,0.1).
p6_h_acceptor(7,0.1).
p6_size(7,0.1).
p6_pi_acceptor(7,0.1).
p6_branch(7,0.1).
p6_sigma(7,0.1).
p6_polarisable(7,0.1).
p6_flex(8,0.1).
p6_pi_doner(8,0.1).
p6_polar(8,0.1).
p6_h_doner(8,0.1).
p6_h_acceptor(8,0.1).
p6_size(8,0.1).
p6_pi_acceptor(8,0.1).
p6_branch(8,0.1).
p6_sigma(8,0.1).
p6_polarisable(8,0.1).
p6_flex(9,0.1).
p6_pi_doner(9,0.1).
p6_polar(9,0.1).
p6_h_doner(9,0.1).
p6_h_acceptor(9,0.1).
p6_size(9,0.1).
p6_pi_acceptor(9,0.1).
p6_branch(9,0.1).
p6_sigma(9,0.1).
p6_polarisable(9,0.1).
p6_flex(10,0.1).
p6_pi_doner(10,0.1).
p6_polar(10,0.1).
p6_h_doner(10,0.1).
p6_h_acceptor(10,0.1).
p6_size(10,0.1).
p6_pi_acceptor(10,0.1).
p6_branch(10,0.1).
p6_sigma(10,0.1).
p6_polarisable(10,0.1).
p6_flex(11,0.1).
p6_pi_doner(11,0.1).
p6_polar(11,0.1).
p6_h_doner(11,0.1).
p6_h_acceptor(11,0.1).
p6_size(11,0.1).
p6_pi_acceptor(11,0.1).
p6_branch(11,0.1).
p6_sigma(11,0.1).
p6_polarisable(11,0.1).
p6_flex(12,0.1).
p6_pi_doner(12,0.1).
p6_polar(12,0.1).
p6_h_doner(12,0.1).
p6_h_acceptor(12,0.1).
p6_size(12,0.1).
p6_pi_acceptor(12,0.1).
p6_branch(12,0.1).
p6_sigma(12,0.1).
p6_polarisable(12,0.1).
p6_flex(13,0.1).
p6_pi_doner(13,0.1).
p6_polar(13,0.1).
p6_h_doner(13,0.1).
p6_h_acceptor(13,0.1).
p6_size(13,0.1).
p6_pi_acceptor(13,0.1).
p6_branch(13,0.1).
p6_sigma(13,0.1).
p6_polarisable(13,0.1).
p6_flex(14,0.1).
p6_pi_doner(14,0.1).
p6_polar(14,0.1).
p6_h_doner(14,0.1).
p6_h_acceptor(14,0.1).
p6_size(14,0.1).
p6_pi_acceptor(14,0.1).
p6_branch(14,0.1).
p6_sigma(14,0.1).
p6_polarisable(14,0.1).
p6_flex(15,0.1).
p6_pi_doner(15,0.1).
p6_polar(15,0.1).
p6_h_doner(15,0.1).
p6_h_acceptor(15,0.1).
p6_size(15,0.1).
p6_pi_acceptor(15,0.1).
p6_branch(15,0.1).
p6_sigma(15,0.1).
p6_polarisable(15,0.1).
p6_flex(16,0.1).
p6_pi_doner(16,0.1).
p6_polar(16,0.1).
p6_h_doner(16,0.1).
p6_h_acceptor(16,0.1).
p6_size(16,0.1).
p6_pi_acceptor(16,0.1).
p6_branch(16,0.1).
p6_sigma(16,0.1).
p6_polarisable(16,0.1).
p6_flex(17,0.1).
p6_pi_doner(17,0.1).
p6_polar(17,0.3).
p6_h_doner(17,0.1).
p6_h_acceptor(17,0.1).
p6_size(17,0.1).
p6_pi_acceptor(17,0.1).
p6_branch(17,0.1).
p6_sigma(17,0.1).
p6_polarisable(17,0.1).
p6_flex(18,0.1).
p6_pi_doner(18,0.1).
p6_polar(18,0.3).
p6_h_doner(18,0.1).
p6_h_acceptor(18,0.1).
p6_size(18,0.1).
p6_pi_acceptor(18,0.1).
p6_branch(18,0.1).
p6_sigma(18,0.1).
p6_polarisable(18,0.1).
p6_flex(19,0.1).
p6_pi_doner(19,0.1).
p6_polar(19,0.3).
p6_h_doner(19,0.1).
p6_h_acceptor(19,0.1).
p6_size(19,0.1).
p6_pi_acceptor(19,0.1).
p6_branch(19,0.1).
p6_sigma(19,0.1).
p6_polarisable(19,0.1).
p6_flex(20,0.1).
p6_pi_doner(20,0.1).
p6_polar(20,0.9).
p6_h_doner(20,0.1).
p6_h_acceptor(20,0.1).
p6_size(20,0.5).
p6_pi_acceptor(20,0.9).
p6_branch(20,0.633).
p6_sigma(20,0.633).
p6_polarisable(20,0.9).
p6_flex(21,0.1).
p6_pi_doner(21,0.1).
p6_polar(21,0.3).
p6_h_doner(21,0.1).
p6_h_acceptor(21,0.1).
p6_size(21,0.1).
p6_pi_acceptor(21,0.1).
p6_branch(21,0.1).
p6_sigma(21,0.1).
p6_polarisable(21,0.1).
p6_flex(22,0.1).
p6_pi_doner(22,0.1).
p6_polar(22,0.9).
p6_h_doner(22,0.1).
p6_h_acceptor(22,0.1).
p6_size(22,0.5).
p6_pi_acceptor(22,0.9).
p6_branch(22,0.633).
p6_sigma(22,0.633).
p6_polarisable(22,0.9).
p6_flex(23,0.1).
p6_pi_doner(23,0.1).
p6_polar(23,0.9).
p6_h_doner(23,0.1).
p6_h_acceptor(23,0.1).
p6_size(23,0.5).
p6_pi_acceptor(23,0.9).
p6_branch(23,0.633).
p6_sigma(23,0.633).
p6_polarisable(23,0.9).
p6_flex(24,0.1).
p6_pi_doner(24,0.1).
p6_polar(24,0.3).
p6_h_doner(24,0.1).
p6_h_acceptor(24,0.1).
p6_size(24,0.1).
p6_pi_acceptor(24,0.1).
p6_branch(24,0.1).
p6_sigma(24,0.1).
p6_polarisable(24,0.1).
p6_flex(25,0.1).
p6_pi_doner(25,0.1).
p6_polar(25,0.9).
p6_h_doner(25,0.1).
p6_h_acceptor(25,0.1).
p6_size(25,0.5).
p6_pi_acceptor(25,0.9).
p6_branch(25,0.633).
p6_sigma(25,0.633).
p6_polarisable(25,0.9).
p6_flex(26,0.1).
p6_pi_doner(26,0.1).
p6_polar(26,0.3).
p6_h_doner(26,0.1).
p6_h_acceptor(26,0.1).
p6_size(26,0.1).
p6_pi_acceptor(26,0.1).
p6_branch(26,0.1).
p6_sigma(26,0.1).
p6_polarisable(26,0.1).
p6_flex(27,0.1).
p6_pi_doner(27,0.1).
p6_polar(27,0.9).
p6_h_doner(27,0.1).
p6_h_acceptor(27,0.1).
p6_size(27,0.5).
p6_pi_acceptor(27,0.9).
p6_branch(27,0.633).
p6_sigma(27,0.633).
p6_polarisable(27,0.9).
p6_flex(28,0.1).
p6_pi_doner(28,0.1).
p6_polar(28,0.3).
p6_h_doner(28,0.1).
p6_h_acceptor(28,0.1).
p6_size(28,0.1).
p6_pi_acceptor(28,0.1).
p6_branch(28,0.1).
p6_sigma(28,0.1).
p6_polarisable(28,0.1).
p6_flex(29,0.1).
p6_pi_doner(29,0.1).
p6_polar(29,0.3).
p6_h_doner(29,0.1).
p6_h_acceptor(29,0.1).
p6_size(29,0.1).
p6_pi_acceptor(29,0.1).
p6_branch(29,0.1).
p6_sigma(29,0.1).
p6_polarisable(29,0.1).
p6_flex(30,0.1).
p6_pi_doner(30,0.1).
p6_polar(30,0.9).
p6_h_doner(30,0.1).
p6_h_acceptor(30,0.1).
p6_size(30,0.5).
p6_pi_acceptor(30,0.9).
p6_branch(30,0.633).
p6_sigma(30,0.633).
p6_polarisable(30,0.9).
p6_flex(31,0.1).
p6_pi_doner(31,0.1).
p6_polar(31,0.3).
p6_h_doner(31,0.1).
p6_h_acceptor(31,0.1).
p6_size(31,0.1).
p6_pi_acceptor(31,0.1).
p6_branch(31,0.1).
p6_sigma(31,0.1).
p6_polarisable(31,0.1).
p6_flex(32,0.1).
p6_pi_doner(32,0.1).
p6_polar(32,0.9).
p6_h_doner(32,0.1).
p6_h_acceptor(32,0.1).
p6_size(32,0.5).
p6_pi_acceptor(32,0.9).
p6_branch(32,0.633).
p6_sigma(32,0.633).
p6_polarisable(32,0.9).
p6_flex(33,0.1).
p6_pi_doner(33,0.1).
p6_polar(33,0.9).
p6_h_doner(33,0.1).
p6_h_acceptor(33,0.1).
p6_size(33,0.5).
p6_pi_acceptor(33,0.9).
p6_branch(33,0.633).
p6_sigma(33,0.633).
p6_polarisable(33,0.9).
p6_flex(34,0.1).
p6_pi_doner(34,0.1).
p6_polar(34,0.9).
p6_h_doner(34,0.1).
p6_h_acceptor(34,0.1).
p6_size(34,0.5).
p6_pi_acceptor(34,0.9).
p6_branch(34,0.633).
p6_sigma(34,0.633).
p6_polarisable(34,0.9).
p6_flex(35,0.1).
p6_pi_doner(35,0.1).
p6_polar(35,0.9).
p6_h_doner(35,0.1).
p6_h_acceptor(35,0.1).
p6_size(35,0.5).
p6_pi_acceptor(35,0.9).
p6_branch(35,0.633).
p6_sigma(35,0.633).
p6_polarisable(35,0.9).
p6_flex(36,0.1).
p6_pi_doner(36,0.1).
p6_polar(36,0.3).
p6_h_doner(36,0.1).
p6_h_acceptor(36,0.1).
p6_size(36,0.1).
p6_pi_acceptor(36,0.1).
p6_branch(36,0.1).
p6_sigma(36,0.1).
p6_polarisable(36,0.1).
p6_flex(37,0.1).
p6_pi_doner(37,0.1).
p6_polar(37,0.5).
p6_h_doner(37,0.1).
p6_h_acceptor(37,0.9).
p6_size(37,0.5).
p6_pi_acceptor(37,0.1).
p6_branch(37,0.1).
p6_sigma(37,0.367).
p6_polarisable(37,0.5).
p6_flex(38,0.1).
p6_pi_doner(38,0.1).
p6_polar(38,0.9).
p6_h_doner(38,0.1).
p6_h_acceptor(38,0.1).
p6_size(38,0.5).
p6_pi_acceptor(38,0.9).
p6_branch(38,0.633).
p6_sigma(38,0.633).
p6_polarisable(38,0.9).
p6_flex(39,0.1).
p6_pi_doner(39,0.1).
p6_polar(39,0.9).
p6_h_doner(39,0.1).
p6_h_acceptor(39,0.1).
p6_size(39,0.5).
p6_pi_acceptor(39,0.9).
p6_branch(39,0.633).
p6_sigma(39,0.633).
p6_polarisable(39,0.9).
p6_flex(40,0.1).
p6_pi_doner(40,0.1).
p6_polar(40,0.3).
p6_h_doner(40,0.1).
p6_h_acceptor(40,0.1).
p6_size(40,0.1).
p6_pi_acceptor(40,0.1).
p6_branch(40,0.1).
p6_sigma(40,0.1).
p6_polarisable(40,0.1).
p6_flex(41,0.1).
p6_pi_doner(41,0.1).
p6_polar(41,0.9).
p6_h_doner(41,0.1).
p6_h_acceptor(41,0.1).
p6_size(41,0.5).
p6_pi_acceptor(41,0.9).
p6_branch(41,0.633).
p6_sigma(41,0.633).
p6_polarisable(41,0.9).
p6_flex(42,0.1).
p6_pi_doner(42,0.1).
p6_polar(42,0.3).
p6_h_doner(42,0.1).
p6_h_acceptor(42,0.1).
p6_size(42,0.1).
p6_pi_acceptor(42,0.1).
p6_branch(42,0.1).
p6_sigma(42,0.1).
p6_polarisable(42,0.1).
p6_flex(43,0.9).
p6_pi_doner(43,0.9).
p6_polar(43,0.5).
p6_h_doner(43,0.9).
p6_h_acceptor(43,0.9).
p6_size(43,0.7).
p6_pi_acceptor(43,0.1).
p6_branch(43,0.367).
p6_sigma(43,0.367).
p6_polarisable(43,0.5).
p6_flex(44,0.1).
p6_pi_doner(44,0.1).
p6_polar(44,0.9).
p6_h_doner(44,0.1).
p6_h_acceptor(44,0.1).
p6_size(44,0.5).
p6_pi_acceptor(44,0.9).
p6_branch(44,0.633).
p6_sigma(44,0.633).
p6_polarisable(44,0.9).
p6_flex(45,0.1).
p6_pi_doner(45,0.1).
p6_polar(45,0.9).
p6_h_doner(45,0.1).
p6_h_acceptor(45,0.1).
p6_size(45,0.5).
p6_pi_acceptor(45,0.9).
p6_branch(45,0.633).
p6_sigma(45,0.633).
p6_polarisable(45,0.9).
p6_flex(46,0.1).
p6_pi_doner(46,0.1).
p6_polar(46,0.9).
p6_h_doner(46,0.1).
p6_h_acceptor(46,0.1).
p6_size(46,0.5).
p6_pi_acceptor(46,0.9).
p6_branch(46,0.633).
p6_sigma(46,0.633).
p6_polarisable(46,0.9).
p6_flex(47,0.1).
p6_pi_doner(47,0.1).
p6_polar(47,0.3).
p6_h_doner(47,0.1).
p6_h_acceptor(47,0.1).
p6_size(47,0.1).
p6_pi_acceptor(47,0.1).
p6_branch(47,0.1).
p6_sigma(47,0.1).
p6_polarisable(47,0.1).
p6_flex(48,0.1).
p6_pi_doner(48,0.1).
p6_polar(48,0.3).
p6_h_doner(48,0.1).
p6_h_acceptor(48,0.1).
p6_size(48,0.1).
p6_pi_acceptor(48,0.1).
p6_branch(48,0.1).
p6_sigma(48,0.1).
p6_polarisable(48,0.1).
p6_flex(49,0.1).
p6_pi_doner(49,0.1).
p6_polar(49,0.9).
p6_h_doner(49,0.1).
p6_h_acceptor(49,0.1).
p6_size(49,0.5).
p6_pi_acceptor(49,0.9).
p6_branch(49,0.633).
p6_sigma(49,0.633).
p6_polarisable(49,0.9).
p6_flex(50,0.1).
p6_pi_doner(50,0.1).
p6_polar(50,0.3).
p6_h_doner(50,0.1).
p6_h_acceptor(50,0.1).
p6_size(50,0.1).
p6_pi_acceptor(50,0.1).
p6_branch(50,0.1).
p6_sigma(50,0.1).
p6_polarisable(50,0.1).
p6_flex(51,0.1).
p6_pi_doner(51,0.1).
p6_polar(51,0.9).
p6_h_doner(51,0.1).
p6_h_acceptor(51,0.1).
p6_size(51,0.5).
p6_pi_acceptor(51,0.9).
p6_branch(51,0.633).
p6_sigma(51,0.633).
p6_polarisable(51,0.9).
p6_flex(52,0.1).
p6_pi_doner(52,0.1).
p6_polar(52,0.9).
p6_h_doner(52,0.1).
p6_h_acceptor(52,0.1).
p6_size(52,0.5).
p6_pi_acceptor(52,0.9).
p6_branch(52,0.633).
p6_sigma(52,0.633).
p6_polarisable(52,0.9).
p6_flex(53,0.1).
p6_pi_doner(53,0.1).
p6_polar(53,0.3).
p6_h_doner(53,0.1).
p6_h_acceptor(53,0.1).
p6_size(53,0.1).
p6_pi_acceptor(53,0.1).
p6_branch(53,0.1).
p6_sigma(53,0.1).
p6_polarisable(53,0.1).
p6_flex(54,0.1).
p6_pi_doner(54,0.1).
p6_polar(54,0.3).
p6_h_doner(54,0.1).
p6_h_acceptor(54,0.1).
p6_size(54,0.1).
p6_pi_acceptor(54,0.1).
p6_branch(54,0.1).
p6_sigma(54,0.1).
p6_polarisable(54,0.1).
p6_flex(55,0.1).
p6_pi_doner(55,0.1).
p6_polar(55,0.9).
p6_h_doner(55,0.1).
p6_h_acceptor(55,0.1).
p6_size(55,0.5).
p6_pi_acceptor(55,0.9).
p6_branch(55,0.633).
p6_sigma(55,0.633).
p6_polarisable(55,0.9).
p6_flex(56,0.1).
p6_pi_doner(56,0.1).
p6_polar(56,0.3).
p6_h_doner(56,0.1).
p6_h_acceptor(56,0.1).
p6_size(56,0.1).
p6_pi_acceptor(56,0.1).
p6_branch(56,0.1).
p6_sigma(56,0.1).
p6_polarisable(56,0.1).
p6_flex(57,0.1).
p6_pi_doner(57,0.1).
p6_polar(57,0.9).
p6_h_doner(57,0.1).
p6_h_acceptor(57,0.1).
p6_size(57,0.5).
p6_pi_acceptor(57,0.9).
p6_branch(57,0.633).
p6_sigma(57,0.633).
p6_polarisable(57,0.9).
p6_flex(58,0.1).
p6_pi_doner(58,0.1).
p6_polar(58,0.9).
p6_h_doner(58,0.1).
p6_h_acceptor(58,0.1).
p6_size(58,0.5).
p6_pi_acceptor(58,0.9).
p6_branch(58,0.633).
p6_sigma(58,0.633).
p6_polarisable(58,0.9).
p6_flex(59,0.1).
p6_pi_doner(59,0.1).
p6_polar(59,0.9).
p6_h_doner(59,0.1).
p6_h_acceptor(59,0.1).
p6_size(59,0.5).
p6_pi_acceptor(59,0.9).
p6_branch(59,0.633).
p6_sigma(59,0.633).
p6_polarisable(59,0.9).
p6_flex(60,0.1).
p6_pi_doner(60,0.1).
p6_polar(60,0.9).
p6_h_doner(60,0.1).
p6_h_acceptor(60,0.1).
p6_size(60,0.5).
p6_pi_acceptor(60,0.9).
p6_branch(60,0.633).
p6_sigma(60,0.633).
p6_polarisable(60,0.9).
p6_flex(61,0.1).
p6_pi_doner(61,0.1).
p6_polar(61,0.9).
p6_h_doner(61,0.1).
p6_h_acceptor(61,0.1).
p6_size(61,0.5).
p6_pi_acceptor(61,0.9).
p6_branch(61,0.633).
p6_sigma(61,0.633).
p6_polarisable(61,0.9).
p6_flex(62,0.1).
p6_pi_doner(62,0.1).
p6_polar(62,0.3).
p6_h_doner(62,0.1).
p6_h_acceptor(62,0.1).
p6_size(62,0.1).
p6_pi_acceptor(62,0.1).
p6_branch(62,0.1).
p6_sigma(62,0.1).
p6_polarisable(62,0.1).
p6_flex(63,0.1).
p6_pi_doner(63,0.1).
p6_polar(63,0.3).
p6_h_doner(63,0.1).
p6_h_acceptor(63,0.1).
p6_size(63,0.1).
p6_pi_acceptor(63,0.1).
p6_branch(63,0.1).
p6_sigma(63,0.1).
p6_polarisable(63,0.1).
p6_flex(64,0.1).
p6_pi_doner(64,0.1).
p6_polar(64,0.3).
p6_h_doner(64,0.1).
p6_h_acceptor(64,0.1).
p6_size(64,0.1).
p6_pi_acceptor(64,0.1).
p6_branch(64,0.1).
p6_sigma(64,0.1).
p6_polarisable(64,0.1).
p6_flex(65,0.1).
p6_pi_doner(65,0.1).
p6_polar(65,0.9).
p6_h_doner(65,0.1).
p6_h_acceptor(65,0.1).
p6_size(65,0.5).
p6_pi_acceptor(65,0.9).
p6_branch(65,0.633).
p6_sigma(65,0.633).
p6_polarisable(65,0.9).
p6_flex(66,0.1).
p6_pi_doner(66,0.1).
p6_polar(66,0.9).
p6_h_doner(66,0.1).
p6_h_acceptor(66,0.1).
p6_size(66,0.5).
p6_pi_acceptor(66,0.9).
p6_branch(66,0.633).
p6_sigma(66,0.633).
p6_polarisable(66,0.9).
p6_flex(67,0.1).
p6_pi_doner(67,0.1).
p6_polar(67,0.9).
p6_h_doner(67,0.1).
p6_h_acceptor(67,0.1).
p6_size(67,0.5).
p6_pi_acceptor(67,0.9).
p6_branch(67,0.633).
p6_sigma(67,0.633).
p6_polarisable(67,0.9).
p6_flex(68,0.1).
p6_pi_doner(68,0.1).
p6_polar(68,0.9).
p6_h_doner(68,0.1).
p6_h_acceptor(68,0.1).
p6_size(68,0.5).
p6_pi_acceptor(68,0.9).
p6_branch(68,0.633).
p6_sigma(68,0.633).
p6_polarisable(68,0.9).
p6_flex(69,0.1).
p6_pi_doner(69,0.1).
p6_polar(69,0.9).
p6_h_doner(69,0.1).
p6_h_acceptor(69,0.1).
p6_size(69,0.5).
p6_pi_acceptor(69,0.9).
p6_branch(69,0.633).
p6_sigma(69,0.633).
p6_polarisable(69,0.9).
p6_flex(70,0.1).
p6_pi_doner(70,0.1).
p6_polar(70,0.9).
p6_h_doner(70,0.1).
p6_h_acceptor(70,0.1).
p6_size(70,0.5).
p6_pi_acceptor(70,0.9).
p6_branch(70,0.633).
p6_sigma(70,0.633).
p6_polarisable(70,0.9).

activity(1,0.564).
activity(2,0.772).
activity(3,0.639).
activity(4,0.647).
activity(5,0.564).
activity(6,0.504).
activity(7,0.427).
activity(8,0.533).
activity(9,0.606).
activity(10,0.51).
activity(11,0.606).
activity(12,0.523).
activity(13,0.641).
activity(14,0.653).
activity(15,0.467).
activity(16,0.195).
activity(17,0.104).
activity(18,0.798).
activity(19,0.765).
activity(20,0.666).
activity(21,0.788).
activity(22,0.726).
activity(23,0.606).
activity(24,0.481).
activity(25,0.1).
activity(26,0.1).
activity(27,0.206).
activity(28,0.351).
activity(29,0.581).
activity(30,0.726).
activity(31,0.801).
activity(32,0.705).
activity(33,0.765).
activity(34,0.792).
activity(35,0.676).
activity(36,0.734).
activity(37,0.838).
activity(38,0.641).
activity(39,0.689).
activity(40,0.765).
activity(41,0.73).
activity(42,0.788).
activity(43,0.726).
activity(44,0.747).
activity(45,0.653).
activity(46,0.73).
activity(47,0.796).
activity(48,0.697).
activity(49,0.796).
activity(50,0.409).
activity(51,0.695).
activity(52,0.718).
activity(53,0.772).
activity(54,0.838).
activity(55,0.817).
activity(56,0.643).
activity(57,0.616).
activity(58,0.631).
activity(59,0.631).
activity(60,0.32).
activity(61,0.608).
activity(62,0.558).
activity(63,0.645).
activity(64,0.647).
activity(65,0.442).
activity(66,0.469).
activity(67,0.423).
activity(68,0.415).
activity(69,0.811).
activity(70,0.666).
activity(71,0.713).
activity(72,0.55).
activity(73,0.788).
activity(74,0.827).
activity(75,0.842).
activity(76,0.809).
activity(77,0.336).
activity(78,0.602).
activity(79,0.591).
activity(80,0.861).
activity(81,0.867).
activity(82,0.809).
activity(83,0.533).
activity(84,0.873).
activity(85,0.726).
activity(86,0.809).
activity(87,0.865).
activity(88,0.602).
activity(89,0.45).
activity(90,0.772).
activity(91,0.409).
activity(92,0.365).
activity(93,0.498).
activity(94,0.564).
activity(95,0.396).
activity(96,0.651).
activity(97,0.62).
activity(98,0.55).
activity(99,0.564).
activity(100,0.815).
activity(101,0.751).
activity(102,0.637).
activity(103,0.718).
activity(104,0.695).
activity(105,0.78).
activity(106,0.687).
activity(107,0.713).
activity(108,0.258).
activity(109,0.689).
activity(110,0.792).
activity(111,0.798).
activity(112,0.827).
activity(113,0.709).
activity(114,0.809).
activity(115,0.494).
activity(116,0.861).
activity(117,0.682).
activity(118,0.616).
activity(119,0.463).
activity(120,0.523).
activity(121,0.135).
activity(122,0.396).
activity(123,0.523).
activity(124,0.515).
activity(125,0.738).
activity(126,0.738).
activity(127,0.757).
activity(128,0.757).
activity(129,0.844).
activity(130,0.772).
activity(131,0.817).
activity(132,0.726).
activity(133,0.794).
activity(134,0.811).
activity(135,0.689).
activity(136,0.701).
activity(137,0.68).
activity(138,0.67).
activity(139,0.73).
activity(140,0.757).
activity(141,0.817).
activity(142,0.792).
activity(143,0.757).
activity(144,0.687).
activity(145,0.73).
activity(146,0.788).
activity(147,0.709).
activity(148,0.668).
activity(149,0.718).
activity(150,0.67).
activity(151,0.73).
activity(152,0.672).
activity(153,0.595).
activity(154,0.614).
activity(155,0.772).
activity(156,0.747).
activity(157,0.765).
activity(158,0.678).
activity(159,0.608).
activity(160,0.662).
activity(161,0.699).
activity(162,0.61).
activity(163,0.641).
activity(164,0.678).
activity(165,0.713).
activity(166,0.757).
activity(167,0.772).
activity(168,0.751).
activity(169,0.612).
activity(170,0.651).
activity(171,0.616).
activity(172,0.631).
activity(173,0.699).
activity(174,0.676).
activity(175,0.45).
activity(176,0.722).
activity(177,0.639).
activity(178,0.801).
activity(179,0.726).
activity(180,0.9).
activity(181,0.718).
activity(182,0.817).
activity(183,0.417).
activity(184,0.74).
activity(185,0.637).
activity(186,0.595).

